<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['ward_department'])){
	$ward_department = $_POST['ward_department'];
	$ward_name = $_POST['ward_name'];
	$ward_hospital_id = $_POST['ward_hospital_id'];
	$ward_added_by = $_POST['ward_added_by'];
	
	$save_ward = $objHospital->save_ward($ward_department,$ward_name,$ward_hospital_id,$ward_added_by);
}
elseif(isset($_POST['get_ward_user_id'])){
	$get_ward_user_id = $_POST['get_ward_user_id'];
	
	$get_ward = $objHospital->get_ward($get_ward_user_id);
	if(empty($get_ward)){
		echo'<tr><td colspan="6" style="color:red;"><center>There are no visits for this patient yet</center></td></tr>';
	}else{
		foreach($get_ward as $ward){
			$ward_id = $ward['ward_id'];
			$ward_name = $ward['ward_name'];
			$department_id = $ward['department_id'];
			$hospital_id = $ward['hospital_id'];
			
			//Get department's name
			$get_department = $objHospital->get_department_by_id($department_id);
			foreach($get_department as $department){
				$department_name = $department['department_name'];
			}
			
			//Get Bed Counts
			$get_bed_count = $objHospital->get_bed_count($ward_id,$hospital_id);
			
			if(empty($get_bed_count)){
				$total_beds = '0';
				$vacant = '0';
				$occupied = '0';
			}else{
				foreach($get_bed_count as $count){
					$total_beds = $count['total_count'];
					$vacant = $count['vacant'];
					$occupied = $count['occupied'];
				}
			}
			
			echo'
			<tr>
				<td><center>'.$ward_name.'</center></td>
				<td><center>'.$department_name.'</center></td>
				<td><center>'.$total_beds.'</center></td>
				<td><center>'.$occupied.'</center></td>
				<td><center>'.$vacant.'</center></td>
				<td>
					<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
					<div class="dropdown-menu dropdown-menu-right">
						<button class="badge badge-warning dropdown-item add_bed_button" data-ward-id="'.$ward_id.'" data-toggle="modal" data-target="#add_bed_modal">Add Beds</button>
						<button class="badge badge-danger dropdown-item delete_ward_button" data-ward-id="'.$ward_id.'">Delete</button>
					</div>					
				</td>
			</tr>
			
			';
		}
	}
}
elseif(isset($_POST['delete_ward_user_id'])){
	$delete_ward_user_id = $_POST['delete_ward_user_id'];
	$delete_ward_id = $_POST['delete_ward_id'];
	
	$delete_ward = $objHospital->delete_ward($delete_ward_user_id,$delete_ward_id);
}
elseif(isset($_POST['bed_type'])){
	$bed_type = $_POST['bed_type'];
	$addons = $_POST['addons'];
	$bed_number = $_POST['bed_number'];
	$daily_cost = $_POST['daily_cost'];
	$bed_ward_id = $_POST['bed_ward_id'];
	$bed_added_by = $_POST['bed_added_by'];
	
	$save_bed = $objHospital->save_bed($bed_type,$addons,$bed_number,$daily_cost,$bed_ward_id,$bed_added_by);
}
elseif(isset($_POST['get_bed_user_id'])){
	$get_bed_user_id = $_POST['get_bed_user_id'];
	
	$get_beds = $objHospital->get_beds($get_bed_user_id);
	
	if(empty($get_beds)){
		echo'<tr><td colspan="6" style="color:red;"><center>There are no beds added in the system yet</center></td></tr>';
	}else{
		foreach($get_beds as $beds){
			$bed_id = $beds['bed_id'];
			$hospital_id = $beds['hospital_id'];
			$ward_id = $beds['ward_id'];
			$bed_type = $beds['bed_type'];
			$addons = $beds['addons'];
			$bed_number = $beds['bed_number'];
			$daily_cost = $beds['daily_cost'];
			$available = $beds['available'];
			
			if($available == 'yes'){
				$occupancy = '<div class="badge badge-primary" style="font-size:14px;">Vacant</div>';
			}else{
				$occupancy = '<div class="badge badge-danger" style="font-size:14px;">occupied</div>';
			}
			
			//Get department's name
			$get_ward = $objHospital->get_ward_by_id($get_bed_user_id,$ward_id);
			foreach($get_ward as $ward){
				$ward_name = $ward['ward_name'];
			}
			
			
			
			echo'
			<tr>
				<td><center>'.$ward_name.'</center></td>
				<td><center>'.$bed_number.'</center></td>
				<td><center>'.$bed_type.'</center></td>
				<td><center>'.$occupancy.'</center></td>
				<td><center>'.$addons.'</center></td>
				<td><center>'.$daily_cost.'</center></td>
				<td>
					<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
					<div class="dropdown-menu dropdown-menu-right">
						<button class="badge badge-warning dropdown-item edit_bed_button" data-bed-id="'.$bed_id.'" data-toggle="modal" data-target="#edit_bed_modal">Edit Bed</button>
						<button class="badge badge-danger dropdown-item delete_bed_button" data-bed-id="'.$bed_id.'" data-hospital-id="'.$hospital_id.'">Delete Bed</button>
					</div>					
				</td>
			</tr>
			
			';
		}
	}
}
elseif(isset($_POST['admitted_user_id'])){
	$admitted_user_id = $_POST['admitted_user_id'];
	
	$get_patient_admission = $objHospital->get_all_admissions($admitted_user_id);
	
	
	if(empty($get_patient_admission)){
		echo'<tr><td colspan="6" style="color:red;"><center>There are no admissions for this patient yet</center></td></tr>';
	}else{
		foreach($get_patient_admission as $admission){
			$admission_id = $admission['admission_id'];
			$hospital_id = $admission['hospital_id'];
			$ward_id = $admission['ward_id'];
			$bed_id = $admission['bed_id'];
			$patient_id = $admission['patient_id'];
			$visit_id = $admission['visit_id'];
			$admitted_by_id = $admission['admitted_by_id'];
			$date_admitted = $admission['date_admitted'];
			$visit_date = $admission['visit_date'];
			$discharged = $admission['discharged'];
			$first_name = $admission['first_name'];
			$last_name = $admission['last_name'];
			
			//Get department's name
			$get_ward = $objHospital->get_ward_by_id($admitted_user_id,$ward_id);
			foreach($get_ward as $ward){
				$ward_name = $ward['ward_name'];
				$department_id = $ward['department_id'];
				
				$get_department = $objHospital->get_department_by_id($department_id);
				foreach($get_department as $dept){
					$department = $dept['department_name'];
				}
			}
			
			//Get number of nights spent on ward
			$start  = date_create(date('Y-m-d',strtotime($date_admitted)));
			$end    = date_create(); // Current time and date
			$diff   = date_diff( $start, $end );
			
						
			echo'
			<tr>
				<td><center>'.date('d-m-Y',strtotime($date_admitted)).'</center></td>
				<td><center>'.$first_name.' '.$last_name.'</center></td>
				<td><center>'.$ward_name.'</center></td>
				<td><center>';
				if($bed_id==''){
					echo'<div class="badge badge-warning" style="font-size:16px;">Not yet assigned</div>';
				}else{
					$assigned_bed_id = $bed_id;
					echo'<div class="badge badge-info" style="font-size:16px;">'.$bed_id.'</div>';
				}
				echo'</center></td>
				<td><center>';
				if($discharged=='no'){
					echo'<div class="badge badge-danger">Not yet</div>';
				}else{
					echo'<div class="badge badge-primary">Yes</div>';
				}
				echo'</center></td>
				<td><center>'.$diff->days.'</center></td>
				<td>
				<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
					<div class="dropdown-menu dropdown-menu-right">';
    				if($bed_id==''){
    					echo'<button class="badge badge-secondary dropdown-item assign_bed_button" data-patient-id="'.$patient_id.'" data-toggle="modal" data-target="#assign_bed_modal">Assign a Bed</button>';
    				}else{
    					$assigned_bed_id = $bed_id;
    					echo'<button class="badge badge-warning dropdown-item change_bed_button" data-patient-id="'.$patient_id.'" data-old-bed="'.$assigned_bed_id.'" data-toggle="modal" data-target="#change_bed_modal">Change Bed</button>
						<button class="badge badge-primary dropdown-item admit_patient_btn" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-department="'.$department.'">Manage Patients</button>';
    				}				
    				echo'
					</div>
				</td>
			</tr>
			';
		}
	}

}
elseif(isset($_POST['assign_bed_patient_id'])){
	$assign_bed_patient_id = $_POST['assign_bed_patient_id'];
	$assign_bed_bed_id = $_POST['assign_bed_bed_id'];
	$assign_bed_user_id = $_POST['assign_bed_user_id'];
	
	$assign_bed = $objHospital->assign_bed($assign_bed_patient_id,$assign_bed_bed_id,$assign_bed_user_id);
}
elseif(isset($_POST['change_bed_user_id'])){
	$user_id = $_POST['change_bed_user_id'];
	$patient_id = $_POST['change_bed_patient_id'];
	
	$get_bed_to_change = $objHospital->get_bed_to_change($user_id,$patient_id);
	
	if(empty($get_bed_to_change)){
		echo'<tr><td colspan="5" style="color:red;"><center>There are no beds added in the system yet</center></td></tr>';
	}else{
		foreach($get_bed_to_change as $beds){
			$new_bed_id = $beds['new_bed'];
			$old_bed_id = $beds['old_bed'];
			$hospital_id = $beds['hospital_id'];
			$ward_id = $beds['ward_id'];
			$bed_type = $beds['bed_type'];
			$addons = $beds['addons'];
			$bed_number = $beds['bed_number'];
			$daily_cost = $beds['daily_cost'];
			$available = $beds['available'];
			
			//Get department's name
			$get_ward = $objHospital->get_ward_by_id($user_id,$ward_id);
			foreach($get_ward as $ward){
				$ward_name = $ward['ward_name'];
			}
			
			if($new_bed_id == $old_bed_id){
				echo'
				<tr>
					<td><center>'.$ward_name.'</center></td>
					<td><center>'.$bed_number.'</center></td>
					<td><center>'.$bed_type.'</center></td>
					<td colspan="3"><center><div class="badge badge-lg badge-danger">Change from this Bed</div></center></td>
				</tr>
				';
			}else{
				echo'
				<form method="post" class="make_changes_bed_form">
					<tr>
						<td><center>'.$ward_name.'</center></td>
						<td><center>'.$bed_number.'</center></td>
						<td><center>'.$bed_type.'</center></td>
						<td><center>'.$addons.'</center></td>
						<td><center>'.$daily_cost.'</center></td>
						<td><center><button type="submit" class="btn btn-sm btn-success select_change_bed_btn" data-new-bed-id="'.$new_bed_id.'" data-old-bed-id="'.$old_bed_id.'" data-patient-bed-id="'.$patient_id.'" data-user-bed-id="'.$user_id.'">Change</button><center></td>
						
					</tr>
				</form>
				';
			}
		}
	}
																						
}
elseif(isset($_POST['changed_bed_patient_id'])){
	$patient_id = $_POST['changed_bed_patient_id'];
	$bed_id = $_POST['changed_bed_bed_id'];
	$user_id = $_POST['changed_bed_user_id'];
	$old_bed_id = $_POST['changed_old_bed_id'];
	
	$change_bed = $objHospital->change_bed($patient_id,$bed_id,$user_id,$old_bed_id);
}
elseif(isset($_POST['edit_bed'])){
	$edit_bed_id = $_POST['edit_bed'];
	$edit_bed_user = $_POST['edit_bed_user'];
	
	$get_edit_bed = $objHospital->get_bed_by_bed_id($edit_bed_id,$edit_bed_user);
	foreach($get_edit_bed as $edit){
		
		$hospital_id = $edit['hospital_id'];
		$ward_id = $edit['ward_id'];
		$bed_type = $edit['bed_type'];
		$addons = $edit['addons'];
		$bed_number = $edit['bed_number'];
		$daily_cost = $edit['daily_cost'];
		$available = $edit['available'];
		
		echo'<form method="post" id="edit_bed_form">
			<div class="row">
				<div class="col-sm-6">  
					<div class="form-group">
						<label><span style="color:black;">Bed Type</span><span style="color:red;">*</span></label>
						<select class="form-control" name="edit_bed_type" style="width:100%;" required>
							<option disabled>'.$bed_type.'</option>
							<option value="regular">Regular</option>
							<option value="vip">VIP</option>
						</select>
					</div>
				</div>
				<div class="col-sm-6">  
					<div class="form-group">
						<label><span style="color:black;">Addons</span><span style="color:red;">*</span></label>
						<input type="text" name="edit_addons" class="form-control" placeholder="'.$addons.'">
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-sm-6">  
					<div class="form-group">
						<label><span style="color:black;">Bed Name/Number</span><span style="color:red;">*</span></label>
						<input type="text" name="edit_bed_number" class="form-control" placeholder="'.$bed_number.'">
					</div>
				</div>
				<div class="col-sm-6">  
					<div class="form-group">
						<label><span style="color:black;">Daily Cost</span><span style="color:red;">*</span></label>
						<input type="text" name="edit_daily_cost" class="form-control" placeholder="'.$daily_cost.'">
					</div>
				</div>
			</div>
			<input type="hidden" name="bed_edited_by" value="'.$edit_bed_user.'">
			<input type="hidden" name="bed_edited_id" value="'.$edit_bed_id.'">
			<input type="hidden" name="edit_bed_hospital_id" value="'.$hospital_id.'">
			<button type="submit" id="edit_bed" class="btn btn-success">Edit Bed</button>
			</form>
		';
	}
}
elseif(isset($_POST['edit_bed_type'])){
	$edit_bed_type = $_POST['edit_bed_type'];
	$edit_addons = $_POST['edit_addons'];
	$edit_bed_number = $_POST['edit_bed_number'];
	$edit_daily_cost = $_POST['edit_daily_cost'];
	$bed_edited_by = $_POST['bed_edited_by'];
	$bed_edited_id = $_POST['bed_edited_id'];
	$hospital_id = $_POST['edit_bed_hospital_id'];
	
	$edit_bed = $objHospital->edit_bed($edit_bed_type,$edit_addons,$edit_bed_number,$edit_daily_cost,$bed_edited_id,$bed_edited_by,$hospital_id);
	
}
elseif(isset($_POST['delete_bed_id'])){
	$bed_id = $_POST['delete_bed_id'];
	$hospital_id = $_POST['delete_bed_hospital_id'];
	
	$delete_bed = $objHospital->delete_bed($bed_id,$hospital_id);
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}










?>