<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['staff_category_name'])){
	$staff_category_name = $_POST['staff_category_name'];
	$job_titles = implode(',',$_POST['job_titles']);
	$user_id = $_POST['staff_category_user_id'];
	
	$add_staff_category = $objHospital->add_staff_category($user_id,$staff_category_name,$job_titles);
	
}
elseif(isset($_POST['salaryStaffId'])){
	$staff_id = $_POST['salaryStaffId'];
	$user_id = $_POST['salaryUserId'];
	$get_staff_name = $objHospital->get_staff_name($staff_id,$user_id);
}
elseif(isset($_POST['add_salary_staff'])){
	$staff_id = $_POST['add_salary_staff'];
	$salary_scale = $_POST['add_salary_scale'];
	$allowance = $_POST['add_allowance'];
	$position = $_POST['add_salary_position'];
	$period = $_POST['add_salary_period'];
	$hospital_id = $_POST['add_salary_hospital_id'];
	$user_id = $_POST['add_salary_added_by'];
	$staff_name = $_POST['add_salary_staff_name'];
	
	
	$save_staff_salary = $objHospital->save_staff_salary($user_id,$staff_id,$allowance,$staff_name,$salary_scale,$period,$hospital_id,$position);
	
}
elseif(isset($_POST['change_salary_staff_id'])){
	$staff_id = $_POST['change_salary_staff_id'];
	$salary_scale = $_POST['change_salary_scale'];
	$allowance = $_POST['change_allowance'];
	$position = $_POST['change_salary_position'];
	$period = $_POST['change_salary_period'];
	$hospital_id = $_POST['change_salary_hospital_id'];
	$user_id = $_POST['change_salary_added_by'];
	$staff_name = $_POST['change_salary_staff_name'];
	
	
	$change_staff_salary = $objHospital->change_staff_salary($user_id,$staff_id,$allowance,$staff_name,$salary_scale,$period,$hospital_id,$position);
	
}
elseif(isset($_POST['add_tax_name'])){
	$tax_name = implode(',',$_POST['add_tax_name']);
	$percentage = implode(',',$_POST['add_tax_percentage']);
	$user_id = $_POST['add_tax_user_id'];
	
	$save_taxes = $objHospital->save_taxes($user_id,$tax_name,$percentage);
}
elseif(isset($_POST['deleteTaxId'])){
	$tax_id = $_POST['deleteTaxId'];
	$hospital_id = $_POST['deleteHospitalId'];
	$user_id = $_POST['deleteTaxUserId'];
	
	$delete_taxes = $objHospital->delete_taxes($user_id,$tax_id,$hospital_id);
}
elseif(isset($_POST['viewSalaryStaffId'])){
	$staff_id = $_POST['viewSalaryStaffId'];
	$hospital_id = $_POST['viewSalaryHospitalId'];
	
	$get_staff_salary_history = $objHospital->salary_history($staff_id,$hospital_id);
	if(empty($get_staff_salary_history)){
		echo'<tr><td colspan="4">
			There is no salary added yet</td></tr>';
	}else{
		foreach($get_staff_salary_history as $salary){
			$salary_id = $salary['salary_id'];
			$position = $salary['position'];
			$period = $salary['period'];
			$salary_scale = $salary['salary_scale'];
			$date_added = $salary['date_added'];

			echo'
			<tr>
				<td><center>'.$salary_id.'</center></td>
				<td><center>'.$position.'</center></td>
				<td><center>'.$period.'</center></td>
				<td style="color:blue;"><center>'.number_format(intval($salary_scale),0,0,',').'</center></td>
				<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
			</tr>
			
			';
		}
	}
}
elseif(isset($_POST['payroll_start_date'])){
	$start_date = $_POST['payroll_start_date'];
	$end_date = $_POST['payroll_end_date'];
	$user_id = $_POST['payroll_user_id'];
	
	$get_total_salaries = $objHospital->get_total_salaries($user_id);
	$get_total_allowances = $objHospital->get_total_allowances($user_id);	
	if(empty($get_total_salaries)){
		echo'<tr><td colspan="2">
			There is no salary added yet</td></tr>';
	}else{
		//Initialize the variables
		$total_salary = 0;
		$total_advances = 0;
		$total_deductables = 0;
		foreach($get_total_salaries as $salaries){
			$staff_id = $salaries['staff_id'];
			$hospital_id = $salaries['hospital_id'];
			$salary_scale = $salaries['salary_scale'];
			$total_salary += floatval($salary_scale);
			$get_all_taxes = $objHospital->get_all_taxes($user_id);
			//Deduct the taxes from each salary
			foreach($get_all_taxes as $taxes){
				$tax_name = $taxes['tax_name'];
				$percentage = $taxes['percentage'];
				$tax_deduction = (floatval($salary_scale) * ($percentage/100));
				$total_deductables += floatval($tax_deduction);
			}
			//Deduct the advances
			$get_all_advances = $objHospital->get_staff_salary_advances($staff_id,$hospital_id);
			foreach($get_all_advances as $advances){
				$advance = $advances['advance'];
				$deductions = $advances['deductions'];
				$single_deduction = floatval($advance/$deductions);
				$total_advances += floatval($single_deduction);
			}
			
			$net_salary = $total_salary - ($total_deductables + $total_advances);
			
		}
		echo'<tr>
			<td colspan="4" style="line-height:0.5rem;">Gross Salary</td>
			<td colspan="2" style="color:black; line-height:0.5rem;">'.number_format(floatval($total_salary),0,0,',').'</td>
		</tr>
		<tr>
			<td colspan="4" style="line-height:0.5rem;">Net Salary</td>
			<td colspan="2" style="color:blue; line-height:0.5rem;">'.number_format(floatval($net_salary),0,0,',').'</td>
		</tr>
		<tr>
			<td colspan="4" style="line-height:0.5rem;">Allowances</td>
			<td colspan="2" style="color:blue; line-height:0.5rem;">'.number_format(floatval($get_total_allowances),0,0,',').'</td>
		</tr>
		<tr style="background-color:#E8E8E8;">
			<th colspan="6" style="font-size:16px; line-height:0.5rem;"><b><center>Deductables</center></b></th>
		</tr>
		<tr>
			<td colspan="4" style="line-height:0.5rem;">Salary Advances</td>
			<td colspan="2" style="color:red; line-height:0.5rem;">-'.number_format(floatval($total_advances),0,0,',').'</td>
		</tr>
		<tr>
			<td colspan="4" style="line-height:0.5rem;">Taxes and Other Deductables</td>
			<td colspan="2" style="color:red; line-height:0.5rem;">-'.number_format(floatval($total_deductables),0,0,',').'</td>
		</tr>
		<tr style="background-color:#E8E8E8;">
			<th colspan="6" style="font-size:16px; line-height:0.5rem;"><b><center>Staff Details</center></b></th>
		</tr>
		<tr>
			<th style="font-size:16px; line-height:0.5rem;"><b><center>Staff Name</center></b></th>
			<th style="font-size:16px; line-height:0.5rem;"><b><center>Gross Salary</center></b></th>
			<th style="font-size:16px; line-height:0.5rem;"><b><center>Advance</center></b></th>
			<th style="font-size:16px; line-height:0.5rem;"><b><center>Allowance</center></b></th>
			<th style="font-size:16px; line-height:0.5rem;"><b><center>Taxes and Savings</center></b></th>
			<th style="font-size:16px; line-height:0.5rem;"><b><center>Net Salary</center></b></th>
		</tr>';
		$get_active_staffs = $objHospital->get_active_staffs($user_id);
		
		if(empty($get_active_staffs)){
			echo'<tr>
				<td colspan="5" style="line-height:0.5rem;"><center>There are no Staff added yet</center></td>
			</tr>';
		}else{
			foreach($get_active_staffs as $staff){
				$first_name = $staff['first_name'];
				$last_name = $staff['last_name'];
				$staff_id = $staff['staff_id'];	
				$hospital_id = $staff['hospital_id'];
				
				$get_staff_salary = $objHospital->get_staff_salary($staff_id,$hospital_id);
				if(empty($get_staff_salary)){
					$single_deduction = 0; 
					$allowance = 0; 
					$all_taxes = 0; 
					$salary_scale = 0; 
					$net_staff_salary = 0; 
					
					echo'<tr>
						<td style="line-height:0.5rem;"><center>'.$first_name.' '.$last_name.'</center></td>
						<td style="line-height:0.5rem;"><center>0</center></td>
						<td style="line-height:0.5rem;"><center>0</center></td>
						<td style="line-height:0.5rem;"><center>0</center></td>
						<td style="line-height:0.5rem;"><center>0</center></td>
						<td style="line-height:0.5rem;"><center>0</center></td>
					</tr>';
					
					echo'<input type="hidden" name="add_payroll_first_name[]" value="'.$first_name.'">
					<input type="hidden" name="add_payroll_last_name[]" value="'.$last_name.'">
					<input type="hidden" name="add_payroll_single_deduction[]" value="'.$single_deduction.'">
					<input type="hidden" name="add_payroll_allowance[]" value="'.$allowance.'">
					<input type="hidden" name="add_payroll_all_taxes[]" value="'.$all_taxes.'">
					<input type="hidden" name="add_payroll_staff_salary_scale[]" value="'.$salary_scale.'">
					<input type="hidden" name="add_payroll_staff_net_salary[]" value="'.$net_staff_salary.'">
					';
				}else{
					foreach($get_staff_salary as $salaries){
						$salary_scale = $salaries['salary_scale'];
						$allowance = $salaries['allowance'];
						
						//Deduct the taxes from each salary
						$all_taxes = 0;
						$get_all_taxes = $objHospital->get_all_taxes($user_id);
						foreach($get_all_taxes as $taxes){
							$tax_name = $taxes['tax_name'];
							$percentage = $taxes['percentage'];
							$tax_deduction = (floatval($salary_scale) * (floatval($percentage)/100));
							$all_taxes += $tax_deduction;
						}
						//Deduct the advances
						$get_all_advances = $objHospital->get_staff_salary_advances($staff_id,$hospital_id);
						if(empty($get_all_advances)){
							$single_deduction = 0;
						}else{
							foreach($get_all_advances as $advances){
								$advance = $advances['advance'];
								$deductions = $advances['deductions'];
								$single_deduction = floatval($advance)/floatval($deductions);
							}
						}
						
						$net_staff_salary = $salary_scale - ($single_deduction + $all_taxes);
						
						echo'<input type="hidden" name="add_payroll_first_name[]" value="'.$first_name.'">
						<input type="hidden" name="add_payroll_last_name[]" value="'.$last_name.'">
						<input type="hidden" name="add_payroll_single_deduction[]" value="'.$single_deduction.'">
						<input type="hidden" name="add_payroll_allowance[]" value="'.$allowance.'">
						<input type="hidden" name="add_payroll_all_taxes[]" value="'.$all_taxes.'">
						<input type="hidden" name="add_payroll_staff_salary_scale[]" value="'.$salary_scale.'">
						<input type="hidden" name="add_payroll_staff_net_salary[]" value="'.$net_staff_salary.'">
						';
					}
					echo'<tr>
						<td style="line-height:0.5rem;"><center>'.$first_name.' '.$last_name.'</center></td>
						<td style="line-height:0.5rem;"><center>'.number_format(floatval($salary_scale),0,0,',').'</center></td>
						<td style="line-height:0.5rem;"><center>'.number_format(floatval($single_deduction),0,0,',').'</center></td>
						<td style="line-height:0.5rem;"><center>'.number_format(floatval($allowance),0,0,',').'</center></td>
						<td style="line-height:0.5rem;"><center>'.number_format(floatval($all_taxes),0,0,',').'</center></td>
						<td style="line-height:0.5rem;"><center>'.number_format(floatval($net_salary),0,0,',').'</center></td>
					</tr>
					';
				}
				echo'
				<input type="hidden" name="add_payroll_user_id" value="'.$user_id.'">
				<input type="hidden" name="add_payroll_gross_salary" value="'.$total_salary.'">
				<input type="hidden" name="add_payroll_net_salary" value="'.$net_salary.'">
				<input type="hidden" name="add_payroll_total_allowance" value="'.$get_total_allowances.'">
				<input type="hidden" name="add_payroll_total_advances" value="'.$total_advances.'">
				<input type="hidden" name="add_payroll_total_deductables" value="'.$total_deductables.'">
				<input type="hidden" name="add_payroll_hospital_id" value="'.$hospital_id.'">
				';
			}
		}
		
	}
}
elseif(isset($_POST['viewPayrollId'])){
	$payroll_id = $_POST['viewPayrollId'];
	$hospital_id = $_POST['viewHospitalId'];
	$user_id = $_POST['viewUserId'];
	
	$get_payroll_by_id = $objHospital->get_payroll_by_id($payroll_id, $hospital_id);	
	if(empty($get_payroll_by_id)){
		echo'<tr><td colspan="2">There are no payrolls generated yet</td></tr>';
	}else{
		foreach($get_payroll_by_id as $salaries){
			$start_date = $salaries['start_date'];
			$end_date = $salaries['end_date'];
			$gross_salary = $salaries['gross_salary'];
			$net_salary = $salaries['net_salary'];
			$total_allowance = $salaries['total_allowance'];
			$total_advances = $salaries['total_advances'];
			$total_deductables = $salaries['total_deductables'];
			$first_name = explode(',',$salaries['first_name']);
			$last_name = explode(',',$salaries['last_name']);
			$single_deduction = explode(',',$salaries['single_deduction']);
			$allowance = explode(',',$salaries['allowance']);
			$all_taxes = explode(',',$salaries['all_taxes']);
			$staff_salary_scale = explode(',',$salaries['salary_scale']);
			$staff_net_salary = explode(',',$salaries['staff_net_salary']);
			$added_by = $salaries['added_by'];
			$date_added = $salaries['date_added'];
		}
		echo'
		<thead>
			<tr style="background-color:#E8E8E8;">
				<th colspan="7" style="font-size:18px;"><center>Payroll for the Period: <span id="payroll_period_header" style="color:blue; font-size:20px;">'.$start_date.' to '.$end_date.'</span></center></th>
			</tr>
			<tr>
				<th colspan="4">Description</th>
				<th colspan="3">Amount(UGX)</th>
			</tr>
		</thead>
		<tbody class="payroll_table_body">
			<tr>
				<td colspan="4" style="line-height:0.5rem;">Gross Salary</td>
				<td colspan="3" style="color:black; line-height:0.5rem;">'.number_format(intval($gross_salary),0,0,',').'</td>
			</tr>
			<tr>
				<td colspan="4" style="line-height:0.5rem;">Net Salary</td>
				<td colspan="3" style="color:blue; line-height:0.5rem;">'.number_format(intval($net_salary),0,0,',').'</td>
			</tr>
			<tr>
				<td colspan="4" style="line-height:0.5rem;">Allowances</td>
				<td colspan="3" style="color:blue; line-height:0.5rem;">'.number_format(intval($total_allowance),0,0,',').'</td>
			</tr>
			<tr style="background-color:#E8E8E8;">
				<th colspan="7" style="font-size:16px; line-height:0.5rem;"><b><center>Deductables</center></b></th>
			</tr>
			<tr>
				<td colspan="4" style="line-height:0.5rem;">Salary Advances</td>
				<td colspan="3" style="color:red; line-height:0.5rem;">-'.number_format(intval($total_advances),0,0,',').'</td>
			</tr>
			<tr>
				<td colspan="4" style="line-height:0.5rem;">Taxes and Other Deductables</td>
				<td colspan="3" style="color:red; line-height:0.5rem;">-'.number_format(intval($total_deductables),0,0,',').'</td>
			</tr>
			<tr style="background-color:#E8E8E8;">
				<th colspan="7" style="font-size:16px; line-height:0.5rem;"><b><center>Staff Details</center></b></th>
			</tr>
			<tr>
				<th style="font-size:16px; line-height:0.5rem;"><b><center>Staff Name</center></b></th>
				<th style="font-size:16px; line-height:0.5rem;"><b><center>Gross Salary</center></b></th>
				<th style="font-size:16px; line-height:0.5rem;"><b><center>Advance</center></b></th>
				<th style="font-size:16px; line-height:0.5rem;"><b><center>Allowance</center></b></th>
				<th style="font-size:16px; line-height:0.5rem;"><b><center>Taxes and Savings</center></b></th>
				<th style="font-size:16px; line-height:0.5rem;"><b><center>Net Salary</center></b></th>
				<th style="font-size:16px; line-height:0.5rem;"><b><center>Print</center></b></th>
			</tr>';
			
			foreach($first_name as $key => $value){
				$first_staff_name = $value;
				$last_staff_name = $last_name[$key];
				$single_deduction = $single_deduction[$key];
				$allowance = $allowance[$key];
				$all_taxes = $all_taxes[$key];
				$salary_net = $staff_net_salary[$key];
				$salary = $staff_salary_scale[$key];
				
				$total_salary = intval($salary) + intval($allowance);
				$total_income = number_format($total_salary,0,0,',');
				
				$deductions = intval($single_deduction) + intval($all_taxes);
				$total_deductions = number_format($deductions,0,0,',');
				
				$total_pay = intval($salary_net) + intval($allowance);
				$total_net_pay = number_format($total_pay,0,0,',');
				echo'
				<tr>
					<td>';
					
					echo'</td>
				</tr>
				<tr>
					<td style="line-height:0.5rem;">'.$first_staff_name.' '.$last_staff_name.'</td>
					<td style="line-height:0.5rem;"><center>';
					if($salary == 0){
						echo '0';
					}else{
						echo $salary;
					}
					echo'</center></td>
					<td style="line-height:0.5rem;"><center>'.$single_deduction.'</center></td>
					<td style="line-height:0.5rem;"><center>'.$allowance.'</center></td>
					<td style="line-height:0.5rem;"><center>'.$all_taxes.'</center></td>
					<td style="line-height:0.5rem;"><center>';
					if($salary_net == 0){
						echo '0';
					}else{
						echo $salary_net;
					}
					echo'</center></td>
					<td>';
					if($salary == 0){
						//Do nothing
					}else{
						//Get staff details
						$get_staff_by_name = $objHospital->get_staff_by_name($first_staff_name,$last_staff_name,$hospital_id);
						foreach($get_staff_by_name as $name){
							$category_name = $name['category_name'];
							$staff_id = $name['staff_id'];
							
							//Get staff's department
							$get_staff_departments = $objHospital->get_staff_departments($staff_id,$user_id);
							if(empty($get_staff_departments)){
								$department = 'Not assigned';
							}else{
								foreach($get_staff_departments as $row){
									$department = $row['department_name'];
								}
							}
						}
						
						echo '<button class="badge badge-success print_payroll_modal_btn" style="color:white;" data-first-name="'.$first_staff_name.'" data-staff-id="'.$staff_id.'" data-last-name="'.$last_staff_name.'" data-single-deduction="'.number_format(intval($single_deduction),0,0,',').'" data-allowance="'.number_format(intval($allowance),0,0,',').'" data-all-taxes="'.number_format(intval($all_taxes),0,0,',').'" data-salary-net="'.number_format(intval($salary_net),0,0,',').'" data-total-salary-net="'.$total_net_pay.'" data-salary="'.number_format(intval($salary),0,0,',').'" data-total-income="'.$total_income.'" data-total-deductions="'.$total_deductions.'" data-department="'.$department.'" data-category-name="'.$category_name.'" data-toggle="modal" data-target="#print_payroll_modal">print</button>';
					}
					echo'</td>
				</tr>';
			}
		echo'
		<tr style="background-color:#E8E8E8;">
			<th colspan="7" style="font-size:16px; line-height:0.5rem;"><b><center> </center></b></th>
		</tr>
		<tr>
			<th style="font-size:16px; line-height:0.5rem;" colspan="4"><b>Generated By:</b></th>
			<th style="font-size:16px; line-height:0.5rem;" colspan="3"><b><center>Date Generated:</center></b></th>
		</tr>
		<tr>';
		$get_staff_details = $objHospital->get_user($added_by);
		foreach($get_staff_details as $details){
			$first_name = $details['first_name'];
			$last_name = $details['last_name'];
			echo'<td style="line-height:0.5rem;" colspan="4">'.$first_name.' '.$last_name.'</td>';
		}
		echo'<td style="line-height:0.5rem;" colspan="3"><center>'.date('d-m-Y', strtotime($date_added)).'</center></td>
		</tr>
		</tbody>';
	}
}
elseif(isset($_POST['add_payroll_user_id'])){
	$start_date = date('Y-m-d',strtotime($_POST['add_payroll_start_date']));
	$end_date = date('Y-m-d',strtotime($_POST['add_payroll_end_date']));
	$user_id = $_POST['add_payroll_user_id'];
	$gross_salary = $_POST['add_payroll_gross_salary'];
	$net_salary = $_POST['add_payroll_net_salary'];
	$total_allowance = $_POST['add_payroll_total_allowance'];
	$total_advances = $_POST['add_payroll_total_advances'];
	$total_deductables = $_POST['add_payroll_total_deductables'];
	$first_name = implode(',',$_POST['add_payroll_first_name']);
	$last_name = implode(',',$_POST['add_payroll_last_name']);
	$single_deduction = implode(',',$_POST['add_payroll_single_deduction']);
	$allowance = implode(',',$_POST['add_payroll_allowance']);
	$all_taxes = implode(',',$_POST['add_payroll_all_taxes']);
	$salary_scale = implode(',',$_POST['add_payroll_staff_salary_scale']);
	$staff_net_salary = implode(',',$_POST['add_payroll_staff_net_salary']);
	$hospital_id = $_POST['add_payroll_hospital_id'];
			
	$save_payroll = $objHospital->save_payroll($start_date,$end_date,$user_id,$gross_salary,$net_salary,$total_allowance,$total_advances,$total_deductables,$first_name,$last_name,$single_deduction,$allowance,$all_taxes,$salary_scale,$staff_net_salary,$hospital_id);
	
}
elseif(isset($_POST['add_advance_staff_id'])){
	$staff_id = $_POST['add_advance_staff_id'];
	$amount = $_POST['add_advance_amount'];
	$deductions = $_POST['add_advance_deduction'];
	$hospital_id = $_POST['add_advance_hospital_id'];
	$user_id = $_POST['add_advance_added_by'];
	$staff_name = $_POST['add_advance_staff_name'];
	
	//If no staf is selected
	if($staff_id == 'Click here to select staff:'){
		echo 'Please select at least one staff';
	}else{
		//Get staff salary details
		$get_staff_salary = $objHospital->get_staff_salary($staff_id,$hospital_id);
		if(empty($get_staff_salary)){
			echo'There is no salary offered to this staff yet!!!';
		}else{
			foreach($get_staff_salary as $salary){
				$salary_scale = $salary['salary_scale'];
				$position = $salary['position'];
			}
			
			$add_staff_advance = $objHospital->add_staff_advance($user_id,$staff_id,$staff_name,$salary_scale,$amount,$deductions,$hospital_id,$position);
		}
	}
	
}
elseif(isset($_POST['get_staff_categories'])){
	$user_id = $_POST['get_staff_categories'];
	
	$get_staff_categories = $objHospital->get_staff_categories($user_id);
	if(empty($get_staff_categories)){
		echo'<tr><td colspan="6">
			There are no Staff Categories added yet</td></tr>';
	}else{
		foreach($get_staff_categories as $category){
			$staff_category_id = $category['staff_category_id'];
			$hospital_id = $category['hospital_id'];
			$staff_category_name = $category['staff_category_name'];
			$user_id = $category['user_id'];
			
			$count_staff_per_category = $objHospital->count_staff_per_category($hospital_id,$staff_category_name);
			foreach($count_staff_per_category as $data){
				$all_staff = $data['all_staff'];
				if($data['resident'] == null){
					$resident = '0';
				}else{
					$resident = $data['resident'];
				}
				
				if($data['resident'] == null){
					$visiting = '0';
				}else{
					$visiting = $data['visiting'];
				}
				
			}
			
			//Get consultation fees
			$get_consultation_fee = $objHospital->get_consultation_fee($staff_category_id,$user_id);
			if(empty($get_consultation_fee)){
				$fee = '';
			}else{
				foreach($get_consultation_fee as $consultation){
					$fee = $consultation['fee'];
				}
			}
			
			echo'
			<tr>
				<td>'.$staff_category_id.'</td>
				<td colspan="2">'.$staff_category_name.'</td>
				<td><center>'.number_format(floatval($fee),0,0,",").'</center></td>
				<td><center>'.$all_staff.'</center></td>
				<td><center>'.$resident.'</center></td>
				<td><center>'.$visiting.'</center></td>
				<td>
					<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
					<div class="dropdown-menu dropdown-menu-right" style="width:5rem;">
						<a class="badge badge-secondary dropdown-item category_details_button" href="view_staff_category.php?category_id='.$staff_category_id.'&user_id='.$user_id.'">Details</a>
						<button class="badge badge-warning dropdown-item edit_category_button" data-category-id="'.$staff_category_id.'" data-toggle="modal" data-target=".edit_category">Edit</button>
						<button class="badge badge-info dropdown-item fee_button" data-category-id="'.$staff_category_id.'" data-category-name="'.$staff_category_name.'" data-toggle="modal" data-target=".consultation_fee">Set Consultation Fee</button>
						<button class="badge badge-danger dropdown-item delete_category_button" data-category-id="'.$staff_category_id.'"">Delete</button>
					</div>					
				</td>
			</tr>
			
			';
		}
	}
}
elseif(isset($_POST['edit_category_id'])){
	
	$edit_category_id = $_POST['edit_category_id'];
	$user_id = $_POST['user_staff_category_id'];
	$get_category = $objHospital->get_category_by_id($edit_category_id);
	$get_job_titles = $objHospital->get_job_titles($edit_category_id, $user_id);
	
	foreach($get_category as $category){
		$staff_category_name = $category['staff_category_name'];
		
		echo'
		<div class="card">
			<div class="card-body">
				<div class="basic-form">
					<div class="form-row">
						<div class="form-group col-md-12">
							<label><span style="color:black;">Staff Category Name:</span> <span style="color: blue;">'.$staff_category_name.'</span></label>
							<input type="text" name="edit_staff_category_name" class="form-control" placeholder="Edit '.$staff_category_name.' here">
						</div>
					</div>
					<div class="form-row">
						<div class="form-group col-md-6">
							<label><span style="color:black;">Job Titles: </span> <span style="color: blue;">';
							if(empty($get_job_titles)){
								echo 'There are no Job Titles entered for this category yet';
							}else{
								foreach($get_job_titles as $titles){
									$title_name = $titles['job_title_name'];
									echo $title_name.', ';
								}
							}
							echo'</span></label>
							<input type="text" name="edit_job_titles[]" class="form-control" placeholder="E.g. Peadiatrician, Gynaecologist, Midwife, Laboratory Technologist...etc">
						</div>
						<div class="form-group col-md-3">
							<div>&nbsp;</div>
						</div>
						<div class="form-group col-md-3">
							<div>&nbsp;</div>
							<button type="button" id="add_edit_job_title_btn" class="btn btn-rounded btn-success">Add Another Job Title</button>
						</div>
					</div>
					<div class="form-row" id="added_edit_job_titles">
						
					</div>
				</div>
			</div>
		  </div>
		  <div class="modal-footer">
			<input type="hidden" name="edit_staff_category_id" value="'.$edit_category_id.'">
			<input type="hidden" name="edit_category_user_id" value="'.$user_id.'">
			<button type="submit" class="btn btn-primary">Save changes</button>
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
		  </div>
		</div>
		
		';
	}
		
}
elseif(isset($_POST['fee_amount'])){
	$fee_amount = $_POST['fee_amount'];
	$category_id = $_POST['fee_category_id'];
	$category_name = $_POST['fee_category_name'];
	$user_id = $_POST['fee_user_id'];
	
	$save_consultation_fee = $objHospital->save_consultation_fee($user_id,$category_id,$category_name,$fee_amount);
	
}
elseif(isset($_POST['approveLeaveId'])){
	$leave_id = $_POST['approveLeaveId'];
	$hospital_id = $_POST['approveHospitalId'];
	$user_id = $_POST['approveUserId'];
	
	$approve_request = $objHospital->approve_leave_request($user_id,$leave_id,$hospital_id);
	
}

elseif(isset($_POST['rejectLeaveId'])){
	$leave_id = $_POST['rejectLeaveId'];
	$hospital_id = $_POST['rejectHospitalId'];
	$user_id = $_POST['rejectUserId'];
	
	$reject_request = $objHospital->reject_leave_request($user_id,$leave_id,$hospital_id);
	
}
elseif(isset($_POST['edit_staff_category_name'])){
	$category_name = $_POST['edit_staff_category_name'];
	$category_id = $_POST['edit_staff_category_id'];
	$user_id = $_POST['edit_category_user_id'];
	$job_titles = implode(',',$_POST['edit_job_titles']);
	
	$edit_category = $objHospital->edit_category($user_id,$category_name,$job_titles,$category_id);
	
}
elseif(isset($_POST['delete_category_id'])){
	$category_id = $_POST['delete_category_id'];
	$user_id = $_POST['delete_category_user_id'];
	$delete_category = $objHospital->delete_category($category_id,$user_id);
	
}
elseif(isset($_POST['staff_first_name'])){
	$first_name = $_POST['staff_first_name'];
	$last_name = $_POST['staff_last_name'];
	$gender = $_POST['staff_gender'];
	$phone_number = $_POST['staff_phone_number'];
	$email = $_POST['staff_email'];
	$address = $_POST['staff_address'];
	$department = implode(',',$_POST['staff_department']);
	$nature_of_work = $_POST['nature_of_work'];
	$password = $_POST['staff_password'];
	$user_id = $_POST['add_staff_user_id'];
	$category_name = $_POST['add_staff_category_name'];
	$hospital_id = $_POST['add_staff_hospital_id'];
	
	$allowed_types = array('jpg','png','jpeg','gif','JPG','PNG','JPEG','GIF');
	
	if(!isset($_FILES['staff_photo'])){
		$target_file_path = "";
	}else{	
		$image_name=$_FILES['staff_photo']['name'];
		$tmp_name=$_FILES['staff_photo']['tmp_name'];
		$size=$_FILES['staff_photo']['size'];
		$type=$_FILES['staff_photo']['type'];
		$error=$_FILES['staff_photo']['error'];
		
		//File upload path
		$file_name = basename($image_name);
		$target_file_path = '../assets/images/staff_images/'.$file_name;
		
		//Lets explode the image file to get its extensions
		$image_explode = explode('.',$image_name);
		$file_type = end($image_explode);
		
		if(in_array($file_type, $allowed_types)===true){
			//Store images on server
			if(move_uploaded_file($tmp_name,$target_file_path)){
				$save_staff = $objHospital->save_staff($first_name,$last_name,$gender,$phone_number,$email,$address,$target_file_path,$department,$nature_of_work,$user_id,$category_name,$hospital_id,$password);
			}else{
				echo'Image has not been uploaded to the server';
			}
		}else{
			echo'Image format not recognized';
		}
	}
	
}
elseif(isset($_POST['get_all_staff'])){
	$user_id = $_POST['get_all_staff'];
	$category_name = $_POST['get_category_name'];	
	$get_all_staff = $objHospital->get_all_staff($user_id,$category_name);
	if(empty($get_all_staff)){
		echo'<tr><td colspan="9" style="color:red;">
			<center>There are no Staff added yet</center></td></tr>';
	}else{
		foreach($get_all_staff as $staff){
			$staff_id = $staff['staff_id'];
			$first_name = $staff['first_name'];
			$last_name = $staff['last_name'];
			$gender = $staff['gender'];
			$email = $staff['email'];
			$phone = $staff['phone'];
			$date_created = $staff['date_created'];
			
			echo'
			<tr>
				<td>'.$staff_id.'</td>
				<td colspan="2">'.$first_name.' '.$last_name.'</td>
				<td>'.$gender.'</td>
				<td>'.$email.'</td>
				<td>';
				$get_staff_departments = $objHospital->get_staff_departments($staff_id,$user_id);
				foreach($get_staff_departments as $row){
					$department = $row['department_name'];
					echo"<div class='badge badge-lg badge-secondary'>".$department."</div><br>";
				}
				
				echo'</td>
				<td>'.$phone.'</td>
				<td>'.$date_created.'</td>
				<td>
					<button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button>
					<div class="dropdown-menu dropdown-menu-right">
						<a class="badge badge-secondary dropdown-item category_details_button" href="view_staff.php?staff_id='.$staff_id.'&user_id='.$user_id.'">Details</a>
						<button type="button" class="badge badge-warning dropdown-item edit_staff_button" data-staff-id="'.$staff_id.'" data-toggle="modal" data-target=".edit_staff">Edit</button>
						<button class="badge badge-danger dropdown-item delete_staff_button" data-staff-id="'.$staff_id.'"">Delete</button>
					</div>					
				</td>
			</tr>
			
			';
		}
	}
}
elseif(isset($_POST['edit_staff_id'])){
	$staff_id = $_POST['edit_staff_id'];
	$user_id = $_POST['staff_user_id'];
	
	$edit_staff = $objHospital->get_staff_details($staff_id,$user_id);
	//var_dump($edit_staff);
	foreach($edit_staff as $staff){
		$category_name = $staff['category_name'];
		$hospital_id = $staff['hospital_id'];
		$first_name = $staff['first_name'];
		$last_name = $staff['last_name'];
		$phone = $staff['phone'];
		$email = $staff['email'];
		$address = $staff['address'];
		$nature_of_work = $staff['nature_of_work'];
		echo'
			<div class="card">
				<div class="card-body">
					<div class="basic-form">
						<div class="form-row">
							<div class="form-group col-md-6">
								<label><span style="color:black;">First Name</span></label>
								<input type="text" name="edit_staff_first_name" class="form-control" placeholder="'.$first_name.'">
							</div>
							<div class="form-group col-md-6">
								<label><span style="color:black;">Last Name</span></label>
								<input type="text" name="edit_staff_last_name" class="form-control" placeholder="'.$last_name.'">
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-6">
								<label><span style="color:black;">Gender</span></label>
								<select type="text" class="form-control" name="edit_staff_gender" >
									<option value="Male">Male</option>
									<option value="Female">Female</option>
								</select>
							</div>
							<div class="form-group col-md-6">
								<label><span style="color:black;">Phone Number</span></label>
								<input type="text" name="edit_staff_phone_number" class="form-control" placeholder="'.$phone.'">
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-6">
								<label><span style="color:black;">Email</span></label>
								<input type="text" name="edit_staff_email" class="form-control" placeholder="'.$email.'">
							</div>
							<div class="form-group col-md-6">
								<label><span style="color:black;">Physical Address</span></label>
								<input type="text" name="edit_staff_address" class="form-control" placeholder="'.$address.'">
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-6">
								<label><span style="color:black;">Password</span></label>
								<input type="text" name="edit_staff_password" class="form-control">
							</div>
							<div class="form-group col-md-6">
								<label><span style="color:black;">Attach Passport Photo</span></label>
								<div class="custom-file">
									<input type="file" name="edit_staff_photo" id="edit_staff_image" class="custom-file-input">
									<label class="custom-file-label">Choose file</label>
								</div>
							</div>
						</div>
						<div class="form-row">
							<div class="form-group col-md-6">
								<label><span style="color:black;">Nature of Contract (Resident or Visiting)</span></label>
								<select class="form-control" name="edit_nature_of_work" required>
									<option value="Resident">Resident</option>
									<option value="Visiting">Visiting</option>
								</select>
							</div>
							<div class="form-group col-md-4">
								<label><span style="color:black;">Assign to a Department(s)</span></label>
								<select class="form-control" name="edit_staff_department[]" style="width:100%;" required>';
								
									$get_departments = $objHospital->get_departments($user_id);
									foreach($get_departments as $department){
										$department_name = $department['department_name'];
										echo'<option>'.$department_name.'</option>';
									}
									echo'</select>
							</div>
							<div class="form-group col-md-2">
								<button type="button" class="btn btn-rounded btn-success add_staff_edit_job_title_btn" id="add_staff_edit_job_title_btn">Add Department</button>
							</div>
						</div>
						<div class="form-row" id="edit_staff_assign_other_department">
							
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<input type="hidden" name="edit_staff_user_id" value="'.$user_id.'">
				<input type="hidden" name="edit_add_staff_id" value="'.$staff_id.'">
				<input type="hidden" name="edit_add_staff_category_name" value="'.$category_name.'">
				<input type="hidden" name="edit_staff_hospital_id" value="'.$hospital_id.'">
				<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
				<button type="submit" class="btn btn-primary">Submit</button>
			</div>
		';
	}
}
elseif(isset($_POST['department_user_id'])){
	$user_id = $_POST['department_user_id'];
	
	$get_departments = $objHospital->get_departments($user_id);
	foreach($get_departments as $department){
		$department_name = $department['department_name'];
		echo'<option>'.$department_name.'</option>';
	}
	
}
elseif(isset($_POST['edit_staff_first_name'])){
	$first_name = $_POST['edit_staff_first_name'];
	$last_name = $_POST['edit_staff_last_name'];
	$gender = $_POST['edit_staff_gender'];
	$phone_number = $_POST['edit_staff_phone_number'];
	$email = $_POST['edit_staff_email'];
	$address = $_POST['edit_staff_address'];
	$department = implode(',',$_POST['edit_staff_department']);
	$nature_of_work = $_POST['edit_nature_of_work'];
	$password = $_POST['edit_staff_password'];
	$user_id = $_POST['edit_staff_user_id'];
	$category_name = $_POST['edit_add_staff_category_name'];
	$hospital_id = $_POST['edit_staff_hospital_id'];
	$staff_id = $_POST['edit_add_staff_id'];
	
	$allowed_types = array('jpg','png','jpeg','gif','JPG','PNG','JPEG','GIF');
	
	if($_FILES['edit_staff_photo']['name']==''){
		$target_file_path = "";
		$save_staff = $objHospital->edit_staff($first_name,$last_name,$gender,$phone_number,$email,$address,$target_file_path,$department,$nature_of_work,$user_id,$category_name,$hospital_id,$password,$staff_id);
	}else{	
		$image_name=$_FILES['edit_staff_photo']['name'];
		$tmp_name=$_FILES['edit_staff_photo']['tmp_name'];
		$size=$_FILES['edit_staff_photo']['size'];
		$type=$_FILES['edit_staff_photo']['type'];
		$error=$_FILES['edit_staff_photo']['error'];
		
		//File upload path
		$file_name = basename($image_name);
		$target_file_path = '../assets/images/staff_images/'.$file_name;
		
		//Lets explode the image file to get its extensions
		$image_explode = explode('.',$image_name);
		$file_type = end($image_explode);
		
		if(in_array($file_type, $allowed_types)===true){
			//Store images on server
			if(move_uploaded_file($tmp_name,$target_file_path)){
				$save_staff = $objHospital->edit_staff($first_name,$last_name,$gender,$phone_number,$email,$address,$target_file_path,$department,$nature_of_work,$user_id,$category_name,$hospital_id,$password,$staff_id);
			}else{
				echo'Image has not been uploaded to the server';
			}
		}else{
			echo'Image format not recognized';
		}
	}
}
elseif(isset($_POST['delete_staff_id'])){
	$staff_id = $_POST['delete_staff_id'];
	$user_id = $_POST['delete_staff_user_id'];
	
	$delete_staff = $objHospital->delete_staff($staff_id,$user_id);
	
}
elseif(isset($_POST['get_calendar'])){
	$staff_id = $_POST['get_calendar'];
	
	$get_calendar = $objHospital->get_calendar($staff_id);
}
elseif(isset($_POST['schedule_user_id'])){
	
	$user_id = $_POST['schedule_user_id'];
	$staff_id = $_POST['schedule_staff_id'];
	$schedule_name = $_POST['schedule_name'];
	$start_date = $_POST['schedule_start_date'];
	$end_date = $_POST['schedule_end_date'];
	$color = $_POST['schedule_color'];
	
	$save_schedule = $objHospital->save_schedule($user_id,$staff_id,$schedule_name,$start_date,$end_date,$color);
}
elseif(isset($_POST['delete_schedule_id'])){
	$schedule_id = $_POST['delete_schedule_id'];
	$staff_id = $_POST['delete_staff_schedule_id'];
	$user_id = $_POST['delete_user_schedule_id'];
	
	$delete_schedule = $objHospital->delete_schedule_id($schedule_id,$staff_id,$user_id);
}
elseif(isset($_POST['request_leave_type'])){
	$leave_type = $_POST['request_leave_type'];
	$start_date = $_POST['request_leave_start_date'];
	$end_date = $_POST['request_leave_end_date'];
	$user_id = $_POST['request_leave_user_id'];
	
	$save_request = $objHospital->save_request($leave_type,$start_date,$end_date,$user_id);
}
elseif(isset($_POST['logout_staff_id'])){
	$staff_id = $_POST['logout_staff_id'];
	
	$logout = $objHospital->logout($staff_id);
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}






?>