<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['brand_name'])){
	$brand_name = $_POST['brand_name'];
	$description = $_POST['brand_description'];
	$user_id = $_POST['brand_user_id'];
	$department = $_POST['brand_department'];
		
	$add_brand = $objHospital->add_brand($brand_name,$description,$user_id,$department);
	
}
elseif(isset($_POST['get_patients'])){
	$user_id = $_POST['get_patients'];
	$get_all_prescriptions = $objHospital->get_all_prescriptions($user_id);
	if(empty($get_all_prescriptions)){
		echo'<tr><td colspan="7" style="color:green;"><center>There are no prescriptions made yet</center></td></tr>';
	}else{ 
		foreach($get_all_prescriptions as $prescription){
			$patient_id  = $prescription['patient_id']; 
			$hospital_id = $prescription['hospital_id'];
			$visit_date = $prescription['visit_date'];
			//$dispensed = $prescription['dispensed'];
			$visit_id = $prescription['visit_id'];
			$walkin_patient = $prescription['walkin_patient'];
			if($walkin_patient == 'yes'){
				$get_walkin_patient_details = $objHospital->get_all_walkin_patient_prescriptions($patient_id,$hospital_id);
				foreach($get_walkin_patient_details as $details){
					$walkin_name = $details['name'];
					$walkin_gender = $details['gender'];
					$walkin_age = $details['age'];
					if(empty($walkin_name)){
						$walkin_name = 'Walk-In Patient';
						$walkin_gender = 'N/A';
						$walkin_age = 'N/A';
					}else{
						$walkin_name = $walkin_name;
						$walkin_gender = $walkin_gender;
						$walkin_age = $walkin_age;
						
					}
					$dispense_patient_id  = $prescription['patient_id'];
					$name = $walkin_name;
					$gender = $walkin_gender;
					$age = $walkin_age;
					$first_name = 'Walk-In';
					$last_name = 'Patient';
				}
			}else{
				$get_patient_details = $objHospital->get_prescription_by_patient_id($patient_id, $hospital_id);
				foreach($get_patient_details as $prescription){
					$dispense_patient_id  = $prescription['patient_id'];
					$first_name = $prescription['first_name'];
					$last_name = $prescription['last_name'];
					$gender = $prescription['gender'];
					$age = $prescription['age'];
					$name = $first_name.' '.$last_name;
				}
				
			}
			
			echo'
			<tr>
				<td><center>'.$dispense_patient_id.'</center></td>
				<td><center>'.$visit_date.'</center></td>
				<td><center>'.$name.'</center></td>
				<td><center>'.$gender.'</center></td>
				<td><center>'.$age.'</center></td>
				<td><center>';
				$get_dispenses = $objHospital->get_partial_dispenses($visit_id,$patient_id,$user_id);
				foreach($get_dispenses as $dispenses){
					$total = $dispenses['total_dispensed'];
					$not_dispensed = $dispenses['not_dispensed'];
					$dispensed = $dispenses['dispensed'];
				}
				if($dispensed < $total && $dispensed > 0){
					echo'<div class="badge badge-pill badge-warning" style="font-size:16px;">Partially Dispensed</div>';
				}elseif($dispensed == $total || empty($patient_id)){
					echo'<div class="badge badge-pill badge-primary" style="font-size:16px;">Dispensed</div>';
				}else{
					echo'<div class="badge badge-pill badge-danger" style="font-size:16px;">Pending</div>';
				}
			
				
				echo'</center></td>
				<td>
					<center><button class="btn btn-success dispense_medicine_button"  data-toggle="modal" data-target="#dispense_medicine_modal" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-first-name="'.$first_name.'" data-last-name="'.$last_name.'" data-gender="'.$gender.'" data-age="'.$age.'">Dispense</button>
					</center>
				</td>
			</tr>
			
			';
		}
	}	
}
elseif(isset($_POST['searched_patient'])){
	$searched_term = $_POST['searched_patient'];
	$user_id = $_POST['searched_patient_user_id'];
	
	$get_all_prescriptions = $objHospital->get_prescription_by_searched_patient_term($searched_term, $user_id);
	if(empty($get_all_prescriptions)){
		echo'<tr><td colspan="7" style="color:green;"><center>There are no prescriptions made for the searched patient yet</center></td></tr>';
	}else{ 
		foreach($get_all_prescriptions as $prescription){
			$patient_id  = $prescription['patient_id']; 
			$hospital_id = $prescription['hospital_id'];
			$visit_date = $prescription['visit_date'];
			//$dispensed = $prescription['dispensed'];
			$visit_id = $prescription['visit_id'];
			$walkin_patient = $prescription['walkin_patient'];
			if($walkin_patient == 'yes'){
				$get_walkin_patient_details = $objHospital->get_all_walkin_patient_prescriptions($patient_id,$hospital_id);
				foreach($get_walkin_patient_details as $details){
					$walkin_name = $details['name'];
					$walkin_gender = $details['gender'];
					$walkin_age = $details['age'];
					if(empty($walkin_name)){
						$walkin_name = 'Walk-In Patient';
						$walkin_gender = 'N/A';
						$walkin_age = 'N/A';
					}else{
						$walkin_name = $walkin_name;
						$walkin_gender = $walkin_gender;
						$walkin_age = $walkin_age;
					}
					$dispense_patient_id  = $prescription['patient_id'];
					$name = $walkin_name;
					$gender = $walkin_gender;
					$age = $walkin_age;
					$first_name = 'Walk-In';
					$last_name = 'Patient';
				}
			}else{
				$get_patient_details = $objHospital->get_prescription_by_patient_id($patient_id, $hospital_id);
				foreach($get_patient_details as $prescription){
					$dispense_patient_id  = $prescription['patient_id'];
					$first_name = $prescription['first_name'];
					$last_name = $prescription['last_name'];
					$gender = $prescription['gender'];
					$age = $prescription['age'];
					$name = $first_name.' '.$last_name;
				}
				
			}
			
			echo'
			<tr>
				<td><center>'.$dispense_patient_id.'</center></td>
				<td><center>'.$visit_date.'</center></td>
				<td><center>'.$name.'</center></td>
				<td><center>'.$gender.'</center></td>
				<td><center>'.$age.'</center></td>
				<td><center>';
				$get_dispenses = $objHospital->get_partial_dispenses($visit_id,$patient_id,$user_id);
				foreach($get_dispenses as $dispenses){
					$total = $dispenses['total_dispensed'];
					$not_dispensed = $dispenses['not_dispensed'];
					$dispensed = $dispenses['dispensed'];
				}
				if($dispensed < $total && $dispensed > 0){
					echo'<div class="badge badge-pill badge-warning" style="font-size:16px;">Partially Dispensed</div>';
				}elseif($dispensed == $total || empty($patient_id)){
					echo'<div class="badge badge-pill badge-primary" style="font-size:16px;">Dispensed</div>';
				}else{
					echo'<div class="badge badge-pill badge-danger" style="font-size:16px;">Pending</div>';
				}
			
				
				echo'</center></td>
				<td>
					<center><button class="btn btn-success dispense_medicine_button"  data-toggle="modal" data-target="#dispense_medicine_modal" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-first-name="'.$first_name.'" data-last-name="'.$last_name.'" data-gender="'.$gender.'" data-age="'.$age.'">Dispense</button>
					</center>
				</td>
			</tr>
			
			';
		}
	}	
}
elseif(isset($_POST['get_brands_user_id'])){
	$user_id = $_POST['get_brands_user_id'];
	
	$get_brands = $objHospital->get_product_brands($user_id);
	if(empty($get_brands)){
		echo'<tr><td colspan="4"><center>There are no brands added yet</center></td></tr>';
	}else{
		foreach($get_brands as $brand){
			$brand_id = $brand['product_brand_id'];
			$hospital_id = $brand['hospital_id'];
			$brand_name = $brand['brand_name'];
			$description = $brand['description'];
			
			echo'
			<tr>
				<td><center>'.$brand_id.'</center></td>
				<td><center>'.$brand_name.'</center></td>
				<td><center>'.substr($description,0,50).'...</center></td>
				<td><center><button class="btn btn-danger btn-sm delete_brand_btn" data-brand-id="'.$brand_id.'" data-hospital-id="'.$hospital_id.'">Delete</button></center></td>
			</tr>
			
			';
		}
	}
}
elseif(isset($_POST['delete_brand_id'])){
	$brand_id = $_POST['delete_brand_id'];
	$hospital_id = $_POST['delete_hospital_id'];
	$user_id = $_POST['delete_brand_user_id'];
		
	$delete_brand = $objHospital->delete_brand($brand_id,$hospital_id,$user_id);
	
}

elseif(isset($_POST['product_category_name'])){
	$category_name = $_POST['product_category_name'];
	$description = $_POST['category_description'];
	$user_id = $_POST['category_user_id'];
	$department = $_POST['category_department'];
		
	$add_product_category = $objHospital->add_product_category($category_name,$description,$user_id,$department);
	
}
elseif(isset($_POST['get_category_user_id'])){
	$user_id = $_POST['get_category_user_id'];
	
	$get_categories = $objHospital->get_product_categories($user_id);
	if(empty($get_categories)){
		echo'<tr><td colspan="4"><center>There are no Categories added yet</center></td></tr>';
	}else{
		foreach($get_categories as $category){
			$category_id = $category['product_category_id'];
			$hospital_id = $category['hospital_id'];
			$category_name = $category['category_name'];
			$description = $category['description'];
			
			echo'
			<tr>
				<td><center>'.$category_id.'</center></td>
				<td><center>'.$category_name.'</center></td>
				<td><center>'.substr($description,0,50).'...</center></td>
				<td><center><button class="btn btn-danger btn-sm delete_category_btn" data-category-id="'.$category_id.'" data-hospital-id="'.$hospital_id.'">Delete</button></center></td>
			</tr>
			
			';
		}
	}
}
elseif(isset($_POST['delete_category_id'])){
	$category_id = $_POST['delete_category_id'];
	$hospital_id = $_POST['delete_category_hospital_id'];
	$user_id = $_POST['delete_category_user_id'];
		
	$delete_category = $objHospital->delete_product_category($category_id,$hospital_id,$user_id);
}

elseif(isset($_POST['getBrandsUserId'])){
	$user_id = $_POST['getBrandsUserId'];
	$get_brands = $objHospital->get_product_brands($user_id);
	if(empty($get_brands)){
		echo'<option>No Brands added yet</option>';
	}else{
		foreach($get_brands as $brand){
			$brand_name = $brand['brand_name'];
			echo'<option>'.$brand_name.'</option>';
		}
	}
	
}
elseif(isset($_POST['getCategoriesUserId'])){
	$user_id = $_POST['getCategoriesUserId'];
	$get_categories = $objHospital->get_product_categories($user_id);
	if(empty($get_categories)){
		echo'<option>No Brands added yet</option>';
	}else{
		foreach($get_categories as $category){
			$category_name = $category['category_name'];
			echo'<option>'.$category_name.'</option>';
		}
	}
}
elseif(isset($_POST['getUnitsUserId'])){
	$user_id = $_POST['getUnitsUserId'];
	$get_product_units = $objHospital->get_product_units($user_id);
	if(empty($get_product_units)){
		echo'<option>No Units added yet</option>';
	}else{
		foreach($get_product_units as $product){
			$unit_id = $product['product_unit_id'];
			$unit_name = $product['unit_name'];
			$unit_symbol = $product['unit_symbol'];
			echo'<option value="'.$unit_id.'">'.$unit_name.'('.$unit_symbol.') </option>';
		}
	}
}
elseif(isset($_POST['product_name'])){
	
	$supplier_name = $_POST['supplier_name'];
	$date_received = $_POST['date_received'];
	$product_name = implode(',',$_POST['product_name']);
	$product_route = implode(',',$_POST['product_route']);
	$product_brand = implode(',',$_POST['product_brand']);
	$product_category = implode(',',$_POST['product_category']);
	$product_sold_as = implode(',',$_POST['product_sold_as']);
	$unit_strength = implode(',',$_POST['unit_strength']);
	$product_unit = implode(',',$_POST['product_unit']);
	$buying_price = implode(',',$_POST['buying_price']);
	$selling_price = implode(',',$_POST['selling_price']);
	$qty_received = implode(',',$_POST['qty_received']);
	$user_id = $_POST['product_user_id'];
	
	$save_product = $objHospital->save_product($supplier_name,$date_received,$product_name,$product_route,$product_brand,$product_category,$product_sold_as,$unit_strength,$product_unit,$buying_price,$selling_price,$qty_received,$user_id);
	
}
elseif(isset($_POST['get_products_user_id'])){
	$user_id = $_POST['get_products_user_id']; 
	
	$get_products = $objHospital->get_products_by_user_id($user_id);
	
	
	if(empty($get_products)){
		echo'<tr><td colspan="12" style="color:red;"><center>There are no products added in the system yet</center></td></tr>';
	}else{
		foreach($get_products as $product){
			$product_id = $product['pharmacy_product_id'];
			$hospital_id = $product['hospital_id'];
			$product_name = $product['product_name'];
			$route = $product['route'];
			$product_brand = $product['product_brand'];
			$product_category = $product['product_category'];
			$product_sold_as = $product['product_sold_as'];
			$qty_received = $product['qty_received'];
			$dosage_unit = $product['dosage_unit'];
			$supplier_name = $product['supplier_name'];
			$date_delivered = $product['date_delivered'];
			$user_id = $product['added_by_id'];
			$date_added = $product['date_added'];
			$unit_strength = $product['unit_strength'];
			
			//Get SI Units
			$get_product_units = $objHospital->get_product_units_by_id($dosage_unit,$user_id);
			if(empty($get_product_units)){
				$unit_symbol = '';
			}else{
				foreach($get_product_units as $product){
					$unit_symbol = $product['unit_symbol'];
				}
			}

			$total_issued = $objHospital->get_total_pharmacy_issue($product_id, $hospital_id);
			$total_received = $objHospital->get_total_pharmacy_received($product_id, $hospital_id);
			$balance = $objHospital->get_pharmacy_balance($product_id, $hospital_id);
			
			//Get stock details
			$get_product = $objHospital->getlast_stock_entry_prices($product_id,$hospital_id);
			if(empty($get_product)){
				$get_product_2 = $objHospital->get_product_by_product_id($product_id,$hospital_id);
				foreach($get_product_2 as $product){
					$buying_price = $product['buying_price'];
					$selling_price = $product['selling_price'];
				}
				$unit_margin = intval($buying_price) - intval($selling_price);
			}else{
				foreach($get_product as $product){
					$buying_price = $product['buy_price'];
					$selling_price = $product['sell_price'];
				}
				$unit_margin = intval($buying_price) - intval($selling_price);
			}
			
			if(empty($total_issued)){
				$total_issue = 0;
			}else{
				$total_issue = $total_issued;
			}
			
			if(empty($total_received)){
				$received = 0;
			}else{
				$received = $total_received;
			}
			
			$in_stock = intval($received) - intval($total_issue);
			echo'<tr>
				<td>'.$product_id.'</td>
				<td>'.$product_name.'</td>
				<td><center>'.$unit_strength.' '.$unit_symbol.'</center></td>
				<td><center>'.$product_sold_as.'</center></td>
				<td><center>'.$product_brand.'</center></td>
				<td><center>'.$product_category.'</center></td>
				<td style="color:blue;"><center>'.$balance.'</center></td>
				<td style="color:green;"><center>'.number_format(floatval($buying_price),0,0,',').'</center></td>
				<td><center>'.number_format(floatval($selling_price),0,0,',').'</center></td>
				<td><center>'.$route.'</center></td>
				<td>
					<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
					<div class="dropdown-menu dropdown-menu-right">
						<button class="badge badge-dark dropdown-item product_view_button" data-product-name="'.$product_name.'" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#view_product_modal">View Product</button>
						<button class="badge badge-light dropdown-item product_edit_button" data-product-name="'.$product_name.'" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#edit_product_modal">Edit Product</button>
						<button class="badge badge-warning dropdown-item stock_card_button" data-product-name="'.$product_name.'" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#stock_card_modal">Stock Card</button>
						<button class="badge badge-danger dropdown-item delete_product_button" data-product-name="'.$product_name.'" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'">Delete</button>
					</div>
				</td>
			
			</tr>';
		}
	}
}
elseif(isset($_POST['searchedProductTerm'])){
	$searched_product_term = $_POST['searchedProductTerm']; 
	$user_id = $_POST['searchedProductUserId']; 
	
	$search_product = $objHospital->search_product($searched_product_term,$user_id);

	if(empty($search_product)){
		echo'<tr><td colspan="12" style="color:red;"><center>There are no products with such search terms in the system yet</center></td></tr>';
	}else{
		foreach($search_product as $product){
			$product_id = $product['pharmacy_product_id'];
			$hospital_id = $product['hospital_id'];
			$product_name = $product['product_name'];
			$lot_number = $product['lot_number'];
			$product_brand = $product['product_brand'];
			$product_category = $product['product_category'];
			$product_sold_as = $product['product_sold_as'];
			$qty_received = $product['qty_received'];
			$expiry_date = $product['expiry_date'];
			$supplier_name = $product['supplier_name'];
			$date_delivered = $product['date_delivered'];
			$user_id = $product['added_by_id'];
			$date_added = $product['date_added'];
			$unit_strength = $product['unit_strength'];
			
			//Get stock details
			$get_product = $objHospital->getlast_stock_entry_prices($product_id,$hospital_id);
			if(empty($get_product)){
				$get_product_2 = $objHospital->get_product_by_product_id($product_id,$hospital_id);
				foreach($get_product_2 as $product){
					$buying_price = $product['buying_price'];
					$selling_price = $product['selling_price'];
				}
				$unit_margin = intval($buying_price) - intval($selling_price);
			}else{
				foreach($get_product as $product){
					$buying_price = $product['buy_price'];
					$selling_price = $product['sell_price'];
				}
				$unit_margin = intval($buying_price) - intval($selling_price);
			}
			
			$total_issued = $objHospital->get_total_issue($product_id, $hospital_id);
			$total_received = $objHospital->get_total_received($product_id, $hospital_id);
			$balance = $objHospital->get_pharmacy_balance($product_id, $hospital_id);
			if(empty($total_issued)){
				$total_issue = 0;
			}else{
				$total_issue = $total_issued;
			}
			
			if(empty($total_received)){
				$received = 0;
			}else{
				$received = $total_received;
			}
			
			$in_stock = intval($received) - intval($total_issue);
			echo'<tr>
				<td><center>'.$product_id.'</center></td>
				<td><center>'.$product_name.'</center></td>
				<td><center>'.$unit_strength.'</center></td>
				<td><center>'.$product_sold_as.'</center></td>
				<td><center>'.$product_brand.'</center></td>
				<td><center>'.$product_category.'</center></td>
				<td style="color:blue;"><center>'.$balance.'</center></td>
				<td style="color:green;"><center>'.number_format(intval($buying_price),0,0,',').'</center></td>
				<td><center>'.number_format(intval($selling_price),0,0,',').'</center></td>
				<td><center>'.date('d-m-Y',strtotime($expiry_date)).'</center></td>
				<td><center>'.$lot_number.'</center></td>
				<td>
					<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
					<div class="dropdown-menu dropdown-menu-right">
						<button class="badge badge-dark dropdown-item product_view_button" data-product-name="'.$product_name.'" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#view_product_modal">View Product</button>
						<button class="badge badge-light dropdown-item product_edit_button" data-product-name="'.$product_name.'" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#edit_product_modal">Edit Product</button>
						<button class="badge badge-warning dropdown-item stock_card_button" data-product-name="'.$product_name.'" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#stock_card_modal">Stock Card</button>
						<button class="badge badge-danger dropdown-item delete_product_button" data-product-name="'.$product_name.'" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'">Delete</button>
					</div>
				</td>
			
			</tr>';
		}
	}
}
elseif(isset($_POST['delete_product_id'])){
	$product_id = $_POST['delete_product_id'];
	$hospital_id = $_POST['delete_product_hospital_id'];
	$user_id = $_POST['delete_product_user_id'];
	$delete_product = $objHospital->delete_product($product_id,$hospital_id,$user_id);
}
elseif(isset($_POST['view_details_product_id'])){
	$product_id = $_POST['view_details_product_id'];
	$hospital_id = $_POST['view_details_product_hospital_id'];
	$user_id = $_POST['view_details_user_id'];
	
	$get_product_by_product_id = $objHospital->get_product_by_product_id($product_id,$hospital_id);
	foreach($get_product_by_product_id as $product){
			$product_name = $product['product_name'];
			$lot_number = $product['lot_number'];
			$product_brand = $product['product_brand'];
			$product_category = $product['product_category'];
			$product_sold_as = $product['product_sold_as'];
			$qty_received = $product['qty_received'];
			$expiry_date = $product['expiry_date'];
			$buying_price = $product['buying_price'];
			$selling_price = $product['selling_price'];
			$supplier_name = $product['supplier_name'];
			$date_delivered = $product['date_delivered'];
			$unit_strength = $product['unit_strength'];
			
			$total_issued = $objHospital->get_total_issue($product_id, $hospital_id);
			$total_received = $objHospital->get_total_received($product_id, $hospital_id);
			if(empty($total_issued)){
				$total_issue = 0;
			}else{
				$total_issue = $total_issued;
			}
			
			if(empty($total_received)){
				$received = 0;
			}else{
				$received = $total_received;
			}
			
			$in_stock = intval($received) - intval($total_issue);
		
		echo'<form method="post" class="form-sample" id="edit_store_product_form">
			<div class="card add_product_card">
				<table class="table primary-table-bg-hover">
					<thead>
						<tr>
							<th scope="col"><center>Product Name</center></th>
							<th scope="col"><center>Strength</center></th>
							<th scope="col"><center>Sold As</center></th>
							<th scope="col"><center>Brand</center></th>
							<th scope="col"><center>Category</center></th>
							<th scope="col"><center>Quantity</center></th>
							<th scope="col"><center>Buying Price</center></th>
							<th scope="col"><center>Selling Price</center></th>
							<th scope="col"><center>Expiry Date</center></th>
							<th scope="col"><center>Lot/Batch No</center></th>
						</tr>
					</thead>
					<tbody class="add_product_body">
						<tr>
							<td><center><span style="color:blue;">'.$product_id.'</span></center></td>
							<td><center><span style="color:blue;">'.$product_name.'</span></center></td>
							<td><center><span style="color:blue;">'.$unit_strength.'</span></center></td>
							<td><center><span style="color:blue;">'.$product_sold_as.'</span></center></td>
							<td><center><span style="color:blue;">'.$product_brand.'</span></center></td>
							<td><center><span style="color:blue;">'.$product_category.'</span></center></td>
							<td><center><span style="color:blue;">'.$in_stock.'</span></center></td>
							<td><center><span style="color:blue;">'.$buying_price.'</span></center></td>
							<td><center><span style="color:blue;">'.$selling_price.'</span></center></td>
							<td><center><span style="color:blue;">'.$expiry_date.'</span></center></td>
							<td><center><span style="color:blue;">'.$lot_number.'</span></center></td>
						</tr>
					</tbody>
				</table>
			</div>
			<div class="modal-footer">
				<div class="row">
					<div class="col-md-12">
						<div class="d-flex justify-content-between">
							<button type="button" data-dismiss="modal" class="btn btn-dark px-4 mr-2 my-1">Cancel</button>
						</div>
					</div>
				</div>
			</div>
			</form>
		';
			
	}
}
elseif(isset($_POST['editProductId'])){
	$product_id = $_POST['editProductId'];
	$hospital_id = $_POST['editProductHospitalId'];
	$editor_id = $_POST['editProductUserId'];
	
	$get_product_by_product_id = $objHospital->get_product_by_product_id($product_id,$hospital_id);
	foreach($get_product_by_product_id as $product){
		$product_id = $product['pharmacy_product_id'];
		$hospital_id = $product['hospital_id'];
		$product_name = $product['product_name'];
		$product_route = $product['route'];
		$product_brand = $product['product_brand'];
		$product_category = $product['product_category'];
		$product_sold_as = $product['product_sold_as'];
		$qty_received = $product['qty_received'];
		$product_unit = $product['dosage_unit'];
		$buying_price = $product['buying_price'];
		$selling_price = $product['selling_price'];
		$supplier_name = $product['supplier_name'];
		$date_delivered = $product['date_delivered'];
		$user_id = $product['added_by_id'];
		$date_added = $product['date_added'];
		$unit_strength = $product['unit_strength'];
		
		echo'<form method="post" class="form-sample" id="edit_product_form">
			<div class="card add_product_card">
				<table class="table primary-table-bg-hover">
					<thead>
						<tr>
							<th scope="col"><center>Product Name</center></th>
							<th scope="col"><center>Strength</center></th>
							<th scope="col"><center>Dossage Units</center></th>
							<th scope="col"><center>Sold As</center></th>
							<th scope="col"><center>Route</center></th>
							<th scope="col"><center>Brand</center></th>
							<th scope="col"><center>Category</center></th>
							<th scope="col"><center>Quantity</center></th>
							<th scope="col"><center>Buying Price</center></th>
							<th scope="col"><center>Selling Price</center></th>
						</tr>
					</thead>
					<tbody class="add_product_body">
						<tr>
							<td><input name="edit_product_name" type="text" class="form-control" placeholder="Eg. Panadol, Carbol Fuchsin, Tongs ...etc"/></td>
							<td><input name="edit_unit_strength" type="text" class="form-control" /></td>
							<td>
								<select name="edit_product_unit" type="text" class="form-control">';
									$get_product_units = $objHospital->get_product_units($user_id);
									if(empty($get_product_units)){
										echo'<option>No Units added yet</option>';
									}else{
										foreach($get_product_units as $product){
											$unit_id = $product['product_unit_id'];
											$unit_name = $product['unit_name'];
											$unit_symbol = $product['unit_symbol'];
											echo'<option value="'.$unit_id.'">'.$unit_name.'('.$unit_symbol.') </option>';
										}
									}
								echo'</select>
							</td>
							<td>
								<select name="edit_product_sold_as" type="text" class="form-control">
									<option>Tablet</option>
									<option>Capsule</option>
									<option>Piece</option>
									<option>Syrup</option>
									<option>Bottle</option>
									<option>Packet</option>
									<option>Box</option>
									<option>Strip</option>
									<option>Vial</option>
									<option>Ampule</option>
									<option>Reagent</option>
								</select>
							</td>
							<td>
								<select name="edit_product_route" type="text" class="form-control">
									<option>N/A</option>
									<option>PO (by mouth)</option>
									<option>PR (per rectum)</option>
									<option>IM (intramuscular)</option>
									<option>IV (intravenous)</option>
									<option>ID (intradermal)</option>
									<option>IN (intranasal)</option>
									<option>TP (topical)</option>
									<option>SL (sublingual)</option>
									<option>BUCC (buccal)</option>
									<option>IP (intraperitoneal)</option>
								</select>
							</td>
							<td>
								<input name="edit_product_brand" type="text" class="form-control">
							</td>
							<td>
								<select name="edit_product_category" type="text" class="form-control">';
								$get_categories = $objHospital->get_product_categories($editor_id);
								if(empty($get_categories)){
									echo'<option>No Categories added yet</option>';
								}else{
									foreach($get_categories as $category){
										$category_name = $category['category_name'];
										echo'<option>'.$category_name.'</option>';
									}
								}
								
								echo'</select>
							</td>
							<!--<td><input name="edit_qty_received" type="text" class="form-control" placeholder="A Number"/></td>-->
							<td><input name="edit_buying_price" type="text" class="form-control" placeholder="No Commas"/></td>
							<td><input name="edit_selling_price" type="text" class="form-control" placeholder="No Commas"/></td>
						</tr>
					</tbody>
				</table>
			</div>
			<div class="modal-footer">
				<div class="row">
					<div class="col-md-12">
						<div class="d-flex justify-content-between">
							<input name="edit_hospital_id" type="hidden" value="'.$hospital_id.'"/>
							<input name="edit_product_id" type="hidden" value="'.$product_id.'"/>
							<input type="hidden" name="edit_product_user_id" value="'.$editor_id.'">
							<button type="submit" class="btn btn-lg btn-primary px-4 mr-2 my-1" id="save"><span style="font-size:16px;">Edit Product</span></button>
							<button type="button" data-dismiss="modal" class="btn btn-dark px-4 mr-2 my-1">Cancel</button>
						</div>
					</div>
				</div>
			</div>
			</form>
		';
			
	}
}
elseif(isset($_POST['stock_card_product_id'])){
	$product_id = $_POST['stock_card_product_id'];
	$hospital_id = $_POST['stock_card_product_hospital_id'];
	$user_id = $_POST['stock_card_product_user_id'];
	
	//Get total stock in
	$total_in= $objHospital->get_total_stock_in($product_id,$hospital_id);
	
	//Get total stock out
	$total_out= $objHospital->get_total_stock_out($product_id,$hospital_id);
	
	//Get product name
	$get_product_by_product_id = $objHospital->get_product_by_product_id($product_id,$hospital_id);
	foreach($get_product_by_product_id as $product){
		$product_name = $product['product_name'];
	}
	
	//Get average monthly consumption
	$get_amc = $objHospital->get_average_monthly_consumption($product_id,$hospital_id);
	if(empty($get_amc) | is_null($get_amc)){
		$amc = 0;
	}else{
		$amc = $get_amc;
	}
	$stock_alert_settings = $objHospital->get_stock_alert_settings($user_id);
																							
	if(empty($stock_alert_settings)){
		$min_stock = 0;
		$max_stock = 0;
		$reorder = 0;
	}else{
		foreach($stock_alert_settings as $settings){
			$minimum_stock = $settings['minimum_stock'];
			$maximum_stock = $settings['maximum_stock'];
			$reorder_level = $settings['reorder_level'];
		}
		$min_stock = floatval($minimum_stock) * floatval($amc);
		$max_stock = floatval($maximum_stock) * floatval($amc);
		$reorder = floatval($reorder_level) * floatval($amc);
	}
																							
	$get_stock_by_product_id = $objHospital->get_stock_by_product_id($product_id,$hospital_id);
	$transaction_no = 0;
	
	echo'<table class="table primary-table-bg-hover">
		<thead>
			<tr>
				<th scope="col"><center>Product ID: <span style="color:blue">'.$product_id.'</span></center></th>
				<th scope="col" colspan="3"><center>Product Name: <span style="color:blue">'.$product_name.'</span></center></th>
				<th scope="col"><center>AMC: <span style="color:blue">'.number_format($amc,0,0,',').'</span></center></th>
				<th scope="col"><center>Min Stock: <span style="color:blue">'.number_format($min_stock,0,0,',').'</span></center></th>
			</tr>
			<tr>
				<th scope="col"><center>S/N</center></th>
				<th scope="col"><center>Date</center></th>
				<th scope="col"><center>QTY IN</center></th>
				<th scope="col"><center>QTY OUT</center></th>
				<th scope="col"><center>Balance</center></th>
				<th scope="col"><center>Comment</center></th>
			</tr>
		</thead>
		<tbody>';
	foreach($get_stock_by_product_id as $product){
		$product_id = $product['product_id'];
		$hospital_id = $product['hospital_id'];
		$received_date = $product['received_date'];
		$issue_date = $product['issue_date'];
		$quantity_received = $product['quantity_received'];
		$quantity_issued = $product['quantity_issued'];
		$counted_by = $product['counted_by'];
		$balance = $product['balance'];
		$transaction_no += 1;
		
		if($quantity_received == ''){
			$date = date('d-M-Y',strtotime($issue_date));
		}elseif($quantity_issued == ''){
			$date = date('d-M-Y',strtotime($received_date));
		}
		
		if(!empty($quantity_received)){
			$comment = '<span style="color:blue;">New Stock</span>';
		}elseif(!empty($quantity_issued)){
			$comment = '<span style="color:red;">Sold</span>';
		}elseif(!empty($counted_by)){
			$comment = '<span style="color:green;">Physical Count</span>';
		}
		
		echo'<tr>
			<td><center>'.$transaction_no.'</center></td>
			<td><center>'.$date.'</center></td>
			<td style="color:blue;"><center>'.$quantity_received.'</center></td>
			<td style="color:red;"><center>'.$quantity_issued.'</center></td>
			<td style="color:black;"><center>'.$balance.'</center></td>
			<td style="color:black;"><center>'.$comment.'</center></td>
		</tr>';	
	}
	echo'</tbody>
		<tfoot>
			<tr>
				<td style="color:black;"><center><b>Total</b></center></td>
				<td><center></center></td>
				<td style="color:blue;"><center><b>'.$total_in.'</b></center></td>
				<td style="color:red;"><center><b>'.$total_out.'</b></center></td>
				<td style="color:black;"><center><b></b></center></td>
			</tr>
		</tfoot>
	</table>';
}
elseif(isset($_POST['edit_product_name'])){
	$product_name = $_POST['edit_product_name'];
	$route = $_POST['edit_product_route'];
	$product_brand = $_POST['edit_product_brand'];
	$product_category = $_POST['edit_product_category'];
	$product_sold_as = $_POST['edit_product_sold_as'];
	$unit_strength = $_POST['edit_unit_strength'];
	$buying_price = $_POST['edit_buying_price'];
	$selling_price = $_POST['edit_selling_price'];
	if(empty($_POST['edit_qty_received'])){
		$qty_received = '';
	}else{
		$qty_received = $_POST['edit_qty_received'];
	}
	
	$hospital_id = $_POST['edit_hospital_id'];
	$product_id = $_POST['edit_product_id'];
	$user_id = $_POST['edit_product_user_id'];
	$unit = $_POST['edit_product_unit'];
	
	$edit_product = $objHospital->edit_product($product_name,$route,$product_brand,$product_category,$product_sold_as,$unit_strength,$unit,$buying_price,$selling_price,$qty_received,$user_id,$hospital_id,$product_id);
	
}
elseif(isset($_POST['stock_alert_minimum_stock'])){
	$minimum_stock = $_POST['stock_alert_minimum_stock'];
	$maximum_stock = $_POST['stock_alert_maximum_stock'];
	$reorder_level = $_POST['stock_alert_reorder_level'];
	$user_id = $_POST['stock_alert_user_id'];
	$save_stock_alert_settings = $objHospital->save_stock_alert_settings($minimum_stock,$maximum_stock,$reorder_level,$user_id);
}
elseif(isset($_POST['expiry_alert_period'])){
	$alert_period = $_POST['expiry_alert_period'];
	$user_id = $_POST['expiry_alert_user_id'];
	$save_expiry_alert_settings = $objHospital->save_expiry_alert_settings($alert_period,$user_id);
}
elseif(isset($_POST['order_product_id'])){
	$product_id = $_POST['order_product_id'];
	$hospital_id = $_POST['order_hospital_id'];
	$user_id = $_POST['order_user_id'];
	$department = $_POST['order_department'];
	$product_name = $_POST['order_product_name'];
	
	echo'<form method="post" class="re_order_form">
	<div class="form-row">
		<div class="form-group col-md-6">
			<label class="col-form-label" style="color:black; font-size:16px;">Unit Quantity Needed:</label>
			<input name="order_quantity" type="text" class="form-control"/>
		</div>
		<div class="form-group col-md-6">
			<label class="col-form-label" style="color:black; font-size:16px;">Select Urgency:</label>
			<select name="order_urgency" class="form-control">
				<option>Normal Order</option>
				<option>Urgent Order</option>
			</select>
		</div>
	</div>
	<div class="form-row">
		<div class="col-md-12">
			<div class="d-flex justify-content-between">
				<input name="product_order_hospital_id" type="hidden" value="'.$hospital_id.'"/>
				<input name="product_order_id" type="hidden" value="'.$product_id.'"/>
				<input type="hidden" name="order_product_user_id" value="'.$user_id.'">
				<input type="hidden" name="order_department_name" value="'.$department.'">
				<input type="hidden" name="product_name_order" value="'.$product_name.'">
				<button type="submit" class="btn btn-lg btn-primary px-4 mr-2 my-1" id="save"><span style="font-size:16px;">Submit Order</span></button>
				<button type="button" data-dismiss="modal" class="btn btn-dark px-4 mr-2 my-1">Cancel</button>
			</div>
		</div>
	</div>
	</form>
	';
}
elseif(isset($_POST['search_product_name'])){
	$product = $_POST['search_product_name'];
	$user_id = $_POST['search_product_user_id'];
	
	$search_product = $objHospital->search_product($product,$user_id);
	if(empty($search_product)){
		echo'<div class="row">
			<label><span style="color:black; font-size:16px;">There are no Products with that search term in the system</span></label>
		</div>';
	}else{
		echo'<table class="table table-bg-hover" style="width:17rem;">
		<tbody>
			<tr>
				<th scope="col"><b>Name</b></th>
				<th scope="col"><b>Strength</b></th>
				<th scope="col"><center><b>Expiry</b></center></th>
				<th scope="col"><center><b>Stock</b></center></th>
			</tr>';
		foreach($search_product as $product){
			$product_id = $product['pharmacy_product_id'];
			$product_name = $product['product_name'];
			$product_brand = $product['product_brand'];
			$unit_strength = $product['unit_strength'];
			$hospital_id = $product['hospital_id'];
			$sold_as = $product['product_sold_as'];
			
			$product_details = $objHospital->product_stock_details($product_id,$user_id);
			if(empty($product_details)){
				$exp_date = '';
				$selling_price = '';
			}else{
				foreach($product_details as $detail){
					$exp_date = date('d-m-Y', strtotime($detail['exp_date']));
					$selling_price = $detail['sell_price'];
				}
			}
			//Check stock status
			$check_product_stock = $objHospital->check_product_stock($product_id,$user_id);
			if(empty($check_product_stock)){
				echo'<tr class="search_term_result" data-product-id="'.$product_id.'" data-product-name="'.$product_name.'" data-product-brand="'.$product_brand.'" data-unit-strength="'.$unit_strength.'" data-sold-as="'.$sold_as.'" data-selling-price="'.$selling_price.'" data-stock-qty="'.$check_product_stock.'">
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;">'.$product_name.'</td>
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;">'.$unit_strength.'</td>
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>_</center></td>
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center><span style="color:red;">No stock added yet</span></center></td>
				</tr>';
			}elseif($check_product_stock <= 0){
				echo'<tr class="search_term_result" data-product-id="'.$product_id.'" data-product-name="'.$product_name.'" data-product-brand="'.$product_brand.'" data-unit-strength="'.$unit_strength.'" data-sold-as="'.$sold_as.'" data-selling-price="'.$selling_price.'" data-stock-qty="'.$check_product_stock.'">
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;">'.$product_name.'</td>
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;">'.$unit_strength.'</td>
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>_</center></td>
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center><span class="badge badge-danger" style="color:red;">O/S</span></center></td>
				</tr>';
			}else{
				echo'<tr class="search_term_result" data-product-id="'.$product_id.'" data-product-name="'.$product_name.'" data-product-brand="'.$product_brand.'" data-unit-strength="'.$unit_strength.'" data-sold-as="'.$sold_as.'" data-selling-price="'.$selling_price.'" data-stock-qty="'.$check_product_stock.'">
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;">'.$product_name.'</td>
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;">'.$unit_strength.'</td>
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.$exp_date.'</center></td>
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center><span class="badge badge-success" style="color:red;">'.$check_product_stock.' '.$sold_as.'</span></center></td>
				</tr>';
			}
		}
		echo'</tbody>
		</table>';
	}
}
elseif(isset($_POST['get_product_exp_id'])){
	$product_id = $_POST['get_product_exp_id'];
	$user_id = $_POST['get_product_exp_user_id'];
	$product_name = $_POST['get_product_exp_name'];
	
	$get_exp_details = $objHospital->get_product_exp_details($product_id,$user_id);
	if(empty($get_exp_details)){
		echo'<tr>
			<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.$product_name.'</center></td>
			<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>_</center></td>
			<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>_</center></td>
		</tr>';
	}else{
		foreach($get_exp_details as $product){
			$product_id = $product['product_id'];
			$product_name = $product['product_name'];
			$exp_date = $product['exp_date'];
			$lot_no = $product['lot_no'];
			$hospital_id = $product['hospital_id'];
			
			echo'<tr>
				<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.$product_name.'</center></td>
				<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.$lot_no.'</center></td>
				<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.date('d-m-Y',strtotime($exp_date)).'</center></td>
			</tr>';
		}
	}
}
elseif(isset($_POST['get_prescription_exp_patient_id'])){
	$patient_id = $_POST['get_prescription_exp_patient_id'];
	$hospital_id = $_POST['get_prescription_exp_hospital_id'];
	$user_id = $_POST['get_prescription_exp_user_id'];
	
	$get_prescription_by_patient_id = $objHospital->get_approved_prescription_by_patient_id($patient_id, $hospital_id);
	foreach($get_prescription_by_patient_id as $prescription){
		$product_id = $prescription['product_id'];
		$product_name = $prescription['product_name'];
			
		$get_exp_details = $objHospital->get_product_exp_details($product_id,$user_id);
		if(empty($get_exp_details)){
			echo'<tr>
				<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.$product_name.'</center></td>
				<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>_</center></td>
				<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>_</center></td>
			</tr>';
		}else{
			foreach($get_exp_details as $product){
				$product_id = $product['product_id'];
				$product_name = $product['product_name'];
				$exp_date = $product['exp_date'];
				$lot_no = $product['lot_no'];
				$hospital_id = $product['hospital_id'];
				
				echo'<tr>
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.$product_name.'</center></td>
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.$lot_no.'</center></td>
					<td scope="col" style="font-size:14px; color: #36454F; line-height: 1rem;"><center>'.date('d-m-Y',strtotime($exp_date)).'</center></td>
				</tr>';
			}
		}
	}
	
}
elseif(isset($_POST['order_quantity'])){
	$quantity = $_POST['order_quantity'];
	$urgency = $_POST['order_urgency'];
	$hospital_id = $_POST['product_order_hospital_id'];
	$product_id = $_POST['product_order_id'];
	$department = 'Pharmacy';
	$product_name = $_POST['product_name_order'];
	$user_id = $_POST['order_product_user_id'];
	
	$submit_order=$objHospital->submit_order($quantity,$urgency,$hospital_id,$product_id,$department,$product_name,$user_id);
}
elseif(isset($_POST['stock_quantity'])){
	$quantity = implode(',',$_POST['stock_quantity']);
	$stock_ppi = implode(',',$_POST['stock_ppi']);
	$exp_date = implode(',',$_POST['stock_exp_date']);
	$lot_no = implode(',',$_POST['stock_lot_no']);
	$buy_price = implode(',',$_POST['stock_buy_price']);
	$sell_price = implode(',',$_POST['stock_sell_price']);
	$hospital_id = implode(',',$_POST['stock_hospital_id']);
	$product_id = implode(',',$_POST['stock_product_id']);
	$strength = implode(',',$_POST['stock_strength']);
	$product_name = implode(',',$_POST['stock_product_name']);
	$user_id = implode(',',$_POST['stock_user_id']);
	$brand = implode(',',$_POST['stock_brand']);
	$supplier_name = $_POST['supplier_name'];
	$date_received = $_POST['date_received'];
	$supplier_invoice = $_POST['supplier_invoice'];
	
	$save_stock=$objHospital->save_stock($quantity,$strength,$hospital_id,$product_id,$brand,$product_name,$user_id,$stock_ppi,$exp_date,$lot_no,$buy_price,$sell_price,$supplier_name,$date_received,$supplier_invoice);
}
elseif(isset($_POST['get_patient_id_to_dispense'])){
	$patient_id = $_POST['get_patient_id_to_dispense'];
	$hospital_id = $_POST['get_hospital_id_to_dispense'];
	$user_id = $_POST['get_user_id_to_dispense'];
	
	$get_prescription_by_patient_id = $objHospital->get_approved_prescription_by_patient_id($patient_id, $hospital_id);
	foreach($get_prescription_by_patient_id as $prescription){
		$prescription_id = $prescription['prescription_id'];
		$product_name = $prescription['product_name'];
		$product_strength = $prescription['product_strength'];
		$quantity = $prescription['quantity'];
		$sold_as = $prescription['sold_as'];
		$frequency = $prescription['frequency'];
		$period = $prescription['period'];
		$timeline = $prescription['timeline'];
		$total_quantity = $prescription['total_quantity'];
		$dosage_route = $prescription['dosage_route'];
		$product_id = $prescription['product_id'];
		$prescriber = $prescription['prescriber'];
		$date_prescribed = $prescription['date_prescribed'];
		$hospital_id = $prescription['hospital_id'];
		$dispensed = $prescription['dispensed'];
		$amount_dispensed = $prescription['amount_dispensed'];
		$visit_id = $prescription['visit_id'];
		$visit_date = $prescription['visit_date'];
		$dosage = $prescription['dosage'];
		
		$get_product_2 = $objHospital->get_product_by_product_id($product_id,$hospital_id);
		foreach($get_product_2 as $product){
			$dosage_unit = $product['dosage_unit'];
		}
		//Get SI Units
		$get_product_units = $objHospital->get_product_units_by_id($dosage_unit,$user_id);
		if(empty($get_product_units)){
			$unit_symbol = '';
		}else{
			foreach($get_product_units as $product){
				$unit_symbol = $product['unit_symbol'];
			}
		}
		
		echo'
		<tr>
			<td><center>'.$product_name.'</center></td>
			<td><center>'.$product_strength.'</center></td>
			<td><center>'.$dosage.' '.$unit_symbol.'</center></td>
			<td><center>'.$sold_as.'</center></td>
			<td><center>'.$frequency.'</center></td>
			<td><center>'.$period.'</center></td>
			<td><center>'.$timeline.'</center></td>
			<td><center>'.$total_quantity.'</center></td>
			<td><center>';
			if($dispensed == 'yes'){
				echo'<span style = "color:blue; font-size:18px;">'.$amount_dispensed.'</span>';
			}else{
				//Check stock status
				$check_product_stock = $objHospital->check_product_stock($product_id,$user_id);
				if(empty($check_product_stock)){
					echo'<span style="color:red;">No quantities added yet</span>';
				}elseif($check_product_stock <= 0){
					echo'<span class="badge badge-danger">Out of Stock</span>';
				}else{
					echo'<input type="text" name="qty_dispensed[]" class="qty_dispensed" placeholder="'.$check_product_stock.' '.$sold_as.' Remaining"/>';
				}
			}
			
			echo'</center></td>
			<td class="dispense_btn_cell" id="'.$product_id.'">';
				if($dispensed == "no"){
					echo'<center><div class="badge badge-dark">Pending</div></center>';
				}else{
					echo'<center><div class="badge badge-primary">Dispensed</div></center>';
				}
				
			echo'</td>
			<td><center><button class="badge badge-danger dropdown-item delete_prescription_btn" data-prescription-id="'.$prescription_id.'" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'">Remove</button></center></td>
			<input name="dispense_prescription_id[]" type="hidden" value="'.$prescription_id.'">
			<input name="dispense_product_id[]" type="hidden" value="'.$product_id.'">
			<input name="dispense_patient_id" type="hidden" value="'.$patient_id.'">
			<input name="dispense_visit_id" type="hidden" value="'.$visit_id.'">
			<input name="dispense_visit_date" type="hidden" value="'.$visit_date.'">
			<input name="dispense_prescriber" type="hidden" value="'.$prescriber.'">
		</tr>
		';
	}
	
}
elseif(isset($_POST['get_patient_id_details_to_dispense'])){
	$patient_id = $_POST['get_patient_id_details_to_dispense'];
	$hospital_id = $_POST['get_hospital_id_details_to_dispense'];
	$visit_id = $_POST['get_visit_id_details_to_dispense'];
	
	$get_dispensed_by_patient_id = $objHospital->get_dispensed_prescription_by_patient_id($patient_id, $hospital_id,$visit_id);
	foreach($get_dispensed_by_patient_id as $prescription){
		$prescription_id = $prescription['prescription_id'];
		$product_name = $prescription['product_name'];
		$product_strength = $prescription['product_strength'];
		$quantity = $prescription['quantity'];
		$sold_as = $prescription['sold_as'];
		$frequency = $prescription['frequency'];
		$period = $prescription['period'];
		$timeline = $prescription['timeline'];
		$total_quantity = $prescription['total_quantity'];
		$dosage_route = $prescription['dosage_route'];
		$product_id = $prescription['product_id'];
		$prescriber = $prescription['prescriber'];
		$date_prescribed = $prescription['date_prescribed'];
		$hospital_id = $prescription['hospital_id'];
		$dispensed = $prescription['dispensed'];
		$dispense_date = $prescription['dispense_date'];
		$amount_dispensed = $prescription['amount_dispensed'];
		
		
		
		echo'
		<tr>
			<td><center>'.$product_name.'</center></td>
			<td><center>'.$product_strength.'</center></td>
			<td><center>'.$quantity.'</center></td>
			<td><center>'.$sold_as.'</center></td>
			<td><center>'.$frequency.'</center></td>
			<td><center>'.$period.'</center></td>
			<td><center>'.$timeline.'</center></td>
			<td><center>'.$total_quantity.'</center></td>
			<td><center>'.$amount_dispensed.'</center></td>
			<td class="dispense_btn_cell" id="'.$product_id.'"><center><div class="badge badge-primary">'.date('d-M-Y',strtotime($dispense_date)).'</div></center></td>
		</tr>
		';
	}
	
}
elseif(isset($_POST['delete_prescription_product_id'])){
	$product_id = $_POST['delete_prescription_product_id'];
	$prescription_id = $_POST['delete_prescription_prescription_id'];
	$hospital_id = $_POST['delete_prescription_hospital_id'];
	$dispenser_id = $_POST['delete_prescription_user_id'];
	
	$delete_prescription = $objHospital->delete_prescription($product_id,$prescription_id,$hospital_id,$dispenser_id);
	
}
elseif(isset($_POST['qty_dispensed'])){
	$dispense_prescription_id = implode(',',$_POST['dispense_prescription_id']);
	$qty_dispensed = implode(',',$_POST['qty_dispensed']);
	$dispense_product_id = implode(',',$_POST['dispense_product_id']);
	$dispenser_id = $_POST['dispense_user_id'];
	$patient_id = $_POST['dispense_patient_id'];
	$visit_id = $_POST['dispense_visit_id'];
	$visit_date = $_POST['dispense_visit_date'];
	$prescriber = $_POST['dispense_prescriber'];
	
	$dispense_medicine = $objHospital->dispense_medicine($dispense_prescription_id,$qty_dispensed,$dispense_product_id,$dispenser_id,$patient_id,$visit_id,$visit_date,$prescriber);
	
}
elseif(isset($_POST['walkin_dispensed'])){
	$amount_dispensed = implode(',',$_POST['walkin_dispensed']);
	$product_id = implode(',',$_POST['walkin_product_id']);
	$product_name = implode(',',$_POST['walkin_name']);
	$product_strength = implode(',',$_POST['walkin_strength']);
	$dosage_type = implode(',',$_POST['walkin_dosage_type']);
	$user_id = $_POST['walkin_user_id'];
	$amount_due = $_POST['total_amount_to_pay'];
	$amount_paid = $_POST['amount_paid'];
	$patient_name = $_POST['walkin_patient_name'];
	$gender = $_POST['walkin_gender'];
	$age = $_POST['walkin_age'];
	
	$patient_id = rand(100000,999999);
	
	$hospital_id = $objHospital->get_hospital_id($user_id);
	
	//Get last visit id
	$get_last_visit = $objHospital->get_last_visit($hospital_id);
	if(empty($get_last_visit)){
		$visit_id = 1;
	}else{
		foreach($get_last_visit as $visit){
			$visit = $visit['visit_id'];
			$visit_id = intval($visit) + 1;
		}
	}
	
	//Get last invoice number
	$get_last_invoice = $objHospital->get_last_invoice($hospital_id);
	if(empty($get_last_invoice)){
		$invoice_no = 00001;
		$invoice_date = date('m-d-Y');
	}else{
		//Check if there is a patient's invoice for this visit
		$get_patient_invoice = $objHospital->get_patient_invoice($patient_id,$visit_id,$hospital_id);
		if(empty($get_patient_invoice)){
			foreach($get_last_invoice as $invoice){
				$invoice = $invoice['invoice_no'];
				$invoice_no = intval($invoice) + 1;
				$invoice_date = date('m-d-Y');
			}
		}else{
			foreach($get_patient_invoice as $invoice){
				$invoice_no = $invoice['invoice_no'];
				$invoice_date = $invoice['date_added'];
			}
		}
	}
	
	$save_walkin_dispense = $objHospital->save_walkin_dispense($amount_dispensed,$product_id,$product_name,$product_strength,$dosage_type,$user_id,$patient_name,$gender,$age,$amount_due,$amount_paid,$invoice_no,$invoice_date,$patient_id,$visit_id);
}
elseif(isset($_POST['getRequestProductUserId'])){
	$user_id = $_POST['getRequestProductUserId'];
	$get_products = $objHospital->get_store_products_by_user_id($user_id);
	if(empty($get_products)){
		echo'<option>No Products added yet</option>';
	}else{
		foreach($get_products as $products){
			$product_id = $products['store_product_id'];
			$product_name = $products['product_name'];
			echo'<option value="'.$product_id.'">'.$product_name.'</option>';
		}
	}
}
elseif(isset($_POST['order_store_product_name'])){
	$product_id = implode(',',$_POST['order_store_product_name']);
	$quantity = implode(',',$_POST['order_store_quantity']);
	$dept = $_POST['order_store_dept'];
	$user_id = $_POST['order_store_user_id'];
	
	$place_order = $objHospital->place_order($product_id,$quantity,$dept,$user_id);
	
}
elseif(isset($_POST['confirmReceiptUserId'])){
	$hospital_id = $_POST['confirmReceiptHospitalId'];
	$order_id = $_POST['confirmReceiptOrderId'];
	$user_id = $_POST['confirmReceiptUserId'];
	$product_id = $_POST['confirmReceiptProductId'];
	$qty_issued = $_POST['confirmReceiptQuantityIssued'];
	$dpt_name = $_POST['confirmReceiptDeptName'];
	$product_name = $_POST['confirmReceiptProductName'];
	
	$confirm_receipt = $objHospital->confirm_pharmacy_receipt($hospital_id,$order_id,$user_id,$product_id,$qty_issued,$dpt_name,$product_name);
	
}
elseif(isset($_POST['getPhysicalCountProductUserId'])){
	$user_id = $_POST['getPhysicalCountProductUserId'];
	$dpt_name = $_POST['getPhysicalCountDeptName'];
	
	$get_products = $objHospital->get_dept_stock($user_id,$dpt_name);
	if(empty($get_products)){
		echo'<option value="none">No Products added yet</option>';
	}else{
		foreach($get_products as $products){
			$product_id = $products['dept_stock_id'];
			$product_name = $products['product_name'];
			$hospital_id = $products['hospital_id'];
			echo'<option value="'.$product_id.'">'.$product_name.'</option>';
		}
	}	
}
elseif(isset($_POST['physical_count_product_name'])){
	$product_id = implode(',',$_POST['physical_count_product_name']);
	$quantity = implode(',',$_POST['physical_count_quantity']);
	$dept = $_POST['physical_count_dept'];
	$user_id = $_POST['physical_count_user_id'];
	
	$physical_count = $objHospital->physical_pharmacy_count($product_id,$quantity,$dept,$user_id);
	
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}
























?>