<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['order_supplier_name'])){
	$product_name = implode(',',$_POST['order_product_name']);
	$unit_strength = implode(',',$_POST['order_unit_strength']);
	$brand = implode(',',$_POST['order_product_brand']);
	$sold_as = implode(',',$_POST['order_product_sold_as']);
	$quantity = implode(',',$_POST['order_product_quantity']);
	$product_id = implode(',',$_POST['order_product_id']);
	$po_id = implode(',',$_POST['order_po_id']);
	$supplier_name = $_POST['order_supplier_name'];
	$po_number = $_POST['order_po_number'];
	$receive_date = $_POST['order_receive_date'];
	$specification = $_POST['order_specification'];
	$user_id = $_POST['order_user_id'];
	
	if($supplier_name == 'Click here to select:'){
		echo'Please select a supplier for this order';
	}elseif(empty($product_name)){
		echo'Please add atleast one item to order';
	}else{
		$save_procurement_order = $objHospital->save_procurement_order($product_id,$unit_strength,$brand,$sold_as,$quantity,$product_name,$supplier_name,$po_number,$receive_date,$specification,$user_id,$po_id);
	}
	
}
elseif(isset($_POST['details_order_id'])){
	$order_id = $_POST['details_order_id'];
	$hospital_id = $_POST['details_hospital_id'];
	$user_id = $_POST['details_user_id'];
	$get_orders_by_id = $objHospital->get_saved_order_by_id($order_id,$user_id);
	foreach($get_orders_by_id as $order){
		$order_id = $order['order_tracking_id'];
		$po_number = $order['po_number'];
		$vendor_id = $order['vendor_id'];
		$date_added = $order['date_added'];
		$approval_date = $order['approval_date'];
		$delivery_date = $order['delivery_date'];
		$hospital_id = $order['hospital_id'];
				
		if($order['status'] == 'Pending Approval'){
			$status = '<div class="badge badge-danger">Pending Approval</div>';
		}else{
			$status = '<div class="badge badge-success">Approved</div>';
		}
		
		
		$get_vendor = $objHospital->get_vendor_by_id($user_id,$vendor_id);
		foreach($get_vendor as $vendor){
			$vendor_name = $vendor['vendor_name'];
		}
		
		echo'<div class="row">
			<table class="table table-borderless">
				<thead>
					<tr>
						<th scope="col" style="line-height:0.7rem;"><center>Order ID</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Vendor Name</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Order Date</center></th>
					</tr>
					<tr>
						<td style="line-height:0.7rem; color:blue;"><center>'.$po_number.'</center></td>
						<td style="line-height:0.7rem; color:blue;"><center>'.$vendor_name.'</center></td>
						<td style="line-height:0.7rem; color:blue;"><center>'.date("d-m-Y",strtotime($date_added)).'</center></td>
					</tr>
					<tr>
						<th scope="col" style="line-height:0.7rem;"><center></center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Status</center></th>
						<th scope="col" style="line-height:0.7rem;"><center></center></th>
					</tr>
					<tr>
						<td style="line-height:0.7rem;"><center></center></td>
						<td style="line-height:0.7rem;"><center>'.$status.'</center></td>
						<td style="line-height:0.7rem;"><center></center></td>
					</tr>
				</thead>
			</table>
		</div>
		<div class="row" style="height:2px; background-color:grey;"></div>
		<div class="row">
			<table class="table primary-table-bg-hover">
				<thead>
					<tr>
						<th scope="col" style="line-height:0.7rem;"><center>Product ID</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Product Name</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Quatity Requested</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Quantity Ordered</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Unit</center></th>
					</tr>
				</thead>
				<tbody>';
		
				//Get order purchase details
				$get_procurement_details = $objHospital->get_procurement_order_details($order_id,$user_id);
				foreach($get_procurement_details as $detail){
					$product_id = $detail['product_id'];
					$product_name = $detail['product_name'];
					$order_qty = $detail['order_qty'];
					$po_qty = $detail['po_qty'];
					$department = $detail['department_name'];
					
					//Get product details
					if($department == 'Pharmacy'){
						$get_product = $objHospital->get_product_by_product_id($product_id,$hospital_id);
						foreach($get_product as $product){
							$product_sold_as = $product['product_sold_as'];
						}
					}else{
						$get_product = $objHospital->get_store_product_by_product_id($product_id,$hospital_id);
						foreach($get_product as $product){
							$product_sold_as = $product['product_sold_as'];
						}
					}
					echo'<tr>
						<td><center>'.$product_id.'</center></td>
						<td><center>'.$product_name.'</center></td>
						<td><center>'.$order_qty.'</center></td>
						<td style="color:blue;"><center>'.$po_qty.'</center></td>
						<td><center>'.$product_sold_as.'</center></td>
					</tr>';
				}
				echo'</tbody>
			</table>
		</div>';
			
	}
}
elseif(isset($_POST['approved_order_id'])){
	$order_id = $_POST['approved_order_id'];
	$hospital_id = $_POST['approved_hospital_id'];
	$user_id = $_POST['approved_user_id'];
	$get_orders_by_id = $objHospital->get_saved_order_by_id($order_id,$user_id);
	foreach($get_orders_by_id as $order){
		$order_id = $order['order_tracking_id'];
		$po_number = $order['po_number'];
		$vendor_id = $order['vendor_id'];
		$date_added = $order['date_added'];
		$approval_date = $order['approval_date'];
		$delivery_date = $order['delivery_date'];
		$hospital_id = $order['hospital_id'];
		$approval_status = $order['status'];
				
		if($order['status'] == 'Pending Approval'){
			$status = '<div class="badge badge-warning">Pending Approval</div>';
		}else{
			$status = '<div class="badge badge-success">Approved</div>';
		}
		
		
		$get_vendor = $objHospital->get_vendor_by_id($user_id,$vendor_id);
		foreach($get_vendor as $vendor){
			$vendor_name = $vendor['vendor_name'];
		}
		
		echo'<div class="row">
			<table class="table table-borderless">
				<thead>
					<tr>
						<th scope="col" style="line-height:0.7rem;"><center>Order ID</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Vendor Name</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Order Date</center></th>
					</tr>
					<tr>
						<td style="line-height:0.7rem; color:blue;"><center>'.$po_number.'</center></td>
						<td style="line-height:0.7rem; color:blue;"><center>'.$vendor_name.'</center></td>
						<td style="line-height:0.7rem; color:blue;"><center>'.date("d-m-Y",strtotime($date_added)).'</center></td>
					</tr>
					<tr>
						<th scope="col" style="line-height:0.7rem;"><center></center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Status</center></th>
						<th scope="col" style="line-height:0.7rem;"><center></center></th>
					</tr>
					<tr>
						<td style="line-height:0.7rem;"><center></center></td>
						<td style="line-height:0.7rem;"><center>'.$status.'</center></td>
						<td style="line-height:0.7rem;"><center></center></td>
					</tr>
				</thead>
			</table>
		</div>
		<div class="row" style="height:2px; background-color:grey;"></div>
		<form method="post" id="approve_order_form">
		<div class="row">
			<table class="table primary-table-bg-hover">
				<thead>
					<tr>
						<th scope="col" style="line-height:0.7rem;"><center>Product ID</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Product Name</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Quatity Requested</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Quantity Ordered</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>';
						if($approval_status == 'Pending Approval'){
							echo 'Change Quantity';
						}else{
							echo 'Approved Quantity';
						}
						echo'</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Unit</center></th>
					</tr>
				</thead>
				<tbody>';
		
				//Get order purchase details
				$get_procurement_details = $objHospital->get_procurement_order_details($order_id,$user_id);
				foreach($get_procurement_details as $detail){
					$procurement_order_id = $detail['procurement_order_id'];
					$product_id = $detail['product_id'];
					$product_name = $detail['product_name'];
					$order_qty = $detail['order_qty'];
					$po_qty = $detail['po_qty'];
					$approved_qty = $detail['approved_qty'];
					$department = $detail['department_name'];
					$approved = $detail['approved'];
					
					//Get product details
					if($department == 'Pharmacy'){
						$get_product = $objHospital->get_product_by_product_id($product_id,$hospital_id);
						foreach($get_product as $product){
							$product_sold_as = $product['product_sold_as'];
						}
					}else{
						$get_product = $objHospital->get_store_product_by_product_id($product_id,$hospital_id);
						foreach($get_product as $product){
							$product_sold_as = $product['product_sold_as'];
						}
					}
					echo'<tr>
						<td><center>'.$product_id.'</center></td>
						<td><center>'.$product_name.'</center></td>
						<td><center>'.$order_qty.'</center></td>
						<td style="color:black;"><center>'.$po_qty.'</center></td>
						<td style="color:blue;"><center>';
						if($approved == 'yes' && !empty($approved_qty)){
							echo $approved_qty;
						}elseif($approved == 'yes' && empty($approved_qty)){
							echo $po_qty;
						}elseif(empty($approved)){
							echo'<input type="text" name="approve_quantity[]" class="form-control" style="width:7rem; border: 1px solid; border-radius:3px;">';
						}
						
						echo'<input name="approve_order_id[]" type="hidden" class="form-control" value="'.$procurement_order_id.'"/></center></td>
						<td><center>'.$product_sold_as.'</center></td>
					</tr>';
				}
				echo'</tbody>
			</table>
		</div>';
		if($approval_status !== 'Pending Approval'){
			echo'<center><div class="btn btn-info">Order already approved</div></center>';
		}else{
			echo'<div class="row">
				<div class="col-md-12">
					<input name="approve_order_user_id" type="hidden" class="form-control" value="'.$user_id.'"/>
					<input name="approve_tracking_id" type="hidden" class="form-control" value="'.$order_id.'"/>
					<center><button type="submit" class="btn btn-lg btn-primary"><span style="font-size:16px;">Approve Order</span></button> <button type="button" class="btn btn-lg btn-danger" id="approve_order"><span style="font-size:16px;">Cancel Order</span></button></center>
				</div>
			</div>';
		}
		echo'</form>';
			
	}
}
elseif(isset($_POST['receive_order_id'])){
	$order_id = $_POST['receive_order_id'];
	$hospital_id = $_POST['receive_hospital_id'];
	$user_id = $_POST['receive_user_id'];
	$get_orders_by_id = $objHospital->get_saved_order_by_id($order_id,$user_id);
	foreach($get_orders_by_id as $order){
		$order_id = $order['order_tracking_id'];
		$po_number = $order['po_number'];
		$vendor_id = $order['vendor_id'];
		$date_added = $order['date_added'];
		$approval_date = $order['approval_date'];
		$delivery_date = $order['delivery_date'];
		$hospital_id = $order['hospital_id'];
		$approval_status = $order['status'];
		$delivered = $order['delivered'];
		$status = $order['status'];
				
		if($status == 'Pending Approval'){
			$status = '<div class="badge badge-sm badge-danger">Pending Approval</div>';
		}elseif($status == 'Approved'){
			$status = '<div class="badge badge-sm badge-success">Approved and sent to Vendor</div>';
		}elseif($status == 'Delivered'){
			$status = '<div class="badge badge-sm badge-primary">Delivered</div>';
		}
		
		
		$get_vendor = $objHospital->get_vendor_by_id($user_id,$vendor_id);
		foreach($get_vendor as $vendor){
			$vendor_name = $vendor['vendor_name'];
		}
		
		echo'<div class="row">
			<table class="table table-borderless">
				<thead>
					<tr>
						<th scope="col" style="line-height:0.7rem;"><center>Order ID</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Vendor Name</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Order Date</center></th>
					</tr>
					<tr>
						<td style="line-height:0.7rem; color:blue;"><center>'.$po_number.'</center></td>
						<td style="line-height:0.7rem; color:blue;"><center>'.$vendor_name.'</center></td>
						<td style="line-height:0.7rem; color:blue;"><center>'.date("d-m-Y",strtotime($date_added)).'</center></td>
					</tr>
					<tr>
						<th scope="col" style="line-height:0.7rem;"><center></center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Status</center></th>
						<th scope="col" style="line-height:0.7rem;"><center></center></th>
					</tr>
					<tr>
						<td style="line-height:0.7rem;"><center></center></td>
						<td style="line-height:0.7rem;"><center>'.$status.'</center></td>
						<td style="line-height:0.7rem;"><center></center></td>
					</tr>
				</thead>
			</table>
		</div>
		<div class="row" style="height:2px; background-color:grey;"></div>
		<form method="post" id="receive_order_form">
		<div class="row">
			<table class="table primary-table-bg-hover">
				<thead>
					<tr>
						<th scope="col" style="line-height:0.7rem;"><center>Product ID</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Product Name</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Quatity Approved</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Quantity Accepted</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Quantity Rejected</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Lot Number</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Expiry Date</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Buy Price/Unit</center></th>
						<th scope="col" style="line-height:0.7rem;"><center>Sell Price/Unit</center></th>
					</tr>
				</thead>
				<tbody>';
		
				//Get order purchase details
				$get_procurement_details = $objHospital->get_procurement_order_details($order_id,$user_id);
				foreach($get_procurement_details as $detail){
					$procurement_order_id = $detail['procurement_order_id'];
					$product_id = $detail['product_id'];
					$product_name = $detail['product_name'];
					$order_qty = $detail['order_qty'];
					$po_qty = $detail['po_qty'];
					$approved_qty = $detail['approved_qty'];
					$department = $detail['department_name'];
					$approved = $detail['approved'];
					$approved_by = $detail['approved_by'];
					$sent_to_vendor = $detail['sent_to_vendor'];
					$sent_by = $detail['sent_by'];
					$date_sent = $detail['date_sent'];
					$qty_delivered = $detail['qty_delivered'];
					$qty_accepted = $detail['qty_accepted'];
					$qty_returned = $detail['qty_returned'];
					$date_returned = $detail['date_returned'];
					$date_delivered = $detail['date_delivered'];
					$received_by = $detail['received_by'];
					$date_received = $detail['date_received'];
					
					if(empty($approved_qty)){
						$approved = $po_qty;
					}else{
						$approved = $approved_qty;
					}
					
					//Get product details
					if($department == 'Pharmacy'){
						$get_product = $objHospital->get_product_by_product_id($product_id,$hospital_id);
						foreach($get_product as $product){
							$product_sold_as = $product['product_sold_as'];
						}
					}else{
						$get_product = $objHospital->get_store_product_by_product_id($product_id,$hospital_id);
						foreach($get_product as $product){
							$product_sold_as = $product['product_sold_as'];
						}
					}
					
					//Get stock details
					if($department == 'Pharmacy'){
						$get_product = $objHospital->get_store_stock_by_product_id($product_id,$hospital_id);
						foreach($get_product as $product){
							$exp_date = $product['exp_date'];
							$lot_no = $product['lot_no'];
							$buy_price = $product['buy_price'];
							$sell_price = $product['sell_price'];
						}
					}else{
						$get_product = $objHospital->get_stock_by_product_id($product_id,$hospital_id);
						foreach($get_product as $product){
							$exp_date = $product['exp_date'];
							$lot_no = $product['lot_no'];
							$buy_price = $product['buy_price'];
							$sell_price = $product['sell_price'];
						}
					}
					
					if($order['status'] !== 'Delivered'){
						echo'<tr>
							<td><center>'.$product_id.'</center></td>
							<td><center>'.$product_name.'</center></td>
							<td style="color:black"><center>'.$approved.'</center></td>
							<td><center><input type="text" name="receive_delivered_quantity[]" class="form-control" style="width:7rem; border: 1px solid; border-radius:3px;"></center></td>
							<td><center><input type="text" name="receive_rejected_quantity[]" class="form-control" style="width:7rem; border: 1px solid; border-radius:3px;"></center></td>
							<td><center><input type="text" name="receive_lot_no[]" class="form-control" style="width:7rem; border: 1px solid; border-radius:3px;"></center></td>
							<td><center><input type="date" name="receive_expiry_date[]" class="form-control" style="width:7rem; border: 1px solid; border-radius:3px;"></center></td>
							<td><center><input type="text" name="receive_buy_price[]" class="form-control" style="width:7rem; border: 1px solid; border-radius:3px;"></center></td>
							<td><center><input type="text" name="receive_sell_price[]" class="form-control" style="width:7rem; border: 1px solid; border-radius:3px;"></center></td>
						</tr>
						<input type="hidden" name="receive_procurement_order_id[]" class="form-control" style="width:7rem; border: 1px solid; border-radius:3px;" value="'.$procurement_order_id.'"/>';
					}elseif($order['status'] == 'Delivered'){
						echo'<tr>
							<td style="color:black"><center>'.$product_id.'</center></td>
							<td style="color:black"><center>'.$product_name.'</center></td>
							<td style="color:black"><center>'.$approved.'</center></td>
							<td style="color:blue"><center>'.$qty_accepted.'</center></td>
							<td style="color:red"><center>'.$qty_returned.'</center></td>
							<td style="color:black"><center>'.$lot_no.'</center></td>
							<td style="color:black"><center>'.date('d-M-Y',strtotime($exp_date)).'</center></td>
							<td style="color:black"><center>'.number_format($buy_price,0,0,',').'</center></td>
							<td style="color:black"><center>'.number_format($sell_price,0,0,',').'</center></td>
						</tr>';
					}
					
				}
				echo'</tbody>
			</table>
		</div>';
		if(!empty($delivered)){
			echo'<center><div class="btn btn-info">Order already received</div></center>';
		}else{
			echo'<div class="row d-flex justify-content-left">
				<label style="color:black; margin-left:50px; font-size:17px;" >Invoice No:</label>
				<input name="receive_invoice_no" type="text" class="form-control" style="width:7rem; border: 1px solid; border-radius:3px; margin-left:30px;"/>
			</div>
			<div class="row">
				<div class="col-md-12">
					<input name="receive_user_id" type="hidden" class="form-control" value="'.$user_id.'"/>
					<input name="receive_tracking_id" type="hidden" class="form-control" value="'.$order_id.'"/>
					<center><button type="submit" class="btn btn-lg btn-primary"><span style="font-size:16px;">Receive Order</span></button></center>
				</div>
			</div>';
		}
		echo'</form>';
			
	}
}
elseif(isset($_POST['receive_delivered_quantity'])){
	$delivered_quantity = implode(',',$_POST['receive_delivered_quantity']);
	$rejected_quantity = implode(',',$_POST['receive_rejected_quantity']);
	$lot_no = implode(',',$_POST['receive_lot_no']);
	$expiry_date = implode(',',$_POST['receive_expiry_date']);
	$buy_price = implode(',',$_POST['receive_buy_price']);
	$sell_price = implode(',',$_POST['receive_sell_price']);
	$order_id = implode(',',$_POST['receive_procurement_order_id']);
	$tracking_id = $_POST['receive_tracking_id'];
	$user_id = $_POST['receive_user_id'];
	$invoice_no = $_POST['receive_invoice_no'];
	
	$save_received_procurement_order = $objHospital->save_received_procurement_order($delivered_quantity,$rejected_quantity,$lot_no,$expiry_date,$buy_price,$sell_price,$order_id,$tracking_id,$user_id,$invoice_no);
	
}
elseif(isset($_POST['approve_quantity'])){
	$approved_qty = implode(',',$_POST['approve_quantity']);
	$order_id = implode(',',$_POST['approve_order_id']);
	$tracking_id = $_POST['approve_tracking_id'];
	$user_id = $_POST['approve_order_user_id'];
	
	//print_r($approved_qty.' '.$order_id.' '.$tracking_id.' '.$user_id);
	
	$approve_procurement_order = $objHospital->approve_procurement_order($order_id,$approved_qty,$tracking_id,$user_id);
	
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}
























?>