<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['department_name'])){
	$department_name = $_POST['department_name'];
	$department_function = $_POST['department_function'];
	$user_id = $_POST['user_id'];
		
	$add_department = $objHospital->add_department($user_id,$department_name,$department_function);
	
}
elseif(isset($_POST['get_departments'])){
	$user_id = $_POST['get_departments'];
	
	$get_departments = $objHospital->get_departments($user_id);
	if(empty($get_departments)){
		echo'<tr><td colspan="6">
			There are no departments added yet</td></tr>';
	}else{
		foreach($get_departments as $department){
			$department_id = $department['department_id'];
			$department_name = $department['department_name'];
			$department_function = $department['department_function'];
			
			//Lets cut the number of words 
			if(strlen($department_function)>100){
				$function = substr($department_function,0,100).'...';
			}else{
				$function = $department_function;
			}
			echo'
			<tr>
				<td>'.$department_id.'</td>
				<td colspan="2">'.$department_name.'</td>
				<td>'.$function.'</td>
				<td></td>
				<td></td>
				<td>
					<button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button>
					<div class="dropdown-menu dropdown-menu-right">
						<button class="badge badge-secondary dropdown-item details_button" data-department-id="'.$department_id.'" data-toggle="modal" data-target=".view_department">Details</button>
						<button class="badge badge-warning dropdown-item edit_button" data-department-id="'.$department_id.'" data-toggle="modal" data-target=".edit_department">Edit</button>
						<button class="badge badge-danger dropdown-item delete_button" data-department-id="'.$department_id.'"">Delete</button>
					</div>					
				</td>
			</tr>
			
			';
		}
	}
}
elseif(isset($_POST['department_id'])){
	
	$department_id = $_POST['department_id'];
	$get_department = $objHospital->get_department_by_id($department_id);
	foreach($get_department as $department){
		$department_id = $department['department_id'];
		$department_name = $department['department_name'];
		$department_function = $department['department_function'];
		
		echo'
		<div class="card">
			<div class="card-body">
				<div class="basic-form">
					<div class="form-row">
						<div class="form-group col-md-12">
							<label><span style="color:blue;">Department Name</span></label>
							<label><b>'.$department_name.'</b></label>
						</div>
						<div class="form-group col-md-12">
							<label><span style="color:blue;">Functions of the department</span></label>
							<label>'.$department_function.'</label>
						</div>
					</div>
				</div>
			</div>
		</div>
		';
	}
		
}
elseif(isset($_POST['edit_department_id'])){
	
	$department_id = $_POST['edit_department_id'];
	$get_department = $objHospital->get_department_by_id($department_id);
	foreach($get_department as $department){
		$department_id = $department['department_id'];
		$department_name = $department['department_name'];
		$department_function = $department['department_function'];
		
		echo'
		<div class="card">
			<div class="card-body">
				<div class="basic-form">
					<div class="form-row">
						<div class="form-group col-md-12">
							<label><span style="color:black;">Department Name</span></label>
							<input type="text" name="edit_department_name" class="form-control" placeholder="'.$department_name.'"/>
						</div>
						<div class="form-group col-md-12">
							<label><span style="color:black;">Functions of the department</span></label>
							<textarea type="text" rows="7" style="height:100%;" name="edit_department_function" class="form-control" placeholder="'.$department_function.'"></textarea>
						</div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<input type="hidden" name="edited_department_id" value="'.$department_id.'">
				<button type="submit" class="btn btn-primary">Save changes</button>
				<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
			</div>
		</div>
		
		';
	}
		
}
elseif(isset($_POST['delete_department_id'])){
	$department_id = $_POST['delete_department_id'];
	$delete_department = $objHospital->delete_department($department_id);
	
}
elseif(isset($_POST['edit_department_name'])){
	$department_name = $_POST['edit_department_name'];
	$department_function = $_POST['edit_department_function'];
	$department_id = $_POST['edited_department_id'];
	
	$edit_department = $objHospital->edit_department($department_name,$department_function,$department_id);
	
}
elseif(isset($_POST['service_name'])){
	$service_name = $_POST['service_name'];
	$service_description = $_POST['service_description'];
	$sevice_cost = $_POST['sevice_cost'];
	$user_id = $_POST['service_user_id'];
	
	$add_imaging_service = $objHospital->add_imaging_service($service_name,$service_description,$sevice_cost,$user_id);
	
}
elseif(isset($_POST['view_service_id'])){
	$service_id = $_POST['view_service_id'];
	$hospital_id = $_POST['view_service_hospital_id'];
	
	$get_service_by_id = $objHospital->get_radiology_service_by_id($service_id,$hospital_id);
	foreach($get_service_by_id as $service){
		$service_id  = $service['imaging_id'];
		$hospital_id = $service['hospital_id'];
		$service_name = $service['imaging_name'];
		$description = $service['description'];
		$cost = $service['cost'];
		
		echo'
		<div class="row">
			<div class="col-md-12">
			  <div class="form-group row">
				<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Service Name:</label>
				<div class="col-sm-9">
				  <label class="col-sm-9 col-form-label" style="color:blue; font-size:16px;">'.$service_name.'</label>
				</div>
			  </div>
			</div>
			<div class="col-md-12">
			  <div class="form-group row">
				<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
				<div class="col-sm-9">
				  <label class="col-sm-9 col-form-label" style="color:blue; font-size:16px;">'.$description.'</label>
				</div>
			  </div>
			</div>
			<div class="col-md-12">
			  <div class="form-group row">
				<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Cost:</label>
				<div class="col-sm-9">
				  <label class="col-sm-9 col-form-label" style="color:blue; font-size:16px;">'.$cost.'</label>
				</div>
			  </div>
			</div>
		</div>
		';
	}
	
}
elseif(isset($_POST['edit_service_id'])){
	$service_id = $_POST['edit_service_id'];
	$hospital_id = $_POST['edit_service_hospital_id'];
	$user_id = $_POST['edit_service_user_id'];
	
	$get_service_by_id = $objHospital->get_radiology_service_by_id($service_id,$hospital_id);
	foreach($get_service_by_id as $service){
		$service_id  = $service['imaging_id'];
		$hospital_id = $service['hospital_id'];
		$service_name = $service['imaging_name'];
		$description = $service['description'];
		$cost = $service['cost'];
		
		echo'
		<div class="row">
			<form method="post" class="form-sample" id="edit_service_form">
			  <div class="row">
				<div class="col-md-12">
				  <div class="form-group row">
					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Service Name:</label>
					<div class="col-sm-9">
					  <input name="imaging_name_edit" type="text" class="form-control" placeholder="'.$service_name.'"/>
					</div>
				  </div>
				</div>
				<div class="col-md-12">
				  <div class="form-group row">
					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
					<div class="col-sm-9">
					  <textarea name="imaging_description_edit" type="text" rows="2" style="height:100%;" class="form-control" placeholder="'.$description.'"></textarea>
					</div>
				  </div>
				</div>
				<div class="col-md-12">
				  <div class="form-group row">
					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Cost:</label>
					<div class="col-sm-9">
					  <input name="imaging_cost_edit" type="text" class="form-control" placeholder="'.$cost.'"/>
					</div>
				  </div>
				</div>
			  </div>
			  
			  <div class="row">
				<div class="col-md-12">
					<div class="d-flex justify-content-center">
						<input type="hidden" name="imaging_user_id_edit" value="'.$user_id.'">
						<input type="hidden" name="imaging_hospital_id_edit" value="'.$hospital_id.'">
						<input type="hidden" name="imaging_id_edit" value="'.$service_id.'">
						<button type="submit" class="btn btn-lg btn-primary" id="imaging_save"><span style="font-size:16px;">Save Changes</span></button>
					</div>
				</div>
			  </div>
			</form>
		<!-- partial -->
		</div>
		';
	}
}
elseif(isset($_POST['imaging_name_edit'])){
	$service_name = $_POST['imaging_name_edit'];
	$service_description = $_POST['imaging_description_edit'];
	$sevice_cost = $_POST['imaging_cost_edit'];
	$user_id = $_POST['imaging_user_id_edit'];
	$hospital_id = $_POST['imaging_hospital_id_edit'];
	$service_id = $_POST['imaging_id_edit'];
	
	$edit_service = $objHospital->edit_imaging_service($service_name,$service_description,$sevice_cost,$user_id,$hospital_id,$service_id);
	
}
elseif(isset($_POST['delete_service_id'])){
	$service_id = $_POST['delete_service_id'];
	$hospital_id = $_POST['delete_service_hospital_id'];
	$user_id = $_POST['delete_service_user_id'];
	
	$delete_service = $objHospital->delete_imaging_service($service_id,$hospital_id,$user_id);
}
elseif(isset($_POST['report_details'])){
	$report = $_POST['report_details'];
	$impression = $_POST['report_impression'];
	
	if(empty($_POST['report_consumables'])){
		$consumables = '';
	}else{
		$consumables = implode(',',$_POST['report_consumables']);
	}
	
	$user_id = $_POST['report_user_id'];
	$patient_id = $_POST['report_patient_id'];
	$request_id = $_POST['report_request_id'];
	$hospital_id = $_POST['report_hospital_id'];
	$service_id = $_POST['report_service_id'];
	$service_name = $_POST['report_service_name'];
	$service_cost = $_POST['report_service_cost'];
	$visit_id = $_POST['report_visit_id'];
	$visit_date = $_POST['report_visit_date'];
	
	$report_name=$_FILES['upload_radiology_report']['name'];
	$tmp_name=$_FILES['upload_radiology_report']['tmp_name'];
	$type=$_FILES['upload_radiology_report']['type'];
	
	$allowed_types = array('jpg','png','jpeg','gif','pdf','JPG','PNG','JPEG','GIF','PDF');
	
	//File upload path
	$file_name = basename($report_name);
	$target_file_path = '../assets/radiology_reports/'.$file_name;
	
	//Lets explode the image file to get its extensions
	$report_explode = explode('.',$report_name);
	$file_type = end($report_explode);
	
	if(in_array($file_type, $allowed_types)===true){
		//Store images on server
		if(move_uploaded_file($tmp_name,$target_file_path)){
			$save_report = $objHospital->save_imaging_report($report,$impression,$consumables,$user_id,$patient_id,$hospital_id,$service_id,$service_name,$service_cost,$visit_id,$visit_date,$target_file_path,$report_name,$file_type,$request_id);
		}
	}
}
elseif(isset($_POST['view_report_patient_id'])){
	$patient_id = $_POST['view_report_patient_id'];
	$request_id = $_POST['view_report_request_id'];
	$service_id = $_POST['view_report_service_id'];
	$hospital_id = $_POST['view_report_hospital_id'];
	$service_name = $_POST['view_report_service_name'];
	$visit_id = $_POST['view_report_visit_id'];
	$user_id = $_POST['view_report_user_id'];
	
	$get_hospital_info = $objHospital->get_hospital_details($hospital_id);
	foreach($get_hospital_info as $info){
		$hospital_name=$info['hospital_name'];
		$hospital_country=$info['hospital_country'];
		$hospital_city=$info['hospital_city'];
		$hospital_email=$info['hospital_email'];
		$hospital_phone=$info['hospital_phone'];
	}
	
	$get_reports = $objHospital->get_imaging_report_by_request_id($patient_id,$visit_id,$user_id,$request_id); //var_dump($get_reports);
	if(empty($get_reports)){
		echo'There are no reports recorded yet';
	}else{
		foreach($get_reports as $report){
			$report_id = $report['offer_service_report_id'];
			$report_date = $report['added_date'];
			$radiologist = $report['added_by'];
			$service_name = $report['imaging_name'];
			$requester = $report['added_by'];
			$impression = $report['impression'];
				
			//var_dump($get_reports);
			if(empty($report['file_path'])){
				$file_path = '';	
			}else{
				$file_path = $report['file_path'];	
			}
			
			if(empty($report['file_name'])){
				$file_name = '';	
			}else{
				$file_name = $report['file_name'];	
			}
			
			if(empty($report['file_type'])){
				$file_type = '';	
			}else{
				$file_type = $report['file_type'];	
			}
			$report = $report['finding'];

			$get_radiologist = $objHospital->get_staff_details($requester,$user_id);
			foreach($get_radiologist as $radiologist){
				$radiologist_first_name = $radiologist['first_name'];
				$radiologist_last_name = $radiologist['last_name'];
				
				$radiologist = $radiologist_first_name.' '.$radiologist_last_name;
			}
			
			echo'
			<div class="content" style="border-radius:10px; height:140px; border-style:solid; border-color:#ffffff;">
				<div class="row grid" style="margin-top:-20px;">
					<div class="col-xl-3">
						<div class="grid-col">
							<div class="media pt-3 pb-3">
								<img src="../assets/images/bb.PNG" alt="image" class="mr-3" style="width:7rem; height:7rem;">
							</div>
						</div>
					</div>
					<div class="col-xl-9" style="margin-top:-110px;">
						<div class="grid-col">
							<div class="col-md-12" style="height:30px; float:center;">
								<center><h2>'.$hospital_name.'</h2></center>
							</div>
							<div class="col-md-12" style="height:30px; float:center;">
								<center><h3>Radiology Department</h4></center>
							</div>	
							<div class="col-md-12" style="height:30px; float:center;">
								<div class="form-group">
									<center> 
									<span style="font-size:14px;"> '.$hospital_email.'</span>
									<span style="font-size:14px;"> Phone: '.$hospital_phone.'</span></center>
								</div>
							</div>
							<div class="col-md-12" style="height:30px; float:center; margin-top:-10px;">
								<div class="form-group">
									<center><span style="font-size:14px;">'.$hospital_city.', '.$hospital_country.' </span></center>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			
			
			
			<div class="col-md-12">
			<table class="table table-borderless">
				<tbody>
					<tr style="height:1px; border:solid 2px;"></tr>
					<tr><th colspan="4" style="color:black;"><center><h4><b>Patient Information</b></h4></center></th></tr>
					<tr style="height:1px; border:solid 2px;"></tr>
			';
			$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
			foreach($get_patient_details as $details){
				$first_name = $details['first_name'];
				$last_name = $details['last_name'];
				$gender = $details['gender'];
				$phone_number = $details['phone_number'];
				$age = $details['age'];
				$address = $details['address'];
				
				$patient_name = $first_name.' '.$last_name;
				echo'
				<tr style="height:14px;">
				  <th style="color:black; font-size:20px;"><center>First Name</center></th>
				  <th style="color:black; font-size:20px;"><center>Last Name</center></th>
				  <th style="color:black; font-size:20px;"><center>Age</center></th>
				  <th style="color:black; font-size:20px;"><center>Gender</center></th>
				</tr>
				<tr style="height:14px;">
				  <td style="color:blue; font-size:20px;"><center>'.$first_name.'</center></td>
				  <td style="color:blue; font-size:20px;"><center>'.$last_name.'</center></td>
				  <td style="color:blue; font-size:20px;"><center>'.$age.'</center></td>
				  <td style="color:blue; font-size:20px;"><center>'.$gender.'</center></td>
				</tr>
				<tr style="height:14px;">
				  <th scope="col" style="color:black; font-size:20px;"><center>Phone Number</center></th>
				  <th scope="col" style="color:black; font-size:20px;"><center>Address</center></th>
				  <th scope="col" style="color:black; font-size:20px;"><center>Requester</center></th>
				  <th scope="col" style="color:black; font-size:20px;"><center>Requester\'s Phone</center></th>
				</tr>
				<tr style="height:14px;">
				  <td scope="col" style="color:blue; font-size:20px;"><center>'.$phone_number.'</center></td>
				  <td scope="col" style="color:blue; font-size:20px;"><center>'.$address.'</center></td>';
				  $get_requester = $objHospital->get_staff_details($requester,$user_id);
				  foreach($get_requester as $requester){
					$requester_first_name = $requester['first_name'];
					$requester_last_name = $requester['last_name'];
					$requester_phone = $requester['phone'];
				  }
				  echo'<td scope="col" style="color:blue; font-size:20px;"><center>'.$requester_first_name.' '.$requester_last_name.'</center></td>
				  <td scope="col" style="color:blue; font-size:20px;"><center>'.$requester_phone.'</center></td>
				</tr>
				';
				
			}
		echo'<tr style="height:1px; border:solid 2px;"></tr>
			<tr style="height:14px; border-radius:5px;">
				<th colspan="4" style="color:black;"><center><h4><b>'.$service_name.' Report</b></h4></center></th>
			</tr>
			<tr style="height:1px; border:solid 2px;"></tr>
			<tr style="height:14px;">
				<td colspan="4" style="text-align:left">
					<label class="col-form-label" style="color:black; font-size:20px;"><b><u>FINDING:</u></b></label>
				    <label class="col-form-label text-wrap" style="font-size:20px; width:100%;"><span style="color:blue;">'.$report.'</span></label>
				</td>
			</tr>
			<tr style="height:14px;">
				<td colspan="4" style="text-align:left">
					<label class="col-form-label" style="color:black; font-size:20px;"><b><u>IMPRESSION:</u></b></label>
				    <label class="col-form-label text-wrap" style="font-size:20px; width:100%;"><span style="color:black;">'.$impression.'</span></label>
				</td>
			</tr>
			<tr style="height:1px; border:solid 2px;"></tr>
			<tr style="height:14px;">
			  <td scope="col" colspan="2" style="font-size:20px;"><b>Reported By: </b><span style="color:blue;">'.$radiologist.'</span></td>
			  <td scope="col" colspan="2" style="font-size:20px;"><b>Report Date: </b><span style="color:blue;">'.$report_date.'</span></td>
			</tr>';
			
			if(!empty($file_path)){
				
				if($file_type == 'pdf' || $file_type == 'PDF'){
					echo '<tr style="height:14px;">
					<td colspan="4" style="text-align:left"><iframe src="'.$file_path.'" style="width:65rem; height:34rem; overflow-y:auto;"></iframe></td></tr>';
				}else{
					echo '<tr style="height:14px;">
					<td colspan="4" style="text-align:left"><img src="'.$file_path.'" style="width:65rem; height:34rem; overflow-y:auto;"></td></tr>';
				}
			}
			
			echo'
		</tbody>
	</table>
	</div>';
	echo'</div>
	<div class="content" style="border-radius:10px; transform:rotate(-30deg); border-style:solid; border-color:#00008B; margin-top:-20px; margin-left:130px; width:17rem; height:10rem;">
		<table class="table table-borderless" style="margin-left:10px;">
			<tbody>
				<tr><th colspan="3" style="color:#00008B; line-height:0.3rem; font-size:16px; padding:-30px; font-weight:bold; border:none;"><center>'.$hospital_name.'</center><th></tr>
				<tr><th colspan="3" style="color:#00008B; line-height:0.1rem; border:none;  padding:-30px;"><center>'.$hospital_city.', '.$hospital_country.'</center></th></tr>
				<tr style="d-flex justify-content-between">
					<th style="border:none;">
						<div class="col-md-12 d-flex justify-content-between">
							<img src="../assets/images/bb.PNG" alt="image" class="mr-3" style="width:3rem; height:3rem;">
							<h5 style="color:red; margin-left:-50px; margin-top:10px;"><center>'.date("d-M-Y", time()).'</center></h5>
							<center><i class="fa fa-star" style="color:#00008B; margin-left:-40px; margin-top:10px;"></i></center>
						</div>
					</th>
				</tr>
				<tr><th colspan="3" style="color:#00008B; line-height:0.1rem; border:none;  padding:-30px;"><center>'.$hospital_phone.'</center></th></tr>
				<tr><th colspan="3" style="color:#00008B; line-height:0.1rem; border:none;  padding:-30px;"><center>'.$hospital_email.'</center></th></tr>
			</tbody>
		</table>
	</div>
	';
		}
	}
	
}
elseif(isset($_POST['reportRadiologyPatientId'])){
	$patient_id = $_POST['reportRadiologyPatientId'];
	$imaging_report_id = $_POST['reportRadiologyId'];
	$user_id = $_POST['reportRadiologyUserId'];
	
	$get_imaging_report_by_patient_id = $objHospital->get_imaging_report_by_patient_id($patient_id,$imaging_report_id,$user_id);
	foreach($get_imaging_report_by_patient_id as $patient){
		$file_path = $patient['file_path'];
		$file_name = $patient['file_name'];
		$file_type = $patient['file_type'];
		
		if($file_type == 'pdf' || $file_type == 'PDF'){
			echo '<iframe src="'.$file_path.'" style="width:65rem; height:34rem; overflow-y:auto;"></iframe>';
		}else{
			echo '<img src="'.$file_path.'" style="width:65rem; height:34rem; overflow-y:auto;">';
		}
	}
}
elseif(isset($_POST['getRequestProductUserId'])){
	$user_id = $_POST['getRequestProductUserId'];
	$get_products = $objHospital->get_store_products_by_user_id($user_id);
	if(empty($get_products)){
		echo'<option>No Products added yet</option>';
	}else{
		foreach($get_products as $products){
			$product_id = $products['store_product_id'];
			$product_name = $products['product_name'];
			echo'<option value="'.$product_id.'">'.$product_name.'</option>';
		}
	}
}
elseif(isset($_POST['order_store_product_name'])){
	$product_id = implode(',',$_POST['order_store_product_name']);
	$quantity = implode(',',$_POST['order_store_quantity']);
	$dept = $_POST['order_store_dept'];
	$user_id = $_POST['order_store_user_id'];
	
	$place_order = $objHospital->place_order($product_id,$quantity,$dept,$user_id);
	
}
elseif(isset($_POST['confirmReceiptUserId'])){
	$hospital_id = $_POST['confirmReceiptHospitalId'];
	$order_id = $_POST['confirmReceiptOrderId'];
	$user_id = $_POST['confirmReceiptUserId'];
	$product_id = $_POST['confirmReceiptProductId'];
	$qty_issued = $_POST['confirmReceiptQuantityIssued'];
	$dpt_name = $_POST['confirmReceiptDeptName'];
	$product_name = $_POST['confirmReceiptProductName'];
	
	$confirm_receipt = $objHospital->confirm_receipt($hospital_id,$order_id,$user_id,$product_id,$qty_issued,$dpt_name,$product_name);
	
}
elseif(isset($_POST['getPhysicalCountProductUserId'])){
	$user_id = $_POST['getPhysicalCountProductUserId'];
	$dpt_name = $_POST['getPhysicalCountDeptName'];
	
	$get_products = $objHospital->get_dept_stock($user_id,$dpt_name);
	if(empty($get_products)){
		echo'<option value="none">No Products added yet</option>';
	}else{
		foreach($get_products as $products){
			$product_id = $products['dept_stock_id'];
			$product_name = $products['product_name'];
			$hospital_id = $products['hospital_id'];
			echo'<option value="'.$product_id.'">'.$product_name.'</option>';
		}
	}	
}
elseif(isset($_POST['physical_count_product_name'])){
	$product_id = implode(',',$_POST['physical_count_product_name']);
	$quantity = implode(',',$_POST['physical_count_quantity']);
	$dept = $_POST['physical_count_dept'];
	$user_id = $_POST['physical_count_user_id'];
	
	$physical_count = $objHospital->physical_count($product_id,$quantity,$dept,$user_id);
	
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}


?>