<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['annual_trend_report_user_id'])){
	$user_id = $_POST['annual_trend_report_user_id'];
	
	$get_annual_trends = $objHospital->get_annual_trends($user_id);
}
elseif(isset($_POST['annual_dept_report_user_id'])){
	$user_id = $_POST['annual_dept_report_user_id'];
	
	$get_annual_dept_trends = $objHospital->get_annual_dept_trends($user_id);
}
elseif(isset($_POST['get_annual_age_group'])){
	$user_id = $_POST['get_annual_age_group'];
	
	$get_annual_age_group_counts = $objHospital->get_annual_age_group_counts($user_id);
}
elseif(isset($_POST['get_annual_top_pharmacy'])){
	$user_id = $_POST['get_annual_top_pharmacy'];
	
	$get_annual_top_pharmacy_trends = $objHospital->get_annual_top_pharmacy_trends($user_id);
}
elseif(isset($_POST['get_annual_top_laboratory'])){
	$user_id = $_POST['get_annual_top_laboratory'];
	
	$get_annual_top_laboratory_trends = $objHospital->get_annual_top_laboratory_trends($user_id);
}
elseif(isset($_POST['get_annual_top_clinical_services'])){
	$user_id = $_POST['get_annual_top_clinical_services'];
	
	$get_annual_top_clinical_trends = $objHospital->get_annual_top_clinical_trends($user_id);
}
elseif(isset($_POST['get_annual_gender'])){
	$user_id = $_POST['get_annual_gender'];
	
	$get_annual_gender_trends = $objHospital->get_annual_gender_trends($user_id);
}
elseif(isset($_POST['monthly_report_start_date'])){
	$start_date = $_POST['monthly_report_start_date'];
	$end_date = $_POST['monthly_report_end_date'];
	$user_id = $_POST['monthly_report_user_id'];
	
	$get_monthly_trends = $objHospital->get_monthly_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['monthly_dept_start_date'])){
	$user_id = $_POST['monthly_dept_user_id'];
	$start_date = $_POST['monthly_dept_start_date'];
	$end_date = $_POST['monthly_dept_end_date'];
	
	$get_monthly_dept_trends = $objHospital->get_monthly_dept_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['monthly_bar_start_date'])){
	$user_id = $_POST['monthly_bar_user_id'];
	$start_date = $_POST['monthly_bar_start_date'];
	$end_date = $_POST['monthly_bar_end_date'];
	
	$get_monthly_bar_dept_trends = $objHospital->get_monthly_dept_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['monthly_age_group_start_date'])){
	$user_id = $_POST['monthly_age_group_user_id'];
	$start_date = $_POST['monthly_age_group_start_date'];
	$end_date = $_POST['monthly_age_group_end_date'];
	
	$get_monthly_age_group_counts = $objHospital->get_monthly_age_group_counts($start_date,$end_date,$user_id);
}
elseif(isset($_POST['monthly_pharmacy_start_date'])){
	$user_id = $_POST['get_monthly_top_pharmacy'];
	$start_date = $_POST['monthly_pharmacy_start_date'];
	$end_date = $_POST['monthly_pharmacy_end_date'];
	
	$get_monthly_top_pharmacy_trends = $objHospital->get_monthly_top_pharmacy_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['monthly_gender_start_date'])){
	$user_id = $_POST['get_monthly_gender_user_id'];
	$start_date = $_POST['monthly_gender_start_date'];
	$end_date = $_POST['monthly_gender_end_date'];
	
	$get_monthly_gender_trends = $objHospital->get_monthly_gender_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['monthly_laboratory_start_date'])){
	$user_id = $_POST['monthly_laboratory_user_id'];
	$start_date = $_POST['monthly_laboratory_start_date'];
	$end_date = $_POST['monthly_laboratory_end_date'];
	
	$get_monthly_top_laboratory_trends = $objHospital->get_monthly_top_laboratory_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['monthly_clinical_start_date'])){
	$user_id = $_POST['monthly_clinical_user_id'];
	$start_date = $_POST['monthly_clinical_start_date'];
	$end_date = $_POST['monthly_clinical_end_date'];
	
	$get_monthly_top_clinical_trends = $objHospital->get_monthly_top_clinical_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['daily_report_start_date'])){
	$start_date = $_POST['daily_report_start_date'];
	$end_date = $_POST['daily_report_end_date'];
	$user_id = $_POST['daily_report_user_id'];
	
	$get_daily_trends = $objHospital->get_daily_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['daily_dept_start_date'])){
	$user_id = $_POST['daily_dept_user_id'];
	$start_date = $_POST['daily_dept_start_date'];
	$end_date = $_POST['daily_dept_end_date'];
	
	$get_daily_dept_trends = $objHospital->get_daily_dept_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['daily_bar_start_date'])){
	$user_id = $_POST['daily_bar_user_id'];
	$start_date = $_POST['daily_bar_start_date'];
	$end_date = $_POST['daily_bar_end_date'];
	
	$get_daily_bar_dept_trends = $objHospital->get_daily_dept_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['daily_age_group_start_date'])){
	$user_id = $_POST['daily_age_group_user_id'];
	$start_date = $_POST['daily_age_group_start_date'];
	$end_date = $_POST['daily_age_group_end_date'];
	
	$get_daily_age_group_counts = $objHospital->get_daily_age_group_counts($start_date,$end_date,$user_id);
}
elseif(isset($_POST['daily_pharmacy_start_date'])){
	$user_id = $_POST['get_daily_top_pharmacy'];
	$start_date = $_POST['daily_pharmacy_start_date'];
	$end_date = $_POST['daily_pharmacy_end_date'];
	
	$get_daily_top_pharmacy_trends = $objHospital->get_daily_top_pharmacy_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['daily_gender_start_date'])){
	$user_id = $_POST['get_daily_gender_user_id'];
	$start_date = $_POST['daily_gender_start_date'];
	$end_date = $_POST['daily_gender_end_date'];
	
	$get_daily_gender_trends = $objHospital->get_daily_gender_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['daily_laboratory_start_date'])){
	$user_id = $_POST['daily_laboratory_user_id'];
	$start_date = $_POST['daily_laboratory_start_date'];
	$end_date = $_POST['daily_laboratory_end_date'];
	
	$get_daily_top_laboratory_trends = $objHospital->get_daily_top_laboratory_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['daily_clinical_start_date'])){
	$user_id = $_POST['daily_clinical_user_id'];
	$start_date = $_POST['daily_clinical_start_date'];
	$end_date = $_POST['daily_clinical_end_date'];
	
	$get_daily_top_clinical_trends = $objHospital->get_daily_top_clinical_trends($start_date,$end_date,$user_id);
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}
















?>