<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'model/users.php';

$objUser = new Users();
if(isset($_GET['token'])){
    $token = $_GET['token'];
    $objUser = new User();
    $activate = $objUser->activate($token);
}else{

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Login</title>

    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">

    <!-- Styles -->
    <link href="assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="assets/css/lib/helper.css" rel="stylesheet">
    <link href="assets/css/style.css" rel="stylesheet">
</head>

<body class="bgIntro">

    <div class="unix-login">
        <div class="container-fluid">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="login-content">
                        <div class="login-logo">
                            <a href="index.html"><span>Welcome Back to Jupyter HMS</span></a>
                        </div>
                        <div class="login-form">
                            <h4>User Login</h4>
                            <form id="login_form" method="post" enctype="multipart/form-data">
                                <div class="form-group">
                                    <label>Email address</label>
                                    <input type="email" name="login_email" class="form-control" placeholder="Email">
                                </div>
                                <div class="form-group">
                                    <label>Password</label>
                                    <input type="password" name="login_password" class="form-control" placeholder="Password">
                                </div>
                                <div class="checkbox">
                                    <label>
										<input type="checkbox" name="remember_me"> Remember Me
									</label>
                                    <label class="pull-right">
										<a href="forgot_password.php">Forgotten Password?</a>
									</label>

                                </div>
                                <button type="submit" name="login_button" class="btn btn-primary btn-flat m-b-30 m-t-30">Sign in</button>
                                <!--div class="social-login-content">
                                    <div class="social-button">
                                        <button type="button" class="btn btn-primary bg-facebook btn-flat btn-addon m-b-10"><i class="ti-facebook"></i>Sign in with facebook</button>
                                        <button type="button" class="btn btn-primary bg-twitter btn-flat btn-addon m-t-10"><i class="ti-twitter"></i>Sign in with twitter</button>
                                    </div>
                                </div
                                <div class="register-link m-t-15 text-center">
                                    <p>Don't have account ? <a href="register.php"> Sign Up Here</a></p>
                                </div>-->
								<?php
								
								if(isset($_POST['login_button'])){
									$email = $_POST['login_email'];
									$password = $_POST['login_password'];
									$login = $objUser->login($email,$password);
								}
								
								?>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<script src="assets/js/lib/jquery.min.js"></script>	
<script src="view/js/login_register.js" ></script>
<script>
	if(window.history.replaceState){
		window.history.replaceState(null,null,window.location.href);
	}
</script>
</body>

</html>
<?php } ?>