<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

require_once 'db.php';

Class Users extends Db{
	
	
	//Login function (index.php)
	public function login($email, $password){
		//Create a database connection object that will escape the data entries
		$objConn = new Db();
		$conn = $objConn->connect();
		
		//Escape the data entries
		$email = $conn->real_escape_string($email);
		$entered_password = $conn->real_escape_string($password);
		
		$sql = "select * from `users` where `email`='$email'";
		$result = $this->connect()->query($sql);
		$numRows = $result->num_rows;
		if($numRows == 0){//If the user exists, go ahead and fetch their details
			$sql2 = "select * from `staff` where `email`='$email'";
			$result2 = $this->connect()->query($sql2);
			if($result2->num_rows==0){
				echo"<script>alert('Email doesn't exist in the system. Please try again using a different email..')</script>";
				echo"<script>window.open('index.php','_self')</script>";
			}else{
				$row = $result2->fetch_assoc();
				$user_id = $row['staff_id'];
				$mail = $row['email'];
				$user_type = $row['user_type'];
				$hashed_password = $row['password'];
				$verified = $row['verified'];
				
				//Check if the user account is verified
				if($verified !== 'yes'){
					echo"<script>alert('Your account is not yet activated. Please check your email for the activation link')</script>";
					echo"<script>window.open('index.php','_self')</script>";
				}else{
					if(password_verify($entered_password,$hashed_password)){
						$sql1 = "update staff set login_status = '1' where staff_id='$user_id'";
						$result1 = $this->connect()->query($sql1);
						echo"<script>alert('Login Successful')</script>";
						//if($user_type == 'super_admin'){
						echo"<script>window.open('./view/general_dashboard.php?user_id=$user_id','_self')</script>";
						//}
					}else{
						echo"Wrong password. Please try again with a different password, or click forgot password to change your password.";
					}
				}
			}
			
		}else{
			$row = $result->fetch_assoc();
			$user_id = $row['user_id'];
			$mail = $row['email'];
			$user_type = $row['user_type'];
			$hashed_password = $row['password'];
			$verified = $row['verified'];
			
			//Check if the user account is verified
			if($verified !== 'yes'){
				echo"<script>alert('Your account is not yet activated. Please check your email for the activation link')</script>";
				echo"<script>window.open('index.php','_self')</script>";
			}else{
				if(password_verify($entered_password,$hashed_password)){
					$sql1 = "update users set login_status = '1' where user_id='$user_id'";
					$result1 = $this->connect()->query($sql1);
					echo"<script>alert('Login Successful')</script>";
					if($user_type == 'super_admin'){
						echo"<script>window.open('./view/general_dashboard.php?user_id=$user_id','_self')</script>";
					}
				}else{
					echo"Wrong password. Please try again with a different password, or click forgot password to change your password.";
				}
			}
		}
	}
	
	//Activate the user toker
	public function activate($token){
		$sql = "select * from users where token = '$token'";
        $result = $this->connect()->query($sql);
        $row = $result->fetch_assoc();
        if($row['verified'] == 'yes'){
            echo"<script>alert('This account has already been verified. Please login to your account.');</script>"; 
        }else{
            $sql1 = "update users set verified = 'yes' where token = '$token'";
            $result1 = $this->connect()->query($sql1);
            if($result1){
				$sql2 = "update hospital set verified = 'yes' where token = '$token'";
				$result2 = $this->connect()->query($sql2);
                //echo"Your account has been successfully verified. Please login to your account"; 
                echo"<script>alert('Your account has been successfully verified. Please login to your account.');</script>";
            }
        }
	}
	
	//Get single user details (dashboard.php)
	public function get_user($user_id){
		$datas = array();
		$sql = "select user_id, first_name, last_name, user_type, hospital_id from users where user_id = '$user_id'";
		$result = $this->connect()->query($sql);
		if($result->num_rows > 0){
		    while($row=$result->fetch_assoc()){
		        $datas[] = $row;
		    }
		}else{
			$sql2 = "select staff_id, first_name, last_name, hospital_id, user_type from staff where staff_id='$user_id'";
		    $result2 = $this->connect()->query($sql2);
		    if($result2->num_rows > 0){
    		    while($row2=$result2->fetch_assoc()){
    		        $datas[] = $row2;
    		    }
		    }
		}
		return $datas;
	}
	
	//Get single user details (dashboard.php)
	public function get_user_details($user_id){
		$datas = array();
		$sql = "select * from users where user_id = '$user_id'";
		$result = $this->connect()->query($sql);
		
		if($result->num_rows > 0){
			$datas[] = $result->fetch_assoc();
		}else{
			$datas = array();
		}
		return $datas;
	}
	
	//Get all users details (controller/users.php)
	public function get_all_user($user_id){
		$sql = "select * from users where user_id != '$user_id' and delete_status != 'yes'";
		$result = $this->connect()->query($sql);
		$datas = array();
		if($result==false){
			$datas = array();
		}else{
			while($row = $result->fetch_assoc()){
			$datas[] = $row;
			}
		}return $datas;
	}
	
	/*/Logout (views/agent/header.php)
	public function logout($user_id){
		
		session_destroy();
		
		$sql="update users set login_status = '0' where user_id='$user_id'";
		$result = $this->connect()->query($sql);
		if($result){
			echo"You have logged out..";
		}
		
	}*/
	
    //Create user account
    public function register($hospital_name,$first_name,$last_name,$phone,$hospital_email,$hospital_country,$hospital_city,$password){
        
        //Create a database connection object that will escape the data entries
		$objConn = new Db();
		$conn = $objConn->connect();
		
		//Escape the email input special characters
		$hospital_email = $conn->real_escape_string($hospital_email);
		
		//Check if email already exists
		$sql = "select * from hospital where hospital_email = '$hospital_email'";
		$result = $this->connect()->query($sql);
		if($result->num_rows > 0){
		    echo"An account with this email already exists. Please LOGIN in  to access your account";
		}else{
		    $hospital_name = $conn->real_escape_string($hospital_name);
		    $first_name = $conn->real_escape_string($first_name);
		    $last_name = $conn->real_escape_string($last_name);
		    $phone = $conn->real_escape_string($phone);
		    $hospital_email = $conn->real_escape_string($hospital_email);
		    $hospital_country = $conn->real_escape_string($hospital_country);
		    $hospital_city = $conn->real_escape_string($hospital_city);
		    $password = $conn->real_escape_string($password);
		    $user_type = 'super_admin';
		    $token = bin2hex(openssl_random_pseudo_bytes(40)); //Token that will be used in email verification
			$user_type = 'super_admin';
		
			//Hashing password
			$hashedPwd = password_hash($password, PASSWORD_DEFAULT);
			
			$sql1 = "INSERT INTO `hospital`(`hospital_name`, `hospital_country`, `hospital_city`, `hospital_email`, `token`) VALUES ('$hospital_name','$hospital_country','$hospital_city','$hospital_email','$token')";
			//$result1 = $this->connect()->query($sql1); This has been commented out because we are going to create aconnection object in the if clause below.
			
			//Get the Hospital Id of the inserted record and use it to update the user table with the super admin details
			if($conn->query($sql1)===true){
				//Get the last hospital id
				$hospital_id = $conn->insert_id;
				$sql2 = "INSERT INTO `users`(`hospital_id`, `first_name`, `last_name`, `phone`, `email`, `password`,  `user_type`, `token`) VALUES ('$hospital_id','$first_name','$last_name','$phone','$hospital_email','$hashedPwd','$user_type','$token')";
				$result2 = $this->connect()->query($sql2);
				
				//Send confirmation email to the user
				$subject = "Please confirm your JupyterHMS account";
				$body = "Hi " .$first_name. ": Here is the link to activate your account: https://www.jupyterhms.com/login.php?token=".$token;
				$senderEmail = "From: support@jupyterhms.com";
				$send_mail = mail($hospital_email, $subject, $body, $senderEmail);
				
				if($send_mail){
					echo"Please check your email inbox or spam folder for the Account Activation link.";
					
				}else {
					echo"Data saved, but account activation email not sent. Might be an internet connection issue..";
				}
			}else{
				echo"There is a database connection problem. Please try again.";
			}
				
		}
    }
	
	//Get single user details (dashboard.php)
	public function get_countries(){
		$datas = array();
		$sql = "select * from country";
		$result = $this->connect()->query($sql);
		
		if($result->num_rows > 0){
			while($row = $result->fetch_assoc()){
				$datas[] = $row;
			}
		}else{
			$datas = array();
		}
		return $datas;
	}

}

?>