<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'model/users.php';

session_start(); 

if(isset($_GET['user_id'])){
	$session_id = $_GET['user_id'];
}else{
	$session_id = session_id();
}

$objUser = new Users();
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Register</title>

    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">

    <!-- Styles -->
    <link href="assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="assets/css/lib/helper.css" rel="stylesheet">
    <link href="assets/css/style.css" rel="stylesheet">
</head>

<body class="bgIntro">

    <div class="unix-login">
        <div class="container-fluid">
            <div class="row justify-content-center">
                <div class="col-lg-6">
                    <div class="login-content">
                        <div class="login-logo">
                            <a href="index.html"><span>Welcome to Jupyter HMS</span></a>
                        </div>
                        <div class="login-form">
                            <h4>Register New Hospital</h4>
                            <form method="post" enctype="multipart/form-data" id="hospital_register_form">
                                <div class="form-group">
                                    
                                    <input type="text" name="hospital_name" class="form-control" placeholder="Hospital Name">
                                </div>
								<div class="form-group">
                                    
                                    <input type="text" name="first_name" class="form-control" placeholder="First Name">
                                </div>
								<div class="form-group">
                                    
                                    <input type="text" name="last_name" class="form-control" placeholder="Last Name">
                                </div>
								<div class="form-group">
                                    
                                    <input type="text" name="phone" class="form-control" placeholder="Hospital Phone">
                                </div>
								<div class="form-group">
										
                                    <input type="email" name="hospital_email" class="form-control" placeholder="Email">
                                </div>
                                <div class="form-group">
									<label>Select Country</label>
                                    <select name="hospital_country" class="form-control" placeholder="Password">
										<option disabled>Select Country</option>
										<?php
											$get_country = $objUser->get_countries();
											foreach($get_country as $country){
												$country_name = $country['country_name'];
												echo'<option>'.$country_name.'</option>';
											}
										?>
									</select>
                                </div>
								<div class="form-group">
                                    <input type="text" name="hospital_city" class="form-control" placeholder="Hospital City">
                                </div>
                                <div class="form-group">
                                    <input type="password" name="password" class="form-control" placeholder="Password">
                                </div>
								<div class="form-group">
                                    <input type="password" name="confirm_password" class="form-control" placeholder="Confirm Password">
                                </div>
                                <div class="checkbox">
                                    <label>
										<input type="checkbox" id="policy" name="policy"> I agree to the <a href="terms.php">terms and policy</a> 
									</label>
                                </div>
                                <button type="submit" id="hospital_register_button" class="btn btn-primary btn-flat m-b-30 m-t-30">Register</button>
                                <!--div class="social-login-content">
                                    <div class="social-button">
                                        <button type="button" class="btn btn-primary bg-facebook btn-flat btn-addon m-b-10"><i class="ti-facebook"></i>Register with facebook</button>
                                        <button type="button" class="btn btn-primary bg-twitter btn-flat btn-addon m-t-10"><i class="ti-twitter"></i>Register with twitter</button>
                                    </div>
                                </div-->
                                <div class="register-link m-t-15 text-center">
                                    <p>Already have account ? <a href="login.php"> Sign in</a></p>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<script src="assets/js/lib/jquery.min.js"></script>	
<script src="view/js/login_register.js" ></script>
<script>
	if(window.history.replaceState){
		window.history.replaceState(null,null,window.location.href);
	}
</script>
</body>

</html>
