<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	$get_hospital_info = $objHospital->get_hospital_by_user_id($user_id);
	foreach($get_hospital_info as $info){
		$hospital_name=$info['hospital_name'];
		$hospital_country=$info['hospital_country'];
		$hospital_city=$info['hospital_city'];
		$hospital_email=$info['hospital_email'];
		$hospital_phone=$info['hospital_phone'];
	}
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
	
	<!-- Daterange picker -->
    <link href="../assets/css/lib/daterangepicker.css" rel="stylesheet">
	<link href="../assets/css/lib/bootstrap-material-datetimepicker.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#coa" data-toggle="tab" class="nav-link active show"><i class="fa fa-list"></i>&nbsp;Charts of Accounts</a></li>
														<li class="nav-item"><a href="#journals" data-toggle="tab" class="nav-link"><i class="fa fa-book"></i>&nbsp;Journal Entries</a></li>
														<li class="nav-item"><a href="#assets" data-toggle="tab" class="nav-link"><i class="fa fa-bank"></i>&nbsp;Assets</a></li>
														<li class="nav-item"><a href="#income_statement" data-toggle="tab" class="nav-link"><i class="fa fa-clipboard"></i>&nbsp;Income Statement</a>
														</li>
														<li class="nav-item"><a href="#trial_balance" data-toggle="tab" class="nav-link"><i class="fa fa-clipboard"></i>&nbsp;Trial Balance</a>
														</li>
														<li class="nav-item"><a href="#balance_sheet" data-toggle="tab" class="nav-link"><i class="fa fa-clipboard"></i>&nbsp;Balance Sheet</a>
														</li>
														<li class="nav-item"><a href="#cash_flow" data-toggle="tab" class="nav-link"><i class="fa fa-clipboard"></i>&nbsp;Cash Flow</a>
														</li>
														<li class="nav-item"><a href="#changes_equity" data-toggle="tab" class="nav-link"><i class="fa fa-clipboard"></i>&nbsp;Changes in Equity</a>
														</li>
													</ul>
													<div class="tab-content">
														
														<div id="coa" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header" style="height:5rem;">
																		<div class="row">
																			<div class="col-sm-6" style="text-align:left;">
																				<h5>Chart of Accounts</h5>
																			</div>
																			<div class="col-sm-6" style="text-align:right;">
																				<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_account_modal"><i class="fa fa-plus"></i>&nbsp; Add Account</button>
																				<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_account_type_modal"><i class="fa fa-plus"></i>&nbsp; Account Type</button>
																			</div>
																		</div>
																	</div>
																	<div class="table-responsive sales_table" style="overflow-x:auto;">
																		<table class="table primary-table-bg-hover" style="width:"100%";">
																			<thead>
																				<tr>
																					<th scope="col">Account Name</th>
																					<th scope="col"><center>Sub Account Of</center></th>
																					<th scope="col"><center>Account Type</center></th>
																					<th scope="col"><center>Account Category</center></th>
																					<th scope="col"><center>Balance</center></th>			
																					<th scope="col"><center>Description</center></th>			
																					<th scope="col"><center>Details</center></th>
																				</tr>
																			</thead>
																			<tbody id="sales_revenue_body">
																				<?php
																					
																					$get_coa_accounts = $objHospital->get_coa_accounts($user_id);
																					if(empty($get_coa_accounts)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no accounts added yet</center></td></tr>';
																					}else{
																						//Get all bills
																						foreach($get_coa_accounts as $payment){
																							$coa_account_id   = $payment['coa_account_id']; 
																							$hospital_id  = $payment['hospital_id']; 
																							$coa_account_name  = $payment['coa_account_name']; 
																							$sub_account  = $payment['sub_account']; 
																							$coa_account_type  = $payment['coa_account_type']; 
																							$opening_balance = $payment['opening_balance'];
																							$description = $payment['description'];
																							
																							if($sub_account == 'None' || $sub_account == ''){
																								$sub = 'None';
																							}
																							
																							//Get the account category
																							$acc_category = $objHospital->get_category_by_acc_type($coa_account_type,$user_id);
																							$type_category = '';
																							foreach($acc_category as $category){
																								$type_category = $category['type_category'];
																							}
																							
																							echo'
																							<tr>
																								<td style="line-height:0.7rem;"><span style="color:blue;">'.$coa_account_name.'</span></td>
																								<td style="line-height:0.7rem;"><center>'.$sub.'</center></td>
																								<td style="line-height:0.7rem;"><center>'.$coa_account_type.'</center></td>
																								<td style="line-height:0.7rem;"><center>'.$type_category.'</center></td>
																								<td style="line-height:0.7rem;"><center>'.number_format(intval($opening_balance),0,0,',').'</center></td>
																								<td style="line-height:0.7rem;"><center>'.$description.'</center></td>
																								<td style="line-height:0.7rem;">
																									<center><button class="btn btn-sm btn-success dispense_medicine_button"  data-toggle="modal" data-target="#dispense_medicine_modal" data-coa-account-id="'.$coa_account_id.'" data-hospital-id="'.$hospital_id.'" data-account-name="'.$coa_account_name.'">Details</button>
																									</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="journals" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header" style="height:5rem;">
																		<div class="row">
																			<div class="col-md-4 d-flex justify-content-left" style="color:Black; text-align:right;">
																				<h5 style="color:Black;">All Journal Entries</h5>
																			</div>
																			<div class="col-sm-8" style="text-align:right;">
																				<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_journal_modal"><i class="fa fa-arrow-circle-up"></i>&nbsp; Add Entry</button>
																			</div>
																		</div>
																	</div>
																	<div class="table-responsive receivables_table" style="overflow-x:auto;">
																		<table class="table primary-table-bg-hover" style="width:"100%";">
																			<thead>
																				<tr>
																					<th scope="col"><center>Entry ID</center></th>
																					<th scope="col"><center>Date</center></th>
																					<th scope="col"><center>Name</center></th>
																					<th scope="col"><center>Details</center></th>
																					<th scope="col"><center>Account</center></th>
																					<th scope="col"><center>Debit</center></th>
																					<th scope="col"><center>Credit</center></th>
																					<th scope="col"><center>Actions</center></th>
																				</tr>
																			</thead>
																			<tbody id="receivables_revenue_body">
																				<?php
																					
																					$get_entries = $objHospital->get_journal_entries($user_id);
																					if(empty($get_entries)){
																						echo'<tr><td colspan="7" style="color:green;"><center>There are no entries made yet</center></td></tr>';
																					}else{ 
																						$total_debit = 0;
																						$total_credit = 0;
																						foreach($get_entries as $entry){
																							$entry_id  = $entry['journal_entry_id']; 
																							$entry_name  = $entry['entry_name']; 
																							$hospital_id  = $entry['hospital_id']; 
																							$account_name  = $entry['account_name']; 
																							$sub_account  = $entry['sub_account']; 
																							$coa_account_type  = $entry['coa_account_type']; 
																							$coa_account_type_category = $entry['coa_account_type_category'];
																							$debit = $entry['debit'];
																							$credit = $entry['credit'];
																							$entry_details = $entry['entry_details'];
																							$amount = $entry['amount'];
																							$ref_no = $entry['ref_no'];
																							$added_by = $entry['added_by'];
																							$date_added = $entry['date_added'];
																							
																							echo'
																							<tr>
																								<td style="line-height:0.7rem;"><center>'.$ref_no.'</center></td>
																								<td style="line-height:0.7rem;"><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
																								<td style="line-height:0.7rem;"><center>'.$entry_name.'</center></td>
																								<td style="line-height:0.7rem;"><center>'.$entry_details.'</center></td>
																								<td style="line-height:0.7rem;"><center>'.$account_name.'</center></td>
																								<td style="line-height:0.7rem;"><center>';
																								if($debit == 'yes'){
																									echo number_format(floatval($amount),0,0,',');
																									$total_debit += floatval($amount);
																								}
																								echo'</center></td>
																								<td style="line-height:0.7rem;"><center>';
																								if($credit == 'yes'){
																									echo number_format(floatval($amount),0,0,',');
																									$total_credit += floatval($amount);
																								}
																								echo'</center></td>
																								<td style="line-height:0.7rem;">
																									<center><button class="btn btn-sm btn-success dispense_medicine_button"  data-toggle="modal" data-target="#dispense_medicine_modal" data-entry-id="'.$entry_id.'" data-hospital-id="'.$hospital_id.'" data-entry-name="'.$entry_name.'">Edit</button>
																									</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																			<tfoot id="receivables_revenue_totals">
																			<?php
																			if(empty($get_entries)){
																				//Do nothing
																			}else{
																				echo'<tr>
																					<th scope="col" style="color:blue;"><center>Total</center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center></center></th>
																					<th scope="col"><center></center></th>
																					<th scope="col"><center></center></th>
																					<th scope="col" style="color:black;"><center><?php echo number_format(floatval($total_debit),0,0,','); ?></center></th>
																					<th scope="col" style="color:black;"><center><?php echo number_format(floatval($total_credit),0,0,','); ?></center></th>
																					<th scope="col"><center> </center></th>
																				</tr>';
																			}
																			?>
																			</tfoot>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<!---Other payments modal--->
														<div id="assets" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header" style="height:5rem;">
																		<div class="row">
																			<div class="col-sm-6" style="text-align:left;">
																				<h5>All the Facility's Longterm Assets</h5>
																			</div>
																			<div class="col-sm-6" style="text-align:right;">
																				<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_asset_modal"><i class="fa fa-plus"></i>&nbsp; Add Asset</button>
																				<!--<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_account_type_modal"><i class="fa fa-plus"></i>&nbsp; Depreciation</button>--->
																			</div>
																		</div>
																	</div>
																	<div class="table-responsive sales_table" style="overflow-x:auto;">
																		<table class="table primary-table-bg-hover" style="width:"100%";">
																			<thead>
																				<tr>
																					<th scope="col">Asset ID</th>
																					<th scope="col">Asset Name</th>
																					<th scope="col"><center>Department</center></th>
																					<th scope="col"><center>Date Acquired</center></th>
																					<th scope="col"><center>Acquisition Value(Ugx)</center></th>
																					<th scope="col"><center>Annual Depreciation(Ugx)</center></th>
																					<th scope="col"><center>Current Value(Ugx)</center></th>			
																					<th scope="col"><center>Supplier Name</center></th>			
																					<th scope="col"><center>Unique No</center></th>			
																					<th scope="col"><center>Actions</center></th>
																				</tr>
																			</thead>
																			<tbody id="sales_revenue_body">
																				<?php
																					
																					$get_asset_types = $objHospital->get_asset_types($user_id);
																					if(empty($get_asset_types)){
																						echo'<tr><td colspan="9" style="color:green;"><center>There are no assets added yet</center></td></tr>';
																					}else{
																						
																						//Get all bills
																						foreach($get_asset_types as $type){
																							
																							$asset_type = $type['asset_type'];
																							echo'<tr><td colspan="10" style="background-color:#E5E4E2; color:blue; font-weight:bold; line-height:0.7rem; text-align:left;">'.$asset_type.'</td></tr>';
																							
																							$get_assets_by_type = $objHospital->get_assets_by_type($asset_type,$user_id);
																							foreach($get_assets_by_type as $asset){
																								$asset_id     = $asset['asset_id']; 
																								$hospital_id  = $asset['hospital_id']; 
																								$asset_name  = $asset['asset_name']; 
																								$asset_type  = $asset['asset_type']; 
																								$department  = $asset['department']; 
																								$acquisition_value  = floatval($asset['acquisition_value']); 
																								$acquisition_date = $asset['acquisition_date'];
																								$ten_yr_value = floatval($asset['ten_yr_value']);
																								$supplier_name = $asset['supplier_name'];
																								$supplier_contact = $asset['supplier_contact'];
																								$unique_no = $asset['unique_no'];
																								$invoice_no = $asset['invoice_no'];
																								$debt = $asset['debt'];
																								
																								//Annual Depreciation
																								$depreciation = $ten_yr_value/10;
																								
																								$diff = abs(strtotime($acquisition_date) - strtotime(date('Y-m-d h:i:s')));
																								$years_difference = floor($diff / (365*60*60*24));
																								
																								$current_value = $acquisition_value - ($depreciation * $years_difference);
																							}
																							
																							echo'
																							<tr>
																								<td style="line-height:0.7rem;"><center>'.$asset_id.'</center></td>
																								<td style="line-height:0.7rem;">'.$asset_name.'</td>
																								<td style="line-height:0.7rem;"><center>'.$department.'</center></td>
																								<td style="line-height:0.7rem;"><center>'.date('d-M-Y',strtotime($acquisition_date)).'</center></td>
																								<td style="line-height:0.7rem;"><center><span style="color:blue;">'.number_format($acquisition_value,0,0,',').'</span></center></td>
																								<td style="line-height:0.7rem;"><center><span style="color:blue;">'.number_format($depreciation,0,0,',').'</span></center></td>
																								<td style="line-height:0.7rem;"><center><span style="color:blue;">'.number_format($current_value,0,0,',').'</span></center></td>
																								<td style="line-height:0.7rem;"><center>'.$supplier_name.'</center></td>
																								<td style="line-height:0.7rem;"><center>'.$unique_no.'</center></td>
																								<td style="line-height:0.7rem;">
																									<center><button class="btn btn-sm btn-success dispense_medicine_button"  data-toggle="modal" data-target="#dispense_medicine_modal" data-asset-id="'.$asset_id.'" data-hospital-id="'.$hospital_id.'" data-asset-name="'.$asset_name.'">Edit</button>
																									</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<!--Income Statement-->
														<div id="income_statement" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header" style="height:4rem;">
																		<form method="post">
																		<div class="row" style="margin-top:-1rem;">
																			<div class="col-md-12 d-flex justify-content-end" style="color:Black; float:right;">
																				<label class="col-sm-6" style="font-size:17px;">Select Period</label>
																				<div class="col-sm-6">
																					<input class="form-control input-daterange-datepicker" type="text" id="daterange_income_input" name="daterange" value="06/01/2023 - 06/30/2023">
																				</div>
																			</div>
																		</div>
																		</form>
																	</div>
																	<center><div class="table-responsive" style="height:100%; width:50rem; margin: 0 auto;" id="income_statement_table">
																		<table class="table table-borderless">
																			<tbody>
																				<tr>
																					<td colspan="4" style="color:black; line-height:0.5rem;"><center><h6><b><?php echo $hospital_name; ?></b></h6></center></td>
																				</tr>
																				<tr>
																					<td colspan="4" style="color:black; line-height:0.5rem;"><center><h6><b>Income Statement</b></h6></center></td>
																				</tr>
																				<tr>
																					<td colspan="4" style="color:black; line-height:0.5rem;"><center><h6><b>For the <span id="income_period"></span> Ended <span id="income_ended"></span></b></h6></center></td>
																				</tr>
																			</tbody>
																		</table>
																		<table class="table table-borderless">
																			<tbody class="income_report_body">
																				<!------Reports go here------>
																			</tbody>
																		</table>
																	</div></center>
																</div>
																<center><button type="button" class="btn btn-primary btn-rounded print_income_statement">Print Report</button></center>
															</div>
														</div>
														
														<!--Income Statement-->
														<div id="income_statement" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header" style="height:4rem;">
																		<form method="post">
																		<div class="row" style="margin-top:-1rem;">
																			<div class="col-md-12 d-flex justify-content-end" style="color:Black; float:right;">
																				<label class="col-sm-6" style="font-size:17px;">Select Period</label>
																				<div class="col-sm-6">
																					<input class="form-control input-daterange-datepicker" type="text" id="daterange_income_input" name="daterange" value="06/01/2023 - 06/30/2023">
																				</div>
																			</div>
																		</div>
																		</form>
																	</div>
																	<center><div class="table-responsive" style="height:100%; width:50rem; margin: 0 auto;" id="income_statement_table">
																		<table class="table table-borderless">
																			<tbody>
																				<tr>
																					<td colspan="4" style="color:black; line-height:0.5rem;"><center><h6><b><?php echo $hospital_name; ?></b></h6></center></td>
																				</tr>
																				<tr>
																					<td colspan="4" style="color:black; line-height:0.5rem;"><center><h6><b>Income Statement</b></h6></center></td>
																				</tr>
																				<tr>
																					<td colspan="4" style="color:black; line-height:0.5rem;"><center><h6><b>For the <span id="income_period"></span> Ended <span id="income_ended"></span></b></h6></center></td>
																				</tr>
																			</tbody>
																		</table>
																		<table class="table table-borderless">
																			<tbody class="income_report_body">
																				<!------Reports go here------>
																			</tbody>
																		</table>
																	</div></center>
																</div>
																<center><button type="button" class="btn btn-primary btn-rounded print_income_statement">Print Report</button></center>
															</div>
														</div>
														
														<!--Balance Sheet-->
														<div id="balance_sheet" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header" style="height:4rem;">
																		<form method="post">
																		<div class="row" style="margin-top:-1rem;">
																			<div class="col-md-12 d-flex justify-content-end" style="color:Black; float:right;">
																				<label class="col-sm-6" style="font-size:17px;">Select Period</label>
																				<div class="col-sm-6">
																					<input class="form-control input-daterange-datepicker" type="text" id="daterange_bal_sheet_input" name="daterange" value="06/01/2023 - 06/30/2023">
																				</div>
																			</div>
																		</div>
																		</form>
																	</div>
																	<center><div class="table-responsive" style="height:100%; width:50rem; margin: 0 auto;" id="bal_sheet_statement_table">
																		<table class="table table-borderless">
																			<tbody>
																				<tr>
																					<td colspan="4" style="color:black; line-height:0.5rem;"><center><h6><b><?php echo $hospital_name; ?></b></h6></center></td>
																				</tr>
																				<tr>
																					<td colspan="4" style="color:black; line-height:0.5rem;"><center><h6><b>Balance Sheet</b></h6></center></td>
																				</tr>
																				<tr>
																					<td colspan="4" style="color:black; line-height:0.5rem;"><center><h6><b><span id="bal_sheet_ended"></span></b></h6></center></td>
																				</tr>
																			</tbody>
																		</table>
																		<table class="table table-borderless">
																			<tbody class="bal_report_body">
																				<!------Reports go here------>
																			</tbody>
																		</table>
																	</div></center>
																</div>
																<center><button type="button" class="btn btn-primary btn-rounded print_bal_sheet_statement">Print Report</button></center>
															</div>
														</div>
														
														<!--Changes in Equity-->
														<div id="changes_equity" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header" style="height:4rem;">
																		<form method="post">
																		<div class="row" style="margin-top:-1rem;">
																			<div class="col-md-12 d-flex justify-content-end" style="color:Black; float:right;">
																				<label class="col-sm-6" style="font-size:17px;">Select Period</label>
																				<div class="col-sm-6">
																					<input class="form-control input-daterange-datepicker" type="text" id="daterange_equity_input" name="daterange" value="06/01/2023 - 06/30/2023">
																				</div>
																			</div>
																		</div>
																		</form>
																	</div>
																	<center><div class="table-responsive" style="height:100%; width:50rem; margin: 0 auto;" id="equity_statement_table">
																		<table class="table table-borderless">
																			<tbody>
																				<tr>
																					<td colspan="4" style="color:black; line-height:0.5rem;"><center><h6><b><?php echo $hospital_name; ?></b></h6></center></td>
																				</tr>
																				<tr>
																					<td colspan="4" style="color:black; line-height:0.5rem;"><center><h6><b>Statement of Changes in Equity</b></h6></center></td>
																				</tr>
																				<tr>
																					<td colspan="4" style="color:black; line-height:0.5rem;"><center><h6><b>For the <span id="equity_period"></span> Ended <span id="equity_ended"></span></b></h6></center></td>
																				</tr>
																			</tbody>
																		</table>
																		<table class="table table-borderless">
																			<tbody class="equity_report_body">
																				<!------Reports go here------>
																			</tbody>
																		</table>
																	</div></center>
																</div>
																<center><button type="button" class="btn btn-primary btn-rounded print_equity_statement">Print Report</button></center>
															</div>
														</div>
														
														<!--Changes in Equity-->
														<div id="trial_balance" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header" style="height:4rem;">
																		<form method="post">
																		<div class="row" style="margin-top:-1rem;">
																			<div class="col-md-12 d-flex justify-content-end" style="color:Black; float:right;">
																				<label class="col-sm-6" style="font-size:17px;">Select Period</label>
																				<div class="col-sm-6">
																					<input class="form-control input-daterange-datepicker" type="text" id="daterange_tb_input" name="daterange" value="06/01/2023 - 06/30/2023">
																				</div>
																			</div>
																		</div>
																		</form>
																	</div>
																	<center><div class="table-responsive" style="height:100%; width:40rem; margin: 0 auto;" id="tb_statement_table">
																		<table class="table table-borderless">
																			<tbody>
																				<tr>
																					<td colspan="3" style="color:black; line-height:0.5rem;"><center><h6><b><?php echo $hospital_name; ?></b></h6></center></td>
																				</tr>
																				<tr>
																					<td colspan="3" style="color:black; line-height:0.5rem;"><center><h6><b>Trial Balance</b></h6></center></td>
																				</tr>
																				<tr>
																					<td colspan="3" style="color:black; line-height:0.5rem;"><center><h6><b>For the <span id="tb_period"></span> Ended <span id="tb_ended"></span></b></h6></center></td>
																				</tr>
																			</tbody>
																		</table>
																		<table class="table table-borderless" style="width:40rem;">
																			<tbody class="tb_report_body">
																				<!------Reports go here------>
																			</tbody>
																		</table>
																	</div></center>
																</div>
																<center><button type="button" class="btn btn-primary btn-rounded print_tb_statement">Print Report</button></center>
															</div>
														</div>
														
														<!--Changes in Equity-->
														<div id="cash_flow" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header" style="height:4rem;">
																		<form method="post">
																		<div class="row" style="margin-top:-1rem;">
																			<div class="col-md-12 d-flex justify-content-end" style="color:Black; float:right;">
																				<label class="col-sm-6" style="font-size:17px;">Select Period</label>
																				<div class="col-sm-6">
																					<input class="form-control input-daterange-datepicker" type="text" id="daterange_cf_input" name="daterange" value="06/01/2023 - 06/30/2023">
																				</div>
																			</div>
																		</div>
																		</form>
																	</div>
																	<center><div class="table-responsive" style="height:100%; width:40rem; margin: 0 auto;" id="cf_statement_table">
																		<table class="table table-borderless">
																			<tbody>
																				<tr>
																					<td colspan="3" style="color:black; line-height:0.5rem;"><center><h6><b><?php echo $hospital_name; ?></b></h6></center></td>
																				</tr>
																				<tr>
																					<td colspan="3" style="color:black; line-height:0.5rem;"><center><h6><b>Cash Flow Statement</b></h6></center></td>
																				</tr>
																				<tr>
																					<td colspan="3" style="color:black; line-height:0.5rem;"><center><h6><b>For the <span id="cf_period"></span> Ended <span id="cf_ended"></span></b></h6></center></td>
																				</tr>
																			</tbody>
																		</table>
																		<table class="table table-striped" style="width:40rem;">
																			<tbody class="cf_report_body">
																				<!------Reports go here------>
																			</tbody>
																		</table>
																	</div></center>
																</div>
																<center><button type="button" class="btn btn-primary btn-rounded print_cf_statement">Print Report</button></center>
															</div>
														</div>
														
														
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_account_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add Account<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_account_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Account Name:</label>
																							<div class="col-sm-9">
																							  <input name="add_account_name" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Account Type:</label>
																							<div class="col-sm-9">
																							  <select class="form-control" name="add_account_type">
																								<?php
																								$get_accounts = $objHospital->get_all_account_types($user_id);
																								if(empty($get_accounts)){
																									echo'<option value="">No account types added yet</option>';
																								}else{
																									echo'<option disabled>Select Account Type</option>';
																									foreach($get_accounts as $account){
																										$account_name = $account['type_name'];
																										echo'<option>'.$account_name.'</option>';
																									}
																								}
																								?>
																								<option></option>
																							  </select>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Sub-Account Of:</label>
																							<div class="col-sm-9">
																							  <select class="form-control" name="add_sub_account">
																								<?php
																								$get_coa_accounts = $objHospital->get_coa_accounts($user_id);
																								if(empty($get_coa_accounts)){
																									echo'<option value="">None</option>';
																								}else{
																									echo'<option>None</option>';
																									foreach($get_coa_accounts as $account){
																										$account_name = $account['coa_account_name'];
																										echo'<option>'.$account_name.'</option>';
																									}
																								}
																								?>
																								<option></option>
																							  </select>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
																							<div class="col-sm-9">
																							  <textarea name="add_account_description" type="text" rows="2" style="height:100%;" class="form-control" ></textarea>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Opening Balance:</label>
																							<div class="col-sm-9">
																							  <input name="add_account_opening_balance" type="text" class="form-control" placeholder="Figure only, no commas"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="add_account_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Account</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_account_type_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:65rem; height:40rem; margin-top:-50px;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">All Account Types<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<h5 style="text-align:right;"><a class="badge badge-success" data-toggle="collapse" href="#add_account" aria-expanded="false" aria-controls="patient">
																			<i class="fa fa-plus"></i>
																			<span class="menu-title"><b>Add Account Type</b></span>
																			<i class="menu-arrow"></i>
																		</a></h5>
																		<div class="img-container collapse" id="add_account">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_account_type_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Account Type Name:</label>
																							<div class="col-sm-9">
																							  <input name="account_type_name" type="text" class="form-control" placeholder="Eg. Current Asset, Current Liabilities...etc"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Select Account Category:</label>
																							<div class="col-sm-9">
																							  <select class="form-control" name="account_type_category" type="text">
																								<?php
																								$get_account_type_categories = $objHospital->get_all_account_type_categories($user_id);
																								foreach($get_account_type_categories as $account){
																									$type_category_name = $account['account_type_name'];
																									echo'<option>'.$type_category_name.'</option>';
																								}
																								
																								?>
																							  </select>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
																							<div class="col-sm-9">
																							  <textarea name="account_type_description" type="text" rows="2" style="height:100%;" class="form-control" ></textarea>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="account_type_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Account Type</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																		<div class="table-responsive">
																			<table class="table primary-table-bg-hover">
																				<thead>
																					<tr>
																						<th scope="col"><center>Account No</center></th>
																						<th scope="col"><center>Account Type</center></th>
																						<th scope="col"><center>Category</center></th>
																						<th scope="col"><center>Description</center></th>
																						<th scope="col"><center>Delete</center></th>
																					</tr>
																				</thead>
																				<tbody id="all_brands_body">
																				<?php
																				//Get Account Type categories 
																				$get_account_type_categories = $objHospital->get_account_type_categories($user_id);
																				if(empty($get_account_type_categories )){
																					echo'<tr><td colspan="5"><center>There are no account types added yet</center></td></tr>';
																				}else{
																					foreach($get_account_type_categories as $category){
																						$type_category = $category['type_category'];
																						echo'<tr><td style="color:#fff; line-height:1rem; background-color:#00008B; text-align:left; font-weight:bold; font-size:16px;" colspan="5">'.$type_category.'</td></tr>';
																						$get_type_by_category = $objHospital->get_type_by_category($type_category,$user_id);
																						foreach($get_type_by_category as $account){
																							$type_number = $account['type_number'];
																							$type_category = $account['type_category'];
																							$type_name = $account['type_name'];
																							$description = $account['description'];
																							echo'
																							<tr>
																								<td style="line-height:1rem;"><center>'.$type_number.'</center></td>
																								<td style="line-height:1rem;"><center><span style="color:blue;">'.$type_name.'</span></center></td>
																								<td style="line-height:1rem;"><center>'.$type_category.'</center></td>
																								<td style="line-height:1rem;"><center>'.$description.'</center></td>
																								<td style="line-height:1rem;"><center><button class="btn btn-danger btn-rounded delete_account_btn" data-type-number="'.$type_number.'" data-hospital-id="'.$hospital_id.'" data-type-name="'.$type_name.'">Delete</button></center></td>
																							</tr>
																							';
																						}
																					}
																				}
																				?>
																				</tbody>
																			</table>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_journal_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Make Journal Entry<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_journal_entry_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-2 col-form-label" style="color:black; font-size:16px;">Entry Name:</label>
																							<div class="col-sm-6">
																							  <input name="journal_entry_name" type="text" class="form-control"/>
																							</div>
																							<label class="col-sm-2 col-form-label" style="color:black; font-size:16px;">Ref No:</label>
																							<div class="col-sm-2">
																							  <input name="journal_entry_no" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-2 col-form-label" style="color:black; font-size:16px;">Description:</label>
																							<div class="col-sm-10">
																							  <textarea name="journal_entry_description" type="text" rows="2" style="height:100%;" class="form-control" ></textarea>
																							</div>
																						  </div>
																						</div>
																					  </div><hr>
																					  <div class="row">
																					    <div class="col-md-12"><center><h6 style="color:black;">Add Debit Details</h6></center></div>
																					  </div>
																					  <div class="row">
																					    <div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-2 col-form-label" style="color:black; font-size:16px;">Account:</label>
																							<div class="col-sm-4">
																							  <select class="form-control" name="journal_debit_account[]">
																								<?php
																								$get_accounts = $objHospital->get_coa_accounts($user_id);
																								if(empty($get_accounts)){
																									echo'<option value="">No account types added yet</option>';
																								}else{
																									echo'<option disabled>Select Account Type</option>';
																									foreach($get_accounts as $account){
																										$account_name = $account['coa_account_name'];
																										echo'<option>'.$account_name.'</option>';
																									}
																								}
																								?>
																							  </select>
																							</div>
																							<label class="col-sm-2 col-form-label" style="color:black; font-size:16px;">Amount:</label>
																							<div class="col-sm-3">
																							  <input name="journal_debit_amount[]" type="text" class="form-control" placeholder="Figure only, no commas"/>
																							</div>
																							<div class="col-sm-1">
																							  <button type="button" class="btn btn-sm btn-success" id="add_debit_acc_btn"><i class="fa fa-plus"></i></button>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12" id="added_debit">
																						</div>
																					  </div><hr>
																					  <div class="row">
																					    <div class="col-md-12"><center><h6 style="color:black;">Add Credit Details</h6></center></div>
																					  </div>
																					  <div class="row">
																					    <div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-2 col-form-label" style="color:black; font-size:16px;">Account:</label>
																							<div class="col-sm-4">
																							  <select class="form-control" name="journal_credit_account[]">
																								<?php
																								$get_accounts = $objHospital->get_coa_accounts($user_id);
																								if(empty($get_accounts)){
																									echo'<option value="">No account types added yet</option>';
																								}else{
																									echo'<option disabled>Select Account Type</option>';
																									foreach($get_accounts as $account){
																										$account_name = $account['coa_account_name'];
																										echo'<option>'.$account_name.'</option>';
																									}
																								}
																								?>
																							  </select>
																							</div>
																							<label class="col-sm-2 col-form-label" style="color:black; font-size:16px;">Amount:</label>
																							<div class="col-sm-3">
																							  <input name="journal_credit_amount[]" type="text" class="form-control" placeholder="Figure only, no commas"/>
																							</div>
																							<div class="col-sm-1">
																							  <button type="button" class="btn btn-sm btn-success" id="add_credit_acc_btn"><i class="fa fa-plus"></i></button>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12" id="added_credit">
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="journal_entry_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Entry</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_asset_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add Asset<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_asset_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Asset Name:</label>
																							<div class="col-sm-9">
																							  <input name="add_asset_name" type="text" class="form-control" style="border:1px solid #D3D3D3; border-radius:3px;"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Asset Type:</label>
																							<div class="col-sm-6">
																							  <select class="form-control" name="add_asset_type">
																								<option disabled>Click here to select:</option>
																								<option>Equipment</option>
																								<option>Furniture</option>
																								<option>Land</option>
																								<option>Building</option>
																								<option>Vehicle</option>
																								<option>Bike</option>
																								<option>Other Property</option>
																							  </select>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-5 col-form-label" style="color:black; font-size:16px;">Unique No:</label>
																							<div class="col-sm-7">
																							  <input name="add_asset_no" type="text" class="form-control" style="border:1px solid #D3D3D3; border-radius:3px;"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Department:</label>
																							<div class="col-sm-9">
																							  <select class="form-control" name="add_asset_dept" style="border:1px solid #D3D3D3; border-radius:3px;">
																								<?php
																								$get_departments = $objHospital->get_departments($user_id);
																								if(empty($get_departments)){
																									echo'<option value="">There is no department added yet</option>';
																								}else{
																									echo'<option disabled>Click here to select:</option>';
																									foreach($get_departments as $dept){
																										$dept_name = $dept['department_name'];
																										echo'<option>'.$dept_name.'</option>';
																									}
																								}
																								?>
																								<option></option>
																							  </select>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Acquisition Value:</label>
																							<div class="col-sm-9">
																							  <input name="add_acquisition_value" type="text" class="form-control" style="border:1px solid #D3D3D3; border-radius:3px;" placeholder="No commas"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Acquisition Date:</label>
																							<div class="col-sm-9">
																							  <input name="add_acquisition_date" type="date" class="form-control" style="border:1px solid #D3D3D3; border-radius:3px;"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Value 10yrs from Acquisition:</label>
																							<div class="col-sm-9">
																							  <input name="add_asset_10_yr_value" type="text" class="form-control" placeholder="Figure only, no commas" style="border:1px solid #D3D3D3; border-radius:3px;"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																					    <div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Invoice No:</label>
																							<div class="col-sm-6">
																							  <input name="add_asset_invoice" type="text" class="form-control" style="border:1px solid #D3D3D3; border-radius:3px;"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-4 col-form-label" style="color:black; font-size:16px;">Supplier:</label>
																							<div class="col-sm-8">
																							  <select name="add_supplier_name" type="text" class="form-control" style="border:1px solid #D3D3D3; border-radius:3px;">
																								<?php
																								$get_all_vendors = $objHospital->get_all_vendors($user_id);
																								if(empty($get_all_vendors)){
																									echo'<option>There are no suppliers added yet</option>';
																								}else{
																									foreach($get_all_vendors as $vendor){
																										$vendor_name = $vendor['vendor_name'];
																										echo '<option>'.$vendor_name.'</option>';
																									}
																								}
																								?>
																							  </select>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-4 col-form-label" style="color:black; font-size:16px;">Is there money demanded by the supplier on this Asset?:</label>
																							<div class="col-sm-8">
																							  <input name="add_asset_debt" type="text" class="form-control" style="border:1px solid #D3D3D3; border-radius:3px;" placeholder="Leave blank if paid in full"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="add_asset_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Asset</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
										
														
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
	<!-- Daterangepicker -->
	<script src="../assets/js/lib/daterangepicker.js"></script>
    <script src="../assets/js/lib/bs-daterange-picker-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/accounting.js"></script>
	<script src="js/printarea.js"></script>
	<style type="text/css">
	.results_modal_body{
		height: 400px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	
	@media only print {
		.sales_table {height: auto !important; display: block; overflow-y: auto !important;}
	}
	</style>
</body>

</html>
<?php } ?>