<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();


?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Staff</title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/helper.css" rel="stylesheet">
    <link href="../assets/css/style.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<div class="row" style="margin-top:10px;">
						<div class="col-md-12">
							<div class="row page-titles mx-0">
								<div class="col-sm-12 p-md-0 justify-content-lg-end mt-2 mt-sm-0 d-flex">
									<button type="button" class="btn btn-primary" data-toggle="modal" data-target=".bd-example-modal-lg"><span
											class="btn-icon-right"><i class="fa fa-plus"></i></span>Add Staff Category
									</button>
								</div>
							</div>
							<div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true">
								<div class="modal-dialog modal-lg">
									<div class="modal-content">
										<div class="modal-header">
											<h5 class="modal-title">Add Staff Category</h5>
											<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
											</button>
										</div>
										<form method="post" id="add_staff_category_form">
										<div class="modal-body">
											<div class="card">
												<div class="card-body">
													<div class="basic-form">
														<div class="form-row">
															<div class="form-group col-md-12">
																<label><span style="color:black;">Staff Category Name</span></label>
																<input type="text" name="staff_category_name" class="form-control" placeholder="E.g. Doctors, Nurses, Radiologists, Laboratorian..etc">
															</div>
														</div>
														<div class="form-row">
															<div class="form-group col-md-6">
																<label><span style="color:black;">Add Job Title</span></label>
																<input type="text" name="job_titles[]" class="form-control" placeholder="E.g. Peadiatrician, Gynaecologist, Midwife, Laboratory Technologist...etc">
															</div>
															<div class="form-group col-md-3">
																<div>&nbsp;</div>
															</div>
															<div class="form-group col-md-3">
																<div>&nbsp;</div>
																<button type="button" id="add_job_title_btn" class="btn btn-rounded btn-success">Add Another Job Title</button>
															</div>
														</div>
														<div class="form-row" id="added_job_titles">
															
														</div>
													</div>
												</div>
											</div>
										</div>
										<div class="modal-footer">
											<input type="hidden" name="staff_category_user_id" value="<?php echo $user_id; ?>">
											<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
											<button type="submit" class="btn btn-primary">Save changes</button>
										</div>
										</form>
									</div>
								</div>
							</div>							
						</div>
					</div>
					
					<div class="col-md-12" style="overflow-y:scroll;">
						<!-- Modal for patients details -->
						<div class="modal fade edit_category" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true" >
						  <div class="modal-dialog">
							<div class="modal-content" style="width: 1000px;">
							<form method="post" id="edit_staff_category_form">
							  <div class="modal-header">
								<h5 class="modal-title" id="staticBackdropLabel">Edit Staff Category details</h5>
								<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
							  </div>
							  
							  <div class="edit_staff_category_body">
								
							  </div>
							</form>
							</div>
						  </div>
						</div>
					</div>
					
					<div class="col-md-6" style="overflow-y:scroll;">
						<!-- Modal for patients details -->
						<div class="modal fade consultation_fee" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true" >
						  <div class="modal-dialog">
							<div class="modal-content" style="width: 45rem; height:15rem;">
							<form method="post" id="edit_staff_category_form">
							  <div class="modal-header">
								<h5 class="modal-title" id="staticBackdropLabel">Set consultation Feess for <span class="fees_header" style="color:blue;" ></span></h5>
								<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
							  </div>
							  <form method="post" id="save_consultation_form">
							  <div class="set_consultation_fee_body">
								<div class="col-md-12">
								  <div class="form-group row">
									<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">How much is the Consultation fee for <span class="fees_header" style="color:blue;" ></span>s</label>
									<div class="col-sm-6">
									  <input name="fee_amount" id="fee_amount" type="text" class="form-control" placeholder="No commas, symbols or letters" style="border: 1px solid grey;">
									</div>
								  </div>
								  <input type="hidden" name="fee_user_id" id="fee_user_id" value="<?php echo $user_id;?>">
								  <input type="hidden" name="fee_category_id" id="fee_category_id">
								  <input type="hidden" name="fee_category_name" id="fee_category_name">
								</div>
							  </div>
							  <div class="modal-footer">
								<button type="button" id="save_fee_btn" class="btn btn-primary">Save Fees</button>
								<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
							  </div>
							  </form>
							</div>
						  </div>
						</div>
					</div>
					
                    <div class="row">
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<h4 class="card-title">All Departments</h4>
								</div>
								<div class="card-body">
									<div class="table-responsive">
										<table class="table table-hover table-responsive-sm">
											<thead>
												<tr>
													<th>ID</th>
													<th colspan="2">Category</th>
													<th><center>Consultation Fee</center></th>
													<th><center>Total number of Staff</center></th>
													<th><center>Resident Staff</center></th>
													<th><center>Visiting Staff</center></th>
													<th><center>Actions</center></th>
												</tr>
											</thead>
											<tbody class="added_staff_categories">
												
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
                    </div>

                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->

    <script src="../assets/js/lib/calendar-2/moment.latest.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.calendar.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.init.js"></script>


    <script src="../assets/js/lib/weather/jquery.simpleWeather.min.js"></script>
    <script src="../assets/js/lib/weather/weather-init.js"></script>
    <script src="../assets/js/lib/circle-progress/circle-progress.min.js"></script>
    <script src="../assets/js/lib/circle-progress/circle-progress-init.js"></script>
    <script src="../assets/js/lib/chartist/chartist.min.js"></script>
    <script src="../assets/js/lib/sparklinechart/jquery.sparkline.min.js"></script>
    <script src="../assets/js/lib/sparklinechart/sparkline.init.js"></script>
    <script src="../assets/js/lib/owl-carousel/owl.carousel.min.js"></script>
    <script src="../assets/js/lib/owl-carousel/owl.carousel-init.js"></script>
    <!-- scripit init-->
    <script src="js/human_resource.js"></script>
</body>

</html>
<?php } ?>