<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/lib/jquery-ui.min.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
	<link href="../assets/css/style.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
	<div id="staff_id" data-staff-id="<?php echo $staff_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
							<div class="row">
								<div class="col-md-12">
									<div class="card">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#appointments" data-toggle="tab" class="nav-link active show">All Appointments</a>
														</li>
														<li class="nav-item" id="schedule"><a href="#make_appointment" data-toggle="tab" class="nav-link">Make Appointment</a>
														</li>
													</ul>
													<div class="tab-content">
														<div id="appointments" class="tab-pane fade active show">
															<div class="card">
																<div class="card-body">
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Appointment Date</center></th>
																					<th scope="col"><center>Patient Name</center></th>
																					<th scope="col"><center>phone No</center></th>
																					<th scope="col"><center>Doctor</center></th>
																					<th scope="col"><center>Reason</center></th>
																					<th scope="col"><center>Time to Appointment (Days)</center></th>
																					<th scope="col"><center>Close</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																				$get_appointments= $objHospital->get_appointments($user_id);
																				if(empty($get_appointments)){
																					echo'<tr><td colspan="7" style="color:red;"><center>There are no appointments made yet</center></td></tr>';
																				}else{
																					foreach($get_appointments as $appointment){
																						$start_date = $appointment['start_date'];
																						$end_date = $appointment['end_date'];
																						$patient_id = $appointment['patient_id'];
																						$staff_id = $appointment['staff_id'];
																						$reason = $appointment['reason'];
																						$color = $appointment['color'];
																						$hospital_id = $appointment['hospital_id'];
																						
																						$date_diff = floor((strtotime($start_date) - time()) / 86400);
																						
																						$get_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
																						foreach($get_patient as $patient){
																							$first_name = $patient['first_name'];
																							$last_name = $patient['last_name'];
																							$phone = $patient['phone_number'];
																							$patient_name = $first_name.' '.$last_name;
																						}
																						
																						$get_staff_details = $objHospital->get_staff_details($staff_id,$user_id);
																						foreach($get_staff_details as $details){
																							$first_name = $details['first_name'];
																							$last_name = $details['last_name'];
																							$doctor = $first_name.' '.$last_name;
																						}
																						
																						echo'<tr>
																							<td><center>'.date('d-m-Y',strtotime($start_date)).'</center></td>
																							<td><center>'.$patient_name.'</center></td>
																							<td><center>'.$phone.'</center></td>
																							<td><center>'.$doctor.'</center></td>
																							<td><center>'.$reason.'</center></td>
																							<td><center>';
																							if($date_diff <= 3){
																								echo'<div class="btn btn-danger"><b>'.$date_diff.'</b></div>';
																							}else{
																								echo'<div class="btn btn-success"><b>'.$date_diff.'</b></div>';
																							}
																							
																							echo'</center></td>
																							<td><center><button class="btn btn-success close_appointment_button"  data-toggle="modal"  data-target="#view_services_modal" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'">Close Appointment</button></center></td>
																						</tr>
																						';
																					}
																				}
																				?>
																			</tbody>
																		</table>
																	</div>
																</div>
															</div>
														</div>
														<div id="make_appointment" class="tab-pane fade">
															<div class="pt-3">
																<div class="settings-form">
																	<div class="row">
																		<div class="col-lg-12">
																			<div class="card">
																				<div class="card-body">
																					<div id="calendar"></div>
																				</div>
																			</div>
																		</div>
																		<!-- Start popup dialog box -->
																		<div class="modal fade" id="event_entry_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																			<div class="modal-dialog modal-md" role="document">
																				<div class="modal-content">
																					<div class="modal-header">
																						<h5 class="modal-title" id="modalLabel">Add New Appointment</h5>
																						<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																							<span aria-hidden="true">×</span>
																						</button>
																					</div>
																					<form method="post" id="make_appointment_form">
																					<div class="modal-body">
																						<div class="img-container">
																							<div class="row">
																								<div class="col-sm-12">  
																									<div class="form-group">
																									  <label for="appointment_patient_id">Select Patient:</label>
																									  <select type="text" name="appointment_patient_id" id="appointment_patient_id" class="js-example-disabled-multi" multiple="multiple" style="width:100%;">
																									    <?php
																										$get_patients = $objHospital->get_patients($user_id);
	
																										if(empty($get_patients)){
																											//Do nothing
																										}else{
																											foreach($get_patients as $patient){
																												$patient_id = $patient['patient_id'];
																												$patient_unique_no = $patient['patient_unique_no'];
																												$first_name = $patient['first_name'];
																												$last_name = $patient['last_name'];
																												$gender = $patient['gender'];
																												$phone_number = $patient['phone_number'];
																												$age = $patient['age'];
																												$date_created = date('m-d-Y',strtotime($patient['date_created']));
																												echo'<option value="'.$patient_id.'">'.$first_name.' '.$last_name.'</option>';
																											}
																										}
																										
																										?>
																									  </select>
																									</div>
																								</div>
																								<div class="col-sm-12">  
																									<div class="form-group">
																									  <label for="event_name">Select Doctor:</label>
																									  <select type="text" name="appointment_doctor" id="appointment_doctor" class="js-example-disabled-multi" multiple="multiple" style="width:100%;">
																									    <?php
																										$get_doctors = $objHospital->get_all_doctors($user_id);
																										if(empty($get_doctors)){
																											echo'<option>There are no Doctors yet</option>';
																										}else{
																											foreach($get_doctors as $doctors){
																												$first_name = $doctors['first_name'];
																												$last_name = $doctors['last_name'];
																												$staff_id = $doctors['staff_id'];
																												echo'<option value="'.$staff_id.'">'.$first_name.' '.$last_name.'</option>';
																											}
																										}
																										
																										?>
																									  </select>
																									</div>
																								</div>
																								<div class="col-sm-12">  
																									<div class="form-group">
																									  <label for="event_name">Reason:</label>
																									  <input type="text" name="appointment_reason" id="reason" class="form-control">
																									</div>
																								</div>
																								<div class="col-sm-12">  
																									<div class="form-group">
																									  <label for="event_name">Urgency Color:</label>
																									  <select class="form-control" id="appointment_color" name="appointment_color" >
																											<option value="#4f86f7">Blue</option>
																											<option value="#ed2939">Red</option>
																											<option value="#228B22">Green</option>
																											<option value="#dcdcdc">Grey</option>
																										</select>
																									</div>
																								</div>
																							</div>
																							<div class="row">
																								<div class="col-sm-6">  
																									<div class="form-group">
																									  <label for="event_start_date">Visit Start Date:</label>
																									  <input type="date" name="appointment_start_date" id="appointment_start_date" class="form-control onlydatepicker" placeholder="Visit date">
																									 </div>
																								</div>
																								<div class="col-sm-6">  
																									<div class="form-group">
																									  <label for="event_end_date">Visit End Date:</label>
																									  <input type="date" name="appointment_end_date" id="appointment_end_date" class="form-control" placeholder="Visit End Date">
																									</div>
																								</div>
																							</div>
																						</div>
																					</div>
																					<div class="modal-footer">
																						<input type="hidden" name="appointment_user_id" value="<?php echo $user_id; ?>">
																						<button type="submit" id="save_appointment" class="btn btn-primary">Save Appointment</button>
																					</div>
																					</form>
																				</div>
																			</div>
																		</div>
																		<!-- End popup dialog box -->
																		<!--Delete event modal--->
																		<div class="modal fade none-border event_entry_modal">
																			<div class="modal-dialog">
																				<div class="modal-content">
																					<div class="modal-header">
																						<h4 class="modal-title"><strong>Delete Schedule</strong></h4>
																					</div>
																					<div class="modal-body delete_modal_body"></div>
																				</div>
																			</div>
																		</div>
																		<!--End delete event modal--->
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
									</div>
								</div>
							</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->

    <script src="../assets/js/lib/calendar-2/moment.latest.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.calendar.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.init.js"></script>
	
	<!-- Required vendors 
    <script src="../assets/js/lib/global.min.js"></script
    <script src="../assets/js/lib/quixnav-init.js"></script>
    <script src="../assets/js/lib/custom.min.js"></script>-->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
    <!-- <script src="../assets/js/lib/fullcalendar-init.js"></script>-->
	
    <!-- scripit init-->
    <script src="js/patient.js"></script>
    <script src="js/calendar.js"></script>
</body>

</html>
<?php } ?>