<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$objUser = new Users();
    $objHospital = new Hospitals();
	
	$user_id = $_GET['user_id'];
	//Get hospital id from user details
	$user_details = $objHospital->get_user($user_id);
	foreach($user_details as $user){
		$hospital_id = $user['hospital_id'];
	}
	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
	
	<!-- Daterange picker -->
    <link href="../assets/css/lib/daterangepicker.css" rel="stylesheet">
	<link href="../assets/css/lib/bootstrap-material-datetimepicker.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<!--<li class="nav-item"><a href="#all_sales" data-toggle="tab" class="nav-link"><i class="fa fa-money"></i>&nbsp;Cash Sales</a>
														</li>
														<li class="nav-item"><a href="#payments" data-toggle="tab" class="nav-link"><i class="fa fa-money"></i>&nbsp;Payments and Receivables</a>
														</li>-->
														<li class="nav-item"><a href="#audit_trail" data-toggle="tab" class="nav-link active show"><i class="fa fa-hand-lizard-o"></i>&nbsp;Deleted Records</a>
														</li>
														<!--<li class="nav-item"><a href="#other_payments" data-toggle="tab" class="nav-link"><i class="fa fa-list"></i>&nbsp;Other Revenue</a>
														</li>-->
													</ul>
													<div class="tab-content">
														
														<div id="all_sales" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header" style="height:5rem;">
																		<div class="row">
																			<div class="col-md-4 d-flex justify-content-left" style="color:Black; text-align:right;">
																				<h5 style="color:Black;">All Deleted</h5>
																			</div>
																			<div class="col-md-6 d-flex justify-content-center" style="color:Black; text-align:right;">
																				<label class="col-sm-6" style="font-size:17px;">Select Period</label>
																				<div class="col-sm-6">
																					<input class="form-control input-daterange-datepicker" type="text" id="sales_daterange_input" name="daterange" value="01/01/2023 - 01/31/2023">
																				</div>
																			</div>
																			<div class="col-md-2 d-flex justify-content-end" style="color:Black; text-align:right;">
																				<center><button type="button" class="btn btn-primary" id="print_total_sales_revenue_btn"><i class="fa fa-print"></i></button></center>
																			</div>
																		</div>
																	</div>
																	<div class="table-responsive daily_sales_table" style="overflow-x:auto;">
																		<table class="table primary-table-bg-hover" style="width:"100%";">
																			<thead>
																				
																			</thead>
																			<tbody id="sales_revenue_body">
																				<?php
																					//Get payment days
																					$get_payments_days = $objHospital->get_payments_days($user_id);
																					if(empty($get_payments_days)){
																						echo'<tr><td colspan="10" style="color:green;"><center>There are no payments made yet</center></td></tr>';
																					}else{
																						
																						$overall_total_paid_daily = 0;
																						foreach($get_payments_days as $days){
																							$added_date = $days['date_added'];
																							
																							echo'<tr><td colspan="10" style="font-weight:bold; text-align:left; line-height:0.7rem; color:blue; background-color:#E5E4E2;">'.date('D d-M-Y',strtotime($added_date)).'</td></tr>
																							<tr>
																								<th scope="col"><center><b>Patient Name</b></center></th>
																								<th scope="col"><center><b>Invoice</b></center></th>';
																							 
																							$get_departments = $objHospital->get_departments($user_id);
																							if(empty($get_departments)){
																								//Do nothing
																							}else{
																								foreach($get_departments as $department){
																									$department_name = $department['department_name'];
																									if($department_name == 'Sanitation'){
																										//Do nothing
																									}else{
																										echo'<th scope="col"><center><b>'.$department_name.'</b></center></th>';
																									}
																							}
																								echo'<th scope="col"><center><b>Total</b></center></th>';
																							}
																							echo'</tr>';
																							
																							//Get patient by Date
																							$get_patient_by_payment_date = $objHospital->get_patient_by_payment_date($user_id,$added_date);
																							foreach($get_patient_by_payment_date as $patient){
																								$patient_id = $patient['patient_id'];
																								$patient_name = $patient['patient_name'];
																								$invoice_no = $patient['invoice_no'];
																								echo'<tr>
																								<td><center>'.$patient_name.'</center></td>
																								<td><center>'.$invoice_no.'</center></td>';
																								
																								$get_departments = $objHospital->get_departments($user_id);
																								if(empty($get_departments)){
																									//Do nothing
																								}else{
																									$total_paid_daily = 0;
																									foreach($get_departments as $department){
																										$department_name = $department['department_name'];
																										
																										if($department_name == 'Sanitation'){
																											//Do nothing
																										}else{
																											$request_type = $department_name;
																										
																											$get_visit_payments = $objHospital->get_visit_payment_by_request_type($added_date,$patient_id,$user_id,$request_type); 
																											if(empty($get_visit_payments)){
																												echo'<td><center>-</center></td>';
																											}else{
																												
																												$total_paid = 0;
																												$total_balance = 0;
																												//Get all bills
																												
																												
																												$total_balance_daily = 0;
																												$total_bill_daily = 0;
																												foreach($get_visit_payments as $payment){
																													$invoice_no  = $payment['invoice_no']; 
																													$hospital_id  = $payment['hospital_id']; 
																													$patient_id  = $payment['patient_id']; 
																													$visit_id  = $payment['visit_id']; 
																													$visit_date  = $payment['visit_date']; 
																													$date_added = $payment['date_added'];
																													$request_type = $payment['request_type'];
																													if(empty($payment['patient_name'])){
																														$patient_name = 'Walkin-Patient';
																														$gender = 'N/A';
																														$age = 'N/A';
																													}else{
																														$patient_name = $payment['patient_name'];
																														$gender = $payment['gender'];
																														$age = $payment['age'];
																													}
																													
																													$amount_paid = $payment['paid'];
																													$total_paid_daily += floatval($amount_paid);
																													echo'<td><center>';
																													if(floatval($amount_paid) == 0){
																														echo'-';
																													}else{
																														echo number_format(floatval($amount_paid),0,0,',');
																													}
																													echo'</center></td>';
																												}
																											}
																										}
																									}
																									echo'<td style="color:black; font-weight:bold;"><center>'.number_format(floatval($total_paid_daily),0,0,',').'</center></td>';
																								}
																							echo'</tr>';	
																							}
																							
																							echo'<tr>
																								<th scope="col"><center><b>Total</b></center></th>
																								<th scope="col"><center><b></b></center></th>';
																								foreach($get_departments as $department){
																									$department_name = $department['department_name'];
																									
																									if($department_name == 'Sanitation'){
																										//Do nothing
																									}else{
																										$request_type = $department_name;
																									
																										$get_total_payments = $objHospital->get_total_payment_by_request_type($added_date,$user_id,$request_type); 
																										if(empty($get_total_payments)){
																											echo'<th><center>-</center></th>';
																										}else{
																											foreach($get_total_payments as $payment){
																												$hospital_id  = $payment['hospital_id']; 
																												$request_type = $payment['request_type'];
																												$amount_paid = $payment['paid'];
																												$overall_total_paid_daily += floatval($amount_paid);
																												echo'<th><center><b>';
																												if(floatval($amount_paid) == 0){
																													echo'-';
																												}else{
																													echo number_format(floatval($amount_paid),0,0,',');
																												}
																												echo'</b></center></th>';
																											}
																										}
																									}
																								}
																							echo'<th scope="col" style="color:blue;"><center><b>'.number_format(floatval($overall_total_paid_daily),0,0,',').'</b></center></th></tr>';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<div id="payments" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header" style="height:5rem;">
																		<div class="row">
																			<div class="col-md-4 d-flex justify-content-left" style="color:Black; text-align:right;">
																				<h5 style="color:Black;">All Patient Payments and Receivables</h5>
																			</div>
																			<div class="col-md-6 d-flex justify-content-center" style="color:Black; text-align:right;">
																				<label class="col-sm-6" style="font-size:17px;">Select Period</label>
																				<div class="col-sm-6">
																					<input class="form-control input-daterange-datepicker" type="text" id="sales_daterange_input" name="daterange" value="01/01/2023 - 01/31/2023">
																				</div>
																			</div>
																			<div class="col-md-2 d-flex justify-content-end" style="color:Black; text-align:right;">
																				<center><button type="button" class="btn btn-primary" id="print_sales_revenue_btn"><i class="fa fa-print"></i></button></center>
																			</div>
																		</div>
																	</div>
																	<div class="table-responsive sales_table" style="overflow-x:auto;">
																		<table class="table primary-table-bg-hover" style="width:"100%";">
																			<thead>
																				<tr>
																					<th scope="col"><center>Date</center></th>
																					<th scope="col"><center>Name</center></th>
																					<th scope="col"><center>Gender</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Total Fee</center></th>
																					<th scope="col"><center>Paid</center></th>
																					<th scope="col"><center>Balance</center></th>
																					<th scope="col"><center>Invoice No</center></th>
																					<th scope="col"><center>Details</center></th>
																				</tr>
																			</thead>
																			<tbody id="sales_revenue_body">
																				<?php
																					//Get payment days
																					$get_payments_days = $objHospital->get_payments_days($user_id);
																					if(empty($get_payments_days)){
																						echo'<tr><td colspan="9" style="color:green;"><center>There are no payments made yet</center></td></tr>';
																					}else{
																						foreach($get_payments_days as $days){
																							$date_added = $days['date_added'];
																							echo'<tr><td colspan="9" style="font-weight:bold; text-align:left; line-height:0.7rem; background-color:#E5E4E2;">'.date('D d-M-Y',strtotime($date_added)).'</td></tr>';
																							
																							$get_visit_payments = $objHospital->get_visit_payment_by_days($date_added,$user_id);
																							if(empty($get_visit_payments)){
																								echo'<tr><td colspan="9" style="color:green;"><center>There are no payments made yet</center></td></tr>';
																							}else{ 
																								$total_paid = 0;
																								$total_balance = 0;
																								//Get all bills
																								
																								$total_paid_daily = 0;
																								$total_balance_daily = 0;
																								$total_bill_daily = 0;
																								foreach($get_visit_payments as $payment){
																									$invoice_no  = $payment['invoice_no']; 
																									$hospital_id  = $payment['hospital_id']; 
																									$patient_id  = $payment['patient_id']; 
																									$visit_id  = $payment['visit_id']; 
																									$visit_date  = $payment['visit_date']; 
																									$date_added = $payment['date_added'];
																									
																									if(empty($payment['patient_name'])){
																										$patient_name = 'Walkin-Patient';
																										$gender = 'N/A';
																										$age = 'N/A';
																									}else{
																										$patient_name = $payment['patient_name'];
																										$gender = $payment['gender'];
																										$age = $payment['age'];
																									}
																									
																									$amount_paid = $payment['paid'];
																									
																									$get_total = $objHospital->get_bill_request_total($patient_id, $hospital_id, $visit_id);
																									
																									$bill_balance = floatval($get_total) - floatval($amount_paid);
																									
																									$total_paid += $amount_paid;
																									$total_balance += $bill_balance;
																									
																									//Daily totals
																									$total_paid_daily += $amount_paid;
																									$total_balance_daily += $bill_balance;
																									$total_bill_daily += $get_total;
																									
																									echo'
																									<tr>
																										<td><center>'.date('H:i',strtotime($date_added)).'</center></td>
																										<td><center>'.$patient_name.'</center></td>
																										<td><center>'.$gender.'</center></td>
																										<td><center>'.$age.'</center></td>
																										<td><center>'.number_format(floatval($get_total),0,0,',').'</center></td>
																										<td><center>'.number_format(floatval($amount_paid),0,0,',').'</center></td>
																										<td><center>';
																										if($bill_balance == '0'){
																											echo'<span style="color:#36454F;">'.number_format($bill_balance,0,0,',').'</span>';
																										}else{
																											echo'<span style="color:red;">'.number_format($bill_balance,0,0,',').'</span>';
																										}
																										echo'</center></td>
																										<td><center>'.$invoice_no.'</center></td>
																										<td>
																											<center><button class="btn btn-sm btn-success dispense_medicine_button"  data-toggle="modal" data-target="#dispense_medicine_modal" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-name="'.$patient_name.'" data-gender="'.$gender.'" data-age="'.$age.'">Details</button>
																											</center>
																										</td>
																									</tr>
																									
																									';
																								}
																								echo'<tr>
																									<th scope="col" style="color:blue; font-weight:bold;"><center>Daily Total</center></th>
																									<th scope="col"><center> </center></th>
																									<th scope="col"><center> </center></th>
																									<th scope="col"><center> </center></th>
																									<th scope="col" style="font-weight:bold;"><center>'.number_format(floatval($total_bill_daily),0,0,',').'</center></th>
																									<th scope="col" style="color:blue; font-weight:bold;"><center>'.number_format(floatval($total_paid_daily),0,0,',').'</center></th>
																									<th scope="col" style="color:red; font-weight:bold;"><center>'.number_format(floatval($total_balance_daily),0,0,',').'</center></th>
																									<th scope="col"><center> </center></th>
																									<th scope="col"><center> </center></th>
																								</tr>';
																							}
																						}
																					}
																				?>
																			</tbody>
																			<tfoot id="sales_revenue_totals">
																			<?php
																			$get_all_bills = $objHospital->get_all_bill_request_total($hospital_id);
																			$get_paid_and_balance = $objHospital->get_paid_and_balance($user_id);
																			if(empty($get_all_bills) && empty($get_paid_and_balance)){
																				//Do nothing
																			}else
																				foreach($get_paid_and_balance as $paid_n_balance){
																					$total_paid = $paid_n_balance['paid'];
																					$total_balance = $paid_n_balance['balance'];
																				}
																				echo'<tr>
																					<th scope="col" style="color:#00008B;"><center>Overall Total</center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center>'.number_format(floatval($get_all_bills),0,0,',').'</center></th>
																					<th scope="col" style="color:#00008B;"><center>'.number_format(floatval($total_paid),0,0,',').'</center></th>
																					<th scope="col" style="color:#A52A2A;"><center>'.number_format(floatval($total_balance),0,0,',').'</center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																				</tr>';
																			?>
																			</tfoot>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														
														<div id="audit_trail" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header" style="height:5rem;">
																		<div class="row">
																			<div class="col-md-4 d-flex justify-content-left" style="color:Black; text-align:right;">
																				<h5 style="color:Black;">All Deleted Records</h5>
																			</div>
																			<div class="col-md-6 d-flex justify-content-center" style="color:Black; text-align:right;">
																				<label class="col-sm-6" style="font-size:17px;">Select Period</label>
																				<div class="col-sm-6">
																					<input class="form-control input-daterange-datepicker" type="text" id="receivables_daterange_input" name="daterange" value="01/01/2023 - 01/31/2023">
																				</div>
																			</div>
																			<div class="col-md-2 d-flex justify-content-end" style="color:Black; text-align:right;">
																				<center><button type="button" class="btn btn-primary" id="print_recievables_btn"><i class="fa fa-print"></i></button></center>
																			</div>
																		</div>
																	</div>
																	<div class="table-responsive receivables_table" style="overflow-x:auto;">
																		<table class="table primary-table-bg-hover" style="width:"100%";">
																			<thead>
																				<tr>
																					<th scope="col"><center>S/N</center></th>
																					<th scope="col"><center>Patient Name</center></th>
																					<th scope="col"><center>Deleted Request</center></th>
																					<th scope="col"><center>Department</center></th>
																					<th scope="col"><center>Reason</center></th>
																					<th scope="col"><center>Requested By</center></th>
																					<th scope="col"><center>Date Requested</center></th>
																					<th scope="col"><center>Deleted By</center></th>
																					<th scope="col"><center>Date Deleted</center></th>
																					<th scope="col"><center>Cost</center></th>
																				</tr>
																			</thead>
																			<tbody id="receivables_revenue_body">
																				<?php
																					
																					$get_deleted_requests = $objHospital->get_deleted_requests($user_id);
																					if(empty($get_deleted_requests)){
																						$total_cost = 0;
																						echo'<tr><td colspan="5" style="color:green;"><center>There are no requests deleted yet</center></td></tr>';
																					}else{ 
																						$count = 0;
																						$total_cost = 0;
																						//Get all bills
																						foreach($get_deleted_requests as $requests){
																							$all_requests_id  = $requests['all_requests_id']; 
																							$hospital_id  = $requests['hospital_id']; 
																							$patient_id  = $requests['patient_id']; 
																							$request_id  = $requests['request_id']; 
																							$visit_id  = $requests['visit_id']; 
																							$department  = $requests['department']; 
																							$request_name = $requests['request_name'];
																							$request_date = $requests['request_date'];
																							$added_by = $requests['added_by'];
																							$date_added = $requests['date_added'];
																							$deleted_by = $requests['deleted_by'];
																							$date_deleted = $requests['date_deleted'];
																							$reason_for_deletion = $requests['reason_for_deletion'];
																							$count++;
																							
																							//Get patient details
																							$get_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
																							foreach($get_patient as $patient){
																								$first_name = $patient['first_name'];
																								$last_name = $patient['last_name'];
																								
																								$full_name = $first_name.' '.$last_name;
																							}
																							
																							//Get Doctor's details
																							$get_requester_details = $objHospital->get_staff_details($added_by,$user_id);
																							//var_dump($get_doctors_details);
																							foreach($get_requester_details as $doctor){
																								$first_name = $doctor['first_name'];
																								$last_name = $doctor['last_name'];
																								$requester = $first_name.' '.$last_name;
																							}
																							
																							//Get Deleter's details
																							$get_deleter_details = $objHospital->get_staff_details($added_by,$user_id);
																							//var_dump($get_doctors_details);
																							foreach($get_deleter_details as $doctor){
																								$first_name = $doctor['first_name'];
																								$last_name = $doctor['last_name'];
																								$deleter = $first_name.' '.$last_name;
																							}
																							
																							//Get bill Details
																							$get_deleted_request_bill = $objHospital->get_deleted_request_bill($request_id,$department,$user_id);
																							if(empty($get_deleted_request_bill)){
																								$cost = '';
																							}else{
																								foreach($get_deleted_request_bill as $bill){
																									$cost = $bill['request_cost'];
																								}
																							}
																							$total_cost += floatval($cost);
																											
																							echo'
																							<tr>
																								<td><center>'.$count.'</center></td>
																								<td><center>'.$full_name.'</center></td>
																								<td><center><span style="color:red;">'.$request_name.'</span></center></td>
																								<td><center>'.$department.'</center></td>
																								<td><center>'.$reason_for_deletion.'</center></td>
																								<td><center>'.$requester.'</center></td>
																								<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
																								<td><center><span style="color:red;">'.$deleter.'</span></center></td>
																								<td><center><span style="color:red;">'.date('d-m-Y',strtotime($date_deleted)).'</span></center></td>
																								<td><center><span style="color:blue;">'.number_format(intval($cost),0,0,',').'</span></center></td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																			<tfoot>
																				<tr>
																					<th scope="col" style="color:blue;"><center>Total</center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col" style="color:blue; font-weight:bold;"><center><?php echo $total_cost; ?></center></th>
																				</tr>
																			</tfoot>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<!---Other payments modal--->
														<div id="other_payments" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_non_patient_payment_modal"><i class="fa fa-money"></i>&nbsp; Add Payment</button>
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_payment_account"><i class="fa fa-user"></i>&nbsp; Payment Accounts</button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Payments</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Payment ID</center></th>
																					<th scope="col"><center>Payment Date</center></th>
																					<th scope="col"><center>Payment Account</center></th>
																					<th scope="col"><center>Paid By</center></th>
																					<th scope="col"><center>Amount Paid</center></th>
																					<th scope="col"><center>Description</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_other_payments = $objHospital->get_all_other_payments($user_id);
																					if(empty($get_other_payments)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no payments made yet</center></td></tr>';
																					}else{ 
																						foreach($get_other_payments as $payment){
																							$other_payment_id = $payment['other_payment_id']; 
																							$date_added = $payment['date_added'];
																							$payment_account = $payment['payment_account'];
																							$paid_by_name = $payment['paid_by_name'];
																							$amount_paid = $payment['amount_paid'];
																							$payment_description = $payment['payment_description'];
																							$hospital_id = $payment['hospital_id'];
																							
																							echo'
																							<tr>
																								<td><center>'.$other_payment_id.'</center></td>
																								<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
																								<td><center>'.$payment_account.'</center></td>
																								<td><center>'.$paid_by_name.'</center></td>
																								<td><center>'.$amount_paid.'</center></td>
																								<td><center>'.$payment_description.'</center></td>
																								<td>
																									<center><button class="btn btn-success delete_other_payment_btn"   data-other-payment-id="'.$other_payment_id.'" data-hospital-id="'.$hospital_id.'">Delete</button>
																									</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																			<tfoot>
																				<tr>
																					<th scope="col" style="color:blue;"><center>Total</center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col" style="color:blue;"><center>
																					<?php 
																					$payment_totals = $objHospital->get_other_payment_totals($user_id);
																					if(empty($payment_totals)){
																						$other_total = 0;
																					}else{
																						echo number_format(floatval($payment_totals),0,0,','); 
																					}
																					?>
																					</center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																				</tr>
																			</tfoot>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_non_patient_payment_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Payments from Other Revenue Sources<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="other_payment_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Paid By:</label>
																							<div class="col-sm-9">
																							  <input name="other_paid_by_name" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Choose Account:</label>
																							<div class="col-sm-9">
																							  <select class="form-control" name="other_payment_account">
																								<?php
																								$get_accounts = $objHospital->get_all_accounts($user_id);
																								if(empty($get_accounts)){
																									echo'<option value="">No payment methods added yet</option>';
																								}else{
																									echo'<option disabled>Select Account to Deposit On</option>';
																									foreach($get_accounts as $account){
																										$account_name = $account['account_name'];
																										echo'<option>'.$account_name.'</option>';
																									}
																									echo'<option>Investment Sales</option>
																									<option>Other</option>';
																								}
																								?>
																								<option></option>
																							  </select>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Amount:</label>
																							<div class="col-sm-9">
																							  <input name="other_payment_amount" type="text" class="form-control" placeholder="Figure only, no commas"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Payment Details:</label>
																							<div class="col-sm-9">
																							  <textarea name="other_payment_description" type="text" rows="2" style="height:100%;" class="form-control" ></textarea>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="other_payment_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Payment</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_payment_account" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">All Payment Accounts<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<h5 style="text-align:right;"><a class="badge badge-success" data-toggle="collapse" href="#add_account" aria-expanded="false" aria-controls="patient">
																			<i class="fa fa-plus"></i>
																			<span class="menu-title"><b>Add an Account</b></span>
																			<i class="menu-arrow"></i>
																		</a></h5>
																		<div class="img-container collapse" id="add_account">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_account_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Account Name:</label>
																							<div class="col-sm-9">
																							  <input name="account_name" type="text" class="form-control" placeholder="Eg. IP Funds, Donations, Refunds, Investment...etc"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
																							<div class="col-sm-9">
																							  <textarea name="account_description" type="text" rows="2" style="height:100%;" class="form-control" ></textarea>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="account_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Account</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																		<div class="table-responsive">
																			<table class="table primary-table-bg-hover">
																				<thead>
																					<tr>
																						<th scope="col"><center>Account ID</center></th>
																						<th scope="col"><center>Account Name</center></th>
																						<th scope="col"><center>Description</center></th>
																						<th scope="col"><center>Delete</center></th>
																					</tr>
																				</thead>
																				<tbody id="all_brands_body">
																				<?php
																				$get_all_accounts = $objHospital->get_all_accounts($user_id);
																				if(empty($get_all_accounts )){
																					echo'<tr><td colspan="4"><center>There are no payment accounts added yet</center></td></tr>';
																				}else{
																					foreach($get_all_accounts as $account){
																						$account_id = $account['payment_account_id'];
																						$hospital_id = $account['hospital_id'];
																						$account_name = $account['account_name'];
																						$description = $account['description'];
																						$added_by_id = $account['added_by_id'];
																						echo'
																						<tr>
																							<td><center>'.$account_id.'</center></td>
																							<td><center>'.$account_name.'</center></td>
																							<td><center>'.$description.'</center></td>
																							<td><center><button class="btn btn-danger btn-rounded delete_account_btn" data-account-id="'.$account_id.'" data-hospital-id="'.$hospital_id.'" data-account-name="'.$account_name.'">Delete Account</button></center></td>
																						</tr>
																						';
																					}
																				}
																				?>
																				</tbody>
																			</table>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
	<!-- Daterangepicker -->
	<script src="../assets/js/lib/daterangepicker.js"></script>
    <script src="../assets/js/lib/bs-daterange-picker-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/finance.js"></script>
	<script src="js/printarea.js"></script>
	<style type="text/css">
	.results_modal_body{
		height: 400px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	
	@media only print {
		.sales_table {height: auto !important; display: block; overflow-y: auto !important;}
	}
	
	</style>
</body>

</html>
<?php } ?>