<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#transactions" data-toggle="tab" class="nav-link active show"><i class="fa fa-money"></i>&nbsp;All Transactions</a>
														</li>
														<li class="nav-item"><a href="#banks" data-toggle="tab" class="nav-link"><i class="fa fa-industry"></i>&nbsp;Transaction Accounts</a>
														</li>
														<li class="nav-item"><a href="#loans" data-toggle="tab" class="nav-link"><i class="fa fa-hand-lizard-o"></i>&nbsp;Loans</a>
														</li>
													</ul>
													<div class="tab-content">
														
														<!---Other payments modal--->
														<div id="transactions" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_transfer_modal"><i class="fa fa-plus"></i> &nbsp;Transfer Funds</button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Transactions</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col">Date</th>
																					<th scope="col">Account</th>
																					<th scope="col">Description</th>
																					<th scope="col"><center>Amount</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_all_money_transfers = $objHospital->get_all_money_transfers($user_id);
																					if(empty($get_all_money_transfers)){
																						echo'<tr><td colspan="5" style="color:green;"><center>There are no transactions added yet</center></td></tr>';
																					}else{ 
																						$total_amount = 0; 
																						foreach($get_all_money_transfers as $bank){
																							$money_transfer_id = $bank['money_transfer_id']; 
																							$hospital_id = $bank['hospital_id'];
																							$transfer_from = $bank['transfer_from'];
																							$transfer_to = $bank['transfer_to'];
																							$amount = $bank['amount'];
																							$notes = $bank['notes'];
																							$balance_from = $bank['balance_from'];
																							$balance_to = $bank['balance_to'];
																							$date_added = $bank['date_added'];
																							$total_amount += intval($amount);
																							
																							//Get transaction account
																							$get_bank_account_by_id = $objHospital->get_bank_account_by_id($transfer_to,$user_id);
																							foreach($get_bank_account_by_id as $account){
																								$bank_name = $account['bank_name'];
																							}
																							
																							echo'
																							<tr>
																								<td>'.date('d-M-Y',strtotime($date_added)).'</td>
																								<td>'.$bank_name.'</td>
																								<td>'; 
																								if($bank_name == 'Cash'){
																									echo $notes; 
																								}else{
																									//Get source account
																									$get_source_account_by_id = $objHospital->get_bank_account_by_id($transfer_from,$user_id);
																									foreach($get_source_account_by_id as $account){
																										$from_bank_name = $account['bank_name'];
																									}
																									echo 'Transfer from '.$from_bank_name.' Account';
																								}
																								
																								echo'</td>
																								<td style="color:black;"><center>'.number_format(floatval($amount),0,0,',').'</center></td>
																								<td>
																									<center><button type="button" class="btn btn-sm btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
																									<div class="dropdown-menu dropdown-menu-right">';
																										echo'<button class="badge badge-primary dropdown-item view_transaction_btn" data-bank-id="'.$money_transfer_id.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#pay_invoice_modal">View Details</button>
																										<button class="badge badge-danger dropdown-item invoice_delete_transaction_btn" data-bank-id="'.$money_transfer_id.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#invoice_payment_details_modal">Delete</button>
																									</div>	
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<div id="banks" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_bank_modal"><i class="fa fa-plus"></i><i class="fa fa-industry"></i>&nbsp; Add Account</button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Transaction Accounts</h5>
																	</div>
																	<div class="table-responsive" style="height:25rem; overflow-x:auto;">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Bank ID</center></th>
																					<th scope="col">Bank Name</th>
																					<th scope="col"><center>Address</center></th>
																					<th scope="col"><center>Telephone</center></th>
																					<th scope="col"><center>Email</center></th>
																					<th scope="col"><center>Account Name</center></th>
																					<th scope="col"><center>Account Number</center></th>
																					<th scope="col"><center>Balance</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_all_transaction_accounts = $objHospital->get_all_transaction_accounts($user_id);
																					if(empty($get_all_transaction_accounts)){
																						echo'<tr><td colspan="9" style="color:green;"><center>There are no accounts added yet</center></td></tr>';
																					}else{ 
																						foreach($get_all_transaction_accounts as $account){
																							$bank_accounts_id = $account['bank_account_id']; 
																							$hospital_id  = $account['hospital_id']; 
																							$bank_name  = $account['bank_name']; 
																							$address  = $account['bank_address']; 
																							$phone  = $account['bank_telephone']; 
																							$email  = $account['bank_email']; 
																							$account_name = $account['account_name'];
																							$account_number = $account['account_number'];
																							$opening_balance = $account['opening_balance'];
																							
																							$get_account_balance = $objHospital->get_bank_overall_balance($bank_accounts_id,$user_id);
																							echo'
																							<tr>
																								<td><center>'.$bank_accounts_id.'</center></td>
																								<td style="color:black;">'.$bank_name.'</td>
																								<td><center>'.$address.'</center></td>
																								<td><center>'.$phone.'</center></td>
																								<td><center>'.$email.'</center></td>
																								<td><center>'.$account_name.'</center></td>
																								<td><center>'.$account_number.'</center></td>
																								<td style="color:black;"><center>'.number_format($get_account_balance,0,0,',').'</center></td>
																								<td>
																									<center><button class="btn btn-success btn-sm bank_details_btn"   data-bank-account-id="'.$bank_accounts_id.'" data-hospital-id="'.$hospital_id.'">Details</button>
																									</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																			<tfoot>
																				<tr>
																					<th scope="col" style="color:blue;"><center></center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col" style="color:blue;"><center></center></th>
																					<th scope="col"><center> </center></th>
																				</tr>
																			</tfoot>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<div id="loans" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_loan_modal"><i class="fa fa-plus"></i><i class="fa fa-hand-lizard-o"></i>&nbsp; New Loan</button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Facility Loans</h5>
																	</div>
																	<div class="table-responsive" style="height:25rem; overflow-x:auto;">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Loan Date</center></th>
																					<th scope="col">Bank Name</th>
																					<th scope="col"><center>Loan Amount</center></th>
																					<th scope="col"><center>Interest Rate</center></th>
																					<th scope="col"><center>Repayment Period</center></th>
																					<th scope="col"><center>Amount Paid</center></th>
																					<th scope="col"><center>Balance</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_all_transaction_accounts = $objHospital->get_all_transaction_accounts($user_id);
																					if(empty($get_all_transaction_accounts)){
																						echo'<tr><td colspan="9" style="color:green;"><center>There are no accounts added yet</center></td></tr>';
																					}else{ 
																						foreach($get_all_transaction_accounts as $account){
																							$bank_accounts_id = $account['bank_account_id']; 
																							$hospital_id  = $account['hospital_id']; 
																							$bank_name  = $account['bank_name']; 
																							$address  = $account['bank_address']; 
																							$phone  = $account['bank_telephone']; 
																							$email  = $account['bank_email']; 
																							$account_name = $account['account_name'];
																							$account_number = $account['account_number'];
																							$opening_balance = $account['opening_balance'];
																							
																							$get_account_balance = $objHospital->get_bank_overall_balance($bank_accounts_id,$user_id);
																							echo'
																							<tr>
																								<td><center>'.$bank_accounts_id.'</center></td>
																								<td style="color:black;">'.$bank_name.'</td>
																								<td><center>'.$address.'</center></td>
																								<td><center>'.$phone.'</center></td>
																								<td><center>'.$email.'</center></td>
																								<td><center>'.$account_name.'</center></td>
																								<td style="color:black;"><center>'.number_format($get_account_balance,0,0,',').'</center></td>
																								<td>
																									<center><button class="btn btn-success btn-sm bank_details_btn"   data-bank-account-id="'.$bank_accounts_id.'" data-hospital-id="'.$hospital_id.'">Details</button>
																									</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																			<tfoot>
																				<tr>
																					<th scope="col" style="color:blue;"><center></center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col" style="color:blue;"><center></center></th>
																					<th scope="col"><center> </center></th>
																				</tr>
																			</tfoot>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														
														
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_bank_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add New Bank Account<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_bank_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Bank Name:</label>
																							<div class="col-sm-9">
																							  <input name="add_bank_name" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Address:</label>
																							<div class="col-sm-6">
																							  <input name="add_bank_address" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-4 col-form-label" style="color:black; font-size:16px;">Telephone:</label>
																							<div class="col-sm-8">
																							  <input name="add_bank_phone" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Email:</label>
																							<div class="col-sm-9">
																							  <input name="add_bank_email" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-4 col-form-label" style="color:black; font-size:16px;">Account Name:</label>
																							<div class="col-sm-8">
																							  <input name="add_bank_account_name" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-4 col-form-label" style="color:black; font-size:16px;">Account Number:</label>
																							<div class="col-sm-8">
																							  <input name="add_bank_account_number" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Opening Balance:</label>
																							<div class="col-sm-9">
																							  <input name="add_bank_account_balance" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="add_bank_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Transaction Account</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_transfer_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="height:38rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">New Transfer</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container" id="add_account">
																			<div class="card add_brand_card">
																				<form method="post" class="form-sample" id="add_transfer_form">
																				  <div class="row">
																					<div class="col-md-6">
																					  <div class="form-group row">
																						<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Transfer From:</label>
																						<div class="col-sm-6">
																						  <select name="transfer_from" type="text" class="form-control">
																						  <?php
																						  
																						$get_all_transaction_accounts = $objHospital->get_all_transaction_accounts($user_id);
																						if(empty($get_all_transaction_accounts)){
																							echo'<option>There are no Accounts added yet:</option>';
																						}else{ 
																							foreach($get_all_transaction_accounts as $account){
																								$bank_accounts_id = $account['bank_account_id']; 
																								$bank_name  = $account['bank_name']; 
																						  
																								echo'<option value="'.$bank_accounts_id.'">'.$bank_name.'</option>';
																							}
																						}
																						?>
																						  </select>
																						</div>
																					  </div>
																					</div>
																					<div class="col-md-6">
																					  <div class="form-group row">
																						<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Transfer To:</label>
																						<div class="col-sm-6">
																						  <select name="transfer_to" type="text" class="form-control">
																						  <?php
																						  
																						$get_all_transaction_accounts = $objHospital->get_all_transaction_accounts($user_id);
																						if(empty($get_all_transaction_accounts)){
																							echo'<option>There are no Accounts added yet:</option>';
																						}else{ 
																							foreach($get_all_transaction_accounts as $account){
																								$bank_accounts_id = $account['bank_account_id']; 
																								$bank_name  = $account['bank_name']; 
																						  
																								echo'<option value="'.$bank_accounts_id.'">'.$bank_name.'</option>';
																							}
																						}
																						  ?>
																						  </select>
																						</div>
																					  </div>
																					</div>
																					
																				  </div>
																				  <div class="row">
																					<div class="col-md-12">
																					  <div class="form-group row">
																						<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Amount:</label>
																						<div class="col-sm-9">
																						  <input name="transfer_amount" type="text" class="form-control"/>
																						</div>
																					  </div>
																					</div>
																				  </div>
																				  <div class="row">
																					<div class="col-md-12">
																					  <div class="form-group row">
																						<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Notes:</label>
																						<div class="col-sm-9">
																						  <textarea name="transfer_notes" rows="3" style="height:100%;" type="text" class="form-control"></textarea>
																						</div>
																					  </div>
																					</div>
																				  </div>
																				  <div class="row">
																					<div class="col-md-12">
																						<div class="d-flex justify-content-center">
																							<input type="hidden" name="transfer_user_id" value="<?php echo $user_id?>">
																							<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Complete Transfer</span></button>
																						</div>
																					</div>
																				  </div>
																				</form>
																			<!-- partial -->
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_loan_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">New Loan</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<form method="post" id="add_loan_form">
																	<div class="modal-body pay_invoice_body">
																		<div class="card">
																		  <div class="row">
																			<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Bank Account:</label>
																					<div class="col-sm-6">
																					  <select name="loan_bank_account" type="text" class="form-control">
																					  <?php
																					  
																					$get_all_transaction_accounts = $objHospital->get_all_transaction_accounts($user_id);
																					if(empty($get_all_transaction_accounts)){
																						echo'<option>There are no Accounts added yet:</option>';
																					}else{ 
																						foreach($get_all_transaction_accounts as $account){
																							$bank_accounts_id = $account['bank_account_id']; 
																							$bank_name  = $account['bank_name']; 
																							
																							if($bank_name == 'Cash'){
																								//Do nothing
																							}else{
																								echo'<option value="'.$bank_accounts_id.'">'.$bank_name.'</option>';
																							}
																						}
																					}
																					?>
																					  </select>
																					</div>
																				  </div>
																			</div>
																			<div class="col-md-6">
																			  <div class="form-group row">
																				<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Loan Amount: </label>
																				<input class="col-sm-6" name="loan_amount" style="font-size:16px;" placeholder="No commas"/>
																			  </div>
																			</div>
																			<div class="col-md-6">
																			  <div class="form-group row">
																				<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Interest Rate(%): </label>
																				<input class="col-sm-6" name="loan_interest" style="font-size:16px;" placeholder="Numbers only"/>
																			  </div>
																			</div>
																			<div class="col-md-6">
																			  <div class="form-group row">
																				<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Installment Frequency: </label>
																				<div class="col-sm-6">
																					<select name="loan_installment_frequency" type="text" class="form-control">
																						<option>Monthly</option>
																						<option>Quarterly</option>
																						<option>Annually</option>
																					</select>
																				</div>
																			  </div>
																			</div>
																			<div class="col-md-6">
																			  <div class="form-group row">
																				<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Loan Term(Months): </label>
																				<input class="col-sm-6" name="loan_term" style="font-size:16px;" placeholder="Numbers only"/>
																			  </div>
																			</div>
																			
																		  </div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<input type="hidden" name="loan_user_id" value="<?php echo $user_id?>">
																		<button type="submit" class="btn btn-primary">Submit Loan</button>
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="invoice_payment_details_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5>Payment Details for: <span style="color:blue;" id="vendor_invoice_payment_header"></span>, Invoice Number: <span style="color:blue;" id="vendor_invoice_no_header"></span>, Amount: <span style="color:blue;" id="vendor_invoice_amount_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body invoice_payment_details_body">
																		
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														
														
														
														
														
														
														
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/finance.js"></script>
	<style>
	.results_modal_body{
		height: 400px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>