<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/chat.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
	<!-- Daterange picker -->
    <link href="../assets/css/lib/daterangepicker.css" rel="stylesheet">
	<link href="../assets/css/lib/bootstrap-material-datetimepicker.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
				<!--**********************************
					Content body start
				***********************************-->
				<section style="background-color: #eee; height:1vh;">

					<div class="row">

					  <div class="col-md-6 col-lg-5 col-xl-4 mb-4 mb-md-0">

						<h5 class="font-weight-bold mb-3 text-center text-lg-start">Users</h5>

						<div class="card" style="height:38rem;">
						  <div class="card-body" style="overflow-x:auto;">
							<input type="test" class="form-control" placeholder="Search" style="border-radius:5px;">
							<ul class="list-unstyled mb-0" id="chat_user_list" style="margin-top:10px;">
							  <!----List of users goes here-->
							</ul>
						  </div>
						</div>

					  </div>

					  <div class="col-md-6 col-lg-7 col-xl-8">
						<div class="card" style="height:40rem;">
							<div class="card-header">
								<center><h6 style="color:blue;" id="message_user"></h6></center>
							</div>
							<div class="card-body" id="chat_texts_div" style="overflow-x:auto;">
								<ul class="list-unstyled" id="chat_texts">
								  <!----Chats of users goes here-->
								</ul><hr>
							</div>
							<div class="card-footer" style="height:4rem;">
								<form method="post" id="save_chats_form">
									<li class="mb-3">
										<div class="form-outline d-flex">
											<input name="chat_text" id="chat_text" class="form-control" type="text" placeholder="Message" >
											<input type="hidden" name="sending_chat_user_id" id="sending_chat_user_id">
											<input type="hidden" name="sending_other_chat_user_id" id="sending_other_chat_user_id">
											<input type="hidden" name="chat_text_id" id="chat_text_id">
											<button type="submit" class="btn btn-info btn-rounded float-end">Send</button>
										</div>
									</li>
								</form>
							</div>
						</div>
					  </div>

					</div>

				  </section>
						
			</div>
		</div>
	</div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <!-- bootstrap -->
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
    <!-- scripit init-->
    <script src="js/chat.js"></script>
</body>

</html>
<?php } ?>	