<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#expenses" data-toggle="tab" class="nav-link active show"><i class="ti ti-money"></i>&nbsp;All Expenses</a>
														</li>
														<!--<li class="nav-item"><a href="#expense_accounts" data-toggle="tab" class="nav-link"><i class="ti ti-layout-grid2"></i>&nbsp;Expense Accounts</a>
														</li>
														<!--<li class="nav-item"><a href="#stock_alerts" data-toggle="tab" class="nav-link"><i class="fa fa-bullhorn"></i>&nbsp;Stock Alerts</a>
														</li>-->
													</ul>
													<div class="tab-content">
														
														<div id="expenses" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_expense_modal"><i class="ti ti-money"></i>&nbsp; Add Expense</button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Expense Journal Entries</h5>
																	</div>
																	<div class="table-responsive" style="height:25rem; overflow-x:auto;">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Date</center></th>
																					<th scope="col"><center>Paid To</center></th>
																					<th scope="col"><center>Invoice No</center></th>
																					<th scope="col"><center>Expense Account</center></th>
																					<th scope="col"><center>Notes</center></th>
																					<th scope="col"><center>Department</center></th>
																					<th scope="col"><center>Amount</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_all_expenses = $objHospital->get_all_expenses($user_id);
																					if(empty($get_all_expenses)){
																						echo'<tr><td colspan="7" style="color:green;"><center>There is no expenditure made yet</center></td></tr>';
																					}else{ 
																						foreach($get_all_expenses as $expense){
																							$expense_id   = $expense['expense_id']; 
																							$hospital_id  = $expense['hospital_id']; 
																							$invoice  = $expense['invoice']; 
																							$account_name  = $expense['expense_account_name']; 
																							$payee  = $expense['payee']; 
																							$amount  = $expense['amount']; 
																							$description = $expense['description'];
																							$added_by = $expense['added_by'];
																							$department = $expense['department'];
																							$date_added = date('d-M-Y',strtotime($expense['date_added']));
																							
																							if(empty($department)){
																								$department_name = '';
																							}else{
																								//Get department by id
																								$get_department = $objHospital->get_department_by_id($department);
																								foreach($get_department as $department){
																									$department_name = $department['department_name'];
																								}
																							}
																							
																							echo'
																							<tr>
																								<td style="line-height:0.7rem;"><center>'.$date_added.'</center></td>
																								<td style="line-height:0.7rem;"><center>'.$payee.'</center></td>
																								<td style="line-height:0.7rem;"><center>'.$invoice.'</center></td>
																								<td style="line-height:0.7rem;"><center>'.$account_name.'</center></td>
																								<td style="line-height:0.7rem;"><center>'.$description.'</center></td>
																								<td style="line-height:0.7rem;"><center>'.$department_name.'</center></td>
																								<td style="line-height:0.7rem; color:black;"><center>'.number_format(floatval($amount),0,0,',').'</center></td>
																								<td style="line-height:0.7rem;">
																									<center><button class="btn btn-sm btn-danger delete_expense_btn"   data-expense-id="'.$expense_id.'" data-hospital-id="'.$hospital_id.'">Delete</button>
																									</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																			<tfoot>
																			<?php
																			$get_total_expenses = $objHospital->get_total_expenses($user_id);
																			if(empty($get_total_expenses)){
																				$total = 0;
																			}else{
																				$total = $get_total_expenses;
																			}
																			?>
																				<tr>
																					<th scope="col" style="color:blue;"><center>Total</center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col" style="color:blue;"><center><?php echo number_format(floatval($total),0,0,','); ?></center></th>
																					<th scope="col"><center> </center></th>
																				</tr>
																			</tfoot>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<!---Other payments modal--->
														<div id="expense_accounts" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_expense_account_modal"><i class="ti ti-layout-grid2"></i>&nbsp; Add Expense Account</button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Expense Accounts</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Account ID</center></th>
																					<th scope="col"><center>Account Name</center></th>
																					<th scope="col"><center>Description</center></th>
																					<th scope="col"><center>Delete</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_expense_accounts = $objHospital->get_expense_accounts($user_id);
																					if(empty($get_expense_accounts)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no expense accounts added yet</center></td></tr>';
																					}else{ 
																						foreach($get_expense_accounts as $accounts){
																							$expense_account_id = $accounts['expense_account_id']; 
																							$account_name = $accounts['account_name'];
																							$description = $accounts['description'];
																							$date_added = $accounts['date_added'];
																							echo'
																							<tr>
																								<td><center>'.$expense_account_id.'</center></td>
																								<td><center>'.$account_name.'</center></td>
																								<td><center>'.$description.'</center></td>
																								<td>
																									<center><button class="btn btn-danger delete_expense_account_btn"   data-exp-account-id="'.$expense_account_id.'" data-hospital-id="'.$hospital_id.'">Delete</button>
																									</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_expense_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add an Expense<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_expenditure_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Paid To:</label>
																							<div class="col-sm-9">
																							  <input name="add_expense_payee" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-4">
																						  <div class="form-group row">
																							<label class="col-sm-6 col-form-label" style="color:black; font-size:14px;">Expense Account:</label>
																							<div class="col-sm-6">
																							  <select class="form-control" name="add_expense_account">
																								<?php
																								$get_accounts = $objHospital->get_coa_accounts($user_id);
																								if(empty($get_accounts)){
																									echo'<option disabled>Select Account for this Expense</option>';
																								}else{
																									echo'<option disabled>Select Account for this Expense</option>
																									<option>Delivery Charges - Inventory</option>';
																									foreach($get_accounts as $accounts){
																										$coa_account_name = $accounts['coa_account_name'];
																										$coa_account_type = $accounts['coa_account_type'];
																										$get_account_typ = $objHospital->get_expense_category_type($coa_account_type,$user_id);
																										foreach($get_account_typ as $typ){
																											$type_category = $typ['type_category'];
																										}
																										//Get account type
																										if($type_category == 'Expenses' || $coa_account_name == 'Investments' || $coa_account_name == 'Common Shares'){
																											echo'<option>'.$coa_account_name.'</option>';
																										}
																									}
																								}
																								?>
																							  </select>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-4">
																						  <div class="form-group row">
																							<label class="col-sm-4 col-form-label" style="color:black; font-size:14px;">Source:</label>
																							<div class="col-sm-8">
																							  <select class="form-control" name="add_expense_bank_account">
																								<?php
																								$get_all_transaction_accounts = $objHospital->get_all_transaction_accounts($user_id);
																								if(empty($get_all_transaction_accounts)){
																									echo'<option>There are no accounts added yet</option>';
																								}else{ 
																									foreach($get_all_transaction_accounts as $account){
																										$bank_accounts_id = $account['bank_account_id']; 
																										$hospital_id  = $account['hospital_id']; 
																										$bank_name  = $account['bank_name']; 
																										$address  = $account['bank_address']; 
																										$phone  = $account['bank_telephone']; 
																										$email  = $account['bank_email']; 
																										$account_name = $account['account_name'];
																										$account_number = $account['account_number'];
																										$opening_balance = $account['opening_balance'];
																										
																										$get_account_balance = $objHospital->get_bank_overall_balance($bank_accounts_id,$user_id);
																										echo'<option>'.$bank_name.'</option>';
																									}
																								}
																								?>
																							  </select>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-4">
																						  <div class="form-group row">
																							<label class="col-sm-4 col-form-label" style="color:black; font-size:14px;">Department:</label>
																							<div class="col-sm-8">
																							  <select class="form-control" name="add_expense_department">
																								<?php
																								$get_departments = $objHospital->get_departments($user_id);
																								if(empty($get_departments)){
																									echo'<option disabled>No Department added yet</option>';
																								}else{
																									echo'<option disabled>Select Department Here:</option>';
																									foreach($get_departments as $department){
																										$department_id = $department['department_id'];
																										$department_name = $department['department_name'];
																										echo'<option value="'.$department_id.'">'.$department_name.'</option>';
																									}
																								}
																								?>
																							  </select>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Ref/Invoice No:</label>
																							<div class="col-sm-6">
																							  <input name="add_expense_invoice" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-4 col-form-label" style="color:black; font-size:16px;">Amount:</label>
																							<div class="col-sm-8">
																							  <input name="add_expense_amount" type="text" class="form-control" placeholder="Figure only, no commas"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Reason/Description:</label>
																							<div class="col-sm-9">
																							  <textarea name="add_expense_description" type="text" rows="2" style="height:100%;" class="form-control" ></textarea>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="add_expense_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Expense</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_expense_account_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add an Expense Accounts<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container" id="add_account">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_expense_account_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Account Name:</label>
																							<div class="col-sm-9">
																							  <input name="expense_account_name" type="text" class="form-control" placeholder="Eg. Salaries, Marketing, Admin Costs, Utilities...etc"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
																							<div class="col-sm-9">
																							  <textarea name="expense_account_description" type="text" rows="2" style="height:100%;" class="form-control" ></textarea>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="expense_account_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Account</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/finance.js"></script>
	<style>
	.results_modal_body{
		height: 400px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>