$(document).ready(function(){
	
	//user controller url
	var url = './../controller/administration.php';
	var userId = $('#user_id').data('user-id');
	
	
	//Get all wards
	 var wardUserId = $('#user_id').data('user-id');
	 
	 $.ajax({
	   type: "POST",
	   url: url,
	   data: {'get_ward_user_id':wardUserId}, 
	   success: function(data)
	   {
		   $('.beds_table_body').html(data);
		   
		   //When add button is clicked, assign value to ward_id input
		   $('.add_bed_button').on('click', function(){
			   var wardId = $(this).data('ward-id');
			   
			   $('.bed_ward_id').val(wardId);
			   
		   });
		   		   
		   //Delete ward button is clicked 
			$('.delete_ward_button').on('click',function(){
				//alert('clicked');
				var deleteWardId = $(this).data('ward-id');
				var deleteUserId = $('#user_id').data('user-id');
			 
				 $.ajax({
				   type: "POST",
				   url: url,
				   data: {'delete_ward_user_id':deleteUserId, 'delete_ward_id':deleteWardId}, 
				   success: function(data)
				   {
					   alert(data);
					   
				   },
					error: function() 
					{ 
						alert('No wards found'); 
					}
				 });
				 
				 //Reload page after Ajax request
				$(document).ajaxStop(function(){
					window.location.reload();
				});
			});
		   
	   },
		error: function() 
		{ 
			alert('No wards found'); 
		}
	 });
	
	//Add a ward
	$('#save_ward_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			
		});*/
		
		//Call the native javascript reset object to reset form
		$("#save_ward_form").trigger("reset");
	});
	
	//Save a bed 
	$('#save_bed_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			
		});*/
		
		//Call the native javascript reset object to reset form
		$("#save_bed_form").trigger("reset");
	});
	
	//When the beds tab is clicked
	$('#beds_btn').on('click',function(){
		//Get all beds
		var bedUserId = $('#user_id').data('user-id');

		$.ajax({
			type: "POST",
			url: url,
			data: {'get_bed_user_id':bedUserId}, 
			success: function(data){
				
			   $('.all_beds_table_body').html(data);  
			   
			   $('.edit_bed_button').on('click',function(){
				   //Get bed id
				    var bedId = $(this).data('bed-id'); 
					
					$.ajax({
						type: "POST",
						url: url,
						data: {'edit_bed':bedId,'edit_bed_user':userId}, 
						success: function(data){
							
							$('#edit_bed_modal_container').html(data);
							
							//Submit the edit bed form
							$('#edit_bed_form').on('submit',function(e){
								
								e.preventDefault(); // avoid to execute the actual submit of the form.
								var form = $(this);	
								//If the checkbox is checked, save the data, if not, give an alert
							
								$.ajax({
								   type: "POST",
								   url: url,
								   data: form.serialize(), // serializes the form's elements.
								   success: function(data)
								   {
									   alert(data);// show response from the php script.
									   window.location.reload();
								   },
									error: function() 
									{ 
										alert('error'); 
									}
								});
								 
								/*/Reload page after Ajax request
								$(document).ajaxStop(function(){
									window.location.reload();
								});*/
								
								//Call the native javascript reset object to reset form
								$("#edit_bed_form").trigger("reset");
							});
							
							
							
						},
						error: function(){ 
						
							alert('No beds found'); 
							
						}
				   
					});
				});
				
				//When delete button is clicked
				$('.delete_bed_button').on('click',function(){
					
					var deleteBedId = $(this).data('bed-id');
					var deleteBedHospitalId = $(this).data('hospital-id');
					
					$.ajax({
						type: "POST",
						url: url,
						data: {'delete_bed_id':deleteBedId,'delete_bed_hospital_id':deleteBedHospitalId}, 
						success: function(data){
							
							alert(data);
							window.location.reload();
						},
						error: function(){ 
			
							alert('No beds found'); 
							
						}
					});
					
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						
					});*/
				});
			},
			error: function(){ 
			
				alert('No beds found'); 
			}
		});
	});
	
	//Show all admitted patients
	$.ajax({
		type: "POST",
		url: url,
		data: {'admitted_user_id':userId}, 
		success: function(data){
			
			$('#admitted_patient_body').html(data);
			
			//When the assign bed button is clicked
			$('.assign_bed_button').on('click',function(){
				var patientId = $(this).data('patient-id');
				
				$('.assign_bed_patient_id').val(patientId);
				
			});
			
			
			//Change a patient's bed
			$('.change_bed_button').on('click',function(){
				
				var patientId = $(this).data('patient-id');					
				var oldBedId = $(this).data('old-bed');
				
				$.ajax({
					type: "POST",
					url: url,
					data: {'change_bed_user_id':userId,'change_bed_patient_id':patientId}, 
					success: function(data){
						
						$('#change_bed_body').html(data);
						
						$('.select_change_bed_btn').on('click',function(){
							
							var patientId = $(this).data('patient-bed-id');
							var newBedId = $(this).data('new-bed-id');
							var oldBedId = $(this).data('old-bed-id');
							var userId = $(this).data('user-bed-id');
							
							$.ajax({
								type: "POST",
								url: url,
								data: {'changed_bed_patient_id':patientId,'changed_bed_bed_id':newBedId,'changed_bed_user_id':userId,'changed_old_bed_id':oldBedId}, 
								success: function(data){
									alert(data);
								},
								error: function(){
									alert('There is a problem with the connection');
								}
							});
							
							//Reload page after Ajax request
							$(document).ajaxStop(function(){
								window.location.reload();
							});
							
						});
						
						
					},
					error: function(){ 
						alert('No Visits found'); 
					}
				});
			});
			
			//When the patient tr button is clicked in the triage page
			$('.admit_patient_btn').on('click',function(){
				var patientId = $(this).data('patient-id');
				var hospitalId = $(this).data('hospital-id');
				var department = $(this).data('department');
				$(this).css('cursor', 'pointer');
				
				window.location.href='./admission.php?user_id='+userId+'&patient_id='+patientId+'&hospital_id='+hospitalId+'&department='+department;
				
			});
			
		},
		error: function(){ 
			alert('No Visits found'); 
		}
	});
	
	//When the save visit button is clicked
	$('.assign_bed_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$(".assign_bed_form").trigger("reset");
	});
	
	
	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	 
	 //Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	 
});