$(document).ready(function(){
	
	//user controller url
	var url = './../controller/ambulance.php';
	var userId = $('#user_id').data('user-id');
	
	
	//Add a vehicle
	$('#save_ambulance_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#save_ambulance_form").trigger("reset");
	});
	
	//Get patients phone number
	$('#dispatch_patient_name').on('change', function(){
		var patientId = $(this).val();
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'view_dispatch_patient_id':patientId,'view_dispatch_user_id':userId}, 
		   success: function(data)
		   {
			   $('#dispatch_phone').val(data);
			   $('#view_patient_phone').html(data);
			   
		   },
			error: function() 
			{ 
				alert('There was an error finding the clicked patient'); 
			}
		 });
	});
	
	//Add a ambulance request
	$('#ambulance_request_form').on('submit',function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#ambulance_request_form").trigger("reset");
	});
	
	
	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	 
});