$(document).ready(function(){
	
	//user controller url
	var url = './../controller/human_resource.php';
	var userId = $('#user_id').data('user-id');
	
	$('#add_job_title_btn').click(function(){
			
		//Add a div on button clicked
		var html ='<div class="col-md-12 added">';
		html +='<div class="form-group row add_row">';
		html +='<div class="col-sm-6">';
		html +='<input type="text" name="job_titles[]" class="form-control" placeholder="Add another Job Title"></div>';
		html +='<div class="col-sm-3">';
		html +='<center><button name="remove" type="button" id="remove_title" class="btn btn-rounded btn-danger remove_title_btn">Remove</button></center>';
		html +='</div>';
		html +='</div></div>';
		
		//Add another test name div
		$(html).appendTo('#added_job_titles');
		
	});
	
	//Remove added job title div
	$('#added_job_titles').on('click','.remove_title_btn', function(){
		$(this).closest('div .added').remove();
	});
	
	//Submit the Staff category form form
	$('#add_staff_category_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_staff_category_form").trigger("reset");
			
	});
	
	//Submit the Staff salary form form
	$('.add_salary_modal_btn').on('click',function(){
		
		$('#add_salary_staff').change(function(){
			
			//var salaryStaffId = $(this).find(":selected").val();
			var salaryStaffId = $(this).val();
			
			$.ajax({
				type: "POST",
				url: url,
				data: {'salaryStaffId':salaryStaffId, 'salaryUserId':userId}, 
				success: function(data){
				     $('#staff_salary_header').html(data);
					 $('#add_salary_staff_name').val(data);
				},
				error: function(){ 
					alert('No staff found'); 
				}
			});
		});
			
		$('#save_salary_form').submit(function(e){
		
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			 
			/*/Reload page after Ajax request
			$(document).ajaxStop(function(){
				window.location.reload();
			});*/
			
			//Call the native javascript reset object to reset form
			$("#save_salary_form").trigger("reset");
				
		});
		
	});
	
	//Change staff salary
	$('.edit_salary_button').on('click',function(){
		var changeSalaryStaffId = $(this).data('staff-id');
		var changeSalaryFullName = $(this).data('full-name');
		var changeSalarySalary = $(this).data('salary');
		
		$('#change_salary_header').html(changeSalaryFullName);
		$('.current_salary').html(changeSalarySalary);
		$('#change_salary_staff_name').val(changeSalaryFullName);
		$('#change_salary_staff_id').val(changeSalaryStaffId);
		
		$('#change_salary_form').submit(function(e){
		
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			 
			/*/Reload page after Ajax request
			$(document).ajaxStop(function(){
				window.location.reload();
			});*/
			
			//Call the native javascript reset object to reset form
			$("#change_salary_form").trigger("reset");
				
		}); 
	});
	
	//View salary history 
	$('.view_salary_history_button').on('click',function(){
		var viewSalaryStaffId = $(this).data('staff-id');
		var viewSalaryHospitalId = $(this).data('hospital-id');
		var viewSalaryFullName = $(this).data('full-name');
		
		$('#salary_history_header').html(viewSalaryFullName);
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'viewSalaryStaffId':viewSalaryStaffId, 'viewSalaryHospitalId':viewSalaryHospitalId}, 
			success: function(data){
				 $('.salary_history_table_body').html(data);
			},
			error: function(){ 
				alert('No salary found'); 
			}
		});
	});
	
	//Submit the Staff advance form
	$('.issue_advance_btn').on('click',function(){
		
		$('#add_advance_staff_id').change(function(){
			
			var salaryStaffId = $(this).val();
			var salaryUserId = $('#add_advance_added_by').val();
			
			$.ajax({
				type: "POST",
				url: url,
				data: {'salaryStaffId':salaryStaffId, 'salaryUserId':userId}, 
				success: function(data){
				     $('#issue_advance_header').html(data);
				     $('#add_advance_staff_name').val(data);
				},
				error: function(){ 
					alert('No staff found'); 
				}
			});
		});
			
		$('#save_salary_advance_form').submit(function(e){
		
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			 
			/*/Reload page after Ajax request
			$(document).ajaxStop(function(){
				window.location.reload();
			});*/
			
			//Call the native javascript reset object to reset form
			$("#save_salary_advance_form").trigger("reset");
				
		});
		
	});
	
	//Get Staff categories
	$.ajax({
	   type: "POST",
	   url: url,
	   data: {'get_staff_categories':userId}, 
	   success: function(data)
	   {
		   $('.added_staff_categories').append(data);
		   
			 //if the edit menu item is clicked
			 $('.edit_category_button').on('click',function(){
				 //Get the department id from the clicked button
				 var categoryId = $(this).data('category-id');
				 var editUserId = $('#user_id').data('user-id');
				 
				 $.ajax({
				   type: "POST",
				   url: url,
				   data: {'edit_category_id':categoryId, 'user_staff_category_id':editUserId}, 
				   success: function(data)
				   {
					   $('.edit_staff_category_body').html(data);
					   
					   //Add job title inputs
					   $('#add_edit_job_title_btn').click(function(){
			
							//Add a div on button clicked
							var html ='<div class="col-md-12 added_edit">';
							html +='<div class="form-group row add_row">';
							html +='<div class="col-sm-6">';
							html +='<input type="text" name="edit_job_titles[]" class="form-control" placeholder="Add another Job Title"></div>';
							html +='<div class="col-sm-3">';
							html +='<center><button name="remove" type="button" id="remove_title" class="btn btn-rounded btn-danger remove_edit_title_btn">Remove</button></center>';
							html +='</div>';
							html +='</div></div>';
							
							//Add another test name div
							$(html).appendTo('#added_edit_job_titles');
							
						});
						
						//Remove added job title div
						$('#added_edit_job_titles').on('click','.remove_edit_title_btn', function(){
							$(this).closest('div .added_edit').remove();
						});
					   
					   //Edit the department when edit modal form is submitted
						$('#edit_staff_category_form').submit(function(e){
							
							e.preventDefault(); // avoid to execute the actual submit of the form.
							var form = $(this);	
							//If the checkbox is checked, save the data, if not, give an alert
						
							$.ajax({
							   type: "POST",
							   url: url,
							   data: form.serialize(), // serializes the form's elements.
							   success: function(data)
							   {
								   alert(data);// show response from the php script.
								   window.location.reload();
							   },
								error: function() 
								{ 
									alert('error'); 
								}
							});
							 
							/*/Reload page after Ajax request
							$(document).ajaxStop(function(){
								window.location.reload();
							});*/
								
						});
					   
				   },
					error: function() 
					{ 
						alert('No Categories found'); 
					}
				 });
			 });
			 
			 //if the edit menu item is clicked
			 $('.fee_button').on('click',function(){
				 //Get the department id from the clicked button
				 var categoryId = $(this).data('category-id');
				 var categoryName = $(this).data('category-name');
				 $('.fees_header').html(categoryName);
				 $('#fee_category_id').val(categoryId);
				 $('#fee_category_name').val(categoryName);
				 
				 $('#save_fee_btn').on('click',function(){
					 var categoryId = $('#fee_category_id').val();
					 var categoryName = $('#fee_category_name').val();
					 var userId = $('#fee_user_id').val();
					 var feeAmount = $('#fee_amount').val();
					 
					 $.ajax({
					   type: "POST",
					   url: url,
					   data: {'fee_category_id':categoryId, 'fee_category_name':categoryName,'fee_amount':feeAmount, 'fee_user_id':userId}, 
					   success: function(data){
						   alert(data);
						   window.location.reload();   
					   },
						error: function(){ 
							alert('No Categories found'); 
						}
					 });
					 
				 });
				 
			 });
			 
			 //if the delete button is clicked
			 $('.delete_category_button').on('click',function(){
				 //Get the category id from the clicked button
				 var categoryId = $(this).data('category-id');
				 var deleteUserId = $('#user_id').data('user-id');
				 
				 $.ajax({
				   type: "POST",
				   url: url,
				   data: {'delete_category_id':categoryId, 'delete_category_user_id':deleteUserId}, 
				   success: function(data)
				   {
					   alert(data);
					   window.location.reload();
					   
				   },
					error: function() 
					{ 
						alert('No Categories found'); 
					}
				 });
			 });
	   },
		error: function() 
		{ 
			alert('No departments found'); 
		}
	 });
	 
	 
	 
	 //Save staff
	$('#add_staff_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		
		//Submit form		
		var formdata = new FormData(this); 
		var fileData = $('#staff_image')[0].files;   
		
		// Check file selstaff_imageected or not
		if(fileData.length > 0 ){
			
			formdata.append('staff_photo',fileData);
			
		}else{
			//Do nothing
		}
		
		$.ajax({
			type: 'post',
		    url: url,
		    data: formdata,
			processData: false,
			contentType: false,
			cache: false,
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
			
	});
	
	var categoryName = $('.category_name').data('category-name');
	//Get all the staff
	$.ajax({
	   type: "POST",
	   url: url,
	   data: {'get_all_staff':userId,'get_category_name':categoryName}, 
	   success: function(data)
	   {
		   $('.added_staff').html(data);
		   
		   //Edit each staff
			 $('.edit_staff_button').on('click',function(){
				 
				 //Get the department id from the clicked button
				 var staffId = $(this).data('staff-id');
				 var staffUserId = $('#user_id').data('user-id');
				 
				 $.ajax({
				   type: "POST",
				   url: url,
				   data: {'edit_staff_id':staffId, 'staff_user_id':staffUserId}, 
				   success: function(data)
				   {
					   $('.edit_staff_body').html(data);
					   
					   //Add job title inputs
					   $('#add_staff_edit_job_title_btn').click(function(){
			
							//Add a div on button clicked
							var html ='<div class="col-md-6 form-group added_staff_edit">';
								html +='<div class="form-group row">';
								html +='<div class="col-sm-6">';
								html +='<select class="form-control all_departments" name="edit_staff_department[]">';
								html += '</select>';
								html += '</div>';
								html += '<div class="col-sm-2">';
								html += '<button name="remove" type="button" id="remove_title" class="btn btn-rounded btn-danger remove_edit_staff_btn">Remove</button>';
								html += '</div></div></div>';
							
							//Add another test name div
							$(html).appendTo('#edit_staff_assign_other_department');
							
							//Add departments to the select tag
						   $.ajax({
							   type: "POST",
							   url: url,
							   data: {'department_user_id':staffUserId}, 
							   success: function(data)
							   {
								   $('.all_departments').html(data);
							   },
							   error: function() 
								{ 
									alert('No department found'); 
								}
							
						   });
						
						//Remove added job title div
						$('#edit_staff_assign_other_department').on('click','.remove_edit_staff_btn', function(){
							$(this).closest('div .added_staff_edit').remove();
						});
					});
					   
				   },
					error: function() 
					{ 
						alert('No Staff found'); 
					}
				 });
				 
				 //Edit the staff when edit modal form is submitted
				$('#edit_staff_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					//Submit form		
					var formdata = new FormData(this); 
					var fileData = $('#edit_staff_image')[0].files;   
					
					// Check file selstaff_imageected or not
					if(fileData.length > 0 ){
						
						formdata.append('edit_staff_photo',fileData);
						
					}else{
						//Do nothing
					}
					
					$.ajax({
						type: 'post',
						url: url,
						data: formdata,
						processData: false,
						contentType: false,
						cache: false,
					   success: function(data)
					   {
						   alert(data);// show response from the php script.
						   window.location.reload();
					   },
						error: function() 
						{ 
							alert('error'); 
						}
					});
					 
					/*/Reload page after Ajax request
					$(document).ajaxStop(function(){
						window.location.reload();
					});*/
						
				});
			 });
			 
			 //if the delete button is clicked
			 $('.delete_staff_button').on('click',function(){
				 
				 //Get the staff id from the clicked button
				 var removeStaffId = $(this).data('staff-id');
				 var removeStaffUserId = $('#user_id').data('user-id');
				 
				 $.ajax({
				   type: "POST",
				   url: url,
				   data: {'delete_staff_id':removeStaffId, 'delete_staff_user_id':removeStaffUserId}, 
				   success: function(data)
				   {
					   alert(data);
					   window.location.reload();
					   
				   },
					error: function() 
					{ 
						alert('There was an error finding the clicked user'); 
					}
				 });
			 });
		   
	   },
		error: function() 
		{ 
			alert('No departments found'); 
		}
	 });
	 
	 //Add taxes to be deducted form staff salaries
	 $('#add_tax_btn').click(function(){
			
		//Add a div on button clicked
		var html ='<div class=" form-row added">';
		html +='<div class="form-group col-md-6">';
		html +='<label><span style="color:black;">Tax Name</span></label>';
		html +='<input type="text" name="add_tax_name[]" class="form-control" placeholder="E.g. Income Tax, PAYEE, NSSF..etc">';
		html +='</div><div class="form-group col-md-4">';
		html +='<label><span style="color:black;">Percentage (Numbers only)</span></label>';
		html +='<input type="text" name="add_tax_percentage[]" class="form-control" placeholder="E.g. 5, 18, 20...etc">';
		html +='</div>';
		html +='<div class="form-group col-md-2">';
		html +='<div>&nbsp;</div>';
		html +='<button type="button" class="btn btn-rounded btn-danger delete_tax_btn">Remove</button>';
		html +='</div></div>';
		
		//Add another test name div
		$(html).appendTo('#added_taxes');
		
	});
	
	//Remove added job title div
	$('#added_taxes').on('click','.delete_tax_btn', function(){
		$(this).closest('div .added').remove();
	});
	
	//Submit the Staff category form form
	$('#add_salary_tax_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		var form = $(this);	
		//If the checkbox is checked, save the data, if not, give an alert
	
		$.ajax({
		   type: "POST",
		   url: url,
		   data: form.serialize(), // serializes the form's elements.
		   success: function(data)
		   {
			   alert(data);// show response from the php script.
			   window.location.reload();
		   },
			error: function() 
			{ 
				alert('error'); 
			}
		});
		 
		/*/Reload page after Ajax request
		$(document).ajaxStop(function(){
			window.location.reload();
		});*/
		
		//Call the native javascript reset object to reset form
		$("#add_salary_tax_form").trigger("reset");
			
	});
	
	//if the delete button is clicked
	$('.delete_tax_button').on('click',function(){
		//Get the category id from the clicked button
		var deleteTaxId = $(this).data('tax-id');
		var deleteTaxUserId = $(this).data('user-id');
		var deleteHospitalId = $(this).data('hospital-id');

		$.ajax({
			type: "POST",
			url: url,
			data: {'deleteTaxId':deleteTaxId, 'deleteTaxUserId':deleteTaxUserId, 'deleteHospitalId':deleteHospitalId}, 
			success: function(data){
			   alert(data);
			   window.location.reload();
			},
			error: function(){ 
				alert('No taxes found'); 
			}
		});
	});
	
	//Generate payroll
	$('.generate_payroll_btn').on('click',function(){
		
		$('#payroll_daterange_input').on('apply.daterangepicker', function(ev, picker) {
			var startDate = picker.startDate.format('DD-MM-YYYY');
			var endDate = picker.endDate.format('DD-MM-YYYY');
			
			$('#payroll_period_header').html(startDate+' to '+endDate);
			$.ajax({
				type: "POST",
				url: url,
				data: {'payroll_start_date':startDate,'payroll_end_date':endDate,'payroll_user_id':userId}, 
				success: function(data){
					$('.payroll_table_body').html(data);
					
					$('#add_payroll_start_date').val(startDate);
					$('#add_payroll_end_date').val(endDate);
					
					//Submit the Staff category form form
					$('#generate_payroll_form').submit(function(e){
						
						e.preventDefault(); // avoid to execute the actual submit of the form.
						var form = $(this);	
						//If the checkbox is checked, save the data, if not, give an alert
					
						$.ajax({
						   type: "POST",
						   url: url,
						   data: form.serialize(), // serializes the form's elements.
						   success: function(data)
						   {
							   alert(data);// show response from the php script.
							   window.location.reload();
						   },
							error: function() 
							{ 
								alert('error'); 
							}
						});
						 
						/*/Reload page after Ajax request
						$(document).ajaxStop(function(){
							window.location.reload();
						});*/
						
						//Call the native javascript reset object to reset form
						$("#generate_payroll_form").trigger("reset");
							
					});
				},
				error: function(){ 
				
					alert('No payroll found'); 
				}
			});
		});
		
	});
	
	//View payroll
	$('.view_payroll_button').on('click',function(){
		var viewPayrollId = $(this).data('payroll-id');
		var viewHospitalId = $(this).data('hospital-id');
		
		$.ajax({
			type: "POST",
			url: url,
			data: {'viewPayrollId':viewPayrollId, 'viewHospitalId':viewHospitalId, 'viewUserId':userId}, 
			success: function(data){
			   $('#view_payroll_table').html(data);
			   
			   $('.print_payroll_modal_btn').on('click', function(){
				    var printFirstName = $(this).data('first-name');
					var printLastName = $(this).data('last-name');
					
					var fullName = printFirstName+' '+printLastName;
					$('#payroll_name').html(fullName);
					
					var printSingleDeduction = $(this).data('singleDeduction');
					$('#payroll_advances').html(printSingleDeduction);
					
					var printAllowance = $(this).data('allowance');
					$('#payroll_allowance').html(printAllowance);
					
					var printAllTaxes = $(this).data('all-taxes');
					$('#payroll_all_taxes').html(printAllTaxes);
					
					var printSalaryNet = $(this).data('salary-net');
					$('#payroll_net_pay').html(printSalaryNet);
					
					var printTotalSalaryNet = $(this).data('total-salary-net');
					$('.payroll_total_net_pay').html(printTotalSalaryNet);
					
					var printGrossSalary = $(this).data('salary');
					$('.payroll_gross_salary').html(printGrossSalary);
					
					var printStaffId = $(this).data('staff-id');
					$('#payroll_staff_id').html(printStaffId);
					
					var printCategoryName = $(this).data('category-name');
					$('#payroll_category').html(printCategoryName);
					
					var printDepartment = $(this).data('department');
					$('#payroll_department').html(printDepartment);
					
					var printTotalIncome = $(this).data('total-income');
					$('.payroll_total').html(printTotalIncome);
					
					var printTotalDeductables = $(this).data('total-deductions');
					$('#payroll_deductables').html(printTotalDeductables);
					
					//Print staff payroll 
					$('.print_staff_payroll_btn').click(function(){
						var mode = 'iframe';
						var Close=mode=='popup';
						var standards = "html5";
						var options = {mode:mode,popClose:Close,standard:standards};
						$('.staff_payroll_modal_body').printArea(options);
					});
					
			   });
			   
			   //Print patient report
				$('.print_payroll_btn').click(function(){
					var mode = 'iframe';
					var Close=mode=='popup';
					var standards = "html5";
					var options = {mode:mode,popClose:Close,standard:standards};
					$('.payroll_modal_body').printArea(options);
				});
			},
			error: function(){ 
				alert('No payroll found'); 
			}
		});
	});
	
	//Leave request
	$('#leave_daterange_input').on('apply.daterangepicker', function(ev, picker) {
		var startDate = picker.startDate.format('DD-MM-YYYY');
		var endDate = picker.endDate.format('DD-MM-YYYY');
		
		$('#request_leave_start_date').val(startDate);
		$('#request_leave_end_date').val(endDate);
			
		$('#request_leave_form').submit(function(e){
			
			e.preventDefault(); // avoid to execute the actual submit of the form.
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			 
			/*/Reload page after Ajax request
			$(document).ajaxStop(function(){
				window.location.reload();
			});*/
			
			//Call the native javascript reset object to reset form
			$("#request_leave_form").trigger("reset");
				
		});
	
	 });
	 
	 //Approve leave request 
	 $('.approve_leave_request_btn').on('click',function(){
		 var approveLeaveId = $(this).data('leave-id');
		 var approveHospitalId = $(this).data('hospital-id');
		 
		 $.ajax({
			type: "POST",
			url: url,
			data: {'approveLeaveId':approveLeaveId, 'approveHospitalId':approveHospitalId, 'approveUserId':userId}, 
			success: function(data){
			   alert(data);
			   window.location.reload();
			},
			error: function(){ 
				alert('No taxes found'); 
			}
		});
	 });
	 
	 //Reject leave request 
	 $('.reject_leave_request_btn').on('click',function(){
		 var rejectLeaveId = $(this).data('leave-id');
		 var rejectHospitalId = $(this).data('hospital-id');
		 
		 $.ajax({
			type: "POST",
			url: url,
			data: {'rejectLeaveId':rejectLeaveId, 'rejectHospitalId':rejectHospitalId, 'rejectUserId':userId}, 
			success: function(data){
			   alert(data);
			   window.location.reload();
			},
			error: function(){ 
				alert('No taxes found'); 
			}
		});
	 });
	 
	 $('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	 
	 //Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	 
});