$(document).ready(function(){
	
	//user controller url
	var url = './controller/users.php';
	
	//Submit the registration form
	$('#hospital_register_form').submit(function(e){
		
		e.preventDefault(); // avoid to execute the actual submit of the form.
		
		if( $('#policy').is(':checked') ){
			
			var form = $(this);	
			//If the checkbox is checked, save the data, if not, give an alert
		
			$.ajax({
			   type: "POST",
			   url: url,
			   data: form.serialize(), // serializes the form's elements.
			   success: function(data)
			   {
				   alert(data);// show response from the php script.
				   window.location.reload();
			   },
				error: function() 
				{ 
					alert('error'); 
				}
			});
			 
			/*/Reload page after Ajax request
			$(document).ajaxStop(function(){
				window.location.reload();
			});*/
			
			//Call the native javascript reset object to reset form
			$("#hospital_register_form").trigger("reset");
			
		}
		else{
			alert('Please accept out terms and policy before continuing');
		}
			
	});
	
	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	 
	 //Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
		
});