<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
	
	<!-- Daterange picker -->
    <link href="../assets/css/lib/daterangepicker.css" rel="stylesheet">
	<link href="../assets/css/lib/bootstrap-material-datetimepicker.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
								
									<div class="card" style="overflow-x:scroll;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#leave_requests" data-toggle="tab" class="nav-link active show">Leave Requests</a>
														</li>
													</ul>
													<div class="tab-content">
														<div id="leave_requests" class="tab-pane fade active show">
															<div class="card" style="width:75rem;">
																<div class="card-body">
																	<!--<div class="row">
																		<div class="col-sm-12" style="text-align:right;">
																			<button class="btn btn-rounded btn-primary add_salary_modal_btn" data-toggle="modal" data-target="#add_salary_modal"><i class="fa fa-plus"></i>&nbsp; Add Salary</button>
																		</div>
																	</div>--->
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Application Date</center></th>
																					<th scope="col"><center>Staff Name</center></th>
																					<th scope="col"><center>Leave Type</center></th>
																					<th scope="col"><center>Start Date</center></th>
																					<th scope="col"><center>End Date</center></th>
																					<th scope="col"><center>Status</center></th>
																					<th scope="col"><center>Actions</center></th>
																				</tr>
																			</thead>
																			<tbody class="advance_table_body">
																				<?php
																					$get_staff_leave_requests = $objHospital->get_all_leave_requests($user_id);
																					
																					if(empty($get_staff_leave_requests)){
																						echo'<tr><td colspan="6" style="color:red;">
																							<center>There are no Leave requests yet</center></td></tr>';
																					}else{
																						foreach($get_staff_leave_requests as $requests){
																							$leave_id = $requests['leave_id'];
																							$hospital_id = $requests['hospital_id'];
																							$staff_id = $requests['staff_id'];
																							$leave_type = $requests['leave_type'];
																							$start_date = $requests['start_date'];
																							$end_date = $requests['end_date'];
																							$date_added = $requests['date_added'];
																							$approved = $requests['approved'];
																							
																							$get_user = $objHospital->get_user($staff_id);
																							foreach($get_user_details as $details){
																								$first_name = $details['first_name'];
																								$last_name = $details['last_name'];
																							}
																							echo'
																							<tr>
																								<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
																								<td><center>'.$first_name.' '.$last_name.'</center></td>
																								<td><center>'.$leave_type.'</center></td>
																								<td><center>'.date('d-m-Y',strtotime($start_date)).'</center></td>
																								<td><center>'.date('d-m-Y',strtotime($end_date)).'</center></td>
																								<td><center>';
																								if($approved == 'yes'){
																									echo'<div class="badge badge-primary">Approved</div>';
																								}elseif(empty($approved)){
																									echo'<div class="badge badge-warning">Not yet Approved</div>';
																								}else{
																									echo'<div class="badge badge-danger">Rejected</div>';
																								}
																								echo'</center></td>
																								<td>
																									<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
																									<div class="dropdown-menu dropdown-menu-right">
																										<button class="badge badge-info dropdown-item approve_leave_request_btn" data-leave-id="'.$leave_id.'" data-hospital-id="'.$hospital_id.'">Approve</button>
																										<button class="badge badge-danger dropdown-item reject_leave_request_btn" data-leave-id="'.$leave_id.'" data-hospital-id="'.$hospital_id.'">Reject</button>
																									</div>
																								</td>
																							</tr>';
																						}
																					}
																				?>																	
																			</tbody>
																		</table>
																	</div>
																</div>
															</div>
														</div>
														
														
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
	<script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
	 <!-- bootstrap -->
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/calendar-2/moment.latest.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.calendar.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.init.js"></script>
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
    <!-- scripit init-->
    <script src="js/human_resource.js"></script>
	<script src="js/printarea.js"></script>
	<style>
	.results_modal_body{
		height: 500px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	
	#added_taxes{
		height: 350px;
		overflow: hidden;
	}
	#added_taxes:hover{overflow-y:auto; overflow-x:auto;}
	
	.payroll_modal_body{
		height: 450px;
		overflow: hidden;
	}
	.payroll_modal_body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>