<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#invoices" data-toggle="tab" class="nav-link active show"><i class="fa fa-file"></i>&nbsp;Invoices</a>
														</li>
														<li class="nav-item"><a href="#vendors" data-toggle="tab" class="nav-link"><i class="fa fa-industry"></i>&nbsp;All Vendors</a>
														</li>
														<!--<li class="nav-item"><a href="#stock_alerts" data-toggle="tab" class="nav-link"><i class="fa fa-money"></i>&nbsp;Payments</a>
														</li>-->
													</ul>
													<div class="tab-content">
														
														<!---Other payments modal--->
														<div id="invoices" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_invoice_modal"><i class="fa fa-plus"></i><i class="fa fa-file"></i>&nbsp; Add Invoice</button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Invoices</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Invoice Date</center></th>
																					<th scope="col"><center>Invoice No</center></th>
																					<th scope="col"><center>Vendor Name</center></th>
																					<th scope="col"><center>Amount</center></th>
																					<th scope="col"><center>Paid</center></th>
																					<th scope="col"><center>Balance</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_all_vendor_invoices = $objHospital->get_all_vendor_invoices($user_id);
																					if(empty($get_all_vendor_invoices)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no invoices added yet</center></td></tr>';
																					}else{ 
																						$total_amount = 0; 
																						$total_paid = 0; 
																						$total_balance = 0; 
																						foreach($get_all_vendor_invoices as $invoice){
																							$vendor_invoice_id = $invoice['vendor_invoice_id']; 
																							$hospital_id = $invoice['hospital_id'];
																							$vendor_id = $invoice['vendor_id'];
																							$vendor_name = $invoice['vendor_name'];
																							$invoice_no = $invoice['invoice_no'];
																							$invoice_date = $invoice['invoice_date'];
																							$payment_terms = $invoice['payment_terms'];
																							$amount = $invoice['invoice_amount'];
																							
																							//Get invoice balance
																							$get_invoice_balance = $objHospital->get_invoice_balance($hospital_id,$invoice_no);
																							if(empty($get_invoice_balance)){
																								$balance = $amount; 
																							}else{
																								$balance = intval($get_invoice_balance);
																							}
																							
																							//Get invoice balance
																							$get_invoice_paid = $objHospital->get_invoice_paid($hospital_id,$invoice_no);
																							if(empty($get_invoice_paid)){
																								$paid = 0; 
																							}else{
																								$paid = intval($get_invoice_paid);
																							}
																							
																							$total_amount += $amount; 
																							$total_paid += $paid; 
																							$total_balance += $balance; 
																							echo'
																							<tr>
																								<td><center>'.date('d-M-Y',strtotime($invoice_date)).'</center></td>
																								<td><center>'.$invoice_no.'</center></td>
																								<td style="color:black;"><center>'.$vendor_name.'</center></td>
																								<td><center>'.number_format(floatval($amount),0,0,',').'</center></td>
																								<td><center>'.number_format(floatval($paid),0,0,',').'</center></td>
																								<td style="color:black;"><center>'.number_format(floatval($balance),0,0,',').'</center></td>
																								<td>
																									<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
																									<div class="dropdown-menu dropdown-menu-right">';
																									//If the balance is zero, remove the add payment button
																									if($balance == '0'){
																										//Do nothing
																									}else{
																										echo'<button class="badge badge-warning dropdown-item pay_invoice_btn" data-invoice-id="'.$vendor_invoice_id.'" data-invoice-no="'.$invoice_no.'" data-invoice-date="'.date('d-M-Y', strtotime($invoice_date)).'" data-amount="'.number_format(floatval($amount),0,0,',').'" data-invoice-amount="'.$amount.'" data-invoice-paid="'.number_format(floatval($paid),0,0,',').'" data-invoice-balance="'.number_format(floatval($balance),0,0,',').'" data-payment-terms="'.$payment_terms.'" data-vendor-name="'.$vendor_name.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#pay_invoice_modal">Pay Invoice</button>';
																									}
																										echo'<button class="badge badge-dark dropdown-item invoice_payment_details_btn" data-invoice-id="'.$vendor_invoice_id.'" data-invoice-no="'.$invoice_no.'" data-vendor-name="'.$vendor_name.'" data-hospital-id="'.$hospital_id.'" data-amount="'.number_format(floatval($amount),0,0,',').'" data-toggle="modal" data-target="#invoice_payment_details_modal">Payment Details</button>
																									</div>	
																								</td>
																							</tr>
																							
																							';
																						}
																						echo'<tr>
																								<td><center><b>Total</b></center></td>
																								<td><center></center></td>
																								<td style="color:black;"></td>
																								<td><center><b>'.number_format(floatval($total_amount),0,0,',').'</b></center></td>
																								<td style="color:blue;"><center><b>'.number_format(floatval($total_paid),0,0,',').'</b></center></td>
																								<td style="color:red;"><center><b>'.number_format(floatval($total_balance),0,0,',').'</b></center></td>
																								<td></td>
																							</tr>
																						';
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<div id="vendors" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_vendor_modal"><i class="fa fa-plus"></i><i class="fa fa-industry"></i>&nbsp; Add Vendor</button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Vendors</h5>
																	</div>
																	<div class="table-responsive" style="height:25rem; overflow-x:auto;">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Vendor ID</center></th>
																					<th scope="col"><center>Name</center></th>
																					<th scope="col"><center>Address</center></th>
																					<th scope="col"><center>Telephone</center></th>
																					<th scope="col"><center>Email</center></th>
																					<th scope="col"><center>Nature of Goods/Service</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_all_vendors = $objHospital->get_all_vendors($user_id);
																					if(empty($get_all_vendors)){
																						echo'<tr><td colspan="7" style="color:green;"><center>There is no vendor added yet</center></td></tr>';
																					}else{ 
																						foreach($get_all_vendors as $vendor){
																							$vendor_id    = $vendor['vendor_id']; 
																							$hospital_id  = $vendor['hospital_id']; 
																							$vendor_name  = $vendor['vendor_name']; 
																							$address  = $vendor['address']; 
																							$phone  = $vendor['phone']; 
																							$email  = $vendor['email']; 
																							$nature_of_goods = $vendor['nature_of_goods'];
																							
																							
																							echo'
																							<tr>
																								<td><center>'.$vendor_id.'</center></td>
																								<td style="color:black;"><center>'.$vendor_name.'</center></td>
																								<td><center>'.$address.'</center></td>
																								<td><center>'.$phone.'</center></td>
																								<td><center>'.$email.'</center></td>
																								<td><center>'.$nature_of_goods.'</center></td>
																								<td>
																									<center><button class="btn btn-danger delete_vendor_btn"   data-expense-id="'.$vendor_id.'" data-hospital-id="'.$hospital_id.'">Delete</button>
																									</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																			<tfoot>
																				<tr>
																					<th scope="col" style="color:blue;"><center></center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col"><center> </center></th>
																					<th scope="col" style="color:blue;"><center></center></th>
																					<th scope="col"><center> </center></th>
																				</tr>
																			</tfoot>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														
														
														
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_vendor_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add New Vendor<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_vendor_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Vendor Name:</label>
																							<div class="col-sm-9">
																							  <input name="add_vendor_name" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Address:</label>
																							<div class="col-sm-6">
																							  <input name="add_vendor_address" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-4 col-form-label" style="color:black; font-size:16px;">Telephone:</label>
																							<div class="col-sm-8">
																							  <input name="add_vendor_phone" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Email:</label>
																							<div class="col-sm-9">
																							  <input name="add_vendor_email" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Nature of Goods/Services:</label>
																							<div class="col-sm-9">
																							  <textarea name="add_vendor_nature_of_goods" type="text" rows="3" style="height:100%;" class="form-control" ></textarea>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="add_vendor_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Vendor</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_invoice_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add Vendor Invoice<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container" id="add_account">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_vendor_invoice_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Select Vendor:</label>
																							<div class="col-sm-9">
																							  <select name="vendor_invoice_name" type="text" class="form-control">
																							  <?php
																							  
																							  $get_all_vendors = $objHospital->get_all_vendors($user_id);
																								if(empty($get_all_vendors)){
																									echo'<option>There are no vendors added yet:</option>';
																								}else{ 
																									foreach($get_all_vendors as $vendor){
																										$vendor_id    = $vendor['vendor_id']; 
																										$vendor_name  = $vendor['vendor_name']; 
																										echo'<option value="'.$vendor_id.'">'.$vendor_name.'</option>';
																									}
																								}
																							  ?>
																							  </select>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Invoice No:</label>
																							<div class="col-sm-6">
																							  <input name="vendor_invoice_no" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-4 col-form-label" style="color:black; font-size:16px;">Invoice Date:</label>
																							<div class="col-sm-8">
																							  <input name="vendor_invoice_date" type="date" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Amount:</label>
																							<div class="col-sm-6">
																							  <input name="vendor_invoice_amount" type="text" class="form-control" placeholder="No commas"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-4 col-form-label" style="color:black; font-size:16px;">Account:</label>
																							<div class="col-sm-8">
																							  <select name="vendor_invoice_account" type="text" class="form-control">
																								<option>Inventory</option>
																								<option>Office supplies</option>
																								<?php
																								$get_accounts = $objHospital->get_coa_accounts($user_id);
																								if(empty($get_accounts)){
																									//Do nothing
																								}else{
																									foreach($get_accounts as $accounts){
																										$coa_account_name = $accounts['coa_account_name'];
																										$coa_account_type = $accounts['coa_account_type'];
																										$get_account_typ = $objHospital->get_category_by_acc_type($coa_account_type,$user_id);
																										foreach($get_account_typ as $typ){
																											$type_category = $typ['type_category'];
																										}
																										//Get account type
																										if($type_category == 'Expenses'){
																											echo'<option>'.$coa_account_name.'</option>';
																										}
																									}
																								}
																								?>
																							  </select>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
																							<div class="col-sm-9">
																							  <textarea name="vendor_invoice_description" type="text" rows="3" style="height:100%;" class="form-control" ></textarea>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="vendor_invoice_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Vendor</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="pay_invoice_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5>Vendor Name: <span style="color:blue;" id="vendor_invoice_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<form method="post" id="pay_invoice_form">
																	<div class="modal-body pay_invoice_body">
																		<div class="card">
																			<div class="row">
																			  <div class="row">
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-5 col-form-label" style="color:black; font-size:16px;">Invoice No: </label>
																					<div class="col-sm-7" id="pay_invoice_no" style="color:blue; font-size:20px;"></div>
																				  </div>
																				</div>
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-5 col-form-label" style="color:black; font-size:16px;">Invoice Date: </label>
																					<div class="col-sm-7" id="pay_invoice_date" style="color:blue; font-size:20px;"></div>
																				  </div>
																				</div>
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-5 col-form-label" style="color:black; font-size:16px;">Payment Terms: </label>
																					<div class="col-sm-7" id="pay_invoice_terms" style="color:blue; font-size:20px;"></div>
																				  </div>
																				</div>
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-5 col-form-label" style="color:black; font-size:16px;">Invoice Amount: </label>
																					<div class="col-sm-7" id="pay_invoice_amount_to_display" style="color:blue; font-size:20px;"></div>
																				  </div>
																				</div>
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-5 col-form-label" style="color:black; font-size:16px;">Total Paid: </label>
																					<div class="col-sm-7" id="pay_invoice_paid" style="color:blue; font-size:20px;"></div>
																				  </div>
																				</div>
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-5 col-form-label" style="color:black; font-size:16px;">Balance: </label>
																					<div class="col-sm-7" id="pay_invoice_balance" style="color:red; font-size:20px;"></div>
																				  </div>
																				</div>
																				<div class="col-md-12">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label" style="color:black; font-size:16px;">Enter Pay Amount: </label>
																					<div class="col-sm-8">
																					  <input name="pay_invoice_payment_amount" type="text" class="form-control" placeholder="No commas, symbols or letters" style="border: 1px solid grey;">
																					</div>
																				  </div>
																				</div>
																			  </div>
																			</div>	
																		</div>
																	</div>
																	<div class="modal-footer">
																		<input name="pay_invoice_id" id="pay_invoice_id" type="hidden" class="form-control">
																		<input name="pay_invoice_number" id="pay_invoice_number" type="hidden" class="form-control">
																		<input name="pay_invoice_amount" id="pay_invoice_amount" type="hidden" class="form-control">
																		<input name="pay_invoice_vendor_name" id="pay_invoice_vendor_name" type="hidden" class="form-control">
																		<input type="hidden" name="pay_invoice_user_id" value="<?php echo $user_id?>">
																		<button type="submit" class="btn btn-primary">Submit Payment</button>
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="invoice_payment_details_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5>Payment Details for: <span style="color:blue;" id="vendor_invoice_payment_header"></span>, Invoice Number: <span style="color:blue;" id="vendor_invoice_no_header"></span>, Amount: <span style="color:blue;" id="vendor_invoice_amount_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body invoice_payment_details_body">
																		
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														
														
														
														
														
														
														
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/finance.js"></script>
	<style>
	.results_modal_body{
		height: 400px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>