<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
	
	<!-- Daterange picker -->
    <link href="../assets/css/lib/daterangepicker.css" rel="stylesheet">
	<link href="../assets/css/lib/bootstrap-material-datetimepicker.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
								
									<div class="card" style="overflow-x:scroll;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#salary" data-toggle="tab" class="nav-link active show">Staff Salaries</a>
														</li>
														<li class="nav-item" id="advances_btn"><a href="#advances" data-toggle="tab" class="nav-link">Advances</a>
														</li>
														<li class="nav-item" id="payroll_btn"><a href="#payroll" data-toggle="tab" class="nav-link">Payroll</a>
														</li>
														<li class="nav-item" id="payroll_btn"><a href="#taxes" data-toggle="tab" class="nav-link">Federal Deductions</a>
														</li>
													</ul>
													<div class="tab-content">
														<div id="salary" class="tab-pane fade active show">
															<div class="card" style="width:70rem;">
																<div class="card-body">
																	<div class="row">
																		<div class="col-sm-12" style="text-align:right;">
																			<button class="btn btn-rounded btn-primary add_salary_modal_btn" data-toggle="modal" data-target="#add_salary_modal"><i class="fa fa-plus"></i>&nbsp; Add Salary</button>
																		</div>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th><center>Staff ID</center></th>
																					<th colspan="2"><center>Staff Name</center></th>
																					<th><center>Gender</center></th>
																					<th><center>Staff Category</center></th>
																					<th><center>Phone Number</center></th>
																					<th><center>Salary (UGX)</center></th>
																					<th><center>Allowance (UGX)</center></th>
																					<th><center>Actions</center></th>
																				</tr>
																			</thead>
																			<tbody class="visit_table_body">
																				<?php
																					$get_all_staff = $objHospital->get_staff_for_role_assignment($user_id);
																					if(empty($get_all_staff)){
																						echo'<tr><td colspan="9" style="color:red;">
																							<center>There are no Staff added yet</center></td></tr>';
																					}else{
																						foreach($get_all_staff as $staff){
																							$staff_id = $staff['staff_id'];
																							$hospital_id = $staff['hospital_id'];
																							$first_name = $staff['first_name'];
																							$last_name = $staff['last_name'];
																							$gender = $staff['gender'];
																							$email = $staff['email'];
																							$phone = $staff['phone'];
																							$date_created = $staff['date_created'];
																							$full_name = $first_name.' '.$last_name;
																							echo'
																							<tr>
																								<td><center>'.$staff_id.'</center></td>
																								<td colspan="2"><center>'.$first_name.' '.$last_name.'</center></td>
																								<td><center>'.$gender.'</center></td>
																								<td><center>';
																								$get_staff_departments = $objHospital->get_staff_departments($staff_id,$user_id);
																								foreach($get_staff_departments as $row){
																									$department = $row['department_name'];
																									echo"<div class='badge badge-lg badge-secondary'>".$department."</div><br>";
																								}
																								
																								echo'</center></td>
																								<td><center>'.$phone.'</center></td>
																								<td><center>';
																									$get_staff_salary = $objHospital->get_staff_salary($staff_id,$hospital_id);
																									if(empty($get_staff_salary)){
																										echo'<span style="color:red; font-weight:bold;">0</span>';
																									}else{
																										foreach($get_staff_salary as $salary){
																											$staff_salary = $salary['salary_scale'];
																										}
																										echo'<span style="color:blue; font-weight:bold;">'.number_format(floatval($staff_salary),0,0,',').'</span>';
																									}
																									echo'</center></td>
																									<td><center>';
																									$get_staff_salary = $objHospital->get_staff_salary($staff_id,$hospital_id);
																									if(empty($get_staff_salary)){
																										echo'<span style="color:red; font-weight:bold;">0</span>';
																									}else{
																										foreach($get_staff_salary as $salary){
																											$allowance = $salary['allowance'];
																											if(empty($allowance)){
																												echo'<span style="color:blue; font-weight:bold;">0</span>';
																											}else{
																												echo'<span style="color:blue; font-weight:bold;">'.number_format(floatval($allowance),0,0,',').'</span>';
																											}
																										}
																									}
																								echo'</center></td>
																								<td><center>
																									<button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button>
																									<div class="dropdown-menu dropdown-menu-right">';
																										foreach($get_staff_salary as $salary){
																											$staff_salary = number_format(floatval($salary['salary_scale']),0,0,',');
																										}
																										echo'<button type="button" class="badge badge-warning dropdown-item edit_salary_button" data-staff-id="'.$staff_id.'" data-full-name="'.$full_name.'" data-salary="'.$staff_salary.'" data-toggle="modal" data-target=".change_salary_modal">Change Salary</button>
																										<button class="badge badge-dark dropdown-item view_salary_history_button" data-toggle="modal" data-target="#view_salary_history_modal" data-staff-id="'.$staff_id.'" data-hospital-id="'.$hospital_id.'" data-full-name="'.$full_name.'">Salary History</button>
																										<button class="badge badge-danger dropdown-item delete_staff_salary_button" data-staff-id="'.$staff_id.'">Remove</button>
																									</div>					
																								</center></td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>
																</div>
															</div>
														</div>
														<div id="advances" class="tab-pane fade">
															<div class="card" style="width:75rem;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button class="btn btn-rounded btn-primary issue_advance_btn" data-toggle="modal" data-target="#issue_advance_modal"><i class="fa fa-plus"></i>&nbsp; Issue Advance</button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Staff ID</center></th>
																					<th scope="col"><center>Staff Name</center></th>
																					<th scope="col"><center>Advance Issued (UGX)</center></th>
																					<th scope="col"><center>Date Issued</center></th>
																					<th scope="col"><center>Installments Made</center></th>
																					<th scope="col"><center>Balance (UGX)</center></th>
																					<th scope="col"><center>Details</center></th>
																				</tr>
																			</thead>
																			<tbody class="advance_table_body">
																				<?php
																					$get_all_salary_advances = $objHospital->get_all_salary_advances($user_id);
																					
																					if(empty($get_all_salary_advances)){
																						echo'<tr><td colspan="8" style="color:red;">
																							<center>There are no Staff Advances issued yet</center></td></tr>';
																					}else{
																						foreach($get_all_salary_advances as $advance){
																							$staff_id = $advance['staff_id'];
																							$hospital_id = $advance['hospital_id'];
																							$staff_name	 = $advance['staff_name'];
																							$salary_scale = $advance['salary_scale'];
																							$salary_advance = $advance['advance'];
																							$date_added = $advance['date_added'];
																							$deductions = $advance['deductions'];
																							$balance = '_';
																							echo'
																							<tr>
																								<td><center>'.$staff_id.'</center></td>
																								<td><center>'.$staff_name.'</center></td>
																								<td><center>'.number_format(floatval($salary_advance),0,0,',').'</center></td>
																								<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
																								<td><center>'.$deductions.'</center></td>
																								<td><center>'.$balance.'</center></td>
																								<td><center>
																									<button type="button" class="badge badge-warning dropdown-item edit_salary_button" data-staff-id="'.$staff_id.'" data-full-name="'.$staff_name.'" data-advance="'.$salary_advance.'" data-toggle="modal" data-target=".change_salary_modal">Details</button>					
																								</center></td>
																							</tr>
																							
																							';
																						}
																					}
																				?>																	
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<div id="payroll" class="tab-pane fade">
															<div class="card" style="width:70rem;">
																<div class="card-header">
																	<div class="row">
																		<div class="col-sm-12" style="text-align:right;">
																			<button class="btn btn-rounded btn-info generate_payroll_btn" data-toggle="modal" data-target="#generate_payroll_modal">&nbsp; Generate Payroll</button>
																		</div>
																	</div>
																</div>
																<div class="card-body">
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Payroll ID</center></th>
																					<th scope="col"><center>Payment Period</center></th>
																					<th scope="col"><center>Total Staff Payment</center></th>
																					<th scope="col"><center>Date Created</center></th>
																					<th scope="col"><center>Details</center></th>
																				</tr>
																			</thead>
																			<tbody class="manage_patient_body">
																				<?php
																					$get_all_payrolls = $objHospital->get_all_payrolls($user_id);
																					if(empty($get_all_payrolls)){
																						echo'<tr><td colspan="5" style="color:red;">
																							<center>There are no payrolls generated yet</center></td></tr>';
																					}else{
																						foreach($get_all_payrolls as $payroll){
																							$payroll_id = $payroll['payroll_id'];
																							$hospital_id = $payroll['hospital_id'];
																							$start_date	 = $payroll['start_date'];
																							$end_date = $payroll['end_date'];
																							$gross_salary = $payroll['gross_salary'];
																							$net_salary = $payroll['net_salary'];
																							$deductions = $payroll['total_deductables'];
																							$total_allowance = $payroll['total_allowance'];
																							$total_advances = $payroll['total_advances'];
																							$total_deductables = $payroll['total_deductables'];
																							
																							$total_payment = $net_salary + $total_allowance;
																							echo'
																							<tr>
																								<td><center>'.$payroll_id.'</center></td>
																								<td><center>'.date('d-m-Y',strtotime($start_date)).' - '.date('d-m-Y',strtotime($end_date)).'</center></td>
																								<td><center>'.number_format(floatval($total_payment),0,0,',').'</center></td>
																								<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
																								<td><center>
																									<button type="button" class="badge badge-warning dropdown-item view_payroll_button" data-payroll-id="'.$payroll_id.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#view_payroll_modal">Details</button>					
																								</center></td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<div id="taxes" class="tab-pane fade">
															<div class="card" style="width:70rem;">
																<div class="card-header">
																	<div class="row">
																		<div class="col-sm-12" style="text-align:right;">
																			<button class="btn btn-rounded btn-info" data-toggle="modal" data-target="#add_tax_modal">&nbsp; Add Deduction</button>
																		</div>
																	</div>''
																</div>
																<div class="card-body">
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Deduction ID</center></th>
																					<th scope="col"><center>Deduction Name</center></th>
																					<th scope="col"><center>Percentage</center></th>
																					<th scope="col"><center>Date Added</center></th>
																					<th scope="col"><center>Details</center></th>
																				</tr>
																			</thead>
																			<tbody class="added_taxes_body">
																			<?php
																				$get_all_taxes = $objHospital->get_all_taxes($user_id);
																				
																				if(empty($get_all_taxes)){
																					echo'<tr><td colspan="8" style="color:red;">
																						<center>There are no Staff Advances issued yet</center></td></tr>';
																				}else{
																					foreach($get_all_taxes as $taxes){
																						$tax_id = $taxes['tax_id'];
																						$hospital_id = $taxes['hospital_id'];
																						$tax_name	 = $taxes['tax_name'];
																						$percentage = $taxes['percentage'];
																						$date_added = $taxes['date_added'];
																						echo'
																						<tr>
																							<td><center>'.$tax_id.'</center></td>
																							<td><center>'.$tax_name.'</center></td>
																							<td><center><span style="color:blue;"><b>'.$percentage.'</b></span></center></td>
																							<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
																							<td><center>
																								<button type="button" class="badge badge-danger dropdown-item delete_tax_button" data-tax-id="'.$tax_id.'" data-hospital-id="'.$hospital_id.'" data-user-id="'.$user_id.'">Delete</button>					
																							</center></td>
																						</tr>
																						
																						';
																					}
																				}
																			?>			
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="col-md-12" style="overflow-y:scroll;">
															<!-- Modal for patients details -->
															<div class="modal fade change_salary_modal" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true" >
															  <div class="modal-dialog">
																<div class="modal-content" style="margin-top:-150px;">
																<form method="post" id="change_salary_form" enctype="multipart/form-data">
																  <div class="modal-header">
																	<h5 class="modal-title" id="staticBackdropLabel">Change <span id="change_salary_header" style="color:blue; font-size:18px;"></span> Salary</h5>
																	<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
																  </div>
																  
																  <div class="edit_patient_body">
																	<div class="img-container">
																		<div class="row">
																			<div class="col-sm-6">  
																				<div class="form-group">
																					<label><span style="color:black;">Salary Scale (No commas)</span><span style="color:red;">*</span></label>
																					<input type="text" name="change_salary_scale" class="form-control">
																				</div>
																			</div>
																			<div class="col-sm-6">  
																				<div class="form-group">
																					<label><span style="color:black;">Allowance (No commas)</span><span style="color:red;">*</span></label>
																					<input type="text" name="change_allowance" class="form-control">
																				</div>
																			</div>
																			<div class="col-sm-6">  
																				<div class="form-group">
																					<label><span style="color:black;">Select Period</span><span style="color:red;">*</span></label>
																					<select class="form-control" name="change_salary_period" required>
																						<option>Weekly</option>
																						<option>Monthly</option>
																						<option>Annual</option>
																					</select>
																				</div>
																			</div>
																			<div class="col-sm-6">  
																				<div class="form-group">
																					<label><span style="color:black;">Position</span><span style="color:red;">*</span></label>
																					<input type="text" name="change_salary_position" class="form-control">
																				</div>
																			</div>
																			<div class="col-sm-6">  
																				<div class="form-group">
																					<label><span style="color:black;">Current Salary: </span></label><br>
																					<label style="color:blue;">(UGX) <span class="current_salary" style="color:blue; font-size:16px;"></span></label>
																				</div>
																			</div>
																		</div>
																	</div>
																  </div>
																  <div class="modal-footer">
																		<input type="hidden" name="change_salary_hospital_id" value="<?php echo $hospital_id; ?>">
																		<input type="hidden" name="change_salary_added_by" value="<?php echo $user_id; ?>">
																		<input type="hidden" name="change_salary_staff_name" id="change_salary_staff_name">
																		<input type="hidden" name="change_salary_staff_id" id="change_salary_staff_id">
																		<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
																		<button type="submit" id="save_salary" class="btn btn-primary">Save Salary</button>
																	</div>
																</form>
																</div>
															  </div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade" id="add_salary_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-md" role="document">
																	<div class="modal-content">
																		<form method="post" id="save_salary_form">
																			<div class="modal-header">
																				<h5 class="modal-title" id="modalLabel">Add Staff Salary for: <span id="staff_salary_header" style="font-size:16px; color:blue; font-weight:bold;"></span></h5>
																				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																					<span aria-hidden="true">×</span>
																				</button>
																			</div>
																			<div class="modal-body">
																				<div class="img-container">
																					<div class="row">
																						<div class="col-sm-6">  
																							<div class="form-group">
																								<label><span style="color:black;">Select Staff</span><span style="color:red;">*</span></label>
																								<select class="form-control" name="add_salary_staff" id="add_salary_staff" style="width:100%;" required>
																									<?php
																									$get_staffs = $objHospital->get_staffs($user_id);
																									if(empty($get_staffs)){
																										echo'<option>There are no Staff added yet</option>';
																									}else{
																										foreach($get_staffs as $staff){
																											$first_name = $staff['first_name'];
																											$last_name = $staff['last_name'];
																											$staff_id = $staff['staff_id'];
																											echo'<option value="'.$staff_id.'">'.$first_name.' '.$last_name.'</option>';
																										}
																									}
																									
																									?>
																								</select>
																							</div>
																						</div>
																						<div class="col-sm-6">  
																							<div class="form-group">
																								<label><span style="color:black;">Salary Scale (No commas)</span><span style="color:red;">*</span></label>
																								<input type="text" name="add_salary_scale" class="form-control">
																							</div>
																						</div>
																						<div class="col-sm-6">  
																							<div class="form-group">
																								<label><span style="color:black;">Allowance (No commas)</span><span style="color:red;">*</span></label>
																								<input type="text" name="add_allowance" class="form-control">
																							</div>
																						</div>
																						<div class="col-sm-6">  
																							<div class="form-group">
																								<label><span style="color:black;">Select Period</span><span style="color:red;">*</span></label>
																								<select class="form-control" name="add_salary_period" required>
																									<option>Weekly</option>
																									<option>Monthly</option>
																									<option>Annual</option>
																								</select>
																							</div>
																						</div>
																						<div class="col-sm-6">  
																							<div class="form-group">
																								<label><span style="color:black;">Position</span><span style="color:red;">*</span></label>
																								<input type="text" name="add_salary_position" class="form-control">
																							</div>
																						</div>
																					</div>
																				</div>
																			</div>
																			<div class="modal-footer">
																				<input type="hidden" name="add_salary_hospital_id" value="<?php echo $hospital_id; ?>">
																				<input type="hidden" name="add_salary_added_by" value="<?php echo $user_id; ?>">
																				<input type="hidden" name="add_salary_staff_name" id="add_salary_staff_name">
																				<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
																				<button type="submit" id="save_salary" class="btn btn-primary">Save Salary</button>
																			</div>
																		</form>
																	</div>
																</div>
															</div>
														</div>
														
														<!---Salary History modal--->
														<div class="modal fade" id="view_salary_history_modal" role="dialog" tabindex="-1" aria-labelledby= "modalLabel" aria-hidden="true">
															<div class="modal-dialog">
																<div class="modal-content" style="margin-top:-200px; width:800px;">
																	<div class="modal-header">
																		<h4 class="modal-title"><strong>Salary History for: <span id="salary_history_header" style="color:blue; font-size:20px;"></span></strong></h4>
																	</div>
																	<div class="modal-body">
																		<div class="table-responsive">
																			<table class="table primary-table-bg-hover">
																				<thead>
																					<tr>
																						<th><center>Salary ID</center></th>
																						<th><center>Position</center></th>
																						<th><center>Period</center></th>
																						<th><center>Salary Scale</center></th>
																						<th><center>Date Added</center></th>
																					</tr>
																				</thead>
																				<tbody class="salary_history_table_body">
																				</tbody>
																			</table>
																		</div>
																		<!-----Salary History goes here-->
																		
																	</div>
																	<div class="modal-footer">
																		<center><button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
																		<button type="button" class="btn btn-primary print_salary_history_details">Print History</button></center>
																	</div>
																</div>
															</div>
														</div>
																												
														<!---Generate payroll modal--->
														<div class="modal fade" id="generate_payroll_modal" role="dialog" tabindex="-1" aria-labelledby= "modalLabel" aria-hidden="true">
															<div class="modal-dialog">
																<div class="modal-content" style="margin-top:-150; width:800px;">
																	<form method="post" id="generate_payroll_form">
																		<div class="modal-header">
																			<label class="col-sm-6" style="font-size:17px;">Select Period:</label>
																			<div class="col-sm-6">
																				<input class="form-control input-daterange-datepicker" type="text" id="payroll_daterange_input" name="daterange" value="01/01/2023 - 01/31/2023">
																			</div>
																		</div>
																		<div class="modal-body payroll_modal_body">
																			<table class="table table-bordered">
																				<thead>
																					<tr style="background-color:#E8E8E8;">
																						<th colspan="6" style="font-size:18px;"><center>Payroll for the Period: <span id="payroll_period_header" style="color:blue; font-size:20px;"></span></center></th>
																					</tr>
																					<tr>
																						<th colspan="4">Description</th>
																						<th colspan="2">Amount(UGX)</th>
																					</tr>
																				</thead>
																				<tbody class="payroll_table_body">
																				</tbody>
																			</table>
																			<!-----Salary History goes here-->
																			
																		</div>
																		<div class="modal-footer">
																			<input type="hidden" name="add_payroll_start_date" id="add_payroll_start_date">
																			<input type="hidden" name="add_payroll_end_date" id="add_payroll_end_date">
																			<center><button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
																			<button type="submit" class="btn btn-primary generate_payroll_btn">Generate Payroll</button></center>
																		</div>
																	</form>
																</div>
															</div>
														</div>
														
														<!---Generate payroll modal--->
														<div class="modal fade" id="view_payroll_modal" role="dialog" tabindex="-1" aria-labelledby= "modalLabel" aria-hidden="true">
															<div class="modal-dialog">
																<div class="modal-content" style="margin-top:-150; width:850px;">
																	<div class="modal-body payroll_modal_body">
																		<table class="table table-bordered" id="view_payroll_table">
																			<!-----Salary History goes here-->
																		</table>
																		
																	</div>
																	<div class="modal-footer">
																		<center><button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
																		<button type="button" class="btn btn-primary print_payroll_btn">Print Payroll</button></center>
																	</div>
																</div>
															</div>
														</div>
														
														<!---Print payroll modal--->
														<div class="modal fade" id="print_payroll_modal" role="dialog" tabindex="-1" aria-labelledby= "modalLabel" aria-hidden="true">
															<div class="modal-dialog">
																<div class="modal-content" style="margin-top:-150; width:850px;">
																	<div class="modal-body staff_payroll_modal_body">
																		<table class="table table-bordered" id="print_staff_payroll_table">
																			<thead>
																				<tr style="background-color:#E8E8E8;">
																					<th colspan="2">
																					<?php
																					
																					$get_hospital_info = $objHospital->get_hospital_details($hospital_id);
																					foreach($get_hospital_info as $info){
																						$hospital_name=$info['hospital_name'];
																						$hospital_country=$info['hospital_country'];
																						$hospital_city=$info['hospital_city'];
																						$hospital_email=$info['hospital_email'];
																					}
	
																					echo'<div class="col-xl-3">
																						<div class="grid-col">
																							<div class="media pt-3 pb-3">
																								<img src="../assets/images/skyz.jpeg" alt="image" class="mr-3" style="width:7rem; height:7rem;">
																							</div>
																						</div>
																					</div>
																					<div class="col-xl-9" style="margin-top:-130px; margin-left:30px;">
																						<div class="grid-col">
																							<div class="col-md-12" style="height:30px; float:center;">
																								<center><h2>'.$hospital_name.'</h2></center>
																							</div>
																							<div class="col-md-12" style="height:30px; float:center;">
																								<center><h3>Laboratory Department</h4></center>
																							</div>	
																							<div class="col-md-12" style="height:30px; float:center;">
																								<div class="form-group">
																									<center><span style="font-size:14px;">'.$hospital_city.', '.$hospital_country.' </span> 
																									<span style="font-size:14px;"> '.$hospital_email.'</span>
																									<span style="font-size:14px;"> Phone: +256 740 261419</span></center>
																								</div>
																							</div>
																							<div class="col-md-12" style="height:30px; float:center; margin-top:-10px;">
																								<div class="form-group">
																									<center><span style="font-size:14px;">Website: </span> 
																									<span style="font-size:14px;">www.skyzmedicalcentre.org</span></center>
																								</div>
																							</div>
																						</div>
																					</div>';
																					
																					?>
																					</th>
																				</tr>
																				<tr>
																					<td colspan="2" style="color:black; line-height:0.5rem"></td>
																				</tr>
																			</thead><hr>
																			<tbody class="payroll_table_body">
																				<tr>
																					<td style="color:black; line-height:0.5rem;">Name: <span id="payroll_name" style="color:blue;"></span></td>
																					<td style="color:black; line-height:0.5rem; text-align:left;">Staff Category: <span id="payroll_category" style="color:blue;"></span></td>
																				</tr>
																				<tr>
																					<td style="color:black; line-height:0.5rem;">Staff ID: <span id="payroll_staff_id" style="color:blue;"></span></td>
																					<td style="color:black; line-height:0.5rem; text-align:left;">Department: <span id="payroll_department" style="color:blue;"></span></td>
																				</tr>
																				<tr>
																					<td style="color:black; line-height:0.5rem;">Gross Pay (UGX): <span class="payroll_total" style="color:blue;"></span></td>
																					<td style="color:black; line-height:0.5rem; text-align:left;">Net Pay (UGX): <span class="payroll_total_net_pay" style="color:blue;"></span></td>
																				</tr>
																				<tr>
																					<td colspan="2" style="line-height:0.5rem; background-color:#E5E4E2;"></td>
																				</tr>
																				<tr>
																					<td style="color:black; line-height:0.5rem;">Description</td>
																					<td style="color:black; line-height:0.5rem;">Amount (UGX)</td>
																				</tr>
																				<tr>
																					<td style="line-height:0.5rem;">Gross Salary: </td>
																					<td style="line-height:0.5rem;"><span class="payroll_gross_salary" style="color:blue;"></span></td>
																				</tr>
																				<tr>
																					<td style="line-height:0.5rem;">Allowances: </td>
																					<td style="line-height:0.5rem;"><span id="payroll_allowance" style="color:blue;"></span></td>
																				</tr>																		
																				<tr>
																					<td style="color:black; line-height:0.5rem; background-color:#E5E4E2;"><b>Total Income</b></td>
																					<td style="color:black; line-height:0.5rem; background-color:#E5E4E2;"><b><span class="payroll_total" style="color:blue;"></span><b></td>
																				</tr>
																				<tr>
																					<td style="line-height:0.5rem;">Advances: </td>
																					<td style="line-height:0.5rem;"><span id="payroll_advances" style="color:blue;"></span></td>
																				</tr>
																				<tr>
																					<td style="line-height:0.5rem;">Federal Deductions (PAYEE, NSSF...ETC): </td>
																					<td style="line-height:0.5rem;"><span id="payroll_all_taxes" style="color:blue;"></span></td>
																				</tr>
																				<tr>
																					<td style="color:black; line-height:0.5rem; background-color:#E5E4E2;"><b>Total</b></td>
																					<td style="color:black; line-height:0.5rem; background-color:#E5E4E2;"><b><span id="payroll_deductables" style="color:blue;"></span></b></td>
																				</tr>
																				<tr>
																					<td style="line-height:0.5rem;">Net Salary: </td>
																					<td style="line-height:0.5rem;"><span id="payroll_net_pay" style="color:blue;"></span></td>
																				</tr>
																				<tr>
																					<td style="color:black; line-height:0.5rem; background-color:#E5E4E2;"><b>Total Paid to Staff (Net Salary + Allowances):</b></td>
																					<td style="color:black; line-height:0.5rem; background-color:#E5E4E2;"><b><span class="payroll_total_net_pay" style="color:blue;"></span></b></td>
																				</tr>
																				<tr>
																					<td style="line-height:5rem;">Signature:</td>
																					<td style="line-height:5rem; text-align:left;">Date:</td>
																				</tr>
																			</tbody>
																		</table>
																		
																	</div>
																	<div class="modal-footer">
																		<center><button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
																		<button type="button" class="btn btn-primary print_staff_payroll_btn">Print</button></center>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade" id="issue_advance_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
															<div class="modal-dialog">
															<div class="modal-content">
																<div class="modal-header">
																	<h4 class="modal-title"><strong>Issue Salary Advance to: <span id="issue_advance_header" style="color:blue;"></span></strong></h4>
																</div>
																<div class="modal-body">
																	<form method="post" id="save_salary_advance_form">
																		<div class="modal-body">
																			<div class="img-container">
																				<div class="row">
																					<div class="col-md-12">  
																						<div class="form-group">
																							<label><span style="color:black;">Select Staff</span><span style="color:red;">*</span></label>
																							<select class="form-control" name="add_advance_staff_id" id="add_advance_staff_id" style="width:100%;" required>
																								<?php
																								$get_staffs = $objHospital->get_staffs($user_id);
																								if(empty($get_staffs)){
																									echo'<option>There are no Staff added yet</option>';
																								}else{
																									echo'<option>Click here to select staff:</option>';
																									foreach($get_staffs as $staff){
																										$first_name = $staff['first_name'];
																										$last_name = $staff['last_name'];
																										$staff_id = $staff['staff_id'];
																										echo'<option value="'.$staff_id.'">'.$first_name.' '.$last_name.'</option>';
																									}
																								}
																								
																								?>
																							</select>
																						</div>
																					</div>
																					<div class="col-md-12">  
																						<div class="form-group">
																							<label><span style="color:black;">Advance Amount (No commas)</span><span style="color:red;">*</span></label>
																							<input type="text" name="add_advance_amount" class="form-control" required>
																						</div>
																					</div>
																					<div class="col-md-12">  
																						<div class="form-group">
																							<label><span style="color:black;">No of Salary Deductions</span><span style="color:red;">*</span></label>
																							<input type="text" name="add_advance_deduction" class="form-control" placeholder="E.g. 12">
																						</div>
																					</div>
																				</div>
																			</div>
																		</div>
																		<div class="modal-footer">
																			<input type="hidden" name="add_advance_hospital_id" value="<?php echo $hospital_id; ?>">
																			<input type="hidden" name="add_advance_added_by" value="<?php echo $user_id; ?>">
																			<input type="hidden" name="add_advance_staff_name" id="add_advance_staff_name">
																			<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
																			<button type="submit" id="save_advance" class="btn btn-primary">Save Advance</button>
																		</div>
																	</form>
																</div>
															</div>
														</div>
														</div>
														<div class="modal fade bd-example-modal-lg" id="add_tax_modal" tabindex="-1" role="dialog" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title">Add Tax</h5>
																		<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
																		</button>
																	</div>
																	<form method="post" id="add_salary_tax_form">
																	<div class="modal-body">
																		<div class="card">
																			<div class="card-body">
																				<div class="basic-form">
																					<div class="form-row">
																						<div class="form-group col-md-6">
																							<label><span style="color:black;">Tax Name</span></label>
																							<input type="text" name="add_tax_name[]" class="form-control" placeholder="E.g. Income Tax, PAYEE, NSSF..etc">
																						</div>
																						<div class="form-group col-md-4">
																							<label><span style="color:black;">Percentage (Numbers only)</span></label>
																							<input type="text" name="add_tax_percentage[]" class="form-control" placeholder="E.g. 5, 18, 20...etc">
																						</div>
																						<div class="form-group col-md-2">
																							<div>&nbsp;</div>
																							<button type="button" id="add_tax_btn" class="btn btn-rounded btn-success">Add Tax</button>
																						</div>
																					</div>
																					<div id="added_taxes">
																						<!---Add taxes input fields go here--->
																					</div>
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<input type="hidden" name="add_tax_user_id" value="<?php echo $user_id; ?>">
																		<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
																		<button type="submit" class="btn btn-primary">Save Taxes</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														
														
														
														
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->

    <script src="../assets/js/lib/calendar-2/moment.latest.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.calendar.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.init.js"></script>
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
	<!-- Daterangepicker -->
	<script src="../assets/js/lib/daterangepicker.js"></script>
    <script src="../assets/js/lib/bs-daterange-picker-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/human_resource.js"></script>
	<script src="js/printarea.js"></script>
	<style>
	.results_modal_body{
		height: 500px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	
	#added_taxes{
		height: 350px;
		overflow: hidden;
	}
	#added_taxes:hover{overflow-y:auto; overflow-x:auto;}
	
	.payroll_modal_body{
		height: 450px;
		overflow: hidden;
	}
	.payroll_modal_body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>