<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	$dpt_name = 'Stores';
	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#orders" data-toggle="tab" class="nav-link active show"><i class="fa fa-shopping-cart"></i>&nbsp;Requests</a>
														</li>
													</ul>
													<div class="tab-content">
														
														<div id="orders" class="tab-pane fade active show">
															<div class="card" style="overflow-x:scroll;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">Procurement Requests</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Order ID</center></th>
																					<th scope="col"><center>Date</center></th>
																					<th scope="col"><center>Vendor Name</center></th>
																					<th scope="col"><center>Approval Status</center></th>
																					<th scope="col"><center>Approved By</center></th>
																					<th scope="col"><center>Delivery Status</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody id="orders_table_body">
																			<?php
																				$get_saved_orders = $objHospital->get_saved_orders($user_id);
																				if(empty($get_saved_orders)){
																					echo '<tr><td colspan="8" style="color:red;"><center>There are no orders saved yet </center></td></tr>';
																				}else{
																					foreach($get_saved_orders as $order){
																						$order_id = $order['order_tracking_id'];
																						$po_number = $order['po_number'];
																						$vendor_id = $order['vendor_id'];
																						$date_added = $order['date_added'];
																						$approval_date = $order['approval_date'];
																						$delivery_date = $order['delivery_date'];
																						$hospital_id = $order['hospital_id'];
																						$approval_id = $order['approval_id'];
																						
																						if($approval_date == '0000-00-00 00:00:00'){
																							$status = '<div class="badge badge-sm badge-danger">Pending</div>';
																						}else{
																							$status = '<div class="badge badge-sm badge-success">Approved</div>';
																						}
																						
																						if($delivery_date == '0000-00-00 00:00:00'){
																							$approval = '<div class="badge badge-sm badge-danger">Pending</div>';
																						}else{
																							$approval = '<div class="badge badge-sm badge-success">Approved</div>';
																						}
																						//Get vendor details
																						$get_vendor = $objHospital->get_vendor_by_id($user_id,$vendor_id);
																						foreach($get_vendor as $vendor){
																							$vendor_name = $vendor['vendor_name'];
																						}
																						//Get staff details
																						$get_staff_by_id = $objHospital->get_staff_details($approval_id,$user_id);
																						foreach($get_staff_by_id as $staff){
																							$first_name=$staff['first_name'];
																							$last_name=$staff['last_name'];
																						}
																						
																						echo'<tr>
																						<td><center>'.$po_number.'</center></td>
																						<td><center>'.date("d-m-Y",strtotime($date_added)).'</center></td>
																						<td><center>'.$vendor_name.'</center></td>
																						<td><center>'.$status.'</center></td>
																						<td><center>'.$first_name.' '.$last_name.'</center></td>
																						<td><center>'.$approval.'</center></td>
																						<td><center><button type="button" class="btn btn-sm btn-success approve_order_btn" data-hospital-id="'.$hospital_id.'" data-order-id="'.$order_id.'" data-target="#approve_order_modal" data-toggle="modal"><i class="fa fa-eye"></i></button>
																						<button class="btn btn-sm btn-danger delete_order_btn" data-hospital-id="'.$hospital_id.'" data-order-id="'.$order_id.'"><i class="fa fa-trash-o"></i></button></center></td>
																						</tr>';
																					}
																				}
																			?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="approve_order_modal" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:60rem; height:45rem; margin-left:-50px; margin-top:-30px; overflow-x:auto;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Approve Order</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" style="height:38rem;">
																		<div class="img-container" id="approve_order_details_body">
																			<!--------Product details go here---->
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="view_product_modal" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:90rem; height:22rem; margin-left:-300px; margin-top:-150px; overflow-x:auto;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">View <span style="color:blue;" id="view_product_name_header"></span> Details</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" style="height:38rem;">
																		<div class="img-container" id="view_a_product_container">
																			<!--------Product details go here---->
																		</div>
																	</div>
																</div>
															</div>
														</div>
																
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="make_product_order_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" style="height:25rem;">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Make Order for: <span style="color:blue;" id="make_order_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card make_order_card" >
																				<!---Order form--->
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="edit_services_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:75rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Edit <span style="color:blue;" id="edit_service_header"></span> Service</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card edit_service_card" style="width:70rem;">
																				<!---View equipment here--->
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="stock_card_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Stock Card for <span style="color:blue;" id="stock_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">																		
																		<div class="table-responsive" id="stock_card_body">
																			<!---Stock card goes here--->
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														

														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/procurement.js"></script>
	<style>
	.results_modal_body{
		height: 400px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>