<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();


?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Roles</title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/helper.css" rel="stylesheet">
    <link href="../assets/css/style.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<div class="row" style="margin-top:10px;">
						<div class="col-md-12">
							<div class="row page-titles mx-0">
								<div class="col-sm-12 p-md-0 justify-content-lg-end mt-2 mt-sm-0 d-flex">
									<button type="button" class="btn btn-primary" data-toggle="modal" data-target=".bd-example-modal-lg"><span
											class="btn-icon-right"><i class="fa fa-plus"></i></span>Assign Roles
									</button>
								</div>
							</div>
							<div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true">
								<div class="modal-dialog modal-lg">
									<div class="modal-content">
										<div class="modal-header">
											<h5 class="modal-title">Assign a Role</h5>
											<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
											</button>
										</div>
										<form method="post" id="add_roles_form">
										<div class="modal-body results_modal_body" style="height:35rem;">
											<div class="card">
												<div class="card-body">
													<div class="basic-form">
														<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px;">
															<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Role Assignee</h6>
														</div>
														<div class="form-row" style="font-size:16px;">
															<div class="form-group col-md-12">
																<label>Select Staff</label>
																<select type="text" name="role_staff_id" id="role_staff_id" class="form-control">
																	<?php
																	$get_staff_name = $objHospital->get_staff_for_role_assignment($user_id);
																	if(empty($get_staff_name)){
																		//Do nothing
																	}else{
																		foreach($get_staff_name as $name){
																			$first_name = $name['first_name'];
																			$last_name = $name['last_name'];
																			$staff_id = $name['staff_id'];
																			echo'<option value="'.$staff_id.'">'.$first_name.' '.$last_name.'</option>';
																		}
																	}
																	?>
																	
																</select>
															</div>
															<div class="form-group col-md-12">
																<label>Role Description</label>
																<textarea class="form-control" type="text" name="role_description" rows="2" style="height:100%;"></textarea>
															</div>
														</div>
														<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
															<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Patient Management Tasks</h6>
														</div>
														<div class="form-row">
															<div class="form-group col-md-12" style="font-size:16px;">
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="access_patient_data" name="access_patient_data">
																	<label class="form-check-label" for="access_patient_data">Can access patient data</label>
																</div>
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="enter_patient_data" name="enter_patient_data"	>
																	<label class="form-check-label" for="enter_patient_data">Can enter patient data</label>
																</div>
																<div class="form-check disabled">
																	<input type="checkbox" class="form-check-input" id="delete_patient_data" name="delete_patient_data">
																	<label class="form-check-label" for="delete_patient_data">Can make changes to patient data</label>
																</div>
																<div class="form-group col-md-12" style="font-size:16px;">
																	<div class="form-check mb-2">
																		<input type="checkbox" class="form-check-input" id="full_reception_access" name="full_reception_access">
																		<label class="form-check-label" for="full_reception_access">Reception</label>
																	</div>
																	<div class="form-check mb-2">
																		<input type="checkbox" class="form-check-input" id="full_dr_room_access" name="full_dr_room_access">
																		<label class="form-check-label" for="full_dr_room_access">Dr's Room</label>
																	</div>
																</div>
															</div>
														</div>
														<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
															<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Department Management Tasks</h6>
														</div>
														<div class="form-row">
															<div class="form-group col-md-12" style="font-size:16px;">
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="access_department_data" name="access_department_data">
																	<label class="form-check-label" for="access_department_data">Can access department data</label>
																</div>
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="changes_to_all_department_data" name="changes_to_all_department_data">
																	<label class="form-check-label" for="changes_to_all_department_data">Can make changes to all department data</label>
																</div>
																<div class="form-check disabled">
																	<input type="checkbox" class="form-check-input" id="add_department_patient_data" name="add_department_patient_data">
																	<label class="form-check-label" for="add_department_patient_data">Can add assigned department patient data</label>
																</div>
															</div>
															<div class="form-group col-md-12" style="font-size:16px;">
																<?php
																	$get_departments = $objHospital->get_departments($user_id);
																	foreach($get_departments as $department){
																		$department_id = $department['department_id'];
																		$department_name = $department['department_name'];
																		echo'<div class="form-check mb-2">
																			<input type="checkbox" class="form-check-input department_access" id="'.$department_id.'-'.$department_id.'" value="'.$department_id.'" name="access_to_department[]">
																			<label class="form-check-label" for="access_to_department">'.$department_name.'</label>
																		</div>';
																	}
																?>
															</div>
														</div>
														<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
															<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">HR Management Tasks</h6>
														</div>
														<div class="form-row">
															<div class="form-group col-md-12" style="font-size:16px;">
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="access_hr_data" name="access_hr_data">
																	<label class="form-check-label" for="access_hr_data">Can access Human Resource data</label>
																</div>
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="make_changes_to_hr_data" name="make_changes_to_hr_data"	>
																	<label class="form-check-label" for="make_changes_to_hr_data">Can make changes to Human Resource data</label>
																</div>
															</div>
														</div>
														<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
															<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Admin Tasks</h6>
														</div>
														<div class="form-row">
															<div class="form-group col-md-12" style="font-size:16px;">
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="access_bed_data" name="access_bed_data">
																	<label class="form-check-label" for="access_bed_data">Can access patient Admission/Bed assignment data</label>
																</div>
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="manage_bed_data" name="manage_bed_data"	>
																	<label class="form-check-label" for="manage_bed_data">Can manage patient Admission/Bed assignment data</label>
																</div>
															</div>
														</div>
														<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
															<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Finance Tasks</h6>
														</div>
														<div class="form-row">
															<div class="form-group col-md-12" style="font-size:16px;">
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="access_cashier_data" name="access_cashier_data"	>
																	<label class="form-check-label" for="access_cashier_data">Can access Cashier data</label>
																</div>
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="approve_services" name="approve_services">
																	<label class="form-check-label" for="approve_services">Can approve services based on payment status</label>
																</div>
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="enter_cashier_data" name="enter_cashier_data">
																	<label class="form-check-label" for="enter_cashier_data">Can enter cashier data</label>
																</div>
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="access_financial_reports" name="access_financial_reports">
																	<label class="form-check-label" for="access_financial_reports">Can access financial reports</label>
																</div>
															</div>
														</div>
														<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
															<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Stores Tasks</h6>
														</div>
														<div class="form-row">
															<div class="form-group col-md-12" style="font-size:16px;">
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="access_stores_dept" name="access_stores_dept"	>
																	<label class="form-check-label" for="access_stores_dept">Can access Stores department</label>
																</div>
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="access_procurement_dept" name="access_procurement_dept">
																	<label class="form-check-label" for="access_procurement_dept">Can access procurement department</label>
																</div>
															</div>
														</div>
														
														<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
															<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">System Administration Tasks</h6>
														</div>
														<div class="form-row">
															<div class="form-group col-md-12" style="font-size:16px;">
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="change_user_roles" name="change_user_roles">
																	<label class="form-check-label" for="change_user_roles">Can make changes to User Roles</label>
																</div>
																<div class="form-check mb-2">
																	<input type="checkbox" class="form-check-input" id="super_user" name="super_user">
																	<label class="form-check-label" for="super_user">Make Super User</label>
																</div>
															</div>
														</div>
														
													</div>
												</div>
											</div>
										</div>
										<div class="modal-footer">
											<input type="hidden" name="role_user_id" value="<?php echo $user_id; ?>">
											<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
											<button type="submit" class="btn btn-primary" id="save_role_btn">Save Role</button>
										</div>
										</form>
									</div>
								</div>
							</div>							
						</div>
					</div>
					
					<div class="col-md-12" style="overflow-y:scroll;">
						<!-- Modal for patients details -->
						<div class="modal fade view_role_modal" id="view_role_modal" role="dialog" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true" >
						  <div class="modal-dialog">
							<div class="modal-content" style="width: 1000px;">
							  <div class="modal-header">
								<h5 class="modal-title" id="staticBackdropLabel">View <span id="view_role_header" style="color:blue;"></span>'s Roles</h5>
								<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
							  </div>
							  <div class="view_role_body">
								
							  </div>
							</div>
						  </div>
						</div>
					</div>
					
					<div class="col-md-12" style="overflow-y:scroll;">
						<!-- Modal for patients details -->
						<div class="modal fade edit_role_modal" id="staticBackdrop" role="dialog" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true" >
						  <div class="modal-dialog">
							<div class="modal-content" style="width: 1000px;">
							  <div class="modal-header">
								<h5 class="modal-title" id="staticBackdropLabel">Edit <span id="role_header" style="color:blue;"></span>'s Roles</h5>
								<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
							  </div>
							  <div class="edit_role_body">
								
							  </div>
							</div>
						  </div>
						</div>
					</div>
					
					
					
                    <div class="row">
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<h4 class="card-title">All Assigned Roles</h4>
								</div>
								<div class="card-body">
									<div class="table-responsive">
										<table class="table table-hover table-responsive-sm">
											<thead>
												<tr>
													<th><center>Staff ID</center></th>
													<th><center>Staff Name</center></th>
													<th><center>Description</center></th>
													<th><center>Actions</center></th>
												</tr>
											</thead>
											<tbody class="added_roles_body">
												<?php
												$get_roles = $objHospital->get_roles($user_id);
												
												if(empty($get_roles )){
													echo'<tr><td colspan="4" style="color:red;">There no user assigned any roles yet</td></tr>';
												}else{
													foreach($get_roles as $roles){
														$staff_id=$roles['staff_id'];
														$hospital_id=$roles['hospital_id'];
														$description=$roles['description'];
														$get_staff_details = $objHospital->get_staff_details($staff_id,$user_id);
														foreach($get_staff_details as $detail){
															$staff_first_name=$detail['first_name'];
															$staff_last_name=$detail['last_name'];
														}
														
														echo'<tr>
															<td><center>'.$staff_id.'</center></td>
															<td><center>'.$staff_first_name.' '.$staff_last_name.'</center></td>
															<td><center>'.$description.'</center></td>
															<td><center>
																<button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button>
																<div class="dropdown-menu dropdown-menu-right">
																	<button class="badge badge-dark dropdown-item view_role_button" data-staff-id="'.$staff_id.'" data-hospital-id="'.$hospital_id.'" data-first-name="'.$staff_first_name.'" data-last-name="'.$staff_last_name.'" data-toggle="modal" data-target="#view_role_modal">View</button>
																	<button class="badge badge-warning dropdown-item edit_role_button" data-staff-id="'.$staff_id.'" data-hospital-id="'.$hospital_id.'" data-first-name="'.$staff_first_name.'" data-last-name="'.$staff_last_name.'" data-toggle="modal" data-target=".edit_role_modal">Edit</button>
																	<button class="badge badge-danger dropdown-item delete_role_button" data-staff-id="'.$staff_id.'" data-hospital-id="'.$hospital_id.'">Delete</button>
																</div></center>	
															</td>
														</tr>';
													}
												}
												?>
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
                    </div>

                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->

    <script src="../assets/js/lib/calendar-2/moment.latest.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.calendar.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.init.js"></script>


    <script src="../assets/js/lib/weather/jquery.simpleWeather.min.js"></script>
    <script src="../assets/js/lib/weather/weather-init.js"></script>
    <script src="../assets/js/lib/circle-progress/circle-progress.min.js"></script>
    <script src="../assets/js/lib/circle-progress/circle-progress-init.js"></script>
    <script src="../assets/js/lib/chartist/chartist.min.js"></script>
    <script src="../assets/js/lib/sparklinechart/jquery.sparkline.min.js"></script>
    <script src="../assets/js/lib/sparklinechart/sparkline.init.js"></script>
    <script src="../assets/js/lib/owl-carousel/owl.carousel.min.js"></script>
    <script src="../assets/js/lib/owl-carousel/owl.carousel-init.js"></script>
    <!-- scripit init-->
    <script src="js/roles.js"></script>
	<style>
		.results_modal_body{
			height: 400px;
			overflow: hidden;
		}
		.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>