<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:78rem;">
										<div class="card-header">
											<a href="lab_department.php?user_id=<?php echo $user_id; ?>" class="btn btn-info" style="float:right;">Back to Testing Area</a>
										</div>
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#all_tests" data-toggle="tab" class="nav-link active show"><i class="fa fa-list"></i>&nbsp;All Tests</a>
														</li>
														<li class="nav-item"><a href="#add_tests" data-toggle="tab" class="nav-link"><i class="fa fa-plus"></i>&nbsp;Add Tests</a>
														</li>
													</ul>
													<div class="tab-content">
														
														<div id="all_tests" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Tests</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Test ID</center></th>
																					<th scope="col"><center>Test Name</center></th>
																					<th scope="col"><center>Category</center></th>
																					<th scope="col"><center>TAT(Hrs)</center></th>
																					<th scope="col"><center>Sample Type</center></th>
																					<th scope="col"><center>Availability</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_all_tests = $objHospital->get_all_tests($user_id);
																					if(empty($get_all_tests)){
																						echo'<tr><td colspan="7" style="color:green;"><center>There are no equipment added yet</center></td></tr>';
																					}else{
																						foreach($get_all_tests as $test){
																							$test_menu_id = $test['test_menu_id'];
																							$test_name = $test['test_name'];
																							$test_category = $test['test_category'];
																							$hospital_id = $test['hospital_id'];
																							$cost = $test['cost'];
																							$tat = $test['tat'];
																							$sample_type = $test['sample_type'];
																							$sample_volume = $test['sample_volume'];
																							$available = $test['available'];
																							$qualitative_or_quantitative = $test['qualitative_or_quantitative'];
																							
																							echo'
																							<tr>
																								<td><center>'.$test_menu_id.'</center></td>
																								<td><center>'.$test_name.'</center></td>
																								<td><center>'.$test_category.'</center></td>
																								<td><center>'.$tat.'</center></td>
																								<td><center>'.$sample_type.'</center></td>
																								<td><center>';
																								if($available == 'yes'){
																									echo '<div class="badge badge-primary">Available</div>';
																								}else{
																									echo '<div class="badge badge-danger">Not Available</div>';
																								}
																								echo'</center></td>
																								<td>
																									<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
																									<div class="dropdown-menu dropdown-menu-left">
																										<button class="badge badge-dark view_test_menu_button"  data-toggle="modal" data-test-menu-id="'.$test_menu_id.'" data-hospital-id="'.$hospital_id.'" data-test-name="'.$test_name.'" data-target="#view_test_menu_button">View Details</button>
																										<button class="badge badge-warning edit_test_menu_button"  data-toggle="modal" data-test-menu-id="'.$test_menu_id.'" data-hospital-id="'.$hospital_id.'" data-test-name="'.$test_name.'" data-target="#edit_test_menu_modal">Edit Test</button>
																										<button class="badge badge-danger delete_test_menu_button"  data-toggle="modal" data-test-menu-id="'.$test_menu_id.'" data-hospital-id="'.$hospital_id.'" data-test-name="'.$test_name.'"data-target="#review_result_modal">Delete Test</button>
																										<button class="badge badge-secondary reagent_test_menu_button"  data-toggle="modal" data-test-menu-id="'.$test_menu_id.'" data-hospital-id="'.$hospital_id.'" data-test-name="'.$test_name.'"data-target="#reagent_modal">Test Reagents</button>
																									</div>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="add_tests" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-header">
																	<h4 class="card-title" style="color:blue;"><b>Test Details Form</b></h4>
																</div>
																<div class="card-body">
																	<div class="row">
																		<form method="post" class="form-sample" id="test_detail_form">
																		  <div class="row">
																			<div class="col-md-6">
																			  <div class="form-group row">
																				<label class="col-sm-4 col-form-label">Test Name</label>
																				<div class="col-sm-8">
																				  <input name="test_menu_test" type="text" class="form-control"/>
																				</div>
																			  </div>
																			</div>
																			<div class="col-md-6">
																			  <div class="form-group row">
																				<label class="col-sm-4 col-form-label">Test Category</label>
																				<div class="col-sm-8">
																				  <input name="test_menu_category" type="text" class="form-control" />
																				</div>
																			  </div>
																			</div>
																		  </div>
																		  <div class="row">
																			  <div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Cost</label>
																					<div class="col-sm-8">
																					  <input class="form-control" name="test_menu_cost" type="text" />
																					</div>
																				  </div>
																			  </div>
																			  <div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Report Type</label>
																					<div class="col-sm-8">
																					  <select name="test_menu_report_type" class="form-control" id="tat" >
																							<option>Positive/Negative</option>
																							<option>Reactive/Non Reactive</option>
																							<option>Open - Qualitative</option>
																							<option>Semi-Quantitative</option>
																							<option>Quantitative</option>
																					  </select>
																					</div>
																				  </div>
																			  </div>
																			  <div class="col-md-4">
																				<div class="form-group row">
																					<label class="col-sm-4 col-form-label">TAT (Hrs)</label>
																					<div class="col-sm-8">
																						<select name="test_menu_tat" class="form-control" id="tat" >
																							<option disabled>Select TAT in hrs</option>
																							<option>0.5</option>
																							<option>1</option>
																							<option>1.5</option>
																							<option>2</option>
																							<option>2.5</option>
																							<option>3</option>
																							<option>3.5</option>
																							<option>4</option>
																							<option>4.5</option>
																							<option>5</option>
																							<option>5.5</option>
																							<option>6</option>
																							<option>7</option>
																							<option>7.5</option>
																							<option>8</option>
																							<option>8.5</option>
																							<option>9</option>
																							<option>9.5</option>
																							<option>10</option>
																							<option>10.5</option>
																							<option>11</option>
																							<option>11.5</option>
																							<option>12</option>
																							<option>12.5</option>
																							<option>13</option>
																							<option>13.5</option>
																							<option>14</option>
																							<option>14.5</option>
																							<option>15</option>
																							<option>15.5</option>
																							<option>16</option>
																							<option>16.5</option>
																							<option>17</option>
																							<option>17.5</option>
																							<option>18</option>
																							<option>18.5</option>
																							<option>19</option>
																							<option>19.5</option>
																							<option>20</option>
																							<option>20.5</option>
																							<option>21</option>
																							<option>21.5</option>
																							<option>22</option>
																							<option>22.5</option>
																							<option>23</option>
																							<option>23.5</option>
																							<option>24</option>
																							<option>36</option>
																							<option>48</option>
																							<option>60</option>
																							<option>72</option>
																						</select>
																					</div>
																				</div>
																			</div>
																		  </div>
																		  <div class="row">
																			  <div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Type of sample</label>
																					<div class="col-sm-8">
																					  <input class="form-control" name="test_menu_sample" type="text" />
																					</div>
																				  </div>
																			  </div>
																			  <div class="col-md-4">
																				<div class="form-group row">
																					<label class="col-sm-4 col-form-label">Sample volume</label>
																					<div class="col-sm-8">
																						<input type="text" name="test_menu_volume" class="form-control" />
																					</div>
																				</div>
																			  </div>
																			  <div class="col-md-4">
																				<div class="d-flex justify-content-center">
																					<button type="button" class="btn btn-lg btn-success" id="test_menu_add_parameter"><span style="font-size:14px;">Add Parameter & Reference Intervals</span></button>
																				</div>
																			  </div>
																		  </div>
																		  <div class="row parameter_row">
																			<!--Parameters go here--->
																		  </div>
																		  <div class="row">
																			<div class="col-md-12">
																				<div class="d-flex justify-content-center">
																					<input type="hidden" name="test_menu_user_id" value="<?php echo $user_id?>">
																					<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Test</span></button>
																				</div>
																			</div>
																		  </div>
																		</form>
																	<!-- partial -->
																	</div>							
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="view_test_menu_button" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Details for: <span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card view_test_menu_card" style="width:100%;">
																				<!---View equipment here--->
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="edit_test_menu_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:75rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Edit Test: <span style="color:blue;" id="edit_test_menu_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card edit_test_menu_card" style="width:70rem;">
																				<!---View equipment here--->
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="reagent_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">All <span style="color:blue;" id="test_menu_reagent_header"></span> Reagents</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<h5 style="text-align:right;"><a class="badge badge-success" data-toggle="collapse" href="#add_a_category" aria-expanded="false" aria-controls="category">
																			<i class="fa fa-plus"></i>
																			<span class="menu-title"><b>Add a Reagent</b></span>
																			<i class="menu-arrow"></i>
																		</a></h5>
																		<div class="img-container collapse" id="add_a_category">
																			<div class="card add_category_card">
																				<form method="post" class="form-sample" id="add_reagent_form">
																				  <div class="row">
																					<div class="col-md-12 d-flex justify-content-between">
																						<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Select Product:</label>
																						<div class="col-sm-6">
																						  <select name="add_reagent_name[]" class="form-control">
																						  <?php
																						  $get_store_reagents = $objHospital->get_all_store_reagents($user_id);
																						  if(empty($get_store_reagents)){
																							  echo'<option>There are no reagents in the store yet</option>';
																						  }else{
																							  echo'<option>Click here to select:</option>';
																							  foreach($get_store_reagents as $row){
																								  $product_id = $row['store_product_id'];
																								  $product_name = $row['product_name'];
																								  echo'<option value="'.$product_id.'">'.$product_name.'</option>';
																							  }
																						  }
																						  ?>
																						  </select>
																						</div>
																						<div class="col-sm-3">
																							<button type="button" class="btn btn-warning" id="add_reagent_btn">Add Reagent</button>
																						</div>
																					</div>
																					<div class="col-md-12" id="add_reagents_body">
																					  
																					</div>
																				  </div>
																				  <div class="row">
																					<div class="col-md-12">
																						<div class="d-flex justify-content-center">
																							<input type="hidden" name="reagent_user_id" value="<?php echo $user_id?>">
																					 		<input type="hidden" name="reagent_test_name" id="reagent_test_name">
																							<input type="hidden" name="reagent_test_id" id="reagent_test_id">
																							<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Reagent</span></button>
																						</div>
																					</div>
																				  </div>
																				</form>
																				<!-- partial -->	
																			</div>
																		</div>
																		<div class="table-responsive">
																			<table class="table primary-table-bg-hover">
																				<thead>
																					<tr>
																						<th scope="col"><center>Reagent ID</center></th>
																						<th scope="col"><center>Reagent Name</center></th>
																						<th scope="col"><center># of Runs Left</center></th>
																						<th scope="col"><center>Delete</center></th>
																					</tr>
																				</thead>
																				<tbody id="all_reagent_table">
																				</tbody>
																			</table>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														

														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/lab_department.js"></script>
	<style>
	.results_modal_body{
		height: 550px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>