<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
	<!-- SLEEK CSS 
    <link id="sleek-css" rel="stylesheet" href="../assets/css/sleek.css" />-->
	<!-- Daterange picker -->
    <link href="../assets/css/lib/daterangepicker.css" rel="stylesheet">
	<link href="../assets/css/lib/bootstrap-material-datetimepicker.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#annual" data-toggle="tab" class="nav-link active show"><i class="fa fa-line-chart"></i>&nbsp;Annual Trends</a>
														</li>
														<li class="nav-item"><a href="#monthly" data-toggle="tab" class="nav-link"><i class="fa fa-pie-chart"></i>&nbsp;Monthly Trends</a>
														</li>
														<li class="nav-item"><a href="#daily" data-toggle="tab" class="nav-link"><i class="fa fa-bar-chart"></i>&nbsp;Daily Trends</a>
														</li>
													</ul>
													<div class="tab-content">
														
														<div id="annual" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="row">
																		<div class="col-xl-8 col-md-12">
																			
																		  <!-- Sales Graph -->
																		  <div class="card card-default">
																			<div class="card-header">
																			  <h4>Annual Revenue Trends</h5>
																			</div>
																			<div class="card-body" style="height:20rem;">
																			  <canvas id="annual_linechart" class="chartjs"></canvas>
																			</div>
																			<!--<div class="card-footer d-flex flex-wrap bg-white p-0" style="height:5rem;">
																			  <div class="col-6 px-0">
																				<div class="text-center p-4">
																				  <h4>$6,308</h4>
																				  <p class="mt-2">Total customer bills for this year</p>
																				</div>
																			  </div>
																			  <div class="col-6 px-0">
																				<div class="text-center p-4 border-left">
																				  <h4>$70,506</h4>
																				  <p class="mt-2">Total payments for this year</p>
																				</div>
																			  </div>
																			</div>-->
																		  </div>

																		</div>

																		<div class="col-xl-4 col-md-12">
																			
																		  <!-- Doughnut Chart -->
																		  <div class="card card-default">
																			<div class="card-header justify-content-center">
																			  <h5>Departmental Sales - <?php echo date('Y');?></h5>
																			</div>
																			<div class="card-body" style="height:20rem;">
																			  <canvas id="annual_dept_sales_chart" ></canvas>
																			</div>
																		  </div>

																		</div>
																	</div>
																	<!-- Seventh Row  -->
																	<div class="row">
																		<div class="col-xl-8">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header d-flex flex-wrap justify-content-between">
																					<h4>Annual Department Sales - <?php echo date('Y');?></h4>

																					<div class="date-range-report ">
																						<span></span>
																					</div>
																				</div>

																				<div class="card-body" style="height:20rem;">
																					<canvas id="annual_dept_sales_bar_chart" class="chartjs"></canvas>
																				</div>
																			</div>
																		</div>

																		<div class="col-xl-4">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header">
																					<h5>Patients Age Groups - <?php echo date('Y');?></h5>
																				</div>

																				<div class="card-body" style="height:20rem; position: relative;">
																					<canvas id="annual_age_group_polar_chart" polar-data-height></canvas>
																				</div>
																			</div>
																		</div>
																	</div>
																	
																	<!-- Seventh Row  -->
																	<div class="row">
																		<div class="col-xl-8">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header d-flex flex-wrap justify-content-between">
																					<h4>Top Pharmacy Sales - <?php echo date('Y');?></h4>

																					<div class="date-range-report ">
																						<span></span>
																					</div>
																				</div>

																				<div class="card-body" style="height:20rem;">
																					<canvas id="annual_pharmacy_sales_bar_chart" class="chartjs" style="height:28rem"></canvas>
																				</div>
																			</div>
																		</div>

																		<div class="col-xl-4">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header">
																					<h5>Patients Gender - <?php echo date('Y');?></h5>
																				</div>

																				<div class="card-body" style="height:20rem; position: relative;">
																					<canvas id="annual_gender_pie_chart" polar-data-height></canvas>
																				</div>
																			</div>
																		</div>
																	</div>
																	
																	<!-- Seventh Row  -->
																	<div class="row">
																		<div class="col-xl-6">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header d-flex flex-wrap justify-content-between">
																					<h4>Top Laboratory Sales - <?php echo date('Y');?></h4>

																					<div class="date-range-report ">
																						<span></span>
																					</div>
																				</div>

																				<div class="card-body" style="height:20rem;">
																					<canvas id="annual_lab_sales_bar_chart" class="chartjs" style="height:28rem"></canvas>
																				</div>
																			</div>
																		</div>

																		<div class="col-xl-6">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header">
																					<h4>Top Clinical Services Sales - <?php echo date('Y');?></h4>
																				</div>

																				<div class="card-body" style="height:20rem; position: relative;">
																					<canvas id="annual_clinical_sales_bar_chart" polar-data-height></canvas>
																				</div>
																			</div>
																		</div>
																	</div>
																	
																	
																</div>
																<center><button type="button" class="btn btn-primary btn-rounded print_patient_report">Print Report</button></center>
															</div>
														</div>
														
														<div id="monthly" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-header">
																	<form method="post">
																	<div class="row">
																		<div class="col-md-12 d-flex justify-content-end" style="color:Black; float:right;">
																			<label class="col-sm-6" style="font-size:17px;">Select Period</label>
																			<div class="col-sm-6">
																				<input class="form-control input-daterange-datepicker" type="text" id="monthly_daterange_input" name="daterange" value="01/01/2023 - 01/31/2023">
																			</div>
																		</div>
																	</div>
																	</form>
																</div>
																<div class="card-body">
																	<div class="row">
																		<div class="col-xl-8 col-md-12">
																			
																		  <!-- Sales Graph -->
																		  <div class="card card-default">
																			<div class="card-header">
																			  <center><h4>Monthly Revenue Trends - <span class="monthly_header" style="color:blue;"></span></h5></center> 
																			</div>
																			<div class="card-body" style="height:20rem;">
																			  <canvas id="monthly_linechart" class="chartjs"></canvas>
																			</div>
																		  </div>

																		</div>

																		<div class="col-xl-4 col-md-12">
																			
																		  <!-- Doughnut Chart -->
																		  <div class="card card-default">
																			<div class="card-header justify-content-center">
																			  <center><h5>Departmental Sales <br><span class="monthly_header" style="color:blue;"></span></h5></center>
																			</div>
																			<div class="card-body" style="height:20rem;">
																			  <canvas id="monthly_dept_sales_chart" ></canvas>
																			</div>
																		  </div>

																		</div>
																	</div>
																	<!-- Seventh Row  -->
																	<div class="row">
																		<div class="col-xl-8">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header d-flex flex-wrap justify-content-between">
																					<center><h4>Monthly Department Sales - <span class="monthly_header" style="color:blue;"></span></h4></center>

																					<div class="date-range-report ">
																						<span></span>
																					</div>
																				</div>

																				<div class="card-body" style="height:20rem;">
																					<canvas id="monthly_dept_sales_bar_chart" class="chartjs"></canvas>
																				</div>
																			</div>
																		</div>

																		<div class="col-xl-4">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header">
																					<center><h5>Patients Age Groups <br><span class="monthly_header" style="color:blue;"></span></h5></center>
																				</div>

																				<div class="card-body" style="height:20rem; position: relative;">
																					<canvas id="monthly_age_group_polar_chart" polar-data-height></canvas>
																				</div>
																			</div>
																		</div>
																	</div>
																	
																	<!-- Seventh Row  -->
																	<div class="row">
																		<div class="col-xl-8">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header d-flex flex-wrap justify-content-between">
																					<center><h4>Top Pharmacy Sales - <span class="monthly_header" style="color:blue;"></span></h4></center>

																					<div class="date-range-report ">
																						<span></span>
																					</div>
																				</div>

																				<div class="card-body" style="height:20rem;">
																					<canvas id="monthly_pharmacy_sales_bar_chart" class="chartjs" style="height:28rem"></canvas>
																				</div>
																			</div>
																		</div>

																		<div class="col-xl-4">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header">
																					<center><h5>Patients Gender <br><span class="monthly_header" style="color:blue;"></span></h5></center>
																				</div>

																				<div class="card-body" style="height:20rem; position: relative;">
																					<canvas id="monthly_gender_pie_chart" polar-data-height></canvas>
																				</div>
																			</div>
																		</div>
																	</div>
																	
																	<!-- Seventh Row  -->
																	<div class="row">
																		<div class="col-xl-6">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header d-flex flex-wrap justify-content-between">
																					<center><h4>Top Laboratory Sales - <span class="monthly_header" style="color:blue;"></span></h4></center>

																					<div class="date-range-report ">
																						<span></span>
																					</div>
																				</div>

																				<div class="card-body" style="height:20rem;">
																					<canvas id="monthly_lab_sales_bar_chart" class="chartjs" style="height:28rem"></canvas>
																				</div>
																			</div>
																		</div>

																		<div class="col-xl-6">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header">
																					<center><h4>Top Clinical Services Sales - <span class="monthly_header" style="color:blue;"></span></h4></center>
																				</div>

																				<div class="card-body" style="height:20rem; position: relative;">
																					<canvas id="monthly_clinical_sales_bar_chart" polar-data-height></canvas>
																				</div>
																			</div>
																		</div>
																	</div>
																	
																	
																</div>
																<center><button type="button" class="btn btn-primary btn-rounded print_patient_report">Print Report</button></center>
															</div>
														</div>
														
														<div id="daily" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<form method="post">
																		<div class="row">
																			<div class="col-md-12 d-flex justify-content-end" style="color:Black; float:right;">
																				<label class="col-sm-6" style="font-size:17px;">Select Period</label>
																				<div class="col-sm-6">
																					<input class="form-control input-daterange-datepicker" type="text" id="daily_daterange_input" name="daterange" value="10/01/2022 - 10/31/2022">
																				</div>
																			</div>
																		</div>
																		</form>
																	</div>
																	<div class="row">
																		<div class="col-xl-8 col-md-12">
																			
																		  <!-- Sales Graph -->
																		  <div class="card card-default">
																			<div class="card-header">
																			  <center><h4>Daily Revenue Trends - <span class="daily_header" style="color:blue;"></span></h5></center> 
																			</div>
																			<div class="card-body" style="height:20rem;">
																			  <canvas id="daily_linechart" class="chartjs"></canvas>
																			</div>
																		  </div>

																		</div>

																		<div class="col-xl-4 col-md-12">
																			
																		  <!-- Doughnut Chart -->
																		  <div class="card card-default">
																			<div class="card-header justify-content-center">
																			  <center><h5>Departmental Sales <br><span class="daily_header" style="color:blue;"></span></h5></center>
																			</div>
																			<div class="card-body" style="height:20rem;">
																			  <canvas id="daily_dept_sales_chart" ></canvas>
																			</div>
																		  </div>

																		</div>
																	</div>
																	<!-- Seventh Row  -->
																	<div class="row">
																		<div class="col-xl-8">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header d-flex flex-wrap justify-content-between">
																					<center><h4>Daily Department Sales - <span class="daily_header" style="color:blue;"></span></h4></center>

																					<div class="date-range-report ">
																						<span></span>
																					</div>
																				</div>

																				<div class="card-body" style="height:20rem;">
																					<canvas id="daily_dept_sales_bar_chart" class="chartjs"></canvas>
																				</div>
																			</div>
																		</div>

																		<div class="col-xl-4">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header">
																					<center><h5>Patients Age Groups <br><span class="daily_header" style="color:blue;"></span></h5></center>
																				</div>

																				<div class="card-body" style="height:20rem; position: relative;">
																					<canvas id="daily_age_group_polar_chart" polar-data-height></canvas>
																				</div>
																			</div>
																		</div>
																	</div>
																	
																	<!-- Seventh Row  -->
																	<div class="row">
																		<div class="col-xl-8">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header d-flex flex-wrap justify-content-between">
																					<center><h4>Top Pharmacy Sales - <span class="daily_header" style="color:blue;"></span></h4></center>

																					<div class="date-range-report ">
																						<span></span>
																					</div>
																				</div>

																				<div class="card-body" style="height:20rem;">
																					<canvas id="daily_pharmacy_sales_bar_chart" class="chartjs" style="height:28rem"></canvas>
																				</div>
																			</div>
																		</div>

																		<div class="col-xl-4">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header">
																					<center><h5>Patients Gender <br><span class="daily_header" style="color:blue;"></span></h5></center>
																				</div>

																				<div class="card-body" style="height:20rem; position: relative;">
																					<canvas id="daily_gender_pie_chart" polar-data-height></canvas>
																				</div>
																			</div>
																		</div>
																	</div>
																	
																	<!-- Seventh Row  -->
																	<div class="row">
																		<div class="col-xl-6">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header d-flex flex-wrap justify-content-between">
																					<center><h4>Top Laboratory Sales - <span class="daily_header" style="color:blue;"></span></h4></center>

																					<div class="date-range-report ">
																						<span></span>
																					</div>
																				</div>

																				<div class="card-body" style="height:20rem;">
																					<canvas id="daily_lab_sales_bar_chart" class="chartjs" style="height:28rem"></canvas>
																				</div>
																			</div>
																		</div>

																		<div class="col-xl-6">
																			<div class="card card-default" id="activity-user">
																				<div class="card-header">
																					<center><h4>Top Clinical Services Sales - <span class="daily_header" style="color:blue;"></span></h4></center>
																				</div>

																				<div class="card-body" style="height:20rem; position: relative;">
																					<canvas id="daily_clinical_sales_bar_chart" polar-data-height></canvas>
																				</div>
																			</div>
																		</div>
																	</div>
																	
																	
																</div>
																<center><button type="button" class="btn btn-primary btn-rounded print_patient_report">Print Report</button></center>
															</div>
														</div>
														
														
														
														
														
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src='../assets/js/lib/Chart.min.js'></script>
    <!--<script src='../assets/js/lib/chart.js'></script>-->
	
	<!-- Daterangepicker -->
	<script src="../assets/js/lib/daterangepicker.js"></script>
    <script src="../assets/js/lib/bs-daterange-picker-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/trend_analysis_report.js"></script>
	<script src="js/printarea.js"></script>
	<style>
	.results_modal_body{
		height: 400px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>