<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];
	$staff_id = $_GET['staff_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	
	<!-- Daterange picker -->
    <link href="../assets/css/lib/daterangepicker.css" rel="stylesheet">
	<link href="../assets/css/lib/bootstrap-material-datetimepicker.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
	<div id="staff_id" data-staff-id="<?php echo $staff_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
							<div class="row grid">
								<div class="col-xl-3">
									<div class="grid-col">
										<div class="card mb-3">
											<?php
											$get_user = $objHospital->get_user($staff_id);
											foreach($get_user as $details){
												$date_created = $details['date_created'];
												$date_editted = $details['date_editted'];
												$gender = $details['gender'];
												$phone = $details['phone'];
												$email = $details['email'];
												$first_name = $details['first_name'];
												$last_name = $details['last_name'];
												$image = $details['image'];
												$address = $details['address'];
												
											}
											?>
											<img src="<?php echo $image; ?>" class="img-fluid rounded-circle" alt="">
											<div class="card-body">
												<center>
													<h4 class="card-text">
														<?php echo $first_name.' '.$last_name; ?>
													</h4>
												</center>
												<hr>
												<center>
													<p class="card-text text-dark">Last updated 
													<?php
														if($date_editted == '0000-00-00 00:00:00'){
															echo $date_created;
														}else{
															echo $date_editted;
														}
													?>
													</p>
												</center>
											</div>
										</div>
									</div>
								</div>
								<div class="col-xl-9">
									<div class="grid-col">
										<div class="row">
											<div class="card">
												<div class="card-body">
													<div class="profile-tab">
														<div class="custom-tab-1">
															<ul class="nav nav-tabs">
																<li class="nav-item"><a href="#my-posts" data-toggle="tab" class="nav-link active show">Bio Data</a>
																</li>
																<li class="nav-item"><a href="#about-me" data-toggle="tab" class="nav-link">Patients</a>
																</li>
																<li class="nav-item" id="schedule"><a href="#profile-settings" data-toggle="tab" class="nav-link">Schedule</a>
																</li>
																<li class="nav-item" id="leave"><a href="#leave_request" data-toggle="tab" class="nav-link">Leave Requests</a>
																</li>
															</ul>
															<div class="tab-content">
																<div id="my-posts" class="tab-pane fade active show">
																	<div class="card">
																	<div class="card-body">
																	<div class="profile-personal-info">
																		<h4 class="text-primary mb-4">Personal Information</h4>
																		<div class="row mb-4">
																			<div class="col-3">
																				<h6 style="color:black;">First Name <span class="pull-right">:</span>
																				</h6>
																			</div>
																			<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $first_name;?></span>
																			</div>
																		</div>
																		<div class="row mb-4">
																			<div class="col-3">
																				<h6 style="color:black;">Last Name <span class="pull-right">:</span>
																				</h6>
																			</div>
																			<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $last_name;?></span>
																			</div>
																		</div>
																		<div class="row mb-4">
																			<div class="col-3">
																				<h6 style="color:black;">Gender <span class="pull-right">:</span></h6>
																			</div>
																			<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $gender;?></span>
																			</div>
																		</div>
																		<div class="row mb-4">
																			<div class="col-3">
																				<h6 style="color:black;">Phone Number <span class="pull-right">:</span>
																				</h6>
																			</div>
																			<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $phone;?></span>
																			</div>
																		</div>
																		<div class="row mb-4">
																			<div class="col-3">
																				<h6 style="color:black;">Email <span class="pull-right">:</span></h6>
																			</div>
																			<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $email;?></span>
																			</div>
																		</div>
																		<div class="row mb-4">
																			<div class="col-3">
																				<h6 style="color:black;">Address <span class="pull-right">:</span></h6>
																			</div>
																			<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $address;?></span>
																			</div>
																		</div>
																	</div>
																	<div class="profile-about-me">
																		<div class="pt-4 border-bottom-1 pb-4">
																			<h4 class="text-primary">To The Frontline Health Workers</h4>
																			<p>At the time when the world was scorged by the biggest health threat of the millenium, we witnessed the real life superheroes joining hands to save the world. To every Healthworker, we are indebted to you.</p>
																		</div>
																	</div>
																	</div>
																	</div>
																</div>
																<div id="about-me" class="tab-pane fade">
																	<div class="card">
																	<div class="card-body">
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col">Month/Year</th>
																					<th scope="col"># of Patients Seen</th>
																					<th scope="col"># of Prescriptions</th>
																					<th scope="col"># of admissions </th>
																					<th scope="col"># of Discharges </th>
																				</tr>
																			</thead>
																			<tbody>
																				<tr>
																					<th>1</th>
																					<td>Mark</td>
																					<td>Otto</td>
																					<td>Otto</td>
																					<td>@mdo</td>
																				</tr>
																				
																			</tbody>
																		</table>
																	</div>
																										<div class="profile-about-me">
																		<div class="pt-4 border-bottom-1 pb-4">
																			<h4 class="text-primary">It's always about the patient</h4>
																			<p>As a healthworker, I don't put my personal interests above the patient. I live for the patient, sleep for the patient, eat for the patient. My ultimate goal is put a smile on a patient when their sickness is gone</p>
																		</div>
																	</div>
																	</div>
																	</div>
																</div>
																
																<!---Leave request--->
																<div id="leave_request" class="tab-pane fade">
																	<div class="card" style="width:55rem;">
																		<div class="row">
																			<div class="col-sm-12" style="text-align:right;">
																				<button class="btn btn-rounded btn-primary leave_request_btn" data-toggle="modal" data-target="#leave_request_modal"><i class="fa fa-plus"></i>&nbsp; Request for Leave</button>
																			</div>
																		</div>
																		<div class="card-body">
																			<div class="table-responsive">
																				<table class="table primary-table-bg-hover">
																					<thead>
																						<tr>
																							<th scope="col"><center>Application Date</center></th>
																							<th scope="col"><center>Staff Name</center></th>
																							<th scope="col"><center>Leave Type</center></th>
																							<th scope="col"><center>Start Date</center></th>
																							<th scope="col"><center>End Date</center></th>
																							<th scope="col"><center>Status</center></th>
																						</tr>
																					</thead>
																					<tbody class="advance_table_body">
																						<?php
																							$get_staff_leave_requests = $objHospital->get_staff_leave_requests($staff_id);
																							
																							if(empty($get_staff_leave_requests)){
																								echo'<tr><td colspan="6" style="color:red;">
																									<center>There are no Leave requests yet</center></td></tr>';
																							}else{
																								foreach($get_staff_leave_requests as $requests){
																									$leave_id = $requests['leave_id'];
																									$hospital_id = $requests['hospital_id'];
																									$staff_id = $requests['staff_id'];
																									$leave_type = $requests['leave_type'];
																									$start_date = $requests['start_date'];
																									$end_date = $requests['end_date'];
																									$date_added = $requests['date_added'];
																									$approved = $requests['approved'];
																									
																									$get_user = $objHospital->get_user($staff_id);
																									foreach($get_user_details as $details){
																										$first_name = $details['first_name'];
																										$last_name = $details['last_name'];
																									}
																									echo'
																									<tr>
																										<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
																										<td><center>'.$first_name.' '.$last_name.'</center></td>
																										<td><center>'.$leave_type.'</center></td>
																										<td><center>'.date('d-m-Y',strtotime($start_date)).'</center></td>
																										<td><center>'.date('d-m-Y',strtotime($end_date)).'</center></td>
																										<td><center>';
																										
																											if($approved == 'yes'){
																												echo'<div class="badge badge-success">Approved</div>';
																											}elseif(empty($approved)){
																												echo'<div class="badge badge-warning">Not yet Approved</div>';
																											}else{
																												echo'<div class="badge badge-danger">Rejected</div>';
																											}
																										echo'</center></td>
																									</tr>';
																								}
																							}
																						?>																	
																					</tbody>
																				</table>
																			</div>							
																		</div>
																	</div>
																</div>
																
																<div id="profile-settings" class="tab-pane fade">
																	<div class="pt-3">
																		<div class="settings-form">
																			<div class="row">
																				<div class="col-lg-12">
																					<div class="card">
																						<div class="card-body">
																							<div id="calendar"></div>
																						</div>
																					</div>
																				</div>
																				<!-- Start popup dialog box -->
																				<div class="modal fade" id="event_entry_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																					<div class="modal-dialog modal-md" role="document">
																						<div class="modal-content">
																							<div class="modal-header">
																								<h5 class="modal-title" id="modalLabel">Add New Schedule</h5>
																								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																									<span aria-hidden="true">×</span>
																								</button>
																							</div>
																							<div class="modal-body">
																								<div class="img-container">
																									<div class="row">
																										<div class="col-sm-9">  
																											<div class="form-group">
																											  <label for="event_name">Schedule name</label>
																											  <input type="text" name="schedule_name" id="schedule_name" class="form-control" placeholder="Enter your event name">
																											</div>
																										</div>
																										<div class="col-sm-9">  
																											<div class="form-group">
																											  <label for="event_name">Schedule Color</label>
																											  <select class="form-control" id="schedule_color" name="schedule_color" >
																													<option value="#4f86f7">Blue</option>
																													<option value="#ed2939">Red</option>
																													<option value="#228B22">Green</option>
																													<option value="#dcdcdc">Grey</option>
																												</select>
																											</div>
																										</div>
																									</div>
																									<div class="row">
																										<div class="col-sm-6">  
																											<div class="form-group">
																											  <label for="event_start_date">Event start</label>
																											  <input type="date" name="schedule_start_date" id="event_start_date" class="form-control onlydatepicker" placeholder="Event start date">
																											 </div>
																										</div>
																										<div class="col-sm-6">  
																											<div class="form-group">
																											  <label for="event_end_date">Event end</label>
																											  <input type="date" name="schedule_end_date" id="event_end_date" class="form-control" placeholder="Event end date">
																											</div>
																										</div>
																									</div>
																								</div>
																							</div>
																							<div class="modal-footer">
																								<button type="button" id="save_schedule" class="btn btn-primary">Save Schedule</button>
																							</div>
																						</div>
																					</div>
																				</div>
																				<!-- End popup dialog box -->
																				<!--Delete event modal--->
																				<div class="modal fade none-border event_entry_modal">
																					<div class="modal-dialog">
																						<div class="modal-content">
																							<div class="modal-header">
																								<h4 class="modal-title"><strong>Delete Schedule</strong></h4>
																							</div>
																							<div class="modal-body delete_modal_body"></div>
																						</div>
																					</div>
																				</div>
																				<!--End delete event modal--->
																			</div>
																		</div>
																	</div>
																</div>
																
																<!---Generate payroll modal--->
																<div class="modal fade" id="leave_request_modal" role="dialog" tabindex="-1" aria-labelledby= "modalLabel" aria-hidden="true">
																	<div class="modal-dialog">
																		<div class="modal-content" style="margin-top:-150; width:800px;">
																			<form method="post" id="request_leave_form">
																				<div class="modal-header">
																					<label class="col-sm-6" style="font-size:17px;">Select Period:</label>
																					<div class="col-sm-6">
																						<input class="form-control input-daterange-datepicker" type="text" id="leave_daterange_input" name="request_leave_daterange" value="01/01/2023 - 01/31/2023">
																					</div>
																				</div>
																				<div class="modal-body payroll_modal_body">
																					<div class="row">
																						<div class="col-sm-12">  
																							<div class="form-group">
																							  <label for="event_name">Leave Type</label>
																							  <select class="form-control" name="request_leave_type" >
																									<option>Annual</option>
																									<option>Sick Leave</option>
																									<option>Maternity</option>
																									<option>Paternity</option>
																									<option>Compassionate</option>
																									<option>Unpaid</option>
																								</select>
																							</div>
																						</div>
																					</div>
																				</div>
																				<div class="modal-footer">
																					<input type="hidden" name="request_leave_start_date" id="request_leave_start_date">
																					<input type="hidden" name="request_leave_end_date" id="request_leave_end_date">
																					<input type="hidden" name="request_leave_user_id" value="<?php echo $user_id;?>">
																					<center><button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
																					<button type="submit" class="btn btn-primary request_leave_btn">Send Request</button></center>
																				</div>
																			</form>
																		</div>
																	</div>
																</div>
																
																
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
									</div>
								</div>
							</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->

    <script src="../assets/js/lib/calendar-2/moment.latest.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.calendar.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.init.js"></script>
	
	<!-- Required vendors 
    <script src="../assets/js/lib/global.min.js"></script
    <script src="../assets/js/lib/quixnav-init.js"></script>
    <script src="../assets/js/lib/custom.min.js"></script>-->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<!-- Daterangepicker -->
	<script src="../assets/js/lib/daterangepicker.js"></script>
    <script src="../assets/js/lib/bs-daterange-picker-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/human_resource.js"></script>
    <script src="js/calendar.js"></script>
</body>

</html>
<?php } ?>