<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['brand'])){
	$brand = $_POST['brand'];
	$color = $_POST['color'];
	$model_year = $_POST['model_year'];
	$number_plate = $_POST['number_plate'];
	$ambulance_user_id = $_POST['ambulance_user_id'];
	
	$save_vehicle = $objHospital->save_vehicle($brand,$color,$model_year,$number_plate,$ambulance_user_id);
}
elseif(isset($_POST['dispatch_user_id'])){
	
	$user_id = $_POST['dispatch_user_id'];
	$patient_id = $_POST['dispatch_patient_name'];
	$patient_address= $_POST['dispatch_address'];
	$phone = $_POST['dispatch_phone'];
	$vehicle = $_POST['dispatch_vehicle'];
	
	$dispatch_vehicle = $objHospital->dispatch_vehicle($patient_id,$patient_address,$phone,$vehicle,$user_id);
}
elseif(isset($_POST['view_dispatch_patient_id'])){
	
	$user_id = $_POST['view_dispatch_user_id'];
	$patient_id = $_POST['view_dispatch_patient_id'];
	
	$get_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
	foreach($get_patient as $patient){
		$phone = $patient['phone_number'];
	}
	echo $phone;
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}










?>