<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['department_name'])){
	$department_name = $_POST['department_name'];
	$department_function = $_POST['department_function'];
	$user_id = $_POST['user_id'];
	$reception = $_POST['reception_available'];
		
	$add_department = $objHospital->add_department($user_id,$department_name,$department_function,$reception);
	
}
elseif(isset($_POST['get_departments'])){
	$user_id = $_POST['get_departments'];
	
	$get_departments = $objHospital->get_departments($user_id);
	if(empty($get_departments)){
		echo'<tr><td colspan="6">
			There are no departments added yet</td></tr>';
	}else{
		foreach($get_departments as $department){
			$department_id = $department['department_id'];
			$department_name = $department['department_name'];
			$department_function = $department['department_function'];
			$has_reception = $department['has_reception'];
			
			//Lets cut the number of words 
			if(strlen($department_function)>100){
				$function = substr($department_function,0,100).'...';
			}else{
				$function = $department_function;
			}
			echo'
			<tr>
				<td>'.$department_id.'</td>
				<td colspan="2">'.$department_name.'</td>
				<td>'.$function.'</td>
				<td>'.$has_reception.'</td>
				<td></td>
				<td></td>
				<td>
					<button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button>
					<div class="dropdown-menu dropdown-menu-right" style="width:5rem;">
						<button class="badge badge-secondary dropdown-item details_button" data-department-id="'.$department_id.'" data-toggle="modal" data-target=".view_department">Details</button>
						<button class="badge badge-warning dropdown-item edit_button" data-department-id="'.$department_id.'" data-toggle="modal" data-target=".edit_department">Edit</button>
						<button class="badge badge-danger dropdown-item delete_button" data-department-id="'.$department_id.'"">Delete</button>
					</div>					
				</td>
			</tr>
			
			';
		}
	}
}
elseif(isset($_POST['department_id'])){
	
	$department_id = $_POST['department_id'];
	$get_department = $objHospital->get_department_by_id($department_id);
	foreach($get_department as $department){
		$department_id = $department['department_id'];
		$department_name = $department['department_name'];
		$department_function = $department['department_function'];
		$has_reception = $department['has_reception'];
		
		echo'
		<div class="card">
			<div class="card-body">
				<div class="basic-form">
					<div class="form-row">
						<div class="form-group col-md-12">
							<label><span style="color:blue;">Department Name</span></label>
							<label><b>'.$department_name.'</b></label>
						</div>
						<div class="form-group col-md-12">
							<label><span style="color:blue;">Functions of the department</span></label>
							<label>'.$department_function.'</label>
						</div>
						<div class="form-group col-md-12">
							<label><span style="color:blue;">Has standalone reception</span></label>
							<label>'.$has_reception.'</label>
						</div>
					</div>
				</div>
			</div>
		</div>
		';
	}
		
}
elseif(isset($_POST['edit_department_id'])){
	
	$department_id = $_POST['edit_department_id'];
	$get_department = $objHospital->get_department_by_id($department_id);
	foreach($get_department as $department){
		$department_id = $department['department_id'];
		$department_name = $department['department_name'];
		$department_function = $department['department_function'];
		
		echo'
		<div class="card">
			<div class="card-body">
				<div class="basic-form">
					<div class="form-row">
						<div class="form-group col-md-12">
							<label><span style="color:black;">Department Name</span></label>
							<input type="text" name="edit_department_name" class="form-control" placeholder="'.$department_name.'"/>
						</div>
						<div class="form-group col-md-12">
							<label><span style="color:black;">Functions of the department</span></label>
							<textarea type="text" rows="7" style="height:100%;" name="edit_department_function" class="form-control" placeholder="'.$department_function.'"></textarea>
						</div>
					</div>
					<div class="form-group col-md-12">
						<label style="color:black;">Does the Departent have a standalone Reception where patients go to without going to the main facility reception?</label>
						<div class="form-group row radios">
							<div class="col-sm-3">
							  <div class="form-check">
								<label class="form-check-label">
								  <input type="radio" class="form-check-input" name="edit_has_reception" id="edit_has_reception" value="yes"  />Yes </label>
							  </div>
							</div>
							<div class="col-sm-3">
							  <div class="form-check">
								<label class="form-check-label">
								  <input type="radio" class="form-check-input" name="edit_has_no_reception" id="edit_has_no_reception" value="no" checked /> No </label>
							  </div>
							</div>
						 </div>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<input type="hidden" name="edited_department_id" value="'.$department_id.'">
				<input type="hidden" name="edited_reception" id="edited_reception">
				<button type="submit" class="btn btn-primary">Save changes</button>
				<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
			</div>
		</div>
		
		';
	}
		
}
elseif(isset($_POST['delete_department_id'])){
	$department_id = $_POST['delete_department_id'];
	$delete_department = $objHospital->delete_department($department_id);
	
}
elseif(isset($_POST['edit_department_name'])){
	$department_name = $_POST['edit_department_name'];
	$department_function = $_POST['edit_department_function'];
	$department_id = $_POST['edited_department_id'];
	$reception = $_POST['edited_reception'];
	
	$edit_department = $objHospital->edit_department($department_name,$department_function,$department_id,$reception);
	
}
elseif(isset($_POST['service_name'])){
	$service_name = $_POST['service_name'];
	$service_description = $_POST['service_description'];
	$sevice_cost = $_POST['sevice_cost'];
	$user_id = $_POST['service_user_id'];
	$department = $_POST['service_department_name'];
	
	$add_service = $objHospital->add_service($service_name,$service_description,$sevice_cost,$user_id,$department);
	
}
elseif(isset($_POST['view_service_id'])){
	$service_id = $_POST['view_service_id'];
	$hospital_id = $_POST['view_service_hospital_id'];
	
	$get_service_by_id = $objHospital->get_service_by_id($service_id,$hospital_id);
	foreach($get_service_by_id as $service){
		$service_id  = $service['service_id'];
		$hospital_id = $service['hospital_id'];
		$department_name = $service['department_name'];
		$service_name = $service['service_name'];
		$description = $service['description'];
		$cost = $service['cost'];
		
		echo'
		<div class="row">
			<div class="col-md-12">
			  <div class="form-group row">
				<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Service Name:</label>
				<div class="col-sm-9">
				  <label class="col-sm-3 col-form-label" style="color:blue; font-size:16px;">'.$service_name.'</label>
				</div>
			  </div>
			</div>
			<div class="col-md-12">
			  <div class="form-group row">
				<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
				<div class="col-sm-9">
				  <label class="col-sm-3 col-form-label" style="color:blue; font-size:16px;">'.$description.'</label>
				</div>
			  </div>
			</div>
			<div class="col-md-12">
			  <div class="form-group row">
				<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Cost:</label>
				<div class="col-sm-9">
				  <label class="col-sm-3 col-form-label" style="color:blue; font-size:16px;">'.$cost.'</label>
				</div>
			  </div>
			</div>
		</div>
		';
	}
	
}
elseif(isset($_POST['edit_service_id'])){
	$service_id = $_POST['edit_service_id'];
	$hospital_id = $_POST['edit_service_hospital_id'];
	$user_id = $_POST['edit_service_user_id'];
	
	$get_service_by_id = $objHospital->get_service_by_id($service_id,$hospital_id);
	foreach($get_service_by_id as $service){
		$service_id  = $service['service_id'];
		$hospital_id = $service['hospital_id'];
		$department_name = $service['department_name'];
		$service_name = $service['service_name'];
		$description = $service['description'];
		$cost = $service['cost'];
		
		echo'
		<div class="row">
			<form method="post" class="form-sample" id="edit_service_form">
			  <div class="row">
				<div class="col-md-12">
				  <div class="form-group row">
					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Service Name:</label>
					<div class="col-sm-9">
					  <input name="service_name_edit" type="text" class="form-control" placeholder="'.$service_name.'"/>
					</div>
				  </div>
				</div>
				<div class="col-md-12">
				  <div class="form-group row">
					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
					<div class="col-sm-9">
					  <textarea name="service_description_edit" type="text" rows="2" style="height:100%;" class="form-control" placeholder="'.$description.'"></textarea>
					</div>
				  </div>
				</div>
				<div class="col-md-12">
				  <div class="form-group row">
					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Cost:</label>
					<div class="col-sm-9">
					  <input name="sevice_cost_edit" type="text" class="form-control" placeholder="'.$cost.'"/>
					</div>
				  </div>
				</div>
			  </div>
			  
			  <div class="row">
				<div class="col-md-12">
					<div class="d-flex justify-content-center">
						<input type="hidden" name="service_user_id_edit" value="'.$user_id.'">
						<input type="hidden" name="service_hospital_id_edit" value="'.$hospital_id.'">
						<input type="hidden" name="service_id_edit" value="'.$service_id.'">
						<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Changes</span></button>
					</div>
				</div>
			  </div>
			</form>
		<!-- partial -->
		</div>
		';
	}
}
elseif(isset($_POST['service_name_edit'])){
	$service_name = $_POST['service_name_edit'];
	$service_description = $_POST['service_description_edit'];
	$sevice_cost = $_POST['sevice_cost_edit'];
	$user_id = $_POST['service_user_id_edit'];
	$hospital_id = $_POST['service_hospital_id_edit'];
	$service_id = $_POST['service_id_edit'];
	
	$edit_service = $objHospital->edit_service($service_name,$service_description,$sevice_cost,$user_id,$hospital_id,$service_id);
	
}
elseif(isset($_POST['delete_service_id'])){
	$service_id = $_POST['delete_service_id'];
	$hospital_id = $_POST['delete_service_hospital_id'];
	
	$delete_service = $objHospital->delete_service($service_id,$hospital_id);
}
elseif(isset($_POST['report_details'])){
	$report = $_POST['report_details'];
	$consumables = implode(',',$_POST['report_consumables']);
	$user_id = $_POST['report_user_id'];
	$patient_id = $_POST['report_patient_id'];
	$hospital_id = $_POST['report_hospital_id'];
	$service_id = $_POST['report_service_id'];
	$service_name = $_POST['report_service_name'];
	$service_cost = $_POST['report_service_cost'];
	$visit_id = $_POST['report_visit_id'];
	$visit_date = $_POST['report_visit_date'];
	$department_name = $_POST['report_department_name'];
	
	$save_report = $objHospital->save_service_report($report,$consumables,$user_id,$patient_id,$hospital_id,$service_id,$service_name,$service_cost,$visit_id,$visit_date,$department_name);
}
elseif(isset($_POST['view_report_patient_id'])){
	$patient_id = $_POST['view_report_patient_id'];
	$service_id = $_POST['view_report_service_id'];
	$hospital_id = $_POST['view_report_hospital_id'];
	$service_name = $_POST['view_report_service_name'];
	$visit_id = $_POST['view_report_visit_id'];
	
	$get_reports = $objHospital->get_reports($patient_id,$service_id,$hospital_id,$service_name,$visit_id);
	if(empty($get_reports)){
		echo'There are no reports recorded yet';
	}else{
		foreach($get_reports as $report){
			$report_date = $report['added_date'];
			$service_name = $report['service_name'];
			$report = $report['report'];
			//$added_by = $report['added_by'];
			
			echo'
			  <div class="row">
				<div class="col-sm-12">
				  <label class="col-form-label" style="color:black; font-size:16px;"><b>Report Date:</b> <span style="color:blue;">'.date('d-m-Y',strtotime($report_date)).'</span></label>
				</div>
				<div class="col-sm-12">
				  <label class="col-form-label" style="color:black; font-size:16px;"><b>Service Provided:</b> <span style="color:blue;">'.$service_name.'</span></label>
				</div>
				<div class="col-sm-12">
				  <label class="col-form-label" style="color:black; font-size:16px;"><b>Report Details:</b></label>
				  <label class="col-form-label text-wrap" style="color:black; font-size:16px; width:100%;"><span style="color:blue;">'.$report.'</span></label>
				</div>
			  </div><hr>
			';
		}
	}
	
}
elseif(isset($_POST['getRequestProductUserId'])){
	$user_id = $_POST['getRequestProductUserId'];
	$get_products = $objHospital->get_store_products_by_user_id($user_id);
	if(empty($get_products)){
		echo'<option>No Products added yet</option>';
	}else{
		foreach($get_products as $products){
			$product_id = $products['store_product_id'];
			$product_name = $products['product_name'];
			echo'<option value="'.$product_id.'">'.$product_name.'</option>';
		}
	}
}
elseif(isset($_POST['order_store_product_name'])){
	$product_id = implode(',',$_POST['order_store_product_name']);
	$quantity = implode(',',$_POST['order_store_quantity']);
	$dept = $_POST['order_store_dept'];
	$user_id = $_POST['order_store_user_id'];
	
	$place_order = $objHospital->place_order($product_id,$quantity,$dept,$user_id);
	
}
elseif(isset($_POST['confirmReceiptUserId'])){
	$hospital_id = $_POST['confirmReceiptHospitalId'];
	$order_id = $_POST['confirmReceiptOrderId'];
	$user_id = $_POST['confirmReceiptUserId'];
	$product_id = $_POST['confirmReceiptProductId'];
	$qty_issued = $_POST['confirmReceiptQuantityIssued'];
	$dpt_name = $_POST['confirmReceiptDeptName'];
	$product_name = $_POST['confirmReceiptProductName'];
	
	$confirm_receipt = $objHospital->confirm_receipt($hospital_id,$order_id,$user_id,$product_id,$qty_issued,$dpt_name,$product_name);
	
}
elseif(isset($_POST['getPhysicalCountProductUserId'])){
	$user_id = $_POST['getPhysicalCountProductUserId'];
	$dpt_name = $_POST['getPhysicalCountDeptName'];
	
	$get_products = $objHospital->get_dept_stock($user_id,$dpt_name);
	if(empty($get_products)){
		echo'<option value="none">No Products added yet</option>';
	}else{
		foreach($get_products as $products){
			$product_id = $products['dept_stock_id'];
			$product_name = $products['product_name'];
			$hospital_id = $products['hospital_id'];
			echo'<option value="'.$product_id.'">'.$product_name.'</option>';
		}
	}	
}
elseif(isset($_POST['physical_count_product_name'])){
	$product_id = implode(',',$_POST['physical_count_product_name']);
	$quantity = implode(',',$_POST['physical_count_quantity']);
	$dept = $_POST['physical_count_dept'];
	$user_id = $_POST['physical_count_user_id'];
	
	$physical_count = $objHospital->physical_count($product_id,$quantity,$dept,$user_id);
	
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}


?>