<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['group_name'])){
	$group_name = $_POST['group_name'];
	$group_type = $_POST['group_type'];
	$principle_member_id = $_POST['principle_member'];
	$user_id = $_POST['group_user_id'];
	
	$save_group = $objHospital->save_group($group_name,$group_type,$principle_member_id,$user_id);
}
elseif(isset($_POST['details_group_id'])){
	$group_id = $_POST['details_group_id'];
	$hospital_id = $_POST['details_group_hospital_id'];
	$user_id = $_POST['details_group_user_id'];
	
	$get_group = $objHospital->get_group_by_id($group_id,$user_id);
	foreach($get_group as $group){
		$group_id = $group['group_id']; 
		$group_name = $group['group_name'];
		$group_type = $group['group_type'];
		$address = $group['address'];
		$phone = $group['phone'];
		$email = $group['email'];
		$principle_member = $group['principle_member'];
		$principle_member_id = $group['principle_member_id'];
		$date_added = $group['date_added'];
	}
	echo'<div class="table-responsive">
	<table class="table">
		<thead>
			<tr>
				<td scope="col" style="line-height:0.7rem;"><center><b>Group ID</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Group Name</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Group Type</b></center></td>
				<td scope="col" style="line-height:0.7rem;" colspan="2"><center><b>Created On</b></center></td>
			</tr>
			<tr>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$group_id.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$group_name.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$group_type.'</center></td>
				<td scope="col" colspan="2" style="color:blue; line-height:0.7rem;"><center>'.date('d-M-Y',strtotime($date_added)).'</center></td>
			</tr>
			<tr>
				<td scope="col" style="line-height:0.7rem;"><center><b>Principle Member</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Address</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Phone Number</b></center></td>
				<td scope="col" style="line-height:0.7rem;" colspan="2"><center><b>Email</b></center></td>
			</tr>
			<tr>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$principle_member.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$address.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$phone.'</center></td>
				<td scope="col" colspan="2" style="color:blue; line-height:0.7rem;"><center>'.$email.'</center></td>
			</tr>
		</thead>
		<tbody>
		<tr><td colspan="5" style="color:white; background-color:#343957; border-radius:5px; font-weight:bold; line-height:0.7rem;"><center>Members</center></td></tr>
		<tr>
			<td scope="col" style="line-height:0.7rem;"><center><b>Patient ID</b></center></td>
			<td scope="col" style="line-height:0.7rem;"><center><b>Member Name</b></center></td>
			<td scope="col" style="line-height:0.7rem;"><center><b>Age</b></center></td>
			<td scope="col" style="line-height:0.7rem;"><center><b>Gender</b></center></td>
			<td scope="col" style="line-height:0.7rem;"><center><b>Remove</b></center></td>
		</tr>';
		$get_group_members = $objHospital->get_group_members($group_id,$user_id);
		foreach($get_group_members as $member){
			$patient_group_member_id = $member['patient_group_member_id']; 
			$principle_member_id = $member['principle_member_id']; 
			$member_id = $member['member_id'];
			$first_name = $member['first_name'];
			$last_name = $member['last_name'];
			$age = $member['age'];
			$gender = $member['gender'];
			
			echo'
			<tr>
				<td style="line-height:0.7rem;"><center>'.$member_id.'</center></td>
				<td style="line-height:0.7rem;"><center>'.$first_name.' '.$last_name.'</center></td>
				<td style="line-height:0.7rem;"><center>'.$age.'</center></td>
				<td style="line-height:0.7rem;"><center>'.$gender.'</center></td>';
				if( $principle_member_id == $member_id){
					echo'<td style="color:blue; line-height:0.7rem;"><center>Principle Member</center></td>';
				}else{
					echo'<td style="line-height:0.7rem;"><center><button class="btn btn-danger btn-sm delete_group_member_btn" data-group-id="'.$group_id.'" data-member-id="'.$member_id.'" data-hospital-id="'.$hospital_id.'"><i class="fa fa-trash" data-toggle="tooltip" data-placement="top" title="Remove Member"></i></button></center></td>';
				}
			echo'</tr>';
		}
		echo'
		</tbody>
	</table>';
}
elseif(isset($_POST['invoice_group_id'])){
	$group_id = $_POST['invoice_group_id'];
	$hospital_id = $_POST['invoice_group_hospital_id'];
	$user_id = $_POST['invoice_group_user_id'];
	
	$get_group = $objHospital->get_group_by_id($group_id,$user_id);
	foreach($get_group as $group){
		$group_id = $group['group_id']; 
		$group_name = $group['group_name'];
		$group_type = $group['group_type'];
		$address = $group['address'];
		$phone = $group['phone'];
		$email = $group['email'];
		$principle_member = $group['principle_member'];
		$principle_member_id = $group['principle_member_id'];
		$date_added = $group['date_added'];
	}
	echo'<div class="row d-flex justify-content-between">
	<div class="col-md-8" style="border:solid 0.5px; border-radius:5px; margin-left:-5px; overflow-x:auto; height:28rem;">
	<div class="table-responsive">
	<table class="table">
		<thead>
			<tr>
				<td scope="col" style="line-height:0.7rem;"><center><b>Group ID</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Group Name</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Group Type</b></center></td>
				<td scope="col" style="line-height:0.7rem;" colspan="2"><center><b>Created On</b></center></td>
			</tr>
			<tr>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$group_id.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$group_name.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$group_type.'</center></td>
				<td scope="col" colspan="2" style="color:blue; line-height:0.7rem;"><center>'.date('d-M-Y',strtotime($date_added)).'</center></td>
			</tr>
			<tr>
				<td scope="col" style="line-height:0.7rem;"><center><b>Principle Member</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Address</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Phone Number</b></center></td>
				<td scope="col" style="line-height:0.7rem;" colspan="2"><center><b>Email</b></center></td>
			</tr>
			<tr>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$principle_member.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$address.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$phone.'</center></td>
				<td scope="col" colspan="2" style="color:blue; line-height:0.7rem;"><center>'.$email.'</center></td>
			</tr>
		</thead>
	</table>
	<table class="table table-borderless">
		<thead>
			<tr><td colspan="6" style="color:white; background-color:#343957; border-radius:5px; font-weight:bold; line-height:0.7rem;"><center>Services Offered</center></td></tr>
			<tr>
				<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Bill ID</b></center></td>
				<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Date of Service</b></center></td>
				<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Member Name</b></center></td>
				<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Service Offered</b></center></td>
				<td scope="col" style="line-height:0.7rem; color:black; float:right;"><b>Amount</b></td>
				<!--<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Pay Status</b></center></td>-->
			</tr>
		</thead>
		<tbody>';
		$total_bill = 0;
		$get_group_members = $objHospital->get_group_members($group_id,$user_id);
		foreach($get_group_members as $member){ 
			$member_id = $member['member_id'];
			$first_name = $member['first_name'];
			$last_name = $member['last_name'];
			
			//Get patient details
			//Get patients name
			$get_patient = $objHospital->get_patient_by_id($member_id,$user_id);
			foreach($get_patient as $patient){
				$patient_first_name = $patient['first_name'];
				$patient_last_name = $patient['last_name'];
				$full_name = $patient_first_name.' '.$patient_last_name;
			}
			
			//Get each members bills
			$get_member_bills = $objHospital->get_all_groups_patient_bills($member_id,$user_id);
			if(empty($get_member_bills)){
				//Do nothing
			}else{
				foreach($get_member_bills as $bill){
					$bill_id = $bill['bill_id'];
					$visit_id = $bill['visit_id'];
					$visit_date = $bill['visit_date'];
					$request_name = $bill['request_name'];
					$request_cost = $bill['request_cost'];
					$paid = $bill['paid'];
					
					$total_bill += intval($request_cost);
					echo'
					<tr>
						<td style="line-height:0.7rem;"><center>'.$bill_id.'</center></td>
						<td style="line-height:0.7rem;"><center>'.date('d-M-Y',strtotime($visit_date)).'</center></td>
						<td style="line-height:0.7rem;"><center>'.$full_name.'</center></td>
						<td style="line-height:0.7rem;"><center>'.$request_name.'</center></td>
						<td style="line-height:0.7rem;">'.number_format($request_cost,0,0,',').'</td>';
					echo'</tr>';
				}
			}
		}
		
		$get_member_bills = $objHospital->get_all_groups_patient_bills($member_id,$user_id);
		if(empty($get_member_bills)){
			$balance = 0;
		}else{
			$total_paid = $objHospital->get_statement_group_payments($group_id,$user_id);
																								
			$balance = $total_bill - intval($total_paid);
			
			echo'
			<tr>
				<td style="line-height:0.7rem; color:blue;"><center><b>Total Bill</b></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem; color:blue;"><b>'.number_format($total_bill,0,0,',').'</b></td>
				<!--<td style="color:blue; line-height:0.7rem;"><center></center></td>-->
			</tr>
			<tr>
				<td style="line-height:0.7rem; color:green;"><center><b>Total Paid</b></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem; color:green; float:left;"><b>'.number_format(intval($total_paid),0,0,',').'</b></td>
				<!--<td style="color:blue; line-height:0.7rem;"><center></center></td>-->
			</tr>
			<tr>
				<td style="line-height:0.7rem; color:red;"><center><b>Balance</b></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem; color:red;"><b>'.number_format($balance,0,0,',').'</b></td>
				<!--<td style="color:blue; line-height:0.7rem;"><center></center></td>-->
			</tr>';
		}
		echo'</tbody>
	</table>
	</div>
	</div>';
	$get_member_bills = $objHospital->get_all_groups_patient_bills($member_id,$user_id);
	if(empty($get_member_bills)){
		$balance = 0;
	}else{
		$total_paid = $objHospital->get_statement_group_payments($group_id,$user_id);
																							
		$balance = $total_bill - intval($total_paid);
	}
	echo'<div class="col-md-4" style="border:solid 0.5px; border-radius:5px; margin-left:5px; height:28rem;"	>
		<form method="post" id="make_group_payment_form">
		<div class="card">
		  <div class="row">
			<div class="col-md-12">
			  <div class="form-group row">
				<label class="col-sm-6 col-form-label" style="color:black; font-size:20px;"><b><i>Balance: </i></b></label>
				<div class="col-sm-6" style="color:blue; font-size:20px;"><b><i>'.number_format(floatval($balance),0,0,',').' Ugx</i></b></div>
			  </div>
			</div>
			<div class="col-md-12">
			  <div class="form-group row">
				<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;"><b>Deposit Amount: </b></label>
				<div class="col-sm-6">
				  <input name="pay_group_amount" type="text" class="form-control" placeholder="No commas, symbols or letters" style="border: 1px solid grey; border-radius:5px;">
				</div>
			  </div>
			  <div class="row">
				<div class="col-md-12">
					<center><button class="btn btn-lg btn-success">Submit Payment</button></center>
				</div>
			  </div>
			</div>
			<input type="hidden" name="pay_group_user_id" value="'.$user_id.'">
			<input type="hidden" name="pay_group_hospital_id" value="'.$hospital_id.'">
			<input type="hidden" name="pay_group_id" value="'.$group_id.'">
			<input type="hidden" name="pay_group_balance" value="'.$total_bill.'">
		 </div>
		</div>
		</form>
	</div>
		
	</div>
	</div>';
}
elseif(isset($_POST['pay_group_id'])){
	$group_id = $_POST['pay_group_id'];
	$hospital_id = $_POST['pay_group_hospital_id'];
	$user_id = $_POST['pay_group_user_id'];
	$amount_due = $_POST['pay_group_balance'];
	$paid_amount = $_POST['pay_group_amount'];
	
	//Get last invoice number
	$get_last_invoice = $objHospital->get_last_group_invoice($hospital_id);
	if(empty($get_last_invoice)){
		$invoice_no = 00001;
		$invoice_date = date('m-d-Y');
	}else{
		//Check if there is a patient's invoice for this visit
		$get_group_invoice = $objHospital->get_group_invoice($group_id,$hospital_id);
		if(empty($get_group_invoice)){
			foreach($get_last_invoice as $invoice){
				$invoice = $invoice['invoice_no'];
				$invoice_no = intval($invoice) + 1;
				$invoice_date = date('m-d-Y');
			}
		}else{
			foreach($get_group_invoice as $invoice){
				$invoice_no = $invoice['invoice_no'];
				$invoice_date = $invoice['date_added'];
			}
		}
	}
	
	$pay_group_bill = $objHospital->pay_group_bill($group_id,$invoice_no,$amount_due,$paid_amount,$hospital_id,$user_id);
}
elseif(isset($_POST['delete_member_group_id'])){
	$group_id = $_POST['delete_member_group_id'];
	$member_id = $_POST['delete_member_id'];
	$hospital_id = $_POST['delete_member_hospital_id'];
	$user_id = $_POST['delete_member_user_id'];
	
	$delete_group_member = $objHospital->delete_group_member($group_id,$member_id,$hospital_id,$user_id);
}
elseif(isset($_POST['member_group_id'])){
	$group_id = $_POST['member_group_id'];
	$hospital_id = $_POST['member_hospital_id'];
	$user_id = $_POST['member_user_id'];
	$patient_id = $_POST['member_patient_id'];
	
	if($patient_id=='There are no patients added yet'){
		echo'Please select a patient';
	}else{
		$assign_group = $objHospital->assign_group($group_id,$hospital_id,$user_id,$patient_id);
	}
	
}
elseif(isset($_POST['statement_start_date'])){
	$start_date = $_POST['statement_start_date'];
	$end_date = $_POST['statement_end_date'];
	$group_id = $_POST['statement_group_id'];
	$user_id = $_POST['statement_user_id'];
	
	$get_group = $objHospital->get_group_by_id($group_id,$user_id);
	foreach($get_group as $group){
		$group_id = $group['group_id']; 
		$group_name = $group['group_name'];
		$group_type = $group['group_type'];
		$address = $group['address'];
		$phone = $group['phone'];
		$email = $group['email'];
		$principle_member = $group['principle_member'];
		$principle_member_id = $group['principle_member_id'];
		$date_added = $group['date_added'];
	}
	echo'<div class="table-responsive">
	<table class="table">
		<thead>
			<tr>
				<td scope="col" style="line-height:0.7rem;"><center><b>Group ID</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Group Name</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Group Type</b></center></td>
				<td scope="col" style="line-height:0.7rem;" colspan="2"><center><b>Created On</b></center></td>
			</tr>
			<tr>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$group_id.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$group_name.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$group_type.'</center></td>
				<td scope="col" colspan="2" style="color:blue; line-height:0.7rem;"><center>'.date('d-M-Y',strtotime($date_added)).'</center></td>
			</tr>
			<tr>
				<td scope="col" style="line-height:0.7rem;"><center><b>Principle Member</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Address</b></center></td>
				<td scope="col" style="line-height:0.7rem;"><center><b>Phone Number</b></center></td>
				<td scope="col" style="line-height:0.7rem;" colspan="2"><center><b>Email</b></center></td>
			</tr>
			<tr>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$principle_member.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$address.'</center></td>
				<td scope="col" style="color:blue; line-height:0.7rem;"><center>'.$phone.'</center></td>
				<td scope="col" colspan="2" style="color:blue; line-height:0.7rem;"><center>'.$email.'</center></td>
			</tr>
		</thead>
	</table>
	<table class="table table-borderless">
		<thead>
			<tr><td colspan="6" style="color:white; background-color:#343957; border-radius:5px; font-weight:bold; line-height:0.7rem;"><center>Bills</center></td></tr>
			<tr>
				<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Bill ID</b></center></td>
				<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Date of Service</b></center></td>
				<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Member Name</b></center></td>
				<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Service Offered</b></center></td>
				<td scope="col" style="line-height:0.7rem; color:black; float:right;"><b>Amount</b></td>
				<!--<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Pay Status</b></center></td>-->
			</tr>
		</thead>
		<tbody>';
		
		$counter = 0;
		$total_bill = 0;
		$get_group_members = $objHospital->get_group_members($group_id,$user_id);
		foreach($get_group_members as $member){ 
			$member_id = $member['member_id'];
			$first_name = $member['first_name'];
			$last_name = $member['last_name'];
			
			$counter++;
			
			//Get patients name
			$get_patient = $objHospital->get_patient_by_id($member_id,$user_id);
			foreach($get_patient as $patient){
				$patient_first_name = $patient['first_name'];
				$patient_last_name = $patient['last_name'];
				$full_name = $patient_first_name.' '.$patient_last_name;
			}
			
			//Get each members bills
			$get_member_bills = $objHospital->get_group_statement_visit_bills($member_id,$user_id,$start_date,$end_date);
			if(empty($get_member_bills)){
				if($counter <= 1){
					echo'<tr><td colspan="5" style="line-height:0.7rem; color:red;"><center>There are no bills to display yet</center></td>';
				}else{
					//Do nothing
				}
			}else{
				foreach($get_member_bills as $bill){
					$bill_id = $bill['bill_id'];
					$visit_id = $bill['visit_id'];
					$visit_date = $bill['visit_date'];
					$request_name = $bill['request_name'];
					$request_cost = $bill['request_cost'];
					$paid = $bill['paid'];
					
					$total_bill += intval($request_cost);
					echo'
					<tr>
						<td style="line-height:0.7rem;"><center>'.$bill_id.'</center></td>
						<td style="line-height:0.7rem;"><center>'.date('d-M-Y',strtotime($visit_date)).'</center></td>
						<td style="line-height:0.7rem;"><center>'.$full_name.'</center></td>
						<td style="line-height:0.7rem;"><center>'.$request_name.'</center></td>
						<td style="line-height:0.7rem;">'.number_format($request_cost,0,0,',').'</td>';
					echo'</tr>';
				}
			}
		}													
		
		echo'
		<tr>
			<td style="line-height:0.7rem; color:blue;"><center><b>Total Bill</b></center></td>
			<td style="line-height:0.7rem;"><center></center></td>
			<td style="line-height:0.7rem;"><center></center></td>
			<td style="line-height:0.7rem;"><center></center></td>
			<td style="line-height:0.7rem; color:blue;"><b>'.number_format($total_bill,0,0,',').'</b></td>
			<!--<td style="color:blue; line-height:0.7rem;"><center></center></td>-->
		</tr>
		<tr><td colspan="6" style="color:white; background-color:#343957; border-radius:5px; font-weight:bold; line-height:0.7rem;"><center>Payments</center></td></tr>
		<tr>
			<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Payment Date</b></center></td>
			<td scope="col" style="line-height:0.7rem; color:black;"><center><b></b></center></td>
			<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Bal B/F</b></center></td>
			<td scope="col" style="line-height:0.7rem; color:black;"><center><b>Paid Amount</b></center></td>
			<td scope="col" style="line-height:0.7rem; color:black; float:right;"><b>Balance</b></td>
			<!--<td scope="col" style="line-height:0.7rem; color:black;"><center><b></b></center></td>-->
		</tr>';
		//Calculate the balance brought forward
		$get_group_members = $objHospital->get_group_members($group_id,$user_id);
		$total_bill_bf = 0;
		foreach($get_group_members as $member){ 
			$member_id = $member['member_id'];
			$first_name = $member['first_name'];
			$last_name = $member['last_name'];
			
			//Get the total of all bills before the start date
			$get_group_bills_before_start_date = $objHospital->get_group_bills_before_start_date($member_id,$user_id,$start_date);
			
			$total_bill_bf += intval($get_group_bills_before_start_date);
		}
		
		//Get the total of all the payments before the start date
		$payments_before_start_date = $objHospital->get_group_payments_before_start_date($group_id,$user_id,$start_date);
		if(empty($payments_before_start_date)){
			$total_payment_bf = 0;
		}else{
			$total_payment_bf = $payments_before_start_date;
		}
		
		$bal_bf = intval($total_bill_bf) - intval($total_payment_bf);
		$overall_balance = intval($bal_bf) + intval($total_bill);
		
		echo'<tr>
			<td scope="col" style="line-height:0.7rem; color:black;"><center>Bal B/F</center></td>
			<td scope="col" style="line-height:0.7rem; color:black;"><center><b></b></center></td>
			<td scope="col" style="line-height:0.7rem; color:black;"><center><b>'.number_format($bal_bf,0,0,',').'</b></center></td>
			<td scope="col" style="line-height:0.7rem; color:black;"><center><b></b></center></td>
			<td scope="col" style="line-height:0.7rem; color:black; float:right;"><b>'.number_format($overall_balance,0,0,',').'</b></td>
			<!--<td scope="col" style="line-height:0.7rem; color:black;"><center><b></b></center></td>-->
		</tr>';
		//Get each members bills
		$get_group_payments = $objHospital->get_periodic_statement_group_payments($group_id,$user_id,$start_date,$end_date);
		if(empty($get_group_payments)){
			echo'<tr><td colspan="5" style="line-height:0.7rem; color:red;"><center>There are no payments made yet</center></td>';
		}else{
			$total_paid = 0;
			foreach($get_group_payments as $bill){
				$payment_id = $bill['payment_id'];
				$amount_paid = $bill['amount_paid'];
				$balance = $bill['balance'];
				$date_added = $bill['date_added'];
				
				$total_paid += intval($amount_paid);
				
				$balance = intval($overall_balance) - intval($total_paid);
				echo'
				<tr>
					<td style="line-height:0.7rem;"><center>'.date('d-M-Y',strtotime($date_added)).'</center></td>
					<td style="line-height:0.7rem;"><center></center></td>
					<td style="line-height:0.7rem;"><center></center></td>
					<td style="line-height:0.7rem;"><center>'.number_format($amount_paid,0,0,',').'</center></td>
					<td style="line-height:0.7rem;">'.number_format($balance,0,0,',').'</td>';
				echo'</tr>';
			}
		}
		$get_group_payments = $objHospital->get_periodic_statement_group_payments($group_id,$user_id,$start_date,$end_date);
		if(empty($get_group_payments)){
			//Do nothing
		}else{
			
			$total_balance = (intval($total_bill) - intval($total_paid)) + $bal_bf;
			echo'<tr>
				<td style="line-height:0.7rem; color:green;"><center><b>Total Paid</b></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem; color:green;"><center><b>'.number_format($total_paid,0,0,',').'</b></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<!--<td style="color:blue; line-height:0.7rem;"><center></center></td>-->
			</tr>
			<tr>
				<td style="line-height:0.7rem;"><center><b>';
				if($total_balance < 0){
					echo'<span style="color:blue;">Total owed to client</span>';
				}else{
					echo'<span style="color:red;">Total Due</span>';
				}
				
				echo'</b></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem;"><center></center></td>
				<td style="line-height:0.7rem; color:red;"><b>';
				if($total_balance < 0){
					echo'<span style="color:blue;">'.number_format($total_balance,0,0,',').'</span>';
				}else{
					echo'<span style="color:red;">'.number_format($total_balance,0,0,',').'</span>';
				}
				
				echo'</b></td>
				<!--<td style="color:blue; line-height:0.7rem;"><center></center></td>-->
			</tr>';
		}
		echo'</tbody>
	</table>
	</div>';
	
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			$department = $notification['department'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">'.$department.'</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}










?>