<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['sample_hospital_id'])){
	$sample_hospital_id = $_POST['sample_hospital_id'];
	$sample_added_by = $_POST['sample_added_by'];
	$sample_patientid = $_POST['sample_patientid'];
	$sample_types = $_POST['sample_types'];
	$sample_no = $_POST['sample_no'];
	
	$save_sample = $objHospital->save_sample($sample_hospital_id,$sample_added_by,$sample_patientid,$sample_types,$sample_no);
}
elseif(isset($_POST['get_sample_user_id'])){
	$user_id = $_POST['get_sample_user_id'];
	
	$get_collected_sample = $objHospital->get_collected_sample($user_id);
	
	if(empty($get_collected_sample)){
		echo'<tr><td colspan="6" style="color:green;"><center>There are no samples collected yet yet</center></td></tr>';
	}else{
		foreach($get_collected_sample as $sample){
			$sample_no = $sample['sample_no'];
			$patient_id = $sample['patient_id'];
			$date_collected = date('d-m-Y',strtotime($sample['date_collected']));
			$test_name = $sample['test_name'];
			$hospital_id = $sample['hospital_id'];
			
			//Get Patient ID from sample No
			$sample_ext = explode('-',$sample_no);
			$first_sample_no_part = $sample_ext[0];
			
			$get_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
			
			foreach($get_patient as $patient){
				if(empty($patient['first_name'])){
					$first_name = '';
				}else{
					$first_name = $patient['first_name'];
				}
				
				if(empty($patient['last_name'])){
					$last_name = '';
				}else{
					$last_name = $patient['last_name'];
				}
				
				if(empty($patient['age'])){
					$age = '';
				}else{
					$age = $patient['age'];
				}
			
			echo'
			<tr><td><center>'.$sample_no.'</center></td>
				<td><center>'.$first_sample_no_part.'</center></td>
				<td><center>'.$first_name.' '.$last_name.'</center></td>
				<td><center>'.$age.'</center></td>
				<td><center>'.$date_collected.'</center></td>
				<td><center>'.$test_name.'</center></td>
				<td>
					<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
					<div class="dropdown-menu dropdown-menu-right">
						<button class="badge badge-warning dropdown-item edit_sample_button" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#edit_sample_modal">Edit Sample</button>
						<button class="badge badge-dark dropdown-item receive_sample_button" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#receive_sample_modal">View Sample</button>
					</div>					
				</td>
			</tr>
			';
			}
		}
		
	}
}
elseif(isset($_POST['edit_sample_types'])){
	$sample_types = $_POST['edit_sample_types'];
	$sample_no = $_POST['edit_sample_no'];
	$edited_by = $_POST['sample_edited_by'];
	$old_sample_no = $_POST['old_sample_no'];
	
		
	
	$edit_sample = $objHospital->edit_sample($sample_types,$sample_no,$edited_by,$old_sample_no);
}
elseif(isset($_POST['received_sample_no'])){
	
	$received_by = $_POST['received_by'];
	$received_sample_no = $_POST['received_sample_no'];
	$reasons_for_rejection = $_POST['reasons_for_rejection'];
	
	if(isset($_POST['reject_sample'])){
		$acceptance = 'no';
	}elseif(isset($_POST['accept_sample'])){
		$acceptance = 'yes';
	}
	
	$receive_sample = $objHospital->receive_sample($acceptance,$reasons_for_rejection,$received_by,$received_sample_no);
}
elseif(isset($_POST['get_received_sample_user_id'])){
	
	$user_id = $_POST['get_received_sample_user_id'];
	
	$get_received_sample = $objHospital->get_received_samples($user_id);
	if(empty($get_received_sample)){
		echo'<tr><td colspan="6" style="color:green;"><center>There are no samples collected yet yet</center></td></tr>';
	}else{
		foreach($get_received_sample as $sample){
			$sample_no = $sample['sample_no'];
			$patient_id = $sample['patient_id'];
			$first_name = $sample['first_name'];
			$last_name = $sample['last_name'];
			$age = $sample['age'];
			$date_collected = date('d-m-Y',strtotime($sample['date_collected']));
			$date_received = date('d-m-Y',strtotime($sample['date_received']));
			$test_name = $sample['test_name'];
			$hospital_id = $sample['hospital_id'];
			
			echo'
			<tr>
				<td><center>'.$sample_no.'</center></td>
				<td><center>'.$patient_id.'</center></td>
				<td><center>'.$first_name.' '.$last_name.'</center></td>
				<td><center>'.$age.'</center></td>
				<td><center>'.$date_collected.'</center></td>
				<td><center>'.$date_received.'</center></td>
				<td>
					<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
					<div class="dropdown-menu dropdown-menu-right">
						<button class="badge badge-warning dropdown-item store_sample_button" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#store_sample_modal">Store Sample</button>
						<button class="badge badge-dark dropdown-item discard_sample_button" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#discard_sample_modal">Discard Sample</button>
					</div>					
				</td>
			</tr>
			
			';
		}
	}
}
elseif(isset($_POST['get_result_hospital_id'])){
	$hospital_id = $_POST['get_result_hospital_id'];
	$sample_no = $_POST['get_result_sample_no'];
	$test_name = $_POST['get_result_test_name'];
	$patient_id = $_POST['get_result_patient_id'];
	$user_id = $_POST['get_result_user_id'];
	$requester = $_POST['get_requester'];
	$request_id = $_POST['get_result_request_id'];
	
	echo'<div class="content" style="border-radius:10px; border-style:solid; border-color:#E5E4E2;">';
		$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
		foreach($get_patient_details as $details){
			$first_name = $details['first_name'];
			$last_name = $details['last_name'];
			$gender = $details['gender'];
			$phone_number = $details['phone_number'];
			$age = $details['age'];
			$address = $details['address'];
			
			$get_requester = $objHospital->get_staff_details($requester,$user_id);
			foreach($get_requester as $requester){
				$requester_first_name = $requester['first_name'];
				$requester_last_name = $requester['last_name'];
				$requester_phone = $requester['phone'];
			}
			echo'<div class="form-row">
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">First Name:</span></label></center>
				<center><label><span style="color:blue;">'.$first_name.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Last Name:</span></label></center>
				<center><label><span style="color:blue;">'.$last_name.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Age:</span></label></center>
				<center><label><span style="color:blue;">'.$age.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Gender:</span></label></center>
				<center><label><span style="color:blue;">'.$gender.'</span></label></center>
			</div></div>
			
			<div class="form-row">
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Phone Number:</span></label></center>
				<center><label><span style="color:blue;">'.$phone_number.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Address:</span></label></center>
				<center><label><span style="color:blue;">'.$address.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Requester:</span></label></center>
				<center><label><span style="color:blue;">'.$requester_first_name.' '.$requester_last_name.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Requester\'s Phone:</span></label></center>
				<center><label><span style="color:blue;">'.$requester_phone.'</span></label></center>
			</div></div>
			';
		}
	echo'</div>
	<div class="content" style="border-radius:10px; border-style:solid; border-color:#E5E4E2; margin-top:10px;">';
	$test_array = explode(',',$test_name); 
	
	foreach($test_array as $key=>$value){
		$test = $value;
		
		//First get the test menu id
		$get_test_menu_id = $objHospital->get_test_menu_id($test,$hospital_id);
		
		//Get test details by testmenu ID
		$get_test_menu_details = $objHospital->get_test_menu_by_id($get_test_menu_id,$hospital_id);
		foreach($get_test_menu_details as $details){
			$report_type = $details['report_type'];
		}
		
		$get_parameters = $objHospital->get_result_parameters($test,$hospital_id,$gender,$age);
		//var_dump($get_parameters);
		if(empty($get_parameters)){
			echo'<div class="form-row">
				<div class="form-group col-md-6 d-inline-flex">
					<center><label><span style="color:black; font-size:12px;">Test: </span></label></center>
					<center><label><span style="color:blue;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
				</div>
				<div class="form-group col-md-6 d-inline-flex">
					<center><label><span style="color:black; font-size:12px;">Equipment Used: </span></label></center>
					<select class="form-control" name="equipment_used[]" id="select_equipment_used">
					<option>Click here to select equipment:</option>';
					$get_equipment = $objHospital->get_lab_equipment($hospital_id);
					if(empty($get_equipment)){
						echo'<option>None</option>';
					}else{
						echo'<option>None</option>';							
						foreach($get_equipment as $equipment){
							$equipment_name = $equipment['equipment_name'];
							echo'<option>'.$equipment_name.'</option>';
						}
					}
					
				echo'<select>
				</div>
				<!--<div class="form-group col-md-2 d-inline-flex">
					<button type="button" class="btn btn-danger btn-rounded delete_test_requested" data-test-name="'.$value.'" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-request-id="'.$request_id[$key].'">Remove</button>
				</div>-->
			</div>
			<div class="form-row">';
					if($report_type == 'Positive/Negative'){
						echo'<div class="form-group col-md-6">
						<label><span style="color:black; font-size:12px;">Result: </span></label>
						<select name="result[]" class="form-control">
							<option>Positive</option>
							<option>Negative</option>
					    select></div>';
					}elseif($report_type == 'Reactive/Non Reactive'){
						echo'<div class="form-group col-md-6">
						<label><span style="color:black; font-size:12px;">Result: </span></label>
						<select name="result[]" class="form-control">
							<option>Reactive</option>
							<option>Non Reactive</option>
						</select></div>';
					}elseif($report_type == 'Open - Qualitative' || $report_type == 'Semi-Quantitative'){
						echo'<div class="form-group col-md-12">
						<label><span style="color:black; font-size:12px;">Result: </span></label>
						<textarea type="text" rows="2" style="height:100%; width:100%;" name="result[]" placeholder="Enter '.$test.' results here"></textarea></div>';
					}else{
						echo'<div class="form-group col-md-12">
						<label><span style="color:black; font-size:12px;">Result: </span></label>
						<textarea type="text" rows="2" style="height:100%; width:100%;" name="result[]" placeholder="Enter '.$test.' results here"></textarea></div>>';
					}
					
				echo'
				<input type="hidden" class="form-control" name="test[]" value="'.$test.'">
				<input type="hidden" class="form-control" name="parameter[]" value="">
				<input type="hidden" class="form-control" name="test_menu_id[]" value="'.$get_test_menu_id.'">
			</div><hr align="center" width="70%;" style="border-width:3px; border-color:#E5E4E2;">
			';
		}else{
			echo'<div class="form-row">
				<div class="form-group col-md-6 d-inline-flex">
					<center><label><span style="color:black; font-size:12px;">Test: </span></label></center>
					<center><label><span style="color:blue;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
				</div>
				<div class="form-group col-md-6 d-inline-flex">
					<label><span style="color:black; font-size:12px;">Equipment Used: </span></label>
					<select class="form-control" name="equipment_used[]" id="select_equipment_used">
					<option>Click here to select equipment:</option>';
					$get_equipment = $objHospital->get_lab_equipment($hospital_id);
					if(empty($get_equipment)){
						echo'<option>None</option>';
					}else{
						echo'<option>None</option>';
						foreach($get_equipment as $equipment){
							$equipment_name = $equipment['equipment_name'];
							echo'<option>'.$equipment_name.'</option>';
						}
					}
					
				echo'<select>
				</div>
				<!--<div class="form-group col-md-2 d-inline-flex">
					<button type="button" class="btn btn-danger btn-rounded delete_test_requested"  data-test-name="'.$value.'" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'">Remove</button>
				</div>-->
			</div>
			<div class="form-row">
			';
			foreach($get_parameters as $parameter){
				$test_parameter = $parameter['test_parameter_name'];
				$si_units = $parameter['si_units'];
				$test_menu_id = $parameter['test_menu_id'];
				echo'
				<div class="form-group col-md-6 d-inline-flex">
					<div class="col-sm-4">
						<label><span style="color:black; font-size:12px;">'.$test_parameter.' ('.$si_units.'): </span></label>
					</div>
					<div class="col-sm-8">';
					if(strpos($test_parameter,'MACROSCOP')!== false || strpos($test_parameter,'Macroscop')!== false || strpos($test_parameter,'macroscop')!== false){
						echo'<textarea type="text" cols="6" style="height:100%;" class="form-control" name="result[]" placeholder="Use dots/fullstop instead of commas to separate sentences"></textarea>';
					}elseif(strpos($test_parameter,'MICROSCOP')!== false || strpos($test_parameter,'Microscop')!== false || strpos($test_parameter,'microscop')!== false){
						echo'<textarea type="text" cols="6" style="height:100%;" class="form-control" name="result[]" placeholder="Use dots/fullstop instead of commas to separate sentences"></textarea>';
					}else{
						echo'<input type="text" class="form-control" name="result[]" >';
					}
					echo'</div>
					<input type="hidden" class="form-control" name="test[]" value="'.$test.'">
					<input type="hidden" class="form-control" name="parameter[]" value="'.$test_parameter.'">
					<input type="hidden" class="form-control" name="test_menu_id[]" value="'.$get_test_menu_id.'">
				</div>
				';
			}
			echo'</div><hr align="center" width="70%;" style="border-width:3px; border-color:#E5E4E2;">';
		}
		
	}
	echo'
	</div>
	<div class="form-group col-md-12">
		<label><span style="color:black;"><b>Comments/Interpretations</b></label>
		<textarea type="text" class="form-control" rows="2" style="height:100%; border:grey 1px solid; border-radius:5px;" name="interpretation" ></textarea>
	</div>
	';
	$get_request_details = $objHospital->get_request_by_sample_no($sample_no,$hospital_id);
	foreach($get_request_details as $details){
		$lab_request_id = $details['lab_request_id'];
	}
	echo'<input type="hidden" class="form-control" name="result_request_id" value="'.$lab_request_id.'">
	<input type="hidden" class="form-control" name="result_hospital_id" value="'.$hospital_id.'">
	<input type="hidden" class="form-control" name="result_sample_no" value="'.$sample_no.'">
	<input type="hidden" class="form-control" name="result_patient_name" value="'.$first_name.' '.$last_name.'">
	<input type="hidden" class="form-control" name="result_tester" value="'.$user_id.'">
	<input type="hidden" class="form-control" name="result_patient_id" value="'.$patient_id.'">';
}
elseif(isset($_POST['deleteTestName'])){
	$test_name = $_POST['deleteTestName'];
	$sample_no = $_POST['deleteSampleNo'];
	$hospital_id = $_POST['deleteHospitalId'];
	$user_id = $_POST['deleteUserId'];
	$patient_id = $_POST['deletePatientId'];
	$request_id = $_POST['deleteRequestId'];
	
	$delete_test = $objHospital->delete_test_requested($test_name,$sample_no,$hospital_id,$user_id,$patient_id,$request_id);
	
}
elseif(isset($_POST['result_hospital_id'])){
	$hospital_id = $_POST['result_hospital_id'];
	@$equipment_used = implode(',',$_POST['equipment_used']);
	@$result = implode(',',$_POST['result']);
	@$test = implode(',',$_POST['test']);
	@$parameter = implode(',',$_POST['parameter']);
	@$test_menu_id = implode(',',$_POST['test_menu_id']);
	$request_id = $_POST['result_request_id'];
	$sample_no = $_POST['result_sample_no'];
	$patient_name = $_POST['result_patient_name'];
	$tester = $_POST['result_tester'];
	$patient_id = $_POST['result_patient_id'];
	$interpretation = $_POST['interpretation'];
	
	if($equipment_used == 'Click here to select equipment:'){
		$equipment = '';
	}else{
		$equipment = $equipment_used;
	}
	
	$save_result = $objHospital->save_result($hospital_id,$equipment,$result,$test,$parameter,$test_menu_id,$request_id,$sample_no,$patient_name,$tester,$patient_id,$interpretation);
	
}
elseif(isset($_POST['view_result_hospital_id'])){
	$hospital_id = $_POST['view_result_hospital_id'];
	$sample_no = $_POST['view_result_sample_no'];
	$test_name = $_POST['view_result_test_name'];
	$patient_id = $_POST['view_result_patient_id'];
	$user_id = $_POST['view_result_user_id'];
	
	echo'<div class="content" style="border-radius:10px; border-style:solid; border-color:#E5E4E2;">';
		$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
		foreach($get_patient_details as $details){
			$first_name = $details['first_name'];
			$last_name = $details['last_name'];
			$gender = $details['gender'];
			$phone_number = $details['phone_number'];
			$age = $details['age'];
			$address = $details['address'];
			
			$get_requester = $objHospital->get_requester_by_sample_no($hospital_id,$sample_no);
			foreach($get_requester as $requester){
				$requester_first_name = $requester['first_name'];
				$requester_last_name = $requester['last_name'];
				$requester_phone = $requester['phone'];
			}
			
			echo'<div class="form-row">
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">First Name:</span></label></center>
				<center><label><span style="color:blue;">'.$first_name.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Last Name:</span></label></center>
				<center><label><span style="color:blue;">'.$last_name.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Age:</span></label></center>
				<center><label><span style="color:blue;">'.$age.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Gender:</span></label></center>
				<center><label><span style="color:blue;">'.$gender.'</span></label></center>
			</div></div>
			
			<div class="form-row">
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Phone Number:</span></label></center>
				<center><label><span style="color:blue;">'.$phone_number.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Address:</span></label></center>
				<center><label><span style="color:blue;">'.$address.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Requester:</span></label></center>
				<center><label><span style="color:blue;">'.$requester_first_name.' '.$requester_last_name.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Requester\'s Phone:</span></label></center>
				<center><label><span style="color:blue;">'.$requester_phone.'</span></label></center>
			</div></div>
			';
		}
	echo'</div>
	<div class="content" style="border-radius:10px; border-style:solid; border-color:#E5E4E2; margin-top:10px;">';
	$test_array = explode(',',$test_name); 
	
	foreach($test_array as $key=>$value){
		$test = $value;
		
		//First get the test menu id
		$get_test_menu_id = $objHospital->get_test_menu_id($test,$hospital_id);
		
		
		$get_parameters = $objHospital->get_result_parameters($test,$hospital_id,$gender,$age);
		if(empty($get_parameters)){
			
			//Get this test's results
			$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
			if(empty($get_test_results)){
				echo'<div class="form-row">
					<div class="form-group col-md-4 d-inline-flex">
						<center><label><span style="color:black; font-size:12px;">Test: </span></label>
						<label><span style="color:blue; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
					</div>
					<div class="form-group col-md-8 d-inline-flex">
						<center><label><span style="color:red; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;No results yet</span></label></center>
					</div>
				</div>
				';
			}else{
				foreach($get_test_results as $result){
					if($result['equipment_name']==''){
						$equipment = 'N/A';
					}else{
						$equipment = $result['equipment_name'];
					}
					$result = $result['result'];
				}
				echo'<div class="form-row">
					<div class="form-group col-md-12 d-inline-flex">
						<div class="form-group col-sm-4 d-inline-flex">
							<center><label><span style="color:black; font-size:12px;">Test: </span></label>
							<label><span style="color:blue; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
						</div>
						<div class="form-group col-sm-4 d-inline-flex">
							<center><label><span style="color:black; font-size:12px;">Result: </span></label>
							<label><span style="color:blue; font-size:16px;">&nbsp;&nbsp;&nbsp;&nbsp;'.$result.'</span></label></center>
						</div>
						<div class="form-group col-sm-4 d-inline-flex">
							<center><label><span style="color:black; font-size:12px;">Equipment Used: </span></label>
							<label><span style="color:blue; font-size:16px; ">&nbsp;&nbsp;&nbsp;&nbsp;'.$equipment.'</span></label></center>
						</div>
					</div>
				</div>
				<hr align="center" width="70%;" style="border-width:3px; border-color:#E5E4E2;">
			';
			}
		}else{
			
			$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
			if(empty($get_test_results)){
				echo'<div class="form-row">
					<div class="form-group col-md-4 d-inline-flex">
						<center><label><span style="color:black; font-size:12px;">Test: </span></label>
						<label><span style="color:blue; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
					</div>
					<div class="form-group col-md-8 d-inline-flex">
						<center><label><span style="color:red; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;No results yet</span></label></center>
					</div>
				</div>
				';
			}else{
				//Get the equipment used to analyse
				$get_analysis_equipment = $objHospital->get_analysis_equipment($test,$hospital_id,$sample_no);
				if(empty($get_analysis_equipment)){
					$equipment = 'N/A';
				}else{
					$equipment = $get_analysis_equipment;
				}
				
				echo'<div class="form-row">
					<div class="form-group col-md-4 d-inline-flex">
						<center><label><span style="color:black; font-size:12px;">Test: </span></label>
						<label><span style="color:blue; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
					</div>
					<div class="form-group col-md-8 d-inline-flex">
						<center><label><span style="color:black; font-size:12px;">Equipment Used: </span></label>
						<label><span style="color:blue; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$equipment.'</span></label></center>
					</div>
				</div>
				<div class="form-row">
					<div class="form-group col-md-12 d-inline-flex">
						<div class="col-sm-3">
							<center><label><span style="color:black; font-size:12px;"><b>Parameter</b></span></label></center>
						</div>
						<div class="col-sm-3">
							<center><label><span style="color:black; font-size:12px;"><b>Result</b></span></label></center>
						</div>
						<div class="col-sm-3">
							<center><label><span style="color:black; font-size:12px;"><b>Normal Range</b></span></label></center>
						</div>
						<div class="col-sm-3">
							<center><label><span style="color:black; font-size:12px;"><b>H/N/L</b></span></label></center>
						</div>
					</div>
				</div>
				<div class="form-row">';
				
				foreach($get_test_results as $result){
					$parameter = $result['parameter_name'];
					$result = $result['result'];
					$get_normal_interval = $objHospital->get_normal_interval($test,$parameter,$hospital_id,$gender,$age);
					//var_dump($get_normal_interval);
					foreach($get_normal_interval as $interval){
						$si_units = $interval['si_units'];
						$normal_lower_limit = $interval['normal_ll'];
						$normal_upper_limit = $interval['normal_ul'];
						$critical_ll = $interval['critical_ll'];
						$critical_ul = $interval['critical_ul'];
						$gender = $interval['gender'];
						$lower_age_limit = $interval['lower_age_limit'];
						$upper_age_limit = $interval['upper_age_limit'];
					
						echo'
						<div class="form-group col-md-12 d-inline-flex">
							<div class="col-sm-3">
								<center><label><span style="color:black; font-size:12px;">'.$parameter.' ('.$si_units.'): </span></label></center>
							</div>
							<div class="col-sm-3">
								<center><label><span style="color:blue; font-size:12px;">'.$result.'</span></label></center>
							</div>
							<div class="col-sm-3">
								<center><label><span style="color:blue; font-size:12px;">';
								  if(($normal_upper_limit == '0' && $normal_lower_limit == '0') || (empty($normal_upper_limit) && empty($normal_lower_limit))){
									  echo'';
								  }else{
									  echo $normal_lower_limit.' - '.$normal_upper_limit;
								  }
								echo'</span></label></center>
							</div>
							<div class="col-sm-3">
								<center><label><span style="color:black; font-size:12px;">';
								if(($normal_upper_limit == '0' && $normal_lower_limit == '0') || (empty($normal_upper_limit) && empty($normal_lower_limit))){
									echo'';
								}else{
									if($result < $normal_lower_limit){
									echo'<span style="color:red">Low</span>';
									}elseif($result > $normal_upper_limit){
										echo'<span style="color:red">High</span>';
									}else{
										echo'<span style="color:blue">Normal</span>';
									}
								}
								echo'</span></label></center>
							</div>
						</div>';
					}
				}
			}
			echo'</div>
			<hr align="center" width="70%;" style="border-width:3px; border-color:#E5E4E2;">';
		}
	}
	$result_interpretation = $objHospital->get_result_interpretation($hospital_id,$sample_no,$patient_id);
	echo'
	<div class="form-group col-md-12">
		<label><span style="color:black;"><b>Comments/Interpretations</b></label>
		<label><span style="color:black;">'.$result_interpretation.'</label>
	</div>
	</div>
		<div class="content" style="border-radius:10px; border-style:solid; border-color:#E5E4E2; margin-top:10px;">';
			$get_collection_details = $objHospital->get_collection_details($sample_no,$hospital_id);
			foreach($get_collection_details as $details){
				$collector = $details['first_name'].' '.$details['last_name'];
				$date_collected = $details['date_collected'];
			}
			
			$get_reception_details = $objHospital->get_reception_details($sample_no,$hospital_id);
			foreach($get_reception_details as $data){
				$receiver = $data['first_name'].' '.$data['last_name'];
				$date_received = $data['date_received'];
			}
			
			echo'<div class="form-row">
				<div class="form-group col-md-12 d-inline-flex">
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Collected By:</b></span> <span style="color:blue; font-size:12px;">'.$collector.'</span></label></center>
					</div>
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Date:</b></span> <span style="color:blue; font-size:12px;">'.$date_collected.'</span></label></center>
					</div>
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Received By:</b></span> <span style="color:blue; font-size:12px;">'.$receiver.'</span></label></center>
					</div>
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Date:</b></span> <span style="color:blue; font-size:12px;">'.$date_received.'</span></label></center>
					</div>
				</div>
			</div>
			<div class="form-row">
				<div class="form-group col-md-12 d-inline-flex">
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Reviewed By:</b></span></label></center>
					</div>
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Date:</b></span></label></center>
					</div>
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Released By:</b></span></label></center>
					</div>
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Date:</b></span></label></center>
					</div>
				</div>
			</div>
		</div>';
}
elseif(isset($_POST['review_result_hospital_id'])){
	$hospital_id = $_POST['review_result_hospital_id'];
	$sample_no = $_POST['review_result_sample_no'];
	
	$send_for_review = $objHospital->send_for_review($hospital_id,$sample_no);
	
}
elseif(isset($_POST['rev_result_hospital_id'])){
	$hospital_id = $_POST['rev_result_hospital_id'];
	$sample_no = $_POST['rev_result_sample_no'];
	$test_name = $_POST['rev_result_test_name'];
	$patient_id = $_POST['rev_result_patient_id'];
	$user_id = $_POST['rev_result_user_id'];
	
	echo'<div class="content" style="border-radius:10px; border-style:solid; border-color:#E5E4E2;">';
		$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
		foreach($get_patient_details as $details){
			$first_name = $details['first_name'];
			$last_name = $details['last_name'];
			$gender = $details['gender'];
			$phone_number = $details['phone_number'];
			$age = $details['age'];
			$address = $details['address'];
			
			$get_requester = $objHospital->get_requester_by_sample_no($hospital_id,$sample_no);
			foreach($get_requester as $requester){
				$requester_first_name = $requester['first_name'];
				$requester_last_name = $requester['last_name'];
				$requester_phone = $requester['phone'];
			}
			
			echo'<div class="row">
			<div class="col-md-3">
				<center><label><span style="color:black; font-size:12px;">First Name:</span></label></center>
				<center><label><span style="color:blue;">'.$first_name.'</span></label></center>
			</div>
			<div class="col-md-3">
				<center><label><span style="color:black; font-size:12px;">Last Name:</span></label></center>
				<center><label><span style="color:blue;">'.$last_name.'</span></label></center>
			</div>
			<div class="col-md-3">
				<center><label><span style="color:black; font-size:12px;">Age:</span></label></center>
				<center><label><span style="color:blue;">'.$age.'</span></label></center>
			</div>
			<div class="col-md-3">
				<center><label><span style="color:black; font-size:12px;">Gender:</span></label></center>
				<center><label><span style="color:blue;">'.$gender.'</span></label></center>
			</div></div>
			
			<div class="row">
				<div class="col-md-3">
					<center><label><span style="color:black; font-size:12px;">Phone Number:</span></label></center>
					<center><label><span style="color:blue;">'.$phone_number.'</span></label></center>
				</div>
				<div class="col-md-3">
					<center><label><span style="color:black; font-size:12px;">Address:</span></label></center>
					<center><label><span style="color:blue;">'.$address.'</span></label></center>
				</div>
				<div class="col-md-3">
					<center><label><span style="color:black; font-size:12px;">Requester:</span></label></center>
					<center><label><span style="color:blue;">'.$requester_first_name.' '.$requester_last_name.'</span></label></center>
				</div>
				<div class="col-md-3">
					<center><label><span style="color:black; font-size:12px;">Requester\'s Phone:</span></label></center>
					<center><label><span style="color:blue;">'.$requester_phone.'</span></label></center>
				</div>
			</div>
			';
		}
	echo'</div>
	<div class="content" style="border-radius:10px; border-style:solid; border-color:#E5E4E2; margin-top:10px;">
		<div class="row">
			<div class="col-md-12">
				<center><h4 style="color:black;">Report</h4><hr></center>
			</div>				
		</div>';
	$test_array = explode(',',$test_name); 
	
	foreach($test_array as $key=>$value){
		$test = $value;
		
		//First get the test menu id
		$get_test_menu_id = $objHospital->get_test_menu_id($test,$hospital_id);
		
		
		$get_parameters = $objHospital->get_result_parameters($test,$hospital_id,$gender,$age);
		if(empty($get_parameters)){
			
			//Get this test's results
			$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
			
			if(empty($get_test_results)){
				echo'<div class="row">
					<div class="col-md-4 d-inline-flex">
						<center><label><span style="color:black; font-size:12px;">Test: </span></label>
						<label><span style="color:blue; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
					</div>
					<div class="col-md-8 d-inline-flex">
						<center><label><span style="color:red; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;No results yet</span></label></center>
					</div>
				</div>
				';
			}else{
				foreach($get_test_results as $data){
					if($data['equipment_name']==''){
						$equipment = 'N/A';
					}else{
						$equipment = $data['equipment_name'];
					}
					$result = $data['result'];
					$review_comments = $data['review_comments'];
				}
				echo'<div class="row">
					<div class="col-md-12 d-inline-flex">
						<div class="form-group col-sm-4 d-inline-flex">
							<center><label><span style="color:black; font-size:12px;">Test Requested: </span></label>
							<label><span style="color:blue; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
						</div>
						<div class="col-sm-4 d-inline-flex">
							<center><label><span style="color:black; font-size:12px;">Equipment Used: </span></label>
							<label><span style="color:blue; font-size:16px; ">&nbsp;&nbsp;&nbsp;&nbsp;<b>'.$equipment.'</b></span></label></center>
						</div>
					</div>				
				</div>
				<div class="row" style="margin-top:-50px; margin-left:5px;">
					<div class="col-md-12 d-inline-flex">
						<center><label><span style="color:black; font-size:12px;">Result: </span></label>
						<label><span style="color:blue; font-size:16px;">&nbsp;&nbsp;&nbsp;&nbsp;'.$result.'</span></label></center>
					</div>				
				</div>
				<hr align="center" width="70%;" style="border-width:3px; border-color:#E5E4E2;">
			';
			}
		}else{
			
			$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
			if(empty($get_test_results)){
				echo'<div class="row">
					<div class="col-md-4 d-inline-flex">
						<center><label><span style="color:black; font-size:12px;">Test Requested: </span></label>
						<label><span style="color:blue; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
					</div>
					<div class="col-md-8 d-inline-flex">
						<center><label><span style="color:red; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;No results yet</span></label></center>
					</div>
				</div>
				';
			}else{
				//Get the equipment used to analyse
				$get_analysis_equipment = $objHospital->get_analysis_equipment($test,$hospital_id,$sample_no);
				if(empty($get_analysis_equipment)){
					$equipment = 'N/A';
				}else{
					$equipment = $get_analysis_equipment;
				}
				
				echo'<div class="row">
					<div class="col-md-4 d-inline-flex">
						<center><label><span style="color:black; font-size:12px;">Test Requested: </span></label>
						<label><span style="color:blue; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
					</div>
					<div class="col-md-8 d-inline-flex">
						<center><label><span style="color:black; font-size:12px;">Equipment Used: </span></label>
						<label><span style="color:blue; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;<b>'.$equipment.'</span></b></label></center>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12 d-inline-flex">
						<div class="col-sm-3">
							<center><label><span style="color:black; font-size:12px;"><b>Parameter</b></span></label></center>
						</div>
						<div class="col-sm-3">
							<center><label><span style="color:black; font-size:12px;"><b>Result</b></span></label></center>
						</div>
						<div class="col-sm-3">
							<center><label><span style="color:black; font-size:12px;"><b>Normal Range</b></span></label></center>
						</div>
						<div class="col-sm-3">
							<center><label><span style="color:black; font-size:12px;"><b>H/N/L</b></span></label></center>
						</div>
					</div>
				</div>
				<div class="row">';
				
				foreach($get_test_results as $data){
					$parameter = $data['parameter_name'];
					$result = $data['result'];
					$review_comments = $data['review_comments'];
					$get_normal_interval = $objHospital->get_normal_interval($test,$parameter,$hospital_id,$gender,$age);
					if(empty($get_normal_interval)){
						echo'
						<div class="col-md-12 d-inline-flex">
							<div class="col-sm-3">
								<center><label><span style="color:black; font-size:12px;">'.$parameter.' ('.$si_units.'): </span></label></center>
							</div>
							<div class="col-sm-3">
								<center><label><span style="color:blue; font-size:12px;">'.$result.'</span></label></center>
							</div>
							<div class="col-sm-3">
								<center><label><span style="color:blue; font-size:12px;">_</span></label></center>
							</div>
							<div class="col-sm-3">
								<center><label><span style="color:black; font-size:12px;">_</span></label></center>
							</div>
						</div>';
					}else{
						foreach($get_normal_interval as $interval){
							$si_units = $interval['si_units'];
							$normal_lower_limit = $interval['normal_ll'];
							$normal_upper_limit = $interval['normal_ul'];
							$critical_ll = $interval['critical_ll'];
							$critical_ul = $interval['critical_ul'];
							$gender = $interval['gender'];
							$lower_age_limit = $interval['lower_age_limit'];
							$upper_age_limit = $interval['upper_age_limit'];
						
							echo'
							<div class="col-md-12 d-inline-flex">
								<div class="col-sm-3">
									<center><label><span style="color:black; font-size:12px;">'.$parameter.' ('.$si_units.'): </span></label></center>
								</div>
								<div class="col-sm-3">
									<center><label><span style="color:blue; font-size:12px;">'.$result.'</span></label></center>
								</div>
								<div class="col-sm-3">
									<center><label><span style="color:blue; font-size:12px;">';
									  if(($normal_upper_limit == '0' && $normal_lower_limit == '0') || (empty($normal_upper_limit) && empty($normal_lower_limit))){
										  echo'';
									  }else{
										  echo $normal_lower_limit.' - '.$normal_upper_limit;
									  }
									echo'</span></label></center>
								</div>
								<div class="col-sm-3">
									<center><label><span style="color:black; font-size:12px;">';
									if(($normal_upper_limit == '0' && $normal_lower_limit == '0') || (empty($normal_upper_limit) && empty($normal_lower_limit))){
										echo'';
									}else{
										if($result < $normal_lower_limit){
										echo'<span style="color:red">Low</span>';
										}elseif($result > $normal_upper_limit){
											echo'<span style="color:red">High</span>';
										}else{
											echo'<span style="color:blue">Normal</span>';
										}
									}
									echo'</span></label></center>
								</div>
							</div>';
						}
					}
				}
			}
			echo'</div>
			<hr align="center" width="70%;" style="border-width:3px; border-color:#E5E4E2;">';
		}
	}
	$result_interpretation = $objHospital->get_result_interpretation($hospital_id,$sample_no,$patient_id);
	echo'
	<div class="form-group col-md-12">
		<label><span style="color:black;"><b>Comments/Interpretations</b></label>
		<label><span style="color:black;">'.$result_interpretation.'</label>
	</div>
	</div>
		<div class="content" style="border-radius:10px; border-style:solid; border-color:#E5E4E2; margin-top:10px;">';
			$get_collection_details = $objHospital->get_collection_details($sample_no,$hospital_id);
			foreach($get_collection_details as $details){
				$collector = $details['first_name'].' '.$details['last_name'];
				$date_collected = $details['date_collected'];
			}
			
			$get_reception_details = $objHospital->get_reception_details($sample_no,$hospital_id);
			foreach($get_reception_details as $data){
				$receiver = $data['first_name'].' '.$data['last_name'];
				$date_received = $data['date_received'];
			}
			
			echo'<div class="row">
				<div class="col-md-12 d-inline-flex">
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Collected By:</b></span> <span style="color:blue; font-size:12px;">'.$collector.'</span></label></center>
					</div>
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Date:</b></span> <span style="color:blue; font-size:12px;">'.$date_collected.'</span></label></center>
					</div>
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Received By:</b></span> <span style="color:blue; font-size:12px;">'.$receiver.'</span></label></center>
					</div>
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Date:</b></span> <span style="color:blue; font-size:12px;">'.$date_received.'</span></label></center>
					</div>
				</div>
			</div>
			<div class="form-row">
				<div class="form-group col-md-12 d-inline-flex">
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Reviewed By:</b></span></label></center>
					</div>
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Date:</b></span></label></center>
					</div>
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Released By:</b></span></label></center>
					</div>
					<div class="col-sm-3">
						<center><label><span style="color:black; font-size:12px;"><b>Date:</b></span></label></center>
					</div>
				</div>
			</div>
		</div>
		<form method="post" id="send_comments_form">
		<div class="collapse" id="back_for_review">
			<div class="row">
			  <div class="col-12 grid-margin">
				<div class="card">
				  <div class="card-body overflow-auto">
					<div class="form-group col-md-12">
						<h4 class="card-title" style="color:red;">Add Review Comments</h4>
						<textarea class="form-control" rows="2" style="height:100%;" name="review_comments" placeholder="Enter Comments Here"></textarea>
					</div>
				  </div>
				  <center><button type="submit" class="badge badge-dark badge-pill send_comment_btn" style="font-size:15px; width:20%;"><b>Send Comments</b></button></center>
				</div>
			  </div> 
			</div>
		</div>
		<div class="modal-footer">
			<button type="submit" id="send_back_to_tester_btn class="nav-link" data-toggle="collapse" href="#back_for_review" aria-expanded="false" aria-controls="back_for_review"" class="btn btn-warning">Send Back to Tester</button>
			<input type="hidden" name="comment_hospital_id" value="'.$hospital_id.'">
			<input type="hidden" name="comment_sample_no" value="'.$sample_no.'">
			<input type="hidden" name="comment_user_id" value="'.$user_id.'">
		</form>
		<!--<form method="post" id="complete_review_form">
			<input type="hidden" name="complete_review_hospital_id" value="'.$hospital_id.'">
			<input type="hidden" name="complete_review_sample_no" value="'.$sample_no.'">
			<input type="hidden" name="complete_review_user_id" value="'.$user_id.'">
			<button type="submit" id="review_w_o_release" data-review-comments="'.$review_comments.'" class="btn btn-success">Review without Release</button>
		</form>-->
		<form method="post" id="release_result_form">
			<input type="hidden" name="release_result_hospital_id" value="'.$hospital_id.'">
			<input type="hidden" name="release_result_sample_no" value="'.$sample_no.'">
			<input type="hidden" name="release_result_user_id" value="'.$user_id.'">
			<button type="submit" id="review_and_release" class="btn btn-primary">Review and Release</button>
		</form>
		</div>
		';
}
elseif(isset($_POST['comment_hospital_id'])){
	$hospital_id = $_POST['comment_hospital_id'];
	$sample_no = $_POST['comment_sample_no'];
	$review_comments = $_POST['review_comments'];
	$user_id = $_POST['comment_user_id'];
	
	$send_review_comments = $objHospital->send_review_comments($hospital_id,$sample_no,$review_comments,$user_id);
}
elseif(isset($_POST['view_comment_hospital_id'])){
	$hospital_id = $_POST['view_comment_hospital_id'];
	$sample_no = $_POST['view_comment_sample_no'];
	$user_id = $_POST['view_comment_user_id'];
	
	$view_comment = $objHospital->get_result_by_sample_no($hospital_id,$sample_no);
	foreach($view_comment as $comment){
		$review_comments = $comment['review_comments'];
		$reviewer_id = $comment['result_reviewed_by'];
		
		$get_staff_by_id = $objHospital->get_staff_details($reviewer_id,$user_id);
		foreach($get_staff_by_id as $staff){
			$staff_first_name=$staff['first_name'];
			$staff_last_name=$staff['last_name'];
		}
	}
	echo'
	<div class="card-body">
		<div class="row">
			<div class="col-md-12">
				<label><span style="color:black; font-size:12px;">Comments from: </span><span style="color:blue; font-size:15px;">'.$staff_first_name.' '.$staff_last_name.'</span></label>
			</div>
			<div class="col-md-12" style="color:black; font-size:16px;">
				<label><span style="color:blue;">'.$review_comments.'</span></label>
			</div>
		</div>
	</div>
	';
	
}
elseif(isset($_POST['view_edit_result_user_id'])){
	$user_id = $_POST['view_edit_result_user_id'];
	$sample_no = $_POST['view_edit_sample_no'];
	$test_name = $_POST['view_edit_test_name'];
	$patient_id = $_POST['view_edit_patient_id'];
	$hospital_id = $_POST['view_edit_hospital_id'];
	
	
	
	echo'<div class="content" style="border-radius:10px; border-style:solid; border-color:#E5E4E2;">';
		$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
		foreach($get_patient_details as $details){
			$first_name = $details['first_name'];
			$last_name = $details['last_name'];
			$gender = $details['gender'];
			$phone_number = $details['phone_number'];
			$age = $details['age'];
			$address = $details['address'];
			
			$get_requester = $objHospital->get_requester_by_sample_no($hospital_id,$sample_no);
			foreach($get_requester as $requester){
				$requester_first_name = $requester['first_name'];
				$requester_last_name = $requester['last_name'];
				$requester_phone = $requester['phone'];
			}
			
			echo'<div class="form-row">
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">First Name:</span></label></center>
				<center><label><span style="color:blue;">'.$first_name.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Last Name:</span></label></center>
				<center><label><span style="color:blue;">'.$last_name.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Age:</span></label></center>
				<center><label><span style="color:blue;">'.$age.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Gender:</span></label></center>
				<center><label><span style="color:blue;">'.$gender.'</span></label></center>
			</div></div>
			
			<div class="form-row">
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Phone Number:</span></label></center>
				<center><label><span style="color:blue;">'.$phone_number.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Address:</span></label></center>
				<center><label><span style="color:blue;">'.$address.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Requester:</span></label></center>
				<center><label><span style="color:blue;">'.$requester_first_name.' '.$requester_last_name.'</span></label></center>
			</div>
			<div class="form-group col-md-3">
				<center><label><span style="color:black; font-size:12px;">Requester\'s Phone:</span></label></center>
				<center><label><span style="color:blue;">'.$requester_phone.'</span></label></center>
			</div></div>
			';
		}
	echo'</div>
	<div class="content" style="border-radius:10px; border-style:solid; border-color:#E5E4E2; margin-top:10px;">';
	$test_array = explode(',',$test_name); 
	
	foreach($test_array as $key=>$value){
		$test = $value;
		
		//First get the test menu id
		$get_test_menu_id = $objHospital->get_test_menu_id($test,$hospital_id);
		
		
		$get_parameters = $objHospital->get_result_parameters($test,$hospital_id,$gender,$age);
		if(empty($get_parameters)){
			
			//Get this test's results
			$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
			if(empty($get_test_results)){
				echo'<div class="row">
					<div class="col-md-4 d-inline-flex">
						<center><label><span style="color:black; font-size:12px;">Test: </span></label>
						<label><span style="color:blue; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
					</div>
					<div class="col-md-8 d-inline-flex">
						<center><label><span style="color:red; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;No results yet</span></label></center>
					</div>
				</div>
				';
			}else{
				foreach($get_test_results as $result){
					if($result['equipment_name']==''){
						$equipment = 'N/A';
					}else{
						$equipment = $result['equipment_name'];
					}
					$result = $result['result'];
				}
				echo'<div class="row">
					<div class="col-md-12 d-inline-flex">
						<div class="form-group col-sm-4 d-inline-flex">
							<center><label><span style="color:black; font-size:12px;">Test Requested: </span></label>
							<label><span style="color:blue; font-size:19px; font-weight:bold;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
						</div>
						<div class="form-group col-md-8 d-inline-flex">
							<center><label><span style="color:black; font-size:12px;">Equipment Used: </span></label></center>
							<select class="form-control" name="edit_equipment_used[]">
								<option>Click here to select equipment:</option>';
								$get_equipment = $objHospital->get_lab_equipment($hospital_id);
								if(empty($get_equipment)){
									echo'<option>None</option>';
								}else{
									echo'<option>None</option>';							
									foreach($get_equipment as $equipment){
										$equipment_name = $equipment['equipment_name'];
										echo'<option>'.$equipment_name.'</option>';
									}
								}
							
						echo'<select>
						</div>
					</div>				
				</div>
				<div class="row" style="margin-top:-50px; margin-left:5px;">
					<div class="col-md-12 d-inline-flex">
						<label><span style="color:black; font-size:12px;">Result: </span></label>
						<textarea type="text" rows="2" style="height:100%; width:100%;" name="edit_result[]" placeholder="'.$result.'"></textarea>
					</div>				
				</div>
				<input type="hidden" class="form-control" name="edit_test[]" value="'.$test.'">
				<input type="hidden" class="form-control" name="edit_parameter[]" value="">
				<input type="hidden" class="form-control" name="edit_test_menu_id[]" value="'.$get_test_menu_id.'">
				<hr align="center" width="70%;" style="border-width:3px; border-color:#E5E4E2;">
			';
			}
			
		}else{			
			echo'<div class="form-row">
				<div class="form-group col-md-4 d-inline-flex">
					<center><label><span style="color:black; font-size:12px;">Test: </span></label></center>
					<center><label><span style="color:blue;">&nbsp;&nbsp;&nbsp;&nbsp;'.$test.'</span></label></center>
				</div>
				<div class="form-group col-md-8 d-inline-flex">
					<label><span style="color:black; font-size:12px;">Equipment Used: </span></label>
					<select class="form-control" name="edit_equipment_used[]">
						<option>Click here to select equipment:</option>';
						$get_equipment = $objHospital->get_lab_equipment($hospital_id);
						if(empty($get_equipment)){
							echo'<option>None</option>';
						}else{
							echo'<option>None</option>';							
							foreach($get_equipment as $equipment){
								$equipment_name = $equipment['equipment_name'];
								echo'<option>'.$equipment_name.'</option>';
							}
						}
					
				echo'<select>
				</div>
			</div>
			<div class="form-row">
			';
			foreach($get_parameters as $parameter){
				$test_parameter = $parameter['test_parameter_name'];
				$si_units = $parameter['si_units'];
				$test_menu_id = $parameter['test_menu_id'];
				
				$get_result_by_parameter = $objHospital->get_result_by_parameter($test_parameter,$sample_no,$hospital_id);
				echo'
				<div class="form-group col-md-6 d-inline-flex">
					<div class="col-sm-4">
						<label><span style="color:black; font-size:12px;">'.$test_parameter.' ('.$si_units.'): </span></label>
					</div>
					<div class="col-sm-8">
						<input type="text" class="form-control" name="edit_result[]" placeholder="'.$get_result_by_parameter.'">
					</div>
					<input type="hidden" class="form-control" name="edit_test[]" value="'.$test.'">
					<input type="hidden" class="form-control" name="edit_parameter[]" value="'.$test_parameter.'">
					<input type="hidden" class="form-control" name="edit_test_menu_id[]" value="'.$get_test_menu_id.'">
				</div>
				';
			}
			echo'</div><hr align="center" width="70%;" style="border-width:3px; border-color:#E5E4E2;">';
		}
		
	}
	echo'</div>
	<input type="hidden" class="form-control" name="edit_result_hospital_id" value="'.$hospital_id.'">
	<input type="hidden" class="form-control" name="edit_result_sample_no" value="'.$sample_no.'">
	<input type="hidden" class="form-control" name="edit_result_patient_id" value="'.$patient_id.'">
	<input type="hidden" class="form-control" name="edit_result_editor_id" value="'.$user_id.'">';
	
	
}
elseif(isset($_POST['edit_result_hospital_id'])){
	$hospital_id = $_POST['edit_result_hospital_id'];
	$equipment_used = implode(',',$_POST['edit_equipment_used']);
	$result = implode(',',$_POST['edit_result']);
	$test = implode(',',$_POST['edit_test']);
	$parameter = implode(',',$_POST['edit_parameter']);
	$test_menu_id = implode(',',$_POST['edit_test_menu_id']);
	$sample_no = $_POST['edit_result_sample_no'];
	$editor = $_POST['edit_result_editor_id'];
	$patient_id = $_POST['edit_result_patient_id'];
	
	$edit_result = $objHospital->edit_result($hospital_id,$equipment_used,$result,$test,$parameter,$test_menu_id,$sample_no,$editor,$patient_id);
	
}

elseif(isset($_POST['complete_review_hospital_id'])){
	$hospital_id = $_POST['complete_review_hospital_id'];
	$sample_no = $_POST['complete_review_sample_no'];
	$user_id = $_POST['complete_review_user_id'];
	
	$complete_review = $objHospital->complete_review($hospital_id,$sample_no,$user_id);
}
elseif(isset($_POST['release_result_hospital_id'])){
	$hospital_id = $_POST['release_result_hospital_id'];
	$sample_no = $_POST['release_result_sample_no'];
	$user_id = $_POST['release_result_user_id'];
	
	$release_result = $objHospital->release_result($hospital_id,$sample_no,$user_id);
}
elseif(isset($_POST['view_released_hospital_id'])){
	$hospital_id = $_POST['view_released_hospital_id'];
	$sample_no = $_POST['view_released_sample_no'];
	$test_name = $_POST['view_released_test_name'];
	$patient_id = $_POST['view_released_patient_id'];
	$user_id = $_POST['view_released_user_id'];
	
	$get_hospital_info = $objHospital->get_hospital_details($hospital_id);
	foreach($get_hospital_info as $info){
		$hospital_name=$info['hospital_name'];
		$hospital_country=$info['hospital_country'];
		$hospital_city=$info['hospital_city'];
		$hospital_email=$info['hospital_email'];
		$hospital_phone=$info['hospital_phone'];
	}
	
	echo'<div class="content" style="border-radius:10px; height:140px; border-style:solid; border-color:#ffffff;">
		<div class="row grid" style="margin-top:-20px;">
			<div class="col-xl-3">
				<div class="grid-col">
					<div class="media pt-3 pb-3">
						<img src="../assets/images/bb.PNG" alt="image" class="mr-3" style="width:7rem; height:7rem;">
					</div>
				</div>
			</div>
			<div class="col-xl-9" style="margin-top:-110px;">
				<div class="grid-col">
					<div class="col-md-12" style="height:30px; float:center;">
						<center><h2>'.$hospital_name.'</h2></center>
					</div>
					<div class="col-md-12" style="height:30px; float:center;">
						<center><h3>Laboratory Department</h4></center>
					</div>	
					<div class="col-md-12" style="height:30px; float:center;">
						<div class="form-group">
							<center><span style="font-size:14px;">Email: '.$hospital_email.'</span>
							<span style="font-size:14px;"> Phone: '.$hospital_phone.'</span></center>
						</div>
					</div>
					<div class="col-md-12" style="height:30px; float:center; margin-top:-10px;">
						<div class="form-group">
							<center><span style="font-size:14px;">'.$hospital_city.', '.$hospital_country.' </span></center>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<div class="content" style="border-radius:10px; border-style:solid; border-color:#E5E4E2; margin-top:20px;">
		<table class="table table-borderless">
			<tbody>
				<tr style="height:1px; border:solid 2px; height:14px; border-radius:5px;"></tr>
					<th colspan="4" style="color:black;"><center><h4><b>Patient Information</b></h4></center></th>
				<tr style="height:1px; border:solid 2px;"></tr>
		';
		$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
		foreach($get_patient_details as $details){
			$first_name = $details['first_name'];
			$last_name = $details['last_name'];
			$gender = $details['gender'];
			$phone_number = $details['phone_number'];
			$age = $details['age'];
			$address = $details['address'];
			
			echo'
			<tr style="height:14px;">
			  <th style="color:black;"><center>First Name</center></th>
			  <th style="color:black;"><center>Last Name</center></th>
			  <th style="color:black;"><center>Age</center></th>
			  <th style="color:black;"><center>Gender</center></th>
			</tr>
			<tr style="height:14px;">
			  <td style="color:blue;"><center>'.$first_name.'</center></td>
			  <td style="color:blue;"><center>'.$last_name.'</center></td>
			  <td style="color:blue;"><center>'.$age.'</center></td>
			  <td style="color:blue;"><center>'.$gender.'</center></td>
			</tr>
			<tr style="height:14px;">
			  <th scope="col" style="color:black;"><center>Phone Number</center></th>
			  <th scope="col" style="color:black;"><center>Address</center></th>
			  <th scope="col" style="color:black;"><center>Requester</center></th>
			  <th scope="col" style="color:black;"><center>Requester\'s Phone</center></th>
			</tr>
			<tr style="height:14px;">
			  <td scope="col" style="color:blue;"><center>'.$phone_number.'</center></td>
			  <td scope="col" style="color:blue;"><center>'.$address.'</center></td>';
			  $get_requester = $objHospital->get_requester_by_sample_no($hospital_id,$sample_no);
			  foreach($get_requester as $requester){
				$requester_first_name = $requester['first_name'];
				$requester_last_name = $requester['last_name'];
				$requester_phone = $requester['phone'];
			  }
			  echo'<td scope="col" style="color:blue;"><center>'.$requester_first_name.' '.$requester_last_name.'</center></td>
			  <td scope="col" style="color:blue;"><center>'.$requester_phone.'</center></td>
			</tr>
			';
			
		}
	echo'<tr style="height:1px; border:solid 2px;"></tr>
			<tr style="height:14px; border-radius:5px;">
				<th colspan="4" style="color:black;"><center><h4><b>Request/Report</b></h4></center></th>
			</tr>
		<tr style="height:1px; border:solid 2px;"></tr>';
	$test_array = explode(',',$test_name); 
	
	foreach($test_array as $key=>$value){
		$test = $value;
		
		//First get the test menu id
		$get_test_menu_id = $objHospital->get_test_menu_id($test,$hospital_id);
		
		
		$get_parameters = $objHospital->get_result_parameters($test,$hospital_id,$gender,$age);
		if(empty($get_parameters)){
			
			//Get this test's results
			$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
			
			if(empty($get_test_results)){
				echo'
				<tr style="height:14px;">
				  <th scope="col" style="color:black; font-weight:bold;"><center>Test Requested:</center></th>
				  <th scope="col" style="color:blue; font-weight:bold;"><center>'.$test.'</center></th>
				</tr>
				<tr style="height:14px;">
				  <td colspan="2" style="color:black;"><center>There are no results yet</center></td>
				</tr>
				';
			}else{
				foreach($get_test_results as $data){
					if($data['equipment_name']=='Click here to select equipment:' || empty($data['equipment_name'])){
						$equipment = 'N/A';
					}else{
						$equipment = $data['equipment_name'];
					}
					$result = $data['result'];
					$result_reviewed_by = $data['result_reviewed_by'];
					$review_date = $data['review_date'];
					$released_by = $data['released_by'];
					$release_date = $data['release_date'];
					$review_comments = $data['review_comments'];
				}
				echo'
				<tr style="height:14px;">
				  <th style="color:black; font-weight:bold; float:left;">Test Requested:</th>
				  <th style="color:blue; font-weight:bold; float:left;">'.$test.'</th>
				  <th style="color:black; font-weight:bold; ">Equipment Used:</th>
				  <th style="color:blue; font-weight:bold; ">'.$equipment.'</th>
				</tr>
				<tr style="height:14px;">
				  <td style="color:black; font-weight:bold; float:left;"><center>Result:</center></td>
				  <td colspan="3" style="color:blue; float:left;">'.$result.'</td>
				</tr>';
			}
		}else{
			
			$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
			if(empty($get_test_results)){
				echo'
				<tr style="height:14px;">
				  <th scope="col" style="color:black; font-weight:bold; float:left;"><center>Test Requested:</center></th>
				  <th scope="col" style="color:blue; font-weight:bold; float:left;"><center>'.$test.'</center></th>
				</tr>
				<tr style="height:14px;">
				  <td colspan="2" style="color:black; float:right;"><center>There are no results yet</center></td>
				</tr>
				';
			}else{
				//Get the equipment used to analyse
				$get_analysis_equipment = $objHospital->get_analysis_equipment($test,$hospital_id,$sample_no);
				if(empty($get_analysis_equipment)){
					$equipment = 'N/A';
				}elseif($get_analysis_equipment == 'Click here to select equipment:'){
					$equipment = 'N/A';
				}else{
					$equipment = $get_analysis_equipment;
				}
				
				echo'
				<tr style="height:14px;">
				  <th style="color:black; font-weight:bold; float:left;">Test Requested:</th>
				  <th style="color:blue; font-weight:bold; float:left;">'.$test.'</th>
				  <th style="color:black; font-weight:bold;">Equipment Used:</th>
				  <th style="color:blue; font-weight:bold;">'.$equipment.'</th>
				</tr>
				<tr style="height:14px;">
				  <th scope="col" style="color:black; font-weight:bold;"><center>Parameter</center></th>
				  <th scope="col" style="color:black; font-weight:bold;"><center>Result</center></th>
				  <th scope="col" style="color:black; font-weight:bold;"><center>Normal Range</center></th>
				  <th scope="col" style="color:black; font-weight:bold;"><center>H/N/L</center></th>
				</tr>';
				$count_parameters = 0;
				foreach($get_test_results as $data){
					$parameter = $data['parameter_name'];
					$result = $data['result'];
					$review_comments = $data['review_comments'];
					$result_reviewed_by = $data['result_reviewed_by'];
					$review_date = $data['review_date'];
					$released_by = $data['released_by'];
					$release_date = $data['release_date'];
					
					
					
					$get_normal_interval = $objHospital->get_normal_interval($test,$parameter,$hospital_id,$gender,$age);
					if(empty($get_normal_interval)){
						$si_units = '';
						echo'
						<tr style="height:14px;">
						  <td scope="col" style="color:black;"><center>'.$parameter.' ('.$si_units.'):</center></td>
						  <td scope="col" style="color:blue;"><center>'.$result.'</center></td>
						  <td scope="col" style="color:blue;"><center>_</center></td>
						  <td scope="col" style="color:blue;"><center>_</center></td>
						</tr>
						';
					}else{
						
						foreach($get_normal_interval as $interval){
							$si_units = $interval['si_units'];
							$normal_lower_limit = $interval['normal_ll'];
							$normal_upper_limit = $interval['normal_ul'];
							$critical_ll = $interval['critical_ll'];
							$critical_ul = $interval['critical_ul'];
							$gender = $interval['gender'];
							$lower_age_limit = $interval['lower_age_limit'];
							$upper_age_limit = $interval['upper_age_limit'];
						
							echo'
							<tr style="height:14px;">
							  <td scope="col" style="color:black;"><center>'.$parameter.' ('.$si_units.'):</center></td>
							  <td scope="col" style="color:blue;"><center>'.$result.'</center></td>
							  <td scope="col" style="color:blue;"><center>'; 
							  if(($normal_upper_limit == '0' && $normal_lower_limit == '0') || (empty($normal_upper_limit) && empty($normal_lower_limit))){
								  echo'';
							  }else{
								  echo $normal_lower_limit.' - '.$normal_upper_limit;
							  }
							  echo'</center></td>
							  <td scope="col" style="color:blue;"><center>'; 
								if(($normal_upper_limit == '0' && $normal_lower_limit == '0') || (empty($normal_upper_limit) && empty($normal_lower_limit))){
									echo'';
								}else{
									
									if($result < $normal_lower_limit){
										echo'<span style="color:red">Low</span>';
									}elseif($result > $normal_upper_limit){
										echo'<span style="color:red">High</span>';
									}else{
										echo'<span style="color:blue">Normal</span>';
									}
								}
							  echo'</center></td>
							</tr>
							';
						}
					}
				}
				echo'<tr><td colspan="4"  style="text-align:left;"><span style="color:black;"><b>Interpretation: </b></span></td></tr>
				<tr><td colspan="4"  style="text-align:left;"><span style="color:blue;">';
				//Interprete quantitative result
				foreach($get_test_results as $data){
					$parameter = $data['parameter_name'];
					$result = $data['result'];
					
					$get_normal_interval = $objHospital->get_normal_interval($test,$parameter,$hospital_id,$gender,$age);
					foreach($get_normal_interval as $interval){
						$si_units = $interval['si_units'];
						$normal_lower_limit = $interval['normal_ll'];
						$normal_upper_limit = $interval['normal_ul'];
						//Interpretation
						$quantitative_interpretation = $objHospital->get_quantitative_interpretation($parameter);
						foreach($quantitative_interpretation as $data){
							$high_cause = $data['high'];
							$low_cause = $data['low'];
						
							if(($normal_upper_limit == '0' && $normal_lower_limit == '0') || (empty($normal_upper_limit) && empty($normal_lower_limit))){
								//Do nothing
							}else{
								if($result < $normal_lower_limit && !empty($low_cause)){
									echo'Low '.$parameter.' is suggestive of '.$low_cause.'. ';
								}elseif($result > $normal_upper_limit && !empty($high_cause)){
									echo'High '.$parameter.' is suggestive of '.$high_cause.'. ';
								}else{
									//Do Nothing
								}
							}
						}
					}
				}
				echo'</span></td></tr>';
			}
		}
	}
	$comments = $objHospital->get_result_interpretation($hospital_id,$sample_no,$patient_id);
	if(empty($comments)){
		//Do nothing
	}else{
		echo'<tr><td colspan="4"  style="text-align:left;"><span style="color:black;"><b>Comments: </b></span><span style="color:blue;">'.$comments.'</td></tr>';
	}
	
			//Collectors Details
			$get_collection_details = $objHospital->get_collection_details($sample_no,$hospital_id);
			if(empty($get_collection_details)){
				$collector = '_';
				$date_collected = '_';
			}else{
				foreach($get_collection_details as $details){
					$collector = $details['first_name'].' '.$details['last_name'];
					$date_collected = date('d-m-Y',strtotime($details['date_collected']));
				}
			}
			
			//Reception details
			$get_reception_details = $objHospital->get_reception_details($sample_no,$hospital_id);
			if(empty($get_reception_details)){
				$receiver = '_';
				$date_received = '_';
			}else{
				foreach($get_reception_details as $data){
					$receiver = $data['first_name'].' '.$data['last_name'];
					$date_received = date('d-m-Y',strtotime($data['date_received']));
				}
			}
			
			//Reviewed details
			$get_reviewer_details = $objHospital->get_reviewer_details($sample_no,$hospital_id);
			if(empty($get_reviewer_details)){
				$reviewer = '_';
				$date_reviewed = '_';
			}else{
				foreach($get_reviewer_details as $details){
					$reviewer = $details['first_name'].' '.$details['last_name'];
					$date_reviewed = date('d-m-Y',strtotime($details['review_date']));
				}
			}
			
			//Released details
			$get_releaser_details = $objHospital->get_releaser_details($sample_no,$hospital_id);
			if(empty($get_releaser_details)){
				$releaser = '_';
				$date_released = '_';
			}else{
				foreach($get_releaser_details as $data){
					$releaser = $data['first_name'].' '.$data['last_name'];
					$date_released = date('d-m-Y',strtotime($data['release_date']));
				}
			}
			echo'<tr style="height:1px; border:solid 2px;"></tr>
			<tr style="height:14px;">
			  <th scope="col" style="color:black;"><center>Collected By:</center></th>
			  <th scope="col" style="color:black;"><center>Date Collected:</center></th>
			  <th scope="col" style="color:black;"><center>Received By:</center></th>
			  <th scope="col" style="color:black;"><center>Date Received:</center></th>
			</tr>
			<tr style="height:14px;">
			  <td scope="col" style="color:blue;"><center>'.$collector.'</center></td>
			  <td scope="col" style="color:blue;"><center>'.$date_collected.'</center></td>
			  <td scope="col" style="color:blue;"><center>'.$receiver.'</center></td>
			  <td scope="col" style="color:blue;"><center>'.$date_received.'</center></td>
			</tr>
			<tr style="height:14px;">
			  <th scope="col" style="color:black;"><center>Reviewed By:</center></th>
			  <th scope="col" style="color:black;"><center>Date Reviewed:</center></th>
			  <th scope="col" style="color:black;"><center>Released By:</center></th>
			  <th scope="col" style="color:black;"><center>Date Released:</center></th>
			</tr>
			<tr style="height:14px;">
			  <td scope="col" style="color:blue;"><center>'.$reviewer.'</center></td>
			  <td scope="col" style="color:blue;"><center>'.$date_reviewed.'</center></td>
			  <td scope="col" style="color:blue;"><center>'.$releaser.'</center></td>
			  <td scope="col" style="color:blue;"><center>'.$date_released.'</center></td>
			</tr>
		</tbody>
	</table>';
		echo'</div>
		<div class="content" style="border-radius:10px; transform:rotate(-30deg); border-style:solid; border-color:#00008B; margin-top:-40px; margin-left:130px; width:17rem; height:10rem;">
			<table class="table table-borderless" style="margin-left:10px;">
				<tbody>
					<tr><th colspan="3" style="color:#00008B; line-height:0.3rem; font-size:16px; padding:-30px; font-weight:bold; border:none;"><center>'.$hospital_name.'</center><th></tr>
					<tr><th colspan="3" style="color:#00008B; line-height:0.1rem; border:none;  padding:-30px;"><center>'.$hospital_city.', '.$hospital_country.'</center></th></tr>
					<tr style="d-flex justify-content-between">
						<th style="border:none;">
							<div class="col-md-12 d-flex justify-content-between">
								<img src="../assets/images/bb.PNG" alt="image" class="mr-3" style="width:3rem; height:3rem;">
								<h5 style="color:red; margin-left:-50px; margin-top:10px;"><center>'.date("d-M-Y", time()).'</center></h5>
								<center><i class="fa fa-star" style="color:#00008B; margin-left:-40px; margin-top:10px;"></i></center>
							</div>
						</th>
					</tr>
					<tr><th colspan="3" style="color:#00008B; line-height:0.1rem; border:none;  padding:-30px;"><center>'.$hospital_phone.'</center></th></tr>
					<tr><th colspan="3" style="color:#00008B; line-height:0.1rem; border:none;  padding:-30px;"><center>'.$hospital_email.'</center></th></tr>
				</tbody>
			</table>
		</div>
		';
}
elseif(isset($_POST['equipment_name'])){
	if(empty($_POST['equipment_name']) && empty($_POST['brand'])){
		echo'Please enter the equipment name and brand';
	}else{
		$equipment_name = $_POST['equipment_name'];
		$unique_id = $_POST['unique_id'];
		$brand = $_POST['brand'];
		$model = $_POST['model'];
		$supplier_name = $_POST['supplier_name'];
		$supplier_contacts = $_POST['supplier_contacts'];
		$serial_no = $_POST['serial_no'];
		$condition_received = $_POST['condition_received'];
		$receipt_date = $_POST['receipt_date'];
		$entry_date = $_POST['entry_date'];
		$location = $_POST['location'];
		$last_service_date = $_POST['last_service_date'];
		$next_service_date = $_POST['next_service_date'];
		$verified = $_POST['verified'];
		$current_condition = $_POST['current_condition'];
		$user_id = $_POST['equipment_user_id'];
		$last_calibration_date = $_POST['last_calibration_date'];
		$next_calibration_date = $_POST['next_calibration_date'];
		$department_name = $_POST['equipment_department_name'];
		
		$save_equipment= $objHospital->save_equipment($user_id,$department_name,$equipment_name,$unique_id,$brand,$model,$supplier_name,$supplier_contacts,$serial_no,$condition_received,$receipt_date,$entry_date,$location,$last_service_date,$next_service_date,$verified,$current_condition,$last_calibration_date,$next_calibration_date);
	}
}
elseif(isset($_POST['view_equipment_id'])){
	$equipment_id = $_POST['view_equipment_id'];
	$department_name = $_POST['view_equipment_department'];
	$unique_id = $_POST['view_equipment_unique_id'];
	$hospital_id = $_POST['view_equipment_hospital_id'];
	
	$get_equipment_by_id = $objHospital->get_equipment_by_id($equipment_id,$department_name,$hospital_id);
	
	foreach($get_equipment_by_id as $equipment){
		$equipment_id = $equipment['equipment_id'];
		$hospital_id = $equipment['hospital_id'];
		$department_name = $equipment['department_name'];
		$equipment_name = $equipment['equipment_name'];
		$brand = $equipment['brand'];
		$model = $equipment['model'];
		$supplier_name = $equipment['supplier_name'];
		$supplier_contacts = $equipment['supplier_contacts'];
		$serial_no = $equipment['serial_no'];
		$condition_received = $equipment['condition_received'];
		$unique_id = $equipment['unique_id'];
		$receipt_date = $equipment['receipt_date'];
		$entry_date = $equipment['entry_date'];
		$location = $equipment['location'];
		$last_service_date = $equipment['last_service_date'];
		$next_service_date = $equipment['next_service_date'];
		$verified = $equipment['verified'];
		$current_condition = $equipment['current_condition'];
		$last_calibration_date = $equipment['last_calibration_date'];
		$next_calibration_date = $equipment['next_calibration_date'];
		
		echo'
		<div class="card-body">
		<div class="row">
		  <div class="col-12 grid-margin">
			<div class="card">
			  <div class="card-body">
				<h5 style="color:blue;">Equipment Details</h4>
				<form method="post" id="add_equipment_form">
				  <div class="row">
					<div class="col-md-6">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Equipment Name: </label>
						<label class="col-form-label" style="color:blue;">'.$equipment_name.'</label>
					  </div>
					</div>
					<div class="col-md-6">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Unique Identifier: </label>
						<label class="col-form-label" style="color:blue;">'.$unique_id.'</label>
					  </div>
					</div>
				  </div>
				  <div class="row">
					<div class="col-md-4">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Brand Name: </label>
						<label class="col-form-label"style="color:blue;">'.$brand.'</label>
					  </div>
					</div>
					<div class="col-md-3">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Model: </label>
						<label class="col-form-label" style="color:blue;">'.$model.'</label>
					  </div>
					</div>
					<div class="col-md-5">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Serial No: </label>
						<label class="col-form-label" style="color:blue;">'.$serial_no.'</label>
					  </div>
					</div>
				  </div>
				  <div class="row">
					<div class="col-md-6">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Supplier\'s Name: </label>
						<label class="col-form-label" style="color:blue;">'.$supplier_name.'</label>
					  </div>
					</div>
					<div class="col-md-6">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Supplier\'s Contacts: </label>
						<label class="col-form-label" style="color:blue;">'.$supplier_contacts.'</label>
					  </div>
					</div>
				  </div>
				  <div class="row">
					<div class="col-md-4">
						<div class="form-group row d-inline-flex">
						  <label class="col-form-label">Condition when received: </label>
						  <label class="col-form-label" style="color:blue;">'.$condition_received.'</label>
						</div>
					</div>
					<div class="col-md-4">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Receipt Date: </label>
						<label class="col-form-label" style="color:blue;">'.$receipt_date.'</label>
					  </div>
					</div>
					<div class="col-md-4">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Service Entry Date: </label>
						<label class="col-form-label" style="color:blue;">'.$entry_date.'</label>
					  </div>
					</div>
				  </div>
				  <div class="row">
					<div class="col-md-4">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Location: </label>
						<label class="col-form-label" style="color:blue;">'.$location.'</label>
					  </div>
					</div>
					<div class="col-md-4">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Last Date of Service: </label>
						<label class="col-form-label" style="color:blue;">'.$last_service_date.'</label>
					  </div>
					</div>
					<div class="col-md-4">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Next Date of Service: </label>
						<label class="col-form-label" style="color:blue;">'.$next_service_date.'</label>
					  </div>
					</div>
				  </div>
								  
				  <div class="row">
					<div class="col-md-6">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Verified before entry into Service: </label>
						<label class="col-form-label" style="color:blue;">'.$verified.'</label>
					  </div>
					</div>
					<div class="col-md-6">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Current Condition: </label>
						<label class="col-form-label" style="color:blue;">'.$current_condition.'</label>
					  </div>
					</div>
				  </div>
				  <div class="row">
					<div class="col-md-6">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Last date of Calibration (Where applicable): </label>
						<label class="col-form-label" style="color:blue;">'.$last_calibration_date.'</label>
					  </div>
					</div>
					<div class="col-md-6">
					  <div class="form-group row d-inline-flex">
						<label class="col-form-label">Next date of Calibration (Where applicable): </label>
						<label class="col-form-label" style="color:blue;">'.$next_calibration_date.'</label>
					  </div>
					</div>
				  </div>
				</form>
			  </div>
			</div>
		  </div>
	  <!-- partial -->
	</div>							
	</div>
		
		';
	}
	
}
elseif(isset($_POST['edit_equipment_id'])){
	$equipment_id = $_POST['edit_equipment_id'];
	$department_name = $_POST['edit_equipment_department'];
	$hospital_id = $_POST['edit_equipment_hospital_id'];
	$user_id = $_POST['edit_equipment_user_id'];
	
	$get_equipment_by_id = $objHospital->get_equipment_by_id($equipment_id,$department_name,$hospital_id);
	
	foreach($get_equipment_by_id as $equipment){
		$equipment_id = $equipment['equipment_id'];
		$hospital_id = $equipment['hospital_id'];
		$department_name = $equipment['department_name'];
		$equipment_name = $equipment['equipment_name'];
		$brand = $equipment['brand'];
		$model = $equipment['model'];
		$supplier_name = $equipment['supplier_name'];
		$supplier_contacts = $equipment['supplier_contacts'];
		$serial_no = $equipment['serial_no'];
		$condition_received = $equipment['condition_received'];
		$unique_id = $equipment['unique_id'];
		
		echo'
	  <div class="card-body">
		<h5 style="color:blue;">Add Equipment</h4>
		  <div class="row">
			<div class="col-md-6">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Equipment Name</label>
				<div class="col-sm-8">
				  <input name="edit_equipment_name" id="edit_equipment_name" type="text" class="form-control" placeholder="'.$equipment_name.'"/>
				</div>
			  </div>
			</div>
			<div class="col-md-6">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Unique Identifier</label>
				<div class="col-sm-8">
				  <input name="edit_unique_id" id="edit_unique_id" type="text" class="form-control" placeholder="'.$unique_id.'"/>
				</div>
			  </div>
			</div>
		  </div>
		  <div class="row">
			<div class="col-md-4">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Brand Name</label>
				<div class="col-sm-8">
				  <input name="edit_brand" id="edit_brand" type="text" class="form-control" placeholder="'.$brand.'"/>
				</div>
			  </div>
			</div>
			<div class="col-md-4">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Model</label>
				<div class="col-sm-8">
				  <input name="edit_model" id="edit_model" type="text" class="form-control" placeholder="'.$model.'"/>
				</div>
			  </div>
			</div>
			<div class="col-md-4">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Serial No</label>
				<div class="col-sm-8">
				  <input name="edit_serial_no" id="edit_serial_no" type="text" class="form-control" placeholder="'.$serial_no.'"/>
				</div>
			  </div>
			</div>
		  </div>
		  <div class="row">
			<div class="col-md-6">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Supplier\'s Name</label>
				<div class="col-sm-8">
				  <input name="edit_supplier_name" id="edit_supplier_name" type="text" class="form-control" placeholder="'.$supplier_name.'"/>
				</div>
			  </div>
			</div>
			<div class="col-md-6">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Supplier\'s Contacts</label>
				<div class="col-sm-8">
				  <input name="edit_supplier_contacts" id="edit_supplier_contacts" type="text" class="form-control" placeholder="'.$supplier_contacts.'"/>
				</div>
			  </div>
			</div>
		  </div>
		  <div class="row">
			<div class="col-md-4">
				<div class="form-group row">
				  <label class="col-sm-4 col-form-label">Condition when received</label>
					<div class="col-sm-8">
					  <select name="edit_condition_received" id="edit_condition_received" class="form-control">
						<option disabled>Select here:</option>
						<option>New</option>
						<option>Used</option>
						<option>Refurbished</option>
						<option>Non-functional</option>
					  </select>
					</div>
				</div>
			</div>
			<div class="col-md-4">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Receipt Date</label>
				<div class="col-sm-8">
				  <input name="edit_receipt_date" id="edit_receipt_date" type="date" class="form-control"/>
				</div>
			  </div>
			</div>
			<div class="col-md-4">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Service entry date</label>
				<div class="col-sm-8">
				  <input name="edit_entry_date" id="edit_entry_date" type="date" class="form-control"/>
				</div>
			  </div>
			</div>
		  </div>
		  <div class="row">
			<div class="col-md-4">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Location</label>
				<div class="col-sm-8">
				  <input name="edit_location" id="edit_location" type="text" class="form-control"/>
				</div>
			  </div>
			</div>
			<div class="col-md-4">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Last Date of Service</label>
				<div class="col-sm-8">
				  <input name="edit_last_service_date" id="edit_last_service_date" type="date" class="form-control"/>
				</div>
			  </div>
			</div>
			<div class="col-md-4">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Next Date of Service</label>
				<div class="col-sm-8">
				  <input name="edit_next_service_date" id="edit_next_service_date" type="date" class="form-control"/>
				</div>
			  </div>
			</div>
		  </div>
						  
		  <div class="row">
			<div class="col-md-6">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Verified before entry into Service:</label>
				<div class="col-sm-8">
				  <select name="edit_verified" id="edit_verified" class="form-control">
					<option disabled>Select here:</option>
					<option>Yes</option>
					<option>No</option>
				  </select>
				</div>
			  </div>
			</div>
			<div class="col-md-6">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Current Condition</label>
				<div class="col-sm-8">
				  <select name="edit_current_condition" id="edit_current_condition" class="form-control">
					<option disabled>Select here:</option>
					<option>Working</option>
					<option>Needs Repair</option>
					<option>Needs Service</option>
					<option>Needs Verification</option>
					<option>Needs Validation</option>
					<option>Obsolete</option>
					<option>Removed from laboratory</option>
				  </select>
				</div>
			  </div>
			</div>
		  </div>
		  <div class="row">
			<div class="col-md-6">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Last date of Calibration (Where applicable)</label>
				<div class="col-sm-8">
				  <input name="edit_last_calibration_date" id="edit_last_calibration_date" type="date" class="form-control" />
				</div>
			  </div>
			</div>
			<div class="col-md-6">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Next date of Calibration (Where applicable)</label>
				<div class="col-sm-8">
				  <input name="edit_next_calibration_date" id="edit_next_calibration_date" type="date" class="form-control" />
				</div>
			  </div>
			</div>
		  </div>
	  </div>
	  <div class="modal-footer d-flex justify-content-center">
			<input type="hidden" name="equipment_hospital_id_edit" value="'.$hospital_id.'">
			<input type="hidden" name="equipment_department_edit" value="'.$department_name.'">
			<input type="hidden" name="equipment_id_edit" value="'.$equipment_id.'">
			<input type="hidden" name="equipment_user_id_edit" value="'.$user_id.'">
			<center><button type="submit" id="edit_eqt_btn" class="btn btn-primary">Edit Equipment</button></center>
		</div>
	  ';
	}
	
}
elseif(isset($_POST['edit_current_condition'])){
	
	$equipment_name = $_POST['edit_equipment_name'];
	$unique_id = $_POST['edit_unique_id'];
	$brand = $_POST['edit_brand'];
	$model = $_POST['edit_model'];
	$supplier_name = $_POST['edit_supplier_name'];
	$supplier_contacts = $_POST['edit_supplier_contacts'];
	$serial_no = $_POST['edit_serial_no'];
	$condition_received = $_POST['edit_condition_received'];
	$receipt_date = $_POST['edit_receipt_date'];
	$entry_date = $_POST['edit_entry_date'];
	$location = $_POST['edit_location'];
	$last_service_date = $_POST['edit_last_service_date'];
	$next_service_date = $_POST['edit_next_service_date'];
	$verified = $_POST['edit_verified'];
	$current_condition = $_POST['edit_current_condition'];
	$equipment_id = $_POST['equipment_id_edit'];
	$last_calibration_date = $_POST['edit_last_calibration_date'];
	$next_calibration_date = $_POST['edit_next_calibration_date'];
	$department_name = $_POST['equipment_department_edit'];
	$hospital_id = $_POST['equipment_hospital_id_edit'];
	$user_id = $_POST['equipment_user_id_edit'];
		
	$edit_equipment= $objHospital->edit_equipment($user_id,$hospital_id,$equipment_id,$department_name,$equipment_name,$unique_id,$brand,$model,$supplier_name,$supplier_contacts,$serial_no,$condition_received,$receipt_date,$entry_date,$location,$last_service_date,$next_service_date,$verified,$current_condition,$last_calibration_date,$next_calibration_date);
}
//***********************************************************Test Menu****************************************************************
elseif(isset($_POST['genderDropDown'])){
	echo'<option value="male">Male</option>
	<option value="female">Female</option>';
}
elseif(isset($_POST['test_menu_test'])){
	if(empty($_POST['test_menu_test'])){
		echo'Please enter a test or select from the list of tests provided';
	}else{
		$test = $_POST['test_menu_test'];
		$category = $_POST['test_menu_category'];
		$user_id = $_POST['test_menu_user_id'];
		$cost = $_POST['test_menu_cost'];
		$report_type = $_POST['test_menu_report_type'];
		$tat = $_POST['test_menu_tat'];
		$sample = $_POST['test_menu_sample'];
		$volume = $_POST['test_menu_volume'];
		$available = 'yes';
		if(empty($_POST['test_menu_par_name']) && !isset($_POST['test_menu_par_name'])){
			$par_name = '';
			$normal_ll = '';
			$normal_ul = '';
			$critical_ll = '';
			$critical_ul = '';
			$gender = '';
			$age_group_name = '';
			$lower_age_limit = '';
			$upper_age_limit = '';
			$si_units = '';
			$multiplier = '';
			
		}else{
			$par_name = implode(',',$_POST['test_menu_par_name']);
			$normal_ll = implode(',',$_POST['test_menu_normal_ll']);
			$normal_ul = implode(',',$_POST['test_menu_normal_ul']);
			$critical_ll = implode(',',$_POST['test_menu_critical_ll']);
			$critical_ul = implode(',',$_POST['test_menu_critical_ul']);
			$gender = implode(',',$_POST['test_menu_gender']);
			$age_group_name = implode(',',$_POST['test_menu_age_group_name']);
			$lower_age_limit = implode(',',$_POST['test_menu_lower_age_limit']);
			$upper_age_limit = implode(',',$_POST['test_menu_upper_age_limit']);
			$si_units = implode(',',$_POST['test_menu_si_units']);
			$multiplier = implode(',',$_POST['test_menu_multiplier']);
		}
		
		$save_test= $objHospital->save_test($test,$category,$cost,$tat,$sample,$volume,$available,$par_name,$normal_ll,$normal_ul,$critical_ll,$critical_ul,$gender,$age_group_name,$lower_age_limit,$upper_age_limit,$user_id,$si_units,$multiplier,$report_type);
	}
}
elseif(isset($_POST['view_test_menu_id'])){
	$test_menu_id = $_POST['view_test_menu_id'];
	$hospital_id = $_POST['view_test_menu_hospital_id'];
	
	$get_test_menu_by_id = $objHospital->get_test_menu_by_id($test_menu_id,$hospital_id);
	
	foreach($get_test_menu_by_id as $row){			
		$test_menu_id = $row['test_menu_id'];
		$test_name = $row['test_name'];
		$test_category = $row['test_category'];
		$cost = $row['cost'];
		$report_type = $row['report_type'];
		$tat = $row['tat'];
		$sample_type = $row['sample_type'];
		$sample_volume = $row['sample_volume'];
		$available = $row['available'];
	}
	
	echo'
		<div class="row">
		 <div class="col-md-6">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Test Name</label>
			<div class="col-sm-8">
			  <label class="col-sm-12 col-form-label"><span style="color:blue;">'.$test_name.'</span></label>
			</div>
		  </div>
		</div>
		<div class="col-md-6">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Test Category</label>
			<div class="col-sm-8">
			  <label class="col-sm-12 col-form-label"><span style="color:blue;">'.$test_category.'</span></label>
			</div>
		  </div>
		</div>
	  </div>
	  <div class="row">
	  <div class="col-md-4">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Cost</label>
			<div class="col-sm-8">
			  <label class="col-sm-12 col-form-label"><span style="color:blue;">'.$cost.'</span></label>
			</div>
		  </div>
	  </div>
	  <div class="col-md-4">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Report Type</label>
			<div class="col-sm-8">
			  <label class="col-sm-12 col-form-label"><span style="color:blue;">'.$report_type.'</span></label>
			</div>
		  </div>
	  </div>
	  <div class="col-md-4">
		<div class="form-group row">
			<label class="col-sm-4 col-form-label">TAT (Hrs)</label>
			<div class="col-sm-8">
				<label class="col-sm-12 col-form-label"><span style="color:blue;">'.$tat.' (Hrs)</span></label>
			</div>
		</div>
		</div>
	  </div>
	  <div class="row">
		  <div class="col-md-6">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Type of sample</label>
				<div class="col-sm-8">
				  <label class="col-sm-12 col-form-label"><span style="color:blue;">'.$sample_type.'</span></label>
				</div>
			  </div>
		  </div>
		  <div class="col-md-6">
			<div class="form-group row">
				<label class="col-sm-4 col-form-label">Sample volume</label>
				<div class="col-sm-8">
					<label class="col-sm-12 col-form-label"><span style="color:blue;">'.$sample_volume.'</span></label>
				</div>
			</div>
		  </div>
	  </div><hr>';
	  //Parameter detals
	  $get_parameters = $objHospital->get_test_parameters_by_testmenu_id($test_menu_id,$hospital_id);
	  
	  if(empty($get_parameters)){
		  echo'<span style="color:red">No parameter entries for this test </span>';
	  }else{
		  echo'<h5>Parameters</h5>';
		  foreach($get_parameters as $row){
			  $test_parameter_name = $row['test_parameter_name'];
			  $normal_ll = $row['normal_ll'];
			  $normal_ul = $row['normal_ul'];
			  $critical_ll = $row['critical_ll'];
			  $critical_ul = $row['critical_ul'];
			  $gender = $row['gender'];
			  $age_group_name = $row['age_group_name'];
			  $lower_age_limit = $row['lower_age_limit'];
			  $upper_age_limit = $row['upper_age_limit'];
			  $si_units = $row['si_units'];
			 
			  echo'
			  <div class="col-md-12 added">
				<div class="form-group row">
					<div class="col-sm-2">
						<label class="col-sm-12 col-form-label"><span style="color:blue;">'.$test_parameter_name.'</span></label>
					</div>
					<div class="col-sm-2">
						<label class="col-sm-12 col-form-label">Normal Interval: <span style="color:blue;">'.$normal_ll.' - '.$normal_ul.' ('.$si_units.')</span></label>
					</div>
					<div class="col-sm-2">
						<label class="col-sm-12 col-form-label">Critical Values: <span style="color:blue;"><'.$critical_ll.' or > '.$critical_ul.' ('.$si_units.')</span></label>
					</div>
					<div class="col-sm-2">
						<label class="col-sm-12 col-form-label">Gender: <span style="color:blue;">'.$gender.'</span></label>
					</div>
					<div class="col-sm-2">
						<label class="col-sm-12 col-form-label">Age Group Name: <span style="color:blue;">'.$age_group_name.'</span></label>
					</div>
					<div class="col-sm-2">
						<label class="col-sm-12 col-form-label">Years: <span style="color:blue;">'.$lower_age_limit.' - '.$upper_age_limit.' years</span></label>
					</div>
				</div>
			</div><hr>
			  ';
		  }
	  }
}
elseif(isset($_POST['edit_test_menu_id'])){
	$test_menu_id = $_POST['edit_test_menu_id'];
	$hospital_id = $_POST['edit_test_menu_hospital_id'];
	$user_id = $_POST['edit_test_menu_user_id'];
	
	$edit_test_menu_by_id = $objHospital->get_test_menu_by_id($test_menu_id,$hospital_id);
	foreach($edit_test_menu_by_id as $row){			
		$test_menu_id = $row['test_menu_id'];
		$test_name = $row['test_name'];
		$test_category = $row['test_category'];
		$cost = $row['cost'];
		$report_type = $row['report_type'];
		$tat = $row['tat'];
		$sample_type = $row['sample_type'];
		$sample_volume = $row['sample_volume'];
		$available = $row['available'];
	}
	echo'<form method="post" class="form-sample" id="test_edit_form">
	<div class="row">
		<div class="col-md-6">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Test Name</label>
			<div class="col-sm-8">
			  <input name="test_edit" type="text" class="form-control" Placeholder="'.$test_name.'"/>
			</div>
		  </div>
		</div>
		<div class="col-md-6">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Test Category</label>
			<div class="col-sm-8">
			  <input name="category_edit" type="text" class="form-control" placeholder="'.$test_category.'" />
			</div>
		  </div>
		</div>
	  </div>
	  <div class="row">
	  <div class="col-md-4">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Cost</label>
			<div class="col-sm-8">
			  <input class="form-control" name="cost_edit" type="text" placeholder="'.$cost.'" />
			</div>
		  </div>
	  </div>
	  <div class="col-md-4">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Report Type: <span style="color:blue;">'.$report_type.'</span></label>
			<div class="col-sm-8">
			  <select name="report_type_edit" class="form-control" id="tat" >
					<option>Positive/Negative</option>
					<option>Reactive/Non Reactive</option>
					<option>Open - Qualitative</option>
					<option>Semi-Quantitative</option>
					<option>Quantitative</option>
			  </select>
			</div>
		  </div>
	  </div>
	  <div class="col-md-4">
		<div class="form-group row">
			<label class="col-sm-4 col-form-label">Turn Around Time</label>
			<div class="col-sm-8">
				<select name="tat_edit" class="form-control" id="tat" >
					<option disabled>Select TAT in hrs</option>
					<option>0.5</option>
					<option>1</option>
					<option>1.5</option>
					<option>2</option>
					<option>2.5</option>
					<option>3</option>
					<option>3.5</option>
					<option>4</option>
					<option>4.5</option>
					<option>5</option>
					<option>5.5</option>
					<option>6</option>
					<option>7</option>
					<option>7.5</option>
					<option>8</option>
					<option>8.5</option>
					<option>9</option>
					<option>9.5</option>
					<option>10</option>
					<option>10.5</option>
					<option>11</option>
					<option>11.5</option>
					<option>12</option>
					<option>12.5</option>
					<option>13</option>
					<option>13.5</option>
					<option>14</option>
					<option>14.5</option>
					<option>15</option>
					<option>15.5</option>
					<option>16</option>
					<option>16.5</option>
					<option>17</option>
					<option>17.5</option>
					<option>18</option>
					<option>18.5</option>
					<option>19</option>
					<option>19.5</option>
					<option>20</option>
					<option>20.5</option>
					<option>21</option>
					<option>21.5</option>
					<option>22</option>
					<option>22.5</option>
					<option>23</option>
					<option>23.5</option>
					<option>24</option>
					<option>36</option>
					<option>48</option>
					<option>60</option>
					<option>72</option>
				</select>
			</div>
		</div>
		</div>
	  </div>
	  <div class="row">
	  <div class="col-md-6">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Type of sample</label>
			<div class="col-sm-8">
			  <input class="form-control" name="sample_edit" type="text" placeholder="'.$sample_type.'" />
			</div>
		  </div>
	  </div>
	  <div class="col-md-6">
		<div class="form-group row">
			<label class="col-sm-4 col-form-label">Sample volume</label>
			<div class="col-sm-8">
				<input type="text" name="volume_edit" class="form-control" Placeholder="'.$sample_volume.'"/>
			</div>
		</div>
	   </div>
	  </div>
	  <div class="row">
		<div class="col-md-8">
		  <div class="form-group row radios">
			<label class="col-sm-3 col-form-label">Availability</label>
			<div class="col-sm-4">
			  <div class="form-check">
				<label class="form-check-label">
				  <input type="radio" class="form-check-input" name="available_edit" id="available" value="" checked /> Test currently available </label>
			  </div>
			</div>
			<div class="col-sm-5">
			  <div class="form-check">
				<label class="form-check-label">
				  <input type="radio" class="form-check-input" name="not_available_edit" id="not_available" value="option2" /> Currently not available </label>
			  </div>
			</div>
		  </div>
		</div>
		<div class="col-md-4">
			<div class="d-flex justify-content-center">
				<button type="button" class="btn btn-lg btn-success" id="edit_parameter"><span style="font-size:14px;">Add Parameter & Reference Intervals</span></button>
			</div>
	   </div>
	  </div>
	  <div class="row edit_parameter_row">
		<!--Parameters go here--->
	  </div>
	  <div class="row">
		<div class="col-lg-12 grid-margin stretch-card">
			<div class="card">
			  <div class="card-body overflow-auto" >
				<h4 class="card-title"></h4>
				<div class="table-responsive">
				  <table class="table table-striped">
					<thead>
					  <tr>
						<th style="vertical-align:top;"><b >No.</b></th>
						<th style="vertical-align:top;"><b >Parameter</b></th>
						<th style="vertical-align:top;"><b>Normal Interval</b></th>
						<th style="vertical-align:top;"><b>Critical Values</b></th>
						<th style="vertical-align:top;"><b>Gender</b></th>
						<th style="vertical-align:top;"><b>Age Group</b></th>
						<th style="vertical-align:top;"><b>Years</b></th>
						<th style="vertical-align:top;"><b>Remove</b></th>
					  </tr>
					</thead>
					<tbody id="parameter_table">';
					  $get_parameters = $objHospital->get_test_parameters_by_testmenu_id($test_menu_id,$hospital_id);

					  if(empty($get_parameters)){
						  echo'<span style="color:red">No parameter entries for this test </span>';
					  }else{
						  echo'<h5>Parameters</h5>';
						  foreach($get_parameters as $row){
							  $test_parameter_id  = $row['test_parameter_id'];
							  $test_parameter_name = $row['test_parameter_name'];
							  $normal_ll = $row['normal_ll'];
							  $normal_ul = $row['normal_ul'];
							  $critical_ll = $row['critical_ll'];
							  $critical_ul = $row['critical_ul'];
							  $gender = $row['gender'];
							  $age_group_name = $row['age_group_name'];
							  $lower_age_limit = $row['lower_age_limit'];
							  $upper_age_limit = $row['upper_age_limit'];
							  $si_units = $row['si_units'];
							echo'<tr>
								<td>'.$test_parameter_id.'</td>
								<td>'.$test_parameter_name.'</td>
								<td>'.$normal_ll.' - '.$normal_ul.'</td>
								<td>'.$critical_ll.' - '.$critical_ul.'</td>
								<td>'.$gender.'</td>
								<td>'.$age_group_name.'</td>
								<td>'.$lower_age_limit.' - '.$upper_age_limit.'</td>
								<td><input class="btn btn-danger delete_par" id="delete_par" data-test-parameter-id="'.$test_parameter_id.'" data-par-hospital-id="'.$hospital_id.'" type="button" value="Delete '.$test_parameter_name.'"/></td>
							</tr>';
						  }
					  }
					echo'</tbody>
				  </table>
				  
				</div>
			  </div>
			</div>
		  </div>
	</div>
	  <div class="row">
		<div class="col-md-12">
			<div class="d-flex justify-content-center">
				<input type="hidden" name="user_id_edit" value="'.$user_id.'">
				<input type="hidden" name="test_menu_id_edit" value="'.$test_menu_id.'">
				<input type="hidden" name="hospital_id_edit" value="'.$hospital_id.'">
				<button type="submit" class="btn btn-lg btn-primary" id="edit"><span style="font-size:16px;">Save Changes</span></button>
			</div>
		</div>
	  </div>
	</form>
	';
}
elseif(isset($_POST['delete_par'])){
	$test_parameter_id = $_POST['delete_par'];
	$hospital_id = $_POST['hosp_id'];
	$delete_parameter = $objHospital->delete_parameter($test_parameter_id,$hospital_id);
}
elseif(isset($_POST['test_edit'])){
		$test = $_POST['test_edit'];
		$hospital_id = $_POST['hospital_id_edit'];
		$category = $_POST['category_edit'];
		$test_menu_id = $_POST['test_menu_id_edit'];
		$user_id = $_POST['user_id_edit'];
		$cost = $_POST['cost_edit'];
		$report_type = $_POST['report_type_edit'];
		$tat = $_POST['tat_edit'];
		$sample = $_POST['sample_edit'];
		$volume = $_POST['volume_edit'];
		if(isset($_POST['available_edit'])){
			$available = 'yes';
		}elseif(isset($_POST['not_available_edit'])){
			$available = 'no';
		}
		
		if(empty($_POST['par_name_edit']) && !isset($_POST['par_name_edit'])){
			$par_name = '';
			$normal_ll = '';
			$normal_ul = '';
			$critical_ll = '';
			$critical_ul = '';
			$gender = '';
			$age_group_name = '';
			$lower_age_limit = '';
			$upper_age_limit = '';
			$si_units = '';
			$multiplier = '';
			
		}else{
			$par_name = implode(',',$_POST['par_name_edit']);
			$normal_ll = implode(',',$_POST['normal_ll_edit']);
			$normal_ul = implode(',',$_POST['normal_ul_edit']);
			$critical_ll = implode(',',$_POST['critical_ll_edit']);
			$critical_ul = implode(',',$_POST['critical_ul_edit']);
			$gender = implode(',',$_POST['gender_edit']);
			$age_group_name = implode(',',$_POST['age_group_name_edit']);
			$lower_age_limit = implode(',',$_POST['lower_age_limit_edit']);
			$upper_age_limit = implode(',',$_POST['upper_age_limit_edit']);
			$si_units = implode(',',$_POST['si_units_edit']);
			$multiplier = implode(',',$_POST['test_menu_multiplier_edit']);
		}
				
		$update_test= $objHospital->update_test($user_id,$test_menu_id,$test,$category,$cost,$tat,$sample,$volume,$available,$par_name,$normal_ll,$normal_ul,$critical_ll,$critical_ul,$gender,$age_group_name,$lower_age_limit,$upper_age_limit,$si_units,$multiplier,$hospital_id,$report_type);

}
elseif(isset($_POST['delete_test_menu_id'])){
	$test_menu_id = $_POST['delete_test_menu_id'];
	$hospital_id = $_POST['delete_hospital_id'];
	
	$delete_test = $objHospital->delete_test($test_menu_id,$hospital_id);
}
elseif(isset($_POST['reagent_test_menu_id'])){
	$test_menu_id = $_POST['reagent_test_menu_id'];
	$hospital_id = $_POST['reagent_test_menu_hospital_id'];
	$user_id = $_POST['reagent_user_id'];
	
	$department = 'Laboratory'; 
	
	$get_test_reagent_by_id = $objHospital->get_test_reagent_by_testmenu_id($test_menu_id,$hospital_id,$department);
	if(empty($get_test_reagent_by_id)){
		echo'<tr><td colspan"4" style="color:red;"><center>There are no reagents added for this test</center></td></tr>';
	}else{
		foreach($get_test_reagent_by_id as $row){			
			$reagent_id = $row['reagent_id'];
			$hospital_id = $row['hospital_id'];
			$reagent_name = $row['reagent_name'];
			$product_id = $row['product_id'];
			$department = $row['department'];
			
			//Get the product stock balance and ppi
			$get_stock_ppi = $objHospital->get_store_stock_ppi($product_id,$user_id);
			$stock_balance = $objHospital->get_store_balance($product_id, $hospital_id);
			
			if(empty($get_stock_ppi)){
				$runs_left = 0;
			}else{
				foreach($get_stock_ppi as $row){
					$stock_ppi = $row['stock_ppi'];
					$sum_ppi = $row['sum_ppi'];
					$quantity_issued = $row['quantity_issued'];
					
					//If each item works on one patient, then the runs left are the balance at hand, else ppi minus the quantity issued
					if($stock_ppi == '1'){
						$runs_left = intval($stock_balance) - 1;
					}else{
						$runs_left = (intval($sum_ppi) - intval($quantity_issued)) - 1;
					}
				}
			}
			
			echo'<tr>
				<td scope="col"><center>'.$reagent_id.'</center></td>
				<td scope="col"><center>'.$reagent_name.'</center></td>
				<td scope="col"><center>'.$runs_left.'</center></td>
				<td scope="col"><center>Delete</center></td>
			</tr>';
		}
	}
}
elseif(isset($_POST['get_select_field_reagents'])){
	$user_id = $_POST['get_select_field_reagents'];
	
	$get_store_reagents = $objHospital->get_all_store_reagents($user_id);
	if(empty($get_store_reagents)){
		echo'<option>There are no reagents in the store yet</option>';
	}else{
		echo'<option>Click here to select:</option>';
		foreach($get_store_reagents as $row){
			$product_id = $row['store_product_id'];
			$product_name = $row['product_name'];
			echo'<option value="'.$product_id.'">'.$product_name.'</option>';
		}
	}
}
elseif(isset($_POST['add_reagent_name'])){
	$reagent_id = $_POST['add_reagent_name'];
	$user_id = $_POST['reagent_user_id'];
	$test_name = $_POST['reagent_test_name'];
	$test_menu_id = $_POST['reagent_test_id'];
	$department = 'Laboratory';
	
	$save_reagent = $objHospital->save_reagent($reagent_id,$user_id,$test_name,$test_menu_id,$department);
}
elseif(isset($_POST['add_unit_blood_group'])){
	$blood_group = $_POST['add_unit_blood_group'];
	$rhesus_type = $_POST['add_unit_rhesus_type'];
	$unit_number = $_POST['add_unit_number'];
	$expiry_date = $_POST['add_unit_expiry_date'];
	$product_type = $_POST['add_unit_product_type'];
	$user_id = $_POST['add_unit_user_id'];
	
	$add_unit = $objHospital->add_unit($blood_group,$rhesus_type,$unit_number,$expiry_date,$product_type,$user_id);
}
elseif(isset($_POST['issue_blood_blood_id'])){
	$blood_id = $_POST['issue_blood_blood_id'];
	$user_id = $_POST['issue_blood_user_id'];
	$patient_id = $_POST['issue_blood_patient_id'];
	
	$issue_blood = $objHospital->issue_blood($blood_id,$user_id,$patient_id);
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}








?>