<?php 
require_once '../vendor/autoload.php';

use AfricasTalking\SDK\AfricasTalking;

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include '../model/hospital.php';

$objHospital = new Hospitals();

//f06ddfd9548f6b077ee7f8ad2832de86e1bf0db1abde683fca5d1729ee7af148

if(isset($_POST['sms_patient_id'])){
	$patient_id = $_POST['sms_patient_id'];
	$hospital_id = $_POST['sms_hospital_id'];
	$user_id = $_POST['sms_user_id'];
	
	//Get patient detiails
	$get_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
	foreach($get_patient as $patient){
		$patient_first_name = $patient['first_name'];
		$patient_last_name = $patient['last_name'];
		$phone = $patient['phone_number'];
	}
	
	//Get hospital detiails
	$get_hospital = $objHospital->get_hospital_details($hospital_id);
	foreach($get_hospital as $patient){
		$hospital_name = $patient['hospital_name'];
	}

	$username = "jupyter";
	$apiKey = "f06ddfd9548f6b077ee7f8ad2832de86e1bf0db1abde683fca5d1729ee7af148";

	$AT = new AfricasTalking($username, $apiKey);
	
	// Get one of the services
	$sms = $AT->sms();

	// Use the service
	$result = $sms->send([
		"to" => $phone,
		"message" => "Thank you for visiting ".$hospital_name." We wish you a quick recovery."
	]);
	//echo json_encode($result);
	
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}
elseif(isset($_POST['delete_request_reason'])){
	$reason = $_POST['delete_request_reason'];
	$user_id = $_POST['delete_request_user_id'];
	$patient_id = $_POST['delete_request_patient_id'];
	$hospital_id = $_POST['delete_request_hospital_id'];
	$request_id = $_POST['delete_request_request_id'];
	$request_name = $_POST['delete_request_request_name'];
	$department = $_POST['delete_request_department'];
	
	$delete_requested_service = $objHospital->delete_requested_service($reason,$patient_id,$hospital_id,$request_id,$user_id,$department,$request_name); 
	
	//Get super admin email
	$get_super_admin = $objHospital->get_super_admin($user_id);
	foreach($get_super_admin as $row){
		$admin_first_name = $row['first_name'];
		$admin_last_name = $row['last_name'];
		$admin_email = $row['email'];
	}
	
	//Get user details
	$user_details = $objHospital->get_user($user_id);
	foreach($user_details as $user){
		$first_name = $user['first_name'];
		$last_name = $user['last_name'];
	}
	
	//Get patient details
	$patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
	foreach($patient_details as $patient){
		$patient_first_name = $patient['first_name'];
		$patient_last_name = $patient['last_name'];
	}
	
	
}


























?>