<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['stock_request_user_id'])){
	$user_id = $_POST['stock_request_user_id'];
		
	$get_orders = $objHospital->get_stock_order_requests($user_id);
	if(empty($get_orders)){
		echo'<tr><td colspan="8" style="color:red;"><center>There are no requests made yet</center></td></tr>';
	}else{
		foreach($get_orders as $order){
			$order_id = $order['procurement_order_id'];
			$hospital_id = $order['hospital_id'];
			$product_name = $order['product_name'];
			$date_ordered = $order['date_ordered'];
			$product_id = $order['product_id'];
			$department = $order['department_name'];
			$order_qty = $order['order_qty'];
			echo'<tr class="product_rows" data-order-id="'.$order_id.'" data-order-qty="'.$order_qty.'" data-hospital-id="'.$hospital_id.'" data-product-id="'.$product_id.'" data-product-name="'.$product_name.'" data-department="'.$department.'">
				<td style="line-height:0.7rem; font-size:13px; color:black;" >'.$product_name.'</td>
				<td style="line-height:0.7rem; font-size:13px; color:black;" >'.$department.'</td>
				<td style="line-height:0.7rem; font-size:13px; color:black;" >'.$order_qty.'</td>
				<td style="line-height:0.7rem; font-size:13px; color:black;" >'.date('d-m-Y',strtotime($date_ordered)).'</td>
			</tr>';
		}
	}
	
}
elseif(isset($_POST['add_order_product_id'])){
	$user_id = $_POST['add_order_product_user_id'];
	$product_id = $_POST['add_order_product_id'];
	$hospital_id = $_POST['add_order_hospital_id'];
	$order_id = $_POST['add_order_product_order_id'];
	$product_name = $_POST['add_order_product_name'];
	$department = $_POST['add_order_department'];
	
	//Get product details
	if($department == 'Pharmacy'){
		$get_product = $objHospital->get_product_by_product_id($product_id,$hospital_id);
		foreach($get_product as $product){
			$product_id = $product['pharmacy_product_id'];
			$product_name = $product['product_name'];
			$product_brand = $product['product_brand'];
			$product_sold_as = $product['product_sold_as'];
			$unit_strength = $product['unit_strength'];
		}
	}else{
		$get_product = $objHospital->get_store_product_by_product_id($product_id,$hospital_id);
		foreach($get_product as $product){
			$product_id = $product['store_product_id'];
			$product_name = $product['product_name'];
			$product_brand = $product['product_brand'];
			$product_sold_as = $product['product_sold_as'];
			$unit_strength = $product['unit_strength'];
		}
	}
	
	echo'<tr>
		<td><center>'.$product_name.'</center><input name="order_product_name[]" type="hidden" class="form-control product_name" value="'.$product_name.'"/></td>
		<td><center>'.$unit_strength.'</center><input name="order_unit_strength[]" type="hidden" class="form-control unit_strength" value="'.$unit_strength.'"/></td>
		<td><center>'.$product_brand.'</center><input name="order_product_brand[]" type="hidden" class="form-control product_brand" value="'.$product_brand.'"/></td>
		<td><center>'.$product_sold_as.'</center><input name="order_product_sold_as[]" type="hidden" class="form-control product_sold_as" value="'.$product_sold_as.'"/></td>
		<td><center><input name="order_product_quantity[]" type="text" class="form-control product_quantity" style="width:7rem; border:solid 1px; border-radius:3px;"></center></td>
		<td><center><button type="button" class="btn btn-sm btn-danger remove_new_product_btn"><i class="fa fa-minus"></i></button></center>
		<input name="order_product_id[]" type="hidden" class="form-control product_id" value="'.$product_id.'"/><input name="order_po_id[]" type="hidden" class="form-control po_id" value="'.$order_id.'"/>
		</td>
	</tr>
	';
}
elseif(isset($_POST['order_supplier_name'])){
	$product_name = implode(',',$_POST['order_product_name']);
	$unit_strength = implode(',',$_POST['order_unit_strength']);
	$brand = implode(',',$_POST['order_product_brand']);
	$sold_as = implode(',',$_POST['order_product_sold_as']);
	$quantity = implode(',',$_POST['order_product_quantity']);
	$product_id = implode(',',$_POST['order_product_id']);
	$po_id = implode(',',$_POST['order_po_id']);
	$supplier_name = $_POST['order_supplier_name'];
	$po_number = $_POST['order_po_number'];
	$receive_date = $_POST['order_receive_date'];
	$specification = $_POST['order_specification'];
	$user_id = $_POST['order_user_id'];
	
	print_r($product_name);
	
	$save_procurement_order = $objHospital->save_procurement_order($product_id,$unit_strength,$brand,$sold_as,$quantity,$product_name,$supplier_name,$po_number,$receive_date,$specification,$user_id,$po_id);
	
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}
























?>