<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['role_staff_id'])){
	$role_staff_id = $_POST['role_staff_id'];
	$role_user_id = $_POST['role_user_id'];
	$description= $_POST['role_description'];
	if(!isset($_POST['enter_patient_data'])){
		$enter_patient_data = '';
	}else{
		$enter_patient_data = 'yes';
	}
	if(!isset($_POST['access_patient_data'])){
		$access_patient_data = '';
	}else{
		$access_patient_data = 'yes';
	}
	if(!isset($_POST['full_reception_access'])){
		$full_reception_access = '';
	}else{
		$full_reception_access = 'yes';
	}
	if(!isset($_POST['full_dr_room_access'])){
		$full_dr_room_access = '';
	}else{
		$full_dr_room_access = 'yes';
	}
	if(!isset($_POST['delete_patient_data'])){
		$delete_patient_data = '';
	}else{
		$delete_patient_data = 'yes';
	}
	if(!isset($_POST['changes_to_all_department_data'])){
		$changes_to_all_department_data = '';
	}else{
		$changes_to_all_department_data = 'yes';
	}
	if(!isset($_POST['access_department_data'])){
		$access_department_data = '';
	}else{
		$access_department_data = 'yes';
	}
	if(!isset($_POST['add_department_patient_data'])){
		$add_department_patient_data = '';
	}else{
		$add_department_patient_data = 'yes';
	}
	if(!isset($_POST['make_changes_to_hr_data'])){
		$make_changes_to_hr_data = '';
	}else{
		$make_changes_to_hr_data = 'yes';
	}
	if(!isset($_POST['access_hr_data'])){
		$access_hr_data = '';
	}else{
		$access_hr_data = 'yes';
	}
	if(!isset($_POST['manage_bed_data'])){
		$manage_bed_data = '';
	}else{
		$manage_bed_data = 'yes';
	}
	if(!isset($_POST['access_bed_data'])){
		$access_bed_data = '';
	}else{
		$access_bed_data = 'yes';
	}
	if(!isset($_POST['access_cashier_data'])){
		$access_cashier_data = '';
	}else{
		$access_cashier_data = 'yes';
	}
	if(!isset($_POST['approve_services'])){
		$approve_services = '';
	}else{
		$approve_services = 'yes';
	}
	if(!isset($_POST['enter_cashier_data'])){
		$enter_cashier_data = '';
	}else{
		$enter_cashier_data = 'yes';
	}
	if(!isset($_POST['access_financial_reports'])){
		$access_financial_reports = '';
	}else{
		$access_financial_reports = 'yes';
	}
	if(!isset($_POST['change_user_roles'])){
		$change_user_roles = '';
	}else{
		$change_user_roles = 'yes';
	}
	if(!isset($_POST['access_stores_dept'])){
		$access_stores_dept = '';
	}else{
		$access_stores_dept = 'yes';
	}
	if(!isset($_POST['access_procurement_dept'])){
		$access_procurement_dept = '';
	}else{
		$access_procurement_dept = 'yes';
	}
	if(!isset($_POST['super_user'])){
		$super_user = '';
	}else{
		$super_user = 'yes';
	}
	
	$add_role = $objHospital->add_role($description,$role_staff_id,$enter_patient_data,$access_patient_data,$delete_patient_data,$full_reception_access,$full_dr_room_access,$changes_to_all_department_data,$access_department_data,$add_department_patient_data,$make_changes_to_hr_data,$access_hr_data,$manage_bed_data,$access_bed_data,$access_cashier_data,$approve_services,$enter_cashier_data,$access_financial_reports,$change_user_roles,$super_user,$role_user_id,$access_stores_dept,$access_procurement_dept);
	
}
elseif(isset($_POST['dept_role_staff_id'])){
	$staff_id = $_POST['dept_role_staff_id'];
	$dept_id = $_POST['dept_role_dept_id'];
	$user_id = $_POST['dept_role_user_id'];
	
	$dept_roles = $objHospital->add_dept_roles($staff_id,$dept_id,$user_id);
}
elseif(isset($_POST['edit_role_staff_id'])){
	$staff_id = $_POST['edit_role_staff_id'];
	$hospital_id = $_POST['edit_role_hospital_id'];
	$user_id = $_POST['edit_role_user_id'];
	
	$get_roles = $objHospital->get_staff_roles($staff_id,$hospital_id);

	foreach($get_roles as $roles){
		$staff_id = $roles['staff_id'];
		$first_name = $roles['first_name'];
		$last_name = $roles['last_name'];
		$hospital_id = $roles['hospital_id'];
		
		
		echo'
		<form method="post" id="edit_roles_form">
		<div class="modal-body results_modal_body" style="height:35rem;">
			<div class="card">
				<div class="card-body">
					<div class="basic-form">
						<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px;">
							<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Role Assignee</h6>
						</div>
						<div class="form-row" style="font-size:16px;">
							<div class="form-group col-md-12">
								<label>Staff:</label>
								<label>'.$first_name.' '.$last_name.'</label>
							</div>
							<div class="form-group col-md-12">
								<label>Role Description</label>
								<textarea class="form-control" type="text" name="edit_role_description" rows="2" style="height:100%;"></textarea>
							</div>
						</div>
						<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
							<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Patient Management Tasks</h6>
						</div>
						<div class="form-row">
							<div class="form-group col-md-12" style="font-size:16px;">
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_enter_patient_data"	>
									<label class="form-check-label" for="enter_patient_data">Can enter patient data</label>
								</div>
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_access_patient_data">
									<label class="form-check-label" for="access_patient_data">Can access patient data</label>
								</div>
								<div class="form-check disabled">
									<input type="checkbox" class="form-check-input" name="edit_delete_patient_data">
									<label class="form-check-label" for="delete_patient_data">Can DELETE patient data</label>
								</div>
							</div>
						</div>
						<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
							<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Department Management Tasks</h6>
						</div>
						<div class="form-row">
							<div class="form-group col-md-12" style="font-size:16px;">
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_changes_to_all_department_data">
									<label class="form-check-label" for="changes_to_all_department_data">Can make changes to all department data</label>
								</div>
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_access_department_data">
									<label class="form-check-label" for="access_department_data">Can access department data</label>
								</div>
								<div class="form-check disabled">
									<input type="checkbox" class="form-check-input" name="edit_add_department_patient_data">
									<label class="form-check-label" for="add_department_patient_data">Can add assigned department patient data</label>
								</div>
							</div>
						</div>
						<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
							<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">HR Management Tasks</h6>
						</div>
						<div class="form-row">
							<div class="form-group col-md-12" style="font-size:16px;">
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_make_changes_to_hr_data"	>
									<label class="form-check-label" for="make_changes_to_hr_data">Can make changes to Human Resource data</label>
								</div>
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_access_hr_data">
									<label class="form-check-label" for="access_hr_data">Can access Human Resource data</label>
								</div>
							</div>
						</div>
						<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
							<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Admin Tasks</h6>
						</div>
						<div class="form-row">
							<div class="form-group col-md-12" style="font-size:16px;">
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_manage_bed_data"	>
									<label class="form-check-label" for="manage_bed_data">Can manage patient Admission/Bed assignment data</label>
								</div>
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_access_bed_data">
									<label class="form-check-label" for="access_bed_data">Can access patient Admission/Bed assignment data</label>
								</div>
							</div>
						</div>
						<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
							<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Finance Tasks</h6>
						</div>
						<div class="form-row">
							<div class="form-group col-md-12" style="font-size:16px;">
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_access_cashier_data"	>
									<label class="form-check-label" for="access_cashier_data">Can access Cashier data</label>
								</div>
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_approve_services">
									<label class="form-check-label" for="approve_services">Can approve services based on payment status</label>
								</div>
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_enter_cashier_data">
									<label class="form-check-label" for="enter_cashier_data">Can enter cashier data</label>
								</div>
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_access_financial_reports">
									<label class="form-check-label" for="access_financial_reports">Can access financial reports</label>
								</div>
							</div>
						</div>
						<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
							<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">System Administration Tasks</h6>
						</div>
						<div class="form-row">
							<div class="form-group col-md-12" style="font-size:16px;">
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_change_user_roles">
									<label class="form-check-label" for="change_user_roles">Can make changes to User Roles</label>
								</div>
								<div class="form-check mb-2">
									<input type="checkbox" class="form-check-input" name="edit_super_user">
									<label class="form-check-label" for="super_user">Make Super User</label>
								</div>
							</div>
						</div>
						
					</div>
				</div>
			</div>
		</div>
		<div class="modal-footer">
			<input type="hidden" name="editted_role_user_id" value="'.$user_id.'">
			<input type="hidden" name="edited_role_staff_id" value="'.$staff_id.'">
			<input type="hidden" name="edited_role_hospital_id" value="'.$hospital_id.'">
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
			<button type="submit" class="btn btn-primary">Edit Roles</button>
		</div>
		</form>
		';
	}
}
elseif(isset($_POST['edited_role_staff_id'])){
	$role_staff_id = $_POST['edited_role_staff_id'];
	$role_user_id = $_POST['editted_role_user_id'];
	$description = $_POST['edit_role_description'];
	$hospital_id = $_POST['edited_role_hospital_id'];
	if(!isset($_POST['edit_enter_patient_data'])){
		$enter_patient_data = '';
	}else{
		$enter_patient_data = 'yes';
	}
	if(!isset($_POST['edit_access_patient_data'])){
		$access_patient_data = '';
	}else{
		$access_patient_data = 'yes';
	}
	if(!isset($_POST['edit_delete_patient_data'])){
		$delete_patient_data = '';
	}else{
		$delete_patient_data = 'yes';
	}
	if(!isset($_POST['edit_changes_to_all_department_data'])){
		$changes_to_all_department_data = '';
	}else{
		$changes_to_all_department_data = 'yes';
	}
	if(!isset($_POST['edit_access_department_data'])){
		$access_department_data = '';
	}else{
		$access_department_data = 'yes';
	}
	if(!isset($_POST['edit_add_department_patient_data'])){
		$add_department_patient_data = '';
	}else{
		$add_department_patient_data = 'yes';
	}
	if(!isset($_POST['edit_make_changes_to_hr_data'])){
		$make_changes_to_hr_data = '';
	}else{
		$make_changes_to_hr_data = 'yes';
	}
	if(!isset($_POST['edit_access_hr_data'])){
		$access_hr_data = '';
	}else{
		$access_hr_data = 'yes';
	}
	if(!isset($_POST['edit_manage_bed_data'])){
		$manage_bed_data = '';
	}else{
		$manage_bed_data = 'yes';
	}
	if(!isset($_POST['edit_access_bed_data'])){
		$access_bed_data = '';
	}else{
		$access_bed_data = 'yes';
	}
	if(!isset($_POST['edit_access_cashier_data'])){
		$access_cashier_data = '';
	}else{
		$access_cashier_data = 'yes';
	}
	if(!isset($_POST['edit_approve_services'])){
		$approve_services = '';
	}else{
		$approve_services = 'yes';
	}
	if(!isset($_POST['edit_enter_cashier_data'])){
		$enter_cashier_data = '';
	}else{
		$enter_cashier_data = 'yes';
	}
	if(!isset($_POST['edit_access_financial_reports'])){
		$access_financial_reports = '';
	}else{
		$access_financial_reports = 'yes';
	}
	if(!isset($_POST['edit_change_user_roles'])){
		$change_user_roles = '';
	}else{
		$change_user_roles = 'yes';
	}
	if(!isset($_POST['edit_super_user'])){
		$super_user = '';
	}else{
		$super_user = 'yes';
	}
		
	$edit_role = $objHospital->edit_role($description,$role_staff_id,$enter_patient_data,$access_patient_data,$delete_patient_data,$changes_to_all_department_data,$access_department_data,$add_department_patient_data,$make_changes_to_hr_data,$access_hr_data,$manage_bed_data,$access_bed_data,$access_cashier_data,$approve_services,$enter_cashier_data,$access_financial_reports,$change_user_roles,$super_user,$role_user_id,$hospital_id);
}
elseif(isset($_POST['delete_role_staff_id'])){
	$staff_id = $_POST['delete_role_staff_id'];
	$hospital_id = $_POST['delete_role_hospital_id'];
	$user_id = $_POST['delete_role_user_id'];
	
	$delete_role = $objHospital->delete_role($staff_id,$hospital_id,$user_id);
}
elseif(isset($_POST['view_role_staff_id'])){
	$staff_id = $_POST['view_role_staff_id'];
	$hospital_id = $_POST['view_role_hospital_id'];
	
	$view_role = $objHospital->view_role($staff_id,$hospital_id);
	foreach($view_role as $role){
		$description = $role['description'];
		$first_name = $role['first_name'];
		$last_name = $role['last_name'];
		$enter_patient_data = $role['enter_patient_data'];
		$access_patient_data = $role['access_patient_data'];
		$delete_patient_data = $role['delete_patient_data'];
		$changes_to_all_department_data = $role['changes_to_all_department_data'];
		$access_department_data = $role['access_department_data'];
		$add_department_patient_data = $role['add_department_patient_data'];
		$make_changes_to_hr_data = $role['make_changes_to_hr_data'];
		$access_hr_data = $role['access_hr_data'];
		$manage_bed_data = $role['manage_bed_data'];
		$access_bed_data = $role['access_bed_data'];
		$access_cashier_data = $role['access_cashier_data'];
		$approve_services = $role['approve_services'];
		$enter_cashier_data = $role['enter_cashier_data'];
		$access_financial_reports = $role['access_financial_reports'];
		$change_user_roles = $role['change_user_roles'];
		$super_user = $role['super_user'];
		
		echo'
		<div class="modal-body results_modal_body" style="height:35rem;">
		<div class="card">
			<div class="card-body">
				<div class="basic-form">
					<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px;">
						<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Role Assignee</h6>
					</div>
					<div class="form-row" style="font-size:16px;">
						<div class="form-group col-md-12">
							<label>Staff Name: </label>
							<label style="color:blue;">'.$first_name.' '.$last_name.'</label>
						</div>
						<div class="form-group col-md-12">
							<label>Role Description: </label>
							<label style="color:blue;">'.$description.'</label>
						</div>
					</div>
					<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
						<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Patient Management Tasks</h6>
					</div>
					<div class="form-row">
						<div class="form-group col-md-12" style="font-size:16px;">
							<div class="form-check mb-2">';
								if($enter_patient_data=='yes'){
									echo'<label>Can enter patient data: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
							<div class="form-check mb-2">';
								if($access_patient_data=='yes'){
									echo'<label>Can access patient data: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
							<div class="form-check disabled">';
								if($delete_patient_data=='yes'){
									echo'<label>Can DELETE patient data: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
						</div>
					</div>
					<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
						<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Department Management Tasks</h6>
					</div>
					<div class="form-row">
						<div class="form-group col-md-12" style="font-size:16px;">
							<div class="form-check mb-2">';
								if($changes_to_all_department_data=='yes'){
									echo'<label>Can make changes to all department data: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
							<div class="form-check mb-2">';
								if($access_department_data=='yes'){
									echo'<label>Can access department data: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
							<div class="form-check disabled">';
								if($add_department_patient_data=='yes'){
									echo'<label>Can add assigned department patient data: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
						</div>
					</div>
					<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
						<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">HR Management Tasks</h6>
					</div>
					<div class="form-row">
						<div class="form-group col-md-12" style="font-size:16px;">
							<div class="form-check mb-2">';
								if($make_changes_to_hr_data=='yes'){
									echo'<label>Can make changes to Human Resource data: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
							<div class="form-check mb-2">';
								if($access_hr_data=='yes'){
									echo'<label>Can access Human Resource data: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
						</div>
					</div>
					<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
						<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Admin Tasks</h6>
					</div>
					<div class="form-row">
						<div class="form-group col-md-12" style="font-size:16px;">
							<div class="form-check mb-2">';
								if($manage_bed_data=='yes'){
									echo'<label>Can manage patient Admission/Bed assignment data: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
							<div class="form-check mb-2">';
								if($access_bed_data=='yes'){
									echo'<label>Can access patient Admission/Bed assignment data: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
						</div>
					</div>
					<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
						<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">Finance Tasks</h6>
					</div>
					<div class="form-row">
						<div class="form-group col-md-12" style="font-size:16px;">
							<div class="form-check mb-2">';
								if($access_cashier_data=='yes'){
									echo'<label>Can access Cashier data: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
							<div class="form-check mb-2">';
								if($approve_services=='yes'){
									echo'<label>Can approve services based on payment status: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
							<div class="form-check mb-2">';
								if($enter_cashier_data=='yes'){
									echo'<label>Can enter cashier data: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
							<div class="form-check mb-2">';
								if($access_financial_reports=='yes'){
									echo'<label>Can access financial reports: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
						</div>
					</div>
					<div class="row" style="font-size:8px; color:white; width:100%; background-color:#343957; border-radius:5px; margin-top:10px;">
						<h6 style="font-size:14px; padding-top:5px; padding-left:20px;">System Administration Tasks</h6>
					</div>
					<div class="form-row">
						<div class="form-group col-md-12" style="font-size:16px;">
							<div class="form-check mb-2">';
								if($change_user_roles=='yes'){
									echo'<label>Can make changes to User Roles: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
							<div class="form-check mb-2">';
								if($super_user=='yes'){
									echo'<label>Make Super User: </label><label style="color:blue;">Yes</label>';
								}else{
									//Do nothing
								}
							echo'</div>
						</div>
					</div>
					
				</div>
			</div>
			<div class="card-footer" style="text-align:right;">
				<span"><button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button></span>
			</div>
		</div>
		</div>
		';
	}
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}









?>