<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['service_report_start_date'])){
	$start_date = $_POST['service_report_start_date'];
	$end_date = $_POST['service_report_end_date'];
	$user_id = $_POST['service_report_user_id'];
	
	echo'<tr>
		<td style="color:black; font-weight:bold; font-size:18px;">Service Name</td>
		<td style="color:black; font-weight:bold; font-size:18px;"><center>No of Requests</center></td>
		<td style="color:black; font-weight:bold; font-size:18px;"><center>Rate</center></td>
		<td style="color:black; font-weight:bold; font-size:18px;"><center>Amount(Ugx)</center></td>
	</tr>';
	$get_service_reports = $objHospital->get_service_report_by_period($start_date,$end_date,$user_id);
	
	if(empty($get_service_reports) || is_null($get_service_reports)){
		echo'<tr><td colspan="3" style="color:red;"><center>There are no services offered during this period</center></td></tr>';
	}else{
		
		$total_service_cost = 0;
		foreach($get_service_reports as $report){
			$total_requests = $report['total_requests'];
			$service_name = $report['service_name'];
			$cost = $report['service_cost'];
			
			$amount = floatval($total_requests) * floatval($cost);
			$total_test_cost += $amount;
			echo'<tr>
				<td style="text-align:left; color:black; font-size:18px;">'.$service_name.'</td>
				<td style="text-align:left; color:black; font-size:18px;"><center>'.$total_requests.'</center></td>
				<td style="text-align:left; color:black; font-size:18px;"><center>'.number_format($cost,0,0,',').'</center></td>
				<td style="text-align:left; color:blue; font-size:18px;"><center>'.number_format($amount,0,0,',').'</center></td>
			</tr>';
		}
		echo'<tr>
			<td style="text-align:left; font-weight:bold; color:black; font-size:18px;">Total</td>
			<td style="text-align:left; color:black; font-size:18px;"><center></center></td>
			<td style="text-align:left; color:black; font-size:18px;"><center></center></td>
			<td style="text-align:left; font-weight:bold; color:blue; font-size:18px;"><center>'.number_format($total_test_cost,0,0,',').'</center></td>
		</tr>';
	}
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}
















?>