<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['theatre_name'])){
	$theatre_name = $_POST['theatre_name'];
	$description = $_POST['theatre_description'];
	$user_id = $_POST['theatre_user_id'];
	$department = $_POST['theatre_department'];
	
	$save_theatre = $objHospital->save_theatre($theatre_name,$description,$user_id,$department);
}
elseif(isset($_POST['get_all_theatres'])){
	$user_id = $_POST['get_all_theatres'];
	
	$get_all_theatres = $objHospital->get_all_theatres($user_id);
	
	if(empty($get_all_theatres)){
		echo'<tr><td colspan="4" style="color:green;"><center>There are no added yet</center></td></tr>';
	}else{
		foreach($get_all_theatres as $theatre){
			$theatre_id  = $theatre['theatre_id'];
			$hospital_id = $theatre['hospital_id'];
			$department = $theatre['department'];
			$theatre_name = $theatre['theatre_name'];
			$description = $theatre['description'];
			
			echo'
			<tr><td><center>'.$theatre_id.'</center></td>
				<td><center>'.$theatre_name.'</center></td>
				<td><center>'.$description.'</center></td>
				<td>
					<center><button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">Actions</button><center>
					<div class="dropdown-menu dropdown-menu-right">
						<button class="badge badge-warning dropdown-item edit_theatre_button" data-theatre-id="'.$theatre_id.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#edit_theatre_modal">Edit Theatre</button>
						<button class="badge badge-dark dropdown-item receive_sample_button" data-theatre-id="'.$theatre_id.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#view_theatre_modal">View Theatre</button>
					</div>					
				</td>
			</tr>
			';
		}
		
	}
}
if(isset($_POST['procedure_name'])){
	$procedure = $_POST['procedure_name'];
	$description = $_POST['procedure_description'];
	$user_id = $_POST['procedure_user_id'];
	$cost = $_POST['procedure_cost'];
	$department = $_POST['procedure_department'];
	
	$save_procedure = $objHospital->save_surgical_procedure($procedure,$description,$user_id,$department,$cost);
}
elseif(isset($_POST['get_all_surgical_procedures'])){
	$user_id = $_POST['get_all_surgical_procedures'];
	
	$get_all_procedures = $objHospital->get_all_procedures($user_id);
	
	if(empty($get_all_procedures)){
		echo'<tr><td colspan="4" style="color:green;"><center>There are no added yet</center></td></tr>';
	}else{
		foreach($get_all_procedures as $procedure){
			$procedure_id  = $procedure['procedure_id'];
			$hospital_id = $procedure['hospital_id'];
			$department = $procedure['department'];
			$procedure_name = $procedure['procedure_name'];
			$description = $procedure['description'];
			$cost = $procedure['cost'];
			
			echo'
			<tr><td style="font-size:16px;"><center>'.$procedure_id.'</center></td>
				<td style="font-size:16px;"><center>'.$procedure_name.'</center></td>
				<td style="font-size:16px;"><center>'.$description.'</center></td>
				<td style="font-size:16px;"><center>'.number_format($cost,0,0,',').'</center></td>
				<td style="font-size:16px;">
					<center><button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">Actions</button><center>
					<div class="dropdown-menu dropdown-menu-right">
						<button class="badge badge-warning dropdown-item edit_procedure_button" data-procedure-id="'.$procedure_id.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#edit_procedure_modal">Edit Procedure</button>
						<button class="badge badge-dark dropdown-item view_procedure_button" data-procedure-id="'.$procedure_id.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#view_procedure_modal">View Procedure</button>
					</div>					
				</td>
			</tr>
			';
		}
		
	}
}
elseif(isset($_POST['booking_user_id'])){
	
	$user_id = $_POST['booking_user_id'];
	$patient_id = $_POST['booking_patient_id'];
	$hospital_id = $_POST['booking_hospital_id'];
	$request_id = $_POST['booking_request_id'];
	
	$get_booking_details = $objHospital->get_booking_by_id($hospital_id,$request_id);
	
	foreach($get_booking_details as $requests){
		$patient_id = $requests['patient_id'];
		$patient_name = $requests['patient_name'];
		$procedure_id = $requests['procedure_id'];
		$procedure_name = $requests['procedure_name'];
		$anatomic_site = $requests['anatomic_site'];
		$theatre = $requests['theatre_name'];
		$procedure_date = $requests['procedure_date'];
		$start_time = $requests['procedure_start_time'];
		$end_time = $requests['procedure_end_time'];
		$added_by = $requests['added_by'];
		
		//Get requester details
		$get_staff_by_id = $objHospital->get_staff_details($added_by,$user_id);
		foreach($get_staff_by_id as $staff){
			$requester_name = $staff['first_name'].' '.$staff['last_name'];
		}
		
		//Get theatre details
		$get_theatre = $objHospital->get_theatre_by_id($theatre,$user_id);
		foreach($get_theatre as $theatre){
			$theatre_name = $theatre['theatre_name'];
		}
		
		echo'<table class="table primary-table-bg-hover">
			<tbody>
				<tr><td style="font-weight:bold;"><center>Patient ID:</center></td><td style="color:blue;"><center>'.$patient_id.'</center></td></tr>
				<tr><td style="font-weight:bold;"><center>Patient Name:</center></td><td style="color:blue;"><center>'.$patient_name.'</center></td></tr>
				<tr><td style="font-weight:bold;"><center>Procedure:</center></td><td style="color:blue;"><center>'.$procedure_name.'</center></td></tr>
				<tr><td style="font-weight:bold;"><center>Anatomic Site:</center></td><td style="color:blue;"><center>'.$anatomic_site.'</center></td></tr>
				<tr><td style="font-weight:bold;"><center>Theatre Name:</center></td><td style="color:blue;"><center>'.$theatre_name.'</center></td></tr>
				<tr><td style="font-weight:bold;"><center>Surgery date:</center></td><td style="color:blue;"><center>'.date('d-M-Y',strtotime($procedure_date)).'</center></td></tr>
				<tr><td style="font-weight:bold;"><center>Start Time:</center></td><td style="color:blue;"><center>'.$start_time.'</center></td></tr>
				<tr><td style="font-weight:bold;"><center>End Time:</center></td><td style="color:blue;"><center>'.$end_time.'</center></td></tr>
				<tr><td style="font-weight:bold;"><center>Requested By:</center></td><td style="color:blue;"><center>'.$requester_name.'</center></td></tr>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="2"><center>
						<button type="button" id="confirm" class="btn btn-primary" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-procedure-id="'.$procedure_id.'" data-theatre="'.$theatre_name.'" data-patient-name="'.$patient_name.'" data-request-id="'.$request_id.'" data-requester-id="'.$added_by.'">Confirm Booking</button>
						<!--<button type="submit" id="new_booking" class="btn btn-secondary">Propose New Date/Time</button>-->
					</center></td>
				</tr>
			</tfoot>
		</table>';
	}
	
}
elseif(isset($_POST['confirm_user_id'])){
	
	$user_id = $_POST['confirm_user_id'];
	$patient_id = $_POST['confirm_patient_id'];
	$hospital_id = $_POST['confirm_hospital_id'];
	$request_id = $_POST['confirm_request_id'];
	$requester_id = $_POST['confirm_requester_id'];
	
	$confirm_booking = $objHospital->confirm_booking($hospital_id,$request_id,$user_id,$patient_id,$requester_id);
}
elseif(isset($_POST['prepare_patient_user_id'])){
	
	$user_id = $_POST['prepare_patient_user_id'];
	$patient_id = $_POST['prepare_patient_patient_id'];
	$hospital_id = $_POST['prepare_patient_hospital_id'];
	$request_id = $_POST['prepare_patient_request_id'];
	
	$get_booking_details = $objHospital->get_booking_by_id($hospital_id,$request_id);
	
	foreach($get_booking_details as $requests){
		$patient_id = $requests['patient_id'];
		$patient_name = $requests['patient_name'];
		$procedure_id = $requests['procedure_id'];
		$procedure_name = $requests['procedure_name'];
		$anatomic_site = $requests['anatomic_site'];
		$theatre = $requests['theatre_name'];
		$procedure_date = $requests['procedure_date'];
		$start_time = $requests['procedure_start_time'];
		$end_time = $requests['procedure_end_time'];
		$added_by = $requests['added_by'];
		
		//Get requester details
		$get_staff_by_id = $objHospital->get_staff_details($added_by,$user_id);
		foreach($get_staff_by_id as $staff){
			$requester_name = $staff['first_name'].' '.$staff['last_name'];
		}
		
		//Get theatre details
		$get_theatre = $objHospital->get_theatre_by_id($theatre,$user_id);
		foreach($get_theatre as $theatre){
			$theatre_name = $theatre['theatre_name'];
		}
		
		//Get patient details
		$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
		foreach($get_patient_details as $details){
			$gender = $details['gender'];
			$age = $details['age'];
		}
		
		echo'<form method="post" enctype="multipart/form-data" id="prepare_patient_form">
		<table class="table primary-table-bg-hover">
			<tbody style="font-size:16px;">
				<tr><td style="font-weight:bold;"><center>Patient ID: <span style="color:blue;">'.$patient_id.'</span></center></td><td style="font-weight:bold;"><center>Patient Name: <span style="color:blue;">'.$patient_name.'</span></center></td></tr>
				<tr><td style="font-weight:bold;"><center>Gender: <span style="color:blue;">'.$gender.'</span></center></td><td style="font-weight:bold;"><center>Age: <span style="color:blue;">'.$age.'</span></center></td></tr>
				<tr>
					<td><center>Patient matches booking details:</center></td>
					<td style="font-weight:bold;">
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="prep_patient_acknowledged" />
									<div class="control-indicator"></div>
								</label>

								<label class="control control-radio">No
									<input type="checkbox" name="prep_patient_not_acknowledged" />
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td></tr>
				<tr>
					<td><center>Anaesthetist has been informed:</center></td>
					<td>
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="prep_anaesthetist_informed"/>
									<div class="control-indicator"></div>
								</label>

								<label class="control control-radio">No
									<input type="checkbox" name="prep_anaesthetist_not_informed" />
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td></tr>
				<tr><td><center>Anaesthetist confirmed to be ready:</center></td>
					<td>
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="prep_anaesthetist_ready"/>
									<div class="control-indicator"></div>
								</label>

								<label class="control control-radio">No
									<input type="checkbox" name="prep_anaesthetist_not_ready" />
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td>
				</tr>
				<tr><td><center>Surgeon has been informed:</center></td>
					<td>
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="prep_surgeon_notified"/>
									<div class="control-indicator"></div>
								</label>

								<label class="control control-radio">No
									<input type="checkbox" name="prep_surgeon_not_notified" />
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td>
				</tr>
				<tr><td><center>Surgeon confirmed to be ready:</center></td>
					<td>
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="prep_surgeon_ready"/>
									<div class="control-indicator"></div>
								</label>

								<label class="control control-radio">No
									<input type="checkbox" name="prep_surgeon_not_ready" />
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td>
				</tr>
				<tr><td><center>Pre-Med procedures done <br>(Labs taken, Consent obtained, Gowning....etc):</center></td>
					<td>
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="prep_procedures_done"/>
									<div class="control-indicator"></div>
								</label>

								<label class="control control-radio">No
									<input type="checkbox" name="prep_procedures_not_done" />
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td>
				</tr>
				<tr><td><center>Staff taking patient to theatre:</center></td>
					<td>
						<div class="form-group row">
							<div class="col-md-12" style="margin-bottom:-20px;">
								<select class="form-control" name="prep_patient_taker">';
									$get_staff = $objHospital->get_staffs($user_id);
									if(empty($get_staff)){
										echo'<option>There are no Doctors yet</option>';
									}else{
										foreach($get_staff as $staff){
											$staff_id = $staff['staff_id'];
											$first_name = $staff['first_name'];
											$last_name = $staff['last_name'];
											echo'<option value="'.$staff_id.'">'.$first_name.' '.$last_name.'</option>';
										}
									}
								echo'</select>
							</div>
						</div>
					</td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="2"><center>
						<input type="hidden" name="prep_patient_user_id" value="'.$user_id.'">
						<input type="hidden" name="prep_patient_request_id" value="'.$request_id.'">
						<input type="hidden" name="prep_patient_id" value="'.$patient_id.'">
						<input type="hidden" name="prep_patient_hospital_id" value="'.$hospital_id.'">
						<button type="submit" id="confirm" class="btn btn-primary" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-procedure-id="'.$procedure_id.'" data-theatre="'.$theatre_name.'" data-patient-name="'.$patient_name.'" data-request-id="'.$request_id.'" data-requester-id="'.$added_by.'">Finish Preparation</button>
					</center></td>
				</tr>
			</tfoot>
		</table></form>';
	}
	
}
elseif(isset($_POST['prep_patient_hospital_id'])){
	
	$user_id = $_POST['prep_patient_user_id'];
	$patient_id = $_POST['prep_patient_id'];
	$hospital_id = $_POST['prep_patient_hospital_id'];
	$request_id = $_POST['prep_patient_request_id'];
	$patient_taker_id = $_POST['prep_patient_taker'];
	
	if(isset($_POST['prep_patient_acknowledged'])){
		$acknowledged = 'Yes';
	}elseif(isset($_POST['prep_patient_not_acknowledged'])){
		$acknowledged = 'No';
	}
	
	if(isset($_POST['prep_anaesthetist_informed'])){
		$anaesthetist_informed = 'Yes';
	}elseif(isset($_POST['prep_anaesthetist_not_informed'])){
		$anaesthetist_informed = 'No';
	}
	
	if(isset($_POST['prep_anaesthetist_ready'])){
		$anaesthetist_ready = 'Yes';
	}elseif(isset($_POST['prep_anaesthetist_not_ready'])){
		$anaesthetist_ready = 'No';
	}
	
	if(isset($_POST['prep_surgeon_notified'])){
		$surgeon_notified = 'Yes';
	}elseif(isset($_POST['prep_surgeon_not_notified'])){
		$surgeon_notified = 'No';
	}
	
	if(isset($_POST['prep_surgeon_ready'])){
		$surgeon_ready = 'Yes';
	}elseif(isset($_POST['prep_surgeon_not_ready'])){
		$surgeon_ready = 'No';
	}
	
	if(isset($_POST['prep_procedures_done'])){
		$procedures_done = 'Yes';
	}elseif(isset($_POST['prep_procedures_not_done'])){
		$procedures_done = 'No';
	}
	
	$prep_patient = $objHospital->prep_patient($hospital_id,$request_id,$user_id,$patient_id,$patient_taker_id,$acknowledged,$anaesthetist_informed,$anaesthetist_ready,$surgeon_notified,$surgeon_ready,$procedures_done);
}
elseif(isset($_POST['start_procedure_user_id'])){
	
	$user_id = $_POST['start_procedure_user_id'];
	$patient_id = $_POST['start_procedure_patient_id'];
	$hospital_id = $_POST['start_procedure_hospital_id'];
	$request_id = $_POST['start_procedure_request_id'];
	
	$get_booking_details = $objHospital->get_booking_by_id($hospital_id,$request_id);
	
	foreach($get_booking_details as $requests){
		$patient_id = $requests['patient_id'];
		$patient_name = $requests['patient_name'];
		$procedure_id = $requests['procedure_id'];
		$procedure_name = $requests['procedure_name'];
		$anatomic_site = $requests['anatomic_site'];
		$theatre = $requests['theatre_name'];
		$procedure_date = $requests['procedure_date'];
		$start_time = $requests['procedure_start_time'];
		$end_time = $requests['procedure_end_time'];
		$added_by = $requests['added_by'];
		
		//Get requester details
		$get_staff_by_id = $objHospital->get_staff_details($added_by,$user_id);
		foreach($get_staff_by_id as $staff){
			$requester_name = $staff['first_name'].' '.$staff['last_name'];
		}
		
		//Get theatre details
		$get_theatre = $objHospital->get_theatre_by_id($theatre,$user_id);
		foreach($get_theatre as $theatre){
			$theatre_name = $theatre['theatre_name'];
		}
		
		//Get patient details
		$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
		foreach($get_patient_details as $details){
			$gender = $details['gender'];
			$age = $details['age'];
		}
		
		echo'<form method="post" enctype="multipart/form-data" id="start_procedure_form">
		<table class="table primary-table-bg-hover">
			<tbody style="font-size:16px;">
				<tr><td style="font-weight:bold;"><center>Patient ID: <span style="color:blue;">'.$patient_id.'</span></center></td><td style="font-weight:bold; text-align:left;">Patient Name: <span style="color:blue;">'.$patient_name.'</span></td></tr>
				<tr><td style="font-weight:bold;"><center>Gender: <span style="color:blue;">'.$gender.'</span></center></td><td style="font-weight:bold; text-align:left;">Age: <span style="color:blue;">'.$age.'</span></td></tr>
				<tr>
					<td>Patient available in Operation Room:</td>
					<td style="font-weight:bold;">
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="start_prep_room" id="start_prep_room" />
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td></tr>
				<tr>
					<td>Brief Timeout held for consensus on patient<br> and procedure:</td>
					<td style="font-weight:bold;">
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="start_timeout_held" id="start_timeout_held" />
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td></tr>
				<tr>
					<td>Anaesthesia started:</td>
					<td>
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="start_anaesthesia_start" id="start_anaesthesia_start"/>
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td></tr>
				<tr><td>Anaesthesia ready (patient attained sufficient <br>level to begin procedure):</td>
					<td>
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="start_anaesthesia_ready" id="start_anaesthesia_ready"/>
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td>
				</tr>
				<tr><td>Position Start:</td>
					<td>
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="start_position_start" id="start_position_start"/>
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td>
				</tr>
				<tr><td>Position Ready:</td>
					<td>
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="start_position_ready" id="start_position_ready"/>
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td>
				</tr>
				<tr><td>Procedure Start</td>
					<td>
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="start_procedure_start" id="start_procedure_start"/>
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td>
				</tr>
				<tr><td>Procedure Finished</td>
					<td>
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="start_procedure_finished" id="start_procedure_finished"/>
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td>
				</tr>
				<tr><td>Patient leaving Operating Room</td>
					<td>
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="start_patient_out_of_room" id="start_patient_out_of_room"/>
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td>
				</tr>
				<tr><td>Confirm Surgeon:</td>
					<td>
						<div class="form-group row">
							<div class="col-md-12" style="margin-bottom:-20px;">
								<select class="form-control" name="finish_surgery_confirm_surgeon">';
									$get_staff = $objHospital->get_staffs($user_id);
									if(empty($get_staff)){
										echo'<option>There are no Doctors yet</option>';
									}else{
										foreach($get_staff as $staff){
											$staff_id = $staff['staff_id'];
											$first_name = $staff['first_name'];
											$last_name = $staff['last_name'];
											echo'<option value="'.$staff_id.'">'.$first_name.' '.$last_name.'</option>';
										}
									}
								echo'</select>
							</div>
						</div>
					</td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="2"><center>
						<input type="hidden" name="finish_surgery_user_id" value="'.$user_id.'">
						<input type="hidden" name="finish_surgery_request_id" value="'.$request_id.'">
						<input type="hidden" name="finish_surgery_patient_id" value="'.$patient_id.'">
						<input type="hidden" name="finish_surgery_hospital_id" value="'.$hospital_id.'">
						<button type="submit" id="confirm" class="btn btn-primary" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-procedure-id="'.$procedure_id.'" data-theatre="'.$theatre_name.'" data-patient-name="'.$patient_name.'" data-request-id="'.$request_id.'" data-requester-id="'.$added_by.'">Finish Procedure</button>
					</center></td>
				</tr>
			</tfoot>
		</table></form>';
	}
	
}
elseif(isset($_POST['start_prep_user_id'])){
	
	$user_id = $_POST['start_prep_user_id'];
	$patient_id = $_POST['start_prep_patient_id'];
	$hospital_id = $_POST['start_prep_hospital_id'];
	$request_id = $_POST['start_prep_request_id'];
	$patient_in_or = 'Yes';
	
	$patient_in_theatre = $objHospital->patient_in_theatre($hospital_id,$request_id,$user_id,$patient_id,$patient_in_or);
}
elseif(isset($_POST['timeout_held_user_id'])){
	
	$user_id = $_POST['timeout_held_user_id'];
	$patient_id = $_POST['timeout_held_patient_id'];
	$hospital_id = $_POST['timeout_held_hospital_id'];
	$request_id = $_POST['timeout_held_request_id'];
	$time_out_held = 'Yes';
	
	$time_out_brief = $objHospital->time_out_brief($hospital_id,$request_id,$user_id,$patient_id,$time_out_held);
}
elseif(isset($_POST['anaesthesia_start_user_id'])){
	
	$user_id = $_POST['anaesthesia_start_user_id'];
	$patient_id = $_POST['anaesthesia_start_patient_id'];
	$hospital_id = $_POST['anaesthesia_start_hospital_id'];
	$request_id = $_POST['anaesthesia_start_request_id'];
	
	$anaesthesia_start = $objHospital->anaesthesia_start($hospital_id,$request_id,$user_id,$patient_id);
}
elseif(isset($_POST['anaesthesia_ready_user_id'])){
	
	$user_id = $_POST['anaesthesia_ready_user_id'];
	$patient_id = $_POST['anaesthesia_ready_patient_id'];
	$hospital_id = $_POST['anaesthesia_ready_hospital_id'];
	$request_id = $_POST['anaesthesia_ready_request_id'];
	
	$anaesthesia_ready = $objHospital->anaesthesia_ready($hospital_id,$request_id,$user_id,$patient_id);
}
elseif(isset($_POST['position_start_user_id'])){
	
	$user_id = $_POST['position_start_user_id'];
	$patient_id = $_POST['position_start_patient_id'];
	$hospital_id = $_POST['position_start_hospital_id'];
	$request_id = $_POST['position_start_request_id'];
	
	$position_start = $objHospital->position_start($hospital_id,$request_id,$user_id,$patient_id);
}
elseif(isset($_POST['position_ready_user_id'])){
	
	$user_id = $_POST['position_ready_user_id'];
	$patient_id = $_POST['position_ready_patient_id'];
	$hospital_id = $_POST['position_ready_hospital_id'];
	$request_id = $_POST['position_ready_request_id'];
	
	$position_ready = $objHospital->position_ready($hospital_id,$request_id,$user_id,$patient_id);
}
elseif(isset($_POST['procedure_start_user_id'])){
	
	$user_id = $_POST['procedure_start_user_id'];
	$patient_id = $_POST['procedure_start_patient_id'];
	$hospital_id = $_POST['procedure_start_hospital_id'];
	$request_id = $_POST['procedure_start_request_id'];
	
	$procedure_start = $objHospital->procedure_start($hospital_id,$request_id,$user_id,$patient_id);
}
elseif(isset($_POST['procedure_fin_user_id'])){
	
	$user_id = $_POST['procedure_fin_user_id'];
	$patient_id = $_POST['procedure_fin_patient_id'];
	$hospital_id = $_POST['procedure_fin_hospital_id'];
	$request_id = $_POST['procedure_fin_request_id'];
	
	$procedure_finished = $objHospital->procedure_finished($hospital_id,$request_id,$user_id,$patient_id);
}
elseif(isset($_POST['leave_or_user_id'])){
	
	$user_id = $_POST['leave_or_user_id'];
	$patient_id = $_POST['leave_or_patient_id'];
	$hospital_id = $_POST['leave_or_hospital_id'];
	$request_id = $_POST['leave_or_request_id'];
	
	$leave_or = $objHospital->leave_or($hospital_id,$request_id,$user_id,$patient_id);
}
elseif(isset($_POST['finish_surgery_confirm_surgeon'])){
	
	$user_id = $_POST['finish_surgery_user_id'];
	$surgeon_id = $_POST['finish_surgery_confirm_surgeon'];
	$patient_id = $_POST['finish_surgery_patient_id'];
	$hospital_id = $_POST['finish_surgery_hospital_id'];
	$request_id = $_POST['finish_surgery_request_id'];
	
	$finish_surgery = $objHospital->finish_surgery($hospital_id,$request_id,$user_id,$patient_id,$surgeon_id);
}
elseif(isset($_POST['start_recovery_user_id'])){
	
	$user_id = $_POST['start_recovery_user_id'];
	$patient_id = $_POST['start_recovery_patient_id'];
	$hospital_id = $_POST['start_recovery_hospital_id'];
	$request_id = $_POST['start_recovery_request_id'];
	
	$get_booking_details = $objHospital->get_booking_by_id($hospital_id,$request_id);
	
	foreach($get_booking_details as $requests){
		$patient_id = $requests['patient_id'];
		$patient_name = $requests['patient_name'];
		$procedure_id = $requests['procedure_id'];
		$procedure_name = $requests['procedure_name'];
		$anatomic_site = $requests['anatomic_site'];
		$theatre = $requests['theatre_name'];
		$procedure_date = $requests['procedure_date'];
		$start_time = $requests['procedure_start_time'];
		$end_time = $requests['procedure_end_time'];
		$added_by = $requests['added_by'];
		
		//Get requester details
		$get_staff_by_id = $objHospital->get_staff_details($added_by,$user_id);
		foreach($get_staff_by_id as $staff){
			$requester_name = $staff['first_name'].' '.$staff['last_name'];
		}
		
		//Get theatre details
		$get_theatre = $objHospital->get_theatre_by_id($theatre,$user_id);
		foreach($get_theatre as $theatre){
			$theatre_name = $theatre['theatre_name'];
		}
		
		//Get patient details
		$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
		foreach($get_patient_details as $details){
			$gender = $details['gender'];
			$age = $details['age'];
		}
		
		echo'<form method="post" enctype="multipart/form-data" id="recovery_form">
		<table class="table primary-table-bg-hover">
			<tbody style="font-size:16px;">
				<tr><td style="font-weight:bold;"><center>Patient ID: <span style="color:blue;">'.$patient_id.'</span></center></td><td style="font-weight:bold; text-align:left;">Patient Name: <span style="color:blue;">'.$patient_name.'</span></td></tr>
				<tr><td style="font-weight:bold;"><center>Gender: <span style="color:blue;">'.$gender.'</span></center></td><td style="font-weight:bold; text-align:left;">Age: <span style="color:blue;">'.$age.'</span></td></tr>
				<tr>
					<td>Patient in Recovery Room:</td>
					<td style="font-weight:bold;">
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="recovery_room" />
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td></tr>
				<tr>
					<td>Patient has been assessed for discharge to Ward<br> and procedure:</td>
					<td style="font-weight:bold;">
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="recovery_assessed" />
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td></tr>
				<tr>
					<td>Patient sent to Ward:</td>
					<td>
						<div class="form-group row">
							<div class="col-md-12 d-flex justify-content-between" style="margin-bottom:-40px;">
								<label class="control control-radio">Yes
									<input type="checkbox" name="recovery_sent_to_ward"/>
									<div class="control-indicator"></div>
								</label>
							</div>
						</div>
					</td></tr>
				<tr><td colspan="2">
						<div class="form-group row">
							<div class="col-md-12" style="margin-bottom:-20px; text-align:left; font-size:18px;"><b>Clinical notes</b></div>
							<div class="col-md-12" style="margin-bottom:-20px;">
								<textarea name="recovery_report" id="recovery_report" type="text" rows="20" style="height:100%; width:100%; color:black;" class="form-control"></textarea>
							</div>
						</div>
					</td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="2"><center>
						<input type="hidden" name="recovery_user_id" value="'.$user_id.'">
						<input type="hidden" name="recovery_request_id" value="'.$request_id.'">
						<input type="hidden" name="recovery_patient_id" value="'.$patient_id.'">
						<input type="hidden" name="recovery_hospital_id" value="'.$hospital_id.'">
						<button type="submit" id="confirm" class="btn btn-primary" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-procedure-id="'.$procedure_id.'" data-procedure-name="'.$procedure_name.'" data-theatre="'.$theatre_name.'" data-patient-name="'.$patient_name.'" data-request-id="'.$request_id.'" data-requester-id="'.$added_by.'">Finish Procedure</button>
					</center></td>
				</tr>
			</tfoot>
		</table></form>';
	}
	
}
elseif(isset($_POST['recovery_user_id'])){
	
	$user_id = $_POST['recovery_user_id'];
	$patient_id = $_POST['recovery_patient_id'];
	$hospital_id = $_POST['recovery_hospital_id'];
	$request_id = $_POST['recovery_request_id'];
	$report = $_POST['recovery_report'];
	
	if(isset($_POST['recovery_room'])){
		$recovery_room = 'Yes';
	}else{
		$recovery_room = 'No';
	}
	
	if(isset($_POST['recovery_assessed'])){
		$assessed = 'Yes';
	}else{
		$assessed = 'No';
	}
	
	if(isset($_POST['recovery_sent_to_ward'])){
		$sent_to_ward = 'Yes';
	}else{
		$sent_to_ward = 'No';
	}
	
	$recovery = $objHospital->recovery($hospital_id,$request_id,$user_id,$patient_id,$report,$recovery_room,$assessed,$sent_to_ward);
}
elseif(isset($_POST['recovery_report_user_id'])){
	$patient_id = $_POST['recovery_report_patient_id'];
	$hospital_id = $_POST['recovery_report_hospital_id'];
	$user_id = $_POST['recovery_report_user_id'];
	$request_id = $_POST['recovery_report_request_id'];
	
	$get_hospital_info = $objHospital->get_hospital_details($hospital_id);
	foreach($get_hospital_info as $info){
		$hospital_name=$info['hospital_name'];
		$hospital_country=$info['hospital_country'];
		$hospital_city=$info['hospital_city'];
		$hospital_email=$info['hospital_email'];
		$hospital_phone=$info['hospital_phone'];
	}
	
	$get_recovery_reports = $objHospital->get_recovery_reports($patient_id,$user_id,$hospital_id,$request_id);
	if(empty($get_recovery_reports)){
		echo'There are no reports recorded yet';
	}else{
		foreach($get_recovery_reports as $report){
			$report_date = $report['sent_to_ward_time'];
			$surgeon = $report['confirm_surgeon_id'];
			$requester = $report['added_by'];
			$procedure_name = $report['procedure_name'];
			$report = $report['report'];
			
			echo'
			<div class="content" style="border-radius:10px; height:140px; border-style:solid; border-color:#ffffff;">
				<div class="row grid" style="margin-top:-20px;">
					<div class="col-xl-3">
						<div class="grid-col">
							<div class="media pt-3 pb-3">
								<img src="../assets/images/bb.PNG" alt="image" class="mr-3" style="width:7rem; height:7rem;">
							</div>
						</div>
					</div>
					<div class="col-xl-9" style="margin-top:-110px;">
						<div class="grid-col">
							<div class="col-md-12" style="height:30px; float:center;">
								<center><h2>'.$hospital_name.'</h2></center>
							</div>
							<div class="col-md-12" style="height:30px; float:center;">
								<center><h3>Laboratory Department</h4></center>
							</div>	
							<div class="col-md-12" style="height:30px; float:center;">
								<div class="form-group">
									<center> 
									<span style="font-size:14px;"> '.$hospital_email.'</span>
									<span style="font-size:14px;"> Phone: '.$hospital_phone.'</span></center>
								</div>
							</div>
							<div class="col-md-12" style="height:30px; float:center; margin-top:-10px;">
								<div class="form-group">
									<center><span style="font-size:14px;">'.$hospital_city.', '.$hospital_country.' </span></center>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			
			
			
			
			<table class="table table-borderless">
				<tbody>
					<tr style="height:1px; border:solid 2px; height:14px; border-radius:5px;"></tr>
						<th colspan="4" style="color:black;"><center><h4><b>Patient Information</b></h4></center></th>
					<tr style="height:1px; border:solid 2px;"></tr>
			';
			$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
			foreach($get_patient_details as $details){
				$first_name = $details['first_name'];
				$last_name = $details['last_name'];
				$gender = $details['gender'];
				$phone_number = $details['phone_number'];
				$age = $details['age'];
				$address = $details['address'];
				
				echo'
				<tr style="height:14px;">
				  <th style="color:black; font-size:20px;"><center>First Name</center></th>
				  <th style="color:black; font-size:20px;"><center>Last Name</center></th>
				  <th style="color:black; font-size:20px;"><center>Age</center></th>
				  <th style="color:black; font-size:20px;"><center>Gender</center></th>
				</tr>
				<tr style="height:14px;">
				  <td style="color:blue; font-size:20px;"><center>'.$first_name.'</center></td>
				  <td style="color:blue; font-size:20px;"><center>'.$last_name.'</center></td>
				  <td style="color:blue; font-size:20px;"><center>'.$age.'</center></td>
				  <td style="color:blue; font-size:20px;"><center>'.$gender.'</center></td>
				</tr>
				<tr style="height:14px;">
				  <th scope="col" style="color:black; font-size:20px;"><center>Phone Number</center></th>
				  <th scope="col" style="color:black; font-size:20px;"><center>Address</center></th>
				  <th scope="col" style="color:black; font-size:20px;"><center>Requester</center></th>
				  <th scope="col" style="color:black; font-size:20px;"><center>Requester\'s Phone</center></th>
				</tr>
				<tr style="height:14px;">
				  <td scope="col" style="color:blue; font-size:20px;"><center>'.$phone_number.'</center></td>
				  <td scope="col" style="color:blue; font-size:20px;"><center>'.$address.'</center></td>';
				  $get_requester = $objHospital->get_staff_details($requester,$user_id);
				  foreach($get_requester as $requester){
					$requester_first_name = $requester['first_name'];
					$requester_last_name = $requester['last_name'];
					$requester_phone = $requester['phone'];
				  }
				  
				  $get_surgeon = $objHospital->get_staff_details($surgeon,$user_id);
				  foreach($get_surgeon as $requester){
					$surgeon_first_name = $requester['first_name'];
					$surgeon_last_name = $requester['last_name'];
					$surgeon_phone = $requester['phone'];
				  }
				  echo'<td scope="col" style="color:blue; font-size:20px;"><center>'.$requester_first_name.' '.$requester_last_name.'</center></td>
				  <td scope="col" style="color:blue; font-size:20px;"><center>'.$requester_phone.'</center></td>
				</tr>
				';
				
			}
		echo'<tr style="height:1px; border:solid 2px;"></tr>
			<tr style="height:14px; border-radius:5px;">
				<th colspan="4" style="color:black;"><center><h4><b>'.$procedure_name.' Report</b></h4></center></th>
			</tr>
			<tr style="height:1px; border:solid 2px;"></tr>
			<tr style="height:14px;">
				<td colspan="4" style="text-align:left">
					<label class="col-form-label" style="color:black; font-size:20px;"><b><u>Clinical Notes:</u></b></label>
				    <label class="col-form-label text-wrap" style="font-size:20px; width:100%;"><span style="color:blue;">'.$report.'</span></label>
				</td>
			</tr>
			<!--<tr style="height:14px;">
				<td colspan="4" style="text-align:left">
					<label class="col-form-label" style="color:black; font-size:20px;"><b><u>IMPRESSION:</u></b></label>
				    <label class="col-form-label text-wrap" style="font-size:20px; width:100%;"><span style="color:black;"></span></label>
				</td>
			</tr>-->
			<tr style="height:1px; border:solid 2px;"></tr>
			<tr style="height:14px;">
			  <td scope="col" colspan="2" style="font-size:20px;"><b>Reported By: </b><span style="color:blue;">'.$surgeon_first_name.' '.$surgeon_last_name.'</span></td>
			  <td scope="col" colspan="2" style="font-size:20px;"><b>Report Date: </b><span style="color:blue;">'.date("d-M-Y", strtotime($report_date)).'</span></td>
			</tr>
		</tbody>
	</table>';
	echo'</div>
	<div class="content" style="border-radius:10px; transform:rotate(-30deg); border-style:solid; border-color:#00008B; margin-top:-20px; margin-left:130px; width:17rem; height:10rem;">
		<table class="table table-borderless" style="margin-left:10px;">
			<tbody>
				<tr><th colspan="3" style="color:#00008B; line-height:0.3rem; font-size:16px; padding:-30px; font-weight:bold; border:none;"><center>'.$hospital_name.'</center><th></tr>
				<tr><th colspan="3" style="color:#00008B; line-height:0.1rem; border:none;  padding:-30px;"><center>'.$hospital_city.', '.$hospital_country.'</center></th></tr>
				<tr style="d-flex justify-content-between">
					<th style="border:none;">
						<div class="col-md-12 d-flex justify-content-between">
							<img src="../assets/images/bb.PNG" alt="image" class="mr-3" style="width:3rem; height:3rem;">
							<h5 style="color:red; margin-left:-50px; margin-top:10px;"><center>'.date("d-M-Y", time()).'</center></h5>
							<center><i class="fa fa-star" style="color:#00008B; margin-left:-40px; margin-top:10px;"></i></center>
						</div>
					</th>
				</tr>
				<tr><th colspan="3" style="color:#00008B; line-height:0.1rem; border:none;  padding:-30px;"><center>'.$hospital_phone.'</center></th></tr>
				<tr><th colspan="3" style="color:#00008B; line-height:0.1rem; border:none;  padding:-30px;"><center>'.$hospital_email.'</center></th></tr>
			</tbody>
		</table>
	</div>
	';
		}
	}
	
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}








?>