<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/hospital.php';

$objHospital = new Hospitals();

if(isset($_POST['condition_name'])){
	$name = $_POST['condition_name'];
	$category = $_POST['condition_category'];
	$sub_category = $_POST['condition_sub_category'];
	$description = $_POST['description'];
	$cause = implode('}',$_POST['condition_cause']);
	$feature = implode('}',$_POST['condition_feature']);
	$differential = implode('}',$_POST['condition_differential']);
	$management = implode('}',$_POST['condition_management']);
	$treatment = implode('}',$_POST['condition_treatment']);
	$prevention = implode('}',$_POST['condition_prevention']);
	$investigation = implode('}',$_POST['condition_investigation']);
	$user_id = $_POST['condition_user_id'];
	
	$save_condition = $objHospital->save_condition($name,$category,$sub_category,$description,$cause,$feature,$differential,$investigation,$management,$treatment,$prevention,$user_id);
}
elseif(isset($_POST['test_menu_test'])){
	if(empty($_POST['test_menu_test'])){
		echo'Please enter a test or select from the list of tests provided';
	}else{
		$test = $_POST['test_menu_test'];
		$category = $_POST['test_menu_category'];
		$user_id = $_POST['test_menu_user_id'];
		$cost = $_POST['test_menu_cost'];
		$tat = $_POST['test_menu_tat'];
		$sample = $_POST['test_menu_sample'];
		$volume = $_POST['test_menu_volume'];
		$available = 'yes';
		if(empty($_POST['test_menu_par_name']) && !isset($_POST['test_menu_par_name'])){
			$par_name = '';
			$normal_ll = '';
			$normal_ul = '';
			$critical_ll = '';
			$critical_ul = '';
			$gender = '';
			$age_group_name = '';
			$lower_age_limit = '';
			$upper_age_limit = '';
			$si_units = '';
			$multiplier = '';
			
		}else{
			$par_name = implode(',',$_POST['test_menu_par_name']);
			$normal_ll = implode(',',$_POST['test_menu_normal_ll']);
			$normal_ul = implode(',',$_POST['test_menu_normal_ul']);
			$critical_ll = implode(',',$_POST['test_menu_critical_ll']);
			$critical_ul = implode(',',$_POST['test_menu_critical_ul']);
			$gender = implode(',',$_POST['test_menu_gender']);
			$age_group_name = implode(',',$_POST['test_menu_age_group_name']);
			$lower_age_limit = implode(',',$_POST['test_menu_lower_age_limit']);
			$upper_age_limit = implode(',',$_POST['test_menu_upper_age_limit']);
			$si_units = implode(',',$_POST['test_menu_si_units']);
			$multiplier = implode(',',$_POST['test_menu_multiplier']);
		}
		
		$save_test= $objHospital->save_test($test,$category,$cost,$tat,$sample,$volume,$available,$par_name,$normal_ll,$normal_ul,$critical_ll,$critical_ul,$gender,$age_group_name,$lower_age_limit,$upper_age_limit,$user_id,$si_units,$multiplier);
	}
}
elseif(isset($_POST['view_test_menu_id'])){
	$test_menu_id = $_POST['view_test_menu_id'];
	$hospital_id = $_POST['view_test_menu_hospital_id'];
	
	$get_test_menu_by_id = $objHospital->get_test_menu_by_id($test_menu_id,$hospital_id);
	
	foreach($get_test_menu_by_id as $row){			
		$test_menu_id = $row['test_menu_id'];
		$test_name = $row['test_name'];
		$test_category = $row['test_category'];
		$cost = $row['cost'];
		$tat = $row['tat'];
		$sample_type = $row['sample_type'];
		$sample_volume = $row['sample_volume'];
		$available = $row['available'];
	}
	
	echo'
		<div class="row">
		 <div class="col-md-6">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Test Name</label>
			<div class="col-sm-8">
			  <label class="col-sm-12 col-form-label"><span style="color:blue;">'.$test_name.'</span></label>
			</div>
		  </div>
		</div>
		<div class="col-md-6">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Test Category</label>
			<div class="col-sm-8">
			  <label class="col-sm-12 col-form-label"><span style="color:blue;">'.$test_category.'</span></label>
			</div>
		  </div>
		</div>
	  </div>
	  <div class="row">
	  <div class="col-md-6">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Cost</label>
			<div class="col-sm-8">
			  <label class="col-sm-12 col-form-label"><span style="color:blue;">'.$cost.'</span></label>
			</div>
		  </div>
	  </div>
	  <div class="col-md-6">
		<div class="form-group row">
			<label class="col-sm-4 col-form-label">Turn Around Time (Hrs)</label>
			<div class="col-sm-8">
				<label class="col-sm-12 col-form-label"><span style="color:blue;">'.$tat.' (Hrs)</span></label>
			</div>
		</div>
		</div>
	  </div>
	  <div class="row">
		  <div class="col-md-6">
			  <div class="form-group row">
				<label class="col-sm-4 col-form-label">Type of sample</label>
				<div class="col-sm-8">
				  <label class="col-sm-12 col-form-label"><span style="color:blue;">'.$sample_type.'</span></label>
				</div>
			  </div>
		  </div>
		  <div class="col-md-6">
			<div class="form-group row">
				<label class="col-sm-4 col-form-label">Sample volume</label>
				<div class="col-sm-8">
					<label class="col-sm-12 col-form-label"><span style="color:blue;">'.$sample_volume.'</span></label>
				</div>
			</div>
		  </div>
	  </div><hr>';
	  //Parameter detals
	  $get_parameters = $objHospital->get_test_parameters_by_testmenu_id($test_menu_id,$hospital_id);
	  
	  if(empty($get_parameters)){
		  echo'<span style="color:red">No parameter entries for this test </span>';
	  }else{
		  echo'<h5>Parameters</h5>';
		  foreach($get_parameters as $row){
			  $test_parameter_name = $row['test_parameter_name'];
			  $normal_ll = $row['normal_ll'];
			  $normal_ul = $row['normal_ul'];
			  $critical_ll = $row['critical_ll'];
			  $critical_ul = $row['critical_ul'];
			  $gender = $row['gender'];
			  $age_group_name = $row['age_group_name'];
			  $lower_age_limit = $row['lower_age_limit'];
			  $upper_age_limit = $row['upper_age_limit'];
			  $si_units = $row['si_units'];
			 
			  echo'
			  <div class="col-md-12 added">
				<div class="form-group row">
					<div class="col-sm-2">
						<label class="col-sm-12 col-form-label"><span style="color:blue;">'.$test_parameter_name.'</span></label>
					</div>
					<div class="col-sm-2">
						<label class="col-sm-12 col-form-label">Normal Interval: <span style="color:blue;">'.$normal_ll.' - '.$normal_ul.' ('.$si_units.')</span></label>
					</div>
					<div class="col-sm-2">
						<label class="col-sm-12 col-form-label">Critical Values: <span style="color:blue;"><'.$critical_ll.' or > '.$critical_ul.' ('.$si_units.')</span></label>
					</div>
					<div class="col-sm-2">
						<label class="col-sm-12 col-form-label">Gender: <span style="color:blue;">'.$gender.'</span></label>
					</div>
					<div class="col-sm-2">
						<label class="col-sm-12 col-form-label">Age Group Name: <span style="color:blue;">'.$age_group_name.'</span></label>
					</div>
					<div class="col-sm-2">
						<label class="col-sm-12 col-form-label">Years: <span style="color:blue;">'.$lower_age_limit.' - '.$upper_age_limit.' years</span></label>
					</div>
				</div>
			</div><hr>
			  ';
		  }
	  }
}
elseif(isset($_POST['edit_test_menu_id'])){
	$test_menu_id = $_POST['edit_test_menu_id'];
	$hospital_id = $_POST['edit_test_menu_hospital_id'];
	$user_id = $_POST['edit_test_menu_user_id'];
	
	$edit_test_menu_by_id = $objHospital->get_test_menu_by_id($test_menu_id,$hospital_id);
	foreach($edit_test_menu_by_id as $row){			
		$test_menu_id = $row['test_menu_id'];
		$test_name = $row['test_name'];
		$test_category = $row['test_category'];
		$cost = $row['cost'];
		$tat = $row['tat'];
		$sample_type = $row['sample_type'];
		$sample_volume = $row['sample_volume'];
		$available = $row['available'];
	}
	echo'<form method="post" class="form-sample" id="test_edit_form">
	<div class="row">
		<div class="col-md-6">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Test Name</label>
			<div class="col-sm-8">
			  <input name="test_edit" type="text" class="form-control" Placeholder="'.$test_name.'"/>
			</div>
		  </div>
		</div>
		<div class="col-md-6">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Test Category</label>
			<div class="col-sm-8">
			  <input name="category_edit" type="text" class="form-control" placeholder="'.$test_category.'" />
			</div>
		  </div>
		</div>
	  </div>
	  <div class="row">
	  <div class="col-md-6">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Cost</label>
			<div class="col-sm-8">
			  <input class="form-control" name="cost_edit" type="text" placeholder="'.$cost.'" />
			</div>
		  </div>
	  </div>
	  <div class="col-md-6">
		<div class="form-group row">
			<label class="col-sm-4 col-form-label">Turn Around Time</label>
			<div class="col-sm-8">
				<select name="tat_edit" class="form-control" id="tat" >
					<option disabled>Select TAT in hrs</option>
					<option>0.5</option>
					<option>1</option>
					<option>1.5</option>
					<option>2</option>
					<option>2.5</option>
					<option>3</option>
					<option>3.5</option>
					<option>4</option>
					<option>4.5</option>
					<option>5</option>
					<option>5.5</option>
					<option>6</option>
					<option>7</option>
					<option>7.5</option>
					<option>8</option>
					<option>8.5</option>
					<option>9</option>
					<option>9.5</option>
					<option>10</option>
					<option>10.5</option>
					<option>11</option>
					<option>11.5</option>
					<option>12</option>
					<option>12.5</option>
					<option>13</option>
					<option>13.5</option>
					<option>14</option>
					<option>14.5</option>
					<option>15</option>
					<option>15.5</option>
					<option>16</option>
					<option>16.5</option>
					<option>17</option>
					<option>17.5</option>
					<option>18</option>
					<option>18.5</option>
					<option>19</option>
					<option>19.5</option>
					<option>20</option>
					<option>20.5</option>
					<option>21</option>
					<option>21.5</option>
					<option>22</option>
					<option>22.5</option>
					<option>23</option>
					<option>23.5</option>
					<option>24</option>
					<option>36</option>
					<option>48</option>
					<option>60</option>
					<option>72</option>
				</select>
			</div>
		</div>
		</div>
	  </div>
	  <div class="row">
	  <div class="col-md-6">
		  <div class="form-group row">
			<label class="col-sm-4 col-form-label">Type of sample</label>
			<div class="col-sm-8">
			  <input class="form-control" name="sample_edit" type="text" placeholder="'.$sample_type.'" />
			</div>
		  </div>
	  </div>
	  <div class="col-md-6">
		<div class="form-group row">
			<label class="col-sm-4 col-form-label">Sample volume</label>
			<div class="col-sm-8">
				<input type="text" name="volume_edit" class="form-control" Placeholder="'.$sample_volume.'"/>
			</div>
		</div>
	   </div>
	  </div>
	  <div class="row">
		<div class="col-md-8">
		  <div class="form-group row radios">
			<label class="col-sm-3 col-form-label">Availability</label>
			<div class="col-sm-4">
			  <div class="form-check">
				<label class="form-check-label">
				  <input type="radio" class="form-check-input" name="available_edit" id="available" value="" checked /> Test currently available </label>
			  </div>
			</div>
			<div class="col-sm-5">
			  <div class="form-check">
				<label class="form-check-label">
				  <input type="radio" class="form-check-input" name="not_available_edit" id="not_available" value="option2" /> Currently not available </label>
			  </div>
			</div>
		  </div>
		</div>
		<div class="col-md-4">
			<div class="d-flex justify-content-center">
				<button type="button" class="btn btn-lg btn-success" id="edit_parameter"><span style="font-size:14px;">Add Parameter & Reference Intervals</span></button>
			</div>
	   </div>
	  </div>
	  <div class="row edit_parameter_row">
		<!--Parameters go here--->
	  </div>
	  <div class="row">
		<div class="col-lg-12 grid-margin stretch-card">
			<div class="card">
			  <div class="card-body overflow-auto" >
				<h4 class="card-title"></h4>
				<div class="table-responsive">
				  <table class="table table-striped">
					<thead>
					  <tr>
						<th style="vertical-align:top;"><b >No.</b></th>
						<th style="vertical-align:top;"><b >Parameter</b></th>
						<th style="vertical-align:top;"><b>Normal Interval</b></th>
						<th style="vertical-align:top;"><b>Critical Values</b></th>
						<th style="vertical-align:top;"><b>Gender</b></th>
						<th style="vertical-align:top;"><b>Age Group</b></th>
						<th style="vertical-align:top;"><b>Years</b></th>
						<th style="vertical-align:top;"><b>Remove</b></th>
					  </tr>
					</thead>
					<tbody id="parameter_table">';
					  $get_parameters = $objHospital->get_test_parameters_by_testmenu_id($test_menu_id,$hospital_id);

					  if(empty($get_parameters)){
						  echo'<span style="color:red">No parameter entries for this test </span>';
					  }else{
						  echo'<h5>Parameters</h5>';
						  foreach($get_parameters as $row){
							  $test_parameter_id  = $row['test_parameter_id'];
							  $test_parameter_name = $row['test_parameter_name'];
							  $normal_ll = $row['normal_ll'];
							  $normal_ul = $row['normal_ul'];
							  $critical_ll = $row['critical_ll'];
							  $critical_ul = $row['critical_ul'];
							  $gender = $row['gender'];
							  $age_group_name = $row['age_group_name'];
							  $lower_age_limit = $row['lower_age_limit'];
							  $upper_age_limit = $row['upper_age_limit'];
							  $si_units = $row['si_units'];
							echo'<tr>
								<td>'.$test_parameter_id.'</td>
								<td>'.$test_parameter_name.'</td>
								<td>'.$normal_ll.' - '.$normal_ul.'</td>
								<td>'.$critical_ll.' - '.$critical_ul.'</td>
								<td>'.$gender.'</td>
								<td>'.$age_group_name.'</td>
								<td>'.$lower_age_limit.' - '.$upper_age_limit.'</td>
								<td><input class="btn btn-danger delete_par" id="delete_par" data-test-parameter-id="'.$test_parameter_id.'" data-par-hospital-id="'.$hospital_id.'" type="button" value="Delete '.$test_parameter_name.'"/></td>
							</tr>';
						  }
					  }
					echo'</tbody>
				  </table>
				  
				</div>
			  </div>
			</div>
		  </div>
	</div>
	  <div class="row">
		<div class="col-md-12">
			<div class="d-flex justify-content-center">
				<input type="hidden" name="user_id_edit" value="'.$user_id.'">
				<input type="hidden" name="test_menu_id_edit" value="'.$test_menu_id.'">
				<input type="hidden" name="hospital_id_edit" value="'.$hospital_id.'">
				<button type="submit" class="btn btn-lg btn-primary" id="edit"><span style="font-size:16px;">Save Changes</span></button>
			</div>
		</div>
	  </div>
	</form>
	';
}
elseif(isset($_POST['delete_par'])){
	$test_parameter_id = $_POST['delete_par'];
	$hospital_id = $_POST['hosp_id'];
	$delete_parameter = $objHospital->delete_parameter($test_parameter_id,$hospital_id);
}
elseif(isset($_POST['test_edit'])){
		$test = $_POST['test_edit'];
		$hospital_id = $_POST['hospital_id_edit'];
		$category = $_POST['category_edit'];
		$test_menu_id = $_POST['test_menu_id_edit'];
		$user_id = $_POST['user_id_edit'];
		$cost = $_POST['cost_edit'];
		$tat = $_POST['tat_edit'];
		$sample = $_POST['sample_edit'];
		$volume = $_POST['volume_edit'];
		if(isset($_POST['available_edit'])){
			$available = 'yes';
		}elseif(isset($_POST['not_available_edit'])){
			$available = 'no';
		}
		
		if(empty($_POST['par_name_edit']) && !isset($_POST['par_name_edit'])){
			$par_name = '';
			$normal_ll = '';
			$normal_ul = '';
			$critical_ll = '';
			$critical_ul = '';
			$gender = '';
			$age_group_name = '';
			$lower_age_limit = '';
			$upper_age_limit = '';
			$si_units = '';
			$multiplier = '';
			
		}else{
			$par_name = implode(',',$_POST['par_name_edit']);
			$normal_ll = implode(',',$_POST['normal_ll_edit']);
			$normal_ul = implode(',',$_POST['normal_ul_edit']);
			$critical_ll = implode(',',$_POST['critical_ll_edit']);
			$critical_ul = implode(',',$_POST['critical_ul_edit']);
			$gender = implode(',',$_POST['gender_edit']);
			$age_group_name = implode(',',$_POST['age_group_name_edit']);
			$lower_age_limit = implode(',',$_POST['lower_age_limit_edit']);
			$upper_age_limit = implode(',',$_POST['upper_age_limit_edit']);
			$si_units = implode(',',$_POST['si_units_edit']);
			$multiplier = implode(',',$_POST['test_menu_multiplier_edit']);
		}
				
		$update_test= $objHospital->update_test($user_id,$test_menu_id,$test,$category,$cost,$tat,$sample,$volume,$available,$par_name,$normal_ll,$normal_ul,$critical_ll,$critical_ul,$gender,$age_group_name,$lower_age_limit,$upper_age_limit,$si_units,$multiplier,$hospital_id);

}
elseif(isset($_POST['delete_test_menu_id'])){
	$test_menu_id = $_POST['delete_test_menu_id'];
	$hospital_id = $_POST['delete_hospital_id'];
	
	$delete_test = $objHospital->delete_test($test_menu_id,$hospital_id);
}
elseif(isset($_POST['count_notifications'])){
	$user_id = $_POST['count_notifications'];
	
	$notifications = $objHospital->count_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		echo '<span class="badge badge-danger" style="vertical-align: super; font-size: smaller; border-radius:40px;">'.$notifications.'</span>';
	}
}
elseif(isset($_POST['get_notifications'])){
	$user_id = $_POST['get_notifications'];
	
	$notifications = $objHospital->get_unread_notifications($user_id); 
	if(empty($notifications)){
		//Do nothing 
	}else{
		foreach($notifications as $notification){
			$notifs = $notification['notification'];
			$date = $notification['date_added'];
			echo '<li>
				<a href="triaged.php?user_id='.$user_id.'">
					<div class="notification-content">
						<small class="notification-timestamp pull-right">'.date("d-M-Y H:i",strtotime($date)).'</small>
						<div class="notification-heading">Laboratory</div>
						<div class="notification-text" style="color:blue;">'.$notifs.'</div>
					</div>
				</a>
			</li>';
		}
		
	}
}
elseif(isset($_POST['read_notifications'])){
	$user_id = $_POST['read_notifications'];
	
	$read_notifications = $objHospital->read_notifications($user_id); 
	
}


?>