<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card card-default" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="col-12">
												<h4 class="mb-5">The following functionalities are under development and will be release in Version 2 of this Software</h4>
											</div>
											<div class="row">
												<div class="col-lg-6 col-xl-4">
													<div class="card text-white bg-primary mb-3" style="border-radius:10px; height:10rem; cursor:pointer">
														<div class="card-body">
															<h1 class="card-title text-white" style="font-size:30px;">Sales Prediction</h1>
														</div>
													</div>
												</div>

												<div class="col-lg-6 col-xl-4">
													<div class="card text-white bg-secondary mb-3" style="border-radius:10px; height:10rem; cursor:pointer">
														<div class="card-body">
															<h1 class="card-title text-white" style="font-size:30px;">Diagnostic Predictions</h1>
														</div>
													</div>
												</div>

												<div class="col-lg-6 col-xl-4">
													<div class="card text-white bg-success mb-3" style="border-radius:10px; height:10rem; cursor:pointer">
														<div class="card-body">
															<h1 class="card-title text-white" style="font-size:30px;">Image Interpretation</h1>
														</div>
													</div>
												</div>

												<div class="col-lg-6 col-xl-4">
													<div class="card text-white bg-danger mb-3" style="border-radius:10px; height:10rem; cursor:pointer">
														<div class="card-body">
															<h1 class="card-title text-white" style="font-size:30px;">Abnormality Detection</h1>
														</div>
													</div>
												</div>

												<div class="col-lg-6 col-xl-4">
													<div class="card text-white bg-warning mb-3" style="border-radius:10px; height:10rem; cursor:pointer">
														<div class="card-body">
															<h1 class="card-title text-black" style="font-size:30px;">Data Interpretation</h1>
														</div>
													</div>
												</div>

												<div class="col-lg-6 col-xl-4">
													<div class="card text-white bg-info mb-3" style="border-radius:10px; height:10rem; cursor:pointer">
														<div class="card-body">
															<h1 class="card-title text-white" style="font-size:30px;">Virtual Nursing Assistant</h1>
														</div>
													</div>
												</div>
										</div>
									</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/finance.js"></script>
	<script src="js/printarea.js"></script>
	<style>
	.results_modal_body{
		height: 500px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>