<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#pending" data-toggle="tab" class="nav-link active show"><i class="fa fa-shopping-cart"></i>&nbsp;Patient Bills</a>
														</li>
														<!--<li class="nav-item"><a href="#approvals" data-toggle="tab" class="nav-link"><i class="fa fa-check-square-o "></i>&nbsp;Approvals</a>
														</li>
														<li class="nav-item"><a href="#paid" data-toggle="tab" class="nav-link"><i class="fa fa-money"></i>&nbsp;Fully Paid</a>
														</li>-->
														<li class="nav-item"><a href="#payment_types" data-toggle="tab" class="nav-link"><i class="fa fa-credit-card"></i>&nbsp;Payment Types</a>
														</li>
														<li class="nav-item"><a href="#currency" data-toggle="tab" class="nav-link"><i class="fa fa-dollar"></i>&nbsp;Currency</a>
														</li>
													</ul>
													<div class="tab-content">
														<div id="pending" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header d-flex" style="height:3rem;">
																		<div class="col-sm-6" style="margin-top:-15px;">
																			<h5 style="color:Black;">Patient Bills</h5>
																		</div>
																		<div class="col-sm-4" style="margin-top:-15px;">
																			<input class="form-control search_patient_bills" placeholder="Search Patients">
																		</div>
																		<div class="col-sm-2" style="margin-top:-15px;">
																			<button type="button" class="btn btn-info" data-toggle="modal" data-target="#walk_in_patient_modal"><i class="fa fa-male"></i>&nbsp; Walk-in Patients</button>
																		</div>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Visit Date</center></th>
																					<th scope="col"><center>Name</center></th>
																					<th scope="col"><center>Gender</center></th>
																					<th scope="col"><center>Balance
																					<?php $get_currency = $objHospital->get_default_currency($user_id);
																					echo $get_currency;
																					?>
																					</center></th>
																					<th scope="col"><center>Actions</center></th>
																				</tr>
																			</thead>
																			<tbody class="patient_bill_body">
																				<?php
																					$get_visits = $objHospital->get_patient_visits($user_id);
																					if(empty($get_visits)){
																						//Do nothing
																					}else{ 
																						foreach($get_visits as $visit){
																							//if($visit['nature_of_visit'] !== 'Walk-In'){
																								$patient_id  = $visit['patient_id']; 
																								$hospital_id = $visit['hospital_id'];
																								$visit_date = $visit['visit_date'];
																								$visit_id = $visit['visit_id'];
																								$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
																								if(empty($get_patient_details)){
																										$gender = '';
																										$age = '';
																										
																										$name='Walk-In Patient';
																								}else{
																									foreach($get_patient_details as $details){
																										$first_name = $details['first_name'];
																										$last_name = $details['last_name'];
																										$gender = $details['gender'];
																										$age = $details['age'];
																										
																										$name=$first_name.' '.$last_name;
																									}
																								}
																								//Get total bills
																								$get_total = $objHospital->get_bill_request_total($patient_id, $hospital_id, $visit_id); 
																								//Get total payments
																								$get_total_bill_payment = $objHospital->get_total_bill_payment($patient_id, $hospital_id, $visit_id);
																								//Check if there is a discount
																								$get_visit_discount = $objHospital->get_visit_discount($patient_id, $hospital_id, $visit_id);
																								
																								$balance = $get_total - $get_total_bill_payment;
																								echo'
																								<tr>
																									<td><center>'.$patient_id.'</center></td>
																									<td><center>'.date('d-m-Y',strtotime($visit_date)).'</center></td>
																									<td><center>'.$name.'</center></td>
																									<td><center>'.$gender.'</center></td>
																									<td><center>'; 
																									if(empty($get_visit_discount)){
																										echo number_format(floatval($balance),0,0,',');
																									}else{
																										foreach($get_visit_discount as $discount){
																											$approved_amount = $discount['approved_amount'];
																										}
																										echo number_format(floatval($approved_amount),0,0,',').'<sub><span class="badge badge-info" style="border-radius:25px;">D</span><sub>';
																									}
																									
																									
																									echo'</center></td>
																									<td>
																										<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-expanded="false">Actions</button><center>
																										<div class="dropdown-menu dropdown-menu-right" role="menu">';
																											if((empty($get_total_bill_payment) || ($balance ==0)) && empty($get_visit_discount)){
																												echo'<button class="badge badge-dark dropdown-item request_discount" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-user-id="'.$user_id.'"  data-balance="'.$balance.'"data-toggle="modal" data-target="#add_request_discount">Request Discount</button>';
																											}else{
																												//Do nothing
																											}
																											echo'<button class="badge badge-info dropdown-item pay_bill_button" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-user-id="'.$user_id.'" data-toggle="modal" data-target="#add_payment_modal">Pay Bill</button>
																											<button class="badge badge-warning dropdown-item receipt_btn" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-user-id="'.$user_id.'" data-toggle="modal" data-target="#receipt_modal">Receipt</button>
																										</div>	
																									</td>
																								</tr>';
																							/*}else{
																								$patient_id  = $visit['patient_id']; 
																								$hospital_id = $visit['hospital_id'];
																								$visit_date = $visit['visit_date'];
																								$visit_id = $visit['visit_id'];
																								$get_walkin_details = $objHospital->get_walkin_patient_details($patient_id,$hospital_id);
																								foreach($get_walkin_details as $details){
																									if(empty($details['name'])){
																										$name = 'Walk-In Patient';
																										$gender = 'N/A';
																										$age = 'N/A';
																									}else{
																										$name = $details['name'];
																										$gender = $details['gender'];
																										$age = $details['age'];
																									}
																								}
																								//Get total bills
																								$get_total = $objHospital->get_walkin_bill_total($patient_id, $hospital_id, $visit_id); 
																								//Get total payments
																								$get_total_bill_payment = $objHospital->get_total_walkin_payment($patient_id, $hospital_id, $visit_id);
																								
																								$balance = $get_total - $get_total_bill_payment;
																								echo'
																								<tr>
																									<td><center>'.$patient_id.'</center></td>
																									<td><center>'.date('d-m-Y',strtotime($visit_date)).'</center></td>
																									<td><center>'.$name.'</center></td>
																									<td><center>'.$gender.'</center></td>
																									<td><center>'.number_format(floatval($balance),0,0,',').'</center></td>
																									<td>
																										<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-expanded="false">Actions</button><center>
																										<div class="dropdown-menu dropdown-menu-right" role="menu">
																											<button class="badge badge-info dropdown-item pay_bill_button" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-user-id="'.$user_id.'" data-toggle="modal" data-target="#add_payment_modal">Pay Bill</button>
																											<button class="badge badge-warning dropdown-item receipt_btn" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-user-id="'.$user_id.'" data-toggle="modal" data-target="#receipt_modal">Receipt</button>
																										</div>	
																									</td>
																								</tr>';
																							}*/	
																						}
																					}											
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<div id="payment_types" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="page-header d-flex justify-content-between" >
																	  <h3 class="page-title">Payment Methods</h3>
																	  <nav aria-label="breadcrumb">
																		<a class="btn btn-info" data-toggle="collapse" href="#method" aria-expanded="false" aria-controls="patient">
																			<i class="fa fa-plus-outline"></i>
																			<span class="menu-title"><b>Add New Method</b></span>
																			<i class="menu-arrow"></i>
																		</a>
																	  </nav>
																	</div>
																	<div class="collapse" id="method">
																	<div class="row">
																	  <div class="col-12 grid-margin">
																		<div class="card">
																		  <div class="card-body">
																			<form method="post" class="form-sample" id="payment_method_form">
																			  <div class="row">
																				<div class="col-md-12">
																					<div class="form-group row">
																						<label class="col-sm-2 col-form-label">Payment Type Name:</label>
																						<div class="col-sm-10">
																							<input type="text" name="payment_method_name" class="form-control" placeholder="E.g. Cash, Cheque, Bank...etc"/>
																						</div>
																					</div>
																				</div>
																			  </div>
																			  <div class="row">
																				<div class="col-md-12">
																					<div class="d-flex justify-content-center">
																						<input type="hidden" name="payment_method_user_id" value="<?php echo $user_id?>">
																						<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Method</span></button>
																					</div>
																				</div>
																			  </div>
																			</form>
																		  </div>
																		</div>
																	  </div>
																  <!-- partial -->
																	</div>
																  </div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Method ID</center></th>
																					<th scope="col"><center>Payment Method Name</center></th>
																					<th scope="col"><center>Date Added</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_payment_methods = $objHospital->get_all_payment_methods($user_id);
																					if(empty($get_payment_methods)){
																						echo'<tr><td colspan="4" style="color:green;"><center>There are no methods added yet</center></td></tr>';
																					}else{
																						foreach($get_payment_methods as $methods){
																							$payment_method_id   = $methods['payment_method_id'];
																							$method_name = $methods['method_name'];
																							$date_added = $methods['date_added'];
																							$hospital_id = $methods['hospital_id'];
																							
																							echo'
																							<tr>
																								<td><center>'.$payment_method_id.'</center></td>
																								<td><center>'.$method_name.'</center></td>
																								<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
																								<td><center><button class="btn btn-danger delete_method_btn" data-method-id="'.$payment_method_id.'" data-hospital-id="'.$hospital_id.'" data-method-name="'.$method_name.'">Delete</button></center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="currency" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="page-header d-flex justify-content-between" >
																	  <h3 class="page-title">Hospital's Main Currency</h3>
																	  <nav aria-label="breadcrumb">
																		<a class="btn btn-info" data-toggle="collapse" href="#add_currency" aria-expanded="false" aria-controls="patient">
																			<i class="fa fa-plus-outline"></i>
																			<span class="menu-title"><b>Add New Currency</b></span>
																			<i class="menu-arrow"></i>
																		</a>
																	  </nav>
																	</div>
																	<div class="collapse" id="add_currency">
																	<div class="row">
																	  <div class="col-12 grid-margin">
																		<div class="card">
																		  <div class="card-body">
																			<form method="post" class="form-sample" id="currency_form">
																			  <div class="row">
																				<div class="col-md-6">
																					<div class="form-group row">
																						<label class="col-sm-3 col-form-label">Currency Name:</label>
																						<div class="col-sm-9">
																							<input type="text" name="currency_name" class="form-control" placeholder="E.g. Uganda Shillings, US Dollars...etc"/>
																						</div>
																					</div>
																				</div>
																				<div class="col-md-6">
																					<div class="form-group row">
																						<label class="col-sm-3 col-form-label">Abbreviation:</label>
																						<div class="col-sm-9">
																							<input type="text" name="abbreviation" class="form-control" placeholder="E.g. Ugx, USD, Kes,CHF...etc"/>
																						</div>
																					</div>
																				</div>
																			  </div>
																			  <div class="row">
																				<div class="col-md-12">
																					<div class="d-flex justify-content-center">
																						<input type="hidden" name="currency_user_id" value="<?php echo $user_id?>">
																						<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Currency</span></button>
																					</div>
																				</div>
																			  </div>
																			</form>
																		  </div>
																		</div>
																	  </div>
																  <!-- partial -->
																	</div>
																  </div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Currency ID</center></th>
																					<th scope="col"><center>Currency Name</center></th>
																					<th scope="col"><center>Abbreviation</center></th>
																					<th scope="col"><center>Date Added</center></th>
																					<th scope="col"><center>Status</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_currencies = $objHospital->get_all_currencies($user_id);
																					if(empty($get_currencies)){
																						echo'<tr><td colspan="5" style="color:green;"><center>There are no currencies added yet</center></td></tr>';
																					}else{
																						foreach($get_currencies as $methods){
																							$currency_id   = $methods['currency_id'];
																							$currency_name = $methods['currency_name'];
																							$abbreviation = $methods['abbreviation'];
																							$date_added = $methods['date_added'];
																							$hospital_id = $methods['hospital_id'];
																							$default = $methods['default_currency'];
																							
																							echo'
																							<tr>
																								<td><center>'.$currency_id.'</center></td>
																								<td><center>'.$currency_name.'</center></td>
																								<td><center>'.$abbreviation.'</center></td>
																								<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
																								<td><center>';
																								if($default == 'no'){
																									//Do nothing
																								}else{
																									echo'<div class="badge badge-primary">Default</div>';
																								}
																								echo'</center></td>
																								<td><center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
																									<div class="dropdown-menu dropdown-menu-left">
																										<button class="badge badge-dark set_default_btn"  data-currency-id="'.$currency_id.'" data-hospital-id="'.$hospital_id.'" data-currency-name="'.$currency_name.'">Set as Default</button>
																										<button class="badge badge-danger delete_currency_button"  data-currency-id="'.$currency_id.'" data-hospital-id="'.$hospital_id.'" data-currency-name="'.$currency_name.'">Delete Currency</button>
																									</div>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_payment_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body invoice_modal">
																		<!----Invoice goes here---->
																	</div>
																	<div class="modal-footer">
																		<button type="button" class="btn btn-success print_invoice">Print</button>
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="receipt_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body receipt_modal">
																		<!----Invoice goes here---->
																	</div>
																	<div class="modal-footer">
																		<button type="button" class="btn btn-primary print_receipt">Print Receipt</button>
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="receipt_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body print_receipt_modal">
																		<!----Invoice goes here---->
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_request_discount" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5>Discount for: <span style="color:blue;" id="discount_patient_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<form method="post" id="submit_discount_request_form">
																	<div class="modal-body request_discount_body">
																		<!----Invoice goes here---->
																	</div>
																	<div class="modal-footer">
																		<button type="submit" class="btn btn-primary">Send request</button>
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														
														<div class="modal fade bd-example-modal-lg" id="walk_in_patient_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-lg">
																	<div class="modal-content" style="width:87rem; height:44rem; margin-left:-17rem; margin-top:-20px; overflow-x:auto;">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Walk-in Patient </h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<form method="post" enctype="multipart/form-data" id="save_walking_service_form">
																		<div class="modal-body results_modal_body" style="height: 35rem;">
																			<div class="img-container" style="height: 35rem;">
																				<div class="row grid">
																					<div class="col-xl-3" style="overflow-y:scroll; height:31rem;">
																						<div class="grid-col">
																							<div class="row">
																								<div class="form-group">
																									<label><span style="color:black; font-size:16px;"><b>Select Department</b></span></label>
																									<select class="form-control col-md-12" id="select_service" style="border:solid  2px #E5E4E2; border-radius:5px; width:19rem;">
																										<option>Pharmacy</option>
																										<option>Laboratory</option>
																										<option>Radiology</option>
																										<option>Clinical Services</option>
																									</select>
																								</div>
																							</div>
																							<div class="row">
																								<div class="form-group">
																									<label><span style="color:black; font-size:16px;"><b>Search Product/Service</b></span></label>
																									<input type="text" style="width:19rem; border:solid #E5E4E2; border-radius:5px;" class="form-control" name="search_pharmacy_term" id="walkin_search_service_term"><i class="fa fa-serch"></i>
																								</div>
																							</div>
																							<div class="row" style="margin-top:-3rem;">
																								<div class="form-group" id="walkin_searched_service">
																									<div class="table-responsive">
																										<table class="table primary-table-bg-hover" style="width:19rem;">
																											<thead>
																												<tr>
																													<th>Name</th>
																													<th>Strength</th>
																													<th>Cost</th>
																												</tr>
																											</thead>
																											<tbody id="search_service_body">
																											</tbody>
																										</table>
																									</div>
																								</div>
																							</div>
																						</div>
																					</div>
																					<div class="col-xl-7" style="overflow-y:scroll; height:31rem; border-radius:10px; border:solid;">
																						<div class="form-row">
																							<div class="form-group col-md-6">
																								<label class="col-form-label" style="color:black; font-size:14px;">Patient Name:</label>
																								<input name="walkin_patient_name" type="text" class="form-control" style="border:solid 2px #E5E4E2; border-radius:5px;"/>
																							</div>
																							<div class="form-group col-md-3">
																								<label class="col-form-label" style="color:black; font-size:14px;">Gender:</label>
																								<select name="walkin_gender" type="text" class="form-control" style="border:solid 2px #E5E4E2; border-radius:5px;">
																									<option value="Male">Male</option>
																									<option value="Female">Female</option>
																								</select>
																							</div>
																							<div class="form-group col-md-3">
																								<label class="col-form-label" style="color:black; font-size:14px;">Age:</label>
																								<input name="walkin_age" type="text" class="form-control" style="border:solid 2px #E5E4E2; border-radius:5px;"/>
																							</div>
																						</div>
																						<div class="form-row" style="margin-top:-40px;">
																							<div class="form-group col-md-6">
																								<label class="col-form-label" style="color:black; font-size:14px;">Phone Number:</label>
																								<input name="walkin_phone_number" type="text" class="form-control" style="border:solid 2px #E5E4E2; border-radius:5px;"/>
																							</div>
																							<div class="form-group col-md-6">
																								<label class="col-form-label" style="color:black; font-size:14px;">Address:</label>
																								<input name="walkin_address" type="text" class="form-control" style="border:solid 2px #E5E4E2; border-radius:5px;"/>
																							</div>
																						</div>
																						<div class="grid-col" style="">
																							<div class="row">
																								<div class="table-responsive">
																									<table class="table primary-table-bg-hover" id="walkin_patient_dispense_table">
																										<thead>
																											<tr>
																												<th scope="col"><center>ID</center></th>
																												<th scope="col"><center>Product/Service Name</center></th>
																												<th scope="col"><center>Rate (<?php $currency_name = $objHospital->get_default_currency($user_id); echo $currency_name; ?>)</center></th>
																												<th scope="col"><center>Quantity</center></th>
																												<th scope="col"><center>Amount (<?php $currency_name = $objHospital->get_default_currency($user_id); echo $currency_name; ?>)</center></th>
																												<th scope="col"><center>Remove</center></th>
																											</tr>
																										</thead>
																										<tbody class="walkin_searched_term_body">
																											<!----All visits go here--->
																										</tbody>
																									</table>
																								</div>
																							</div>
																						</div>
																					</div>
																					<div class="col-xl-2" style="height:31rem; background-color:#87CEEB; border-radius:5px; overflow-x:auto;">
																						<div class="grid-col">
																							<div class="row d-flex justify-content-center" style>
																								<label><span style="color:black; font-size:16px; font-weight:bold;">FEFO Corner</span></label>
																							</div>
																							<div class="row">
																								<div class="col-md-12">
																									<table class="table table-bg-hover" style="width:100%; overflow-x:auto;">
																										<thead>
																											<tr>
																												<th scope="col"><center><b>Name</b></center></th>
																												<th scope="col"><center><b>Lot No</b></center></th>
																												<th scope="col"><center><b>Expiry</b></center></th>
																											</tr>
																										</thead>
																										<tbody id="fefo_corner">
																											<!-----Product expiries go here ---->
																										</tbody>
																									</table>
																								</div>
																							</div>
																						</div>
																					</div>
																				</div>
																			</div>
																			<div class="row grid" style="margin-top:-70px;">
																				<div class="col-xl-2" style="height:2rem;">
																					<div class="grid-col"><span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></div>
																				</div>
																				<div class="col-xl-10">
																					<div class="grid-col">
																						<div class="form-row" style="height: 2rem;">
																							<div class="col-md-4">
																								<label class="col-form-label" style="color:black; font-size:25px; font-weight:bold; font-style:italic;">Total Amount Due:</label>
																								<label class="col-form-label" style="color:blue; font-size:25px; font-weight:bold; font-style:italic;" id="amount_to_pay"></label>
																							</div>
																							<div class="col-md-5 form-inline">
																								<label class="col-form-label" style="color:black; font-size:25px; font-weight:bold;">Paid:</label>
																								<input name="amount_paid" type="text" class="form-control" style="border-radius:10px; border:solid; height:50px; font-weight:bold; font-size:25px; color:green;" id="amount_paid"/>
																							</div>
																							<div class="col-md-3">
																								<label class="col-form-label" style="color:black; font-size:25px; font-weight:bold; font-style:italic;">Balance:</label>
																								<label class="col-form-label" style="color:blue; font-size:25px; font-weight:bold; font-style:italic;" id="due_to_customer"></label>
																							</div>
																						</div>
																					</div>
																				</div>
																			</div>
																		</div>
																		<div class="modal-footer">
																			<input type="hidden" name="walkin_user_id" value="<?php echo $user_id;?>"/>
																			<input type="hidden" name="total_amount_to_pay" id="total_amount_to_pay"/>
																			<input type="hidden" name="total_amount_paid" id="total_amount_paid"/>
																			<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																			<button type="submit" class="btn btn-primary" id="dispense_walkin_medicine_btn">Send Request</button>
																		</div>
																		</form>
																	</div>
																</div>
															</div>
															
													<!------Follow up patient----->
													<div class="modal fade" id="delete_request" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
														<div class="modal-dialog modal-md" role="document">
															<div class="modal-content">
																<div class="modal-header">
																	<h5 class="modal-title" id="modalLabel">Please indicate reason for deleting this <span id="delete_request_header" style="color:blue;"></span> request</h5>
																	<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																		<span aria-hidden="true">×</span>
																	</button>
																</div>
																<form method="post" id="delete_request_form">
																<div class="modal-body">
																	<div class="img-container">
																		<div class="row">
																			<div class="col-sm-12">  
																				<div class="form-group">
																				  <!--<label for="event_name">Select reason here:</label>-->
																				  <select type="text" name="delete_request_reason" id="delete_request_reason" class="form-control" style="width:100%;">
																					<option>Click here to select reason:</option>
																					<option>Client has NO money for this request</option>
																					<option>Request accidentally added</option>
																					<option>Request duplicated</option>
																					<option>Request replaced by another alternative</option>
																					<option>Product out of stock</option>
																					<option>Product expired</option>
																					<option>Request not required to manage patient</option>
																				  </select>
																				</div>
																			</div>
																		</div>
																	</div>
																</div>
																<div class="modal-footer">
																	<input type="hidden" name="delete_request_user_id" value="<?php echo $user_id; ?>">
																	<input type="hidden" name="delete_request_patient_id" id="delete_request_patient_id">
																	<input type="hidden" name="delete_request_hospital_id" id="delete_request_hospital_id">
																	<input type="hidden" name="delete_request_request_id" id="delete_request_request_id">
																	<input type="hidden" name="delete_request_request_name" id="delete_request_request_name">
																	<input type="hidden" name="delete_request_department" id="delete_request_department">
																	<button type="submit" id="delete_request_button" class="btn btn-success delete_request_button">Delete Request</button>
																</div>
																</form>
															</div>
														</div>
													</div>
														
														
														
														
														
														
														

														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/finance.js"></script>
	<script src="js/printarea.js"></script>
	<style>
	.results_modal_body{
		height: 500px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>