<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];
	$patient_id = $_GET['patient_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
	<div id="patient_id" data-patient-id="<?php echo $patient_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
								<?php
								$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
								foreach($get_patient_details as $details){
									$date_created = $details['date_created'];
									$date_editted = $details['date_editted'];
									$gender = $details['gender'];
									$phone = $details['phone_number'];
									$age = $details['age'];
									$patient_first_name = $details['first_name'];
									$patient_middle_name = $details['other_name'];
									$patient_last_name = $details['last_name'];
									$image = $details['image'];
									$address = $details['address'];
									$next_of_kin = $details['next_of_kin'];
									$next_of_kin_phone = $details['next_of_kin_phone'];
									$hospital_no = $details['hospital_no'];
									$hospital_id = $details['hospital_id'];
									
								}
								?>
									<div class="card" style="overflow-x:scroll;">
										<div class="card-header d-flex justify-content-between">
											<a href="patients.php?user_id=<?php echo $user_id; ?>" class="btn btn-dark"><span class="btn-icon-right"><i class="fa fa-arrow-left"></i></span> Back to Patient List</a>
											<?php
												//Get the type of user
												$get_user_details = $objUser->get_user_details($user_id);
												if(empty($get_user_details)){
													$user_type='no';
												}else{
													$user_type='super_admin';
												}
												
												$get_staff_roles = $objHospital->get_user_staff_roles($user_id);
												if(empty($get_staff_roles)){
													//Do nothing
												}else{
													foreach($get_staff_roles as $roles){
														//$enter_patient_data = $roles['enter_patient_data'];
														$full_reception_access = $roles['full_reception_access'];
														$full_doctors_room_access = $roles['full_doctors_room_access'];
														$super_user = $roles['super_user'];
													}
												}
												if($super_user == 'yes' || $user_type=='super_admin' || ($access_patient_data=='yes' && $full_doctors_room_access=='yes')){
											?>
											<a href="triaged.php?user_id=<?php echo $user_id; ?>" class="btn btn-dark"><span class="btn-icon-right"></span>Go to Manage Patient <i class="fa fa-arrow-right"></i></a>
											<?php }?>
										</div>
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#biodata" data-toggle="tab" class="nav-link active show">Bio Data</a>
														</li>
														<li class="nav-item" id="visit_btn" id="visit_btn"><a href="#visit" data-toggle="tab" class="nav-link">Visits</a>
														</li>
														<li class="nav-item" id="vitals_btn"><a href="#vitals" data-toggle="tab" class="nav-link">Vital Signs</a>
														</li>
														<!--<li class="nav-item" id="manage_patient_btn"><a href="#manage_patient" data-toggle="tab" class="nav-link">Manage Patient</a>
														</li>
														<li class="nav-item"><a href="#admissions" data-toggle="tab" class="nav-link">Admissions</a>
														</li>
														<li class="nav-item"><a href="#discharge" data-toggle="tab" class="nav-link">Discharge Patient</a>
														</li>-->
													</ul>
													<div class="tab-content">
														<div id="biodata" class="tab-pane fade active show">
															<div class="card" style="width:70rem;">
															<div class="card-body">
															<div class="row grid">
															<div class="col-xl-9">
															<div class="grid-col">
															<div class="profile-personal-info">
																<h4 class="text-primary mb-4">Patient Information: <?php echo $hospital_no; ?></h4>
																<div class="row mb-4" style="height:1rem;">
																	<div class="col-3">
																		<h6 style="color:black;">First Name <span class="pull-right">:</span>
																		</h6>
																	</div>
																	<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $patient_first_name;?></span>
																	</div>
																</div>
																<div class="row mb-4" style="height:1rem;">
																	<div class="col-3">
																		<h6 style="color:black;">Other Name <span class="pull-right">:</span>
																		</h6>
																	</div>
																	<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $patient_middle_name;?></span>
																	</div>
																</div>
																<div class="row mb-4" style="height:1rem;">
																	<div class="col-3">
																		<h6 style="color:black;">Last Name <span class="pull-right">:</span>
																		</h6>
																	</div>
																	<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $patient_last_name;?></span>
																	</div>
																</div>
																<div class="row mb-4" style="height:1rem;">
																	<div class="col-3">
																		<h6 style="color:black;">Gender <span class="pull-right">:</span></h6>
																	</div>
																	<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $gender;?></span>
																	</div>
																</div>
																<div class="row mb-4" style="height:1rem;">
																	<div class="col-3">
																		<h6 style="color:black;">Phone Number <span class="pull-right">:</span>
																		</h6>
																	</div>
																	<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $phone;?></span>
																	</div>
																</div>
																<div class="row mb-4" style="height:1rem;">
																	<div class="col-3">
																		<h6 style="color:black;">Age <span class="pull-right">:</span></h6>
																	</div>
																	<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $age;?></span>
																	</div>
																</div>
																<div class="row mb-4" style="height:1rem;">
																	<div class="col-3">
																		<h6 style="color:black;">Address <span class="pull-right">:</span></h6>
																	</div>
																	<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $address;?></span>
																	</div>
																</div>
																<div class="row mb-4" style="height:1rem;">
																	<div class="col-3">
																		<h6 style="color:black;">Next of Kin <span class="pull-right">:</span></h6>
																	</div>
																	<div class="col-9" style="color:black; font-size:16px;"><span><?php echo $next_of_kin;?></span>
																	</div>
																</div>
																<div class="row mb-4" style="height:1rem;">
																	<div class="col-4">
																		<h6 style="color:black;">Next of Kin Phone Number <span class="pull-right">:</span></h6>
																	</div>
																	<div class="col-8" style="color:black; font-size:16px;"><span><?php echo $next_of_kin_phone;?></span>
																	</div>
																</div>
															</div>
															</div>
															</div>
															
															<div class="col-xl-3">
																<div class="grid-col">
																	<div class="col-md-12">
																		<div class="card mb-4" >
																			<img src="<?php echo $image; ?>" class="img-fluid rounded-circle" alt="">
																			<div class="card-body">
																				<center>
																					<h4 class="card-text">
																						<?php echo $patient_first_name.' '.$patient_last_name; ?>
																					</h4>
																				</center>
																				<hr>
																				<center>
																					<p class="card-text text-dark">Last updated 
																					<?php
																						if($date_editted == '0000-00-00 00:00:00'){
																							echo $date_created;
																						}else{
																							echo $date_editted;
																						}
																					?>
																					</p>
																				</center>
																			</div>
																		</div>
																	</div>
																	<div class="row">
																		<div class="col-md-6">
																			<button class="btn btn-warning dropdown-item edit_patient_button" data-patient-id="<?php echo $patient_id; ?>" data-toggle="modal" data-target=".edit_patient"><center>Edit</center></button>
																		</div>
																		<div class="col-md-6">
																			<button class="btn btn-danger dropdown-item delete_patient_button" data-patient-id="<?php echo $patient_id; ?>"><center>Delete</center></button>
																		</div>
																		<div class="col-md-12">
																			<?php
																			$get_patient_group = $objHospital->get_group_by_patient_id($patient_id,$user_id);
																			if(!empty($get_patient_group)){
																				foreach($get_patient_group as $group){
																					$group_name = $group['group_name'];
																				}
																				echo'<center><span class="text-primary" style="color:black; font-size:18px; font-weight:bold;">'.$group_name.' Group</span></center>';
																			}else{
																				echo'<button class="btn btn-info dropdown-item patient_group_button" data-toggle="modal" data-target="#add_to_group_modal" data-patient-id="<?php echo $patient_id; ?>"><center>Add to Group</center></button>';
																			}
																			?>
																		</div>
																	</div>
																</div>
															</div>
															</div>
															<!----->
															
															</div>
															</div>
														</div>
														<div id="visit" class="tab-pane fade">
															<div class="card" style="width:70rem;">
																<div class="card-body">
																	<div class="row">
																		<div class="col-sm-12" style="text-align:right;">
																			<button class="btn btn-rounded btn-info" data-toggle="modal" data-target="#add_visit_modal"><i class="fa fa-plus"></i>&nbsp; Add a Visit</button>
																		</div>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Visit ID</center></th>
																					<th scope="col"><center>Visit Date</center></th>
																					<th scope="col"><center>Assigned Doctor</center></th>
																					<th scope="col"><center>Nature of Visit</center></th>
																					<th scope="col"><center>Balance</center></th>
																					<th scope="col"><center>Discharge Status</center></th>
																					<th scope="col"><center>Details</center></th>
																				</tr>
																			</thead>
																			<tbody class="visit_table_body">
																				<!-----Visits go here----->
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="col-md-12" style="overflow-y:scroll;">
															<!-- Modal for patients details -->
															<div class="modal fade edit_patient" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true" >
															  <div class="modal-dialog">
																<div class="modal-content" style="width: 1000px;">
																<form method="post" id="edit_patient_form" enctype="multipart/form-data">
																  <div class="modal-header">
																	<h5 class="modal-title" id="staticBackdropLabel">Edit Patient Details</h5>
																	<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
																  </div>
																  
																  <div class="edit_patient_body">
																	<!-------Patient details to edit go here--->
																  </div>
																</form>
																</div>
															  </div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade" id="add_visit_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-md" role="document">
																	<div class="modal-content">
																	<form method="post" id="save_visit_form">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Add Visit for: <span style="color:blue;"><?php echo $patient_first_name.' '.$patient_last_name; ?></span></h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<div class="modal-body">
																			<div class="img-container">
																				<div class="row">
																					<div class="col-sm-6">  
																						<div class="form-group">
																						    <label><span style="color:black;">Assign a Doctor</span><span style="color:red;">*</span></label>
																							<select class="form-control" name="visit_assigned_doctor" style="width:100%;" required>
																								<?php
																								$get_doctors = $objHospital->get_all_doctors($user_id);
																								if(empty($get_doctors)){
																									echo'<option>There are no Doctors yet</option>';
																								}else{
																									foreach($get_doctors as $doctors){
																										$first_name = $doctors['first_name'];
																										$last_name = $doctors['last_name'];
																										echo'<option>'.$first_name.' '.$last_name.'</option>';
																									}
																								}
																								
																								?>
																							</select>
																						</div>
																					</div>
																					<div class="col-sm-6">  
																						<div class="form-group">
																						    <label><span style="color:black;">Nature of Visit</span><span style="color:red;">*</span></label>
																							<select class="form-control" name="visit_nature_of_visit" required>
																								<option value="First-time">First-time</option>
																								<option value="Return">Return</option>
																							</select>
																						</div>
																					</div>
																					<div class="col-sm-6">  
																						<div class="form-group">
																						    <label><span style="color:black;">Type of Visit</span><span style="color:red;">*</span></label>
																							<select class="form-control" name="visit_type_of_visit" required>
																								<option>Normal</option>
																								<option>Group</option>
																								<option>Emergency</option>
																								<option>Insurance</option>
																							</select>
																						</div>
																					</div>
																				</div>
																			</div>
																		</div>
																		<div class="modal-footer">
																			<input type="hidden" name="visit_hospital_id" value="<?php echo $hospital_id; ?>">
																			<input type="hidden" name="visit_added_by" value="<?php echo $user_id; ?>">
																			<input type="hidden" name="visit_patientid" value="<?php echo $patient_id; ?>">
																			<button type="submit" id="save_schedule" class="btn btn-success">Send to Doctor</button>
																		</div>
																	</form>
																	</div>
																</div>
															</div>
														</div>
														
														<div id="vitals" class="tab-pane fade">
															<div class="card" style="width:75rem;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button class="btn btn-rounded btn-primary" data-toggle="modal" data-target="#add_vitals_modal"><i class="fa fa-plus"></i>&nbsp; Add Vital Signs for: <?php echo $patient_first_name.' '.$patient_last_name; ?></button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Visit Date</center></th>
																					<th scope="col"><center>Date Recorded</center></th>
																					<th scope="col"><center>BP(Systolic/Diastolic - mm Hg)</center></th>
																					<th scope="col"><center>Heart Rate (BPM)</center></th>
																					<th scope="col"><center>Weight (Kg)</center></th>
																					<th scope="col"><center>Temp (Degrees C)</center></th>
																					<th scope="col"><center>Respiratory Rate (Breaths/Min)</center></th>
																					<th scope="col"><center>Oxygen Saturation (S<sub>p</sub>O<sub>2</sub> in %)</center></th>
																					<th scope="col"><center>Height (cm)</center></th>
																					<th scope="col"><center>BMI (by WHO)</center></th>
																					<th scope="col"><center>Actions</center></th>
																				</tr>
																			</thead>
																			<tbody class="vitals_table_body">
																				<!---Vitals go here---->																		
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_vitals_modal" role="dialog" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
														  <div class="modal-dialog modal-lg">
															<div class="modal-content">
															<form method="post" id="save_vitals_form">
																<div class="modal-header">
																	<h5 class="modal-title" id="modalLabel">Add Vital Signs for: <span style="color:blue;" ><?php echo $patient_first_name.' '.$patient_last_name; ?></span></h5>
																	<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																		<span aria-hidden="true">×</span>
																	</button>
																</div>
																<div class="modal-body">
																	<div class="img-container">
																		<div class="card" style="width:100%;">
																			<div class="row"><div class="col-sm-6">  
																					<div class="form-group">
																						<label><span style="color:black;">Select Visit by Date</span><span style="color:red;">*</span></label>
																						<select class="form-control" name="vitals_visit_id" style="width:100%;" required>
																							<?php
																							$get_visit = $objHospital->get_active_visits($patient_id,$user_id);
																							if(empty($get_visit)){
																								echo'<option>There are no visits recorded yet</option>';
																							}else{
																								foreach($get_visit as $visit){
																									$visit_id = $visit['visit_id'];
																									$visit_date = $visit['visit_date'];
																									echo'<option value="'.$visit_id.'">'.date('m-d-Y',strtotime($visit_date)).'</option>';
																								}
																							}
																							
																							?>
																						</select>
																					</div>
																				</div>
																				<div class="col-sm-6">  
																					<label><span style="color:black;">Blood Pressure (mm Hg)</span></label>
																					<div class="row">
																						<input type="text" style="width:10rem; float:left;" name="systolic" class="form-control" placeholder="Systolic"> &nbsp; &nbsp; <span style="font-size:30px;"> / </span>&nbsp; &nbsp; <input type="text" name="diastolic" style="width:10rem; float:right;" class="form-control" placeholder="Diastolic">
																					</div>
																				</div>
																			</div>
																			<div class="row">
																				<div class="col-sm-6">  
																					<label><span style="color:black;">Heart Rate (Beats/Min)</span></label>
																					<input type="text" name="heart_rate" class="form-control" >
																				</div>
																				<div class="col-sm-6">
																					<label><span style="color:black;">Weight (Kg)</span></label>
																					<input type="text" name="weight" class="form-control">
																				</div>
																			</div>
																			<div class="row">	
																				<div class="col-sm-6">  
																					<label><span style="color:black;">Temperature (Degrees Celcius)</span></label>
																					<input type="text" name="temperature" class="form-control" >
																				</div>
																				<div class="col-sm-6">  
																					<label><span style="color:black;">Respiratory Rate (Breaths/Min)</span></label>
																					<input type="text" name="respiratory_rate" class="form-control" >
																				</div>
																			</div>
																			<div class="row">
																				<div class="col-sm-6">
																					<label><span style="color:black;">Oxygen Saturation (S<sub>p</sub>O<sub>2</sub> in %)</span></label>
																					<input type="text" name="oxygen_saturation" class="form-control">
																				</div>
																				<div class="col-sm-6">  
																					<label><span style="color:black;">Height (Centimeters)</span></label>
																					<input type="text" name="height" class="form-control">
																				</div>
																			</div>
																		</div>
																	</div>
																</div>
																<div class="modal-footer">
																	<input type="hidden" name="vitals_hospital_id" value="<?php echo $hospital_id; ?>">
																	<input type="hidden" name="vitals_added_by" value="<?php echo $user_id; ?>">
																	<input type="hidden" name="vitals_patientid" value="<?php echo $patient_id; ?>">
																	<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	<button type="submit" id="save_vitals" class="btn btn-primary">Save Vitals</button>
																</div>
																</form>
															</div>
														  </div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade" id="add_to_group_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-md" role="document">
																	<div class="modal-content">
																	<form method="post" id="assign_group_form">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Assign Group for: <span style="color:blue;"><?php echo $patient_first_name.' '.$patient_last_name; ?></span></h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<div class="modal-body">
																			<div class="img-container">
																				<div class="row">
																					<div class="col-sm-12">  
																						<div class="form-group">
																						    <label><span style="color:black;">Select Group</span><span style="color:red;">*</span></label>
																							<select class="form-control" name="group_id" style="width:100%;">
																								<?php
																								$get_groups = $objHospital->get_groups($user_id);
																								if(empty($get_groups)){
																									echo'<option>There are no groups added yet</option>';
																								}else{ 
																									foreach($get_groups as $group){
																										$group_id   = $group['group_id'];
																										$group_name  = $group['group_name']; 
																										echo'<option value="'.$group_id.'">'.$group_name.'</option>';
																									}
																								}
																								
																								?>
																							</select>
																						</div>
																					</div>
																				</div>
																			</div>
																		</div>
																		<div class="modal-footer">
																			<input type="hidden" name="group_hospital_id" value="<?php echo $hospital_id; ?>">
																			<input type="hidden" name="group_added_by" value="<?php echo $user_id; ?>">
																			<input type="hidden" name="group_patient_id" value="<?php echo $patient_id; ?>">
																			<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																			<button type="submit" id="save_group" class="btn btn-primary">Assign Group</button>
																		</div>
																	</form>
																	</div>
																</div>
															</div>
														</div>
																	
														
														
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->

    <script src="../assets/js/lib/calendar-2/moment.latest.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.calendar.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.init.js"></script>
	
	<!-- Required vendors 
    <script src="../assets/js/lib/global.min.js"></script
    <script src="../assets/js/lib/quixnav-init.js"></script>
    <script src="../assets/js/lib/custom.min.js"></script>-->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/patient.js"></script>
	<script src="js/printarea.js"></script>
	<style>
	.results_modal_body{
		height: 500px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>