<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#pending" data-toggle="tab" class="nav-link active show"><i class="fa fa-shopping-cart"></i>&nbsp;Discount Requests</a>
														</li>
													</ul>
													<div class="tab-content">
														<div id="pending" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Requests</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Request Date</center></th>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Patient Name</center></th>
																					<th scope="col"><center>System Amount
																					<?php $get_currency = $objHospital->get_default_currency($user_id);
																					echo $get_currency;
																					?>
																					</center></th>
																					<th scope="col"><center>Requested Discount</center></th>
																					<th scope="col"><center>Approved Discount</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<form method="post" id="approve_discount_form">
																				<?php
																					//Get normal patients 
																					$get_discounts = $objHospital->get_discounts($user_id);
																					if(empty($get_discounts)){
																						echo'<tr>
																							<td colspan="7" style="color:red;"><center>They are no discount requests yet</center></td>
																						</tr>';
																					}else{ 
																						foreach($get_discounts as $discount){
																							
																							$patient_id  = $discount['patient_id']; 
																							$hospital_id = $discount['hospital_id'];
																							$visit_date = $discount['visit_date'];
																							$visit_id = $discount['visit_id'];
																							$requested_amount = $discount['requested_amount'];
																							$requested_by = $discount['requested_by'];
																							$request_date = $discount['request_date'];
																							$patient_name = $discount['patient_name'];
																							$system_amount = $discount['system_amount'];
																							$approved = $discount['approved'];
																							$approved_amount = $discount['approved_amount'];
																							
																							echo'
																							<tr>
																								<td><center>'.date('d-m-Y',strtotime($request_date)).'</center></td>
																								<td><center>'.$patient_id.'</center></td>
																								<td><center>'.$patient_name.'</center></td>
																								<td><center>'.number_format(floatval($system_amount),0,0,',').'</center></td>
																								<td><center>'.number_format(floatval($requested_amount),0,0,',').'</center></td>
																								<td><center>';
																								if(empty($approved)){
																									echo'<input type="text" name="approved_amount" id="approved_amount">';
																								}else{
																									echo'<span style="color:blue;">'.number_format(floatval($approved_amount),0,0,',').'</span>';
																								}
																								
																								echo'</center></td>
																								<td>
																									<center>';
																									if(empty($approved)){
																										echo'<button type="button" class="btn btn-info pay_approve_discount_btn" data-patient-id="'.$patient_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'" data-hospital-id="'.$hospital_id.'" data-name="'.$patient_name.'" data-requested-amount="'.$requested_amount.'" data-system-amount="'.$system_amount.'" data-user-id="'.$user_id.'" data-requester-id="'.$requested_by.'" >Submit</button>';
																									}else{
																										echo'<span style="color:blue;">Feedback sent</span>';
																									}
																										
																									echo'<center>
																								</td>
																							</tr>';
																						}
																					}
																				?>
																				</form>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														

														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/finance.js"></script>
	<script src="js/printarea.js"></script>
	<style>
	.results_modal_body{
		height: 500px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>