<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];
	$dpt_name = $_GET['department'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:78rem;">
										<?php
										if($dpt_name == 'Laboratory'){
											echo'<div class="card-header">
												<a href="lab_department.php?user_id='.$user_id.'" class="btn btn-info" style="float:right;">Back to Testing Area</a>
											</div>';
										}else{
											//do nothing
										}
										?>
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#all_equipment" data-toggle="tab" class="nav-link active show"><i class="fa fa-list"></i>&nbsp;All Equipment</a>
														</li>
														<li class="nav-item"><a href="#add_equipment" data-toggle="tab" class="nav-link"><i class="fa fa-plus"></i>&nbsp;Add Equipment</a>
														</li>
													</ul>
													<div class="tab-content">
														
														<div id="all_equipment" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Equipment</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Equipment ID</center></th>
																					<th scope="col"><center>Equipment Name</center></th>
																					<th scope="col"><center>Brand</center></th>
																					<th scope="col"><center>Unique No</center></th>
																					<th scope="col"><center>Supplier</center></th>
																					<th scope="col"><center>Supplier Contact</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody id="all_equipment">
																				<?php
																					
																					$get_all_equipment = $objHospital->get_all_equipment($user_id,$dpt_name);
																					
																					if(empty($get_all_equipment)){
																						echo'<tr><td colspan="7" style="color:green;"><center>There are no equipment added yet</center></td></tr>';
																					}else{
																						foreach($get_all_equipment as $equipment){
																							$equipment_id = $equipment['equipment_id'];
																							$hospital_id = $equipment['hospital_id'];
																							$department_name = $equipment['department_name'];
																							$equipment_name = $equipment['equipment_name'];
																							$brand = $equipment['brand'];
																							$model = $equipment['model'];
																							$supplier_name = $equipment['supplier_name'];
																							$supplier_contacts = $equipment['supplier_contacts'];
																							$serial_no = $equipment['serial_no'];
																							$condition_received = $equipment['condition_received'];
																							$unique_id = $equipment['unique_id'];
																							
																							echo'
																							<tr>
																								<td><center>'.$equipment_id.'</center></td>
																								<td><center>'.$equipment_name.'</center></td>
																								<td><center>'.$brand.'</center></td>
																								<td><center>'.$unique_id.'</center></td>
																								<td><center>'.$supplier_name.'</center></td>
																								<td><center>'.$supplier_contacts.'</center></td>
																								<td>
																									<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
																									<div class="dropdown-menu dropdown-menu-left">
																										<button class="badge badge-dark view_equipment_button" data-equipment-id="'.$equipment_id.'" data-hospital-id="'.$hospital_id.'" data-department-name="'.$department_name.'"  data-unique-id="'.$unique_id.'" data-toggle="modal" data-target="#view_equipment_modal">View Details</button>
																										<button class="badge badge-warning edit_equipment_button" data-equipment-id="'.$equipment_id.'" data-hospital-id="'.$hospital_id.'" data-department-name="'.$department_name.'" data-unique-id="'.$unique_id.'" data-toggle="modal" data-target="#edit_equipment_modal">Edit Equipment</button>
																										<button class="badge badge-danger review_result_button" data-equipment-id="'.$equipment_id.'" data-hospital-id="'.$hospital_id.'" data-department-name="'.$department_name.'" data-toggle="modal" data-target="#review_result_modal">Delete Equipment</button>
																									</div>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="add_equipment" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="row">
																	  <div class="col-12 grid-margin">
																		<div class="card">
																		  <div class="card-body">
																			<h5 style="color:blue;">Add Equipment</h4>
																			<form method="post" id="add_equipment_form">
																			  <div class="row">
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Equipment Name</label>
																					<div class="col-sm-8">
																					  <input name="equipment_name" type="text" class="form-control"/>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Unique Identifier</label>
																					<div class="col-sm-8">
																					  <input name="unique_id" type="text" class="form-control"/>
																					</div>
																				  </div>
																				</div>
																			  </div>
																			  <div class="row">
																				<div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Brand Name</label>
																					<div class="col-sm-8">
																					  <input name="brand" type="text" class="form-control"/>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Model</label>
																					<div class="col-sm-8">
																					  <input name="model" type="text" class="form-control"/>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Serial No</label>
																					<div class="col-sm-8">
																					  <input name="serial_no" type="text" class="form-control"/>
																					</div>
																				  </div>
																				</div>
																			  </div>
																			  <div class="row">
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Supplier's Name</label>
																					<div class="col-sm-8">
																					  <input name="supplier_name" type="text" class="form-control"/>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Supplier's Contacts</label>
																					<div class="col-sm-8">
																					  <input name="supplier_contacts" type="text" class="form-control"/>
																					</div>
																				  </div>
																				</div>
																			  </div>
																			  <div class="row">
																				<div class="col-md-4">
																					<div class="form-group row">
																					  <label class="col-sm-4 col-form-label">Condition when received</label>
																						<div class="col-sm-8">
																						  <select name="condition_received" class="form-control" />
																							<option disabled>Select here:</option>
																							<option>New</option>
																							<option>Used</option>
																							<option>Refurbished</option>
																							<option>Non-functional</option>
																						  </select>
																						</div>
																					</div>
																				</div>
																				<div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Receipt Date</label>
																					<div class="col-sm-8">
																					  <input name="receipt_date" type="date" class="form-control"/>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Service entry date</label>
																					<div class="col-sm-8">
																					  <input name="entry_date" type="date" class="form-control"/>
																					</div>
																				  </div>
																				</div>
																			  </div>
																			  <div class="row">
																				<div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Location</label>
																					<div class="col-sm-8">
																					  <input name="location" type="text" class="form-control"/>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Last Date of Service</label>
																					<div class="col-sm-8">
																					  <input name="last_service_date" type="date" class="form-control"/>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Next Date of Service</label>
																					<div class="col-sm-8">
																					  <input name="next_service_date" type="date" class="form-control"/>
																					</div>
																				  </div>
																				</div>
																			  </div>
																							  
																			  <div class="row">
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Verified before entry into Service:</label>
																					<div class="col-sm-8">
																					  <select name="verified" class="form-control" />
																						<option disabled>Select here:</option>
																						<option>Yes</option>
																						<option>No</option>
																					  </select>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Current Condition</label>
																					<div class="col-sm-8">
																					  <select name="current_condition" class="form-control" />
																						<option disabled>Select here:</option>
																						<option>Working</option>
																						<option>Needs Repair</option>
																						<option>Needs Service</option>
																						<option>Needs Verification</option>
																						<option>Needs Validation</option>
																						<option>Obsolete</option>
																						<option>Removed from laboratory</option>
																					  </select>
																					</div>
																				  </div>
																				</div>
																			  </div>
																			  <div class="row">
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Last date of Calibration (Where applicable)</label>
																					<div class="col-sm-8">
																					  <input name="last_calibration_date" type="date" class="form-control" />
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-4 col-form-label">Next date of Calibration (Where applicable)</label>
																					<div class="col-sm-8">
																					  <input name="next_calibration_date" type="date" class="form-control" />
																					</div>
																				  </div>
																				</div>
																			  </div>
																			  <div class="row">
																				<div class="col-md-12">
																					<div class="d-flex justify-content-center">
																						<input type="hidden" name="equipment_user_id" value="<?php echo $user_id?>">
																						<input type="hidden" name="equipment_department_name" value="<?php echo $dpt_name; ?>">
																						<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Equipment</span></button>
																					</div>
																				</div>
																			  </div>
																			</form>
																		  </div>
																		</div>
																	  </div>
																  <!-- partial -->
																</div>							
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="view_equipment_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">View Equipment: <span style="color:blue;" id="equipment_id_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<form method="post" id="save_samples_form">
																		<div class="img-container">
																			<div class="card view_equipment_card" style="width:100%;">
																				<!---View equipment here--->
																			</div>
																		</div>
																		</form>
																	</div>
																	<div class="modal-footer">
																		<input type="hidden" name="sample_hospital_id" value="<?php //echo $hospital_id; ?>">
																		<input type="hidden" name="sample_added_by" value="<?php echo $user_id; ?>">
																		<input type="hidden" name="sample_patientid" value="<?php //echo $patient_id; ?>">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="edit_equipment_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:75rem;">
																	<form method="post" enctype="multipart/form-data" id="edit_equipment_form">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Edit Equipment: <span style="color:blue;" id="edit_equipment_id_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card edit_equipment_card" style="width:70rem;">
																				<!---View equipment here--->
																			</div>
																		</div>
																	</div>
																	</form>
																</div>
															</div>
														</div>

														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/lab_department.js"></script>
	<style>
	.results_modal_body{
		height: 550px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>