<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
	
	<!-- Daterange picker -->
    <link href="../assets/css/lib/daterangepicker.css" rel="stylesheet">
	<link href="../assets/css/lib/bootstrap-material-datetimepicker.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#companies" data-toggle="tab" class="nav-link active show"><i class="fa fa-building-o"></i>&nbsp;All Groups</a>
														</li>
														<li class="nav-item"><a href="#generate_invoice" data-toggle="tab" class="nav-link"><i class="fa fa-file"></i>&nbsp;Generate Invoice</a>
														</li>
														<li class="nav-item"><a href="#statements" data-toggle="tab" class="nav-link"><i class="fa fa-folder-open-o"></i>&nbsp;Statements</a>
														</li>
													</ul>
													<div class="tab-content">
														
														<div id="companies" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" id="add_group_modal_btn" data-target="#add_group_modal"><i class="ti ti-plus"></i>&nbsp; Add New Group</button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Groups</h5>
																	</div>
																	<div class="table-responsive" style="height:25rem; overflow-x:auto;">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Group ID</center></th>
																					<th scope="col"><center>Group Name</center></th>
																					<th scope="col"><center>Group Type</center></th>
																					<th scope="col"><center>Principle Member</center></th>
																					<th scope="col"><center>Phone</center></th>
																					<th scope="col"><center>Email</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_groups = $objHospital->get_groups($user_id);
																					if(empty($get_groups)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no groups added yet</center></td></tr>';
																					}else{ 
																						foreach($get_groups as $group){
																							$group_id   = $group['group_id']; 
																							$hospital_id  = $group['hospital_id']; 
																							$group_name  = $group['group_name']; 
																							$group_type  = $group['group_type']; 
																							$address  = $group['address']; 
																							$phone  = $group['phone']; 
																							$email  = $group['email']; 
																							$principle_member  = $group['principle_member']; 
																							$principle_member_id  = $group['principle_member_id']; 
																							
																							
																							echo'
																							<tr>
																								<td><center>'.$group_id.'</center></td>
																								<td><center>'.$group_name.'</center></td>
																								<td><center>'.$group_type.'</center></td>
																								<td><center>'.$principle_member.'</center></td>
																								<td><center>'.$phone.'</center></td>
																								<td><center>'.$email.'</center></td>
																								<td>
																									<center><button type="button" class="btn btn-success btn-sm dropdown-toggle" data-toggle="dropdown" aria-expanded="false">Actions</button><center>
																									<div class="dropdown-menu dropleft" role="menu">
																										<button class="btn btn-dark btn-sm group_details_btn" data-toggle="modal" data-target="#group_details_modal" data-group-id="'.$group_id.'" data-group-name="'.$group_name.'" data-hospital-id="'.$hospital_id.'"><i class="fa fa-eye" data-toggle="tooltip" data-placement="top" title="View Details"></i></button>
																										<button class="btn btn-info btn-sm add_member_to_group_btn" data-toggle="modal" data-target="#add_to_group_modal" data-group-id="'.$group_id.'" data-group-name="'.$group_name.'" data-hospital-id="'.$hospital_id.'"><i class="fa fa-plus" data-toggle="tooltip" data-placement="top" title="Add Member"></i></button>
																										<button class="btn btn-danger btn-sm delete_group_btn" data-group-id="'.$group_id.'" data-hospital-id="'.$hospital_id.'"><i class="fa fa-trash" data-toggle="tooltip" data-placement="top" title="Delete Group"></i></button>
																									</div>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
																											<!---All insurance invoices-->
														<div id="generate_invoice" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">Generate Invoice</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Group ID</center></th>
																					<th scope="col"><center>Group Name</center></th>
																					<th scope="col"><center>Principle Member</center></th>
																					<th scope="col"><center>Current Bill (
																					<?php
																					$get_currency = $objHospital->get_default_currency($user_id);
																					echo $get_currency;
																					?>
																					)</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					$get_groups = $objHospital->get_groups($user_id);
																					if(empty($get_groups)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no groups added yet</center></td></tr>';
																					}else{ 
																						foreach($get_groups as $group){
																							$group_id   = $group['group_id']; 
																							$hospital_id  = $group['hospital_id']; 
																							$group_name  = $group['group_name']; 
																							$group_type  = $group['group_type']; 
																							$address  = $group['address']; 
																							$phone  = $group['phone']; 
																							$email  = $group['email']; 
																							$principle_member  = $group['principle_member']; 
																							$principle_member_id  = $group['principle_member_id']; 
																							
																							$total_bill = 0;
																							//Get group balance
																							$get_total_group_bill = $objHospital->get_group_members($group_id,$user_id);
																							foreach($get_total_group_bill as $group){
																								$patient_id = $group['member_id'];
																								
																								$get_bill = $objHospital->get_total_member_bill($patient_id,$user_id);
																								$total_bill += intval($get_bill);
																							}
																							$get_payment = $objHospital->get_total_group_payment($group_id,$user_id);
																							
																							
																							$balance = $total_bill - intval($get_payment);
																							
																							echo'
																							<tr>
																								<td><center>'.$group_id.'</center></td>
																								<td><center>'.$group_name.'</center></td>
																								<td><center>'.$principle_member.'</center></td>
																								<td style="color:blue;"><center>'.number_format($balance,0,0,',').'</center></td>
																								<td><center>
																									<button class="btn btn-warning btn-sm group_invoice_btn" data-toggle="modal" data-target="#group_invoice_modal" data-group-id="'.$group_id.'" data-group-name="'.$group_name.'" data-hospital-id="'.$hospital_id.'"><i class="fa fa-eye" data-toggle="tooltip" data-placement="top" title="View Details"></i></button>
																									<button class="btn btn-success btn-sm add_member_to_group_btn" data-toggle="modal" data-target="#add_to_group_modal" data-group-id="'.$group_id.'" data-group-name="'.$group_name.'" data-hospital-id="'.$hospital_id.'"><i class="fa fa-money" data-toggle="tooltip" data-placement="top" title="Make Payment"></i></button></center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<!---Other payments modal--->
														<div id="statements" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body" id="exp_table">
																	<div class="card-header">
																		<form method="post">
																		<div class="row">
																			<div class="col-md-6 d-flex justify-content-left" style="color:Black; text-align:right;">
																				<label class="col-sm-6" style="font-size:17px;">Select Family:</label>
																				<div class="col-sm-6">
																					<select class="form-control" name="statement_group_name" id="statement_group_name">
																					<?php
																					$get_groups = $objHospital->get_groups($user_id);
																					if(empty($get_groups)){
																						echo'<option>There are no Family Groups added yet</option>';
																					}else{ 
																						foreach($get_groups as $group){
																							$group_id   = $group['group_id']; 
																							$hospital_id  = $group['hospital_id']; 
																							$group_name  = $group['group_name']; 
																							echo'<option value="'.$group_id.'">'.$group_name.'</option>';
																						}
																					}
																					
																					?>
																						
																					</select>
																				</div>
																			</div>
																			<div class="col-md-6 d-flex justify-content-end" style="color:Black; text-align:right;">
																				<label class="col-sm-6" style="font-size:17px;">Period</label>
																				<div class="col-sm-6">
																					<input class="form-control input-daterange-datepicker" type="text" id="daterange_input" name="daterange" value="01/01/2023 - 01/31/2023">
																				</div>
																			</div>
																		</div>
																		</form>
																	</div>
																	<div class="table-responsive" style="height:100%;">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr><th colspan="5"><center><span data-group-name="<?php echo $group_name;?>" id="statement_header"> </span> Statement - </span><span id="statement_date" style="color:blue;"/></span></center></th></tr>
																			</thead>
																			<tbody class="statement_body">
																				<!------Reports go here------>
																			</tbody>
																		</table>
																	</div>	
																</div>
																<center><button type="button" class="btn btn-primary btn-rounded print_expense_report">Print Statement</button></center>
															</div>
														</div>
														
														
														
														
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_group_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add a Group<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_group_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Group Name:</label>
																							<div class="col-sm-9">
																							  <input name="group_name" id="group_name" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Group Type:</label>
																							<div class="col-sm-9">
																							  <select name="group_type" type="text" class="form-control">
																								<option>Bronze</option>
																								<option>Silver</option>
																								<option>Gold</option>
																								<option>Platinum</option>
																							  </select>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Principle Member:</label>
																							<div class="col-sm-9">
																							  <select name="principle_member" type="text" class="form-control">
																							  <?php
																								$get_patients = $objHospital->get_all_patients($user_id);
																								if(empty($get_patients)){
																									echo'<option style="color:black; font-size:16px;">There are no patients added yet</option>';
																								}else{
																									foreach($get_patients as $patient){
																										$patient_id = $patient['patient_id'];
																										$first_name = $patient['first_name'];
																										$last_name = $patient['last_name'];
																										$gender = $patient['gender'];
																										$age = $patient['age'];
																										
																										echo'<option value="'.$patient_id.'">'.$first_name.' '.$last_name.'  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(<i style="color:black; font-size:13px;">'.$gender.' - '.$age.'Yrs</i>)</option>';
																									}
																								}
																							  ?>
																							  </select>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="group_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Group</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="insurance_invoice_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel"><span style="color:blue;" id="test_menu_name_header"></span>Invoice</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_insurance_invoice_card">
																					
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" class="btn btn-primary print_result">Print Invoice</button>
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="group_details_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel"><span style="color:blue;" id="group_name_header"></span> Group</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card group_details_card">
																					
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" class="btn btn-primary print_result">Print</button>
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="group_invoice_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:78rem; height:40rem; margin-left:-15rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel"><span style="color:blue;" id="group_invoice_name_header"></span> Group Invoice</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card group_invoice_card">
																					
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" class="btn btn-primary print_result">Print</button>
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade" id="add_to_group_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-md" role="document">
																	<div class="modal-content">
																	<form method="post" id="assign_group_form">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Assign Member to: <span style="color:blue;" id="add_member_header"></span> Group</h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<div class="modal-body">
																			<div class="img-container">
																				<div class="row">
																					<div class="col-sm-12">  
																						<div class="form-group">
																						    <label><span style="color:black;">Select Group</span><span style="color:red;">*</span></label>
																							<select class="form-control" name="member_patient_id" style="width:100%;">
																								<?php
																								$get_patients = $objHospital->get_all_patients($user_id);
																								if(empty($get_patients)){
																									echo'<option style="color:black; font-size:16px;">There are no patients added yet</option>';
																								}else{
																									foreach($get_patients as $patient){
																										$patient_id = $patient['patient_id'];
																										$first_name = $patient['first_name'];
																										$last_name = $patient['last_name'];
																										$gender = $patient['gender'];
																										$age = $patient['age'];
																										$address = $patient['address'];
																										
																										echo'<option value="'.$patient_id.'">'.$first_name.' '.$last_name.'  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(<i style="color:black; font-size:13px;">'.$gender.' - '.$age.'Yrs</i> - '.$address.')</option>';
																									}
																								}
																							  ?>
																							</select>
																						</div>
																					</div>
																				</div>
																			</div>
																		</div>
																		<div class="modal-footer">
																			<input type="hidden" name="member_hospital_id" value="<?php echo $hospital_id; ?>">
																			<input type="hidden" name="member_user_id" value="<?php echo $user_id; ?>">
																			<input type="hidden" name="member_group_id" id="member_group_id">
																			<button type="submit" id="save_group" class="btn btn-primary">Add Member</button>
																		</div>
																	</form>
																	</div>
																</div>
															</div>
														</div>
														
														
														
														
														
														
														
														
														
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
	<!-- Daterangepicker -->
	<script src="../assets/js/lib/daterangepicker.js"></script>
    <script src="../assets/js/lib/bs-daterange-picker-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/groups.js"></script>
	<script src="js/printarea.js"></script>
	<style>
	.results_modal_body{
		height: 400px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>