<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<!---<li class="nav-item"><a href="#ward_summary" data-toggle="tab" class="nav-link active show">Wards Summary</a>
														</li>
														<li class="nav-item" id="beds_btn"><a href="#beds" data-toggle="tab" class="nav-link">Beds</a>
														</li>--->
														<li class="nav-item" id="admissions_btn"><a href="#admissions" data-toggle="tab" class="nav-link active show"><h5>All Admissions</h5>
														<!---Check if there are admitted patients--->
														<?php
														$admissions_without_beds = $objHospital->get_admission_count($user_id);
														if(empty($admissions_without_beds)){
															//Do nothing
														}else{
															echo '<div class="badge badge-circle badge-danger">'.$admissions_without_beds.'</div>';
														}
														?>
														</a>
														</li>
													</ul>
													<div class="tab-content">
														<div id="ward_summary" class="tab-pane fade">
															<div class="card" style="width:70rem;">
																<div class="card-body">
																	<div class="row">
																		<div class="col-sm-12" style="text-align:right;">
																			<!--<button class="btn btn-rounded btn-primary" data-toggle="modal" data-target="#add_ward_modal"><i class="fa fa-plus"></i>&nbsp; Add a Ward</button>-->
																		</div>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Ward Name</center></th>
																					<th scope="col"><center>Department</center></th>
																					<th scope="col"><center>No of Beds</center></th>
																					<th scope="col"><center>Occupied Beds</center></th>
																					<th scope="col"><center>Vacant Beds</center></th>
																					<th scope="col"><center>Details</center></th>
																				</tr>
																			</thead>
																			<tbody class="beds_table_body" style="overflow-y:scroll;">
																				<!----All visits go here--->
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<!----Beds----->
														<div id="beds" class="tab-pane fade">
															<div class="card" style="width:75rem;">
																<div class="card-body">
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Ward Name</center></th>
																					<th scope="col"><center>Bed Number</center></th>
																					<th scope="col"><center>Bed Type</center></th>
																					<th scope="col"><center>Occupancy</center></th>
																					<th scope="col"><center>Addons</center></th>
																					<th scope="col"><center>Price Per<br>Day</center></th>
																					<th scope="col"><center>Details</center></th>
																				</tr>
																			</thead>
																			<tbody class="all_beds_table_body">
																				<!----All visits go here--->
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade bd-example-modal-lg" id="add_ward_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-lg" role="document">
																	<div class="modal-content">
																	<form method="post" id="save_ward_form">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Add Ward</h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<div class="modal-body">
																			<div class="img-container">
																				<div class="row">
																					<div class="col-sm-6">  
																						<div class="form-group">
																						    <label><span style="color:black;">Select Department</span><span style="color:red;">*</span></label>
																							<select class="form-control" name="ward_department" style="width:100%;" required>
																								<?php
																								$get_departments = $objHospital->get_departments($user_id);
																								foreach($get_departments as $department){
																									$department_name = $department['department_name'];
																									$department_hospital_id = $department['hospital_id'];
																									$department_id = $department['department_id'];
																									echo'<option value="'.$department_id.'">'.$department_name.'</option>';
																								}
																								?>
																							</select>
																						</div>
																					</div>
																					<div class="col-sm-6">  
																						<div class="form-group">
																						    <label><span style="color:black;">Ward Name</span><span style="color:red;">*</span></label>
																							<input type="text" name="ward_name" class="form-control">
																						</div>
																					</div>
																				</div>
																			</div>
																		</div>
																		<div class="modal-footer">
																			<input type="hidden" name="ward_hospital_id" value="<?php echo $department_hospital_id; ?>">
																			<input type="hidden" name="ward_added_by" value="<?php echo $user_id; ?>">
																			<button type="submit" id="save_ward" class="btn btn-primary">Save Ward</button>
																		</div>
																	</form>
																	</div>
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade bd-example-modal-lg" id="add_bed_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-lg" role="document">
																	<div class="modal-content">
																	<form method="post" id="save_bed_form">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Add Bed</h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<div class="modal-body">
																			<div class="img-container">
																				<div class="row">
																					<div class="col-sm-6">  
																						<div class="form-group">
																						    <label><span style="color:black;">Bed Type</span><span style="color:red;">*</span></label>
																							<select class="form-control" name="bed_type" style="width:100%;" required>
																								<option value="regular">Regular</option>
																								<option value="vip">VIP</option>
																							</select>
																						</div>
																					</div>
																					<div class="col-sm-6">  
																						<div class="form-group">
																						    <label><span style="color:black;">Addons</span><span style="color:red;">*</span></label>
																							<input type="text" name="addons" class="form-control" placeholder="Eg Self contained, TV, wifi etc">
																						</div>
																					</div>
																				</div>
																				<div class="row">
																					<div class="col-sm-6">  
																						<div class="form-group">
																						    <label><span style="color:black;">Bed Name/Number</span><span style="color:red;">*</span></label>
																							<input type="text" name="bed_number" class="form-control">
																						</div>
																					</div>
																					<div class="col-sm-6">  
																						<div class="form-group">
																						    <label><span style="color:black;">Daily Cost</span><span style="color:red;">*</span></label>
																							<input type="text" name="daily_cost" class="form-control" >
																						</div>
																					</div>
																				</div>
																			</div>
																		</div>
																		<div class="modal-footer">
																			<input type="hidden" name="bed_added_by" value="<?php echo $user_id; ?>">
																			<input type="hidden" name="bed_ward_id" class="bed_ward_id">
																			<button type="submit" id="save_ward" class="btn btn-primary">Add Bed</button>
																		</div>
																	</form>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade bd-example-modal-lg" id="edit_bed_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-lg" role="document">
																	<div class="modal-content">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Edit Bed</h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<div class="modal-body">
																			<div class="img-container" id="edit_bed_modal_container">
																				<!---bed edit form goes here--->
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<div id="admissions" class="tab-pane fade active show">
															<div class="card" style="width:70rem;">
																<div class="card-body">
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Admission<br>Date</center></th>
																					<th scope="col"><center>Patient Name</center></th>
																					<th scope="col"><center>Ward No</center></th>
																					<th scope="col"><center>Assigned<br>Bed No</center></th>
																					<th scope="col"><center>Discharge <br>Status</center></th>
																					<th scope="col"><center>Days on Ward</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody id="admitted_patient_body">
																				<!----Admitted patients go here--->
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade bd-example-modal-lg" id="assign_bed_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-lg" role="document">
																	<div class="modal-content">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Assign a Bed</h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<div class="modal-body">
																			<div class="img-container">
																				<div class="row">
																					<div class="col-md-12">  
																					<table class="table primary-table-bg-hover">
																						<thead>
																							<tr>
																								<th scope="col"><center>Ward Name</center></th>
																								<th scope="col"><center>Bed Number</center></th>
																								<th scope="col"><center>Bed Type</center></th>
																								<th scope="col"><center>Addons</center></th>
																								<th scope="col"><center>Daily Price</center></th>
																								<th scope="col"><center>Assign</center></th>
																							</tr>
																						</thead>
																						<tbody>
																						<?php 
																						
																						$get_beds = $objHospital->get_vacant_beds($user_id);
	
																						if(empty($get_beds)){
																							echo'<tr><td colspan="5" style="color:red;"><center>There are no beds added in the system yet</center></td></tr>';
																						}else{
																							foreach($get_beds as $beds){
																								$bed_id = $beds['bed_id'];
																								$hospital_id = $beds['hospital_id'];
																								$ward_id = $beds['ward_id'];
																								$bed_type = $beds['bed_type'];
																								$addons = $beds['addons'];
																								$bed_number = $beds['bed_number'];
																								$daily_cost = $beds['daily_cost'];
																								$available = $beds['available'];
																								
																								if($available == 'yes'){
																									$occupancy = '<div class="badge badge-primary" style="font-size:14px;">Vacant</div>';
																								}else{
																									$occupancy = '<div class="badge badge-danger" style="font-size:14px;">occupied</div>';
																								}
																								
																								//Get department's name
																								$get_ward = $objHospital->get_ward_by_id($user_id,$ward_id);
																								foreach($get_ward as $ward){
																									$ward_name = $ward['ward_name'];
																								}
																								
																								
																								
																								echo'
																								<form method="post" class="assign_bed_form">
																									<tr>
																										<td><center>'.$ward_name.'</center></td>
																										<td><center>'.$bed_number.'</center></td>
																										<td><center>'.$bed_type.'</center></td>
																										<td><center>'.$addons.'</center></td>
																										<td><center>'.$daily_cost.'</center></td>
																										<td><button type="submit" class="btn btn-sm btn-primary">Assign</button></td>
																									</tr>
																									<input type="hidden" name="assign_bed_patient_id" class="assign_bed_patient_id">
																									<input type="hidden" name="assign_bed_bed_id" value="'.$bed_id.'">
																									<input type="hidden" name="assign_bed_user_id" value="'.$user_id.'">
																								</form>
																								
																								';
																							}
																						}
																						
																						?>
																							</tbody>
																						</table>
																					</div>
																				</div>
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade bd-example-modal-lg" id="change_bed_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-md" role="document">
																	<div class="modal-content">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Available Beds</h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<div class="modal-body">
																			<div class="img-container">
																				<div class="row">
																					<div class="col-md-12">  
																					<table class="table primary-table-bg-hover">
																						<thead>
																							<tr>
																								<th scope="col"><center>Ward Name</center></th>
																								<th scope="col"><center>Bed Number</center></th>
																								<th scope="col"><center>Bed Type</center></th>
																								<th scope="col"><center>Addons</center></th>
																								<th scope="col"><center>Daily Price</center></th>
																								<th scope="col"><center>Change</center></th>
																							</tr>
																						</thead>
																						<tbody id="change_bed_body">
																						<!-----Beds not occupied by changing patient patient go here-->

																						</tbody>
																					</table>
																					</div>
																				</div>
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														
														
														
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->

    <script src="../assets/js/lib/calendar-2/moment.latest.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.calendar.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.init.js"></script>
	
	<!-- Required vendors 
    <script src="../assets/js/lib/global.min.js"></script
    <script src="../assets/js/lib/quixnav-init.js"></script>
    <script src="../assets/js/lib/custom.min.js"></script>-->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/administration.js"></script>
</body>

</html>
<?php } ?>