<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#companies" data-toggle="tab" class="nav-link active show"><i class="fa fa-building-o"></i>&nbsp;Companies</a>
														</li>
														<li class="nav-item"><a href="#pricing" data-toggle="tab" class="nav-link"><i class="fa fa-money"></i>&nbsp;Pricing</a>
														</li>
														<li class="nav-item"><a href="#patients" data-toggle="tab" class="nav-link"><i class="fa fa-user"></i>&nbsp;Patients</a>
														</li>
														<li class="nav-item"><a href="#generate_invoice" data-toggle="tab" class="nav-link"><i class="fa fa-file"></i>&nbsp;Generate Invoice</a>
														</li>
														<li class="nav-item"><a href="#manage_invoice" data-toggle="tab" class="nav-link"><i class="fa fa-folder-open-o"></i>&nbsp;Manage Invoices</a>
														</li>
													</ul>
													<div class="tab-content">
														
														<div id="companies" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_company_modal"><i class="ti ti-plus"></i>&nbsp; Add Insurance Company</button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Companies</h5>
																	</div>
																	<div class="table-responsive" style="height:25rem; overflow-x:auto;">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Company ID</center></th>
																					<th scope="col"><center>Company Name</center></th>
																					<th scope="col"><center>Contact Person</center></th>
																					<th scope="col"><center>Phone</center></th>
																					<th scope="col"><center>Email</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_insurance_companies = $objHospital->get_insurance_companies($user_id);
																					if(empty($get_insurance_companies)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no companies added yet</center></td></tr>';
																					}else{ 
																						foreach($get_insurance_companies as $company){
																							$insurance_company_id   = $company['insurance_company_id']; 
																							$hospital_id  = $company['hospital_id']; 
																							$company_name  = $company['company_name']; 
																							$phone  = $company['address']; 
																							$email  = $company['email']; 
																							$contact_person  = $company['contact_person']; 
																							
																							
																							echo'
																							<tr>
																								<td><center>'.$insurance_company_id.'</center></td>
																								<td><center>'.$company_name.'</center></td>
																								<td><center>'.$contact_person.'</center></td>
																								<td><center>'.$phone.'</center></td>
																								<td><center>'.$email.'</center></td>
																								<td>
																									<center><button class="btn btn-success company_details_btn"   data-company-id="'.$insurance_company_id.'" data-hospital-id="'.$hospital_id.'">Details</button>
																									</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<!---Other payments modal--->
														<div id="pricing" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_lab_cost"><i class="ti ti-plus"></i>&nbsp; Laboratory Prices</button>
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_product_cost"><i class="ti ti-plus"></i>&nbsp; Pharmacy Prices</button>
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_service_cost"><i class="ti ti-plus"></i>&nbsp; Clinical Service Prices</button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">Price List</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Date Added</center></th>
																					<th scope="col"><center>Product/Service Name</center></th>
																					<th scope="col"><center>Department</center></th>
																					<th scope="col"><center>Insurance Company</center></th>
																					<th scope="col"><center>Price</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					//Get Pharmacy prices next 
																					$get_insurance_pharmacy = $objHospital->get_insurance_pharmacy($user_id);
																					if(empty($get_insurance_pharmacy)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no pharmacy product prices added yet</center></td></tr>';
																					}else{ 
																						foreach($get_insurance_pharmacy as $pharm){
																							$insurance_product_id = $pharm['insurance_product_id']; 
																							$hospital_id = $pharm['hospital_id'];
																							$company_name = $pharm['company_name'];
																							$product_name = $pharm['product_name'];
																							$cost = $pharm['cost'];
																							$date = $pharm['date_added'];
																							echo'
																							<tr>
																								<td><center>'.date('d-m-Y',strtotime($date)).'</center></td>
																								<td><center>'.$product_name.'</center></td>
																								<td><center>Pharmacy</center></td>
																								<td><center>'.$company_name.'</center></td>
																								<td><center>'.number_format(floatval($cost),0,0,',').'</center></td>
																								<td>
																									<center><button class="btn btn-danger delete_expense_account_btn"   data-exp-account-id="'.$insurance_product_id.'" data-hospital-id="'.$hospital_id.'">Delete</button>
																									</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																					
																					//Get Services prices next 
																					$get_insurance_service = $objHospital->get_insurance_service($user_id);
																					if(empty($get_insurance_service)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no service prices added yet</center></td></tr>';
																					}else{ 
																						foreach($get_insurance_service as $service){
																							$insurance_service_id = $service['insurance_service_id']; 
																							$hospital_id = $service['hospital_id'];
																							$company_name = $service['company_name'];
																							$service_name = $service['service_name'];
																							$department = $service['department_name'];
																							$cost = $service['cost'];
																							$date = $service['date_added'];
																							//Get the service's department
																							
																							echo'
																							<tr>
																								<td><center>'.date('d-m-Y',strtotime($date)).'</center></td>
																								<td><center>'.$service_name.'</center></td>
																								<td><center>'.$department.'</center></td>
																								<td><center>'.$company_name.'</center></td>
																								<td><center>'.number_format(floatval($cost),0,0,',').'</center></td>
																								<td>
																									<center><button class="btn btn-danger delete_expense_account_btn"   data-exp-account-id="'.$insurance_product_id.'" data-hospital-id="'.$hospital_id.'">Delete</button>
																									</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																					
																					//Get Laboratory prices first
																					$get_insurance_tests = $objHospital->get_insurance_tests($user_id);
																					if(empty($get_insurance_tests)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no lab tests prices added yet</center></td></tr>';
																					}else{ 
																						foreach($get_insurance_tests as $test){
																							$insurance_tests_id = $test['insurance_tests_id']; 
																							$hospital_id = $test['hospital_id'];
																							$company_name = $test['company_name'];
																							$test_name = $test['test_name'];
																							$cost = $test['cost'];
																							$date = $test['date_added'];
																							echo'
																							<tr>
																								<td><center>'.date('d-m-Y',strtotime($date)).'</center></td>
																								<td><center>'.$test_name.'</center></td>
																								<td><center>Laboratory</center></td>
																								<td><center>'.$company_name.'</center></td>
																								<td><center>'.number_format(floatval($cost),0,0,',').'</center></td>
																								<td>
																									<center><button class="btn btn-danger delete_expense_account_btn"   data-exp-account-id="'.$insurance_tests_id.'" data-hospital-id="'.$hospital_id.'">Delete</button>
																									</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<!---All insurance patients-->
														<div id="patients" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#add_patient_modal"><i class="ti ti-plus"></i>&nbsp; Add Patient</button>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Insurance Patients</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<tbody>
																				<?php
																					//First get insurance companies
																					$get_insurance_companies = $objHospital->get_insurance_companies($user_id);
																					if(empty($get_insurance_companies)){
																						echo'<tr><td colspan="5" style="color:green;"><center>There are no companies added yet</center></td></tr>';
																					}else{ 
																						foreach($get_insurance_companies as $company){
																							$company_id   = $company['insurance_company_id'];
																							$company_name   = $company['company_name'];
																							$hospital_id   = $company['hospital_id'];
																							echo'<tr><td colspan="5" style="color:white; background-color:#343957; border-radius:5px; font-weight:bold; line-height:0.7rem;"><center>'.$company_name.'</center></td></tr>
																							<tr>
																								<th style="line-height:0.7rem;" scope="col"><center><b>Patient ID</b></center></th>
																								<th style="line-height:0.7rem;" scope="col"><center><b>Patient Name</b></center></th>
																								<th style="line-height:0.7rem;" scope="col"><center><b>Policy Number</b></center></th>
																								<th style="line-height:0.7rem;" scope="col"><center><b>Dependant Code</b></center></th>
																								<th style="line-height:0.7rem;" scope="col"><center><b>Action</b></center></th>
																							</tr>';
																							
																							$get_insurance_customers = $objHospital->get_insurance_company_patients($company_id,$hospital_id);
																							if(empty($get_insurance_customers)){
																								echo'<tr><td colspan="5" style="line-height:0.7rem; color:red;"><center>There are no Insurance clients added yet</center></td></tr>';
																							}else{ 
																								foreach($get_insurance_customers as $customers){
																									$insurance_patient_id = $customers['insurance_patient_id']; 
																									$hospital_id = $customers['hospital_id'];
																									$patient_id = $customers['patient_id'];
																									$patient_name = $customers['patient_name'];
																									$company_name = $customers['company_name'];
																									$policy_number = $customers['policy_number'];
																									$dependant_code = $customers['dependant_code'];
																									echo'
																									<tr>
																										<td style="line-height:0.7rem;"><center>'.$patient_id.'</center></td>
																										<td style="line-height:0.7rem;"><center>'.$patient_name.'</center></td>
																										<td style="line-height:0.7rem;"><center>'.$policy_number.'</center></td>
																										<td style="line-height:0.7rem;"><center>'.$dependant_code.'</center></td>
																										<td style="line-height:0.7rem;"><center><button type="button" class="btn btn-sm btn-success delete_expense_account_btn"   data-insurance-debt-id="'.$insurance_patient_id.'" data-hospital-id="'.$hospital_id.'">Details</button>
																											</center>
																										</td>
																									</tr>
																									
																									';
																								}
																							}
																						}
																					}
																					
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<!---All insurance invoices-->
														<div id="generate_invoice" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">Generate Invoice</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Company ID</center></th>
																					<th scope="col"><center>Insurance Name</center></th>
																					<th scope="col"><center>Current Bill (
																					<?php
																					$get_currency = $objHospital->get_default_currency($user_id);
																					echo $get_currency;
																					?>
																					)</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					$get_insurance_companies = $objHospital->get_insurance_companies($user_id);
																					if(empty($get_insurance_companies)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no companies added yet</center></td></tr>';
																					}else{
																						$counter = 0;
																						$all_total_bills = 0;
																						foreach($get_insurance_companies as $company){
																							$company_id   = $company['insurance_company_id']; 
																							$hospital_id  = $company['hospital_id']; 
																							$company_name  = $company['company_name']; 
																							$phone  = $company['address']; 
																							$email  = $company['email']; 
																							$contact_person  = $company['contact_person']; 
																							
																							$counter++;
																							
																							$get_insurance_balances = $objHospital->get_insurance_balances($company_id,$hospital_id);
																							if(empty($get_insurance_balances)){
																								$total_bill=0;
																								//Do nothing
																							}else{
																								$total_bill=0;
																								foreach($get_insurance_balances as $balance){
																									$date = $balance['date_added'];
																									$invoice_no = $balance['insurance_invoice_no'];
																									$total_bill += floatval($balance['total_fees']);
																								}
																								$all_total_bills += $total_bill;
																								echo'
																								<tr>
																									<td><center>'.$company_id.'</center></td>
																									<td><center>'.$company_name.'</center></td>
																									<td><center>'.number_format(floatval($total_bill),0,0,',').'</center></td>
																									<td><center><button class="btn btn-success generate_invoice_btn"   data-company-id="'.$company_id.'" data-company-name="'.$company_name.'" data-total-bill="'.$total_bill.'" data-start-date="'.$date.'" data-hospital-id="'.$hospital_id.'">Generate Invoice</button>
																									</center></td>
																								</tr>';
																								
																							}
																							if($counter == 1 && $all_total_bills == 0){
																							echo'<tr><td style="color:red;" colspan="4"><center>There are no invoices to be generated</center></td></tr>';
																						}
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<!---All insurance invoices-->
														<div id="manage_invoice" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">Manage Invoices</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Invoice ID</center></th>
																					<th scope="col"><center>Insurance Name</center></th>
																					<th scope="col"><center>Total Bill (
																					<?php
																					$get_currency = $objHospital->get_default_currency($user_id);
																					echo $get_currency;
																					?>
																					)</center></th>
																					<th scope="col"><center>Amount Paid(
																					<?php
																					$get_currency = $objHospital->get_default_currency($user_id);
																					echo $get_currency;
																					?>
																					)</center></th>
																					<th scope="col"><center>Balance(
																					<?php
																					$get_currency = $objHospital->get_default_currency($user_id);
																					echo $get_currency;
																					?>
																					)</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					$get_insurance_invoices = $objHospital->get_insurance_invoices($user_id);
																					if(empty($get_insurance_invoices)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no invoices created yet yet</center></td></tr>';
																					}else{ 
																						foreach($get_insurance_invoices as $invoice){
																							$insurance_invoice_id   = $invoice['insurance_invoice_id']; 
																							$hospital_id  = $invoice['hospital_id']; 
																							$company_name  = $invoice['company_name']; 
																							$company_id  = $invoice['company_id'];  
																							$bal_brought_forward  = $invoice['bal_brought_forward']; 
																							$total_amount  = $invoice['total_amount']; 
																							$balance  = $invoice['balance']; 
																							
																							if($invoice['paid_amount'] == ''){
																								$amount_paid = 0;
																							}else{
																								$amount_paid = $invoice['paid_amount'];
																							}
																							
																							if($invoice['balance'] == ''){
																								$balance = 0;
																							}else{
																								$balance = $invoice['balance'];
																							}
																							
																							//$total_balance = number_format((floatval($bal_brought_forward) + floatval($total_amount)),0,0,',');
																							
																							
																							
																							echo'
																							<tr>
																								<td><center>'.$insurance_invoice_id.'</center></td>
																								<td><center>'.$company_name.'</center></td>
																								<td><center>'.number_format(floatval($total_amount),0,0,',').'</center></td>
																								<td><center>'.number_format(floatval($amount_paid),0,0,',').'</center></td>
																								<td><center>'.$balance.'</center></td>
																								<td>
																									<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
																									<div class="dropdown-menu dropdown-menu-right">
																										<button class="badge badge-success dropdown-item view_invoice_btn" data-invoice-id="'.$insurance_invoice_id.'" data-company-id="'.$company_id.'" data-company-name="'.$company_name.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#insurance_invoice_modal">View Invoice</button>
																										<button class="badge badge-primary dropdown-item pay_invoice_btn" data-invoice-id="'.$insurance_invoice_id.'" data-company-id="'.$company_id.'" data-hospital-id="'.$hospital_id.'" data-company-name="'.$company_name.'" data-toggle="modal" data-target="#insurance_payment_modal">Pay Invoice</button>
																									</div>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														
														
														
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_company_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add a Company<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_company_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Company Name:</label>
																							<div class="col-sm-9">
																							  <input name="company_name" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Address:</label>
																							<div class="col-sm-9">
																							  <input name="company_address" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-6 col-form-label" style="color:black; font-size:16px;">Telephone:</label>
																							<div class="col-sm-6">
																							  <input name="company_phone" type="text" class="form-control"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-6">
																						  <div class="form-group row">
																							<label class="col-sm-4 col-form-label" style="color:black; font-size:16px;">Email:</label>
																							<div class="col-sm-8">
																							  <input name="company_email" type="text" class="form-control" />
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Contact Person:</label>
																							<div class="col-sm-9">
																							  <input name="company_contact_person" type="text" class="form-control" />
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="company_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Company</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_lab_cost" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width: 60rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add Test Cost<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container" id="add_account">
																			<div class="card add_brand_card" style="font-size:12px;">
																			<form method="post" class="form-sample" id="add_insurance_test_cost_form">
																			  <div class="row">
																				<div class="col-md-12">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Select Company:</label>
																					<div class="col-sm-9">
																					  <select class="form-control" name="test_insurance_company" required>
																							<?php
																							$get_insurance_companies = $objHospital->get_insurance_companies($user_id);
																							if(empty($get_insurance_companies)){
																								echo'<option>No companies added yet</option>';
																							}else{ 
																								foreach($get_insurance_companies as $company){
																									$company_name  = $company['company_name']; 
																									echo'<option>'.$company_name.'</option>';
																								}
																							}
																							?>
																					  </select>
																					</div>
																				  </div>
																				</div>
																				<!-- partial -->
																			  </div>
																			  <div class="row">
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Test:</label>
																					<div class="col-sm-9">
																					  <select class="form-control" name="test_name[]" >
																						<?php
																						$get_tests = $objHospital->get_tests($user_id);
																						if(empty($get_tests)){
																							echo'<option>There are no Tests added yet</option>';
																						}else{
																							foreach($get_tests as $tests){
																								$test_name = $tests['test_name'];
																								echo'<option>'.$test_name.'</option>';
																							}
																						}
																						?>
																					  </select>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Cost:</label>
																					<div class="col-sm-9">
																					  <input type="text" class="form-control" name="test_insurance_cost[]" >
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-1">
																				  <div class="form-group row">
																					<button type="button" class="btn btn-success" id="add_test_btn">Add Test</button>
																				  </div>
																				</div>
																			  </div>
																			  <div id="add_test_row">
																				<!---Test rows go here----->
																			  </div>
																			  <div class="row">
																				<div class="col-md-12">
																					<div class="d-flex justify-content-center">
																						<input type="hidden" name="test_insurance_user_id" value="<?php echo $user_id?>">
																						<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Tests</span></button>
																					</div>
																				</div>
																			  </div>
																			  </form>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_patient_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width: 60rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add Patient</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container" id="add_account">
																			<div class="card add_brand_card" style="font-size:12px;">
																			<form method="post" class="form-sample" id="add_patient_to_insurance_form">
																			  <div class="row">
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Select Patient:</label>
																					<div class="col-sm-9">
																					  <select class="form-control" name="add_patient_name" >
																							<?php
																							$get_patients = $objHospital->get_all_patients($user_id);
																							if(empty($get_patients)){
																								echo'<option style="color:black; font-size:16px;">There are no patients added yet</option>';
																							}else{
																								foreach($get_patients as $patient){
																									$patient_id = $patient['patient_id'];
																									$first_name = $patient['first_name'];
																									$last_name = $patient['last_name'];
																									$gender = $patient['gender'];
																									$age = $patient['age'];
																									
																									echo'<option value="'.$patient_id.'">'.$first_name.' '.$last_name.'  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(<i style="color:black; font-size:13px;">'.$gender.' - '.$age.'Yrs</i>)</option>';
																								}
																							}
																							?>
																					  </select>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Select Company:</label>
																					<div class="col-sm-9">
																					  <select class="form-control" name="add_patient_insurance_company">
																							<?php
																							$get_insurance_companies = $objHospital->get_insurance_companies($user_id);
																							if(empty($get_insurance_companies)){
																								echo'<option>No companies added yet</option>';
																							}else{ 
																								foreach($get_insurance_companies as $company){
																									$company_id = $company['insurance_company_id']; 
																									$company_name  = $company['company_name']; 
																									echo'<option value="'.$company_id.'">'.$company_name.'</option>';
																								}
																							}
																							?>
																					  </select>
																					</div>
																				  </div>
																				</div>
																				<!-- partial -->
																			  </div>
																			  <div class="row">
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Policy Number:</label>
																					<div class="col-sm-9">
																					  <input type="text" class="form-control" name="add_patient_policy_number" >
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Dependant Code:</label>
																					<div class="col-sm-9">
																					  <input type="text" class="form-control" name="add_patient_dependant_code" >
																					</div>
																				  </div>
																				</div>
																			  </div>
																			  <div id="add_test_row">
																				<!---Test rows go here----->
																			  </div>
																			  <div class="row">
																				<div class="col-md-12">
																					<div class="d-flex justify-content-center">
																						<input type="hidden" name="add_patient_user_id" value="<?php echo $user_id?>">
																						<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Patient</span></button>
																					</div>
																				</div>
																			  </div>
																			  </form>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_product_cost" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width: 60rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add Pharmacy Product Cost<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container" id="add_account">
																			<div class="card add_brand_card" style="font-size:12px;">
																			<form method="post" class="form-sample" id="add_insurance_product_cost_form">
																			  <div class="row">
																				<div class="col-md-12">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Select Company:</label>
																					<div class="col-sm-9">
																					  <select class="form-control" name="product_insurance_company" required>
																							<?php
																							$get_insurance_companies = $objHospital->get_insurance_companies($user_id);
																							if(empty($get_insurance_companies)){
																								echo'<option>No companies added yet</option>';
																							}else{ 
																								foreach($get_insurance_companies as $company){
																									$company_name  = $company['company_name']; 
																									echo'<option>'.$company_name.'</option>';
																								}
																							}
																							?>
																					  </select>
																					</div>
																				  </div>
																				</div>
																				<!-- partial -->
																			  </div>
																			  <div class="row">
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Product:</label>
																					<div class="col-sm-9">
																					  <select class="form-control" name="insurance_product_name[]" >
																						<?php
																						$get_products = $objHospital->get_products_by_user_id($user_id);
																						if(empty($get_products)){
																							echo'<option>There are no Products added yet</option>';
																						}else{
																							foreach($get_products as $product){
																								$product_name = $product['product_name'];
																								echo'<option>'.$product_name.'</option>';
																							}
																						}
																						?>
																					  </select>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Unit Cost:</label>
																					<div class="col-sm-9">
																					  <input type="text" class="form-control" name="product_insurance_cost[]" >
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-1">
																				  <div class="form-group row">
																					<button type="button" class="btn btn-success" id="add_pharm_btn">Add Product</button>
																				  </div>
																				</div>
																			  </div>
																			  <div class="add_product_row">
																				<!---Test rows go here----->
																			  </div>
																			  <div class="row">
																				<div class="col-md-12">
																					<div class="d-flex justify-content-center">
																						<input type="hidden" name="product_insurance_user_id" value="<?php echo $user_id?>">
																						<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Products</span></button>
																					</div>
																				</div>
																			  </div>
																			  </form>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_service_cost" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width: 60rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add Service Cost<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container" id="add_account">
																			<div class="card add_brand_card" style="font-size:12px;">
																			<form method="post" class="form-sample" id="add_insurance_service_cost_form">
																			  <div class="row">
																				<div class="col-md-12">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Select Company:</label>
																					<div class="col-sm-9">
																					  <select class="form-control" name="service_insurance_company" required>
																							<?php
																							$get_insurance_companies = $objHospital->get_insurance_companies($user_id);
																							if(empty($get_insurance_companies)){
																								echo'<option>No companies added yet</option>';
																							}else{ 
																								foreach($get_insurance_companies as $company){
																									$company_name  = $company['company_name']; 
																									echo'<option>'.$company_name.'</option>';
																								}
																							}
																							?>
																					  </select>
																					</div>
																				  </div>
																				</div>
																				<!-- partial -->
																			  </div>
																			  <div class="row">
																				<div class="col-md-6">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Service:</label>
																					<div class="col-sm-9">
																					  <select class="form-control" name="insurance_service_name[]" >
																						<?php
																						$get_all_services = $objHospital->get_all_services($user_id);
																						if(empty($get_all_services)){
																							echo'<option>There are no Services added yet</option>';
																						}else{
																							foreach($get_all_services as $service){
																								$service_name = $service['service_name'];
																								$service_id = $service['service_id'];
																								echo'<option value="'.$service_id.'">'.$service_name.'</option>';
																							}
																						}
																						?>
																					  </select>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-4">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Unit Cost:</label>
																					<div class="col-sm-9">
																					  <input type="text" class="form-control" name="service_insurance_cost[]" >
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-1">
																				  <div class="form-group row">
																					<button type="button" class="btn btn-success" id="add_service_btn">Add Product</button>
																				  </div>
																				</div>
																			  </div>
																			  <div class="add_service_row">
																				<!---Test rows go here----->
																			  </div>
																			  <div class="row">
																				<div class="col-md-12">
																					<div class="d-flex justify-content-center">
																						<input type="hidden" name="service_insurance_user_id" value="<?php echo $user_id?>">
																						<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Products</span></button>
																					</div>
																				</div>
																			  </div>
																			  </form>	
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="insurance_invoice_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel"><span style="color:blue;" id="test_menu_name_header"></span>Invoice</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_insurance_invoice_card">
																					
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" class="btn btn-primary print_result">Print Invoice</button>
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="insurance_payment_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:78rem; height:40rem; margin-left:-15rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel"><span style="color:blue;" id="add_payment_name_header"></span>Pay Invoice</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card add_insurance_payment_card">
																					
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" class="btn btn-primary print_result">Print</button>
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														
														
														
														
														
														
														
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/finance.js"></script>
	<script src="js/printarea.js"></script>
	<style>
	.results_modal_body{
		height: 400px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>