$(document).ready(function(){
	
	//user controller url
	var url = './../controller/chat.php';
	var userId = $('#user_id').data('user-id');
	
	//Get chat users
	
	$.ajax({
		type: "POST",
		url: url,
		data: {'get_chat_users':userId}, 
		success: function(data){
			
		   $('#chat_user_list').html(data);
			
		   //Get user chats when u click on the user
		   $('.chat_user').on('click', function(){
			   var chatUserId = $(this).data('user-id');
			   var otherChatFirstName = $(this).data('first-name');
			   var otherChatLastName = $(this).data('last-name');
			   $('#chat_text_id').val(chatUserId);
			   
			   $('#message_user').html(otherChatFirstName+' '+otherChatLastName);
			   
			   
				$('#chat_texts_div').mouseenter(function(){
					$('#chat_texts_div').addClass("active");
				});
				
			   setInterval(()=>{
				 
					
					var otherChatUserId = $('#chat_text_id').val();
					$.ajax({
						type: "POST",
						url: url,
						data: {'other_chats_user':otherChatUserId,'chats_user':userId}, 
						success: function(data){
							
							$('#chat_texts').html(data);
							
							//Scroll to bottom if div contains an active class
							if ($('#chat_texts_div').hasClass('active')){
								$('#chat_texts_div').scrollTop(9e9);
							}
							
							$('#chat_text').hover(function(){
								$('#chat_texts_div').scrollTop(9e9);
							});
							
							$('#chat_texts_div').scroll(function(){
								$('#chat_texts_div').removeClass("active");
								$("#chat_texts_div").css('overflow', 'scroll');
							});
						},
						error: function(){ 
							alert('There was an error finding the clicked user'); 
						}
					});
					
					$('#sending_chat_user_id').val(userId);
					$('#sending_other_chat_user_id').val(otherChatUserId);
				}, 500);
							
				//Submit the registration form
				$('#save_chats_form').submit(function(e){
					
					e.preventDefault(); // avoid to execute the actual submit of the form.
					var form = $(this);	
					//If the checkbox is checked, save the data, if not, give an alert
					
					var message = $('#chat_text').val();
					if(message.length == 0){
						//Do nothing
					}else{
						$.ajax({
						   type: "POST",
						   url: url,
						   data: form.serialize(), // serializes the form's elements.
						   success: function(data)
						   {
							   //alert(data);// show response from the php script.
						   },
							error: function() 
							{ 
								alert('error'); 
							}
						});
						
						//Call the native javascript reset object to reset form
						$("#save_chats_form").trigger("reset");
					}
						
				});
				
		   });
		   
		},
		error: function(){ 
			alert('There was an error finding the clicked user'); 
		}
	});
	
	//Logout
	$('#logout_btn').on('click', function(){
		 
		 alert('You have logged out');
		  var userId = $(this).data('user-id');
		  $.ajax({
			   type: "POST",
			   url: url,
			   data: {'logout_staff_id':userId}, 
			   success: function(data)
			   {
				   //alert(data);
				   window.location.href="./../index.php";
				   
			   },
				error: function() 
				{ 
					alert('There was an error finding the clicked user'); 
				}
			 });
	 });
	
	//Notification
	setInterval(function(){
		
		//Count notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'count_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_bell').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		//Get notifications
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'get_notifications':userId}, 
		   success: function(data)
		   {
			   $('#notification_ul').html(data);
		   },
			error: function() 
			{ 
				//alert('No patients found'); 
			}
		});
		
		
	},5000);
	
	//Read notifications
	$('#notification_bell_div').on('click', function(){
		
		$.ajax({
		   type: "POST",
		   url: url,
		   data: {'read_notifications':userId}, 
		   success: function(data)
		   {
			   //alert(data)
		   },
			error: function() 
			{ 
				alert('No notifications found'); 
			}
		});
		
	});
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	 
});