<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:78rem;">
										<div class="card-header">
											<div class="row">
												<div class="col-sm-12" style="text-align:right;">
													<a class="btn btn-info" href="equipment.php?user_id=<?php echo $user_id;?>&department=Laboratory"><i class="fa fa-tachometer"></i>&nbsp; Equipment</a>
													<a class="btn btn-info" href="test_menu.php?user_id=<?php echo $user_id;?>"><i class="fa fa-list"></i>&nbsp; Test Menu</a>
													<a class="btn btn-info" href="#"><i class="fa fa-dot-circle-o"></i>&nbsp; IQC</a>
												</div>
											</div>
										</div>
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#collection" data-toggle="tab" class="nav-link active show"><i class="fa fa-american-sign-language-interpreting"></i>&nbsp;Sample Collection
														<?php
														//Count number of pending requests
														$pending_collection = $objHospital->count_pending_collection($user_id);
														if($pending_collection == 0){
															//Do nothing
														}else{
															echo'<span class="badge badge-danger">'.$pending_collection.'</span>';
														}
														?>
														</a>
														</li>
														<li class="nav-item" id="visit_btn" ><a href="#reception" data-toggle="tab" class="nav-link"><i class="fa fa-hand-lizard-o"></i>&nbsp;Sample Reception
														<?php
														//Count number of pending receptions
														$pending_received = $objHospital->count_pending_reception($user_id);
														if($pending_received == 0){
															//Do nothing
														}else{
															echo'<span class="badge badge-danger">'.$pending_received.'</span>';
														}
														?>
														</a>
														</li>
														<li class="nav-item" id="vitals_btn"><a href="#analysis" data-toggle="tab" class="nav-link"><i class="fa fa-search"></i>&nbsp;Sample Analysis
														<?php
														//Count number of pending analyses
														$pending_analysis = $objHospital->count_pending_analysis($user_id);
														if($pending_analysis == 0){
															//Do nothing
														}else{
															echo'<span class="badge badge-danger">'.$pending_analysis.'</span>';
														}
														?>
														</a>
														</li>
														<li class="nav-item" id="manage_patient_btn"><a href="#review" data-toggle="tab" class="nav-link"><i class="fa fa-eye"></i>&nbsp;Result Review/Release
														<?php
														//Count number of pending reviews
														$pending_review = $objHospital->count_pending_review($user_id);
														if($pending_review == 0){
															//Do nothing
														}else{
															echo'<span class="badge badge-danger">'.$pending_review.'</span>';
														}
														?>
														</a>
														</li>
														<li class="nav-item"><a href="#release" data-toggle="tab" class="nav-link"><i class="fa fa-share"></i>&nbsp;Released Results</a>
														</li>
														<li class="nav-item"><a href="#blood_bank" data-toggle="tab" class="nav-link"><i class="ti ti-mouse"></i>&nbsp;Blood Bank</a>
														</li>
													</ul>
													<div class="tab-content">
														<div id="collection" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:red;">Pending Collection</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Patient No</center></th>
																					<th scope="col"><center>Name</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Gender</center></th>
																					<th scope="col"><center>Tests Requested</center></th>
																					<th scope="col"><center>Requester</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																				
																					$get_requests = $objHospital->get_requests($user_id);
																					if(empty($get_requests)){
																						echo'<tr>
																								<td colspan="7" style="color:blue;"><center>There are no requests made yet<center></td>
																							</tr>';																
																					}else{
																						foreach($get_requests as $requests){
																							$lab_request_id = $requests['lab_request_id'];
																							$hospital_number = $requests['hospital_no'];
																							$patient_id = $requests['patient_id'];
																							$visit_id = $requests['visit_id'];
																							$hospital_id = $requests['hospital_id'];
																							$patient_unique_no = $requests['patient_unique_no'];
																							$first_name = $requests['first_name'];
																							$last_name = $requests['last_name'];
																							$gender = $requests['gender'];
																							$phone_number = $requests['phone_number'];
																							$age = $requests['age'];
																							$address = $requests['address'];
																							$requester = $requests['made_by'];
																							$date_requested = $requests['date_requested'];
																							$test_name = $requests['test_name'];
																							$urgency = $requests['urgency'];
																							
																							$get_user_by_id = $objUser->get_user($user_id);
																							foreach($get_user_by_id as $user){
																								$requester_name = $user['first_name'].' '.$user['last_name'];
																							}
																							
																							//Get visit type ie if patient is walkin
																							$get_visit_details = $objHospital->get_visit_by_id($visit_id,$patient_id,$user_id);
																							foreach($get_visit_details as $detail){
																								$type_of_visit = $detail['type_of_visit'];
																								
																							}
																							
																							$request_type = 'Laboratory';
																							//Get bill details for by request ID request
																							$get_lab_request_bill = $objHospital->get_request_bill($lab_request_id,$request_type,$hospital_id);
																							if(empty($get_lab_request_bill)){
																								$paid = '';
																								$service_cost = '0';
																							}else{
																								foreach($get_lab_request_bill as $request){
																									$paid = $request['paid'];
																									$service_cost = $request['request_cost'];
																								}
																							}
																							
																							if($paid == 'Partial' || $paid == 'Fully' || $type_of_visit=='Group'){
																								echo'
																								<tr>
																									<td><center>'.$hospital_number.'</center></td>
																									<td><center>'.$first_name.' '.$last_name.'</center></td>
																									<td><center>'.$age.'</center></td>
																									<td><center>'.$gender.'</center></td>
																									<td><center>'.$test_name.'</center></td>
																									<td><center>'.$requester_name.'</center></td>
																									<td><center><button class="btn btn-success collect_sample_btn" data-toggle="modal" data-target="#collect_sample_modal" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-unique-no="'.$patient_unique_no.'" data-test-name="'.$test_name.'">Collect Sample</button></center></td>
																								</tr>';
																							}else{
																								//Do nothing
																							}
																						}
																					}
																																							
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<div class="row">
																			<div class="col-md-12 d-flex">
																				<div class="col-sm-6">
																					<h5 style="color:blue;">Collected Samples</h4>
																				</div>
																				<div class="col-sm-6">
																					<input class="form-control" name="search_sample" placeholder="Search Sample">
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Sample ID</center></th>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Patient Name</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Date Collected</center></th>
																					<th scope="col"><center>Test Requested</center></th>
																					<th scope="col"><center>Details</center></th>
																				</tr>
																			</thead>
																			<tbody id="collected_samples">
																				<!----All visits go here--->
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="reception" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:red;">Pending Reception</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Sample ID</center></th>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Patient Name</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Date Collected</center></th>
																					<th scope="col"><center>Tests Requested</center></th>
																					<th scope="col"><center>Receive</center></th>
																				</tr>
																			</thead>
																			<tbody id="collected_samples">
																				<?php
																				$get_collected_sample = $objHospital->get_collected_sample_for_reception($user_id);
																				if(empty($get_collected_sample)){
																					echo'<tr><td colspan="6" style="color:green;"><center>There are no samples collected yet</center></td></tr>';
																				}else{
																					foreach($get_collected_sample as $sample){
																						$sample_no = $sample['sample_no'];
																						$patient_id = $sample['patient_id'];
																						$first_name = $sample['first_name'];
																						$last_name = $sample['last_name'];
																						$age = $sample['age'];
																						$date_collected = date('d-m-Y',strtotime($sample['date_collected']));
																						$test_name = $sample['test_name'];
																						$hospital_id = $sample['hospital_id'];
																						
																						echo'
																						<tr>
																							<td><center>'.$sample_no.'</center></td>
																							<td><center>'.$patient_id.'</center></td>
																							<td><center>'.$first_name.' '.$last_name.'</center></td>
																							<td><center>'.$age.'</center></td>
																							<td><center>'.$date_collected.'</center></td>
																							<td><center>'.$test_name.'</center></td>
																							<td>
																								<center><button class="btn btn-success receive_sample_btn" data-toggle="modal" data-target="#receive_sample_modal" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'">Receive Sample</button></center>			
																							</td>
																						</tr>
																						
																						';
																					}
																				}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<div class="row">
																			<div class="col-md-12 d-flex">
																				<div class="col-sm-6">
																					<h5 style="color:blue;">Received Samples</h4>
																				</div>
																				<div class="col-sm-6">
																					<input class="form-control" name="search_sample" placeholder="Search Sample">
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Sample ID</center></th>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Patient Name</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Date Collected</center></th>
																					<th scope="col"><center>Date Received</center></th>
																					<th scope="col"><center>Receive</center></th>
																				</tr>
																			</thead>
																			<tbody id="all_received_samples">
																				<!----All visits go here--->
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="analysis" class="tab-pane fade"><div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<div class="row">
																			<div class="col-md-12 d-flex">
																				<div class="col-sm-6">
																					<h5 style="color:red;">Pending Analysis</h4>
																				</div>
																				<div class="col-sm-6">
																					<input class="form-control" name="search_sample" placeholder="Search Sample">
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Sample ID</center></th>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Patient Name</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Date Collected</center></th>
																					<th scope="col"><center>Date Received</center></th>
																					<th scope="col"><center>Add Result</center></th>
																				</tr>
																			</thead>
																			<tbody id="all_received_samples">
																				<?php
																				$get_received_sample = $objHospital->get_samples_for_analysis($user_id);
																				if(empty($get_received_sample)){
																					echo'<tr><td colspan="6" style="color:green;"><center>There are no samples pending analysis</center></td></tr>';
																				}else{
																					foreach($get_received_sample as $sample){
																						$sample_no = $sample['sample_no'];
																						$patient_id = $sample['patient_id'];
																						$first_name = $sample['first_name'];
																						$last_name = $sample['last_name'];
																						$age = $sample['age'];
																						$date_collected = date('d-m-Y',strtotime($sample['date_collected']));
																						$date_received = date('d-m-Y',strtotime($sample['date_received']));
																						$test_name = $sample['test_name'];
																						$lab_request_id = $sample['lab_request_id'];
																						$hospital_id = $sample['hospital_id'];
																						$made_by = $sample['made_by'];
																						
																						echo'
																						<tr>
																							<td><center>'.$sample_no.'</center></td>
																							<td><center>'.$patient_id.'</center></td>
																							<td><center>'.$first_name.' '.$last_name.'</center></td>
																							<td><center>'.$age.'</center></td>
																							<td><center>'.$date_collected.'</center></td>
																							<td><center>'.$date_received.'</center></td>
																							<td>
																								<center><button type="button" class="btn btn-success add_sample_result_btn" data-toggle="modal" data-target="#add_result_modal" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-test-name="'.$test_name.'" data-requester="'.$made_by.'" data-lab-request-id="'.$lab_request_id.'">Add Result</button> <center>					
																							</td>
																						</tr>
																						
																						';
																					}
																				}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:blue;">Analyzed Samples</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Sample No</center></th>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Patient Name</center></th>
																					<th scope="col"><center>Tests Requested</center></th>
																					<th scope="col"><center>Review Comments</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody id="analyzed_samples">
																				<?php
																					$get_analyzed_samples = $objHospital->get_analyzed_samples($user_id);
																					if(empty($get_analyzed_samples)){
																						echo'<tr><td colspan="7" style="color:green;"><center>There are no samples analyzed yet</center></td></tr>';
																					}else{
																						foreach($get_analyzed_samples as $sample){
																							$sample_no = $sample['sample_no'];
																							$patient_id = $sample['patient_id'];
																							$patient_name = $sample['patient_name'];
																							$test_date = date('d-m-Y',strtotime($sample['test_date']));
																							$test_name = $sample['test_name'];
																							$hospital_id = $sample['hospital_id'];
																							$lab_request_id = $sample['lab_request_id'];
																							$result_id = $sample['result_id'];
																							$released = $sample['released'];
																							if($sample['review_comments']==''){
																								$comments = '';
																							}else{
																								$comments = '<div class="btn btn-rounded btn-danger view_comment_btn" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#view_comment_modal">View Comment</div>';
																							}
																							
																							echo'
																							<tr>
																								<td><center>'.$sample_no.'</center></td>
																								<td><center>'.$patient_id.'</center></td>
																								<td><center>'.$patient_name.'</center></td>
																								<td><center>'.$test_name.'</center></td>
																								<td><center>'.$comments.'</center></td>
																								<td>
																									<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
																									<div class="dropdown-menu dropdown-menu-right">
																										<button class="badge badge-warning dropdown-item view_result_button" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-test-name="'.$test_name.'" data-toggle="modal" data-target="#view_result_modal">View Results</button>';
																										if($released == 'yes'){
																											//Dont show the edit and review buttons
																										}else{
																											echo'<button class="badge badge-dark dropdown-item edit_result_button" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-test-name="'.$test_name.'" data-toggle="modal" data-target="#edit_result_modal">Edit Result</button>
																											<button class="badge badge-primary dropdown-item send_for_review_button" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'" data-toggle="modal" data-target="#discard_sample_modal">Send for Review</button>';
																										}
																									echo'</div>					
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="review" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Red;">Pending Review & Release</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Sample No</center></th>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Patient Name</center></th>
																					<th scope="col"><center>Gender</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Analysis Date</center></th>
																					<th scope="col"><center>Review</center></th>
																				</tr>
																			</thead>
																			<tbody id="analyzed_samples">
																				<?php
																					$get_review_samples = $objHospital->get_samples_for_review($user_id);
																					if(empty($get_review_samples)){
																						echo'<tr><td colspan="7" style="color:green;"><center>There are no samples pending review yet</center></td></tr>';
																					}else{
																						foreach($get_review_samples as $sample){
																							$sample_no = $sample['sample_no'];
																							$patient_id = $sample['patient_id'];
																							$patient_name = $sample['patient_name'];
																							$test_date = date('d-m-Y',strtotime($sample['test_date']));
																							$test_name = $sample['test_name'];
																							$hospital_id = $sample['hospital_id'];
																							$lab_request_id = $sample['lab_request_id'];
																							$result_id = $sample['result_id'];
																							$age = $sample['age'];
																							$gender = $sample['gender'];
																							
																							echo'
																							<tr>
																								<td><center>'.$sample_no.'</center></td>
																								<td><center>'.$patient_id.'</center></td>
																								<td><center>'.$patient_name.'</center></td>
																								<td><center>'.$gender.'</center></td>
																								<td><center>'.$age.'</center></td>
																								<td><center>'.$test_date.'</center></td>
																								<td>
																									<button class="btn btn-success review_result_button" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-test-name="'.$test_name.'" data-toggle="modal" data-target="#review_result_modal">Review</button>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="release" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Red;">Released Results</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Sample No</center></th>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Patient Name</center></th>
																					<th scope="col"><center>Gender</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Release Status</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody id="analyzed_samples">
																				<?php
																					$get_review_samples = $objHospital->get_results_with_complete_review($user_id);
																					if(empty($get_review_samples)){
																						echo'<tr><td colspan="7" style="color:green;"><center>There are no samples pending review yet</center></td></tr>';
																					}else{
																						foreach($get_review_samples as $sample){
																							$sample_no = $sample['sample_no'];
																							$patient_id = $sample['patient_id'];
																							$patient_name = $sample['patient_name'];
																							$test_date = date('d-m-Y',strtotime($sample['test_date']));
																							$test_name = $sample['test_name'];
																							$hospital_id = $sample['hospital_id'];
																							$lab_request_id = $sample['lab_request_id'];
																							$result_id = $sample['result_id'];
																							$age = $sample['age'];
																							$gender = $sample['gender'];
																							$released = $sample['released'];
																							
																							if($released = 'yes'){
																								$status = '<div class="btn btn-primary rounded-circle"><i class="fa fa-check"></i></div>';
																							}else{
																								$status = '<div class="btn btn-danger rounded-circle"><i class="fa fa-times"></i></div>';
																							}
																							
																							
																							echo'
																							<tr>
																								<td><center>'.$sample_no.'</center></td>
																								<td><center>'.$patient_id.'</center></td>
																								<td><center>'.$patient_name.'</center></td>
																								<td><center>'.$gender.'</center></td>
																								<td><center>'.$age.'</center></td>
																								<td><center>'.$status.'</center></td>
																								<td>
																									<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
																									<div class="dropdown-menu dropdown-menu-right">';
																										if($released = 'yes'){
																											//Do nothing
																										}else{
																											echo'<button type="button" class="badge badge-warning dropdown-item release_result_button" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'">Release Result</button>';
																										}
																										echo'<button class="badge badge-primary dropdown-item view_released_result_button" data-sample-no="'.$sample_no.'" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-test-name="'.$test_name.'" data-toggle="modal" data-target="#view_released_result_modal">View Result</button>
																									</div>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<!----Blood bank ------>
														<div id="blood_bank" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-header d-flex justify-content-between">
																	<h4 style="color:Red;">Blood Bank</h4>
																	<button class="btn btn-primary" data-toggle="modal" data-target="#add_stock"><i class="fa fa-plus"></i> Add Stock</button>
																</div>
																<div class="card-body">
																	<div class="row">
																		<div class="col-lg-12">
																			<div class="card nestable-cart">
																				<div class="card-title">
																					<h4><b>BLOOD GROUP A</b></h4>
																					<div class="row" style="font-size:15px; margin-left:-5px; overflow-x:auto;">
																						<div class="col-md-6" style="border:solid 1px; border-color:grey; margin-left:-1px; overflow:auto;">
																							<center><h5 style="color:blue;">Rh Positive</h5><center>
																							<div class="row">
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Whole Blood</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															if($blood_group == 'A' && $rhesus_type=='Positive' && $product_type=='Whole Blood'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Packed Cells</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'A' && $rhesus_type=='Positive' && $product_type=='Packed Cells'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																							</div>
																							
																						</div>
																						<div class="col-md-6" style="border:solid 1px; border-color:grey; overflow:auto; margin-left:1px;">
																							<center><h5 style="color:blue;">Rh Negative</h5><center>
																							<div class="row">
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Whole Blood</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'A' && $rhesus_type=='Negative' && $product_type=='Whole Blood'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Packed Cells</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'A' && $rhesus_type=='Negative' && $product_type=='Packed Cells'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																							</div>
																							
																						</div>
																					</div>
																				</div>
																				<div class="nestable">
																					
																				</div>
																			</div>
																			<!-- /# card -->
																		</div>
																		<div class="col-lg-12">
																			<div class="card nestable-cart">
																				<div class="card-title">
																					<h4><b>BLOOD GROUP B</b></h4>
																					<div class="row" style="font-size:15px; margin-left:-5px; overflow-x:auto;">
																						<div class="col-md-6" style="border:solid 1px; border-color:grey; margin-left:-1px; overflow:auto;">
																							<center><h5 style="color:blue;">Rh Positive</h5><center>
																							<div class="row">
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Whole Blood</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															if($blood_group == 'B' && $rhesus_type=='Positive' && $product_type=='Whole Blood'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Packed Cells</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'B' && $rhesus_type=='Positive' && $product_type=='Packed Cells'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																							</div>
																							
																						</div>
																						<div class="col-md-6" style="border:solid 1px; border-color:grey; overflow:auto; margin-left:1px;">
																							<center><h5 style="color:blue;">Rh Negative</h5><center>
																							<div class="row">
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Whole Blood</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'B' && $rhesus_type=='Negative' && $product_type=='Whole Blood'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Packed Cells</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'B' && $rhesus_type=='Negative' && $product_type=='Packed Cells'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																							</div>
																							
																						</div>
																					</div>
																				</div>
																			</div>
																			<!-- /# card -->
																		</div>
																		<div class="col-lg-12">
																			<div class="card nestable-cart">
																				<div class="card-title">
																					<h4><b>BLOOD GROUP AB</b></h4>
																					<div class="row" style="font-size:15px; margin-left:-5px; overflow-x:auto;">
																						<div class="col-md-6" style="border:solid 1px; border-color:grey; margin-left:-1px; overflow:auto;">
																							<center><h5 style="color:blue;">Rh Positive</h5><center>
																							<div class="row">
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Whole Blood</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'AB' && $rhesus_type=='Positive' && $product_type=='Whole Blood'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Packed Cells</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'AB' && $rhesus_type=='Positive' && $product_type=='Packed Cells'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																							</div>
																							
																						</div>
																						<div class="col-md-6" style="border:solid 1px; border-color:grey; overflow:auto; margin-left:1px;">
																							<center><h5 style="color:blue;">Rh Negative</h5><center>
																							<div class="row">
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Whole Blood</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'AB' && $rhesus_type=='Negative' && $product_type=='Whole Blood'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Packed Cells</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'AB' && $rhesus_type=='Negative' && $product_type=='Packed Cells'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																							</div>
																							
																						</div>
																					</div>
																				</div>
																			</div>
																			<!-- /# card -->
																		</div>
																		<div class="col-lg-12">
																			<div class="card nestable-cart">
																				<div class="card-title">
																					<h4><b>BLOOD GROUP O</b></h4>
																					<div class="row" style="font-size:15px; margin-left:-5px; overflow-x:auto;">
																						<div class="col-md-6" style="border:solid 1px; border-color:grey; margin-left:-1px; overflow:auto;">
																							<center><h5 style="color:blue;">Rh Positive</h5><center>
																							<div class="row">
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Whole Blood</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'O' && $rhesus_type=='Positive' && $product_type=='Whole Blood'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Packed Cells</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'O' && $rhesus_type=='Positive' && $product_type=='Packed Cells'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																							</div>
																							
																						</div>
																						<div class="col-md-6" style="border:solid 1px; border-color:grey; overflow:auto; margin-left:1px;">
																							<center><h5 style="color:blue;">Rh Negative</h5><center>
																							<div class="row">
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Whole Blood</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'O' && $rhesus_type=='Negative' && $product_type=='Whole Blood'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																								<div class="col-sm-6" style="border:solid 0.5px; overflow:auto; border-color:grey;">
																									<div class="card-title-right-icon">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col" colspan="2"><center>Packed Cells</center></th>
																												</tr>
																												<tr>
																													<th scope="col"><center>Unit No</center></th>
																													<th scope="col"><center>Issue</center></th>
																												</tr>
																											</thead>
																											<tbody>
																												<?php
																													$get_blood = $objHospital->get_blood_units($user_id);
																													if(empty($get_blood)){
																														echo'<tr><td colspan="2" style="color:red;"><center>Out of Stock</center></td></tr>';
																													}else{
																														foreach($get_blood as $blood){
																															$blood_id = $blood['blood_id'];
																															$blood_group = $blood['blood_group'];
																															$rhesus_type = $blood['rhesus_type'];
																															$unit_number = $blood['unit_number'];
																															$product_type = $blood['product_type'];
																															$expiry_date = $blood['expiry_date'];
																															
																															
																															if($blood_group == 'O' && $rhesus_type=='Negative' && $product_type=='Packed Cells'){
																																echo'
																																<tr>
																																	<td><center>'.$unit_number.'</center></td>
																																	<td>
																																		<center><button type="button" class="badge badge-success issue_blood_button" data-toggle="modal" data-target="#issue_blood" data-blood-id="'.$blood_id.'">Issue</button><center>
																																	</td>
																																</tr>
																																
																																';
																															}else{
																																//Do nothing
																															}
																														}
																													}
																												?>
																											</tbody>
																										</table>
																									</div>
																								</div>
																							</div>
																							
																						</div>
																					</div>
																				</div>
																			</div>
																			<!-- /# card -->
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
															<!--Issue Blood Modal---->
															<div class="modal fade bd-example-modal-lg"  data-bs-backdrop="static" data-bs-keyboard="false" id="issue_blood" tabindex="-1" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title">Select Patient to Issue the Blood</h5>
																		<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
																		</button>
																	</div>
																	<form method="post" id="issue_blood_form">
																	<div class="modal-body">
																		<div class="card">
																			<div class="card-body">
																				<div class="basic-form">
																					<div class="form-row">
																						<div class="form-group col-md-12">
																							<label><span style="color:black;">Select Patient:</span></label>
																							<select class="form-control" name="issue_blood_patient_id">
																							<?php
																							$get_patients = $objHospital->get_grouping_and_cross_match_patients($user_id);
																							if(empty($get_patients)){
																								echo'<option>There are no Patients with Cross Matching results  yet</option>';
																							}else{
																								foreach($get_patients as $patient){
																									$first_name = $patient['first_name'];
																									$last_name = $patient['last_name'];
																									$patient_id = $patient['patient_id'];
																									echo'<option value="'.$patient_id.'">'.$first_name.' '.$last_name.'</option>';
																								}
																							}
																							
																							?>
																							</select>
																						</div>
																					</div>
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<input type="hidden" name="issue_blood_user_id" value="<?php echo $user_id;?>">
																		<input type="hidden" name="issue_blood_blood_id" id="issue_blood_blood_id">
																		<button type="submit" id="add_unit_btn" class="btn btn-primary">Issue Blood</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														
															<!---Add blood Stock---->
															<div class="modal fade bd-example-modal-lg"  data-bs-backdrop="static" data-bs-keyboard="false"id="add_stock" tabindex="-1" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title">Add Unit Details</h5>
																		<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
																		</button>
																	</div>
																	<form method="post" id="add_unit_form">
																	<div class="modal-body">
																		<div class="card">
																			<div class="card-body">
																				<div class="basic-form">
																					<div class="form-row">
																						<div class="form-group col-md-6">
																							<label><span style="color:black;">Select Blood Group:</span></label>
																							<select class="form-control" name="add_unit_blood_group" >
																								<option>A</option>	
																								<option>B</option>	
																								<option>AB</option>	
																								<option>O</option>	
																							</select>
																						</div>
																						<div class="form-group col-md-6">
																							<label><span style="color:black;">Select Rhesus Type:</span></label>
																							<select class="form-control" name="add_unit_rhesus_type" >
																								<option>Positive</option>	
																								<option>Negative</option>
																							</select>
																						</div>
																						<div class="form-group col-md-4">
																							<label><span style="color:black;">Unit Number/ID:</span></label>
																							<input class="form-control" name="add_unit_number">
																						</div>
																						<div class="form-group col-md-4">
																							<label><span style="color:black;">Expiry Date:</span></label>
																							<input type="date" name="add_unit_expiry_date" id="follow_up_date" class="form-control onlydatepicker">
																						</div>
																						<div class="form-group col-md-4">
																							<label><span style="color:black;">Product Type:</span></label>
																							<select class="form-control" name="add_unit_product_type">
																								<option>Whole Blood</option>	
																								<option>Packed Cells</option>
																							</select>
																						</div>
																					</div>
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<input type="hidden" name="add_unit_user_id" value="<?php echo $user_id;?>">
																		<button type="submit" id="add_unit_btn" class="btn btn-primary">Add Unit</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														
															<!-- Start popup dialog box -->
															<div class="modal fade bd-example-modal-lg" id="collect_sample_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
																<div class="modal-dialog modal-lg">
																	<div class="modal-content">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Collect <span style="color:blue;"><?php //echo $test_name; ?></span> samples for: <span id="request_name_header" style="color:blue;"></h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<form method="post" id="save_samples_form">
																		<div class="modal-body">
																			<div class="img-container">
																				<div class="card" style="width:100%;">
																					<div class="form-row">
																						<div class="form-group col-md-6">
																							<label><span style="color:black;">Sample Type(s)</span><span style="color:red;">*</span></label>
																							<select class="js-example-disabled-multi" name="sample_types[]" multiple="multiple" style="width:100%;" required>
																								<option>Whole Blood</option>	
																								<option>Plasma</option>	
																								<option>Urine</option>	
																								<option>Sputum</option>	
																								<option>Saliva</option>	
																								<option>Stool</option>	
																								<option>Aspirate</option>	
																								<option>Tissue</option>	
																								<option>Urine</option>	
																								<option>Other Body Fluids</option>	
																							</select>
																						</div>
																						<?php
																						$get_last_sample_no = $objHospital->get_last_patient_sample_no($user_id);
																						if(empty($get_last_sample_no)){
																							$last_digit = 1;
																						}else{
																							$sample_no = explode('-',$get_last_sample_no);
																							$last_digit = intval($sample_no[1] + 1);
																							
																						}
																						?>
																						<div class="form-group col-md-6" id="sampleNoExtension" data-last-sample-no-digits="<?php echo $last_digit; ?>">
																							<label><span style="color:black;">Sample Number</span><span style="color:red;"></span></label>
																							<label><span id="sample_no_label" style="color:blue; font-size:18px;"></span></label>
																						</div>
																					</div>
																				</div>
																			</div>
																		</div>
																		<div class="modal-footer">
																			<input type="hidden" name="sample_no" id="sample_no">
																			<input type="hidden" name="sample_hospital_id" id="sample_hospital_id">
																			<input type="hidden" name="sample_added_by" value="<?php echo $user_id; ?>">
																			<input type="hidden" name="sample_patientid" id="sample_patientid">
																			<button type="submit" id="save_sample" class="btn btn-primary">Save Sample</button>
																		</div>
																		</form>
																	</div>
																</div>
															</div>
															<div class="modal fade bd-example-modal-lg"  data-bs-backdrop="static" data-bs-keyboard="false"id="edit_sample_modal" tabindex="-1" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title">Edit Sample: <span style="color:blue;" id="sample_no_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
																		</button>
																	</div>
																	<form method="post" id="edit_sample_form">
																	<div class="modal-body">
																		<div class="card">
																			<div class="card-body">
																				<div class="basic-form">
																					<div class="form-row">
																						<div class="form-group col-md-6">
																							<label><span style="color:black;">Sample Type(s)</span></label>
																							<select class="form-control" name="edit_sample_types[]" >
																								<option>Whole Blood</option>	
																								<option>Plasma</option>	
																								<option>Urine</option>	
																								<option>Sputum</option>	
																								<option>Saliva</option>	
																								<option>Stool</option>	
																								<option>Aspirate</option>	
																								<option>Tissue</option>	
																								<option>Urine</option>	
																								<option>Other Body Fluids</option>	
																							</select>
																						</div>
																						<div class="form-group col-md-2">
																							<button type="button" class="btn btn-success add_sample_type_btn">Add</button>
																						</div>
																						<div class="form-group col-md-4">
																							<label><span style="color:black;">Sample Number</span></label>
																							<input class="form-control" name="edit_sample_no" placeholder="Enter Sample No">
																						</div>
																					</div>
																					<div class="form-row" id="added_sample_types">
																						
																					</div>
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<input type="hidden" name="sample_edited_by" value="<?php echo $user_id;?>">
																		<input type="hidden" name="old_sample_no" id="old_sample_no">
																		<button type="submit" id="edit_sample" class="btn btn-primary">Edit Sample</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														<div class="modal fade bd-example-modal-lg"  data-bs-backdrop="static" data-bs-keyboard="false"id="receive_sample_modal" tabindex="-1" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title">Receive Sample: <span style="color:blue;" id="receive_sample_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
																		</button>
																	</div>
																	<form method="post" id="receive_sample_form" enctype="multipart/form-data">
																	<div class="modal-body">
																		<div class="card">
																			<div class="card-body">
																				<div class="basic-form">
																					<div class="form-row">
																						<div class="form-group col-md-6 radios" style="font-size:18px;">
																							<label class="radio-inline">
																								<input type="radio" name="accept_sample" style="transform:scale(2); margin: 10px;"> Accepted</label>
																							<label class="radio-inline">
																								<input type="radio" name="reject_sample" style="transform:scale(2); margin: 10px;"> Rejected</label>
																						</div>
																						<div class="form-group col-md-6">
																							<label><span style="color:black;">If Rejected, select reason(s)</span></label>
																							<input type="hidden" name="reasons_for_rejection[]" value="">
																							<!--input type="hidden" name="accept_sample" value="">
																							<input type="hidden" name="reject_sample" value=""-->
																							<select class="js-example-disabled-multi" name="reasons_for_rejection[]" multiple="multiple" style="width:100%;">
																								<option>Select reason for rejection</option>
																								<option>Insufficient sample</option>
																								<option>Clotted</option>
																								<option>Wrong sample</option>
																								<option>Occult sample</option>
																								<option>Wrong container</option>
																								<option>Leaking sample</option>
																								<option>Contaminated</option>
																								<option>Hemolyzed </option>
																								<option>Lipeamic</option>
																								<option>Other</option>
																							</select>
																						</div>
																					</div>
																					<div class="form-row" id="added_sample_types">
																						
																					</div>
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<input type="hidden" name="received_by" value="<?php echo $user_id;?>">
																		<input type="hidden" name="received_sample_no" id="received_sample_no">
																		<button type="submit" id="receive_sample" class="btn btn-primary">Receive Sample</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														<!--Add results modal starts here--->
														<div class="modal fade bd-example-modal-lg"  data-bs-backdrop="static" data-bs-keyboard="false"id="add_result_modal" tabindex="-1" aria-hidden="true" >
															<div class="modal-dialog modal-lg" >
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title">Add Result for Sample: <span style="color:blue;" id="add_result_header"> </span></h5>
																		<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
																		</button>
																	</div>
																	<form method="post" id="save_result_form">
																	<div class="modal-body results_modal_body" style="overflow-y:auto;">
																		<div class="card">
																			<div class="card-body">
																				<div class="basic-form add_result_card">
																					
																					<!--Tests go here--->
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="submit" id="receive_sample" class="btn btn-primary">Save Results</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														
														<!--View results modal starts here--->
														<div class="modal fade bd-example-modal-lg"  data-bs-backdrop="static" data-bs-keyboard="false"id="view_result_modal" tabindex="-1" aria-hidden="true" >
															<div class="modal-dialog modal-lg" >
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title">Results for Sample: <span style="color:blue;" id="view_result_header"> </span></h5>
																		<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
																		</button>
																	</div>
																	<form method="post" id="save_result_form">
																	<div class="modal-body results_modal_body" style="overflow-y:auto;">
																		<div class="card">
																			<div class="card-body">
																				<div class="basic-form view_result_card">
																					
																					<!--Tests go here--->
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="submit" id="receive_sample" class="btn btn-primary">Close</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
															
														<!--Review results modal starts here--->
														<div class="modal fade bd-example-modal-lg"  data-bs-backdrop="static" data-bs-keyboard="false"id="review_result_modal" tabindex="-1" aria-hidden="true" >
															<div class="modal-dialog modal-lg" >
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title">Review Results for Sample: <span style="color:blue;" id="review_result_header"> </span></h5>
																		<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" style="overflow-y:auto;">
																		<div class="card">
																			<div class="card-body">
																				<div class="basic-form review_result_card">
																					
																					<!--Tests for review go here--->
																				</div>
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!--view comment modal starts here--->
														<div class="modal fade bd-example-modal-lg"  data-bs-backdrop="static" data-bs-keyboard="false"id="view_comment_modal" tabindex="-1" aria-hidden="true" >
															<div class="modal-dialog modal-lg" >
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title">Comments on Results for Sample: <span style="color:blue;" id="view_comment_header"> </span></h5>
																		<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
																		</button>
																	</div>
																	<div class="modal-body" style="overflow-y:auto;">
																		<div class="card">
																			<div class="card-body">
																				<div class="basic-form view_comment_card">
																					<!--Review comments go here--->
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button class="btn btn-dark" data-dismiss="modal">Close</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!--Review results modal starts here--->
														<div class="modal fade bd-example-modal-lg"  data-bs-backdrop="static" data-bs-keyboard="false"id="edit_result_modal" tabindex="-1" aria-hidden="true" >
															<div class="modal-dialog modal-lg" >
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title">Edit Results for Sample: <span style="color:blue;" id="edit_result_header"> </span></h5>
																		<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" style="overflow-y:auto;">
																		<div class="card">
																			<form method="post" id="edit_patient_result_form">
																				<div class="card-body">
																					<div class="basic-form edit_result_card">
																						<!--Tests for review go here--->
																					</div>
																				</div>
																				<div class="modal-footer">
																					<button class="btn btn-primary" type="submit">Save Changes</button>
																				</div>
																			</form>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!--View completed results modal starts here--->
														<div class="modal fade bd-example-modal-lg"  data-bs-backdrop="static" data-bs-keyboard="false"id="view_released_result_modal" tabindex="-1" aria-hidden="true" >
															<div class="modal-dialog modal-lg" >
																<div class="modal-content" style="width:70rem;">
																	<div class="modal-header">
																		<h5 class="modal-title">Released Results for Sample: <span style="color:blue;" id="released_result_header"> </span></h5>
																		<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" style="overflow-y:auto;">
																		<div class="card">
																			<form method="post" id="released_result_form">
																				<div class="card-body">
																					<div class="basic-form released_result_card">
																						<!--Tests for review go here--->
																					</div>
																				</div>
																				<div class="modal-footer d-flex justify-content-between">
																					<button class="btn btn-success print_result" type="button"><i class="fa fa-email"></i>Email Result</button>
																					<button class="btn btn-primary print_result" type="button">Print Result</button>
																				</div>
																			</form>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/lab_department.js"></script>
    <script src="js/printarea.js"></script>
	<style>
	.results_modal_body{
		height: 550px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>