<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
	<!-- Daterange picker -->
    <link href="../assets/css/lib/daterangepicker.css" rel="stylesheet">
	<link href="../assets/css/lib/bootstrap-material-datetimepicker.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#income" data-toggle="tab" class="nav-link active show"><i class="ti ti-clipboard"></i>&nbsp;Laboratory Report</a>
														</li>
														<!--<li class="nav-item"><a href="#expense" data-toggle="tab" class="nav-link"><i class="ti ti-clipboard"></i>&nbsp;Expense Report</a>
														</li>
														<li class="nav-item"><a href="#income_statement" data-toggle="tab" class="nav-link"><i class="ti ti-clipboard"></i>&nbsp;Income and Expenditure Report</a>
														</li>
														<li class="nav-item"><a href="#stock_alerts" data-toggle="tab" class="nav-link"><i class="fa fa-bullhorn"></i>&nbsp;Stock Alerts</a>
														</li>-->
													</ul>
													<div class="tab-content">
														
														<div id="income" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<form method="post">
																		<div class="row">
																			<!--<div class="col-md-6 d-flex justify-content-left" style="color:Black; text-align:right;">
																				<label class="col-sm-6" style="font-size:17px;">Department:</label>
																				<div class="col-sm-6">
																					<select name="select_department_report" id="select_department_report" class="form-control">
																						<option>All Departments</option>
																					<?php
																					$get_departments = $objHospital->get_departments($user_id);
																					foreach($get_departments as $dept){
																						$department_name = $dept['department_name'];
																						echo'<option>'.$department_name.'</option>';
																					}
																					?>
																					</select>
																				</div>
																			</div>-->
																			<div class="col-md-12 d-flex justify-content-end" style="color:Black; float:right;">
																				<label class="col-sm-6" style="font-size:17px;">Select Period</label>
																				<div class="col-sm-6">
																					<input class="form-control input-daterange-datepicker" type="text" id="daterange_input" name="daterange" value="10/01/2022 - 10/31/2022">
																				</div>
																			</div>
																		</div>
																		</form>
																	</div>
																	<div class="table-responsive" style="height:100%;" id="patient_table">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col" colspan="4"><center><h4>LABORATORY REPORT: <span style="color:blue;" id="laboratory_report_period"></span></h4></center></th>
																				</tr>
																			</thead>
																			<tbody class="laboratory_report_body">
																				<!------Reports go here------>
																			</tbody>
																			<tfoot>
																				<tr>
																					<th scope="col" colspan="4">
																					</th>
																				</tr>
																			</tfoot>
																		</table>
																	</div>
																</div>
																<center><button type="button" class="btn btn-primary btn-rounded print_patient_report">Print Report</button></center>
															</div>
														</div>
														
														
														
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
	<!-- Daterangepicker -->
	<script src="../assets/js/lib/daterangepicker.js"></script>
    <script src="../assets/js/lib/bs-daterange-picker-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/laboratory_report.js"></script>
	<script src="js/printarea.js"></script>
	<style>
	.results_modal_body{
		height: 400px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>