<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];
	$patient_id = $_GET['triaged_patient_id'];
	$hospital_id = $_GET['triaged_hospital_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	$get_visit = $objHospital->get_active_visits($patient_id,$user_id);
	if(empty($get_visit)){
		$visit_id = '';
		$visit_date = '';
	}else{
		foreach($get_visit as $visit){
			$visit_id = $visit['visit_id'];
			$visit_date = $visit['visit_date'];
		}
	}
	
	//Get current open visit
	$get_visit = $objHospital->get_the_last_visit($patient_id,$user_id);
	if(empty($get_visit)){
		$last_visit_id = '';
		$last_visit_date = '';
	}else{
		foreach($get_visit as $visit){
			$last_visit_id = $visit['visit_id'];
			$last_visit_date = $visit['visit_date'];
		}
	}
	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
	<link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
	<link href="../assets/css/lib/jquery-ui.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
	<link href="../assets/summernote/summernote.min.css" rel="stylesheet">
	
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>" data-patient-id="<?php echo $patient_id; ?>" data-hospital-id="<?php echo $hospital_id; ?>"></div>
	<div id="patient_id" data-patient-id="<?php echo $patient_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
								<?php
								$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
								foreach($get_patient_details as $details){
									$date_created = $details['date_created'];
									$date_editted = $details['date_editted'];
									$gender = $details['gender'];
									$phone = $details['phone_number'];
									$age = $details['age'];
									$first_name = $details['first_name'];
									$last_name = $details['last_name'];
									$other_name = $details['other_name'];
									$image = $details['image'];
									$address = $details['address'];
									$next_of_kin = $details['next_of_kin'];
									$next_of_kin_phone = $details['next_of_kin_phone'];
									$hospital_no = $details['hospital_no'];
									$hospital_id = $details['hospital_id'];
									
									$patient_full_name = $first_name.' '.$last_name;
									
								}
								?>
									<div class="card" style="overflow-x:auto; height:42rem;">
										<a href="triaged.php?user_id=<?php echo $user_id; ?>" class="btn btn-dark"><span class="btn-icon-right"><i class="fa fa-arrow-left"></i></span>Back to Patient List</a>
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item nav-link main-tabs" id="manage_patient_btn"><a href="#manage_patient" data-toggle="tab">Manage Patient</a>
														</li>
														<li class="nav-item nav-link main-tabs"><a href="#admissions" data-toggle="tab">Admissions</a>
														</li>
														<li class="nav-item nav-link main-tabs" id="drug_monitoring_btn"><a href="#drug_monitoring" data-toggle="tab" >Drug Administration</a>
														</li>
														<li class="nav-item nav-link main-tabs"><a href="#discharge" data-toggle="tab">Discharge Patient</a>
														</li>
														<li class="nav-item nav-link main-tabs"><a href="#requests" data-toggle="tab">Requests</a>
														</li>
													</ul>
													<div class="tab-content">
														<div id="manage_patient" class="tab-pane fade active show main-pane">
															<div class="card" style="width:75rem; height:38rem;">
																<div class="card-header" style="height:70px;">
																	<div class="row">
																		<div class="col-sm-8 text-primary" style="text-align:left; font-size:20px;"><b><?php echo $first_name.' '.$last_name.' - '.$gender.' - '.$age.'Yrs'?></b></div>
																		<div class="col-sm-4" style="text-align:right;">
																			<button class="btn btn-rounded btn-default" id="vitals_modal_btn" data-toggle="modal" data-target="#vitals_modal" data-patient-id="<?php echo $patient_id; ?>" data-user-id="<?php echo $user_id; ?>" data-first-name="<?php echo $first_name; ?>" data-last-name="<?php echo $last_name; ?>"><i class="fa fa-stethoscope"></i></i>&nbsp; Vitals</button>
																			
																			<button type="button" class="btn btn-success btn-rounded dropdown-toggle" data-toggle="dropdown" aria-expanded="false">Actions</button>
																			<div class="dropdown-menu dropdown-menu-right" style="border-radius:15px;" role="menu">
																				<button class="btn btn-rounded btn-dark dropdown-item" id="add_case_history_btn" data-toggle="modal" data-target="#add_case_history" style="margin-bottom:5px;"><i class="fa fa-clipboard"></i></i>&nbsp; Previous History</button>
																				<button class="btn btn-rounded btn-primary dropdown-item" id="make_request_btn" data-toggle="modal" data-target="#add_tests_modal" style="margin-bottom:5px;"><i class="fa fa-flask"></i>&nbsp; Laboratory</button>
																				<button class="btn btn-rounded btn-primary dropdown-item" data-toggle="modal" data-target="#add_imaging_modal" style="margin-bottom:5px;"><i class="fa fa-adjust"></i>&nbsp; Radiology</button>
																				<button class="btn btn-rounded btn-primary dropdown-item" data-toggle="modal" data-target="#offer_service_modal" style="margin-bottom:5px;"><i class="fa fa-heartbeat"></i>&nbsp;Clinical Services</button>
																				<button class="btn btn-rounded btn-primary dropdown-item" data-toggle="modal" data-target="#admit_patient_modal" style="margin-bottom:5px;"><i class="fa fa-bed"></i>&nbsp; Admit Patient</button>
																				<button class="btn btn-rounded btn-primary dropdown-item make_prescription_btn" data-toggle="modal" data-target="#make_prescription_modal" data-patient-id="<?php echo $patient_id;?>" style="margin-bottom:5px;"><i class="ti ti-na"></i>&nbsp; Prescription</button>
																				<button class="btn btn-rounded btn-primary dropdown-item" data-toggle="modal" data-target="#nurse_review_modal" style="margin-bottom:5px;"><i class="fa fa-user-md"></i>&nbsp; Nurse's Review</button>
																				<button class="btn btn-rounded btn-primary dropdown-item" data-toggle="modal" data-target="#surgery_request_modal" style="margin-bottom:5px;"><i class="fa fa-scissors"></i>&nbsp; Surgery</button>
																				<button class="btn btn-rounded btn-primary dropdown-item refer_btn" data-toggle="modal" data-target="#referral_request_modal" style="margin-bottom:5px;" data-patient-id="<?php echo $patient_id; ?>" data-visit-id="<?php echo $visit_id; ?>"><i class="fa fa-ambulance"></i>&nbsp; Refer Patient</button>
																				<button class="btn btn-rounded btn-dark dropdown-item print_option_btn" data-toggle="modal" data-target="#print_option_modal" data-patient-id="<?php echo $patient_id; ?>" data-hospital-id=""<?php echo $hospital_id; ?>" data-visit-id="<?php echo $last_visit_id; ?>" data-visit-date=""<?php echo $last_visit_date;?>"><i class="fa fa-print"></i>&nbsp; Print</button>
																			</div>
																		</div>
																	</div>''
																</div>
																<div class="card-body" id="triaged_pateint_details" style="height:auto;">
																	<?php
																	
																	//Get patient details
																	$get_patient_details = $objHospital->get_patient_by_id($patient_id,$user_id);
																	foreach($get_patient_details as $details){
																		$date_created = $details['date_created'];
																		$date_editted = $details['date_editted'];
																		$gender = $details['gender'];
																		$phone = $details['phone_number'];
																		$age = $details['age'];
																		$patient_first_name = $details['first_name'];
																		$patient_last_name = $details['last_name'];
																		$patient_other_name = $details['other_name'];
																		$image = $details['image'];
																		$address = $details['address'];
																		$next_of_kin = $details['next_of_kin'];
																		$next_of_kin_phone = $details['next_of_kin_phone'];
																		$hospital_no = $details['hospital_no'];
																		$hospital_id = $details['hospital_id'];
																		
																	}
																	echo'<div class="row" style="height:29rem;">
																	  <div class="col-3">
																		<div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
																		  <a class="nav-link active" id="v-pills-home-tab" data-toggle="pill" href="#v-pills-home" role="tab" aria-controls="v-pills-home" aria-selected="true" style="height:3rem; margin-top:10px; padding-top:10px;">Case History</a>
																		  <a class="nav-link" id="v-pills-profile-tab" data-toggle="pill" href="#v-pills-profile" role="tab" aria-controls="v-pills-profile" aria-selected="false" style="height:3rem; margin-top:10px; padding-top:10px;">Biodata</a>
																		  <a class="nav-link" id="v-pills-messages-tab" data-toggle="pill" href="#v-pills-messages" role="tab" aria-controls="v-pills-messages" aria-selected="false" style="height:3rem; margin-top:10px; padding-top:10px;">Laboratory</a>
																		  <a class="nav-link" id="v-pills-settings-tab" data-toggle="pill" href="#v-pills-settings" role="tab" aria-controls="v-pills-settings" aria-selected="false" style="height:3rem; margin-top:10px; padding-top:10px;">Prescription</a>
																		  <a class="nav-link" id="v-pills-services-tab" data-toggle="pill" href="#v-pills-services" role="tab" aria-controls="v-pills-services" aria-selected="false" style="height:3rem; margin-top:10px; padding-top:10px;">Clinical Services</a>
																		  <a class="nav-link" id="v-pills-services-tab" data-toggle="pill" href="#v-pills-radiology" role="tab" aria-controls="v-pills-radiology" aria-selected="false" style="height:3rem; margin-top:10px; padding-top:10px;">Radiology</a>
																		  <a class="nav-link" id="v-pills-services-tab" data-toggle="pill" href="#v-pills-surgical" role="tab" aria-controls="v-pills-surgical" aria-selected="false" style="height:3rem; margin-top:10px; padding-top:10px;">Surgery</a>
																		  <a class="nav-link" id="v-pills-review-tab" data-toggle="pill" href="#v-pills-review" role="tab" aria-controls="v-pills-review" aria-selected="false" style="height:3rem; margin-top:10px; padding-top:10px;">Nurse Reviews</a>
																		</div>
																	  </div>
																	  <div class="col-9" style="border:1px grey solid; border-radius:5px; height:100%; overflow-y:auto;">
																		<div class="tab-content" id="v-pills-tabContent">
																			<div class="tab-pane fade show active" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab">
																				<div class="accordion" id="accordionExample">
																				  <form method="post" id="save_history_form">
																				  <div class="card">
																					<div class="card-header" id="headingOne" style="height:2rem; padding-top:2px;">
																					  <h5 class="mb-0" style="margin-left:-20px;">
																						<button class="btn btn-link" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne"><b>Presenting Complaint</b></button>
																					  </h5>
																					</div>
																					<div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
																					  <div class="card-body">
																						<div class="row grid">		
																							<div class="col-xl-3" style="overflow-y:scroll; overflow-x:auto; height:10rem;">
																								<div class="grid-col">
																									<div class="row">
																										<div class="form-group">
																											<label><span style="color:black; font-size:16px;">Search Symptom</span></label>
																											<input type="text" style="border: grey 1px solid; border-radius:5px; height:2rem;" class="form-control" name="search_symptom_term" id="search_symptom_term"><i class="fa fa-serch"></i>
																											<div id="searched_symptom">
																												
																											</div>
																										</div>
																									</div>
																								</div>
																							</div>
																							<div class="col-xl-9" style="border-radius:10px; border:solid; overflow-y:scroll;">
																								<div class="grid-col">
																									<div class="row" style="width:35rem; overflow-y:scroll; overflow-x:auto;">
																										<table class="table table-bg-hover">
																											<tbody class="added_symptom">
																												<tr>
																													<th>Symptom</th>
																													<th>Duration</th>
																													<th>Period</th>
																													<th><center>Action</center></th>
																												</tr>
																												<!---Symptoms go here--->
																											</tbody>
																										</table>
																									</div>
																								</div>
																							</div>
																							<textarea rows="2" style="height:100%; border-radius:5px; margin-bottom:10px;" class="form-control" name="typed_complaint" placeholder="Or manually type complaint here:"></textarea>
																						</div>
																					  </div>
																					</div>
																				  </div>
																				  <div class="card">
																					<div class="card-header" id="headingTwo" style="height:2rem; padding-top:2px;">
																					  <h5 class="mb-0" style="margin-left:-20px;">
																						<button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo"> <b>History of Presenting Complaint</b></button>
																					  </h5>
																					</div>
																					<div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
																					  <div class="card-body">
																						<textarea type="text" rows="3" name="history_of_presenting_complaint" style="height:100%; width:100%; border:1px grey solid; border-radius:5px;"></textarea>
																					  </div>
																					</div>
																				  </div>
																				  <div class="card">
																					<div class="card-header" id="headingThree" style="height:2rem; padding-top:2px;">
																					  <h5 class="mb-0" style="margin-left:-20px;">
																						<button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree"> <b>Past Medical History</b></button>
																					  </h5>
																					</div>
																					<div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
																					  <div class="card-body">
																						<textarea type="text" rows="3" name="past_medical_history" style="height:100%; width:100%; border:1px grey solid; border-radius:5px;"></textarea>
																					  </div>
																					</div>
																				  </div>
																				  <div class="card">
																					<div class="card-header" id="headingFour" style="height:2rem; padding-top:2px;">
																					  <h5 class="mb-0" style="margin-left:-20px;">
																						<button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseFour" aria-expanded="false" aria-controls="collapseFour"> <b>Drug History</b></button>
																					  </h5>
																					</div>
																					<div id="collapseFour" class="collapse" aria-labelledby="headingFour" data-parent="#accordionExample">
																					  <div class="card-body">
																						<textarea type="text" rows="3" name="drug_history" style="height:100%; width:100%; border:1px grey solid; border-radius:5px;"></textarea>
																					  </div>
																					</div>
																				  </div>
																				  <div class="card">
																					<div class="card-header" id="headingFive" style="height:2rem; padding-top:2px;">
																					  <h5 class="mb-0" style="margin-left:-20px;">
																						<button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseFive" aria-expanded="false" aria-controls="collapseFive"> <b>Allergies</b></button>
																					  </h5>
																					</div>
																					<div id="collapseFive" class="collapse" aria-labelledby="headingFive" data-parent="#accordionExample">
																					  <div class="card-body">
																						<textarea type="text" rows="3" name="allergies" style="height:100%; width:100%; border:1px grey solid; border-radius:5px;"></textarea>
																					  </div>
																					</div>
																				  </div>
																				  <div class="card">
																					<div class="card-header" id="headingSix" style="height:2rem; padding-top:2px;">
																					  <h5 class="mb-0" style="margin-left:-20px;">
																						<button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseSix" aria-expanded="false" aria-controls="collapseSix"> <b>Family History</b></button>
																					  </h5>
																					</div>
																					<div id="collapseSix" class="collapse" aria-labelledby="headingSix" data-parent="#accordionExample">
																					  <div class="card-body">
																						<textarea type="text" rows="3" name="family_history" style="height:100%; width:100%; border:1px grey solid; border-radius:5px;"></textarea>
																					  </div>
																					</div>
																				  </div>
																				  <div class="card">
																					<div class="card-header" id="headingSeven" style="height:2rem; padding-top:2px;">
																					  <h5 class="mb-0" style="margin-left:-20px;">
																						<button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseSeven" aria-expanded="false" aria-controls="collapseSeven"> <b>Social History</b></button>
																					  </h5>
																					</div>
																					<div id="collapseSeven" class="collapse" aria-labelledby="headingSeven" data-parent="#accordionExample">
																					  <div class="card-body">
																						<textarea type="text" rows="3" name="social_history" style="height:100%; width:100%; border:1px grey solid; border-radius:5px;"></textarea>
																					  </div>
																					</div>
																				  </div>
																				  <div class="card">
																					<div class="card-header" id="headingEight" style="height:2rem; padding-top:2px;">
																					  <h5 class="mb-0" style="margin-left:-20px;">
																						<button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseEight" aria-expanded="false" aria-controls="collapseEight"> <b>Review of Systems</b></button>
																					  </h5>
																					</div>
																					<div id="collapseEight" class="collapse" aria-labelledby="headingEight" data-parent="#accordionExample">
																					  <div class="card-body">
																						<textarea type="text" rows="3" name="review_of_systems" style="height:100%; width:100%; border:1px grey solid; border-radius:5px;"></textarea>
																					  </div>
																					</div>
																				  </div>
																				  <div class="card">
																					<div class="card-header" id="headingEleven" style="height:2rem; padding-top:2px;">
																					  <h5 class="mb-0" style="margin-left:-20px;">
																						<button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseEleven" aria-expanded="false" aria-controls="collapseEleven"> <b>O/E</b></button>
																					  </h5>
																					</div>
																					<div id="collapseEleven" class="collapse" aria-labelledby="headingEleven" data-parent="#accordionExample">
																					  <div class="card-body">
																						<textarea type="text" rows="3" name="on_examination" style="height:100%; width:100%; border:1px grey solid; border-radius:5px;"></textarea>
																					  </div>
																					</div>
																				  </div>
																				  <div class="card">
																					<div class="card-header" id="headingNine" style="height:2rem; padding-top:2px;">
																					  <h5 class="mb-0" style="margin-left:-20px;">
																						<button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseNine" aria-expanded="false" aria-controls="collapseNine"> <b>Preliminary Diagnosis</b></button>
																					  </h5>
																					</div>
																					<div id="collapseNine" class="collapse" aria-labelledby="headingNine" data-parent="#accordionExample">
																					  <div class="card-body">
																					    <div class="row grid">		
																							<div class="col-xl-5" style="overflow-y:scroll; overflow-x:auto; height:10rem;">
																								<div class="grid-col">
																									<div class="row">
																										<div class="form-group">
																											<label><span style="color:black; font-size:16px;">Search Diagnosis from ICD</span></label>
																											<input type="text" style="border: grey 1px solid; border-radius:5px; height:2rem;" class="form-control" name="search_diagnosis_term" id="search_diagnosis_term"><i class="fa fa-serch"></i>
																											<div>
																												<table class="table table-bg-hover">
																													<tbody id="searched_diagnosis">
																														<tr><th style="line-height:0.7rem;"><b>Diagnosis</b></th><th style="line-height:0.7rem;"><b>ICD10 Code</b></th><tr>
																													</tbody>
																												</table>
																											</div>
																										</div>
																									</div>
																								</div>
																							</div>
																							<div class="col-xl-7" style="border-radius:10px; border:solid; overflow-y:scroll;">
																								<div class="grid-col">
																									<div class="row" style="width:35rem; overflow-y:scroll; overflow-x:auto;">
																										<table class="table table-bg-hover">
																											<tbody class="added_diagnosis">
																												<tr>
																													<th colspan="3">Possible Diagnoses</th>
																												</tr>
																												
																												<!---Symptoms go here--->
																											</tbody>
																										</table>
																									</div>
																								</div>
																							</div>
																							<textarea rows="2" style="height:100%; border-radius:5px; margin-bottom:10px;" class="form-control" name="possible_diagnoses[]" placeholder="Or manually type diagnosis here: (Caution: Insurance companies prefer ICD Diagnoses)"></textarea>
																						</div>
																					  </div>
																					</div>
																				  </div>
																				  <div>
																					<center><button type="submit" class="btn btn-success btn-lg">Save History</button></center>
																				  </div>';
																					//Get current visit
																				    $get_visit = $objHospital->get_active_visits($patient_id,$user_id);
																					if(empty($get_visit)){
																						$visit_id = '';
																					}else{
																						foreach($get_visit as $visit){
																							$visit_id = $visit['visit_id'];
																							$visit_date = $visit['visit_date'];
																						}
																					}
																				  
																				  echo'<input type="hidden" name="symptom_hospital_id" value="'.$hospital_id.'">
																				  <input type="hidden" name="symptom_user_id" value="'.$user_id.'">
																				  <input type="hidden" name="symptom_patient_id" value="'.$patient_id.'">
																				  <input type="hidden" name="symptom_visit_id" value="'.$visit_id.'">
																				  </form>';
																				  
																				  //Get current visit
																				    $get_visit = $objHospital->get_active_visits($patient_id,$user_id);
																					if(empty($get_visit)){
																						$visit_id = '';
																					}else{
																						foreach($get_visit as $visit){
																							$visit_id = $visit['visit_id'];
																							$visit_date = $visit['visit_date'];
																						}
																					}
																				  echo'<div class="card">
																					<div class="card-header" id="headingTen" style="height:2rem; padding-top:2px;">
																					  <h5 class="mb-0" style="margin-left:-20px;">
																						<button class="btn btn-link collapsed" type="button" data-toggle="collapse" data-target="#collapseTen" aria-expanded="false" aria-controls="collapseTen"> <b>Previous History</b></button>
																					  </h5>
																					</div>
																					<div id="collapseTen" class="collapse" aria-labelledby="headingTen" data-parent="#accordionExample">
																					  <div class="card-body">
																						<div class="row" style="border:1px grey solid; border-radius:5px; overflow-y:auto;" id="previous_history">
																							<table class="table table-borderless">
																								<tbody>';
																									$get_case_history = $objHospital->get_all_cases_by_patient_id($patient_id,$user_id);
																									if(empty($get_case_history)){
																										/*echo'<tr >
																											  <th colspan="4" style="color:blue; line-height:0.7rem;">There are no cases yet</th>
																											</tr>';*/
																									}else{
																										$count = 0;
																										foreach($get_case_history as $history){
																											$case_id = $history['case_id'];
																											$patient_id = $history['patient_id'];
																											$hospital_id = $history['hospital_id'];
																											$visit_id = $history['visit_id'];
																											$presenting_complaint = $history['presenting_complaint'];
																											$history_of_presenting_complaint = $history['history_of_presenting_complaint'];
																											$past_medical_history = $history['past_medical_history'];
																											$drug_history = $history['drug_history'];
																											$allergies = $history['allergies'];
																											$family_history = $history['family_history'];
																											$social_history = $history['social_history'];
																											$review_of_systems = $history['review_of_systems'];
																											$on_examination = $history['on_examination'];
																											$diagnosis_name = $history['diagnosis_name'];
																											$staff_id = $history['added_by'];
																											$case_date = $history['date_added'];
																											$count++;
																											
																											echo'<tr style="height:1px; border:solid 2px;"></tr>
																											<tr style="border-radius:5px; width:100%; background-color:#343957;">
																											  <th colspan="4"><h5 style="color:white; line-height:0.7rem; "><center><b>'.date('d-m-Y - H:i',strtotime($case_date)).'</b></center></h5></th>
																											</tr>';
																											
																											$get_doctors_details = $objHospital->get_staff_details($staff_id,$user_id);
																											//var_dump($get_doctors_details);
																											foreach($get_doctors_details as $doctor){
																												$first_name = $doctor['first_name'];
																												$last_name = $doctor['last_name'];
																												$doctors_name = $first_name.' '.$last_name;
																											}
																											if(empty($presenting_complaint)){
																												//Do nothing
																											}else{
																												echo'<tr >';
																												  if($count ==1){
																													  echo'<td style="line-height:0.7rem; border: none; color:black;"><b>PC:</b></td>';
																												  }
																												  
																												  echo'<td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$presenting_complaint.'</span></td>
																												</tr>';
																											}
																											if(empty($history_of_presenting_complaint)){
																												//Do nothing
																											}else{
																												echo'<tr >
																												  <td style="line-height:0.7rem; border: none; color:black;"><b>HPC:</b></td>
																												  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$history_of_presenting_complaint.'</span></td>
																												</tr>';
																											}
																											if(empty($past_medical_history)){
																												//Do nothing
																											}else{
																												echo'<tr >
																												  <td style="line-height:0.7rem; border: none; color:black;"><b>PMH:</b></td>
																												  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$past_medical_history.'</span></td>
																												</tr>';
																											}
																											if(empty($drug_history)){
																												//Do nothing
																											}else{
																												echo'<tr >
																												  <td style="line-height:0.7rem; border: none; color:black;"><b>Drug History:</b></td>
																												  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$drug_history.'</span></td>
																												</tr>';
																											}
																											if(empty($allergies)){
																												//Do nothing
																											}else{
																												echo'<tr >
																												  <td style="line-height:0.7rem; border: none; color:black;"><b>Allergies:</b></td>
																												  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$allergies.'</span></td>
																												</tr>';
																											}
																											if(empty($family_history)){
																												//Do nothing
																											}else{
																												echo'<tr >
																												  <td style="line-height:0.7rem; border: none; color:black;"><b>Family History:</b></td>
																												  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$family_history.'</span></td>
																												</tr>';
																											}
																											if(empty($social_history)){
																												//Do nothing
																											}else{
																												echo'<tr >
																												  <td style="line-height:0.7rem; border: none; color:black;"><b>Social History:</b></td>
																												  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$social_history.'</span></td>
																												</tr>';
																											}
																											if(empty($review_of_systems)){
																												//Do nothing
																											}else{
																												echo'<tr >
																												  <td style="line-height:0.7rem; border: none; color:black;"><b>Systems Review:</b></td>
																												  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$review_of_systems.'</span></td>
																												</tr>';
																											}
																											if(empty($on_examination)){
																												//Do nothing
																											}else{
																												echo'<tr >
																												  <td style="line-height:0.7rem; border: none; color:black;"><b>O/E:</b></td>
																												  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$on_examination.'</span></td>
																												</tr>';
																											}
																											if(empty($diagnosis_name)){
																												//Do nothing
																											}else{
																												echo'<tr >';
																												  if($count ==1){
																												  echo'<td style="line-height:0.7rem; border: none; width:10rem; color:black;"><b>Preliminary Diagnosis:</b></td>';
																												  }
																												  echo'<td colspan="3" style="line-height:0.7rem; border: none; text-align:left;"><span style="color:black;">';
																												    $diagnosis = explode(',',$diagnosis_name);
																													foreach($diagnosis as $key => $value){
																														$diag = str_replace(","," ",$value);
																														echo $diag.'<br/>';
																													}
																												  echo'</span></td>
																												</tr>';
																											}
																											echo '<tr>
																												<th style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Case History taken by: </b></th>
																												<th colspan="3" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><span style="color:black;">Dr. '.$doctors_name.'</span></th>
																											</tr>';
																											
																										}
																									}
																								echo'</tbody>
																							</table>
																						</div>
																					  </div>
																					</div>
																				  </div>
																				</div>
																			</div>
																		  <div class="tab-pane fade" id="v-pills-profile" role="tabpanel" aria-labelledby="v-pills-profile-tab">
																		  <div class="row grid">
																			<div class="col-xl-9">
																			<div class="grid-col">
																			<div class="profile-personal-info">
																				<h4 class="text-primary mb-4">Patient Information: '.$hospital_no.'</h4>
																				<div class="row mb-4" style="height:1rem;">
																					<div class="col-3">
																						<h6 style="color:black;">First Name <span class="pull-right">:</span>
																						</h6>
																					</div>
																					<div class="col-9" style="color:black; font-size:16px;"><span>'.$patient_first_name.'</span>
																					</div>
																				</div>
																				<div class="row mb-4" style="height:1rem;">
																					<div class="col-3">
																						<h6 style="color:black;">Other Name <span class="pull-right">:</span>
																						</h6>
																					</div>
																					<div class="col-9" style="color:black; font-size:16px;"><span>'.$patient_other_name.'</span>
																					</div>
																				</div>
																				<div class="row mb-4" style="height:1rem;">
																					<div class="col-3">
																						<h6 style="color:black;">Last Name <span class="pull-right">:</span>
																						</h6>
																					</div>
																					<div class="col-9" style="color:black; font-size:16px;"><span>'.$patient_last_name.'</span>
																					</div>
																				</div>
																				<div class="row mb-4" style="height:1rem;">
																					<div class="col-3">
																						<h6 style="color:black;">Gender <span class="pull-right">:</span></h6>
																					</div>
																					<div class="col-9" style="color:black; font-size:16px;"><span>'.$gender.'</span>
																					</div>
																				</div>
																				<div class="row mb-4" style="height:1rem;">
																					<div class="col-3">
																						<h6 style="color:black;">Phone Number <span class="pull-right">:</span>
																						</h6>
																					</div>
																					<div class="col-9" style="color:black; font-size:16px;"><span>'.$phone.'</span>
																					</div>
																				</div>
																				<div class="row mb-4" style="height:1rem;">
																					<div class="col-3">
																						<h6 style="color:black;">Age <span class="pull-right">:</span></h6>
																					</div>
																					<div class="col-9" style="color:black; font-size:16px;"><span>'.$age.'</span>
																					</div>
																				</div>
																				<div class="row mb-4" style="height:1rem;">
																					<div class="col-3">
																						<h6 style="color:black;">Address <span class="pull-right">:</span></h6>
																					</div>
																					<div class="col-9" style="color:black; font-size:16px;"><span>'.$address.'</span>
																					</div>
																				</div>
																				<div class="row mb-4" style="height:1rem;">
																					<div class="col-3">
																						<h6 style="color:black;">Next of Kin <span class="pull-right">:</span></h6>
																					</div>
																					<div class="col-9" style="color:black; font-size:16px;"><span>'.$next_of_kin.'</span>
																					</div>
																				</div>
																				<div class="row mb-4" style="height:1rem;">
																					<div class="col-4">
																						<h6 style="color:black;">Next of Kin Phone Number <span class="pull-right">:</span></h6>
																					</div>
																					<div class="col-8" style="color:black; font-size:16px;"><span>'.$next_of_kin_phone.'</span>
																					</div>
																				</div>
																			</div>
																			</div>
																			</div>
																			<div class="col-xl-3">
																				<div class="grid-col">
																					<div class="card mb-4" >
																						<img src="'.$image.'" class="img-fluid rounded-circle" alt="">
																						<div class="card-body">
																							<center>
																								<h4 class="card-text">'.$patient_first_name.' '.$patient_other_name.' '.$patient_last_name.'</h4>
																							</center>
																							<hr>
																							<center>
																								<p class="card-text text-dark">Last updated ';
																									if($date_editted == '0000-00-00 00:00:00'){
																										echo $date_created;
																									}else{
																										echo $date_editted;
																									}
																								echo'</p>
																							</center>
																						</div>
																					</div>
																				</div>
																			</div>
																			</div>
																		  </div>
																		  <div class="tab-pane fade" id="v-pills-messages" role="tabpanel" aria-labelledby="v-pills-messages-tab">
																		  <table class="table table-borderless">
																				<tbody>';
																			  $get_result = $objHospital->get_lab_results_by_patient_id($patient_id, $user_id);
			
																				if(empty($get_result)){
																					echo'<tr >
																					  <th colspan="4" style="color:red; line-height:1.7rem;"><center><b>There are no Laboratory Requests made for this patient yet</b></center></th>
																					</tr>';
																				}else{
																					
																					echo'<tr style="height:1px; border:solid 2px;"></tr>	
																					<tr style="border-radius:5px; width:100%; background-color:#343957;">
																					  <th colspan="4"><center><h4 style="color:white; line-height:2rem; "><b>Investigations Done:</b></h4></center></th>
																					</tr>';
																					foreach($get_result as $result){
																						$test_name=$result['test_name'];
																						$sample_no=$result['sample_no'];
																					
																					
																						$test_array = explode(',',$test_name); 

																						foreach($test_array as $key=>$value){
																							$test = $value;
																							
																							//First get the test menu id
																							$get_test_menu_id = $objHospital->get_test_menu_id($test,$hospital_id);
																							
																							
																							$get_parameters = $objHospital->get_parameters($test,$hospital_id);
																							if(empty($get_parameters)){
																								
																								//Get this test's results
																								$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
																								
																								if(empty($get_test_results)){
																									echo'<tr">
																									  <th colspan="2" style="font-weight:bold; float:left; line-height:1.5rem; border: none;"><span style="color:black;">Test Requested: </span><span style="color:black;">'.$test.'</span></th>
																									  <th colspan="2"><span style="color:black; line-height:1.5rem; border: none;"><b>Test Date: </b></span><span style="color:black;">_</span></th>
																									</tr>
																									<tr">
																									  <td colspan="4" style="color:black; float:left; line-height:1.5rem; border: none;"><span style="color:black;"><b>Result: </b></span><span style="color:black;">No Results added yet</span></td>
																									</tr>
																									';
																								}else{
																									foreach($get_test_results as $data){
																										if($data['equipment_name']==''){
																											$equipment = 'N/A';
																										}else{
																											$equipment = $data['equipment_name'];
																										}
																										$result = $data['result'];
																										$result_reviewed_by = $data['result_reviewed_by'];
																										$review_date = $data['review_date'];
																										$released_by = $data['released_by'];
																										$release_date = $data['release_date'];
																										$review_comments = $data['review_comments'];
																									}
																									echo'<tr>
																									  <th colspan="2" style="font-weight:bold; line-height:1.5rem; float:left; border: none;"><span style="color:black;">Test Requested: </span><span style="color:black;">'.$test.'</span></th>
																									</tr>
																									<tr>
																									  <td colspan="4" style="color:blue; float:left; line-height:1.5rem; border: none;"><span style="color:black;"><b>Result: </b></span><span style="color:blue;">'.$result.'</span></td>
																									</tr>';
																								}
																							}else{
																								
																								$get_test_results = $objHospital->get_test_results($test,$sample_no,$hospital_id);
																								foreach($get_test_results as $data){
																									if($data['equipment_name']==''){
																										$equipment = 'N/A';
																									}else{
																										$equipment = $data['equipment_name'];
																									}
																									$result = $data['result'];
																									$result_reviewed_by = $data['result_reviewed_by'];
																									$review_date = $data['review_date'];
																									$released_by = $data['released_by'];
																									$release_date = $data['release_date'];
																									$review_comments = $data['review_comments'];
																								}
																								if(empty($get_test_results)){
																									echo'<tr>
																									  <th scope="col" style="color:black; font-weight:bold; float:left; line-height:1.5rem; border: none;"><center>Test Requested: </center></th>
																									  <th scope="col" style="color:black; font-weight:bold; float:left; line-height:1.5rem; border: none;"><center>'.$test.'</center></th>
																									</tr>
																									<tr>
																									  <td colspan="2" style="color:black; float:right; line-height:1.5rem; border: none;"><center>There are no results yet</center></td>
																									</tr>';
																								}else{
																									//Get the equipment used to analyse
																									$get_analysis_equipment = $objHospital->get_analysis_equipment($test,$hospital_id,$sample_no);
																									if(empty($get_analysis_equipment)){
																										$equipment = 'N/A';
																									}else{
																										$equipment = $get_analysis_equipment;
																									}
																									
																									echo'<tr>
																									  <th colspan="4" style="font-weight:bold; line-height:1.5rem; float:left; border: none;"><span style="color:black;">Test Name: </span><span style="color:black;">'.$test.'</span></th>
																									</tr>
																									<tr style="height:14px;">
																									  <th scope="col" style="color:black; font-weight:bold; line-height:1.5rem; border: none;"><center>Parameter</center></th>
																									  <th scope="col" style="color:black; font-weight:bold; line-height:1.5rem; border: none;"><center>Result</center></th>
																									  <th scope="col" style="color:black; font-weight:bold; line-height:1.5rem; border: none;"><center>Normal Range</center></th>
																									  <th scope="col" style="color:black; font-weight:bold; line-height:1.5rem; border: none;"><center>H/N/L</center></th>
																									</tr>';
																									
																									foreach($get_test_results as $data){
																										$parameter = $data['parameter_name'];
																										$result = $data['result'];
																										$review_comments = $data['review_comments'];
																										$result_reviewed_by = $data['result_reviewed_by'];
																										$review_date = $data['review_date'];
																										$released_by = $data['released_by'];
																										$release_date = $data['release_date'];
																										$get_normal_interval = $objHospital->get_normal_interval($test,$parameter,$hospital_id,$gender,$age);
																										if(empty($get_normal_interval)){
																											$si_units = '';
																											echo'
																											<tr>
																											  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>'.$parameter.' ('.$si_units.'):</center></td>
																											  <td scope="col" style="color:blue; line-height:1.5rem; border: none;"><center>'.$result.'</center></td>
																											  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>_</center></td>
																											  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>_</center></td>
																											</tr>';
																										}else{
																											foreach($get_normal_interval as $interval){
																												$si_units = $interval['si_units'];
																												$normal_lower_limit = $interval['normal_ll'];
																												$normal_upper_limit = $interval['normal_ul'];
																												$critical_ll = $interval['critical_ll'];
																												$critical_ul = $interval['critical_ul'];
																												$gender = $interval['gender'];
																												$lower_age_limit = $interval['lower_age_limit'];
																												$upper_age_limit = $interval['upper_age_limit'];
																												$multiplier = $interval['multiplier'];
																												echo'
																												<tr>
																												  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>'.$parameter.' ('.$si_units.'):</center></td>
																												  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>'.$result.'</center></td>
																												  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>'; 
																												  if(($normal_upper_limit == '0' && $normal_lower_limit == '0') || (empty($normal_upper_limit) && empty($normal_lower_limit))){
																													  echo'';
																												  }else{
																													  echo $normal_lower_limit.' - '.$normal_upper_limit;
																												  }
																												  echo'</center></td>
																												  <td scope="col" style="color:black; line-height:1.5rem; border: none;"><center>'; 
																													if(($normal_upper_limit == '0' && $normal_lower_limit == '0') || (empty($normal_upper_limit) && empty($normal_lower_limit))){
																														echo'';
																													}else{
																														if($result < $normal_lower_limit){
																														echo'<span style="color:red">Low</span>';
																														}elseif($result > $normal_upper_limit){
																															echo'<span style="color:red">High</span>';
																														}else{
																															echo'<span style="color:black">Normal</span>';
																														}
																													}
																												  echo'</center></td>
																												</tr>
																												';
																											}
																										}
																									}

																								}
																							}
																						}
																						//Reviewed details
																							$get_reviewer_details = $objHospital->get_reviewer_details($sample_no,$hospital_id);
																							if(empty($get_reviewer_details)){
																								$reviewer = '_';
																								$date_reviewed = '_';
																							}else{
																								foreach($get_reviewer_details as $details){
																									$reviewer = $details['first_name'].' '.$details['last_name'];
																									if(date('d-M-Y',strtotime($details['review_date'])) == '01-Jan-1970'){
																										$date_reviewed = '_';
																									}else{
																										$date_reviewed = date('d-M-Y',strtotime($details['review_date']));
																									}
																								}
																							}
																							
																							//Released details
																							$get_releaser_details = $objHospital->get_releaser_details($sample_no,$hospital_id);
																							if(empty($get_releaser_details)){
																								$releaser = '_';
																								$date_released = '_';
																							}else{
																								foreach($get_releaser_details as $data){
																									$releaser = $data['first_name'].' '.$data['last_name'];
																									if(date('d-M-Y',strtotime($data['release_date'])) == '01-Jan-1970'){
																										$date_reviewed = '_';
																									}else{
																										$date_released = date('d-M-Y',strtotime($data['release_date']));
																									}
																								}
																							}
																							echo'<tr style="background-color:#E5E4E2;">
																								  <td colspan="2" style="text-align:left; border: none;"><span style="color:black; line-height:1.5rem;"><b>Released By: </b></span><span style="color:blue;">'.$releaser.'</span></td>
																								  <td colspan="2" style="text-align:left; border: none;"><span style="color:black; line-height:1.5rem;"><b>Date: </b></span><span style="color:black;">'.date('d-M-Y',strtotime($release_date)).'</span></td>
																							  </tr>';
																					}
																				}
																		  
																		  echo'</tbody>
																		  </table>
																		  </div>
																		  <div class="tab-pane fade" id="v-pills-settings" role="tabpanel" aria-labelledby="v-pills-settings-tab">
																		  <table class="table table-borderless">
																				<tbody>
																				';
																				echo'<tr style="height:1px; border:solid 2px;"></tr>
																				<tr style="border-radius:5px; width:100%; background-color:#343957;">
																				  <th colspan="4"><center><h4 style="color:white; line-height:2rem; "><b>Treatment:</b></h4></center></th>
																				</tr>';
																		  //First get all patient visits
																		   $get_visits = $objHospital->get_visits_by_patient_id($patient_id,$user_id);
																		   $doctors_name = '';
																		   $date_prescribed  = '';
																		   if(empty($get_visits)){
																			   //Do nothing
																			    $doctors_name = '';
																		        $date_prescribed  = '';
																		   }else{
																			   foreach($get_visits as $visit){
																				   $visit_id = $visit['visit_id'];
																				   
																				   $get_patient_prescriptions = $objHospital->get_prescription_by_visit_id($patient_id, $hospital_id,$visit_id);

																					if(empty($get_patient_prescriptions)){
																						/*echo'<tr >
																						  <th colspan="4" style="color:red; line-height:1.5rem;"><center><b>There are no prescriptions made for this patient yet</b></center></th>
																						</tr>';*/
																					}else{
																						$get_diagnosis = $objHospital->get_diagnosis_by_patient_and_visit_id($patient_id,$visit_id, $hospital_id);
																						if(empty($get_diagnosis)){
																							//Do nothing
																						}else{
																							$count = 0; 
																							foreach($get_diagnosis as $diagnosis){
																								$diagnosis_name = $diagnosis['diagnosis'];
																								$diagnosis_id = $diagnosis['diagnosis_id'];
																								if(empty($diagnosis_name)){
																									//Do nothing
																								}else{
																									
																									$diagnosis_name = explode(',',$diagnosis['diagnosis']);
																									echo'<tr>';
																									
																									$count++;
																									if($count == 1){
																										echo'<th colspan="4"style="line-height:1.5rem; border: none;"><b>Dx: </th><tr>';
																									}
																									echo'<tr><th colspan="4"></b><span style="color:black;">';
																									foreach($diagnosis_name as $key=> $value){
																											$diag = str_replace(","," ",$value);
																										echo $diag.'<br/>';
																									}
																									echo'</span></th>';
																									echo'</tr>';
																								}
																							}
																							
																						} 
																						echo'<tr><th style="border: none;"><b>Tx: </b></th></tr>';
																						$serial_no = 0;
																						foreach($get_patient_prescriptions as $prescription){
																							$product_name = $prescription['product_name'];
																							$product_id = $prescription['product_id'];
																							$product_strength = $prescription['product_strength'];
																							$frequency = $prescription['frequency'];
																							$period = $prescription['period'];
																							$timeline = $prescription['timeline'];
																							$sold_as = $prescription['sold_as'];
																							$dosage_route = $prescription['dosage_route'];
																							$quantity_prescribed = $prescription['total_quantity'];
																							$quantity_dispensed = $prescription['amount_dispensed'];
																							$date_prescribed = $prescription['date_prescribed'];
																							$prescriber = $prescription['prescriber'];
																							$dosage = $prescription['dosage'];
																							
																							//Get prescriber's name
																							$get_doctors_details = $objHospital->get_staff_details($prescriber,$user_id);
																							foreach($get_doctors_details as $doctor){
																								$first_name = $doctor['first_name'];
																								$last_name = $doctor['last_name'];
																							}
																							$doctors_name = $first_name.' '.$last_name;
																							
																							//Get Product Details
																							$get_product_2 = $objHospital->get_product_by_product_id($product_id,$hospital_id);
																							foreach($get_product_2 as $product){
																								$dosage_unit = $product['dosage_unit'];
																								$route = $product['route'];
																							}
																							//Get SI Units
																							$get_product_units = $objHospital->get_product_units_by_id($dosage_unit,$user_id);
																							if(empty($get_product_units)){
																								$unit_symbol = '';
																							}else{
																								foreach($get_product_units as $product){
																									$unit_symbol = $product['unit_symbol'];
																								}
																							}
																							
																							$serial_no += 1;
																							
																							//Timeline
																							if($timeline = 'Days'){
																								$time = '/7';
																							}elseif($timeline = 'Weeks'){
																								$time = '/52';
																							}elseif($timeline = 'Months'){
																								$time = '/12';
																							}
																							
																							//Frequency
																					//if($frequency == 'Hourly (qh)'){
																						//$freq = 'qh';
																					//}elseif($frequency == 'Every 4 hours (Q4h)'){
																						//$freq = 'Q4h';
																					//}elseif($frequency == 'Every 4 to 8 hours (Q4-8h)'){
																						//$freq = 'Q4-8h';
																					if($frequency == 'Once a Day (qd)'){
																						$freq = 'qd';
																					}elseif($frequency == 'Twice a Day (BID)'){
																						$freq = 'BID';
																					}elseif($frequency == 'Three times a day (TID)'){
																						$freq = 'TID';
																					}elseif($frequency == 'Four times a day (QID)'){
																						$freq = 'QID';
																					//}elseif($frequency == 'At bed time (QHS)'){
																						//$freq = 'QHS';
																					}elseif($frequency == 'Every week (QWK)'){
																						$freq = 'QWK';
																					}
																							
																							if(($sold_as == 'Tablet' && $route=='PO (by mouth)') || ($sold_as == 'Packet' && $route=='PO (by mouth)') || ($sold_as == 'Tablet' && $route=='PO (by mouth)')){
																								$sold_as = 'Tabs';
																							}elseif(($sold_as == 'Capsule' && $route=='PO (by mouth)') || ($sold_as == 'Capsule' && $route=='PO (by mouth)')){
																								$sold_as = 'Caps';
																							}elseif(($sold_as == 'Vial' && $route=='IM (intramuscular)') || ($sold_as == 'Vial' && $route=='IM (intramuscular)')){
																								$sold_as = 'Inj';
																							}elseif(($sold_as == 'Vial' && $route=='IV (intravenous)') || ($sold_as == 'Vial' && $route=='IV (intravenous)')){
																								$sold_as = 'IV';
																							}else{
																								$sold_as = '';
																							}
																							echo'
																							<tr>
																								<td colspan="4" style="text-align:left;"><span style="color:black; line-height:1.5rem;">'.$serial_no.') '.$sold_as.' '.$product_name.' '.$dosage.''.$unit_symbol.', '.$freq.' x '.$period.''.$time.'</span></td>
																							</tr>';
																							
																							//Get items prescribed that are not in stock
																							$get_other_patient_prescriptions = $objHospital->get_other_prescription_by_patient_and_visit_id($patient_id, $visit_id, $hospital_id);
																							if(empty($get_other_patient_prescriptions)){
																								//Do nothing
																							}else{
																								foreach($get_other_patient_prescriptions as $prescription){
																									$other_product_name = $prescription['product_name'];
																									$unit_strength = $prescription['unit_strength'];
																									$frequency = $prescription['frequency'];
																									$period = $prescription['period'];
																									$timeline = $prescription['timeline'];
																									$route = $prescription['route'];
																									
																									$serial_no += 1;
																									
																									//Timeline
																									if($timeline = 'Days'){
																										$time = '/7';
																									}elseif($timeline = 'Weeks'){
																										$time = '/52';
																									}elseif($timeline = 'Months'){
																										$time = '/12';
																									}
																									
																									//Frequency
																					//if($frequency == 'Hourly (qh)'){
																						//$freq = 'qh';
																					//}elseif($frequency == 'Every 4 hours (Q4h)'){
																						//$freq = 'Q4h';
																					//}elseif($frequency == 'Every 4 to 8 hours (Q4-8h)'){
																						//$freq = 'Q4-8h';
																					if($frequency == 'Once a Day (qd)'){
																						$freq = 'qd';
																					}elseif($frequency == 'Twice a Day (BID)'){
																						$freq = 'BID';
																					}elseif($frequency == 'Three times a day (TID)'){
																						$freq = 'TID';
																					}elseif($frequency == 'Four times a day (QID)'){
																						$freq = 'QID';
																					//}elseif($frequency == 'At bed time (QHS)'){
																						//$freq = 'QHS';
																					}elseif($frequency == 'Every week (QWK)'){
																						$freq = 'QWK';
																					}
																									//If other prescriptions is not there
																									if(empty($other_product_name)){
																										//Do Nothing
																									}else{
																										echo'<tr>
																											<td colspan="4" style="text-align:left;"><span style="color:black; line-height:1.5rem;">'.$serial_no.') '.$other_product_name.' '.$unit_strength.', '.strtok($route, " ").', '.$freq.' x '.$period.''.$time.'</span><sup style="color:red;"><b>**</b></sup></td>
																										</tr>';
																									}
																									
																									if(empty($prescription['special_instructions'])){
																										//Do Nothing
																									}else{
																										$special_instructions = $prescription['special_instructions'];
																										echo'<tr>
																											<td colspan="4" style="text-align:left;"><span style="color:black; line-height:1.5rem;"><b><u>Instructions: </u></b>'.$special_instructions.'</span></td>
																										</tr>';
																									}
																								}
																							}
																						}
																					}
																				if(empty($doctors_name)){
																					//Do nothing
																				}else{
																					echo'<tr>
																					<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Prescribed by: </b><span style="color:black;">'.$doctors_name.'</span></th>
																					<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Date: </b><span style="color:black;">'.date('d-m-Y',strtotime($date_prescribed)).'</span></th>
																				</tr>';
																				}
																			   }
																		   }
																		  echo'</tbody>
																		  </table>
																		  </div>
																		  <div class="tab-pane fade" id="v-pills-services" role="tabpanel" aria-labelledby="v-pills-services-tab">
																		  <table class="table table-borderless">
																				<tbody>';
																		  $get_services = $objHospital->get_clinical_services($patient_id,$hospital_id,$visit_id);
																			if(empty($get_services)){
																				echo'<tr >
																				  <th colspan="4" style="color:red; line-height:0.7rem;"><center><b>There are no clinical services provided to this patient yet</b></center></th>
																				</tr>';
																			}else{
																				echo'<tr style="height:1px; border:solid 2px;"></tr>
																				<tr style="border-radius:5px; width:100%; background-color:#343957;">
																				  <th colspan="4"><center><h4 style="color:white; line-height:2rem; "><b>Clinical Services Report:</b></h4></center></th>
																				</tr>';
																				
																				foreach($get_services as $service){
																					$service_name = $service['service_name'];
																					$report = $service['report'];
																					$date = $service['added_date'];
																					$added_by = $service['added_by'];
																					
																					$get_doctors_details = $objHospital->get_staff_details($added_by,$user_id);
																					foreach($get_doctors_details as $doctor){
																						$first_name = $doctor['first_name'];
																						$last_name = $doctor['last_name'];
																						$doctors_name = $first_name.' '.$last_name;
																					}
																					
																					echo'
																					<tr>
																						<th colspan="4" style="line-height:1.5rem; border: none;"><b>Service Provided: </b><span style="color:black;"><b>'.$service_name.'</b></span></th>
																					</tr>
																					<tr>
																						<th colspan="4" style="line-height:1.5rem; border: none;"><b>Report: </b><span style="color:black;">'.$report.'</span></th>
																					</tr>
																					<tr>
																						<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Offered by: </b><span style="color:black;">'.$doctors_name.'</span></th>
																						<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Date: </b><span style="color:black;">'.date('d-m-Y',strtotime($date)).'</span></th>
																					</tr>';
																				}
																			}
																		  echo'</tbody>
																		  </table>
																		  </div>
																		  <div class="tab-pane fade" id="v-pills-radiology" role="tabpanel" aria-labelledby="v-pills-radiology-tab">
																		  <table class="table table-borderless">
																				<tbody>';
																		  $get_reports = $objHospital->get_all_imaging_reports($patient_id,$hospital_id);
																		if(empty($get_reports)){
																			echo'<tr >
																				  <th colspan="4" style="color:red; line-height:0.7rem;"><center><b>There are no Imaging services provided to this patient yet</b></center></th>
																				</tr>';
																		}else{
																			foreach($get_reports as $report){
																				$report_date = $report['added_date'];
																				$radiologist = $report['added_by'];
																				$service_name = $report['imaging_name'];
																				$requester = $report['added_by'];
																				$impression = $report['impression'];
																				
																				//var_dump($get_reports);
																				if(empty($report['file_path'])){
																					$file_path = '';	
																				}else{
																					$file_path = $report['file_path'];	
																				}
																				
																				if(empty($report['file_name'])){
																					$file_name = '';	
																				}else{
																					$file_name = $report['file_name'];	
																				}
																				
																				if(empty($report['file_type'])){
																					$file_type = '';	
																				}else{
																					$file_type = $report['file_type'];	
																				}
																				
																				$report = $report['finding'];
																				
																				echo'<tr style="height:1px; border:solid 2px;"></tr>
																				<tr style="border-radius:5px; width:100%; background-color:#343957;">
																				  <th colspan="4"><center><h4 style="color:white; line-height:0.7rem; "><b>'.$service_name.' Report - '.date('d-m-Y',strtotime($report_date)).'</b></h4></center></th>
																				</tr>';
																				
																				$get_doctors_details = $objHospital->get_staff_details($radiologist,$user_id);
																				foreach($get_doctors_details as $doctor){
																					$first_name = $doctor['first_name'];
																					$last_name = $doctor['last_name'];
																					$doctors_name = $first_name.' '.$last_name;
																				}
																				
																				echo'
																				<tr>
																					<td style="line-height:0.7rem; border: none; width:10rem;"><span style="color:black;"><b>Finding: </b></span></td>
																					<td colspan="3" style="line-height:0.7rem; text-align:left; border: none; color:black;"><span style="color:black;">'.$report.'</span></td>
																				</tr>
																				<tr>
																					<td style="line-height:0.7rem; border: none; width:10rem;"><span style="color:black;"><b>Impression: </b></span></td>
																					<th colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$impression.'</span></th>
																				</tr>';
																				
																				if($file_type == 'pdf' || $file_type == 'PDF'){
																					echo '<tr style="height:14px;">
																					<td colspan="4" style="text-align:left"><iframe src="'.$file_path.'" style="width:65rem; height:34rem; overflow-y:auto;"></iframe></td></tr>';
																				}else{
																					echo '<tr style="height:14px;">
																					<td colspan="4" style="text-align:left"><img src="'.$file_path.'" style="width:65rem; height:34rem; overflow-y:auto;"></td></tr>';
																				}
																				
																				echo'<tr>
																					<th colspan="4" style="line-height:1rem; background-color:#E5E4E2; border: none;"><b>Offered by: </b><span style="color:black;">'.$doctors_name.'</span></th>
																				</tr>';
																			}
																		}
																		  echo'</tbody>
																		  </table>
																		  </div>
																		  <div class="tab-pane fade" id="v-pills-surgical" role="tabpanel" aria-labelledby="v-pills-surgical-tab">
																		  <table class="table table-borderless">
																				<tbody>';
																		  $get_surgeries = $objHospital->get_surgical_report_by_visit_id($patient_id,$visit_id,$user_id);
																			if(empty($get_surgeries)){
																				echo'<tr >
																				  <th colspan="4" style="color:red; line-height:0.7rem;"><center><b>There are no Surgical services provided to this patient yet</b></center></th>
																				</tr>';
																			}else{
																				echo'<tr style="height:1px; border:solid 2px;"></tr>
																				<tr style="border-radius:5px; width:100%; background-color:#343957;">
																				  <th colspan="4"><center><h4 style="color:white; line-height:2rem; "><b>Surgical Services Report:</b></h4></center></th>
																				</tr>';
																				
																				foreach($get_surgeries as $service){
																					$procedure_name = $service['procedure_name'];
																					$report = $service['report'];
																					$date = $service['procedure_date'];
																					$time_patient_in_theatre = $service['time_patient_in_theatre'];
																					$anaesthesia_start_time = $service['anaesthesia_start_time'];
																					$anaesthesia_ready_time = $service['anaesthesia_ready_time'];
																					$position_ready_time = $service['position_ready_time'];
																					$surgery_start_time = $service['surgery_start_time'];
																					$surgery_end_time = $service['surgery_end_time'];
																					$time_out_of_theatre = $service['time_out_of_theatre'];
																					$confirm_surgeon_id = $service['confirm_surgeon_id'];
																					$recovery_arrival_time = $service['recovery_arrival_time'];
																					$sent_to_ward_time = $service['sent_to_ward_time'];
																					
																					$get_doctors_details = $objHospital->get_staff_details($confirm_surgeon_id,$user_id);
																					foreach($get_doctors_details as $doctor){
																						$first_name = $doctor['first_name'];
																						$last_name = $doctor['last_name'];
																						$doctors_name = $first_name.' '.$last_name;
																					}
																					
																					echo'
																					<tr>
																						<th colspan="4" style="line-height:1.5rem; border: none;"><b>Service Provided: </b><span style="color:black;"><b>'.$procedure_name.' - '.date('d-m-Y',strtotime($date)).'</b></span></th>
																					</tr>
																					<tr>
																						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Arrival time in theatre: </b><span style="color:black;">'.date('H:i:s',strtotime($time_patient_in_theatre)).'</span></th>
																						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Anaesthesia started at: </b><span style="color:black;">'.date('H:i:s',strtotime($anaesthesia_start_time)).'</span></th>
																					</tr>
																					<tr>
																						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Anaesthesia ready at: </b><span style="color:black;">'.date('H:i:s',strtotime($anaesthesia_ready_time)).'</span></th>
																						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Position ready at: </b><span style="color:black;">'.date('H:i:s',strtotime($position_ready_time)).'</span></th>
																					</tr>
																					<tr>
																						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Surgery started at: </b><span style="color:black;">'.date('H:i:s',strtotime($surgery_start_time)).'</span></th>
																						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Surgery ended at: </b><span style="color:black;">'.date('H:i:s',strtotime($surgery_end_time)).'</span></th>
																					</tr>
																					<tr>
																						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Time out of the Theatre: </b><span style="color:black;">'.date('H:i:s',strtotime($time_out_of_theatre)).'</span></th>
																						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Recovery room arrival time: </b><span style="color:black;">'.date('H:i:s',strtotime($recovery_arrival_time)).'</span></th>
																					</tr>
																					<tr>
																						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Sent back to ward at: </b><span style="color:black;">'.date('H:i:s',strtotime($sent_to_ward_time)).'</span></th>
																						<th colspan="2" style="line-height:1.5rem; border: none;"><b>Surgeon Name: </b><span style="color:black;">'.$doctors_name.'</span></th>
																					</tr>
																					<tr>
																						<th colspan="3" style="line-height:1.5rem; border: none;"><span style="color:black;"><b>Report: </b> '.$report.'</span></th>
																					</tr>
																					<tr>
																						<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Surgery performed by: </b><span style="color:black;">'.$doctors_name.'</span></th>
																						<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Date: </b><span style="color:black;">'.date('d-m-Y',strtotime($date)).'</span></th>
																					</tr>';
																				}
																			}
																		  echo'</tbody>
																		  </table>
																		  </div>
																		  
																		  <div class="tab-pane fade" id="v-pills-review" role="tabpanel" aria-labelledby="v-pills-review-tab">
																		  <table class="table table-borderless">
																				<tbody>';
																		  $get_all_nurse_reviews = $objHospital->get_all_nurse_reviews($patient_id,$user_id);
																			if(empty($get_all_nurse_reviews)){
																				echo'<tr >
																				  <th colspan="4" style="color:red; line-height:0.7rem;"><center><b>There are no nurse reviews made for this patient yet</b></center></th>
																				</tr>';
																			}else{
																				echo'<tr style="height:1px; border:solid 2px;"></tr>
																				<tr style="border-radius:5px; width:100%; background-color:#343957;">
																				  <th colspan="4"><center><h4 style="color:white; line-height:2rem; "><b>Nurses Patient Review Report:</b></h4></center></th>
																				</tr>';
																				
																				foreach($get_all_nurse_reviews as $service){
																					$nurse_review_id  = $service['nurse_review_id'];
																					$hospital_id = $service['hospital_id'];
																					$patient_id = $service['patient_id'];
																					$visit_id = $service['visit_id'];
																					$visit_date = $service['visit_date'];
																					$comments = $service['comments'];
																					$added_by = $service['added_by'];
																					$added_date = $service['added_date'];
																					
																					$get_doctors_details = $objHospital->get_staff_details($added_by,$user_id);
																					foreach($get_doctors_details as $doctor){
																						$first_name = $doctor['first_name'];
																						$last_name = $doctor['last_name'];
																						$doctors_name = $first_name.' '.$last_name;
																					}
																					
																					echo'
																					
																					<tr>
																						<th colspan="3" style="line-height:1.5rem; border: none;"><span style="color:black;"><b>Report: </b> '.$comments.'</span></th>
																					</tr>
																					<tr>
																						<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Review performed by: </b><span style="color:blue;">'.$doctors_name.'</span></th>
																						<th colspan="2" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Date: </b><span style="color:blue;">'.date('d-m-Y',strtotime($added_date)).'</span></th>
																					</tr>';
																				}
																			}
																		  echo'</tbody>
																		  </table>
																		  </div>
																		</div>
																	  </div>
																	</div>';
																	?>							
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_case_history" role="dialog" tabindex="-1" aria-labelledby="modalLabel" aria-hidden="true">
														  <div class="modal-dialog modal-lg">
															<div class="modal-content" style="width:48rem; height:45rem; margin-top:-30px;">
															<form method="post" enctype="multipart/form-data" id="save_case_form">
																<!---div class="modal-header">
																	<h5 class="modal-title" id="modalLabel">Add Case History for: <span style="color:blue;"><?php //echo $first_name.' '.$last_name; ?></span></h5>
																	<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																		<span aria-hidden="true">×</span>
																	</button>
																</div--->
																<div class="modal-body">
																	<div class="img-container">
																		<div class="card" style="width:45rem; height:38rem; overflow:auto;">
																			<div class="row">
																				<div class="col-md-12">
																					<?php
																					echo'<table class="table table-borderless">
																						<tbody>';
																							
																							$get_case_history = $objHospital->get_all_cases_by_patient_id($patient_id,$user_id);
																							if(empty($get_case_history)){
																								echo'<tr >
																								  <th colspan="4" style="color:Red; line-height:0.7rem;"><center><b>There are no cases for this patient yet</b></center></th>
																								</tr>';
																							}else{
																								
																								foreach($get_case_history as $history){
																									$case_id = $history['case_id'];
																									$patient_id = $history['patient_id'];
																									$hospital_id = $history['hospital_id'];
																									$visit_id = $history['visit_id'];
																									$presenting_complaint = $history['presenting_complaint'];
																									$history_of_presenting_complaint = $history['history_of_presenting_complaint'];
																									$past_medical_history = $history['past_medical_history'];
																									$drug_history = $history['drug_history'];
																									$allergies = $history['allergies'];
																									$family_history = $history['family_history'];
																									$social_history = $history['social_history'];
																									$review_of_systems = $history['review_of_systems'];
																									$on_examination = $history['on_examination'];
																									$diagnosis_name = $history['diagnosis_name'];
																									$staff_id = $history['added_by'];
																									$case_date = $history['date_added'];
																									
																									echo'<tr style="height:1px; border:solid 2px;"></tr>
																									<tr style="border-radius:5px; width:100%; background-color:#343957;">
																									  <th colspan="4"><h5 style="color:white; line-height:0.7rem; "><center><b>'.date('d-m-Y - H:i',strtotime($case_date)).'</b></center></h5></th>
																									</tr>';
																									$count =0;
																									$get_doctors_details = $objHospital->get_staff_details($staff_id,$user_id);
																									//var_dump($get_doctors_details);
																									foreach($get_doctors_details as $doctor){
																										$first_name = $doctor['first_name'];
																										$last_name = $doctor['last_name'];
																										$doctors_name = $first_name.' '.$last_name;
																									}
																									if(empty($presenting_complaint)){
																										//Do nothing
																									}else{
																										$complaints = explode(',',$presenting_complaint);
																										foreach($complaints as $key => $value){
																											$count++;
																											echo'<tr ><td style="line-height:0.7rem; border: none; color:black;"><b>';
																											if($count ==1){
																												echo'PC:';
																											}else{
																												//Do nothing
																											}
																											echo'</b></td>
																											<td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$value.'</span></td>
																											</tr>';
																										}
																									}
																									if(empty($history_of_presenting_complaint)){
																										//Do nothing
																									}else{
																										echo'<tr >
																										  <td style="line-height:0.7rem; border: none; color:black;"><b>HPC:</b></td>
																										  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$history_of_presenting_complaint.'</span></td>
																										</tr>';
																									}
																									if(empty($past_medical_history)){
																										//Do nothing
																									}else{
																										echo'<tr >
																										  <td style="line-height:0.7rem; border: none; color:black;"><b>PMH:</b></td>
																										  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$past_medical_history.'</span></td>
																										</tr>';
																									}
																									if(empty($drug_history)){
																										//Do nothing
																									}else{
																										echo'<tr >
																										  <td style="line-height:0.7rem; border: none; color:black;"><b>Drug History:</b></td>
																										  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$drug_history.'</span></td>
																										</tr>';
																									}
																									if(empty($allergies)){
																										//Do nothing
																									}else{
																										echo'<tr >
																										  <td style="line-height:0.7rem; border: none; color:black;"><b>Allergies:</b></td>
																										  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$allergies.'</span></td>
																										</tr>';
																									}
																									if(empty($family_history)){
																										//Do nothing
																									}else{
																										echo'<tr >
																										  <td style="line-height:0.7rem; border: none; color:black;"><b>Family History:</b></td>
																										  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$family_history.'</span></td>
																										</tr>';
																									}
																									if(empty($social_history)){
																										//Do nothing
																									}else{
																										echo'<tr >
																										  <td style="line-height:0.7rem; border: none; color:black;"><b>Social History:</b></td>
																										  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$social_history.'</span></td>
																										</tr>';
																									}
																									if(empty($review_of_systems)){
																										//Do nothing
																									}else{
																										echo'<tr >
																										  <td style="line-height:0.7rem; border: none; color:black;"><b>Systems Review:</b></td>
																										  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$review_of_systems.'</span></td>
																										</tr>';
																									}
																									if(empty($on_examination)){
																										//Do nothing
																									}else{
																										echo'<tr >
																										  <td style="line-height:0.7rem; border: none; color:black;"><b>O/E:</b></td>
																										  <td colspan="3" style="line-height:0.7rem; text-align:left; border: none;"><span style="color:black;">'.$on_examination.'</span></td>
																										</tr>';
																									}
																									if(empty($diagnosis_name)){
																										//Do nothing
																									}else{
																										echo'<tr >
																										  <td style="line-height:0.7rem; border: none; width:10rem; color:black;"><b>Preliminary Diagnosis:</b></td>
																										  <td colspan="3" style="line-height:0.7rem; border: none; text-align:left;"><span style="color:black;">';
																											$diagnosis = explode(',',$diagnosis_name);
																											foreach($diagnosis as $key => $value){
																												$diag = str_replace(","," ",$value);
																												echo $diag.'<br><br>';
																											}
																										  echo'</span></td>
																										</tr>';
																									}
																									echo '<tr>
																										<th style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><b>Case History taken by: </b></th>
																										<th colspan="3" style="line-height:1.5rem; background-color:#E5E4E2; border: none;"><span style="color:black;">Dr. '.$doctors_name.'</span></th>
																									</tr>';
																									
																								}
																							}
																						echo'</tbody>
																					</table>';
																					?>
																				</div>
																			</div>
																		</div>
																	</div>
																</div>
																<div class="modal-footer">
																	<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
																</div>
															</form>
															</div>
														</div>
														</div>
														
														<div id="admissions" class="tab-pane fade main-pane">
															<div class="card" style="width:70rem;">
															<div class="card-body">
															<div class="table-responsive">
																<table class="table primary-table-bg-hover">
																	<thead>
																		<tr>
																			<th scope="col"><center>Admission<br>Date</center></th>
																			<th scope="col"><center>Admission time</center></th>
																			<th scope="col"><center>Ward No</center></th>
																			<th scope="col"><center>Bed Assigned</center></th>
																			<th scope="col"><center>Discharge <br>Status</center></th>
																			<th scope="col"><center>Action</center></th>
																		</tr>
																	</thead>
																	<tbody id="admitted_patient_body">
																		<!----Admitted patients go here--->
																	</tbody>
																</table>
															</div>							
															</div>
															</div>
														</div>
														
														<div id="discharge" class="tab-pane fade main-pane">
															<div class="card" style="width:70rem;">
															<div class="card-body">
															<div class="table-responsive">
																<table class="table primary-table-bg-hover">
																	<thead>
																		<tr>
																			<th scope="col"><center>Visit Date</center></th>
																			<th scope="col"><center>Vist Time</center></th>
																			<th scope="col"><center>Total Fees</center></th>
																			<th scope="col"><center>Amount Paid</center></th>
																			<th scope="col"><center>Balance</center></th>
																			<th scope="col"><center>Discharge</center></th>
																		</tr>
																	</thead>
																	<tbody>
																	<?php
																	$get_visits = $objHospital->get_visits($patient_id,$user_id);
																	if(empty($get_visits)){
																		echo'<tr><td colspan="5" style="color:red;"><center>There are no visits for this patient yet</center></td></tr>';
																	}else{
																		foreach($get_visits as $visit){
																			$visit_id = $visit['visit_id'];
																			$visit_date = $visit['visit_date'];
																			$assigned_doctor = $visit['assigned_doctor'];
																			$nature_of_visit = $visit['nature_of_visit'];
																			$payment_status = $visit['payment_status'];
																			$hospital_id = $visit['hospital_id'];
																			$discharged = $visit['discharged'];
																			
																			$get_total = $objHospital->get_bill_request_total($patient_id, $hospital_id, $visit_id);
																			$get_total_bill_payment = $objHospital->get_total_bill_payment($patient_id, $hospital_id, $visit_id);
																			$currency_name = $objHospital->get_default_currency($user_id);
																			$bal = $get_total - $get_total_bill_payment;
																			echo'
																			<tr>
																				<td><center>'.date('d-m-Y',strtotime($visit_date)).'</center></td>
																				<td><center>'.date('H:i:s',strtotime($visit_date)).'</center></td>
																				<td><center>'.number_format(floatval($get_total),0,0,',').'</center></td>
																				<td><center>'.number_format(floatval($get_total_bill_payment),0,0,',').'</center></td>
																				<td><center>'; 
																				if(intval($bal) == 0){
																					echo'<span style="color:green;">NIL</span>';
																				}else{
																					echo'<span style="color:red;">'.number_format(floatval($bal),0,0,',').'</span>';
																				}
																				
																				echo'</center></td>
																				<td>';
																				if($discharged == 'yes'){
																					echo'<center><button type="button" class="btn btn-success print_option_btn" data-toggle="modal" data-target="#print_option_modal" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'"><i class="fa fa-print"></i></button>
																					<button type="button" class="btn btn-primary email_discharge_btn" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'"><i class="fa fa-envelope"></i></button>
																					</center>';
																				}else{
																					echo'<center><button type="button" class="btn btn-primary print_option_btn" data-toggle="modal" data-target="#print_option_modal" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'"><i class="fa fa-print"></i></button>
																					<button type="button" class="btn btn-sm btn-success follow_up_patient_btn" data-toggle="modal" data-target="#followup_modal" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-visit-id="'.$visit_id.'" data-visit-date="'.$visit_date.'"><i class="fa fa-hand-paper-o"></i></button>
																					</center>';
																				}
																				echo'</td>
																			</tr>';
																		}
																	}
																	?>
																	</tbody>
																</table>
															</div>							
															</div>
															</div>
														</div>
														
														<div id="requests" class="tab-pane fade main-pane">
															<div class="card" style="width:70rem;">
															<div class="card-body">
															<div class="table-responsive">
																<table class="table primary-table-bg-hover">
																	<thead>
																		<tr>
																			<th scope="col"><center>Request Date</center></th>
																			<th scope="col"><center>Request Name</center></th>
																			<th scope="col"><center>Department</center></th>
																			<th scope="col"><center>Time Requested</center></th>
																			<th scope="col"><center>Requested By</center></th>
																			<th scope="col"><center>Action</center></th>
																		</tr>
																	</thead>
																	<tbody>
																	<?php
																	$get_requests = $objHospital->get_all_requests($patient_id,$user_id);
																	if(empty($get_requests)){
																		echo'<tr><td colspan="5" style="color:red;"><center>There are no requests for this patient yet</center></td></tr>';
																	}else{
																		foreach($get_requests as $request){
																			$request_id = $request['all_requests_id'];
																			$hospital_id = $request['hospital_id'];
																			$patient_id = $request['patient_id'];
																			$department = $request['department'];
																			$request_id = $request['request_id'];
																			$request_name = $request['request_name'];														
																			$request_date = $request['request_date'];
																			$added_by = $request['added_by'];
																			
																			//Get user details
																			$user_details = $objHospital->get_user($added_by);
																			foreach($user_details as $user){
																				$first_name = $user['first_name'];
																				$last_name = $user['last_name'];
																				
																				$name = $first_name.' '.$last_name;
																			}
																			
																			echo'
																			<tr>
																				<td><center>'.date('d-m-Y',strtotime($request_date)).'</center></td>
																				<td><center>'.$request_name.'</center></td>
																				<td><center>'.$department.'</center></td>
																				<td><center>'.date('H:i:s',strtotime($request_date)).'</center></td>
																				<td><center>'.$name.'</center></td>
																				<td>';
																				//Get request completion status
																				$get_request_completion = $objHospital->get_request_completion($request_id,$department,$user_id);
																				if($get_request_completion == 'yes'){
																					echo'<center><span style="color:blue;">Offered</span></center>';
																				}else{
																					echo'<center><button type="button" class="btn btn-sm btn-danger delete_request_btn" data-toggle="modal" data-target="#delete_request" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-request-id="'.$request_id.'" data-request-name="'.$request_name.'" data-department="'.$department.'">Delete</button>
																					</center>';
																				}
																				echo'</td>
																			</tr>';
																		}
																	}
																	?>
																	</tbody>
																</table>
															</div>							
															</div>
															</div>
														</div>
														
														<div id="drug_monitoring" class="tab-pane fade main-pane">
															<div class="card" style="width:70rem;">
															<div class="card-body">
															<div class="col-md-12" style="text-align:right;">
																<a class="btn btn-info" style="color:#ffffff;" data-toggle="collapse" href="#administer" aria-expanded="false" data-new-stock-usr-id="<?php echo $user_id;?>"><i class="fa fa-plus"></i>&nbsp; Administer Medicine</a>
															</div>
															<div class="img-container collapse" id="administer">
																<form method="post" class="form-sample" id="administer_drug_form">
																  <div class="col-md-12">
																	<div class="card">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Name of Drug</center></th>
																					<th scope="col"><center>Date & Time</center></th>
																					<th scope="col"><center>Route</center></th>
																					<th scope="col"><center>Dose</center></th>
																					<th scope="col"><center>Remarks</center></th>
																					<th scope="col"><center>Add Drug</center></th>
																				</tr>
																			</thead>
																			<tbody class="add_drug_body">
																				<?php
																					$get_prescriptions = $objHospital->get_prescription_by_patient_id($patient_id, $hospital_id);
																					if(empty($get_prescriptions)){
																						echo'<option value="none">No prescriptions for this patient yet</option>';
																					}else{
																						foreach($get_prescriptions as $prescription){
																							$prescription_id = $prescription['prescription_id'];
																							$product_id = $prescription['product_id'];
																							$visit_id = $prescription['visit_id'];
																							$visit_date = $prescription['visit_date'];
																							$product_name = $prescription['product_name'];
																							$product_strength = $prescription['product_strength'];
																							$frequency = $prescription['frequency'];
																							$timeline = $prescription['timeline'];
																							$period = $prescription['period'];
																							$date_prescribed = $prescription['date_prescribed'];
																							$quantity = $prescription['quantity'];
																							
																							//Timeline
																							if($timeline = 'Days'){
																								$days = intval($period);
																							}elseif($timeline = 'Weeks'){
																								$days = intval($period)*7;
																							}elseif($timeline = 'Months'){
																								$days = intval($period)*30*12;
																							}
																							
																							//Frequency
																							if($frequency == 'Hourly (qh)'){
																								$freq = 24 * $days;
																								$interval = 1;
																							}elseif($frequency == 'Every 4 hours (Q4h)'){
																								$freq = 4 * $days;
																								$interval = 6;
																							}elseif($frequency == 'Every 4 to 8 hours (Q4-8h)'){
																								$freq = 8 * $days;
																								$interval = 3;
																							}elseif($frequency == 'Once a Day (qd)'){
																								$freq = 1 * $days;
																								$interval = 24;
																							}elseif($frequency == 'Twice a Day (BID)'){
																								$freq = 2 * $days;
																								$interval = 12;
																							}elseif($frequency == 'Three times a day (TID)'){
																								$freq = 3 * $days;
																								$interval = 8;
																							}elseif($frequency == 'Four times a day (QID)'){
																								$freq = 4 * $days;
																								$interval = 6;
																							}elseif($frequency == 'At bed time (QHS)'){
																								$freq = 1 * $days;
																								$interval = 24;
																							}elseif($frequency == 'Every week (QWK)'){
																								$freq = 1 * $days;
																								$interval = 24*7;
																							}
																							
																							$get_product = $objHospital->get_product_by_product_id($product_id,$hospital_id);
																							foreach($get_product as $product){
																								$dosage_route = $product['route'];
																								$dosage_unit = $product['dosage_unit'];
																								
																								//Get SI Units
																								$get_product_units = $objHospital->get_product_units_by_id($dosage_unit,$user_id);
																								if(empty($get_product_units)){
																									$unit_symbol = '';
																								}else{
																									foreach($get_product_units as $product){
																										$unit_symbol = $product['unit_symbol'];
																									}
																								}
																							}
																							
																							$start_time = date('H:i',strtotime($date_prescribed));
																							$intake_times = 0; 
																							for($i=1; $i<=$freq; $i++){
																								$intake_times += 1;
																								$intrval = $interval * $intake_times;
																								$admin_time = date('Y-m-d H:i:s',strtotime('+'.$intrval.' hour',strtotime($date_prescribed)));
																								
																								//CCheck if intake was administered
																								$intake_id = $intake_times.''.$prescription_id;
																								$get_intake_by_intake_no = $objHospital->get_intake_by_intake_no($intake_id,$user_id);
																								if(empty($get_intake_by_intake_no)){
																									echo'<tr>
																										<td><center>'.$product_name.'</center>
																										</td>
																										<td><center>'.$admin_time.'<center></td>
																										<td><center>'.$dosage_route.'<center></td>
																										<td><center>'.$quantity.' '.$unit_symbol.'<center></td><td><center><input name="add_drug_remarks" id="add_drug_remarks" type="text" class="form-control" /><center></td>
																										<td id="'.$intake_times.''.$prescription_id.'"><center><button type="button" data-patient-id="'.$patient_id.'" data-prescription-id="'.$prescription_id.'" data-hospital-id="'.$hospital_id.'" data-intake-times="'.$intake_times.'" class="btn btn-sm btn-success admin_drug_btn">Administer</button></center></td>
																									</tr>';
																								}else{
																									//Do nothing 
																								}
																							}
																						}
																					}
																				?>
																				
																			</tbody>
																			<tfoot>
																				<tr>
																					<td colspan="5">
																						<div class="d-flex justify-content-center">
																						<input type="hidden" name="add_drug_name" id="add_drug_name" value="<?php echo $product_name?>">
																						<input name="add_drug_route" id="add_drug_route" type="hidden" value="<?php echo $dosage_route?>"/>
																						<input name="add_drug_dose" id="add_drug_dose" type="hidden" value="<?php echo $quantity?>"/>
																						<input type="hidden" name="add_drug_user_id" id="add_drug_user_id" value="<?php echo $user_id?>">
																						<input type="hidden" name="add_drug_visit_id" id="add_drug_visit_id" value="<?php echo $visit_id?>">
																						<button type="submit" class="btn btn-lg btn-primary" id="administer_drug_btn"><span style="font-size:16px;">Administer Drug(s)</span></button>
																						</div>
																					</td>
																				</tr>
																			</tfoot>
																		</table>
																	</div>
																  </div>
																</form>
															</div>
															<div class="table-responsive">
																<table class="table primary-table-bg-hover">
																	<thead>
																		<tr>
																			<th scope="col"><center>Date</center></th>
																			<th scope="col"><center>Time</center></th>
																			<th scope="col"><center>Drug Name</center></th>
																			<th scope="col"><center>Route</center></th>
																			<th scope="col"><center>Dose</center></th>
																			<th scope="col"><center>Administered By</center></th>
																			<th scope="col"><center>Remarks</center></th>
																		</tr>
																	</thead>
																	<tbody>
																	<?php
																	$get_administered = $objHospital->get_drug_administered_date($patient_id, $hospital_id);
																	if(empty($get_administered)){
																		echo'<tr><td colspan="7" style="color:red;"><center>There are no drugs administered to this patient yet</center></td></tr>';
																	}else{
																		foreach($get_administered as $administered){
																			$date = $administered['date_administered'];
																			$date_administered = date('d-m-Y',strtotime($date));
																			echo'<tr>
																				<tr><td colspan="7" style="font-size:16px; font-weight:bold; color:white; width:100%; height:2rem; background-color:#343957; border-radius:5px;"><center>'.$date_administered.'</td></tr>
																			</tr>';
																			$get_administered = $objHospital->get_administered_by_administered_date($date,$patient_id,$hospital_id);
																			foreach($get_administered as $administered){
																				$date_administered = $administered['date_administered'];
																				$visit_id = $administered['visit_id'];
																				$prescription_id = $administered['prescription_id'];
																				$product_name = $administered['product_name'];
																				$product_id = $administered['product_id'];
																				$route = $administered['route'];
																				$dose = $administered['dose'];
																				$remarks = $administered['remarks'];
																				$administered_by = $administered['administered_by'];
																				
																				//Get user details
																				$user_details = $objHospital->get_user($administered_by);
																				foreach($user_details as $user){
																					$first_name = $user['first_name'];
																					$last_name = $user['last_name'];
																					
																					$name = $first_name.' '.$last_name;
																				}
																				
																				$get_product = $objHospital->get_product_by_product_id($product_id,$hospital_id);
																				foreach($get_product as $product){
																					$dosage_route = $product['route'];
																					$dosage_unit = $product['dosage_unit'];
																					
																					//Get SI Units
																					$get_product_units = $objHospital->get_product_units_by_id($dosage_unit,$user_id);
																					if(empty($get_product_units)){
																						$unit_symbol = '';
																					}else{
																						foreach($get_product_units as $product){
																							$unit_symbol = $product['unit_symbol'];
																						}
																					}
																				}
																				
																				echo'
																				<tr>
																					<td><center>'.date('d-m-Y',strtotime($date_administered)).'</center></td>
																					<td><center>'.date('H:i',strtotime($date_administered)).'</center></td>
																					<td><center>'.$product_name.'</center></td>
																					<td><center>'.$dosage_route.'</center></td>
																					<td><center>'.$dose.' '.$unit_symbol.'</center></td>
																					<td><center>'.$name.'</center></td>
																					<td><center>'.$remarks.'</center></td>
																				</tr>';
																			}
																		}
																	}
																	?>
																	</tbody>
																</table>
															</div>							
															</div>
															</div>
														</div>
														
														<!---Add lab tests modal--->
														<div class="modal fade" id="add_tests_modal" role="dialog" tabindex="-1" aria-labelledby="modalLabel" aria-hidden="true">
															<div class="modal-dialog">
																<div class="modal-content" style="height:35rem;">
																	<div class="modal-header">
																		<h4 class="modal-title"><strong>Make Laboratory Request</strong></h4>
																	</div>
																	<div class="modal-body">
																		<form method="post" id="make_lab_request">
																			<div class="form-group col-md-12">
																				<label><span style="color:black;"><b>Check Required Test(s)</b></span><span style="color:red;">*</span></label>
																				<div class="row d-flex justify-content-between">
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="hiv" value="HIV (HCT)">
																						<label class="form-check-label" for="hiv">HIV (HCT)</label>
																					</div>
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="bs" value="B/S (malaria)"	>
																						<label class="form-check-label" for="bs">B/S (Malaria)</label>
																					</div>
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="urinalysis" value="Urinalysis">
																						<label class="form-check-label" for="urinalysis">Urinalysis</label>
																					</div>
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="cbc" value="CBC">
																						<label class="form-check-label" for="cbc">CBC</label>
																					</div>
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="mrdt" value="MRDT (malaria rapid test)">
																						<label class="form-check-label" for="mrdt">MRDT</label>
																					</div>
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="brucella" value="Brucella"	>
																						<label class="form-check-label" for="brucella">Brucella</label>
																					</div>
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="grouping" value="Blood Grouping / Typing">
																						<label class="form-check-label" for="grouping">Blood Grouping</label>
																					</div>
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="rbs" value="RBS (Random blood sugars)"	>
																						<label class="form-check-label" for="rbs">RBS</label>
																					</div>
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="stool" value="Stool Analysis">
																						<label class="form-check-label" for="stool">Stool Analysis</label>
																					</div>
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="lft" value="LFT">
																						<label class="form-check-label" for="lft">LFT</label>
																					</div>
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="rft" value="RFT"	>
																						<label class="form-check-label" for="rft">RFT</label>
																					</div>
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="lipid" value="LIPID PROFILE">
																						<label class="form-check-label" for="lipid">Lipid Profile</label>
																					</div>
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="gram" value="Gram Stain">
																						<label class="form-check-label" for="gram">Gram Stain</label>
																					</div>
																					<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																						<input type="checkbox" class="form-check-input test_requested" id="widal" value="WIDAL TEST">
																						<label class="form-check-label" for="widal">Widal</label>
																					</div>
																				</div>
																				<div class="form-group col-md-12">
																					<label><span style="color:black;"><b>Select Other Tests</b></span><span style="color:red;">*</span></label>
																					<select class="js-example-disabled-multi selected_test" name="tests_requested[]" multiple="multiple" style="width:100%;">
																						<?php
																						$get_tests = $objHospital->get_tests($user_id);
																						if(empty($get_tests)){
																							echo'<option>There are no Tests added yet</option>';
																						}else{
																							foreach($get_tests as $tests){
																								$test_name = $tests['test_name'];
																								echo'<option>'.$test_name.'</option>';
																							}
																						}
																						
																						?>
																					</select>
																				</div>
																			</div>
																			<div class="form-row" style="margin-top:-50px;">																
																				<div class="form-group col-md-6">
																					<label><span style="color:black;"><b>Urgency</b></span><span style="color:red;">*</span></label>
																					<select class="form-control" type="text" name="urgency">
																						<option value="normal">Normal</option>
																						<option value="urgent">Urgent</option>
																					</select>
																				</div>
																				<div class="form-group col-md-6">
																					<label><span style="color:black;"><b>Visit</b></span><span style="color:red;">*</span></label>
																					<select class="form-control" type="text" name="request_visit_id">
																						<?php
																						$get_visit = $objHospital->get_active_visits($patient_id,$user_id);
																						if(empty($get_visit)){
																							echo'<option>There are no visits recorded yet</option>';
																						}else{
																							foreach($get_visit as $visit){
																								$request_visit_id = $visit['visit_id'];
																								$request_visit_date = $visit['visit_date'];
																								$request_hospital_id = $visit['hospital_id'];
																								echo'<option value="'.$request_visit_id.'">'.date('m-d-Y',strtotime($request_visit_date)).'</option>';
																							}
																						}
																						
																						?>
																					</select>
																				</div>
																			</div>
																			<div class="modal-footer">
																				<input type="hidden" name="request_added_by" value="<?php echo $user_id; ?>">
																				<input type="hidden" name="request_patientid" value="<?php echo $patient_id; ?>">
																				<input type="hidden" name="request_visit_date" value="<?php echo $request_visit_date; ?>">
																				<input type="hidden" name="request_hospital_id" value="<?php echo $request_hospital_id; ?>">
																				<input type="hidden" name="tests_requested[]" class="selected_test" id="checked_tests">
																				<button type="submit" id="save_request" class="btn btn-primary">Send to Lab</button>
																			</div>
																		</form>
																	</div>
																</div>
															</div>
														</div>
														
														<!---Add imaging modal--->
														<div class="modal fade" id="add_imaging_modal" role="dialog" tabindex="-1" aria-labelledby="modalLabel" aria-hidden="true">
															<div class="modal-dialog">
																<div class="modal-content">
																	<div class="modal-header">
																		<h4 class="modal-title"><strong>Make Radiology Request</strong></h4>
																	</div>
																	<div class="modal-body">
																		<form method="post" id="make_imaging_request">
																			<div class="form-row">
																				<div class="form-group col-md-12">
																					<label><span style="color:black;">Select Test</span><span style="color:red;">*</span></label>
																					<select class="js-example-disabled-multi" name="imaging_requested[]" multiple="multiple" style="width:100%;" required>
																						<?php
																						$get_imaging = $objHospital->get_imaging($user_id);
																						if(empty($get_imaging)){
																							echo'<option>There are no Tests added yet</option>';
																						}else{
																							foreach($get_imaging as $image){
																								$request_id = $image['imaging_id'];
																								$request_name = $image['imaging_name'];
																								echo'<option value="'.$request_id.'">'.$request_name.'</option>';
																							}
																						}
																						
																						?>
																					</select>
																				</div>
																			</div>
																			<div class="form-row">
																				<div class="form-group col-md-12">
																					<label><span style="color:black;">Anatomic Site(s)</span></label>
																					<input class="form-control" type="text" name="imaging_site" placeholder="E.g Chest, Brain tissue, Clavicle bone.....etc">
																				</div>
																			</div>
																			<div class="form-row">																
																				<div class="form-group col-md-6">
																					<label><span style="color:black;">Urgency</span><span style="color:red;">*</span></label>
																					<select class="form-control" type="text" name="imaging_urgency">
																						<option value="normal">Normal</option>
																						<option value="urgent">Urgent</option>
																					</select>
																				</div>
																				<div class="form-group col-md-6">
																					<label><span style="color:black;">Visit</span><span style="color:red;">*</span></label>
																					<select class="form-control" type="text" name="imaging_visit_id">
																						<?php
																						$get_visit = $objHospital->get_active_visits($patient_id,$user_id);
																						if(empty($get_visit)){
																							echo'<option>There are no visits recorded yet</option>';
																						}else{
																							foreach($get_visit as $visit){
																								$request_visit_id = $visit['visit_id'];
																								$request_visit_date = $visit['visit_date'];
																								$request_hospital_id = $visit['hospital_id'];
																								echo'<option value="'.$request_visit_id.'">'.date('m-d-Y',strtotime($request_visit_date)).'</option>';
																							}
																						}
																						
																						?>
																					</select>
																				</div>
																			</div>
																			<div class="modal-footer">
																				<input type="hidden" name="imaging_added_by" value="<?php echo $user_id; ?>">
																				<input type="hidden" name="imaging_patient_id" value="<?php echo $patient_id; ?>">
																				<input type="hidden" name="imaging_visit_date" value="<?php echo $request_visit_date; ?>">
																				<input type="hidden" name="imaging_hospital_id" value="<?php echo $request_hospital_id; ?>">
																				<button type="submit" id="save_imaging_request" class="btn btn-primary">Make Request</button>
																			</div>
																		</form>
																	</div>
																</div>
															</div>
														</div>
														
														<!---Add lab tests modal--->
														<div class="modal fade bd-example-modal-lg" id="offer_service_modal" role="dialog" tabindex="-1" aria-labelledby="modalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h4 class="modal-title"><strong>Add a Service</strong></h4>
																	</div>
																	<div class="modal-body">
																		<form method="post" id="offer_service_form">
																		<div class="form-row">
																			<!--<div class="form-group col-md-6">
																				<label><span style="color:black;">Select Department</span><span style="color:red;">*</span></label>
																				<select class="form-control" id="select_department" name="service_department" required>
																					<?php
																					/*$get_department = $objHospital->get_departments($user_id);
																					if(empty($get_department)){
																						echo'<option>There are no services added yet</option>';
																					}else{ 
																						foreach($get_department as $department){
																							$department_name = $department['department_name'];
																							if($department_name == 'Laboratory' && $department_name == 'Pharmacy' && $department_name == 'Radiology' && $department_name == 'Surgical' && $department_name == 'Sanitation'){
																								//Do nothing
																							}else{
																								echo'<option>'.$department_name.'</option>';
																							}
																						}
																					}*/
																					
																					?>
																				</select>
																			</div>-->
																			<div class="form-group col-md-12">
																				<label><span style="color:black;">Choose Services</span><span style="color:red;">*</span></label>
																				<select class="form-control" id="select_service" name="service_choice" required>
																					<?php
																					$get_services = $objHospital->get_all_services($user_id);
																					if(empty($get_services)){
																						echo'<option>There are no services added yet</option>';
																					}else{
																						echo'<option>Click here to select service</option>';
																						foreach($get_services as $service){
																							$service_id = $service['service_id'];
																							$service_name = $service['service_name'];
																							echo'<option value="'.$service_id.'">'.$service_name.'</option>';
																						}
																					}
																					?>
																				</select>
																			</div>
																		</div>
																			<!--<div class="form-row">																
																				<div class="form-group col-md-12">
																					<label><span style="color:black;">Service Report</span><span style="color:red;">*</span></label>
																					<textarea type="text" rows="3" name="service_report" class="form-control" style="height:100%;"></textarea>
																				</div>
																			</div>-->
																			<div class="form-row">																
																				<div class="form-group col-md-6">
																					<label><span style="color:black;">Select Visit</span><span style="color:red;">*</span></label>
																					<select class="form-control" type="text" name="service_visit_id">
																						<?php
																						$get_visit = $objHospital->get_active_visits($patient_id,$user_id);
																						if(empty($get_visit)){
																							echo'<option>There are no visits recorded yet</option>';
																						}else{
																							foreach($get_visit as $visit){
																								$service_visit_id = $visit['visit_id'];
																								$service_visit_date = $visit['visit_date'];
																								$service_hospital_id = $visit['hospital_id'];
																								echo'<option value="'.$service_visit_id.'">'.date('m-d-Y',strtotime($service_visit_date)).'</option>';
																							}
																						}
																						
																						?>
																					</select>
																				</div>
																			</div>
																			<div class="modal-footer">
																				<input type="hidden" name="service_added_by" value="<?php echo $user_id; ?>">
																				<input type="hidden" name="service_patientid" value="<?php echo $patient_id; ?>">
																				<input type="hidden" name="service_visit_date" value="<?php echo $service_visit_date; ?>">
																				<input type="hidden" name="service_hospital_id" value="<?php echo $service_hospital_id; ?>">
																				<button type="submit" id="save_services" class="btn btn-primary">Request Service</button>
																			</div>
																		</form>
																	</div>
																</div>
															</div>
														</div>
														
														<!---Add lab tests modal--->
														<div class="modal fade bd-example-modal-lg" id="vitals_modal" role="dialog" tabindex="-1" aria-labelledby="modalLabel" aria-hidden="true" >
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:70rem;">
																	<div class="modal-header d-flex justify-content-between">
																		<h4 class="modal-title"><strong>Vitals for <span id="vitals_name" style="color:blue;"></span></strong></h4>
																		<button class="btn btn-rounded btn-primary" data-toggle="modal" data-target="#add_vitals_modal"><i class="fa fa-plus"></i>&nbsp; Add Vital Signs for: <?php echo $patient_first_name.' '.$patient_last_name; ?></button>
																	</div>
																	<div class="modal-body manage_vitals_modal">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Visit Date</center></th>
																					<th scope="col"><center>Date Recorded</center></th>
																					<th scope="col"><center>BP(Systolic/Diastolic - mm Hg)</center></th>
																					<th scope="col"><center>Heart Rate (BPM)</center></th>
																					<th scope="col"><center>Weight (Kg)</center></th>
																					<th scope="col"><center>Temp (Degrees C)</center></th>
																					<th scope="col"><center>Respiratory Rate (Breaths/Min)</center></th>
																					<th scope="col"><center>Oxygen Saturation (%)</center></th>
																					<th scope="col"><center>Height (cm)</center></th>
																					<th scope="col"><center>BMI (by WHO)</center></th>
																					<th scope="col"><center>Actions</center></th>
																				</tr>
																			</thead>
																			<tbody class="manage_vitals_table_body">
																				<!---Vitals go here---->																		
																			</tbody>
																		</table>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_vitals_modal" role="dialog" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
														  <div class="modal-dialog modal-lg">
															<div class="modal-content">
															<form method="post" id="save_vitals_form">
																<div class="modal-header">
																	<h5 class="modal-title" id="modalLabel">Add Vital Signs for: <span style="color:blue;" ><?php echo $patient_first_name.' '.$patient_last_name; ?></span></h5>
																	<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																		<span aria-hidden="true">×</span>
																	</button>
																</div>
																<div class="modal-body">
																	<div class="img-container">
																		<div class="card" style="width:100%;">
																			<div class="row"><div class="col-sm-6">  
																					<div class="form-group">
																						<label><span style="color:black;">Select Visit by Date</span><span style="color:red;">*</span></label>
																						<select class="form-control" name="vitals_visit_id" style="width:100%;" required>
																							<?php
																							$get_visit = $objHospital->get_active_visits($patient_id,$user_id);
																							if(empty($get_visit)){
																								echo'<option>There are no visits recorded yet</option>';
																							}else{
																								foreach($get_visit as $visit){
																									$visit_id = $visit['visit_id'];
																									$visit_date = $visit['visit_date'];
																									echo'<option value="'.$visit_id.'">'.date('m-d-Y',strtotime($visit_date)).'</option>';
																								}
																							}
																							
																							?>
																						</select>
																					</div>
																				</div>
																				<div class="col-sm-6">  
																					<label><span style="color:black;">Blood Pressure (mm Hg)</span></label>
																					<div class="row">
																						<input type="text" style="width:10rem; float:left;" name="systolic" class="form-control" placeholder="Systolic"> &nbsp; &nbsp; <span style="font-size:30px;"> / </span>&nbsp; &nbsp; <input type="text" name="diastolic" style="width:10rem; float:right;" class="form-control" placeholder="Diastolic">
																					</div>
																				</div>
																			</div>
																			<div class="row">
																				<div class="col-sm-6">  
																					<label><span style="color:black;">Heart Rate (Beats/Min)</span></label>
																					<input type="text" name="heart_rate" class="form-control" >
																				</div>
																				<div class="col-sm-6">
																					<label><span style="color:black;">Weight (Kg)</span></label>
																					<input type="text" name="weight" class="form-control">
																				</div>
																			</div>
																			<div class="row">	
																				<div class="col-sm-6">  
																					<label><span style="color:black;">Temperature (Degrees Celcius)</span></label>
																					<input type="text" name="temperature" class="form-control" >
																				</div>
																				<div class="col-sm-6">  
																					<label><span style="color:black;">Respiratory Rate (Breaths/Min)</span></label>
																					<input type="text" name="respiratory_rate" class="form-control" >
																				</div>
																			</div>
																			<div class="row">
																				<div class="col-sm-6">
																					<label><span style="color:black;">Oxygen Saturation (S<sub>p</sub>O<sub>2</sub> in %)</span></label>
																					<input type="text" name="oxygen_saturation" class="form-control">
																				</div>
																				<div class="col-sm-6">  
																					<label><span style="color:black;">Height (Centimeters)</span></label>
																					<input type="text" name="height" class="form-control">
																				</div>
																			</div>
																		</div>
																	</div>
																</div>
																<div class="modal-footer">
																	<input type="hidden" name="vitals_hospital_id" value="<?php echo $hospital_id; ?>">
																	<input type="hidden" name="vitals_added_by" value="<?php echo $user_id; ?>">
																	<input type="hidden" name="vitals_patientid" value="<?php echo $patient_id; ?>">
																	<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	<button type="submit" id="save_vitals" class="btn btn-primary">Save Vitals</button>
																</div>
																</form>
															</div>
														  </div>
														</div>
														
														
														<!--Admit Patient  modal--->
														<div class="modal fade" id="admit_patient_modal" role="dialog" tabindex="-1" aria-labelledby="modalLabel" aria-hidden="true">
															<div class="modal-dialog">
																<div class="modal-content">
																	<div class="modal-header">
																		<h4 class="modal-title"><strong>Admit Patient</strong></h4>
																	</div>
																	<form method="post" id="admit_patient_form">
																	<div class="modal-body admit_patient_modal_body">
																		<div class="form-row">
																			<div class="form-group col-md-6">
																				<label><span style="color:black;">Select Visit</span><span style="color:red;">*</span></label>
																				<select class="form-control" type="text" name="admission_visit_id">
																					<?php
																					$get_visit = $objHospital->get_active_visits($patient_id,$user_id);
																					if(empty($get_visit)){
																						echo'<option>There are no visits recorded yet</option>';
																					}else{
																						foreach($get_visit as $visit){
																							$admission_visit_id = $visit['visit_id'];
																							$admission_visit_date = $visit['visit_date'];
																							$admission_hospital_id = $visit['hospital_id'];
																							echo'<option value="'.$admission_visit_id.'">'.date('m-d-Y',strtotime($admission_visit_date)).'</option>';
																						}
																					}
																					
																					?>
																				</select>
																			</div>
																			<div class="form-group col-md-6">
																				<label><span style="color:black;">Select Ward</span><span style="color:red;">*</span></label>
																				<select class="form-control" type="text" name="admit_to_ward_id" id="admission_ward">
																					<option>Select Here:</option>
																					<?php
																					$get_wards = $objHospital->get_ward($user_id);
																					if(empty($get_wards)){
																						echo'<option>There are no wards recorded yet</option>';
																					}else{
																						foreach($get_wards as $ward){
																							$ward_id = $ward['ward_id'];
																							$ward_name = $ward['ward_name'];
																							$ward_name = $ward['ward_name'];
																							echo'<option value="'.$ward_id.'">'.$ward_name.'</option>';
																						}
																					}
																					
																					?>
																				</select>
																			</div>
																		</div>
																		<div class="form-row">
																			<div class="form-group col-md-12">
																				<label id="no_of_beds_alert" data-hospital-id=<?php echo $hospital_id;?>></label>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<input type="hidden" name="admission_user_id" value="<?php echo $user_id; ?>">
																		<input type="hidden" name="admission_patientid" value="<?php echo $patient_id; ?>">
																		<input type="hidden" name="admision_hospital_id" value="<?php echo $hospital_id; ?>">
																		<button type="submit" id="save_request" class="btn btn-primary">Confirm Admission</button>
																	</div>
																</form>
																</div>
															</div>
														</div>
														
														<!---Add imaging modal--->
														<div class="modal fade" id="surgery_request_modal" role="dialog" tabindex="-1" aria-labelledby="modalLabel" aria-hidden="true">
															<div class="modal-dialog">
																<div class="modal-content" style="width:45rem;">
																	<div class="modal-header">
																		<h4 class="modal-title"><strong>Make Surgery Request</strong></h4>
																	</div>
																	<div class="modal-body">
																		<form method="post" id="make_surgery_request">
																			<div class="form-row">
																				<div class="form-group col-md-12">
																					<label><span style="color:black;">Select Procedure</span><span style="color:red;">*</span></label>
																					<select class="js-example-disabled-multi" name="procedure_requested[]" multiple="multiple" style="width:100%;" required>
																						<?php
																						$get_all_procedures = $objHospital->get_all_procedures($user_id);
																						if(empty($get_all_procedures)){
																							echo'<option>There are no Procedures added yet</option>';
																						}else{
																							foreach($get_all_procedures as $procedure){
																								$procedure_id = $procedure['procedure_id'];
																								$procedure_name = $procedure['procedure_name'];
																								echo'<option value="'.$procedure_id.'">'.$procedure_name.'</option>';
																							}
																						}
																						
																						?>
																					</select>
																				</div>
																			</div>
																			<div class="form-row">
																				<div class="form-group col-md-12">
																					<label><span style="color:black;">Anatomic Site(s)</span></label>
																					<input class="form-control" type="text" name="procedure_request_site" placeholder="E.g Chest, Brain tissue, Clavicle bone.....etc">
																				</div>
																			</div>
																			<div class="form-row">
																				<div class="form-group col-md-5">
																					<label><span style="color:black;">Book Theatre</span><span style="color:red;">*</span></label>
																					<select class="form-control" name="procedure_request_theatre" style="width:100%;" required>
																						<?php
																						$get_all_theatres = $objHospital->get_all_theatres($user_id);
																						if(empty($get_all_theatres)){
																							echo'<option>There are no Theatres added yet</option>';
																						}else{
																							foreach($get_all_theatres as $theatre){
																								$theatre_id = $theatre['theatre_id'];
																								$theatre_name = $theatre['theatre_name'];
																								echo'<option value="'.$theatre_id.'">'.$theatre_name.'</option>';
																							}
																						}
																						
																						?>
																					</select>
																				</div>
																				<div class="form-group col-md-3">
																					<label><span style="color:black;">Date</span></label>
																					<input class="form-control"  type="date" name="procedure_request_date" id="procedure_request_date" >
																				</div>
																				<div class="form-group col-md-2">
																					<label><span style="color:black;">Start Time:</span></label>
																					<input class="form-control"  type="time" name="procedure_request_start_time" id="procedure_request_start_time" >
																				</div>
																				<div class="form-group col-md-2">
																					<label><span style="color:black;">End Time:</span></label>
																					<input class="form-control"  type="time" name="procedure_request_end_time" id="procedure_request_end_time" >
																				</div>
																			</div>
																			<div class="form-row">																
																				<div class="form-group col-md-6">
																					<label><span style="color:black;">Urgency</span><span style="color:red;">*</span></label>
																					<select class="form-control" type="text" name="procedure_request_urgency">
																						<option value="normal">Normal</option>
																						<option value="urgent">Urgent</option>
																					</select>
																				</div>
																				<div class="form-group col-md-6">
																					<label><span style="color:black;">Visit</span><span style="color:red;">*</span></label>
																					<select class="form-control" type="text" name="procedure_request_visit_id">
																						<?php
																						$get_visit = $objHospital->get_active_visits($patient_id,$user_id);
																						if(empty($get_visit)){
																							echo'<option>There are no visits recorded yet</option>';
																						}else{
																							foreach($get_visit as $visit){
																								$request_visit_id = $visit['visit_id'];
																								$request_visit_date = $visit['visit_date'];
																								$request_hospital_id = $visit['hospital_id'];
																								echo'<option value="'.$request_visit_id.'">'.date('m-d-Y',strtotime($request_visit_date)).'</option>';
																							}
																						}
																						
																						?>
																					</select>
																				</div>
																			</div>
																			<div class="modal-footer d-flex justify-content-between">
																				<input type="hidden" name="procedure_request_added_by" value="<?php echo $user_id; ?>">
																				<input type="hidden" name="procedure_request_patient_id" value="<?php echo $patient_id; ?>">
																				<input type="hidden" name="procedure_request_visit_date" value="<?php echo $request_visit_date; ?>">
																				<input type="hidden" name="procedure_request_hospital_id" value="<?php echo $request_hospital_id; ?>">
																				<div class="btn btn-light not_available_notice" style="color:red;"></div>
																				<button type="submit" id="save_procedure_request" class="btn btn-primary">Make Request</button>
																			</div>
																		</form>
																	</div>
																</div>
															</div>
														</div>
														
														
														
														
														
														<div id="appointment" class="tab-pane fade main-pane">
															<div class="pt-3">
																<div class="settings-form">
																	<div class="row">
																		<div class="col-lg-12">
																			<div class="card" style="width:70rem;">
																				<div class="card-body">
																					<div id="calendar"></div>
																				</div>
																			</div>
																		</div>
																		<!-- Start popup dialog box -->
																		<div class="modal fade" id="event_entry_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																			<div class="modal-dialog modal-md" role="document">
																				<div class="modal-content">
																					<div class="modal-header">
																						<h5 class="modal-title" id="modalLabel">Add New Schedule</h5>
																						<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																							<span aria-hidden="true">×</span>
																						</button>
																					</div>
																					<div class="modal-body">
																						<div class="img-container">
																							<div class="row">
																								<div class="col-sm-9">  
																									<div class="form-group">
																									  <label for="event_name">Schedule name</label>
																									  <input type="text" name="schedule_name" id="schedule_name" class="form-control" placeholder="Enter your event name">
																									</div>
																								</div>
																								<div class="col-sm-9">  
																									<div class="form-group">
																									  <label for="event_name">Schedule Color</label>
																									  <select class="form-control" id="schedule_color" name="schedule_color" >
																											<option value="#4f86f7">Blue</option>
																											<option value="#ed2939">Red</option>
																											<option value="#228B22">Green</option>
																											<option value="#dcdcdc">Grey</option>
																										</select>
																									</div>
																								</div>
																							</div>
																							<div class="row">
																								<div class="col-sm-6">  
																									<div class="form-group">
																									  <label for="event_start_date">Event start</label>
																									  <input type="date" name="schedule_start_date" id="event_start_date" class="form-control onlydatepicker" placeholder="Event start date">
																									 </div>
																								</div>
																								<div class="col-sm-6">  
																									<div class="form-group">
																									  <label for="event_end_date">Event end</label>
																									  <input type="date" name="schedule_end_date" id="event_end_date" class="form-control" placeholder="Event end date">
																									</div>
																								</div>
																							</div>
																						</div>
																					</div>
																					<div class="modal-footer">
																						<button type="button" id="save_schedule" class="btn btn-primary">Save Schedule</button>
																					</div>
																				</div>
																			</div>
																		</div>
																		<!-- End popup dialog box -->
																		
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade bd-example-modal-lg" id="make_prescription_modal" tabindex="1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-lg">
																	<div class="modal-content" style="width:85rem; height:45rem; margin-left:-15rem; margin-top:-3rem;">
																	<form method="post" id="save_prescription_form">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Add Diagnosis and Prescription for: <span style="color:blue;"><?php echo $patient_full_name; ?></span></h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<div class="modal-body results_modal_body" style="height:37rem;">
																			<div class="img-container">
																				<div class="row grid">		
																					<div class="col-xl-3" style="overflow-y:scroll; overflow-x:auto; height:10rem;">
																						<div class="grid-col">
																							<div class="row">
																								<div class="form-group">
																									<label><span style="color:black; font-size:16px;">Search Diagnosis from ICD</span></label>
																									<input type="text" style="border: grey 1px solid; border-radius:5px; height:2rem;" class="form-control" name="search_final_diagnosis_term" id="search_final_diagnosis_term"><i class="fa fa-serch"></i>
																									<div>
																										<table class="table table-bg-hover" style="margin-top:-10px;">
																											<tbody id="searched_final_diagnosis">
																												<tr><th style="line-height:0.7rem;"><b>Diagnosis</b></th><th style="line-height:0.7rem;"><b>ICD10 Code</b></th><tr>
																											</tbody>
																										</table>
																									</div>
																								</div>
																							</div>
																						</div>
																					</div>
																					<div class="col-xl-7" style="border-radius:10px; border:solid; overflow-y:scroll;">
																						<div class="grid-col">
																							<div class="row" style="width:40rem;">
																								<table class="table table-bg-hover">
																									<tbody class="added_final_diagnosis">
																										<tr>
																											<th colspan="3">Final Diagnoses</th>
																										</tr>
																										<!---Symptoms go here--->
																									</tbody>
																								</table>
																							</div>
																							<div class="row">
																								<textarea rows="2" style="height:100%; border-radius:5px; margin-bottom:10px;" class="form-control" name="prescription_diagnosis[]" placeholder="Or manually type diagnosis here: (Caution: Insurance companies prefer ICD Diagnoses)"></textarea>
																							</div>
																						</div>
																					</div>
																					<div class="col-xl-2" style="overflow-y:scroll; overflow-x:auto; height:10rem;">
																						<div class="grid-col">
																							<div class="row emergency_div">
																								<div class="form-group">
																									<label><span style="color:black; font-size:14px; font-weight:bold; color:red;">Tick all that apply</span></label>
																									<div class="col-md-12" >
																										<div class="form-check mb-3 " style="margin-left:5px; font-size:15px;">
																											<input type="checkbox" class="form-check-input emergency_discharge" id="emergency_drug" value="no" >
																											<label class="form-check-label" for="hiv">Emergency Drugs</label>
																										</div>
																										<div class="form-check mb-3" style="margin-left:5px; font-size:15px;">
																											<input type="checkbox" class="form-check-input emergency_discharge" id="discharge_drug" value="yes"	>
																											<label class="form-check-label" for="bs">Discharge Drugs</label>
																										</div>
																									</div>
																								</div>
																							</div>
																						</div>
																					</div>
																				</div>
																				<div class="row grid search_prescription_grid" style="height:36rem;">
																					<div class="col-xl-3" style="overflow-y:scroll; overflow-x:auto; height:36rem;">
																						<div class="grid-col">
																							<div class="row">
																								<div class="form-group">
																									<label><span style="color:black; font-size:16px;">Search Medicine</span></label>
																									<input type="text" style="width:19rem;" class="form-control" name="search_pharmacy_term" id="search_pharmacy_term"><i class="fa fa-serch"></i>
																								</div>
																							</div>
																							<div class="row">
																								<div id="searched_medicine" style="width:17rem;">
																									
																								</div>
																							</div>
																						</div>
																					</div>
																					<div class="col-xl-9" style="border-radius:10px; border:solid; overflow-y:scroll;">
																						<div class="grid-col">
																							<div class="row">
																								<div class="form-group">
																									<center><label><span style="color:black; font-size:16px;">Prescription:</span></label></center>
																									<div style="background:grey; height:2px; width:60rem;"></div>
																										<div class="table-responsive">
																											<table class="table primary-table-bg-hover">
																												<thead>
																													<tr>
																														<th scope="col"><center>Medicine</center></th>
																														<th scope="col"><center>Strength</center></th>
																														<th scope="col"><center>Dosage</center></th>
																														<th scope="col"><center>Unit</center></th>
																														<th scope="col"><center>Frequency</center></th>
																														<th scope="col"><center>Period</center></th>
																														<th scope="col"><center>Timeline</center></th>
																														<th scope="col"><center>Route</center></th>
																														<th scope="col"><center>Action</center></th>
																													</tr>
																												</thead>
																												<tbody class="searched_term_body">
																													<!----All visits go here--->
																												</tbody>
																											</table>
																										</div>
																								</div>
																							</div>
																							<div class="row collapse" id="add_other_prescription">
																								<div class="form-group">
																									<center><label><span style="color:black; font-size:16px;">Prescriptions for items not in stock:</span></label></center>
																									<div style="background:grey; height:2px; width:60rem;"></div>
																										<div class="table-responsive">
																											<table class="table primary-table-bg-hover">
																												<thead>
																													<tr>
																														<th scope="col"><center>Medicine</center></th>
																														<th scope="col"><center>Strength</center></th>
																														<th scope="col"><center>Frequency</center></th>
																														<th scope="col"><center>Period</center></th>
																														<th scope="col"><center>Timeline</center></th>
																														<th scope="col"><center>Route</center></th>
																														<th scope="col"><center>Action</center></th>
																													</tr>
																												</thead>
																												<tbody class="other_prescriptions_body">
																													<tr>
																														<td><input name="other_product_name[]" type="text" class="form-control" placeholder="Eg. Tabs Panadol, Inj Cef ...etc"/></td>
																														<td><input name="other_unit_strength[]" type="text" class="form-control" placeholder="Eg. 100mg"/></td>
																														<td>
																							<select name="other_frequency[]" type="text" class="form-control">
																																
																								<option>Every 8 hours (Q8h)</option>
																																<option>Once a Day (qd)</option>
																																<option>Twice a Day (BID)</option>
																																<option>Three times a day (TID)</option>
																																<option>Four times a day (QID)</option>
																																
																																
																																<option>Every week (QWK)</option>
																															</select>
																														</td>
																														<td>
																															<input name="other_period[]" type="text" class="form-control">
																														</td>
																														<td>
																															<select name="other_timeline[]" type="text" class="form-control">
																																<option>Days</option>
																																<option>Weeks</option>
																																<option>Months</option>
																															</select>
																														</td>
																														<td>
																															<select name="other_route[]" type="text" class="form-control">
																																<option>PO (by mouth)</option>
																																<option>PR (per rectum)</option>
																																<option>IM (intramuscular)</option>
																																<option>IV (intravenous)</option>
																																<option>ID (intradermal)</option>
																																<option>IN (intranasal)</option>
																																<option>TP (topical)</option>
																																<option>SL (sublingual)</option>
																																<option>BUCC (buccal)</option>
																																<option>IP (intraperitoneal)</option>
																															</select>
																														</td>
																														<td><button type="button" class="btn btn-sm btn-success add_other_prescription_btn">Add</button></td>
																													</tr>
																													<tr>
																														<th scope="col" colspan="7"><center>Special Instructions</center></th>
																													</tr>
																													<tr>
																														<td scope="col" colspan="7"><center><textarea rows="3" style="height:100%; border: grey 1px solid; border-radius:5px;" name="special_instructions" type="text" class="form-control" placeholder="Do not take alcohol while on this medication....etc"></textarea></center></td>
																													</tr>
																												</tbody>
																											</table>
																										</div>
																								</div>
																							</div>
																						</div>
																					</div>
																				</div>
																				
																			</div>
																		</div>
																		<div class="modal-footer d-flex justify-content-between" style="height:3rem;"/>
																			<?php
																			$get_visit = $objHospital->get_active_visits($patient_id,$user_id);
																			if(empty($get_visit)){
																				$visit_id = '';
																				$visit_date = '';
																			}else{
																				foreach($get_visit as $visit){
																					$visit_id = $visit['visit_id'];
																					$visit_date = $visit['visit_date'];
																				}
																			}
																			
																			?>
																			<button type="button" class="btn btn-success" data-toggle="collapse" href="#add_other_prescription" aria-expanded="false" aria-controls="add_other_prescription">Non-stocked Prescriptions</button>
																			<input type="hidden" name="prescriber" value="<?php echo $user_id;?>"/>
																			<input type="hidden" name="prescription_visit_id" value="<?php echo $visit_id;?>"/>
																			<input type="hidden" name="prescription_visit_date" value="<?php echo $visit_date;?>"/>
																			<input type="hidden" name="prescription_patient_id" value="<?php echo $patient_id;?>"/>
																			<input type="hidden" name="prescription_emergency" id="prescription_emergency"/>
																			<input type="hidden" name="prescription_discharge" id="prescription_discharge" />
																			<button type="submit" id="save_schedule" class="btn btn-primary">Save Prescription</button>
																		</div>
																	</form>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade bd-example-modal-lg" id="patient_details_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-lg">
																	<div class="modal-content" style="width:80rem; margin-left:-150px;">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Clinical Details for: <span style="color:blue;" id="patient_details_name"></span></h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<div class="modal-body results_modal_body">
																			<div class="img-container" id="patient_details_body">
																				
																				
																			</div>
																		</div>
																		<div class="modal-footer">
																			<button type="button" class="btn btn-primary print_details">print</button>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!------Follow up patient----->
														<div class="modal fade" id="followup_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg" role="document">
																<div class="modal-content" style="height:45rem; overflow-y:scroll;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Please indicate Whether or Not the patient needs review</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<form method="post" class="add_follow_up_form">
																	<div class="modal-body">
																		<div class="img-container">
																			<div class="row">
																				<div class="col-sm-12">  
																					<div class="form-group">
																					  <label for="event_name">Status/Condition at discharge:</label>
																					  <select class="form-control" type="text" name="follow_up_condition">
																						<option>Good</option>
																						<option>Stable</option>
																						<option>Fair</option>
																						<option>Critical</option>
																						<option data-toggle="collapse" href="#death_details" aria-expanded="false" aria-controls="category">Dead</option>
																					  </select>
																					</div>
																				</div>
																				<div class="col-sm-12">  
																					<div class="form-group">
																					  <label for="event_name">Additional Notes:</label>
																					  <textarea class="form-control" type="text" name="follow_up_notes" rows="3" style="height:100%;"></textarea>
																					</div>
																				</div>
																			</div>
																			<div class="row collapse" id="death_details">
																				<div class="form-group col-md-6">
																				  <label for="event_name">Date of Birth:</label>
																				  <input class="form-control" type="date" name="death_dob" id="death_dob">
																				</div>
																				<div class="form-group col-md-6">
																				  <label for="event_name">Place of Birth:</label>
																				  <input class="form-control" type="text" name="place_of_birth" id="place_of_birth">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">Date of Death:</label>
																				  <input class="form-control" type="date" name="date_of_death" id="date_of_death">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">Time of Death:</label>
																				  <input class="form-control" type="text" name="time_of_death" id="time_of_death">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">Place of Death:</label>
																				  <input class="form-control" type="text" name="place_of_death" id="place_of_death">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">No of House and Name of Street:</label>
																				  <input class="form-control" type="text" name="death_house_address" id="death_house_address">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">Occupation:</label>
																				  <input class="form-control" type="text" name="death_occupation" id="death_occupation">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">Village:</label>
																				  <input class="form-control" type="text" name="death_village" id="death_village">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">Parish:</label>
																				  <input class="form-control" type="text" name="death_parish" name="death_parish">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">Sub County:</label>
																				  <input class="form-control" type="text" name="death_subcounty" id="death_subcounty">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">Country:</label>
																				  <input class="form-control" type="text" name="death_country" id="death_country">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">District:</label>
																				  <input class="form-control" type="text" name="death_district" id="death_district">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">Nationality:</label>
																				  <input class="form-control" type="text" name="death_nationality" id="death_nationality">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">NIN:</label>
																				  <input class="form-control" type="text" name="nin" id="nin">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">Cause of Death:</label>
																				  <input class="form-control" type="text" name="death_cause_of_death" id="death_cause_of_death">
																				</div>
																				<div class="form-group col-md-12">
																				  <label for="event_name">If a dead body is found, also the name and address of the finder and narrate shortly the circumstances:</label>
																				  <textarea class="form-control" type="text" name="dead_body_found" id="dead_body_found" rows="3" style="height:100%;"></textarea>
																				</div>
																				<div class="form-group col-md-12">
																				  <label for="event_name">If name unknown, give full description for purposes of identification:</label>
																				  <textarea class="form-control" type="text" name="death_name_unknown" id="death_name_unknown" rows="3" style="height:100%;"></textarea>
																				</div>
																				<div class="form-group col-md-12">
																				  <label for="event_name">Why was the death not registered within the prescribed period?*:</label>
																				  <textarea class="form-control" type="text" name="why_death_not_registered" id="why_death_not_registered" rows="3" style="height:100%;"></textarea>
																				</div>
																			</div>
																			<div class="row">
																				<div class="col-sm-12">  
																					<div class="form-group">
																					  <label for="event_name">Is Review Required:</label>
																					  <select type="text" name="follow_up_required" id="follow_up_required" class="form-control" style="width:100%;">
																						<option>No</option>
																						<option>Yes</option>
																					  </select>
																					</div>
																				</div>
																			</div>
																			<div class="row">
																				<div class="col-sm-6">  
																					<div class="form-group">
																					  <label for="event_name">Select Doctor:</label>
																					  <select type="text" name="follow_up_doctor" id="appointment_doctor" class="js-example-disabled-multi" multiple="multiple" style="width:100%;">
																						<?php
																						$get_doctors = $objHospital->get_all_doctors($user_id);
																						if(empty($get_doctors)){
																							echo'<option>There are no Doctors yet</option>';
																						}else{
																							foreach($get_doctors as $doctors){
																								$first_name = $doctors['first_name'];
																								$last_name = $doctors['last_name'];
																								$staff_id = $doctors['staff_id'];
																								echo'<option value="'.$staff_id.'">'.$first_name.' '.$last_name.'</option>';
																							}
																						}
																						
																						?>
																					  </select>
																					 </div>
																				</div>
																				<div class="col-sm-6">  
																					<div class="form-group">
																					  <label for="event_start_date">Review Date:</label>
																					  <input type="date" name="follow_up_date" id="follow_up_date" class="form-control onlydatepicker">
																					 </div>
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<input type="hidden" name="follow_up_user_id" value="<?php echo $user_id; ?>">
																		<input type="hidden" name="follow_up_patient_id" id="follow_up_patient_id">
																		<input type="hidden" name="follow_up_hospital_id" id="follow_up_hospital_id">
																		<input type="hidden" name="follow_up_visit_id" id="follow_up_visit_id">
																		<button type="submit" id="follow_up_discharge" class="btn btn-success discharge_patient_btn">Discharge Patient</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														
														<!------Follow up patient----->
														<div class="modal fade" id="referral_request_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
															<div class="modal-dialog modal-md" role="document">
																<div class="modal-content" style="width:34rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Refer Patient</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<form method="post" id="refer_patient_form">
																	<div class="modal-body">
																		<div class="img-container">
																			<div class="row">
																				<div class="col-sm-9">  
																					<div class="form-group">
																					  <label for="event_name">Select Referral Facility:</label>
																					  <select class="form-control" type="text" name="select_referral">
																					  <?php
																					  $get_referral_facilities = $objHospital->get_referrals($user_id);
																					  if(empty($get_referral_facilities)){
																						  echo'<option>There are no Referral Facilites added yet</option>';
																					  }else{
																						  echo'<option>Click here to select:</option>';
																						  foreach($get_referral_facilities as $facility){
																							  $hospital_name = $facility['hospital_name'];
																							  echo'<option>'.$hospital_name.'</option>';
																						  }
																					  }
																					  ?>
																					  </select>
																					</div>
																				</div>
																				<div class="col-sm-3">  
																					<div class="form-group">
																					  <label for="event_name"> &nbsp; </label>
																					  <button type="button" class="btn btn-success" data-toggle="collapse" href="#add_facility" aria-expanded="false" aria-controls="add_facility"><i class="fa fa-plus"></i>Add Facility</button>
																					</div>
																				</div>
																			</div>
																			<div class="row collapse" id="add_facility">
																				<div class="form-group col-md-12">
																				  <label for="event_name">If Facility is not in the above drop-down list, write it here:</label>
																				  <input class="form-control" type="text" name="add_referral" placeholder="Type Facility Here">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">Contact Phone No:</label>
																				  <input class="form-control" type="text" name="referral_phone">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">Contact Email:</label>
																				  <input class="form-control" type="text" name="referral_email">
																				</div>
																				<div class="form-group col-md-4">
																				  <label for="event_name">Address:</label>
																				  <input class="form-control" type="text" name="referral_address">
																				</div>
																			</div>
																			<div class="row">
																				<div class="col-sm-12">  
																					<div class="form-group">
																					  <label for="event_name">Referral Type:</label>
																					  <select type="text" name="referral_type" class="form-control" style="width:100%;">
																						<option>Advanced Care</option>
																						<option>Laboratory Referral</option>
																						<option>Radiology Referral</option>
																						<option>Surgical Referral</option>
																					  </select>
																					</div>
																				</div>
																				<div class="col-sm-12">  
																					<div class="form-group">
																					  <label for="event_name">Referral Details:</label>
																					  <textarea class="form-control" type="text" name="referral_details" id="referral_details" rows="3" style="height:100%;" placeholder="i.e., You can specify the lab test referred...etc"></textarea>
																					</div>
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<input type="hidden" name="referral_type_user_id" value="<?php echo $user_id; ?>">
																		<input type="hidden" name="referral_type_patient_id" id="referral_type_patient_id">
																		<input type="hidden" name="referral_type_visit_id" id="referral_type_visit_id">
																		<button type="submit" class="btn btn-primary referral_btn">Refer Patient</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														
														<!------Follow up patient----->
														<div class="modal fade" id="delete_request" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
															<div class="modal-dialog modal-md" role="document">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Please indicate reason for deleting this <span id="delete_request_header" style="color:blue;"></span> request</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<form method="post" id="delete_request_form">
																	<div class="modal-body">
																		<div class="img-container">
																			<div class="row">
																				<div class="col-sm-12">  
																					<div class="form-group">
																					  <!--<label for="event_name">Select reason here:</label>-->
																					  <select type="text" name="delete_request_reason" id="delete_request_reason" class="form-control" style="width:100%;">
																						<option>Click here to select reason:</option>
																						<option>Client has NO money for this request</option>
																						<option>Request accidentally added</option>
																						<option>Request duplicated</option>
																						<option>Request replaced by another alternative</option>
																						<option>Product out of stock</option>
																						<option>Product expired</option>
																						<option>Request not required to manage patient</option>
																					  </select>
																					</div>
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<input type="hidden" name="delete_request_user_id" value="<?php echo $user_id; ?>">
																		<input type="hidden" name="delete_request_patient_id" id="delete_request_patient_id">
																		<input type="hidden" name="delete_request_hospital_id" id="delete_request_hospital_id">
																		<input type="hidden" name="delete_request_request_id" id="delete_request_request_id">
																		<input type="hidden" name="delete_request_request_name" id="delete_request_request_name">
																		<input type="hidden" name="delete_request_department" id="delete_request_department">
																		<button type="submit" id="delete_request_button" class="btn btn-success delete_request_button">Delete Request</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>	

														<!------Follow up patient----->
														<div class="modal fade" id="nurse_review_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg" role="document">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Please add your review comments in the field below</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<form method="post" id="nurse_review_form">
																	<div class="modal-body">
																		<div class="img-container">
																			<div class="row">
																				<div class="col-sm-12">  
																					<div class="form-group">
																					  <!--<label for="event_name">Select reason here:</label>-->
																					  <textarea name="nurse_review_comments" id="nurse_review" type="text" rows="20" style="height:100%; width:100%; color:black;" class="form-control" placeholder="Please add your patient's review notes..."></textarea>
																					</div>
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<?php
																		$get_visit = $objHospital->get_active_visits($patient_id,$user_id);
																		if(empty($get_visit)){
																			$visit_id = '';
																			$visit_date = '';
																		}else{
																			foreach($get_visit as $visit){
																				$visit_id = $visit['visit_id'];
																				$visit_date = $visit['visit_date'];
																			}
																		}
																		?>
																		<input type="hidden" name="nurse_review_user_id" value="<?php echo $user_id; ?>">
																		<input type="hidden" name="nurse_review_visit_id" value="<?php echo $visit_id; ?>">
																		<input type="hidden" name="nurse_review_visit_date" value="<?php echo $visit_date; ?>">
																		<input type="hidden" name="nurse_review_patient_id" value="<?php echo $patient_id; ?>">
																		<input type="hidden" name="nurse_review_hospital_id" value="<?php echo $hospital_id; ?>">
																		<button type="submit" id="nurse_review_button" class="btn btn-success nurse_review_button">Save Review</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														
														<!-- End popup dialog box -->
														<!--Delete event modal--->
														<div class="modal fade none-border event_entry_modal">
															<div class="modal-dialog">
																<div class="modal-content">
																	<div class="modal-header">
																		<h4 class="modal-title"><strong>Delete Schedule</strong></h4>
																	</div>
																	<div class="modal-body delete_modal_body"></div>
																</div>
															</div>
														</div>
														<!--End delete event modal--->
														
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade bd-example-modal-lg" id="print_discharge_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-lg">
																	<div class="modal-content" style="width:80rem; margin-left:-150px;">
																	<form method="post" id="save_prescription_form">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Discharge Form for: <span style="color:blue;" id="discharge_header"></span></h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<div class="modal-body results_modal_body">
																			<div class="img-container" id="discharge_patient_modal">
																				
																				
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>

														<!--Delete event modal--->
														<div class="modal fade none-border print_option_modal" id="print_option_modal">
															<div class="modal-dialog">
																<div class="modal-content">
																	<div class="modal-header">
																		<h4 class="modal-title"><strong>Select what to print</strong></h4>
																	</div>
																	<div class="modal-body delete_modal_body">
																		<div class="row">
																			<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																				<input type="checkbox" class="form-check-input print_options" id="case_history" value="case_history">
																				<label class="form-check-label" for="hiv">Case History</label>
																			</div>
																			<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																				<input type="checkbox" class="form-check-input print_options" id="investigations" value="investigations"	>
																				<label class="form-check-label" for="bs">Laboratory Results</label>
																			</div>
																			<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																				<input type="checkbox" class="form-check-input print_options" id="radiology" value="radiology">
																				<label class="form-check-label" for="radiology">Radiology</label>
																			</div>
																			<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																				<input type="checkbox" class="form-check-input print_options" id="discharge_drugs" value="discharge_drugs">
																				<label class="form-check-label" for="discharge_drugs">Discharge Prescriptions</label>
																			</div>
																			<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																				<input type="checkbox" class="form-check-input print_options" id="all_prescriptions" value="all_prescriptions">
																				<label class="form-check-label" for="all_prescriptions">All Prescriptions</label>
																			</div>
																			<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																				<input type="checkbox" class="form-check-input print_options" id="clinical_services" value="clinical_services"	>
																				<label class="form-check-label" for="clinical_services">Clinical Services</label>
																			</div>
																			<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																				<input type="checkbox" class="form-check-input print_options" id="surgical_reports" value="surgical_reports">
																				<label class="form-check-label" for="surgical_reports">Surgery Reports</label>
																			</div>
																			<div class="form-check mb-3" style="margin-left:15px; font-size:19px;">
																				<input type="hidden" class="print_options" id="all_reports" name="all_reports">
																				<input type="hidden" class="print_options" id="print_hospital_id" value="<?php echo $hospital_id; ?>">
																				<!--<label class="form-check-label" for="all_reports">All</label>-->
																			</div>
																		</div>
																		<div class="row">
																			<input type="hidden" id="print_patient_id" value="<?php echo $patient_id; ?>">
																			<input type="hidden" id="print_visit_id" >
																			<center><button type="button" class="btn btn-primary print_discharge_btn" data-patient-id="<?php echo $patient_id; ?>" data-hospital-id="<?php echo $hospital_id; ?>" data-visit-id="<?php echo $visit_id; ?>" data-visit-date="<?php echo $visit_date;?>">Print</button></center>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														
														
														
														
														
														


														
														
														
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
		
		//grabs the hash tag from the url
		  var hash = window.location.hash; 
		  //checks whether or not the hash tag is set
		  if (hash == "#drug_monitoring") {
			/*/removes all active classes from tabs
			$('.main-tabs').each(function() {
			  $(this).removeClass('active');
			});*/
			//$('').(function() {
			  //$('#manage_patient').removeClass('active');
			  //$('#manage_patient').removeClass('show');
			  //$('#drug_monitoring').addClass('active');
			  //$('#drug_monitoring').addClass('show');
			  //$('#drug_monitoring').tab('show');
			  $('.nav-tabs a[href="#drug_monitoring"]').tab('show');
			//});
			//this will add the active class on the hashtagged value
			//var link = "";
			/*$('.main-tabs').each(function() {
			  link = $(this).find('a').attr('href');
			  if (link == hash) {
				$(this).addClass('active');
			  }
			});
			$('.main-pane').each(function() {
			  link = $(this).attr('id');
			  if ('#'+link == hash) {
				$(this).addClass('active');
			  }
			});*/
		  }
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->

    <script src="../assets/js/lib/calendar-2/moment.latest.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.calendar.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.init.js"></script>
	
	<!-- Required vendors 
    <script src="../assets/js/lib/global.min.js"></script
    <script src="../assets/js/lib/quixnav-init.js"></script>
    <script src="../assets/js/lib/custom.min.js"></script>--
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>-->
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
	<script src="../assets/summernote/summernote.min.js"></script>
	
    <!-- scripit init-->
    <script src="js/patient.js"></script>
	<script src="js/printarea.js"></script>
	
	<!----Text editor--->
    <script src="../assets/js/lib/ckeditor/ckeditor.js"></script>
	<script>
    ClassicEditor
		.create( document.querySelector( '#nurse_review' ) )
		.catch( error => {
			console.error( error );
	});
	</script>
	<style>
	.results_modal_body{
		overflow: hidden;
	}
	.search_prescription_grid{
		height: 370px;
		overflow: auto;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>