<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/chat.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
	<!-- Daterange picker -->
    <link href="../assets/css/lib/daterangepicker.css" rel="stylesheet">
	<link href="../assets/css/lib/bootstrap-material-datetimepicker.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
				<!--**********************************
					Content body start
				***********************************-->
				<section style="background-color: #eee; height:1vh;">

					<div class="row d-flex justify-content-center">
						<div class="col-md-6">
							<div class="card" style="height:40rem;">
								<div class="card-header">
									<center><h6 style="color:blue;" id="message_user">Select Patient(s) to Text</h6></center>
								</div>
								<div class="card-body" id="chat_texts_div" style="overflow-x:auto;">
									<div class="col-md-12">
										<select class="js-example-disabled-multi" name="sms_patient[]" multiple="multiple" style="width:100%;" required>
											<?php
											$get_patients = $objHospital->get_patients($user_id);
	
											if(empty($get_patients)){
												echo'<option>There are no patients added yet</option>';
											}else{
												echo'<option value="All">All Patients</option>';
												foreach($get_patients as $patient){
													$patient_id = $patient['patient_id'];
													$hospital_id = $patient['hospital_id'];
													$patient_unique_no = $patient['patient_unique_no'];
													$first_name = $patient['first_name'];
													$last_name = $patient['last_name'];
													$gender = $patient['gender'];
													$phone_number = $patient['phone_number'];
													$age = $patient['age'];
													$date_created = date('m-d-Y',strtotime($patient['date_created']));
													
													echo'<option value="'.$patient_id.'">'.$first_name.' '.$last_name.', '.$gender.', '.$age.'Yrs</option>';
												}
											}
											
											?>
										</select>
									</div>
									<div class="col-md-12">
										<form method="post" id="sms_form">
											<li class="mb-3">
												<div class="form-outline d-flex">
													<textarea name="chat_text" rows="4" style="border-radius:5px; border: 1px solid grey; height:28rem;" id="sms_text" class="form-control" type="text" placeholder="Write Message Here" ></textarea>
													<input type="hidden" name="sms_user_id" id="sms_user_id">
													<button type="submit" style="height:28rem;" class="btn btn-info float-end">Send</button>
												</div>
											</li>
										</form>
									</div>
								</div>
							</div>
						</div>
					</div>

				  </section>
						
			</div>
		</div>
	</div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <!-- bootstrap -->
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/chat.js"></script>
</body>

</html>
<?php } ?>	