<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];
	$dpt_name = $_GET['department'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#prescription" data-toggle="tab" class="nav-link active show"><i class="fa fa-plus-square"></i>&nbsp;Pending Prescriptions
														<?php
														//Count number of pending analyses
														$pending_prescriptions = $objHospital->count_pending_prescriptions($user_id);
														if($pending_prescriptions == 0){
															//Do nothing
														}else{
															echo'<span class="badge badge-danger">'.$pending_prescriptions.'</span>';
														}
														?>
														</a>
														</li>
														<li class="nav-item" id="stock_list_tab"><a href="#stock_list" data-toggle="tab" class="nav-link"><i class="fa fa-list"></i>&nbsp;Stock List</a>
														</li>
														<li class="nav-item"><a href="#stock_alerts" data-toggle="tab" class="nav-link"><i class="fa fa-bullhorn"></i>&nbsp;Stock Alerts</a>
														</li>
														<li class="nav-item"><a href="#expiries" data-toggle="tab" class="nav-link"><i class="fa fa-calendar-times-o"></i>&nbsp;Expiry Alerts</a>
														</li>
														<li class="nav-item"><a href="#sales" data-toggle="tab" class="nav-link"><i class="fa fa-line-chart"></i>&nbsp;Sales</a>
														</li>
														<li class="nav-item"><a href="#supplies" data-toggle="tab" class="nav-link"><i class="fa fa-shopping-basket"></i>&nbsp;Supply Orders</a>
														</li>
													</ul>
													<div class="tab-content">
														
														<div id="prescription" class="tab-pane fade active show">
															<div class="card" style="width:100%;">																
																<div class="card-header d-flex">
																	<div class="col-sm-8">
																		<h3 class="card-title" style="color:Black;">All Prescriptions</h3>
																	</div>
																	<div class="col-sm-4">
																		<input class="form-control search_patient" placeholder="Search Patients">
																	</div>
																</div>
																<div class="card-body">
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Visit Date</center></th>
																					<th scope="col"><center>Name</center></th>
																					<th scope="col"><center>Gender</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Status</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody class="added_prescriptions">
																				<?php
																					
																					$get_all_prescriptions = $objHospital->get_all_patient_prescriptions($user_id);
																					if(empty($get_all_prescriptions)){
																						echo'<tr><td colspan="7" style="color:green;"><center>There are no prescriptions made yet</center></td></tr>';
																					}else{ 
																					
																						foreach($get_all_prescriptions as $prescription){
																							$prescription_id  = $prescription['prescription_id']; 
																							$patient_id  = $prescription['patient_id']; 
																							$hospital_id = $prescription['hospital_id'];
																							$visit_date = $prescription['visit_date'];
																							//$dispensed = $prescription['dispensed'];
																							$visit_id = $prescription['visit_id'];
																							$walkin_patient = $prescription['walkin_patient'];
																							if($walkin_patient == 'yes'){
																								$get_walkin_patient_details = $objHospital->get_all_walkin_patient_prescriptions($patient_id,$hospital_id);
																								foreach($get_walkin_patient_details as $details){
																									$walkin_name = $details['name'];
																									$walkin_gender = $details['gender'];
																									$walkin_age = $details['age'];
																									if(empty($walkin_name)){
																										$walkin_name = 'Walk-In Patient';
																										$walkin_gender = 'N/A';
																										$walkin_age = 'N/A';
																									}else{
																										$walkin_name = $walkin_name;
																										$walkin_gender = $walkin_gender;
																										$walkin_age = $walkin_age;
																									}
																									$dispense_patient_id  = $prescription['patient_id'];
																									$name = $walkin_name;
																									$gender = $walkin_gender;
																									$age = $walkin_age;
																								}
																								
																								
																								
																							}else{
																								$get_patient_details = $objHospital->get_prescription_by_patient_id($patient_id, $hospital_id);
																								foreach($get_patient_details as $prescription){
																									$dispense_patient_id  = $prescription['patient_id'];
																									$first_name = $prescription['first_name'];
																									$last_name = $prescription['last_name'];
																									$gender = $prescription['gender'];
																									$age = $prescription['age'];
																									$name = $first_name.' '.$last_name;
																								}
																								
																							}
																							
																							$request_type = 'Pharmacy';
																							//Get bill details for by request ID request
																							$get_request_bill = $objHospital->get_request_bill($prescription_id,$request_type,$hospital_id);
																							if(empty($get_request_bill)){
																								$paid = '';
																								$service_cost = '0';
																							}else{
																								foreach($get_request_bill as $request){
																									$paid = $request['paid'];
																									$service_cost = $request['request_cost'];
																								}
																							}
																							
																							//Get visit type ie if patient is walkin
																							$get_visit_details = $objHospital->get_visit_by_id($visit_id,$patient_id,$user_id);
																							foreach($get_visit_details as $detail){
																								$type_of_visit = $detail['type_of_visit'];
																							}
																							
																							if($paid == 'Partial' || $paid == 'Fully' || $type_of_visit=='Group' || $type_of_visit=='Insurance' || $service_cost == '0'){
																								echo'
																								<tr>
																									<td><center>'.$dispense_patient_id.'</center></td>
																									<td><center>'.$visit_date.'</center></td>
																									<td><center>'.$name.'</center></td>
																									<td><center>'.$gender.'</center></td>
																									<td><center>'.$age.'</center></td>
																									<td><center>';
																									$get_dispenses = $objHospital->get_partial_dispenses($visit_id,$patient_id,$user_id);
																									foreach($get_dispenses as $dispenses){
																										$total = $dispenses['total_dispensed'];
																										$not_dispensed = $dispenses['not_dispensed'];
																										$dispensed = $dispenses['dispensed'];
																									}
																									if($dispensed < $total && $dispensed > 0){
																										echo'<div class="badge badge-pill badge-warning" style="font-size:16px;">Partially Dispensed</div>';
																									}elseif($dispensed == $total || empty($patient_id)){
																										echo'<div class="badge badge-pill badge-primary" style="font-size:16px;">Dispensed</div>';
																									}else{
																										echo'<div class="badge badge-pill badge-danger" style="font-size:16px;">Pending</div>';
																									}
																								
																									
																									echo'</center></td>
																									<td>';
																									if($dispensed == $total || empty($patient_id)){
																										echo'<center><button class="btn btn-dark dispense_details_button"  data-toggle="modal" data-target="#dispense_details_modal" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-first-name="'.$first_name.'" data-last-name="'.$last_name.'" data-gender="'.$gender.'" data-age="'.$age.'" data-visit-id="'.$visit_id.'">Details</button>
																										</center>';
																									}else{
																										echo'<center><button class="btn btn-success dispense_medicine_button"  data-toggle="modal" data-target="#dispense_medicine_modal" data-patient-id="'.$patient_id.'" data-hospital-id="'.$hospital_id.'" data-first-name="'.$first_name.'" data-last-name="'.$last_name.'" data-gender="'.$gender.'" data-age="'.$age.'">Dispense</button>
																										</center>';
																									}
																										
																									echo'</td>
																								</tr>
																								
																								';
																							}else{
																								//Do nothing 
																							}
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<div id="stock_list" class="tab-pane fade">
															<div class="card" style="overflow-x:scroll; width:90rem;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<a class="btn btn-info" style="color:#ffffff;" data-target="#add_product_modal" data-toggle="modal"><i class="fa fa-plus"></i>&nbsp; New Product</a>
																		<!--<a class="btn btn-info" style="color:#ffffff;" id="add_brand_btn" data-brand-user-id="<?php echo $user_id;?>" data-target="#add_brand_modal" data-toggle="modal"><i class="fa fa-plus"></i>&nbsp; Brands</a>-->
																		<a class="btn btn-info" style="color:#ffffff;" id="add_category_btn" data-target="#add_category_modal" data-toggle="modal" data-category-user-id="<?php echo $user_id;?>"><i class="fa fa-plus"></i>&nbsp; Categories</a>
																		<a class="btn btn-warning" style="color:#000000;" id="add_stock_btn" data-target="#new_stock_modal" data-toggle="modal" data-new-stock-user-id="<?php echo $user_id;?>"><i class="fa fa-plus"></i>&nbsp; Add Stock</a>
																		<a class="btn btn-success" style="color:#ffffff;" id="physical_count_btn" data-toggle="collapse" href="#physical_count" aria-expanded="false" data-new-stock-usr-id="<?php echo $user_id;?>"><i class="fa fa-plus"></i>&nbsp; Physical Count</a>
																	</div>
																</div>
																<div class="card-body" style="height:25rem;">
																	<div class="img-container collapse" id="physical_count">
																		<form method="post" class="form-sample" id="physical_count_form">
																		  <div class="col-md-12">
																			<div class="card">
																				<table class="table primary-table-bg-hover">
																					<thead>
																						<tr>
																							<th scope="col"><center>Product Name</center></th>
																							<th scope="col"><center>Quantity</center></th>
																							<th scope="col"><center>Action</center></th>
																						</tr>
																					</thead>
																					<tbody class="physical_count_product_body">
																						<tr>
																							<td><center><select name="physical_count_product_name[]" type="text" class="form-control physical_count_product_name">
																								<?php
																								$get_products = $objHospital->get_products_by_user_id($user_id);
																								if(empty($get_products)){
																									echo'<option value="none">No Products added yet</option>';
																								}else{
																									foreach($get_products as $products){
																										$product_id = $products['pharmacy_product_id'];
																										$product_name = $products['product_name'];
																										$unit_strength = $products['unit_strength'];
																										$hospital_id = $products['hospital_id'];
																										echo'<option value="'.$product_id.'">'.$product_name.' ('.$unit_strength.')</option>';
																									}
																								}
																								?>
																								</select><center>
																							</td>
																							<td><center><input name="physical_count_quantity[]" type="text" class="form-control" /><center></td>
																							<td><center><button type="button" data-dept-name="<?php echo $dpt_name;?>" class="btn btn-badge btn-success physical_count_product_btn">Add Item</button></center></td>
																						</tr>
																					</tbody>
																					<tfoot>
																						<tr>
																							<td colspan="3">
																								<div class="d-flex justify-content-center">
																								<input type="hidden" name="physical_count_user_id" value="<?php echo $user_id?>">
																								<input type="hidden" name="physical_count_dept" value="<?php echo $dpt_name?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="place_order_btn"><span style="font-size:16px;">Update Stock</span></button>
																							</div>
																							</td>
																						</tr>
																					</tfoot>
																				</table>
																			</div>
																		  </div>
																		</form>
																	</div>
																	<div class="card-header d-flex">
																		<div class="col-sm-8">
																			<h5 style="color:Black;">Stock List</h5>
																		</div>
																		<div class="col-sm-4" style="float:right;">
																			<input class="form-control search_products" placeholder="Search Product">
																		</div>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col">ID</th>
																					<th scope="col">Product Name</th>
																					<th scope="col"><center>Strength</center></th>
																					<th scope="col"><center>Sold As</center></th>
																					<th scope="col"><center>Brand</center></th>
																					<th scope="col"><center>Category</center></th>
																					<th scope="col"><center>Balance at Hand</center></th>
																					<th scope="col"><center>Buying Price</center></th>
																					<th scope="col"><center>Selling Price</center></th>
																					<th scope="col"><center>Route</center></th>
																					<!--<th scope="col"><center>Lot/Batch No</center></th>-->
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody class="product_details_table_body">
																			
																				
																				
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<div id="stock_alerts" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-header">
																	<div class="row d-flex justify-content-between">
																		<h5 style="color:Black;">Stock Alerts</h5>
																		<a class="btn btn-info" style="color:#ffffff;" data-target="#stock_alert_settings_modal" data-toggle="modal"><i class="fa fa-plus"></i>&nbsp; Stock Alert Settings</a>
																	</div>
																</div>
																<div class="card-body">
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Product ID</center></th>
																					<th scope="col"><center>Product Name</center></th>
																					<th scope="col"><center>Brand</center></th>
																					<th scope="col"><center>Qty in Stock</center></th>
																					<th scope="col"><center>Min Stock</center></th>
																					<th scope="col"><center>Re-Order Level</center></th>
																					<th scope="col"><center>Make Order</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_stock_alerts = $objHospital->get_stock_alerts($user_id);
																					if(empty($get_stock_alerts)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no products added yet</center></td></tr>';
																					}else{
																						foreach($get_stock_alerts as $alerts){
																							$product_id  = $alerts['pharmacy_product_id'];
																							$product_name = $alerts['product_name'];
																							$product_brand = $alerts['product_brand'];
																							$hospital_id = $alerts['hospital_id'];
																							$sold_as = $alerts['product_sold_as'];
																							
																							$get_sold_products = $objHospital->get_sold_products_by_id($product_id,$hospital_id);
																							//Get total stock in
																							$total_in= $objHospital->get_total_stock_in($product_id,$hospital_id);
																							
																							//Get total stock out
																							$total_out= $objHospital->get_total_stock_out($product_id,$hospital_id);
																							
																							//Get average monthly consumption
																							$get_average_monthly_consumption = $objHospital->get_average_monthly_consumption($product_id,$hospital_id);
																							
																							$stock_alert_settings = $objHospital->get_stock_alert_settings($user_id);
																							
																							if(empty($stock_alert_settings)){
																								$min_stock = 0;
																								$max_stock = 0;
																								$reorder = 0;
																							}else{
																								foreach($stock_alert_settings as $settings){
																									$minimum_stock = $settings['minimum_stock'];
																									$maximum_stock = $settings['maximum_stock'];
																									$reorder_level = $settings['reorder_level'];
																								}
																								$min_stock = floatval($minimum_stock) * floatval($get_average_monthly_consumption);
																								$max_stock = floatval($maximum_stock) * floatval($get_average_monthly_consumption);
																								$reorder = floatval($reorder_level) * floatval($get_average_monthly_consumption);
																							}
																							$balance = $objHospital->get_pharmacy_balance($product_id, $hospital_id);
																							//$balance = floatval($total_in) - floatval($total_out);
																							if($balance > $min_stock){
																								//echo '<tr><td colspan="7" style="color:red;"><center>There are no stock alerts at the moment</center></td></tr>';
																							}else{
																								echo'
																								<tr>
																									<td><center>'.$product_id.'</center></td>
																									<td><center>'.$product_name.'</center></td>
																									<td><center>'.$product_brand.'</center></td>
																									<td><center>';
																									if(empty($get_sold_products)){
																										echo '<span style="color:blue;">'.$total_in.'</span>';
																									}else{
																										//$balance = floatval($total_in) - floatval($total_out);
																										echo '<span style="color:blue;">'.$balance.'</span>';
																									}
																									echo'</center></td>
																									<td><center>'.number_format(floatval($min_stock),0,0,',').'</center></td>
																									<td><center>'.number_format(floatval($reorder),0,0,',').'</center></td>
																									<td><center>';
																									//Check if there is a product order for this product
																									$check_order = $objHospital->check_for_product_order($product_id,$dpt_name,$hospital_id);
																									if(empty($check_order)){
																										echo'<button class="badge badge-danger reorder_button" data-toggle="modal" data-target="#make_product_order_modal" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'" data-product-name="'.$product_name.'" data-department="'.$dpt_name.'" data-sold-as="'.$sold_as.'">Make Order</button>';
																									}else{
																										echo'<div class="badge badge-success">Order Sent</div>';
																									}
																										
																										
																										echo'</center>
																									</td>
																								</tr>
																								
																								';
																							}
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="expiries" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<div class="row d-flex justify-content-between">
																		<h5 style="color:Black;">Expiry Alerts</h5>
																		<a class="btn btn-info" style="color:#ffffff;" data-target="#expiry_alert_settings_modal" data-toggle="modal"><i class="fa fa-plus"></i>&nbsp; Expiry Alert Settings</a>
																	</div>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Product ID</center></th>
																					<th scope="col"><center>Product Name</center></th>
																					<th scope="col"><center>Expiry Date</center></th>
																					<th scope="col"><center>Period to Expiry (Months)</center></th>
																					<th scope="col"><center>Qty to Expire</center></th>
																					<th scope="col"><center>Total Cost</center></th>
																					<th scope="col"><center>Make Order</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_expiry_alerts = $objHospital->get_expiry_alerts($user_id,$dpt_name);
																					if(empty($get_expiry_alerts)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no products added yet</center></td></tr>';
																					}else{
																						foreach($get_expiry_alerts as $alert){
																							$product_id  = $alert['product_id'];
																							$product_name = $alert['product_name'];
																							$expiry_date = $alert['exp_date'];
																							$period_to_expiry = $alert['period_to_expiry'];
																							$total_cost = $alert['total_cost'];
																							$hospital_id = $alert['hospital_id'];
																							
																							if($alert['quantity_received'] == 0){
																								$total_unit_quantity = 0;
																							}else{
																								$total_unit_quantity = $alert['quantity_received'];
																							}
																							
																							//Check exp alert settings
																							$expiry_alert_settings = $objHospital->get_expiry_alert_settings($user_id);
																							if(empty($expiry_alert_settings)){
																								$exp_period = 3;
																							}else{
																								foreach($expiry_alert_settings as $settings){
																									$exp_period = $settings['period_to_expiry'];
																								}
																							}
																							
																							if($period_to_expiry <= $exp_period){
																								echo'
																								<tr>
																									<td><center>'.$product_id.'</center></td>
																									<td><center>'.$product_name.'</center></td>
																									<td><center>'.$expiry_date.'</center></td>
																									<td><center><span style="color:red;">'.$period_to_expiry.'</span></center></td>
																									<td><center><span style="color:red;">'.number_format(floatval($total_unit_quantity),0,0,',').'</span></center></td>
																									<td><center><span style="color:red;">'.number_format(floatval($total_cost),0,0,',').'</span></center></td>
																									<td>';
																									//Check if there is a product order for this product
																									$check_order = $objHospital->check_for_product_order($product_id,$dpt_name,$hospital_id);
																									if(empty($check_order)){
																										echo'<button class="badge badge-danger reorder_button" data-toggle="modal" data-target="#make_product_order_modal" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'" data-product-name="'.$product_name.'" data-department="'.$dpt_name.'">Make Order</button>';
																									}else{
																										echo'<div class="badge badge-success">Order Sent</div>';
																									}
																										
																										
																										echo'</center>
																									</td>
																								</tr>
																								
																								';
																							}
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="purchases" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<a class="btn btn-info" href="equipment.php?user_id=<?php echo $user_id;?>&department=<?php echo $dpt_name;?>"><i class="fa fa-tachometer"></i>&nbsp; Equipment</a>
																		<a class="btn btn-info" style="color:#ffffff;" data-target="#add_services_modal" data-toggle="modal"><i class="fa fa-list"></i>&nbsp; Add Services</a>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">Purchases</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Services ID</center></th>
																					<th scope="col"><center>Service Name</center></th>
																					<th scope="col"><center>Description</center></th>
																					<th scope="col"><center>Cost</center></th>
																					<th scope="col"><center>No of Patients</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_all_services = $objHospital->get_services($user_id,$dpt_name);
																					if(empty($get_all_services)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no services added yet</center></td></tr>';
																					}else{
																						foreach($get_all_services as $service){
																							$service_id  = $service['service_id'];
																							$hospital_id = $service['hospital_id'];
																							$department_name = $service['department_name'];
																							$service_name = $service['service_name'];
																							$description = $service['description'];
																							$cost = $service['cost'];
																							
																							//Lets cut the number of words 
																							if(strlen($description)>50){
																								$desc = substr($description,0,50).'...';
																							}else{
																								$desc = $description;
																							}
																							
																							echo'
																							<tr>
																								<td><center>'.$service_id.'</center></td>
																								<td><center>'.$service_name.'</center></td>
																								<td><center>'.$desc.'</center></td>
																								<td><center>'.$cost.'</center></td>
																								<td><center>_</center></td>
																								<td>
																									<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
																									<div class="dropdown-menu dropdown-menu-left">
																										<button class="badge badge-dark view_service_button"  data-toggle="modal"  data-target="#view_services_modal" data-service-id="'.$service_id.'" data-hospital-id="'.$hospital_id.'" data-service-name="'.$service_name.'">View Details</button>
																										<button class="badge badge-warning edit_service_button"  data-toggle="modal" data-target="#edit_services_modal" data-service-id="'.$service_id.'" data-hospital-id="'.$hospital_id.'" data-service-name="'.$service_name.'">Edit Service</button>
																										<button class="badge badge-danger delete_service_button"  data-toggle="modal" data-target="#delete_service_button" data-service-id="'.$service_id.'" data-hospital-id="'.$hospital_id.'" data-service-name="'.$service_name.'">Delete Service</button>
																									</div>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="sales" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">Sales</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Date</center></th>
																					<th scope="col"><center>Product Name</center></th>
																					<th scope="col"><center>Strength</center></th>
																					<th scope="col"><center>Quantity Sold</center></th>
																					<th scope="col"><center>Unit Price</center></th>
																					<th scope="col"><center>Total Sales</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_dispensed_prescriptions = $objHospital->get_dispensed_prescriptions($user_id);
																					if(empty($get_dispensed_prescriptions)){
																						echo'<tr><td colspan="6" style="color:red;"><center>There are no products dispensed yet</center></td></tr>';
																					}else{
																					    $overall_total = 0;
																						foreach($get_dispensed_prescriptions as $dispensed){
																							$dispense_date  = $dispensed['dispense_date'];
																							$product_name = $dispensed['product_name'];
																							$product_strength = $dispensed['product_strength'];
																							$amount_dispensed = $dispensed['amount_dispensed'];
																							$unit_cost = $dispensed['unit_cost'];
																							$total_cost = floatval($amount_dispensed)*floatval($unit_cost);
																							$overall_total += $total_cost;
																							echo'
																							<tr>
																								<td><center>'.date('d-m-Y',strtotime($dispense_date)).'</center></td>
																								<td><center>'.$product_name.'</center></td>
																								<td><center>'.$product_strength.'</center></td>
																								<td><center>'.$amount_dispensed.'</center></td>
																								<td><center>'.$unit_cost.'</center></td>
																								<td><center>'.number_format(floatval($total_cost),0,0,',').'</center></td>
																							</tr>
																							
																							';
																						}
																					}
																					
																					$quantity_dispensed = $objHospital->get_total_quantity_sold($user_id);
																					$total_fees_paid = $objHospital->get_total_fees_paid($user_id);
																				?>
																			</tbody>
																			<tfoot>
																			<?php
																				$get_dispensed_prescriptions = $objHospital->get_dispensed_prescriptions($user_id);
																				if(empty($get_dispensed_prescriptions)){
																					//Do nothing
																				}else{
																					echo'<tr>
																						<th style="color:blue;"><center>Total</center></th>
																						<th> </th>
																						<th> </th>
																						<th style="color:blue;"><center>'.$quantity_dispensed.'</center></th>
																						<th> </th>
																						<th style="color:blue;"><center>'.number_format(floatval($overall_total),0,0,',').'</center></th>
																					</tr>';
																				}
																			?>
																			</tfoot>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="supplies" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-header">
																	<h5 style="text-align:right;"><a class="btn btn-info" data-toggle="collapse" href="#add_a_brand" aria-expanded="false" aria-controls="patient">
																		<i class="fa fa-plus"></i>
																		<span class="menu-title"><b>Stock Order</b></span>
																		<i class="menu-arrow"></i>
																	</a></h5>
																</div>
																<div class="card-body">
																	<div class="img-container collapse" id="add_a_brand">
																		<form method="post" class="form-sample" id="order_supplies_form">
																		  <div class="col-md-12">
																			<div class="card">
																				<table class="table primary-table-bg-hover">
																					<thead>
																						<tr>
																							<th scope="col"><center>Product Name</center></th>
																							<th scope="col"><center>Quantity</center></th>
																							<th scope="col"><center>Action</center></th>
																						</tr>
																					</thead>
																					<tbody class="add_request_product_body">
																						<tr>
																							<td><center><select name="order_store_product_name[]" type="text" class="form-control order_store_product_name">
																								<?php
																								$get_products = $objHospital->get_store_products_by_user_id($user_id);
																								if(empty($get_products)){
																									echo'<option value="none">No Products added yet</option>';
																								}else{
																									foreach($get_products as $products){
																										$product_id = $products['store_product_id'];
																										$product_name = $products['product_name'];
																										$hospital_id = $products['hospital_id'];
																										$unit_strength = $products['unit_strength'];
																										$dosage_unit = $products['dosage_unit'];
																										
																										//Get SI Units
																										$get_product_units = $objHospital->get_product_units_by_id($dosage_unit,$user_id);
																										if(empty($get_product_units)){
																											$unit_symbol = '';
																										}else{
																											foreach($get_product_units as $product){
																												$unit_symbol = $product['unit_symbol'];
																											}
																										}
																										
																										if(empty($unit_strength)){
																											$strength = '';
																										}else{
																											$strength = '(Strength - '.$unit_strength.' '.$unit_symbol.')';
																										}
																										echo'<option value="'.$product_id.'">'.$product_name.' '.$strength.'</option>';
																									}
																								}
																								?>
																								</select><center>
																							</td>
																							<td><center><input name="order_store_quantity[]" type="text" class="form-control" /><center></td>
																							<td><center><button type="button" class="btn btn-badge btn-success add_request_product_btn">Add Item</button></center></td>
																						</tr>
																					</tbody>
																					<tfoot>
																						<tr>
																							<td colspan="3">
																								<div class="d-flex justify-content-center">
																								<input type="hidden" name="order_store_user_id" value="<?php echo $user_id?>">
																								<input type="hidden" name="order_store_dept" value="<?php echo $dpt_name?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="place_order_btn"><span style="font-size:16px;">Place Order</span></button>
																							</div>
																							</td>
																						</tr>
																					</tfoot>
																				</table>
																			</div>
																		  </div>
																		</form>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Order ID</center></th>
																					<th scope="col"><center>Item Name</center></th>
																					<th scope="col"><center>Qty Ordered</center></th>
																					<th scope="col"><center>Status</center></th>
																					<th scope="col"><center>Requested By</center></th>
																					<th scope="col"><center>Request Date</center></th>
																					<th scope="col"><center>Qty Issued</center></th>
																					<th scope="col"><center>Issue Date</center></th>
																					<th scope="col"><center>Confirm Receipt</center></th>
																				</tr>
																			</thead>
																			<tbody id="all_brands_body">
																				<?php
																					$get_orders = $objHospital->get_department_orders($user_id,$dpt_name);
																					if(empty($get_orders)){
																						echo '<tr><td colspan="9" style="color:green"><center>There are no orders made yet</center></td></tr>';
																					}else{
																						foreach($get_orders as $order){
																							$order_id = $order['order_product_id'];
																							$hospital_id = $order['hospital_id'];
																							$department_name = $order['department_name'];
																							$product_id = $order['product_id'];
																							$product_name = $order['product_name'];
																							$order_qty = $order['order_qty'];
																							$order_date = date('d-m-Y',strtotime($order['order_date']));
																							$issued = $order['issued'];
																							if(date('d-m-Y',strtotime($order['issue_date'])) == '01-01-1970'){
																								$issue_date = '_';
																							}else{
																								$issue_date = date('d-m-Y',strtotime($order['issue_date']));
																							}
																							$quantity_issued = $order['quantity_issued'];
																							$difference = $order['difference'];
																							$confirmed = $order['confirmed'];
																							echo'<tr>
																							<td><center>'.$order_id.'</center></td>
																							<td><center>'.$product_name.'</center></td>
																							<td><center>'.$order_qty.'</center></td>
																							<td><center>';
																							if($issued == 'yes'){
																								echo'<div class="badge badge-primary">Issued</div>';
																							}else{
																								echo'<div class="badge badge-danger">Pending</div>';
																							}
																							echo'</center></td>
																							<td><center>';
																							$get_user = $objHospital->get_user($user_id);
																							foreach($get_user as $user){
																								$first_name = $user['first_name'];
																								$last_name = $user['last_name'];
																								echo $first_name.' '.$last_name;
																							}
																							echo'</center></td>
																							<td><center>'.$order_date.'</center></td>
																							<td style="color:blue;"><center>';
																							if($issued == 'yes'){
																								echo $quantity_issued;
																							}else{
																								echo '0';
																							}
																							echo'</center></td>
																							<td style="color:blue;"><center>'.$issue_date.'</center></td>
																							<td id="confirm'.$product_id.'"><center>';
																							if($confirmed == 'yes'){
																								echo'<div style="color:blue;">Confirmed</div>';
																							}else{
																								
																								if($issued == 'yes'){
																									echo'<button class="btn btn-info confirm_receipt_btn" data-product-id="'.$product_id.'" data-user-id="'.$user_id.'" data-order-id="'.$order_id.'" data-hospital-id="'.$hospital_id.'" data-quantity-issued="'.$quantity_issued.'" data-dept-name="'.$department_name.'" data-product-name="'.$product_name.'"><b>Yes</b></button>';
																								}else{
																									echo '_';
																								}
																							}
																							echo'</center></td>
																							</tr>';
																							
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														
														
														
														
														
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="stock_alert_settings_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="height:35rem; width:70rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Stock Alert Settings<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<h5 style="text-align:right;">
																		<a class="badge badge-info" data-toggle="collapse" href="#add_a_brand" aria-expanded="false" aria-controls="patient">
																			<i class="fa fa-plus"></i>
																			<span class="menu-title"><b>Change Settings</b></span>
																			<i class="menu-arrow"></i>
																		</a></h5>
																		<div class="img-container collapse" id="add_a_brand">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_stock_alert_settings_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Minimum Stock:</label>
																							<label class="col-sm-5 col-form-label" style="color:blue; font-size:16px;">Average Monthly Consumption x </label>
																							<div class="col-sm-4">
																							  <input name="stock_alert_minimum_stock" type="text" class="form-control" placeholder="E.g. 0.5 or 1 or 2 or 3 or 4"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																						    <label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Maximum Stock:</label>
																							<label class="col-sm-5 col-form-label" style="color:blue; font-size:16px;">Average Monthly Consumption x </label>
																							<div class="col-sm-4">
																							  <input name="stock_alert_maximum_stock" type="text" class="form-control" placeholder="E.g. 0.5 or 1 or 2 or 3 or 4"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Re-Order Level:</label>
																							<label class="col-sm-5 col-form-label" style="color:blue; font-size:16px;">Average Monthly Consumption x </label>
																							<div class="col-sm-4">
																							  <input name="stock_alert_reorder_level" type="text" class="form-control" placeholder="E.g. 0.5 or 1 or 2 or 3 or 4"/>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="stock_alert_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Settings</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																		<div class="table-responsive">
																			<table class="table primary-table-bg-hover">
																				<thead>
																					<tr>
																						<th scope="col"><center>Minimum Stock</center></th>
																						<th scope="col"><center>Maximum Stock</center></th>
																						<th scope="col"><center>Re-Order Level</center></th>
																						<th scope="col"><center>Action</center></th>
																					</tr>
																				</thead>
																				<tbody>
																					<?php
																					$stock_alert_settings = $objHospital->get_stock_alert_settings($user_id);
																					if(empty($stock_alert_settings)){
																						echo'<tr><td colspan="4"><center><span style="color:red;">No settings added yet</span></center></td></tr>';
																					}else{
																						foreach($stock_alert_settings as $settings){
																							$stock_alert_settings_id  = $settings['stock_alert_settings_id'];
																							$minimum_stock = $settings['minimum_stock'];
																							$maximum_stock = $settings['maximum_stock'];
																							$reorder_level = $settings['reorder_level'];
																							echo'
																							<tr>
																								<td><center><span style="color:blue;">'.$minimum_stock.' x Average Monthly Consumption</span></center></td>
																								<td><center><span style="color:blue;">'.$maximum_stock.' x Average Monthly Consumption</span></center></td>
																								<td><center><span style="color:blue;">'.$reorder_level.' x Average Monthly Consumption</span></center></td>
																								<td><center><button class="btn btn-rounded btn-warning">Edit</button></center></td>
																							</td>
																							';
																						}
																					}
																					?>
																				</tbody>
																			</table>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="expiry_alert_settings_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="height:20rem; width:35rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Expiry Alert Settings<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<h5 style="text-align:right;">
																		<a class="badge badge-info" data-toggle="collapse" href="#expiry_alert_collapse" aria-expanded="false" aria-controls="patient">
																			<i class="fa fa-plus"></i>
																			<span class="menu-title"><b>Change Settings</b></span>
																			<i class="menu-arrow"></i>
																		</a></h5>
																		<div class="img-container collapse" id="expiry_alert_collapse">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_expiry_alert_settings_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-4 col-form-label" style="color:black; font-size:16px;">Period to expiry:</label>
																							<div class="col-sm-5">
																							  <input name="expiry_alert_period" type="text" class="form-control" placeholder="E.g. 0.5 or 1 or 2 or 3 or 4"/>
																							</div>
																							<label class="col-sm-3 col-form-label" style="color:blue; font-size:16px;">Months</label>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="expiry_alert_user_id" value="<?php echo $user_id?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Settings</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																		<div class="table-responsive">
																			<table class="table primary-table-bg-hover">
																				<thead>
																					<tr>
																						<th scope="col"><center>Alert Period to Expiry</center></th>
																						<th scope="col"><center>Action</center></th>
																					</tr>
																				</thead>
																				<tbody>
																					<?php
																					$expiry_alert_settings = $objHospital->get_expiry_alert_settings($user_id);
																					if(empty($expiry_alert_settings)){
																						echo'<tr><td colspan="2"><center><span style="color:red;">No settings added yet</span></center></td></tr>';
																					}else{
																						foreach($expiry_alert_settings as $settings){
																							$expiry_alert_settings_id  = $settings['period_to_expiry'];
																							$period_to_expiry = $settings['period_to_expiry'];
																							echo'
																							<tr>
																								<td><center><span style="color:blue;">'.$period_to_expiry.' Months</span></center></td>
																								<td><center><button class="btn btn-rounded btn-warning">Edit</button></center></td>
																							</td>
																							';
																						}
																					}
																					?>
																				</tbody>
																			</table>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_brand_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">All Product Brands<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<h5 style="text-align:right;"><a class="badge badge-success" data-toggle="collapse" href="#add_a_brand" aria-expanded="false" aria-controls="patient">
																			<i class="fa fa-plus"></i>
																			<span class="menu-title"><b>Add a Brand</b></span>
																			<i class="menu-arrow"></i>
																		</a></h5>
																		<div class="img-container collapse" id="add_a_brand">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_brand_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Brand Name:</label>
																							<div class="col-sm-9">
																							  <input name="brand_name" type="text" class="form-control" placeholder="Eg. Cipla, Morderna...etc"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
																							<div class="col-sm-9">
																							  <textarea name="brand_description" type="text" rows="2" style="height:100%;" class="form-control" ></textarea>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="brand_user_id" value="<?php echo $user_id?>">
																								<input type="hidden" name="brand_department" value="<?php echo $dpt_name?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Brand</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																		<div class="table-responsive">
																			<table class="table primary-table-bg-hover">
																				<thead>
																					<tr>
																						<th scope="col"><center>Brand ID</center></th>
																						<th scope="col"><center>Brand Name</center></th>
																						<th scope="col"><center>Description</center></th>
																						<th scope="col"><center>Delete</center></th>
																					</tr>
																				</thead>
																				<tbody id="all_brands_body">
																				</tbody>
																			</table>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_category_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">All Product Categories<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<h5 style="text-align:right;"><a class="badge badge-success" data-toggle="collapse" href="#add_a_category" aria-expanded="false" aria-controls="category">
																			<i class="fa fa-plus"></i>
																			<span class="menu-title"><b>Add a Product Category</b></span>
																			<i class="menu-arrow"></i>
																		</a></h5>
																		<div class="img-container collapse" id="add_a_category">
																			<div class="card add_category_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_category_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Category Name:</label>
																							<div class="col-sm-9">
																							  <input name="product_category_name" type="text" class="form-control" placeholder="Eg. Medicine, Sundries, Herbal, Home Care...etc"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
																							<div class="col-sm-9">
																							  <textarea name="category_description" type="text" rows="2" style="height:100%;" class="form-control" ></textarea>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="category_user_id" value="<?php echo $user_id?>">
																								<input type="hidden" name="category_department" value="<?php echo $dpt_name?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Category</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																		<div class="table-responsive">
																			<table class="table primary-table-bg-hover">
																				<thead>
																					<tr>
																						<th scope="col"><center>Category ID</center></th>
																						<th scope="col"><center>Category Name</center></th>
																						<th scope="col"><center>Description</center></th>
																						<th scope="col"><center>Delete</center></th>
																					</tr>
																				</thead>
																				<tbody id="all_categories_body">
																				</tbody>
																			</table>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="new_stock_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:85rem; margin-left:-15rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Refill Product Stock<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="row grid">
																				<div class="col-xl-3" style="overflow-y:scroll; overflow-x:auto; height:36rem;">
																					<div class="grid-col">
																						<div class="row">
																							<div class="form-group">
																								<label><span style="color:black; font-size:16px;">Search Product</span></label>
																								<input type="text" style="width:19rem;" class="form-control" name="search_pharmacy_term" id="search_pharmacy_term"><i class="fa fa-serch"></i>
																							</div>
																						</div>
																						<div class="row">
																							<div class="form-group" id="searched_medicine" style="width:17rem;">
																								
																							</div>
																						</div>
																					</div>
																				</div>
																				<div class="col-xl-9" style="border-radius:10px; border:solid; overflow-y:scroll;">
																					<div class="grid-col">
																						<div class="row">
																							<div class="form-group">
																								<center><label><span style="color:black; font-size:16px;">Product Details:</span></label></center>
																								<div style="background:grey; height:2px; width:60rem;"></div>
																									<div class="table-responsive">
																										<form method="post" id="refill_stock_form">
																											<table class="table primary-table-bg-hover">
																												<thead>
																													<tr>
																														<th scope="col"><center>Product Name</center></th>
																														<th scope="col"><center>Strength</center></th>
																														<th scope="col"><center>Brand</center></th>
																														<th scope="col"><center>Quantity</center></th>
																														<th scope="col"><center>No of PPI</center></th>
																														<th scope="col"><center>Exp Date</center></th>
																														<th scope="col"><center>Lot No</center></th>
																														<th scope="col"><center>Buy Price</center></th>
																														<th scope="col"><center>Sell Price</center></th>
																														<th scope="col"><center>Remove</center></th>
																													</tr>
																												</thead>
																												<tbody class="searched_term_body">
																													<!----All visits go here--->
																												</tbody>
																												<tfoot>
																												<tr>
																												<td colspan="2"><b>Supplier Name</b></td>
																												<td colspan="2"><select name="supplier_name" type="text" class="form-control">
																												<?php
																												$get_all_vendors = $objHospital->get_all_vendors($user_id);
																												if(empty($get_all_vendors)){
																													echo'<option>There are no suppliers added yet</option>';
																												}else{
																													foreach($get_all_vendors as $vendor){
																														$vendor_name = $vendor['vendor_name'];
																														echo '<option>'.$vendor_name.'</option>';
																													}
																												}
																													
																												?></select></td>
																												<td colspan="2"><b>Invoice #</b></td>
																												<td colspan="1"><input name="supplier_invoice" type="text" class="form-control"/></td>
																												<td colspan="1"><b>Supply Date</b></td>
																												<td colspan="2"><input name="date_received" type="date" class="form-control"/></td>
																											</tr>
																													<tr>
																														<td colspan="10"><center><i>No of PPI = Number of Patients worked on Per Item</i></center></td>
																													</tr>
																													<tr>
																														<td colspan="10"><center><button type="submit" class="btn btn-primary">Submit</button></center></td>
																													</tr>
																												</tfoot>
																											</table>
																										</form>
																									</div>
																							</div>
																						</div>
																					</div>
																				</div>
																			</div>
																			
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_product_modal" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:85rem; height:38rem; margin-left:-280px; overflow:auto;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add a Product<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<form method="post" class="form-sample" id="add_product_form">
																	<div class="modal-body results_modal_body" style="height:38rem;">
																		<div class="img-container" id="add_a_category">
																			<div class="card add_product_card">
																				<table class="table primary-table-bg-hover">
																					<thead>
																						<tr>
																							<th scope="col"><center>Product Name</center></th>
																							<th scope="col"><center>Strength</center></th>
																							<th scope="col"><center>Units</center></th>
																							<th scope="col"><center>Sold As</center></th>
																							<th scope="col"><center>Route</center></th>
																							<th scope="col"><center>Brand</center></th>
																							<th scope="col"><center>Category</center></th>
																							<th scope="col"><center></center></th>
																							<th scope="col"><center>Buying Price</center></th>
																							<th scope="col"><center>Selling Price</center></th>
																							<th scope="col"><center>Action</center></th>
																						</tr>
																					</thead>
																					<tbody class="add_product_body">
																						<tr>
																							<td><input name="product_name[]" type="text" class="form-control" placeholder="Eg. Panadol, Carbol Fuchsin, Tongs ...etc"/></td>
																							<td><input name="unit_strength[]" type="text" class="form-control" placeholder="No Commas"/></td>
																							<td>
																								<select name="product_unit[]" type="text" class="form-control">
																									<?php
																									$get_product_units = $objHospital->get_product_units($user_id);
																									if(empty($get_product_units)){
																										echo'<option>No Units added yet</option>';
																									}else{
																										foreach($get_product_units as $product){
																											$unit_id = $product['product_unit_id'];
																											$unit_name = $product['unit_name'];
																											$unit_symbol = $product['unit_symbol'];
																											echo'<option value="'.$unit_id.'">'.$unit_name.'('.$unit_symbol.') </option>';
																										}
																									}
																									?>
																								</select>
																							</td>
																							<td>
																								<select name="product_sold_as[]" type="text" class="form-control">
																									<option>Tablet</option>
																									<option>Capsule</option>
																									<option>Piece</option>
																									<option>Syrup</option>
																									<option>Bottle</option>
																									<option>Packet</option>
																									<option>Box</option>
																									<option>Strip</option>
																									<option>Vial</option>
																									<option>Ampule</option>
																									<option>Reagent</option>
																								</select>
																							</td>
																							<td>
																								<select name="product_route[]" type="text" class="form-control">
																									<option>N/A</option>
																									<option>PO (by mouth)</option>
																									<option>PR (per rectum)</option>
																									<option>IM (intramuscular)</option>
																									<option>IV (intravenous)</option>
																									<option>ID (intradermal)</option>
																									<option>IN (intranasal)</option>
																									<option>TP (topical)</option>
																									<option>SL (sublingual)</option>
																									<option>BUCC (buccal)</option>
																									<option>IP (intraperitoneal)</option>
																								</select>
																							</td>
																							<td>
																								<input name="product_brand[]" type="text" class="form-control">
																							</td>
																							<td>
																								<select name="product_category[]" type="text" class="form-control">
																								<?php
																								$get_categories = $objHospital->get_product_categories($user_id);
																								if(empty($get_categories)){
																									echo'<option>No Brands added yet</option>';
																								}else{
																									foreach($get_categories as $category){
																										$category_name = $category['category_name'];
																										echo'<option>'.$category_name.'</option>';
																									}
																								}
																								?>
																								</select>
																							</td>
																							<td> </td>
																							<td><input name="buying_price[]" type="text" class="form-control" placeholder="No Commas"/></td>
																							<td><input name="selling_price[]" type="text" class="form-control" placeholder="No Commas"/></td>
																							<td><button type="button" class="btn btn-badge btn-success add_new_product_btn">Add</button></td>
																						</tr>
																					</tbody>
																				</table>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<div class="row">
																			<div class="col-md-12">
																				<div class="d-flex justify-content-between">
																					<input type="hidden" name="product_user_id" value="<?php echo $user_id?>">
																					<input type="hidden" name="product_department" value="<?php echo $dpt_name?>">
																					<input name="qty_received[]" type="hidden" class="form-control"/>
																					<input name="supplier_name" type="hidden" class="form-control"/>
																					<input name="date_received" type="hidden" class="form-control"/>
																					<button type="submit" class="btn btn-lg btn-primary px-4 mr-2 my-1" id="save"><span style="font-size:16px;">Save Product</span></button>
																					<button type="button" data-dismiss="modal" class="btn btn-dark px-4 mr-2 my-1">Cancel</button>
																				</div>
																			</div>
																		  </div>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="edit_product_modal" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:90rem; height:22rem; margin-left:-300px; margin-top:-150px; overflow-x:auto;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Edit <span style="color:blue;" id="product_name_header"></span> Details</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" style="height:38rem;">
																		<div class="img-container" id="edit_a_product_container">
																			<!--------Product details go here---->
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="view_product_modal" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:90rem; height:22rem; margin-left:-300px; margin-top:-100px; overflow-x:auto;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">View <span style="color:blue;" id="view_product_name_header"></span> Details</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body view_product_modal_body" style="height:38rem;">
																		<div  id="view_a_product_container">
																			<!--------Product details go here---->
																		</div>
																	</div>
																</div>
															</div>
														</div>
																
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="make_product_order_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" style="height:25rem;">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="margin-top:200px;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Make Order for: <span style="color:blue;" id="make_order_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card make_order_card" >
																				<!---Order form--->
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="edit_services_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:75rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Edit <span style="color:blue;" id="edit_service_header"></span> Service</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card edit_service_card" style="width:70rem;">
																				<!---View equipment here--->
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade bd-example-modal-lg" id="dispense_medicine_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-lg">
																	<div class="modal-content" style="width:89rem; margin-left:-17rem; overflow-x:scroll;">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Dispense Medicine Prescibed for: <span id="dispense_header" style="color:blue;"></span></h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<form method="post" id="dispense_medicine_form">
																		<div class="modal-body results_modal_body">
																			<div class="img-container d-flex justify-content-between">
																				<div class="col-xl-10" style="border-radius:10px; border:solid; overflow-y:scroll;">
																					<div class="grid-col">
																						<div class="row">
																							<div class="col-md-12">
																									<div class="table-responsive">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col"><center>Medicine</center></th>
																													<th scope="col"><center>Strength</center></th>
																													<th scope="col"><center>Dosage</center></th>
																													<th scope="col"><center>Unit</center></th>
																													<th scope="col"><center>Frequency</center></th>
																													<th scope="col"><center>Period</center></th>
																													<th scope="col"><center>Timeline</center></th>
																													<th scope="col"><center>Qty Prescribed</center></th>
																													<th scope="col"><center>Qty Dispensed</center></th>
																													<th scope="col"><center>Status</center></th>
																													<th scope="col"><center>Remove</center></th>
																												</tr>
																											</thead>
																											<tbody class="prescriptions_body">
																												<!----All visits go here--->
																											</tbody>
																										</table>
																									</div>
																							</div>
																						</div>
																					</div>
																				</div>
																				<div class="col-xl-2" style="height:31rem; background-color:#87CEEB; border-radius:5px; overflow-x:auto;">
																						<div class="grid-col">
																							<div class="row d-flex justify-content-center" style>
																								<label><span style="color:black; font-size:16px; font-weight:bold;">FEFO Corner</span></label>
																							</div>
																							<div class="row">
																								<div class="col-md-12">
																									<table class="table table-bg-hover" style="width:100%;">
																										<thead>
																											<tr>
																												<th scope="col"><center><b>Name</b></center></th>
																												<th scope="col"><center><b>Lot No</b></center></th>
																												<th scope="col"><center><b>Expiry</b></center></th>
																											</tr>
																										</thead>
																										<tbody id="prescription_fefo_corner">
																											<!-----Product expiries go here ---->
																										</tbody>
																									</table>
																								</div>
																							</div>
																						</div>
																					</div>
																			</div>
																			<input name="dispense_user_id" id="dispense_prescription_btn" type="hidden" value="<?php echo $user_id; ?>">
																			<center><button type="submit" class="btn btn-primary">Dispense</button>
																			<button data-dismiss="modal" aria-label="Close" class="btn btn-dark">Close</button></center>
																		</div>
																		</form>
																	</div>
																</div>
															</div>
														</div>
														
														
														<!-- Start popup dialog box -->
														<div class="col-md-12">
															<div class="modal fade bd-example-modal-lg" id="dispense_details_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-lg">
																	<div class="modal-content" style="width:85rem; margin-left:-300px; overflow-x:scroll;">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Medicine Dispensed for: <span id="dispense_details_header" style="color:blue;"></span></h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<div class="modal-body results_modal_body">
																			<div class="img-container">
																				<div class="col-xl-12" style="border-radius:10px; border:solid; overflow-y:scroll;">
																					<div class="grid-col">
																						<div class="row">
																							<div class="col-md-12">
																									<div class="table-responsive">
																										<table class="table primary-table-bg-hover">
																											<thead>
																												<tr>
																													<th scope="col"><center>Medicine</center></th>
																													<th scope="col"><center>Strength</center></th>
																													<th scope="col"><center>Quantity</center></th>
																													<th scope="col"><center>Unit</center></th>
																													<th scope="col"><center>Frequency</center></th>
																													<th scope="col"><center>Period</center></th>
																													<th scope="col"><center>Timeline</center></th>
																													<th scope="col"><center>Qty Prescribed</center></th>
																													<th scope="col"><center>Qty Dispensed</center></th>
																													<th scope="col"><center>Date</center></th>
																												</tr>
																											</thead>
																											<tbody class="prescriptions_details_body">
																												<!----All visits go here--->
																											</tbody>
																										</table>
																									</div>
																							</div>
																						</div>
																					</div>
																				</div>
																			</div>
																			<center><button data-dismiss="modal" aria-label="Close" class="btn btn-dark">Close</button></center>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<div class="modal fade bd-example-modal-lg" id="walk_in_patient_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
																<div class="modal-dialog modal-lg">
																	<div class="modal-content" style="width:87rem; height:45rem; margin-left:-17rem; margin-top:-20px; overflow-x:auto;">
																		<div class="modal-header">
																			<h5 class="modal-title" id="modalLabel">Walk-in Patient Dispensary </h5>
																			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																				<span aria-hidden="true">×</span>
																			</button>
																		</div>
																		<form method="post" enctype="multipart/form-data" id="save_prescription_form">
																		<div class="modal-body results_modal_body">
																			<div class="img-container" style="height: 31rem;">
																				<div class="row grid">
																					<div class="col-xl-3" style="overflow-y:scroll; height:31rem;">
																						<div class="grid-col">
																							<div class="row">
																								<div class="form-group">
																									<label><span style="color:black; font-size:16px;">Search Medicine</span></label>
																									<input type="text" style="width:23rem; border:solid #E5E4E2; border-radius:5px;" class="form-control" name="search_pharmacy_term" id="walkin_search_pharmacy_term"><i class="fa fa-serch"></i>
																								</div>
																							</div>
																							<div class="row">
																								<div class="form-group" id="walkin_searched_medicine">
																									
																								</div>
																							</div>
																						</div>
																					</div>
																					<div class="col-xl-7" style="overflow-y:scroll; height:31rem; border-radius:10px; border:solid;">
																						<div class="form-row">
																							<div class="form-group col-md-6">
																								<label class="col-form-label" style="color:black; font-size:16px;">Patient Name:</label>
																								<input name="walkin_patient_name" type="text" class="form-control" />
																							</div>
																							<div class="form-group col-md-3">
																								<label class="col-form-label" style="color:black; font-size:16px;">Gender:</label>
																								<input name="walkin_gender" type="text" class="form-control" />
																							</div>
																							<div class="form-group col-md-3">
																								<label class="col-form-label" style="color:black; font-size:16px;">Age:</label>
																								<input name="walkin_age" type="text" class="form-control"/>
																							</div>
																						</div>
																						<div class="grid-col" style="">
																							<div class="row">
																								<div class="table-responsive">
																									<table class="table primary-table-bg-hover" id="walkin_patient_dispense_table">
																										<thead>
																											<tr>
																												<th scope="col"><center>ID</center></th>
																												<th scope="col"><center>Medicine</center></th>
																												<th scope="col"><center>Brand</center></th>
																												<th scope="col"><center>Strength</center></th>
																												<th scope="col"><center>Unit</center></th>
																												<th scope="col"><center>Quantity Dispensed</center></th>
																												<th scope="col"><center>Cost Per Unit(Ugx)</center></th>
																												<th scope="col"><center>Remove</center></th>
																											</tr>
																										</thead>
																										<tbody class="walkin_searched_term_body">
																											<!----All visits go here--->
																										</tbody>
																									</table>
																								</div>
																							</div>
																						</div>
																					</div>
																					<div class="col-xl-2" style="height:31rem; background-color:#87CEEB; border-radius:5px;">
																						<div class="grid-col">
																							<div class="row d-flex justify-content-center" style>
																								<label><span style="color:black; font-size:16px; font-weight:bold;">FEFO Corner</span></label>
																							</div>
																							<div class="row">
																								<div class="col-md-12">
																									<table class="table table-bg-hover" style="width:100%;">
																										<thead>
																											<tr>
																												<th scope="col"><center><b>Name</b></center></th>
																												<th scope="col"><center><b>Lot No</b></center></th>
																												<th scope="col"><center><b>Expiry</b></center></th>
																											</tr>
																										</thead>
																										<tbody id="fefo_corner">
																											<!-----Product expiries go here ---->
																										</tbody>
																									</table>
																								</div>
																							</div>
																						</div>
																					</div>
																				</div>
																			</div>
																			<div class="row grid">
																				<div class="col-xl-2" style="height:2rem;">
																					<div class="grid-col"><span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></div>
																				</div>
																				<div class="col-xl-10">
																					<div class="grid-col">
																						<div class="form-row" style="height: 2rem;">
																							<div class="col-md-4">
																								<label class="col-form-label" style="color:black; font-size:25px; font-weight:bold; font-style:italic;">Amount Due:</label>
																								<label class="col-form-label" style="color:blue; font-size:25px; font-weight:bold; font-style:italic;" id="amount_to_pay"></label>
																							</div>
																							<div class="col-md-5 form-inline">
																								<label class="col-form-label" style="color:black; font-size:25px; font-weight:bold;">Paid:</label>
																								<input name="amount_paid" type="text" class="form-control" style="border-radius:10px; border:solid; height:50px; font-weight:bold; font-size:25px; color:green;" id="amount_paid"/>
																							</div>
																							<div class="col-md-3">
																								<label class="col-form-label" style="color:black; font-size:25px; font-weight:bold; font-style:italic;">Balance:</label>
																								<label class="col-form-label" style="color:blue; font-size:25px; font-weight:bold; font-style:italic;" id="due_to_customer"></label>
																							</div>
																						</div>
																					</div>
																				</div>
																			</div>
																		</div>
																		<div class="modal-footer">
																			<input type="hidden" name="walkin_user_id" value="<?php echo $user_id;?>"/>
																			<input type="hidden" name="total_amount_to_pay" id="total_amount_to_pay"/>
																			<input type="hidden" name="total_amount_paid" id="total_amount_paid"/>
																			<button type="submit" class="btn btn-primary" id="dispense_walkin_medicine_btn">Dispense</button>
																		</div>
																		</form>
																	</div>
																</div>
															</div>
															
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="stock_card_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Stock Card for <span style="color:blue;" id="stock_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">																		
																		<div class="table-responsive" id="stock_card_body">
																			<!---Stock card goes here--->
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
															
															
															
															
															
															
														

														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/pharmacy_department.js"></script>
	<style>
	.results_modal_body{
		height: 37rem;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	
	#product_details_table_body{
		height: 400px;
		overflow: hidden;
	}
	#product_details_table_body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>