<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	$dpt_name = 'Stores';
	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#orders" data-toggle="tab" class="nav-link active show"><i class="fa fa-shopping-cart"></i>&nbsp;Orders</a>
														</li>
														<li class="nav-item"><a href="#deliveries" data-toggle="tab" class="nav-link"><i class="fa fa-cubes"></i>&nbsp;Deliveries</a>
														</li>
													</ul>
													<div class="tab-content">
														
														<div id="orders" class="tab-pane fade active show">
															<div class="card" style="overflow-x:scroll;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<a class="btn btn-info" style="color:#ffffff;" id="add_stock_btn" data-target="#new_stock_modal" data-toggle="modal" data-new-stock-user-id="<?php echo $user_id;?>"><i class="fa fa-plus"></i>&nbsp; New Order</a>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">Order List</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Order ID</center></th>
																					<th scope="col"><center>Date</center></th>
																					<th scope="col"><center>Vendor Name</center></th>
																					<th scope="col"><center>Approval Status</center></th>
																					<th scope="col"><center>Approved By</center></th>
																					<th scope="col"><center>Delivery Status</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody id="orders_table_body">
																			<?php
																				$get_saved_orders = $objHospital->get_saved_orders($user_id);
																				if(empty($get_saved_orders)){
																					echo '<tr><td colspan="8" style="color:red;"><center>There are no orders saved yet </center></td></tr>';
																				}else{
																					foreach($get_saved_orders as $order){
																						$order_id = $order['order_tracking_id'];
																						$po_number = $order['po_number'];
																						$vendor_id = $order['vendor_id'];
																						$date_added = $order['date_added'];
																						$approval_date = $order['approval_date'];
																						$delivery_date = $order['delivery_date'];
																						$hospital_id = $order['hospital_id'];
																						$approval_id = $order['approval_id'];
																						$status = $order['status'];
																						
																						if($approval_date == '0000-00-00 00:00:00'){
																							$approval = '<div class="badge badge-sm badge-danger">Pending</div>';
																						}else{
																							$approval = '<div class="badge badge-sm badge-success">Approved</div>';
																						}
																						
																						if($status == 'Pending Approval'){
																							$status = '<div class="badge badge-sm badge-danger">Pending</div>';
																						}elseif($status == 'Approved'){
																							$status = '<div class="badge badge-sm badge-success">Approved</div>';
																						}elseif($status == 'Delivered'){
																							$status = '<div class="badge badge-sm badge-primary">Delivered</div>';
																						}
																						
																						//Get vendor details
																						$get_vendor = $objHospital->get_vendor_by_id($user_id,$vendor_id);
																						foreach($get_vendor as $vendor){
																							$vendor_name = $vendor['vendor_name'];
																						}
																						
																						//Get staff details
																						$get_staff_by_id = $objHospital->get_staff_details($approval_id,$user_id);
																						foreach($get_staff_by_id as $staff){
																							$first_name=$staff['first_name'];
																							$last_name=$staff['last_name'];
																						}
																						
																						echo'<tr>
																						<td><center>'.$po_number.'</center></td>
																						<td><center>'.date("d-m-Y",strtotime($date_added)).'</center></td>
																						<td><center>'.$vendor_name.'</center></td>
																						<td><center>'.$approval.'</center></td>
																						<td><center>'.$first_name.' '.$last_name.'</center></td>
																						<td><center>'.$status.'</center></td>
																						<td><center><button type="button" class="btn btn-sm btn-success view_order_btn" data-hospital-id="'.$hospital_id.'" data-order-id="'.$order_id.'" data-target="#view_order_modal" data-toggle="modal"><i class="fa fa-eye"></i></button>
																						<button class="btn btn-sm btn-danger delete_order_btn" data-hospital-id="'.$hospital_id.'" data-order-id="'.$order_id.'"><i class="fa fa-trash-o"></i></button></center></td>
																						</tr>';
																					}
																				}
																			?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														<div id="deliveries" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<!--<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#walk_in_patient_modal"><i class="fa fa-male"></i>&nbsp; Walk-in Patients</button>
																	</div>
																</div>-->
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:red;">Pending Deliveries</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Order ID</center></th>
																					<th scope="col"><center>Date</center></th>
																					<th scope="col"><center>Vendor Name</center></th>
																					<th scope="col"><center>Approval Status</center></th>
																					<th scope="col"><center>Approved By</center></th>
																					<th scope="col"><center>Delivery Status</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody id="orders_table_body">
																			<?php
																				$get_saved_orders = $objHospital->get_saved_orders($user_id);
																				if(empty($get_saved_orders)){
																					echo '<tr><td colspan="8" style="color:red;"><center>There are no orders saved yet </center></td></tr>';
																				}else{
																					foreach($get_saved_orders as $order){
																						$order_id = $order['order_tracking_id'];
																						$po_number = $order['po_number'];
																						$vendor_id = $order['vendor_id'];
																						$date_added = $order['date_added'];
																						$approval_date = $order['approval_date'];
																						$delivery_date = $order['delivery_date'];
																						$hospital_id = $order['hospital_id'];
																						$approval_id = $order['approval_id'];
																						$status = $order['status'];
																						
																						if($approval_date == '0000-00-00 00:00:00'){
																							$approval = '<div class="badge badge-sm badge-danger">Pending</div>';
																						}else{
																							$approval = '<div class="badge badge-sm badge-success">Approved</div>';
																						}
																						
																						if($status == 'Pending Approval'){
																							$status = '<div class="badge badge-sm badge-danger">Pending</div>';
																						}elseif($status == 'Approved'){
																							$status = '<div class="badge badge-sm badge-success">Approved</div>';
																						}elseif($status == 'Delivered'){
																							$status = '<div class="badge badge-sm badge-primary">Delivered</div>';
																						}
																						
																						//Get vendor details
																						$get_vendor = $objHospital->get_vendor_by_id($user_id,$vendor_id);
																						foreach($get_vendor as $vendor){
																							$vendor_name = $vendor['vendor_name'];
																						}
																						
																						//Get staff details
																						$get_staff_by_id = $objHospital->get_staff_details($approval_id,$user_id);
																						foreach($get_staff_by_id as $staff){
																							$first_name=$staff['first_name'];
																							$last_name=$staff['last_name'];
																						}
																						
																						echo'<tr>
																						<td><center>'.$po_number.'</center></td>
																						<td><center>'.date("d-m-Y",strtotime($date_added)).'</center></td>
																						<td><center>'.$vendor_name.'</center></td>
																						<td><center>'.$approval.'</center></td>
																						<td><center>'.$first_name.' '.$last_name.'</center></td>
																						<td><center>'.$status.'</center></td>
																						<td><center><span data-toggle="tooltip" data-placement="top" title="View Delivery"><button type="button" class="btn btn-sm btn-success view_order_btn" data-toggle="tooltip" data-placement="top" title="View Order" data-hospital-id="'.$hospital_id.'" data-order-id="'.$order_id.'" data-target="#view_order_modal" data-toggle="modal"><i class="fa fa-eye"></i></button></span>
																						<span data-toggle="tooltip" data-placement="top" title="Receive Delivery"><button type="button" class="btn btn-sm btn-primary receive_order_btn" data-hospital-id="'.$hospital_id.'" data-order-id="'.$order_id.'" data-target="#receive_order_modal" data-toggle="modal"><i class="fa fa-archive"></i></button></span>
																						<button class="btn btn-sm btn-danger delete_order_btn" data-hospital-id="'.$hospital_id.'" data-order-id="'.$order_id.'"><i class="fa fa-trash-o"></i></button></center></td>
																						</tr>';
																					}
																				}
																			?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="new_stock_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<form method="post" id="order_product_form" class="order_product_form">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:85rem; height:45rem; margin-left:-15rem;  margin-top:23rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel" style="color:blue;">Procurement Orders<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="row grid">
																				<!--<div class="col-xl-3" style="overflow-y:scroll; overflow-x:auto; height:36rem;">
																					<div class="grid-col">
																						<div class="row">
																							<div class="form-group">
																								<label><span style="color:black; font-size:16px;"><b>Click to add to Order List</b></span></label>
																							</div>
																						</div>
																						<div class="row">
																							<div class="form-group" style="width:22rem;">
																								<table class="table table-responsive">
																									<thead>
																										<th>Name</th>
																										<th>Source</th>
																										<th>Qty</th>
																										<th>Date</th>
																									</thead>
																									<tbody id="items_to_order">
																										
																									</tbody>
																								</table>
																							</div>
																						</div>
																					</div>
																				</div>-->
																				<div class="col-xl-12" style="border-radius:10px; border:solid; overflow-y:scroll; width:100%;">
																					<div class="grid-col">
																						<div class="row">
																							<div class="form-group">
																								<center><label><span style="color:black; font-size:16px;"><b>Order List:</b></span></label></center>
																								<div style="background:grey; height:2px; width:79rem;"></div>
																								<div class="table-responsive">
																									<table class="table primary-table-bg-hover" style="width:79rem;">
																										<thead>
																											<tr>
																												<th scope="col"><center>Product Name</center></th>
																												<th scope="col"><center>Strength</center></th>
																												<th scope="col"><center>Brand</center></th>
																												<th scope="col"><center>Unit</center></th>
																												<th scope="col"><center>Quantity</center></th>
																												<th scope="col"><center>Action</center></th>
																											</tr>
																										</thead>
																										<tbody class="add_product_body">
																											<?php
																											$get_orders = $objHospital->get_stock_order_requests($user_id);
																											if(empty($get_orders)){
																												echo'<tr><td colspan="6" style="color:red;"><center>There are no requests made yet</center></td></tr>';
																											}else{
																												foreach($get_orders as $order){
																													$order_id = $order['procurement_order_id'];
																													$product_id = $order['product_id'];
																													$hospital_id = $order['hospital_id'];
																													$product_name = $order['product_name'];
																													$department = $order['department_name'];
																													$order_qty = $order['order_qty'];
																													//Get product details
																													if($department == 'Pharmacy'){
																														$get_product = $objHospital->get_product_by_product_id($product_id,$hospital_id);
																														foreach($get_product as $product){
																															$product_brand = $product['product_brand'];
																															$product_sold_as = $product['product_sold_as'];
																															$unit_strength = $product['unit_strength'];
																														}
																													}else{
																														$get_product = $objHospital->get_store_product_by_product_id($product_id,$hospital_id);
																														foreach($get_product as $product){
																															$product_brand = $product['product_brand'];
																															$product_sold_as = $product['product_sold_as'];
																															$unit_strength = $product['unit_strength'];
																														}
																													}
																													
																													echo'<tr>
																														<td><center>'.$product_name.'</center><input name="order_product_name[]" type="hidden" class="form-control product_name" value="'.$product_name.'"/></td>
																														<td><center>'.$unit_strength.'</center><input name="order_unit_strength[]" type="hidden" class="form-control unit_strength" value="'.$unit_strength.'"/></td>
																														<td><center>'.$product_brand.'</center><input name="order_product_brand[]" type="hidden" class="form-control product_brand" value="'.$product_brand.'"/></td>
																														<td><center>'.$product_sold_as.'</center><input name="order_product_sold_as[]" type="hidden" class="form-control product_sold_as" value="'.$product_sold_as.'"/></td>
																														<td><center><input name="order_product_quantity[]" type="text" class="form-control product_quantity" style="width:7rem; border:solid 1px; border-radius:3px;" placeholder="'.$order_qty.'"/></center></td>
																														<td><center><button type="button" class="btn btn-sm btn-danger remove_new_product_btn"><i class="fa fa-minus"></i></button></center>
																														<input name="order_product_id[]" type="hidden" class="form-control product_id" value="'.$product_id.'"/><input name="order_po_id[]" type="hidden" class="form-control po_id" value="'.$order_id.'"/>
																														</td>
																													</tr>
																													';
																												}
																											}
																											?>
																										</tbody>
																										<tfoot>
																											<tr>
																												<td colspan="6"><center><button type="button" class="btn btn-dark" data-toggle="collapse" href="#add_other_products" >Add Other Products</button></center></td>
																											</tr>
																										</tfoot>
																									</table>
																								</div>
																							</div>
																						</div>
																						<div class="row collapse" id="add_other_products">
																							<div class="form-group">
																								<div style="background:grey; height:2px; width:79rem;"></div>
																								<center><label><span style="color:black; font-size:16px;"><b>Other Products not ordered by Store or Pharmacy:</b></span></label></center>
																								<div style="background:grey; height:2px; width:79rem;"></div>
																								<div class="table-responsive">
																									<table class="table primary-table-bg-hover" style="width:79rem;">
																										<thead>
																											<tr>
																												<th scope="col"><center>Product Name</center></th>
																												<th scope="col"><center>Strength</center></th>
																												<th scope="col"><center>Brand</center></th>
																												<th scope="col"><center>Unit</center></th>
																												<th scope="col"><center>Quantity</center></th>
																												<th scope="col"><center>Action</center></th>
																											</tr>
																										</thead>
																										<tbody class="add_other_products_body">
																											<tr>
																												<td><input name="order_product_name[]" type="text" class="form-control product_name" placeholder="Eg. Paper, Panadol, Soap etc ...etc" style="border:solid 1px; border-radius:3px;"/></td>
																												<td><input name="order_unit_strength[]" type="text" class="form-control unit_strength" style="border:solid 1px; border-radius:3px;"/></td>
																												<td>
																													<input name="order_product_brand[]" type="text" class="form-control product_brand" style="border:solid 1px; border-radius:3px;"/>
																												</td>
																												<td>
																													<select name="order_product_sold_as[]" type="text" class="form-control product_sold_as">
																														<option>Tablet</option>
																														<option>Capsule</option>
																														<option>Piece</option>
																														<option>Bottle</option>
																														<option>Packet</option>
																														<option>Box</option>
																														<option>Strip</option>
																														<option>Vial</option>
																														<option>Reagent</option>
																														<option>Litres</option>
																													</select>
																												</td>
																												<td>
																													<input name="order_product_quantity[]" type="text" class="form-control product_quantity" style="border:solid 1px; border-radius:3px;"><input name="order_product_id[]" type="hidden" value="other" class="form-control product_id"/>
																													<input name="order_po_id[]" type="hidden" class="form-control po_id" value="po_id"/>
																												</td>
																												<td><center><button type="button" class="btn btn-sm btn-success add_order_product_btn"><i class="fa fa-plus"></i></button></center></td>
																											</tr>
																										</tbody>
																									</table>
																								</div>
																							</div>
																						</div>
																						<div class="row">
																							<div class="form-group">
																								<div class="table-responsive">
																									<table class="table primary-table-bg-hover" style="width:79rem;">
																										<tfoot>
																											<tr>
																												<td><b>Supplier Name</b></td>
																												<td><select name="order_supplier_name" type="text" class="form-control order_supplier_name">
																												<?php
																												$get_all_vendors = $objHospital->get_all_vendors($user_id);
																												if(empty($get_all_vendors)){
																													echo'<option>There are no suppliers added yet</option>';
																												}else{
																													echo '<option>Click here to select:</option>';
																													foreach($get_all_vendors as $vendor){
																														$vendor_id = $vendor['vendor_id'];
																														$vendor_name = $vendor['vendor_name'];
																														echo '<option value="'.$vendor_id.'">'.$vendor_name.'</option>';
																													}
																												}
																													
																												?></select></td>
																												<td><b>Purchase Order #</b></td>
																												<?php
																												$get_last_po_number = $objHospital->get_last_po_number($user_id);
																												if(empty($get_last_po_number)){
																													$po_number = 1001;
																												}else{
																													$po_number = intval($get_last_po_number) + 1;
																												}
																												?>
																												<td><?php echo $po_number; ?><input name="order_po_number" type="hidden" class="form-control po_number" value="<?php echo $po_number; ?>"/></td>
																												<td><b>Supply Date</b></td>
																												<td><input name="order_receive_date" type="date" class="form-control receive_date"/>
																												</td>
																											</tr>
																										</tfoot>
																									</table>
																								</div>
																							</div>
																						</div>
																						<div class="row">
																							<div class="form-group">
																								<div class="col-md-12">
																									<center><label><span style="color:black; font-size:16px;"><b>Additional Specifications:</b></span></label><center>
																									<textarea style="width:79rem; height:100%; border:solid 1px; border-radius:3px;" rowspan="4" class="form-control specification" type="text" name="order_specification"></textarea>
																								</div>
																								<div class="col-md-12">
																									<input name="order_user_id" type="hidden" class="form-control order_user_id" value="<?php echo $user_id; ?>"/>
																									<center><button type="submit" class="btn btn-lg btn-primary" id="save_order"><span style="font-size:16px;">Submit Order for Approval</span></button></center>
																								</div>
																							</div>
																						</div>
																					</div>
																				</div>
																			</div>
																			
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
															</form>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="view_order_modal" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:60rem; height:45rem; margin-left:-50px; margin-top:-30px; overflow-x:auto;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">View Order Details</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" style="height:38rem;">
																		<div class="img-container" id="view_order_details_body">
																			<!--------Product details go here---->
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="receive_order_modal" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:90rem; height:45rem; margin-left:-300px; margin-top:-30px; overflow-x:auto;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">View <span style="color:blue;" id="view_product_name_header"></span> Details</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" style="height:38rem;">
																		<div class="img-container" id="receive_order_container">
																			<!--------Product details go here---->
																		</div>
																	</div>
																</div>
															</div>
														</div>
																
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="make_product_order_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" style="height:25rem;">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Make Order for: <span style="color:blue;" id="make_order_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card make_order_card" >
																				<!---Order form--->
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="edit_services_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:75rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Edit <span style="color:blue;" id="edit_service_header"></span> Service</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card edit_service_card" style="width:70rem;">
																				<!---View equipment here--->
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="stock_card_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Stock Card for <span style="color:blue;" id="stock_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">																		
																		<div class="table-responsive" id="stock_card_body">
																			<!---Stock card goes here--->
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														

														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/procurement.js"></script>
	<style>
	.results_modal_body{
		height: 400px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>