<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/lib/jquery-ui.min.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
	<link href="../assets/css/style.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
							<div class="row">
								<div class="col-md-12">
									<div class="card">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#referral" data-toggle="tab" class="nav-link active show">All Referrals</a>
														</li>
														<!--<li class="nav-item" id="schedule"><a href="#make_appointment" data-toggle="tab" class="nav-link">Make Appointment</a>
														</li>-->
													</ul>
													<div class="tab-content">
														<div id="referral" class="tab-pane fade active show">
															<div class="card">
																<div class="card-body">
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Referral Date</center></th>
																					<th scope="col"><center>Patient Name</center></th>
																					<th scope="col"><center>Referred To</center></th>
																					<th scope="col"><center>Facility Contact</center></th>
																					<th scope="col"><center>Service</center></th>
																					<th scope="col"><center>Results</center></th>
																					<th scope="col"><center>Actions</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																				//F
																				$get_referral_facilities = $objHospital->get_referrals($user_id); 
																				if(empty($get_referral_facilities)){
																					echo'<tr><td colspan="7" style="color:red;"><center>There are no Referrals made yet</center></td></tr>';
																				}else{
																					foreach($get_referral_facilities as $facility){
																						$referral_hospital_id = $facility['referral_hospital_id'];
																						$hospital_city = $facility['hospital_city'];
																						$hospital_name = $facility['hospital_name'];
																						$hospital_phone = $facility['hospital_phone'];
																						$referral_type = $facility['referral_type'];
																						$referral_details = $facility['referral_details'];
																						$date_added = $facility['date_added'];
																						$report_returned = $facility['report_returned'];
																						$patient_id = $facility['patient_id'];
																						$hospital_id = $facility['hospital_id'];
																						
																						//Get patient details
																						$get_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
																						foreach($get_patient as $patient){
																							$first_name = $patient['first_name'];
																							$last_name = $patient['last_name'];
																							$patient_name = $first_name.' '.$last_name;
																						}
																						
																						echo'<tr>
																							<td><center>'.date('d-m-Y',strtotime($date_added)).'</center></td>
																							<td><center>'.$patient_name.'</center></td>
																							<td><center>'.$hospital_name.'</center></td>
																							<td><center>'.$hospital_phone.'</center></td>
																							<td><center>'.$referral_type.'</center></td>
																							<td><center>';
																							if($report_returned == ''){
																								echo'<div class="btn btn-sm btn-danger"><b>Not yet returned</b></div>';
																							}else{
																								echo'<div class="btn btn-sm btn-success"><b>Returned</b></div>';
																							}
																							
																							echo'</center></td>
																							<td><center>';
																							if(empty($report_returned)){
																								echo'<button type="button" class="btn btn-primary btn-sm upload_referral_result_button" data-patient-id="'.$patient_id.'" data-patient-name="'.$patient_name.'" data-referral-hospital-id="'.$referral_hospital_id.'"  data-toggle="modal" data-placement="top" title="Upload Referral Report" data-target=".upload_report"><i class="fa fa-upload"></i></button>';
																							}else{
																								echo'<button type="button" class="btn btn-primary btn-sm download_referral_result_button" data-patient-id="'.$patient_id.'" data-patient-name="'.$patient_name.'" data-referral-hospital-id="'.$referral_hospital_id.'" data-toggle="modal" data-placement="top" title="Download Referral Report" data-target=".download_report"><i class="fa fa-eye"></i></button>';
																							}																								
																							echo'<button class="btn btn-danger btn-sm delete_referral_button" style="margin-left:5px;" data-patient-id="'.$patient_id.'" data-toggle="tooltip" data-placement="top" title="Delete Patient"><i class="fa fa-trash"></i></button></center></td>
																						</tr>';
																					}
																				}
																				?>
																			</tbody>
																		</table>
																	</div>
																</div>
															</div>
														</div>
														<div id="make_appointment" class="tab-pane fade">
															<div class="pt-3">
																<div class="settings-form">
																	<div class="row">
																		<div class="col-lg-12">
																			<div class="card">
																				<div class="card-body">
																					<div id="calendar"></div>
																				</div>
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade" id="event_entry_modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
															<div class="modal-dialog modal-md" role="document">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add New Appointment</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<form method="post" id="make_appointment_form">
																	<div class="modal-body">
																		<div class="img-container">
																			<div class="row">
																				<div class="col-sm-12">  
																					<div class="form-group">
																					  <label for="appointment_patient_id">Select Patient:</label>
																					  <select type="text" name="appointment_patient_id" id="appointment_patient_id" class="js-example-disabled-multi" multiple="multiple" style="width:100%;">
																						<?php
																						$get_patients = $objHospital->get_patients($user_id);

																						if(empty($get_patients)){
																							//Do nothing
																						}else{
																							foreach($get_patients as $patient){
																								$patient_id = $patient['patient_id'];
																								$patient_unique_no = $patient['patient_unique_no'];
																								$first_name = $patient['first_name'];
																								$last_name = $patient['last_name'];
																								$gender = $patient['gender'];
																								$phone_number = $patient['phone_number'];
																								$age = $patient['age'];
																								$date_created = date('m-d-Y',strtotime($patient['date_created']));
																								echo'<option value="'.$patient_id.'">'.$first_name.' '.$last_name.'</option>';
																							}
																						}
																						
																						?>
																					  </select>
																					</div>
																				</div>
																				<div class="col-sm-12">  
																					<div class="form-group">
																					  <label for="event_name">Select Doctor:</label>
																					  <select type="text" name="appointment_doctor" id="appointment_doctor" class="js-example-disabled-multi" multiple="multiple" style="width:100%;">
																						<?php
																						$get_doctors = $objHospital->get_all_doctors($user_id);
																						if(empty($get_doctors)){
																							echo'<option>There are no Doctors yet</option>';
																						}else{
																							foreach($get_doctors as $doctors){
																								$first_name = $doctors['first_name'];
																								$last_name = $doctors['last_name'];
																								$staff_id = $doctors['staff_id'];
																								echo'<option value="'.$staff_id.'">'.$first_name.' '.$last_name.'</option>';
																							}
																						}
																						
																						?>
																					  </select>
																					</div>
																				</div>
																				<div class="col-sm-12">  
																					<div class="form-group">
																					  <label for="event_name">Reason:</label>
																					  <input type="text" name="appointment_reason" id="reason" class="form-control">
																					</div>
																				</div>
																				<div class="col-sm-12">  
																					<div class="form-group">
																					  <label for="event_name">Urgency Color:</label>
																					  <select class="form-control" id="appointment_color" name="appointment_color" >
																							<option value="#4f86f7">Blue</option>
																							<option value="#ed2939">Red</option>
																							<option value="#228B22">Green</option>
																							<option value="#dcdcdc">Grey</option>
																						</select>
																					</div>
																				</div>
																			</div>
																			<div class="row">
																				<div class="col-sm-6">  
																					<div class="form-group">
																					  <label for="event_start_date">Visit Start Date:</label>
																					  <input type="date" name="appointment_start_date" id="appointment_start_date" class="form-control onlydatepicker" placeholder="Visit date">
																					 </div>
																				</div>
																				<div class="col-sm-6">  
																					<div class="form-group">
																					  <label for="event_end_date">Visit End Date:</label>
																					  <input type="date" name="appointment_end_date" id="appointment_end_date" class="form-control" placeholder="Visit End Date">
																					</div>
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<input type="hidden" name="appointment_user_id" value="<?php echo $user_id; ?>">
																		<button type="submit" id="save_appointment" class="btn btn-primary">Save Appointment</button>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														<!-- End popup dialog box -->
														
														<!--upload report modal--->
														<div class="modal fade none-border upload_report">
															<form id="upload_report_form">
															<div class="modal-dialog">
																<div class="modal-content" style="margin-top:15rem">
																	<div class="modal-header">
																		<h4 class="modal-title"><strong>Upload Referral Report for: <span id="upload_header" style="color:blue;"></span></strong></h4>
																	</div>
																	<div class="modal-body">
																		<div class="col-md-12">  
																			<div class="form-group">
																			  <label for="event_end_date" style="color:black;">Click here to Upload:</label>
																			  <input type="file" name="upload_referral_report" id="upload_referral_report" class="form-control" placeholder="Click Here">
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<input type="hidden" name="upload_referral_user_id" value="<?php echo $user_id; ?>">
																		<input type="hidden" name="upload_referral_patient_id" id="upload_referral_patient_id">
																		<input type="hidden" name="upload_referral_id" id="upload_referral_id">
																		<button type="submit" id="upload_btn" class="btn btn-primary">Upload Report</button>
																	</div>
																</div>
															</div>
															</form>
														</div>
														<!--End delete event modal--->
														
														<!--upload report modal--->
														<div class="modal fade none-border download_report">
															<form id="upload_report_form">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="margin-top:24rem; width:70rem; height:45rem;">
																	<div class="modal-header">
																		<h4 class="modal-title"><strong>Referral Report for: <span id="report_header" style="color:blue;"></span></strong></h4>
																	</div>
																	<div class="modal-body">
																		<div class="col-md-12" id="referral_report">																		
																			<!--Report goes here-->
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
															</form>
														</div>
														<!--End delete event modal--->
														
														<!--Delete event modal--->
														<div class="modal fade none-border event_entry_modal">
															<div class="modal-dialog">
																<div class="modal-content">
																	<div class="modal-header">
																		<h4 class="modal-title"><strong>Delete Schedule</strong></h4>
																	</div>
																	<div class="modal-body delete_modal_body"></div>
																</div>
															</div>
														</div>
														<!--End delete event modal--->
														
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
									</div>
								</div>
							</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->

    <script src="../assets/js/lib/calendar-2/moment.latest.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.calendar.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.init.js"></script>
	
	<!-- Required vendors 
    <script src="../assets/js/lib/global.min.js"></script
    <script src="../assets/js/lib/quixnav-init.js"></script>
    <script src="../assets/js/lib/custom.min.js"></script>-->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
    <!-- <script src="../assets/js/lib/fullcalendar-init.js"></script>-->
	
    <!-- scripit init-->
    <script src="js/patient.js"></script>
    <script src="js/calendar.js"></script>
</body>

</html>
<?php } ?>