<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

include_once'../model/users.php';
include_once'../model/hospital.php';

$objUser = new Users();
$objHospital = new Hospitals();


?>
<div class="sidebar sidebar-hide-to-small sidebar-shrink sidebar-gestures">
        <div class="nano">
            <div class="nano-content">
                <ul>
                    <div class="logo"><a href="general_dashboard.php?user_id=<?php echo $user_id; ?>">
                            <!-- <img src="assets/images/logo.png" alt="" /> --><span >Africa Health Care</span></a></div>
                    <li><a href="general_dashboard.php?user_id=<?php echo $user_id; ?>"><i class="ti-dashboard"></i> Dashboard</a></li>
					<?php
					$get_user_details = $objUser->get_user_details($user_id);
					if(empty($get_user_details)){
						$user_type='no';
					}else{
						$user_type='super_admin';
					}
					
					$get_staff_roles = $objHospital->get_user_staff_roles($user_id); 
					if(empty($get_staff_roles)){
						//$enter_patient_data = 'no';
						$access_patient_data = 'no';
						//$delete_patient_data = 'no';
						//$changes_to_all_department_data = 'no';
						$access_department_data = 'no';
						//$add_department_patient_data = 'no';
						//$make_changes_to_hr_data = 'no';
						$access_hr_data = 'no';
						//$manage_bed_data = 'no';
						$access_bed_data = 'no';
						$access_cashier_data = 'no';
						//$approve_services = 'no';
						//$enter_cashier_data = 'no';
						$access_financial_reports = 'no';
						$change_user_roles = 'no';
						$super_user = 'no';
					}else{
						foreach($get_staff_roles as $roles){
							//$enter_patient_data = $roles['enter_patient_data'];
							$full_reception_access = $roles['full_reception_access'];
							$full_doctors_room_access = $roles['full_doctors_room_access'];
							$access_patient_data = $roles['access_patient_data'];
							//$delete_patient_data = $roles['delete_patient_data'];
							//$changes_to_all_department_data = $roles['changes_to_all_department_data'];
							$access_department_data = $roles['access_department_data'];
							//$add_department_patient_data = $roles['add_department_patient_data'];
							//$make_changes_to_hr_data = $roles['make_changes_to_hr_data'];
							$access_hr_data = $roles['access_hr_data'];
							//$manage_bed_data = $roles['manage_bed_data'];
							$access_bed_data = $roles['access_bed_data'];
							$access_cashier_data = $roles['access_cashier_data'];
							//$approve_services = $roles['approve_services'];
							//$enter_cashier_data = $roles['enter_cashier_data'];
							$access_financial_reports = $roles['access_financial_reports'];
							$change_user_roles = $roles['change_user_roles'];
							$access_stores_dept = $roles['access_stores_dept'];
							$access_procurement_dept = $roles['access_procurement_dept'];
							$change_user_roles = $roles['change_user_roles'];
							$super_user = $roles['super_user'];
						}
					}
					
					if($super_user == 'yes' || $user_type=='super_admin' || $access_patient_data=='yes'){
						?>
					<li><a class="sidebar-sub-toggle"><i class="ti-plus"></i> Patients <span
                                class="sidebar-collapse-icon ti-angle-down"></span></a>
                        <ul>
						<?php 
						if($super_user == 'yes' || $user_type=='super_admin' || ($access_patient_data=='yes' && $full_reception_access=='yes')){
						?>
							<li><a href="patients.php?user_id=<?php echo $user_id; ?>">Reception</a></li>
						<?php }
						if($super_user == 'yes' || $user_type=='super_admin' || ($access_patient_data=='yes' && $full_doctors_room_access=='yes')){
						?>
                            <li><a href="triaged.php?user_id=<?php echo $user_id; ?>">Doctor's Room</a></li>
						<?php } ?>
						 <li><a href="triaged.php?user_id=<?php echo $user_id; ?>">Doctor's Room</a></li>
							<li><a href="patients.php?user_id=<?php echo $user_id; ?>">Reception</a></li>
							<li><a href="appointments.php?user_id=<?php echo $user_id; ?>">Appointments</a></li>
							<li><a href="follow_up.php?user_id=<?php echo $user_id; ?>">Follow Up</a></li>
                        </ul>
                    </li>
					<?php }
					
					if($super_user == 'yes' || $user_type=='super_admin' || $access_department_data=='yes'){
							
					?>
					<li><a class="sidebar-sub-toggle"><i class="ti-home"></i> Service Points <span
                                class="sidebar-collapse-icon ti-angle-down"></span></a>
                        <ul>
							<li><a href="all_departments.php?user_id=<?php echo $user_id; ?>">All Service Points</a></li>
							<div id="added_departments" style="margin-left:35px;">
                            <?php
								$get_departments = $objHospital->get_departments($user_id);
								if(empty($get_departments)){
									//Do nothing
								}else{
									foreach($get_departments as $department){
										$department_name = $department['department_name'];
										
										if($super_user == 'yes' || $user_type=='super_admin'){
											if($department_name == 'Laboratory'){
												echo'<li><a href="lab_department.php?user_id='.$user_id.'">Laboratory</a></li>';
												echo'<li><a href="pharmacy.php?user_id='.$user_id.'&department=Pharmacy">Pharmacy</a></li>';
											}elseif($department_name == 'Pharmacy'){
												echo'<li><a href="pharmacy.php?user_id='.$user_id.'&department=Pharmacy">Pharmacy</a></li>';
											}elseif($department_name == 'Radiology'){
												echo'<li><a href="radiology.php?user_id='.$user_id.'&department=Radiology">Radiology</a></li>';
											}elseif($department_name == 'Surgical'){
												echo'<li><a href="surgical.php?user_id='.$user_id.'&department=Surgical">Surgical</a></li>';
											}else{
												echo'<li><a href="department.php?department='.$department_name.'&user_id='.$user_id.'">'.$department_name.'</a></li>';
											}
										}else{
											$count = 0;
											$get_staff_dept_roles = $objHospital->get_staff_dept_roles($user_id);
											foreach($get_staff_dept_roles as $dept_roles){
												$department = $dept_roles['department_name'];
												$access_status = $dept_roles['access_status'];
												
												$count++;
												if($department_name == 'Laboratory' && ($department=='Laboratory' && $access_status=='yes') && $count == 1){
													echo'<li><a href="lab_department.php?user_id='.$user_id.'">Laboratory</a></li>';
													echo'<li><a href="pharmacy.php?user_id='.$user_id.'&department=Pharmacy">Pharmacy</a></li>';
												}elseif($department_name == 'Pharmacy' && ($department=='Pharmacy' && $access_status=='yes') && $count == 1){
													echo'<li><a href="pharmacy.php?user_id='.$user_id.'&department=Pharmacy">Pharmacy</a></li>';
												}elseif($department_name == 'Radiology' && ($department=='Radiology' && $access_status=='yes') && $count == 1){
													echo'<li><a href="radiology.php?user_id='.$user_id.'&department=Radiology">Radiology</a></li>';
												}elseif($department_name == 'Surgical' && ($department=='Surgical' && $access_status=='yes') && $count == 1){
													echo'<li><a href="surgical.php?user_id='.$user_id.'&department=Surgical">Surgical</a></li>';
												}elseif(($department_name !== 'Laboratory' && $department_name !== 'Pharmacy' && $department_name !== 'Radiology' && $department_name !== 'Surgical') && ($department_name==$department && $access_status=='yes') && $count == 1){
													echo'<li><a href="department.php?department='.$department_name.'&user_id='.$user_id.'">'.$department_name.'</a></li>';
												}
											}
										}
									}
								}
							?>
							</div>
                        </ul>
                    </li>
						<?php } 
						
						if($user_type=='super_admin' || ($super_user == 'yes' || ($access_cashier_data=='yes' || $access_financial_reports=='yes'))){
						?>
					<li><a class="sidebar-sub-toggle"><i class="ti-money"></i> Finance <span
                                class="sidebar-collapse-icon ti-angle-down"></span></a>
                        <ul>
							<?php 
						
							if($user_type=='super_admin' || ($super_user == 'yes' || $access_cashier_data=='yes')){
							?>
                            <li><a href="cashier.php?user_id=<?php echo $user_id; ?>">Cashier</a></li>
							<?php }
						
							if($super_user == 'yes' || $user_type=='super_admin' || $access_financial_reports=='yes'){
							?>
                            <li><a href="payment.php?user_id=<?php echo $user_id; ?>">Sales</a></li>
                            <li><a href="expenses.php?user_id=<?php echo $user_id; ?>">Expenses</a></li>
                            <li><a href="payables.php?user_id=<?php echo $user_id; ?>">Payables</a></li>
							<li><a href="accounting.php?user_id=<?php echo $user_id; ?>">Accounting</a></li>
							<li><a href="banking.php?user_id=<?php echo $user_id; ?>">Banking</a></li>
                            <li><a href="groups.php?user_id=<?php echo $user_id; ?>">Family Insurance</a></li>
                            <li><a href="insurance.php?user_id=<?php echo $user_id; ?>">Company Insurance</a></li>
						<?php } ?>
                        </ul>
                    </li>
						<?php } 
					
					if($super_user == 'yes' || $user_type=='super_admin' || $access_hr_data=='yes'){
						?>
					<li><a class="sidebar-sub-toggle"><i class="ti-user"></i>Human Resources<span
                                class="sidebar-collapse-icon ti-angle-down"></span></a>
                        <ul>
							<li><a href="all_staff_categories.php?user_id=<?php echo $user_id; ?>">All Staff Categories</a></li>
							<div id="added_staff_categories" style="margin-left:35px;">
                            <?php
								$get_staff_categories = $objHospital->get_staff_categories($user_id);
								if(empty($get_staff_categories)){
									//Do nothing
								}else{
									foreach($get_staff_categories as $category){
										$staff_category_name = $category['staff_category_name'];
										$staff_category_id = $category['staff_category_id'];
										echo'<li><a href="view_staff_category.php?category_id='.$staff_category_id.'&user_id='.$user_id.'">'.$staff_category_name.'</a></li>';
									}
								}
							?>
							</div>
							<li><a href="payroll.php?user_id=<?php echo $user_id; ?>">Staff Payroll</a></li>
							<li><a href="leave_request.php?user_id=<?php echo $user_id; ?>">Staff Leave Requests</a></li>
                        </ul>
                    </li>
					
					<?php }

					if($user_type=='super_admin' || ($super_user == 'yes' || $access_bed_data=='yes')){
						?>
					<li><a class="sidebar-sub-toggle"><i class="ti-panel"></i>Administration<span
                                class="sidebar-collapse-icon ti-angle-down"></span></a>
                        <ul>
                            <li><a href="procurement_request.php?user_id=<?php echo $user_id; ?>">Procurement Requests</a></li>
                            <li><a href="bed_management.php?user_id=<?php echo $user_id; ?>">Bed Management</a></li>
                            <li><a href="discount.php?user_id=<?php echo $user_id; ?>">Discount Requests</a></li>
                        </ul>
                    </li>
						
					<?php }
					
					if($super_user == 'yes' || $user_type=='super_admin' || $access_financial_reports=='yes'){
					?>
					<li><a class="sidebar-sub-toggle"><i class="fa fa-clipboard"></i>Reports<span
                                class="sidebar-collapse-icon ti-angle-down"></span></a>
                        <ul>
                            <li><a href="reports.php?user_id=<?php echo $user_id; ?>">Financial Reports</a></li>
                            <li><a href="patient_report.php?user_id=<?php echo $user_id; ?>">Patient Volume Report</a></li>
							<li><a href="general_report.php?user_id=<?php echo $user_id; ?>">Inventory Report</a></li>
							<li><a href="laboratory_report.php?user_id=<?php echo $user_id; ?>">Laboratory Report</a></li>
							<li><a href="service_report.php?user_id=<?php echo $user_id; ?>">Medical Services Report</a></li>
                            <li><a href="trend_analysis_report.php?user_id=<?php echo $user_id; ?>">Trend Analysis Report</a></li>
							<!--<li><a href="#">Blood Bank Report</a></li>
							<li><a href="#">HR Report</a></li>-->
                        </ul>
                    </li>
					<?php 
						}
					if($super_user == 'yes' || $user_type=='super_admin' || $access_stores_dept=='yes' || $access_procurement_dept=='yes'){
					?>
					<li><a class="sidebar-sub-toggle"><i class="ti-package"></i> Stores <span
                                class="sidebar-collapse-icon ti-angle-down"></span></a>
                        <ul>
                            <li><a href="store.php?user_id=<?php echo $user_id; ?>">Store Management</a></li>
							<li><a href="procurement.php?user_id=<?php echo $user_id; ?>">Procurement</a></li>
                        </ul>
                    </li>
					<?php 
						}
					
					?>
					<li><a class="sidebar-sub-toggle"><i class="ti ti-car"></i> Ambulance<span
                                class="sidebar-collapse-icon ti-angle-down"></span></a>
                        <ul>
                            <li><a href="ambulance.php?user_id=<?php echo $user_id; ?>">Dispatch</a></li>
                        </ul>
                    </li>
					
					
					<li><a class="sidebar-sub-toggle"><i class="ti ti-comments-smiley"></i> Messaging<span
                                class="sidebar-collapse-icon ti-angle-down"></span></a>
                        <ul>
                            <li><a href="chat.php?user_id=<?php echo $user_id; ?>">Staff Chat</a></li>
							<li><a href="messaging.php?user_id=<?php echo $user_id; ?>">Client SMS</a></li>
                        </ul>
                    </li>
					<?php
						
						if($super_user == 'yes' || $user_type=='super_admin' || $change_user_roles=='yes'){
						?>
					<li><a class="sidebar-sub-toggle"><i class="ti-settings"></i> Settings <span
                                class="sidebar-collapse-icon ti-angle-down"></span></a>
                        <ul>
                            <li><a href="roles.php?user_id=<?php echo $user_id; ?>">Role Management</a></li>
                            <li><a href="ucg.php?user_id=<?php echo $user_id; ?>">Condition Management</a></li>
                        </ul>
                    </li>
					<?php } ?>
					<li><a id="AI" href="ai.php?user_id=<?php echo $user_id; ?>" data-user-id="<?php echo $user_id;?>"><i class="fa fa-lightbulb-o"></i> Artificial Intelligence</a></li>
                    <li><a id="logout_btn" data-user-id="<?php echo $user_id;?>"><i class="ti-close"></i> Logout</a></li>
                </ul>
            </div>
        </div>
    </div>
	<!--<script src="../assets/js/lib/jquery.min.js"></script>
	<script src="../assets/js/lib/bootstrap.min.js"></script>
	<script src="js/human_resource.js"></script>-->
    <!-- /# sidebar -->