<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	$dpt_name = 'Stores';
	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:85rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#supplies" data-toggle="tab" class="nav-link active show"><i class="fa fa-plus-square"></i>&nbsp;Supplies</a>
														</li>
														<li class="nav-item"><a href="#requests" data-toggle="tab" class="nav-link"><i class="fa fa-list"></i>&nbsp;Requests</a>
														</li>
														<li class="nav-item"><a href="#stock_alerts" data-toggle="tab" class="nav-link"><i class="fa fa-bullhorn"></i>&nbsp; Stock Alerts</a>
														</li>
														<li class="nav-item"><a href="#expiries" data-toggle="tab" class="nav-link"><i class="fa fa-calendar-times-o"></i>&nbsp;Expiry Alerts</a>
														</li>
														<!--<li class="nav-item"><a href="#other" data-toggle="tab" class="nav-link"><i class="fa fa-industry"></i>&nbsp;Universal Supply List</a>
														</li>
														<li class="nav-item"><a href="#orders" data-toggle="tab" class="nav-link"><i class="fa fa-shopping-cart"></i>&nbsp;Purchase Orders</a>
														</li>-->
													</ul>
													<div class="tab-content">
														
														<div id="supplies" class="tab-pane fade active show">
															<div class="card" style="overflow-x:scroll; width:90rem;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<a class="btn btn-info" style="color:#ffffff;" data-target="#add_product_modal" data-toggle="modal"><i class="fa fa-plus"></i>&nbsp; Add Product</a>
																		<!--<a class="btn btn-info" style="color:#ffffff;" id="add_brand_btn" data-brand-user-id="<?php echo $user_id;?>" data-target="#add_brand_modal" data-toggle="modal"><i class="fa fa-plus"></i>&nbsp; Brands</a>-->
																		<a class="btn btn-info" style="color:#ffffff;" id="add_category_btn" data-target="#add_category_modal" data-toggle="modal" data-category-user-id="<?php echo $user_id;?>"><i class="fa fa-plus"></i>&nbsp; Categories</a>
																		<a class="btn btn-warning" style="color:#000000;" id="add_stock_btn" data-target="#new_stock_modal" data-toggle="modal" data-new-stock-user-id="<?php echo $user_id;?>"><i class="fa fa-plus"></i>&nbsp; Add Stock</a>
																		<a class="btn btn-success" style="color:#ffffff;" id="physical_count_btn" data-toggle="collapse" href="#physical_count" aria-expanded="false" data-new-stock-usr-id="<?php echo $user_id;?>"><i class="fa fa-plus"></i>&nbsp; Physical Count</a>
																		<button type="button" class="btn btn-secondary" style="color:#ffffff;" id="universal_list_btn" data-toggle="modal" data-target="#universal_list"><i class="fa fa-industry"></i>&nbsp; Universal Supply List</button>
																	</div>
																</div>
																<div class="card-body" style="height:38rem; width:85rem;">
																	<div class="img-container collapse" id="physical_count">
																		<form method="post" class="form-sample" id="physical_count_form">
																		  <div class="col-md-12">
																			<div class="card">
																				<table class="table primary-table-bg-hover">
																					<thead>
																						<tr>
																							<th scope="col"><center>Product Name</center></th>
																							<th scope="col"><center>Quantity</center></th>
																							<th scope="col"><center>Action</center></th>
																						</tr>
																					</thead>
																					<tbody class="physical_count_product_body">
																						<tr>
																							<td><center><select name="physical_count_product_name[]" type="text" class="form-control physical_count_product_name">
																								<?php
																								$get_products = $objHospital->get_store_products_by_user_id($user_id);
																								if(empty($get_products)){
																									echo'<option value="none">No Products added yet</option>';
																								}else{
																									foreach($get_products as $products){
																										$product_id = $products['store_product_id'];
																										$product_name = $products['product_name'];
																										$unit_strength = $products['unit_strength'];
																										$hospital_id = $products['hospital_id'];
																										echo'<option value="'.$product_id.'">'.$product_name.' ('.$unit_strength.')</option>';
																									}
																								}
																								?>
																								</select><center>
																							</td>
																							<td><center><input name="physical_count_quantity[]" type="text" class="form-control" /><center></td>
																							<td><center><button type="button" data-dept-name="<?php echo $dpt_name;?>" class="btn btn-badge btn-success physical_count_product_btn">Add Item</button></center></td>
																						</tr>
																					</tbody>
																					<tfoot>
																						<tr>
																							<td colspan="3">
																								<div class="d-flex justify-content-center">
																								<input type="hidden" name="physical_count_user_id" value="<?php echo $user_id?>">
																								<input type="hidden" name="physical_count_dept" value="<?php echo $dpt_name?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="place_order_btn"><span style="font-size:16px;">Update Stock</span></button>
																							</div>
																							</td>
																						</tr>
																					</tfoot>
																				</table>
																			</div>
																		  </div>
																		</form>
																	</div>
																	<div class="card-header">
																		<div class="card-header d-flex">
																			<div class="col-sm-8">
																				<h5 style="color:Black;">Stock List</h5>
																			</div>
																			<div class="col-sm-4" style="float:right;">
																				<input class="form-control search_products" placeholder="Search Product">
																			</div>
																		</div>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col">S/N</th>
																					<th scope="col">Product Name</th>
																					<th scope="col"><center>Strength</center></th>
																					<th scope="col"><center>Sold As</center></th>
																					<th scope="col"><center>Brand</center></th>
																					<th scope="col"><center>Category</center></th>
																					<th scope="col"><center>Balance at Hand</center></th>
																					<th scope="col"><center>Buying Price</center></th>
																					<th scope="col"><center>Selling Price</center></th>
																					<th scope="col"><center>Route</center></th>
																					<th scope="col"><center>Current Batch</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody id="product_details_table_body">
																				<!----Products details body---->																	
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="requests" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<!--<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<button type="button" class="btn btn-info" data-toggle="modal" data-target="#walk_in_patient_modal"><i class="fa fa-male"></i>&nbsp; Walk-in Patients</button>
																	</div>
																</div>-->
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:red;">Pending Supplies Requests</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Request Date</center></th>
																					<th scope="col"><center>Department</center></th>
																					<th scope="col"><center>Item Name</center></th>
																					<th scope="col"><center>Qty Requested</center></th>
																					<th scope="col"><center>In Stock</center></th>
																					<th scope="col"><center>Qty Issued</center></th>
																					<th scope="col"><center>Issue</center></th>
																					<th scope="col"><center>Decline</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					$get_orders = $objHospital->get_orders($user_id);
																					if(empty($get_orders)){
																						echo '<tr><td colspan="8" style="color:green;"><center>There are no pending supplies requests </center></td></tr>';
																					}else{
																						foreach($get_orders as $order){
																							$order_id = $order['order_product_id'];
																							$hospital_id = $order['hospital_id'];
																							$department_name = $order['department_name'];
																							$product_id = $order['product_id'];
																							$product_name = $order['product_name'];
																							$order_qty = $order['order_qty'];
																							$order_date = $order['order_date'];
																							$issued = $order['issued'];
																							$quantity_issued = $order['quantity_issued'];
																							$difference = $order['difference'];
																							
																							$get_product = $objHospital->get_store_product_by_product_id($product_id,$hospital_id);
																							if(empty($get_product)){
																								$qty_received = 0;
																							}else{
																								foreach($get_product as $product){
																									$qty_received = $product['qty_received'];
																								}
																							}
																							
																							$total_issued = $objHospital->get_total_issue($product_id, $hospital_id);
																							$total_received = $objHospital->get_total_received($product_id, $hospital_id);
																							if(empty($total_issued)){
																								$total_issue = 0;
																							}else{
																								$total_issue = $total_issued;
																							}
																							
																							if(empty($total_received)){
																								$received = 0;
																							}else{
																								$received = $total_received;
																							}
																							
																							$in_stock = (intval($qty_received) + intval($received)) - intval($total_issue);
																							echo'<form method="post" class="order_item_form"><tr>
																							<td><center>'.date("d-m-Y",strtotime($order_date)).'</center></td>
																							<td><center>'.$department_name.'</center></td>
																							<td><center>'.$product_name.'</center></td>
																							<td><center>'.$order_qty.'</center></td>
																							<td style="color:green;"><center>'.$in_stock.'</center></td>
																							<td id="item'.$product_id.'"><center><input type="text" class="form-control qty_issued" id="product'.$product_id.'" name="qty_issued"></center></td>
																							<td id="issue'.$product_id.'"><center><button type="button" class="btn btn-success issue_item_btn" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'" data-order-id="'.$order_id.'" data-department-name="'.$department_name.'" data-order-quantity="'.$order_qty.'" data-in-stock"'.$in_stock.'" >Issue</button></center></td>
																							<td id="delete'.$product_id.'"><center><button class="btn btn-danger decline_item_btn" data-product-id="'.$product_id.'"  data-hospital-id="'.$hospital_id.'" data-order-id="'.$order_id.'" data-department-name="'.$department_name.'" data-order-quantity="'.$order_qty.'">Decline</button></center></td>
																							</tr>';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:blue;">Issued Supplies Requests</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Request Date</center></th>
																					<th scope="col"><center>Department</center></th>
																					<th scope="col"><center>Item Name</center></th>
																					<th scope="col"><center>Qty Requested</center></th>
																					<th scope="col"><center>Qty Issued</center></th>
																					<th scope="col"><center>Issued By</center></th>
																					<th scope="col"><center>Issue Date</center></th>
																					<th scope="col"><center>Balance at Hand</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					$get_orders = $objHospital->get_issued_orders($user_id);
																					if(empty($get_orders)){
																						echo '<tr><td colspan="8" style="color:green;"><center>There are no pending supplies requests </center></td></tr>';
																					}else{
																						foreach($get_orders as $order){
																							$order_id = $order['order_product_id'];
																							$hospital_id = $order['hospital_id'];
																							$department_name = $order['department_name'];
																							$product_id = $order['product_id'];
																							$product_name = $order['product_name'];
																							$order_qty = $order['order_qty'];
																							$order_date = $order['order_date'];
																							$issued = $order['issued'];
																							$issued_date = date('d-m-Y',strtotime($order['issue_date']));
																							$issued_by = $order['issued_by'];
																							$quantity_issued = $order['quantity_issued'];
																							$difference = $order['difference'];
																							
																							$get_product = $objHospital->get_store_product_by_product_id($product_id,$hospital_id);
																							if(empty($get_product)){
																								$qty_received = 0;
																							}else{
																								foreach($get_product as $product){
																									$qty_received = $product['qty_received'];
																								}
																							}
																							
																							$total_issued = $objHospital->get_total_issue($product_id, $hospital_id);
																							$total_received = $objHospital->get_total_received($product_id, $hospital_id);
																							if(empty($total_issued)){
																								$total_issue = 0;
																							}else{
																								$total_issue = $total_issued;
																							}
																							
																							if(empty($total_received)){
																								$received = 0;
																							}else{
																								$received = $total_received;
																							}
																							
																							$in_stock = (intval($qty_received) + intval($received)) - intval($total_issue);
																							echo'<form method="post" class="order_item_form"><tr>
																							<td><center>'.date("d-m-Y",strtotime($order_date)).'</center></td>
																							<td><center>'.$department_name.'</center></td>
																							<td><center>'.$product_name.'</center></td>
																							<td><center>'.$order_qty.'</center></td>
																							<td><center>'.$quantity_issued.'</center></td>
																							<td style="word-wrap: break-word;"><center>';
																							$get_user = $objHospital->get_user($user_id);
																							foreach($get_user as $user){
																								$first_name = $user['first_name'];
																								$last_name = $user['last_name'];
																								echo $first_name.' '.$last_name;
																							}
																							echo'</center></td>
																							<td><center>'.$issued_date.'</center></td>
																							<td style="color:green;"><center>'.$in_stock.'</center></td>
																							</tr>';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="stock_alerts" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Stock Alerts</h5>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Product ID</center></th>
																					<th scope="col"><center>Product Name</center></th>
																					<th scope="col"><center>Brand</center></th>
																					<th scope="col"><center>Qty in Stock</center></th>
																					<th scope="col"><center>Min Stock</center></th>
																					<th scope="col"><center>Re-Order Level</center></th>
																					<th scope="col"><center>Make Order</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_stock_alerts = $objHospital->get_store_stock_alerts($user_id);
																					if(empty($get_stock_alerts)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no products added yet</center></td></tr>';
																					}else{
																						foreach($get_stock_alerts as $alerts){
																							$product_id = $alerts['store_product_id'];
																							$hospital_id = $alerts['hospital_id'];
																							$product_name = $alerts['product_name'];
																							$product_brand = $alerts['product_brand'];
																							$qty_received = $alerts['qty_received'];
																							$expiry_date = $alerts['expiry_date'];
																							$buying_price = $alerts['buying_price'];
																							$selling_price = $alerts['selling_price'];
																							
																							$total_issued = $objHospital->get_total_issue($product_id, $hospital_id);
																							$total_received = $objHospital->get_total_received($product_id, $hospital_id);
																							if(empty($total_issued)){
																								$total_issue = 0;
																							}else{
																								$total_issue = $total_issued;
																							}
																							
																							if(empty($total_received)){
																								$received = 0;
																							}else{
																								$received = $total_received;
																							}
																							
																							$in_stock = ((intval($qty_received) + intval($received)) - intval($total_issue));
																							
																							//Get average monthly consumption
																							$get_average_monthly_consumption = $objHospital->get_store_average_monthly_consumption($product_id,$hospital_id);
																							
																							$stock_alert_settings = $objHospital->get_stock_alert_settings($user_id);
																							
																							if(empty($stock_alert_settings)){
																								$min_stock = 0;
																								$max_stock = 0;
																								$reorder = 0;
																							}else{
																								foreach($stock_alert_settings as $settings){
																									$minimum_stock = $settings['minimum_stock'];
																									$maximum_stock = $settings['maximum_stock'];
																									$reorder_level = $settings['reorder_level'];
																								}
																								$min_stock = floatval($minimum_stock) * floatval($get_average_monthly_consumption);
																								$max_stock = floatval($maximum_stock) * floatval($get_average_monthly_consumption);
																								$reorder = floatval($reorder_level) * floatval($get_average_monthly_consumption);
																							}
																							if($in_stock > $min_stock){
																								//Do nothing
																							}else{
																								echo'
																								<tr>
																									<td><center>'.$product_id.'</center></td>
																									<td><center>'.$product_name.'</center></td>
																									<td><center>'.$product_brand.'</center></td>
																									<td><center><span style="color:red;">'.number_format(floatval($in_stock),0,0,',').'</span></center></td>
																									<td><center>'.number_format(floatval($min_stock),0,0,',').'</center></td>
																									<td><center>'.number_format(floatval($reorder),0,0,',').'</center></td>
																									<td><center>';
																									//Check if there is a product order for this product
																									$check_order = $objHospital->check_for_product_order($product_id,$dpt_name,$hospital_id);
																									if(empty($check_order)){
																										echo'<button type="button" class="badge badge-danger reorder_button" data-toggle="modal" data-target="#make_product_order_modal" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'" data-product-name="'.$product_name.'" data-department="'.$dpt_name.'">Make Order</button>';
																									}else{
																										echo'<div class="badge badge-success">Order Sent</div>';
																									}
																									echo'</center>
																									</td>
																								</tr>';
																							}
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="expiries" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Expiry Alerts</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Product ID</center></th>
																					<th scope="col"><center>Product Name</center></th>
																					<th scope="col"><center>Expiry Date</center></th>
																					<th scope="col"><center>Period to Expiry (Months)</center></th>
																					<th scope="col"><center>Qty to Expire</center></th>
																					<th scope="col"><center>Total Cost</center></th>
																					<th scope="col"><center>Make Order</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_expiry_alerts = $objHospital->get_store_expiry_alerts($user_id,$dpt_name);
																					if(empty($get_expiry_alerts)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no products added yet</center></td></tr>';
																					}else{
																						foreach($get_expiry_alerts as $alert){
																							$product_id  = $alert['store_stock_id'];
																							$product_name = $alert['product_name'];
																							$expiry_date = $alert['exp_date'];
																							$period_to_expiry = $alert['period_to_expiry'];
																							$total_unit_quantity = 0;
																							$total_cost = $alert['total_cost'];
																							$hospital_id = $alert['hospital_id'];
																							
																							
																							echo'
																							<tr>
																								<td><center>'.$product_id.'</center></td>
																								<td><center>'.$product_name.'</center></td>
																								<td><center>'.$expiry_date.'</center></td>
																								<td><center><span style="color:red;">'.$period_to_expiry.'</span></center></td>
																								<td><center><span style="color:red;">'.number_format(floatval($total_unit_quantity),0,0,',').'</span></center></td>
																								<td><center><span style="color:red;">'.number_format(floatval($total_cost),0,0,',').'</span></center></td>
																								<td>';
																								//Check if there is a product order for this product
																								$check_order = $objHospital->check_for_product_order($product_id,$dpt_name,$hospital_id);
																								if(empty($check_order)){
																									echo'<button type="button" class="badge badge-danger reorder_button" data-toggle="modal"  data-target="#make_product_order_modal" data-product-id="'.$product_id.'" data-hospital-id="'.$hospital_id.'" data-product-name="'.$product_name.'" data-department="'.$dpt_name.'">Make Order</button>';
																								}else{
																									echo'<div class="badge badge-success">Order Sent</div>';
																								}
																									
																									
																									echo'</center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="vendors" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="row">
																	<div class="col-sm-12" style="text-align:right;">
																		<a class="btn btn-info" href="equipment.php?user_id=<?php echo $user_id;?>&department=<?php echo $dpt_name;?>"><i class="fa fa-plus"></i>&nbsp; Add Vendor</a>
																	</div>
																</div>
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Vendors</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Vendor ID</center></th>
																					<th scope="col"><center>Vendor Name</center></th>
																					<th scope="col"><center>Email</center></th>
																					<th scope="col"><center>Phone</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_all_services = $objHospital->get_services($user_id,$dpt_name);
																					if(empty($get_all_services)){
																						echo'<tr><td colspan="6" style="color:green;"><center>There are no vendors added yet</center></td></tr>';
																					}else{
																						foreach($get_all_services as $service){
																							$service_id  = $service['service_id'];
																							$hospital_id = $service['hospital_id'];
																							$department_name = $service['department_name'];
																							$service_name = $service['service_name'];
																							$description = $service['description'];
																							$cost = $service['cost'];
																							
																							//Lets cut the number of words 
																							if(strlen($description)>50){
																								$desc = substr($description,0,50).'...';
																							}else{
																								$desc = $description;
																							}
																							
																							echo'
																							<tr>
																								<td><center>'.$service_id.'</center></td>
																								<td><center>'.$service_name.'</center></td>
																								<td><center>'.$desc.'</center></td>
																								<td><center>_</center></td>
																								<td>
																									<center><button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown">Actions</button><center>
																									<div class="dropdown-menu dropdown-menu-left">
																										<button class="badge badge-dark view_service_button"  data-toggle="modal"  data-target="#view_services_modal" data-service-id="'.$service_id.'" data-hospital-id="'.$hospital_id.'" data-service-name="'.$service_name.'">View Details</button>
																										<button class="badge badge-warning edit_service_button"  data-toggle="modal" data-target="#edit_services_modal" data-service-id="'.$service_id.'" data-hospital-id="'.$hospital_id.'" data-service-name="'.$service_name.'">Edit Service</button>
																										<button class="badge badge-danger delete_service_button"  data-toggle="modal" data-target="#delete_service_button" data-service-id="'.$service_id.'" data-hospital-id="'.$hospital_id.'" data-service-name="'.$service_name.'">Delete Service</button>
																									</div>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														
														
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_brand_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">All Product Brands<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<h5 style="text-align:right;"><a class="badge badge-success" data-toggle="collapse" href="#add_a_brand" aria-expanded="false" aria-controls="patient">
																			<i class="fa fa-plus"></i>
																			<span class="menu-title"><b>Add a Brand</b></span>
																			<i class="menu-arrow"></i>
																		</a></h5>
																		<div class="img-container collapse" id="add_a_brand">
																			<div class="card add_brand_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_brand_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Brand Name:</label>
																							<div class="col-sm-9">
																							  <input name="brand_name" type="text" class="form-control" placeholder="Eg. Cipla, Morderna...etc"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
																							<div class="col-sm-9">
																							  <textarea name="brand_description" type="text" rows="2" style="height:100%;" class="form-control" placeholder="Eg Country, Address... etc"></textarea>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="brand_user_id" value="<?php echo $user_id?>">
																								<input type="hidden" name="brand_department" value="<?php echo $dpt_name?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Brand</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																		<div class="table-responsive">
																			<table class="table primary-table-bg-hover">
																				<thead>
																					<tr>
																						<th scope="col"><center>Brand ID</center></th>
																						<th scope="col"><center>Brand Name</center></th>
																						<th scope="col"><center>Description</center></th>
																						<th scope="col"><center>Delete</center></th>
																					</tr>
																				</thead>
																				<tbody id="all_brands_body">
																				</tbody>
																			</table>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_category_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">All Product Categories<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<h5 style="text-align:right;"><a class="badge badge-success" data-toggle="collapse" href="#add_a_category" aria-expanded="false" aria-controls="category">
																			<i class="fa fa-plus"></i>
																			<span class="menu-title"><b>Add a Product Category</b></span>
																			<i class="menu-arrow"></i>
																		</a></h5>
																		<div class="img-container collapse" id="add_a_category">
																			<div class="card add_category_card">
																				<div class="row">
																					<form method="post" class="form-sample" id="add_category_form">
																					  <div class="row">
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Category Name:</label>
																							<div class="col-sm-9">
																							  <input name="product_category_name" type="text" class="form-control" placeholder="Eg. Medicine, Sundries, Herbal, Home Care...etc"/>
																							</div>
																						  </div>
																						</div>
																						<div class="col-md-12">
																						  <div class="form-group row">
																							<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
																							<div class="col-sm-9">
																							  <textarea name="category_description" type="text" rows="2" style="height:100%;" class="form-control" ></textarea>
																							</div>
																						  </div>
																						</div>
																					  </div>
																					  <div class="row">
																						<div class="col-md-12">
																							<div class="d-flex justify-content-center">
																								<input type="hidden" name="category_user_id" value="<?php echo $user_id?>">
																								<input type="hidden" name="category_department" value="<?php echo $dpt_name?>">
																								<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Category</span></button>
																							</div>
																						</div>
																					  </div>
																					</form>
																				<!-- partial -->
																				</div>	
																			</div>
																		</div>
																		<div class="table-responsive">
																			<table class="table primary-table-bg-hover">
																				<thead>
																					<tr>
																						<th scope="col"><center>Category ID</center></th>
																						<th scope="col"><center>Category Name</center></th>
																						<th scope="col"><center>Description</center></th>
																						<th scope="col"><center>Delete</center></th>
																					</tr>
																				</thead>
																				<tbody id="all_categories_body">
																				</tbody>
																			</table>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="add_product_modal" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:90rem; height:45rem; margin-left:-300px; overflow-x:auto;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Add a Product 
																		<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<form method="post" class="form-sample" id="add_product_form">
																	<div class="modal-body results_modal_body" style="height:38rem;">
																		<div class="img-container" id="add_a_category">
																			<div class="card add_product_card">
																				<table class="table primary-table-bg-hover">
																					<thead>
																						<tr>
																							<th scope="col"><center>Product Name</center></th>
																							<th scope="col"><center>Strength</center></th>
																							<th scope="col"><center>Units</center></th>
																							<th scope="col"><center>Sold As</center></th>
																							<th scope="col"><center>Route</center></th>
																							<th scope="col"><center>Brand</center></th>
																							<th scope="col"><center>Category</center></th>
																							<th scope="col"><center></center></th>
																							<th scope="col"><center>Buying Price</center></th>
																							<th scope="col"><center>Selling Price</center></th>
																							<th scope="col"><center>Action</center></th>
																						</tr>
																					</thead>
																					<tbody class="add_product_body">
																						<tr>
																							<td><input name="product_name[]" type="text" class="form-control" placeholder="Eg. Panadol, Carbol Fuchsin, Tongs ...etc"/></td>
																							<td><input name="unit_strength[]" type="text" class="form-control" placeholder="No Commas"/></td>
																							<td>
																								<select name="product_unit[]" type="text" class="form-control">
																									<?php
																									$get_product_units = $objHospital->get_product_units($user_id);
																									if(empty($get_product_units)){
																										echo'<option>No Units added yet</option>';
																									}else{
																										foreach($get_product_units as $product){
																											$unit_id = $product['product_unit_id'];
																											$unit_name = $product['unit_name'];
																											$unit_symbol = $product['unit_symbol'];
																											echo'<option value="'.$unit_id.'">'.$unit_name.'('.$unit_symbol.') </option>';
																										}
																									}
																									?>
																								</select>
																							</td>
																							<td>
																								<select name="product_sold_as[]" type="text" class="form-control">
																									<option>Tablet</option>
																									<option>Capsule</option>
																									<option>Piece</option>
																									<option>Syrup</option>
																									<option>Bottle</option>
																									<option>Packet</option>
																									<option>Box</option>
																									<option>Strip</option>
																									<option>Vial</option>
																									<option>Ampule</option>
																									<option>Reagent</option>
																								</select>
																							</td>
																							<td>
																								<select name="product_route[]" type="text" class="form-control">
																								    <option>N/A</option>
																									<option>PO (by mouth)</option>
																									<option>PR (per rectum)</option>
																									<option>IM (intramuscular)</option>
																									<option>IV (intravenous)</option>
																									<option>ID (intradermal)</option>
																									<option>IN (intranasal)</option>
																									<option>TP (topical)</option>
																									<option>SL (sublingual)</option>
																									<option>BUCC (buccal)</option>
																									<option>IP (intraperitoneal)</option>
																								</select>
																							</td>
																							<td>
																								<input name="product_brand[]" type="text" class="form-control">
																							</td>
																							<td>
																								<select name="product_category[]" type="text" class="form-control">
																								<?php
																								$get_categories = $objHospital->get_product_categories($user_id);
																								if(empty($get_categories)){
																									echo'<option>No Brands added yet</option>';
																								}else{
																									foreach($get_categories as $category){
																										$category_name = $category['category_name'];
																										echo'<option>'.$category_name.'</option>';
																									}
																								}
																								?>
																								</select>
																							</td>
																							<td> </td>
																							<td><input name="buying_price[]" type="text" class="form-control" placeholder="No Commas"/></td>
																							<td><input name="selling_price[]" type="text" class="form-control" placeholder="No Commas"/></td>
																							<td><button type="button" class="btn btn-badge btn-success add_new_product_btn">Add</button></td>
																						</tr>
																					</tbody>
																				</table>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<div class="row">
																			<div class="col-md-12">
																				<div class="d-flex justify-content-between">
																					<input type="hidden" name="product_user_id" value="<?php echo $user_id?>">
																					<input type="hidden" name="product_department" class="form-control">
																					<input name="qty_received[]" type="hidden" class="form-control"/>
																					<input name="supplier_name" type="hidden" class="form-control"/>
																					<input name="date_received" type="hidden" class="form-control"/>
																					<button type="submit" class="btn btn-lg btn-primary px-4 mr-2 my-1" id="save"><span style="font-size:16px;">Save Products</span></button>
																					<button type="button" data-dismiss="modal" class="btn btn-dark px-4 mr-2 my-1">Cancel</button>
																				</div>
																			</div>
																		  </div>
																	</div>
																	</form>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="new_stock_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:85rem; margin-left:-15rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Refill Product Stock<span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="row grid">
																				<div class="col-xl-3" style="overflow-y:scroll; overflow-x:auto; height:36rem;">
																					<div class="grid-col">
																						<div class="row">
																							<div class="form-group">
																								<label><span style="color:black; font-size:16px;">Search Product</span></label>
																								<input type="text" style="width:19rem;" class="form-control" name="search_pharmacy_term" id="search_product_term"><i class="fa fa-serch"></i>
																							</div>
																						</div>
																						<div class="row">
																							<div class="form-group" id="searched_medicine" style="width:17rem;">
																								
																							</div>
																						</div>
																					</div>
																				</div>
																				<div class="col-xl-9" style="border-radius:10px; border:solid; overflow-y:scroll;">
																					<div class="grid-col">
																						<div class="row">
																							<div class="form-group">
																								<center><label><span style="color:black; font-size:16px;">Product Details:</span></label></center>
																								<div style="background:grey; height:2px; width:60rem;"></div>
																									<div class="table-responsive">
																										<form method="post" id="refill_stock_form">
																											<table class="table primary-table-bg-hover">
																												<thead>
																													<tr>
																														<th scope="col"><center>Product Name</center></th>
																														<th scope="col"><center>Strength</center></th>
																														<th scope="col"><center>Brand</center></th>
																														<th scope="col"><center>Quantity</center></th>
																														<th scope="col"><center>No of PPI</center></th>
																														<th scope="col"><center>Exp Date</center></th>
																														<th scope="col"><center>Lot No</center></th>
																														<th scope="col"><center>Buy Price</center></th>
																														<th scope="col"><center>Sell Price</center></th>
																														<th scope="col"><center>Remove</center></th>
																													</tr>
																												</thead>
																												<tbody class="searched_term_body">
																													<!----All visits go here--->
																												</tbody>
																												<tfoot>
																												<tr>
																												<td colspan="2"><b>Supplier Name</b></td>
																												<td colspan="2"><select name="supplier_name" type="text" class="form-control">
																												<?php
																												$get_all_vendors = $objHospital->get_all_vendors($user_id);
																												if(empty($get_all_vendors)){
																													echo'<option>There are no suppliers added yet</option>';
																												}else{
																													foreach($get_all_vendors as $vendor){
																														$vendor_name = $vendor['vendor_name'];
																														echo '<option>'.$vendor_name.'</option>';
																													}
																												}
																													
																												?></select></td>
																												<td colspan="2"><b>Invoice #</b></td>
																												<td colspan="1"><input name="supplier_invoice" type="text" class="form-control"/></td>
																												<td colspan="1"><b>Supply Date</b></td>
																												<td colspan="2"><input name="date_received" type="date" class="form-control"/></td>
																											</tr>
																													<tr>
																														<td colspan="10"><center><i>No of PPI = Number of Patients worked on Per Item</i></center></td>
																													</tr>
																													<tr>
																														<td colspan="10"><center><button type="submit" class="btn btn-primary">Submit</button></center></td>
																													</tr>
																												</tfoot>
																											</table>
																										</form>
																									</div>
																							</div>
																						</div>
																					</div>
																				</div>
																			</div>
																			
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="edit_product_modal" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:90rem; height:22rem; margin-left:-300px; margin-top:-150px; overflow-x:auto;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Edit <span style="color:blue;" id="product_name_header"></span> Details</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" style="height:38rem;">
																		<div class="img-container" id="edit_a_product_container">
																			<!--------Product details go here---->
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="view_product_modal" tabindex="1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:90rem; height:22rem; margin-left:-300px; margin-top:-150px; overflow-x:auto;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">View <span style="color:blue;" id="view_product_name_header"></span> Details</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" style="height:38rem;">
																		<div class="img-container" id="view_a_product_container">
																			<!--------Product details go here---->
																		</div>
																	</div>
																</div>
															</div>
														</div>
																
														
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="make_product_order_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" style="height:25rem;">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="margin-top:100px;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Make Order for: <span style="color:blue;" id="make_order_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card make_order_card" >
																				<!---Order form--->
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="edit_services_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:75rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Edit <span style="color:blue;" id="edit_service_header"></span> Service</h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card edit_service_card" style="width:70rem;">
																				<!---View equipment here--->
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="stock_card_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Stock Card for <span style="color:blue;" id="stock_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">																		
																		<div class="table-responsive" id="stock_card_body">
																			<!---Stock card goes here--->
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="universal_list" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:90rem; height:45rem; margin-left:-300px; overflow-x:auto;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Universal List of Supplies <span style="color:blue;" id="stock_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="row">
																			<div class="col-md-4" style="height:38rem; overflow-y:auto">
																				<div class="card">
																					<div class="table-responsive">
																						<table class="table primary-table-bg-hover">
																						<thead>
																							<tr>
																								<th colspan="3" scope="col"><input class="form-control search_universal_products" placeholder="Search Product" style="border: 1px solid grey; border-radius:5px;"></th>
																							</tr>
																							<tr>
																								<th scope="col">S/N</th>
																								<th scope="col">Product Name</th>
																								<th scope="col"><center>Localize</center></th>
																							</tr>
																						</thead>
																						<tbody id="universal_list_card_body">
																							<!----Products details body---->																	
																						</tbody>
																					</table>
																					</div>
																				</div>
																			</div>
																			<div class="col-md-8" style="height:38rem; overflow-y:auto">
																				<form method="post" class="form-sample" id="add_universal_product_form">
																				<div class="card">
																					<table class="table primary-table-bg-hover">
																						<thead>
																							<tr>
																								<th scope="col"><center>Product Name</center></th>
																								<th scope="col"><center>Strength</center></th>
																								<th scope="col"><center>Units</center></th>
																								<th scope="col"><center>Sold As</center></th>
																								<th scope="col"><center>Route</center></th>
																								<th scope="col"><center>Brand</center></th>
																								<th scope="col"><center>Category</center></th>
																								<th scope="col"><center></center></th>
																								<th scope="col"><center>Buying Price</center></th>
																								<th scope="col"><center>Selling Price</center></th>
																								<th scope="col"><center>Action</center></th>
																							</tr>
																						</thead>
																						<tbody id="add_universal_product_body">
																						</tbody>
																						<tfoot>
																							<tr>
																								<input type="hidden" name="universal_product_user_id" value="<?php echo $user_id?>">
																								<td colspan="11"><center><button class="btn btn-primary">Save to Local Products</button></center></td>
																							</tr>
																						</tfoot>
																					</table>
																				</div>
																				</form>
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														
														

														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/store.js"></script>
	<style>
	.results_modal_body{
		height: 400px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>