<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];
	$dpt_name = $_GET['department'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
	<link href="../assets/summernote/summernote.min.css" rel="stylesheet">
	
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:78rem;">
										<div class="card-header">
											<div class="row">
												<div class="col-sm-12" style="text-align:right;">
													<a class="btn btn-info" data-toggle="modal" data-target="#add_theatre_modal" style="color:white;"><i class="fa fa-hospital-o"></i>&nbsp; Theatres</a>
													<a class="btn btn-info" href="equipment.php?user_id=<?php echo $user_id;?>&department=Surgical"><i class="fa fa-tachometer"></i>&nbsp; Equipment</a>
													<a class="btn btn-info" data-toggle="modal" data-target="#add_procedure_modal" style="color:white;"><i class="fa fa-plus"></i>&nbsp; Procedures</a>
												</div>
											</div>
										</div>
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item">
															<a href="#collection" data-toggle="tab" class="nav-link active show"><i class="fa fa-calendar"></i>&nbsp;Theatre Bookings
															<?php
															/*/Count number of pending requests
															$pending_collection = $objHospital->count_pending_collection($user_id);
															if($pending_collection == 0){
																//Do nothing
															}else{
																echo'<span class="badge badge-danger">'.$pending_collection.'</span>';
															}*/
															?>
															</a>
														</li>
														<li class="nav-item" id="visit_btn" >
															<a href="#reception" data-toggle="tab" class="nav-link"><i class="fa fa-wheelchair"></i>&nbsp;Pre-Operation
															<?php
															/*/Count number of pending receptions
															$pending_received = $objHospital->count_pending_reception($user_id);
															if($pending_received == 0){
																//Do nothing
															}else{
																echo'<span class="badge badge-danger">'.$pending_received.'</span>';
															}*/
															?>
															</a>
														</li>
														<li class="nav-item" id="vitals_btn">
															<a href="#analysis" data-toggle="tab" class="nav-link"><i class="fa fa-scissors"></i>&nbsp;Operation
															<?php
															/*/Count number of pending analyses
															$pending_analysis = $objHospital->count_pending_analysis($user_id);
															if($pending_analysis == 0){
																//Do nothing
															}else{
																echo'<span class="badge badge-danger">'.$pending_analysis.'</span>';
															}*/
															?>
															</a>
														</li>
														<li class="nav-item" id="manage_patient_btn">
															<a href="#review" data-toggle="tab" class="nav-link"><i class="fa fa-bed"></i>&nbsp;Post-Operation
															<?php
															/*/Count number of pending reviews
															$pending_review = $objHospital->count_pending_review($user_id);
															if($pending_review == 0){
																//Do nothing
															}else{
																echo'<span class="badge badge-danger">'.$pending_review.'</span>';
															}*/
															?>
															</a>
														</li>
													</ul>
													<div class="tab-content">
														<div id="collection" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:red;">Pending Booking</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Name</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Gender</center></th>
																					<th scope="col"><center>Procedure</center></th>
																					<th scope="col"><center>Date & Time</center></th>
																					<th scope="col"><center>Requester</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																				
																					$get_requests = $objHospital->get_pending_bookings($user_id);
																					if(empty($get_requests)){
																						echo'<tr>
																								<td colspan="8" style="color:blue;"><center>There are no pending booking confirmations yet<center></td>
																							</tr>';																
																					}else{
																						foreach($get_requests as $requests){
																							$surgical_request_id  = $requests['surgical_request_id'];
																							$hospital_id = $requests['hospital_id'];
																							$visit_id = $requests['visit_id'];
																							$visit_date = $requests['visit_date'];
																							$patient_id = $requests['patient_id'];
																							$patient_name = $requests['patient_name'];
																							$procedure_id = $requests['procedure_id'];
																							$procedure_name = $requests['procedure_name'];
																							$anatomic_site = $requests['anatomic_site'];
																							$theatre = $requests['theatre_name'];
																							$procedure_date = $requests['procedure_date'];
																							$start_time = $requests['procedure_start_time'];
																							$end_time = $requests['procedure_end_time'];
																							$added_by = $requests['added_by'];
																							$confirmed_by = $requests['booking_confirmed_by'];
																							
																							//Get requester details
																							$get_staff_by_id = $objHospital->get_staff_details($added_by,$user_id);
																							foreach($get_staff_by_id as $staff){
																								$requester_name = $staff['first_name'].' '.$staff['last_name'];
																							}
																							
																							//Get patient details
																							$get_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
																							foreach($get_patient as $patient){
																								$gender = $patient['gender'];
																								$age = $patient['age'];
																							}
																							
																							//Get theatre details
																							$get_theatre = $objHospital->get_theatre_by_id($theatre,$user_id);
																							foreach($get_theatre as $theatre){
																								$theatre_name = $theatre['theatre_name'];
																							}
																							
																							$request_type = 'Surgical';
																							//Get bill details for by request ID request
																							$get_request_bill = $objHospital->get_request_bill($surgical_request_id,$request_type,$hospital_id);
																							
																							foreach($get_request_bill as $request){
																								$paid = $request['paid'];
																							}
																							
																							//Get visit type ie if patient is walkin
																							$get_visit_details = $objHospital->get_visit_by_id($visit_id,$patient_id,$user_id);
																							foreach($get_visit_details as $detail){
																								$type_of_visit = $detail['type_of_visit'];
																							}
																							
																							if($paid == 'Partial' || $paid == 'Fully' || $type_of_visit=='Group'){
																								echo'<tr>
																										<td><center>'.$patient_id.'</center></td>
																										<td><center>'.$patient_name.'</center></td>
																										<td><center>'.$age.'</center></td>
																										<td><center>'.$gender.'</center></td>
																										<td><center>'.$procedure_name.'</center></td>
																										<td><center>'.date('d-M-Y',strtotime($procedure_date)).'/'.$start_time.' - '.$end_time.'</center></td>
																										<td><center>'.$requester_name.'</center></td>
																										<td><center>'; 
																										if(!empty($confirmed_by)){
																											echo'<div class="badge badge-primary">Confirmed</div>';
																										}else{
																											echo'<button class="btn btn-success confirm_booking_btn" data-toggle="modal" data-target="#confirm_booking_modal" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-procedure-id="'.$procedure_id.'" data-theatre="'.$theatre_name.'" data-patient-name="'.$patient_name.'" data-surgical-request-id="'.$surgical_request_id.'">Confirm Booking</button>';
																										}
																										echo'</center></td>
																									</tr>
																								';
																							}
																						}
																					}
																																							
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<div class="row">
																			<div class="col-md-12 d-flex">
																				<div class="col-sm-6">
																					<h5 style="color:blue;">Confirmed Bookings</h4>
																				</div>
																				<div class="col-sm-6">
																					<input class="form-control" name="search_patient" placeholder="Search Patient">
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Name</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Gender</center></th>
																					<th scope="col"><center>Procedure</center></th>
																					<th scope="col"><center>Date & Time</center></th>
																					<th scope="col"><center>Requester</center></th>
																					<th scope="col"><center>Status</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																				
																					$get_requests = $objHospital->get_confirmed_bookings($user_id);
																					if(empty($get_requests)){
																						echo'<tr>
																								<td colspan="8" style="color:blue;"><center>There are no confirmed booking yet<center></td>
																							</tr>';																
																					}else{
																						foreach($get_requests as $requests){
																							$surgical_request_id  = $requests['surgical_request_id'];
																							$hospital_id = $requests['hospital_id'];
																							$visit_id = $requests['visit_id'];
																							$visit_date = $requests['visit_date'];
																							$patient_id = $requests['patient_id'];
																							$patient_name = $requests['patient_name'];
																							$procedure_id = $requests['procedure_id'];
																							$procedure_name = $requests['procedure_name'];
																							$anatomic_site = $requests['anatomic_site'];
																							$theatre = $requests['theatre_name'];
																							$procedure_date = $requests['procedure_date'];
																							$start_time = $requests['procedure_start_time'];
																							$end_time = $requests['procedure_end_time'];
																							$added_by = $requests['added_by'];
																							$confirmed_by = $requests['booking_confirmed_by'];
																							
																							//Get requester details
																							$get_staff_by_id = $objHospital->get_staff_details($added_by,$user_id);
																							foreach($get_staff_by_id as $staff){
																								$requester_name = $staff['first_name'].' '.$staff['last_name'];
																							}
																							
																							//Get patient details
																							$get_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
																							foreach($get_patient as $patient){
																								$gender = $patient['gender'];
																								$age = $patient['age'];
																							}
																							
																							//Get theatre details
																							$get_theatre = $objHospital->get_theatre_by_id($theatre,$user_id);
																							foreach($get_theatre as $theatre){
																								$theatre_name = $theatre['theatre_name'];
																							}
																							echo'
																								<tr>
																									<td><center>'.$patient_id.'</center></td>
																									<td><center>'.$patient_name.'</center></td>
																									<td><center>'.$age.'</center></td>
																									<td><center>'.$gender.'</center></td>
																									<td><center>'.$procedure_name.'</center></td>
																									<td><center>'.date('d-M-Y',strtotime($procedure_date)).'/'.$start_time.' - '.$end_time.'</center></td>
																									<td><center>'.$requester_name.'</center></td>
																									<td><center>'; 
																									if(!empty($confirmed_by)){
																										echo'<div class="badge badge-primary">Confirmed</div>';
																									}else{
																										echo'<button class="btn btn-success confirm_booking_btn" data-toggle="modal" data-target="#confirm_booking_modal" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-procedure-id="'.$procedure_id.'" data-theatre="'.$theatre_name.'" data-patient-name="'.$patient_name.'" data-surgical-request-id="'.$surgical_request_id.'">Confirm Booking</button>';
																									}
																									echo'</center></td>
																								</tr>
																							';
																						}
																					}
																																							
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="reception" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:red;">Pending Preparation</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Name</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Gender</center></th>
																					<th scope="col"><center>Procedure</center></th>
																					<th scope="col"><center>Date & Time</center></th>
																					<th scope="col"><center>Requester</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					$get_requests = $objHospital->get_pending_preparation($user_id);
																					if(empty($get_requests)){
																						echo'<tr>
																								<td colspan="8" style="color:blue;"><center>There are no patients pending preparation yet<center></td>
																							</tr>';																
																					}else{
																						foreach($get_requests as $requests){
																							$surgical_request_id  = $requests['surgical_request_id'];
																							$hospital_id = $requests['hospital_id'];
																							$visit_id = $requests['visit_id'];
																							$visit_date = $requests['visit_date'];
																							$patient_id = $requests['patient_id'];
																							$patient_name = $requests['patient_name'];
																							$procedure_id = $requests['procedure_id'];
																							$procedure_name = $requests['procedure_name'];
																							$anatomic_site = $requests['anatomic_site'];
																							$theatre = $requests['theatre_name'];
																							$procedure_date = $requests['procedure_date'];
																							$start_time = $requests['procedure_start_time'];
																							$end_time = $requests['procedure_end_time'];
																							$added_by = $requests['added_by'];
																							$confirmed_by = $requests['booking_confirmed_by'];
																							$acknowledged = $requests['acknowledged'];
																							
																							//Get requester details
																							$get_staff_by_id = $objHospital->get_staff_details($added_by,$user_id);
																							foreach($get_staff_by_id as $staff){
																								$requester_name = $staff['first_name'].' '.$staff['last_name'];
																							}
																							
																							//Get patient details
																							$get_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
																							foreach($get_patient as $patient){
																								$gender = $patient['gender'];
																								$age = $patient['age'];
																							}
																							
																							//Get theatre details
																							$get_theatre = $objHospital->get_theatre_by_id($theatre,$user_id);
																							foreach($get_theatre as $theatre){
																								$theatre_name = $theatre['theatre_name'];
																							}
																							echo'
																								<tr>
																									<td><center>'.$patient_id.'</center></td>
																									<td><center>'.$patient_name.'</center></td>
																									<td><center>'.$age.'</center></td>
																									<td><center>'.$gender.'</center></td>
																									<td><center>'.$procedure_name.'</center></td>
																									<td><center>'.date('d-M-Y',strtotime($procedure_date)).'/'.$start_time.' - '.$end_time.'</center></td>
																									<td><center>'.$requester_name.'</center></td>
																									<td><center>
																										<button class="btn btn-success prepare_patient_btn" data-toggle="modal" data-target="#prepare_patient_modal" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-procedure-id="'.$procedure_id.'" data-procedure-name="'.$procedure_name.'" data-theatre="'.$theatre_name.'" data-patient-name="'.$patient_name.'" data-surgical-request-id="'.$surgical_request_id.'">Prepare Patient</button>
																									</center></td>
																								</tr>
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<div class="row">
																			<div class="col-md-12 d-flex">
																				<div class="col-sm-6">
																					<h5 style="color:blue;">Prepared and Ready for Theatre</h4>
																				</div>
																				<div class="col-sm-6">
																					<input class="form-control" name="search_sample" placeholder="Search Patient">
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Name</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Gender</center></th>
																					<th scope="col"><center>Procedure</center></th>
																					<th scope="col"><center>Date & Time</center></th>
																					<th scope="col"><center>Requester</center></th>
																					<th scope="col"><center>Status</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					$get_requests = $objHospital->get_prepared_patients($user_id);
																					if(empty($get_requests)){
																						echo'<tr>
																								<td colspan="8" style="color:blue;"><center>There are no patients prepared yet<center></td>
																							</tr>';																
																					}else{
																						foreach($get_requests as $requests){
																							$surgical_request_id  = $requests['surgical_request_id'];
																							$hospital_id = $requests['hospital_id'];
																							$visit_id = $requests['visit_id'];
																							$visit_date = $requests['visit_date'];
																							$patient_id = $requests['patient_id'];
																							$patient_name = $requests['patient_name'];
																							$procedure_id = $requests['procedure_id'];
																							$procedure_name = $requests['procedure_name'];
																							$anatomic_site = $requests['anatomic_site'];
																							$theatre = $requests['theatre_name'];
																							$procedure_date = $requests['procedure_date'];
																							$start_time = $requests['procedure_start_time'];
																							$end_time = $requests['procedure_end_time'];
																							$added_by = $requests['added_by'];
																							$confirmed_by = $requests['booking_confirmed_by'];
																							$acknowledged = $requests['acknowledged'];
																							
																							//Get requester details
																							$get_staff_by_id = $objHospital->get_staff_details($added_by,$user_id);
																							foreach($get_staff_by_id as $staff){
																								$requester_name = $staff['first_name'].' '.$staff['last_name'];
																							}
																							
																							//Get patient details
																							$get_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
																							foreach($get_patient as $patient){
																								$gender = $patient['gender'];
																								$age = $patient['age'];
																							}
																							
																							//Get theatre details
																							$get_theatre = $objHospital->get_theatre_by_id($theatre,$user_id);
																							foreach($get_theatre as $theatre){
																								$theatre_name = $theatre['theatre_name'];
																							}
																							echo'
																								<tr>
																									<td><center>'.$patient_id.'</center></td>
																									<td><center>'.$patient_name.'</center></td>
																									<td><center>'.$age.'</center></td>
																									<td><center>'.$gender.'</center></td>
																									<td><center>'.$procedure_name.'</center></td>
																									<td><center>'.date('d-M-Y',strtotime($procedure_date)).'/'.$start_time.' - '.$end_time.'</center></td>
																									<td><center>'.$requester_name.'</center></td>
																									<td><center>
																										<div class="badge badge-primary">Prepared</div>
																									</center></td>
																								</tr>
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="analysis" class="tab-pane fade"><div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<div class="row">
																			<div class="col-md-12 d-flex">
																				<div class="col-sm-6">
																					<h5 style="color:red;">Pending Operation</h4>
																				</div>
																				<div class="col-sm-6">
																					<input class="form-control" name="search_sample" placeholder="Search Sample">
																				</div>
																			</div>
																		</div>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Name</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Gender</center></th>
																					<th scope="col"><center>Procedure</center></th>
																					<th scope="col"><center>Date & Time</center></th>
																					<th scope="col"><center>Requester</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody id="all_received_samples">
																				<?php
																				$get_requests = $objHospital->get_pending_surgery($user_id);
																					if(empty($get_requests)){
																						echo'<tr>
																								<td colspan="8" style="color:blue;"><center>There are no patients pending preparation yet<center></td>
																							</tr>';																
																					}else{
																						foreach($get_requests as $requests){
																							$surgical_request_id  = $requests['surgical_request_id'];
																							$hospital_id = $requests['hospital_id'];
																							$visit_id = $requests['visit_id'];
																							$visit_date = $requests['visit_date'];
																							$patient_id = $requests['patient_id'];
																							$patient_name = $requests['patient_name'];
																							$procedure_id = $requests['procedure_id'];
																							$procedure_name = $requests['procedure_name'];
																							$anatomic_site = $requests['anatomic_site'];
																							$theatre = $requests['theatre_name'];
																							$procedure_date = $requests['procedure_date'];
																							$start_time = $requests['procedure_start_time'];
																							$end_time = $requests['procedure_end_time'];
																							$added_by = $requests['added_by'];
																							$confirmed_by = $requests['booking_confirmed_by'];
																							$acknowledged = $requests['acknowledged'];
																							
																							//Get requester details
																							$get_staff_by_id = $objHospital->get_staff_details($added_by,$user_id);
																							foreach($get_staff_by_id as $staff){
																								$requester_name = $staff['first_name'].' '.$staff['last_name'];
																							}
																							
																							//Get patient details
																							$get_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
																							foreach($get_patient as $patient){
																								$gender = $patient['gender'];
																								$age = $patient['age'];
																							}
																							
																							//Get theatre details
																							$get_theatre = $objHospital->get_theatre_by_id($theatre,$user_id);
																							foreach($get_theatre as $theatre){
																								$theatre_name = $theatre['theatre_name'];
																							}
																							echo'
																								<tr>
																									<td><center>'.$patient_id.'</center></td>
																									<td><center>'.$patient_name.'</center></td>
																									<td><center>'.$age.'</center></td>
																									<td><center>'.$gender.'</center></td>
																									<td><center>'.$procedure_name.'</center></td>
																									<td><center>'.date('d-M-Y',strtotime($procedure_date)).'/'.$start_time.' - '.$end_time.'</center></td>
																									<td><center>'.$requester_name.'</center></td>
																									<td><center>
																										<button class="btn btn-success start_procedure_btn" data-toggle="modal" data-target="#start_procedure_modal" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-procedure-id="'.$procedure_id.'" data-procedure-name="'.$procedure_name.'" data-theatre="'.$theatre_name.'" data-patient-name="'.$patient_name.'" data-surgical-request-id="'.$surgical_request_id.'">Start Procedure</button>
																									</center></td>
																								</tr>
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:blue;">Completed Operation</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<th scope="col"><center>Patient ID</center></th>
																				<th scope="col"><center>Name</center></th>
																				<th scope="col"><center>Age</center></th>
																				<th scope="col"><center>Gender</center></th>
																				<th scope="col"><center>Procedure</center></th>
																				<th scope="col"><center>Date & Time</center></th>
																				<th scope="col"><center>Requester</center></th>
																				<th scope="col"><center>Status</center></th>
																			</thead>
																			<tbody id="analyzed_samples">
																				<?php
																					$get_requests = $objHospital->get_completed_surgery($user_id);
																					if(empty($get_requests)){
																						echo'<tr>
																								<td colspan="8" style="color:blue;"><center>There are no patients pending preparation yet<center></td>
																							</tr>';																
																					}else{
																						foreach($get_requests as $requests){
																							$surgical_request_id  = $requests['surgical_request_id'];
																							$hospital_id = $requests['hospital_id'];
																							$visit_id = $requests['visit_id'];
																							$visit_date = $requests['visit_date'];
																							$patient_id = $requests['patient_id'];
																							$patient_name = $requests['patient_name'];
																							$procedure_id = $requests['procedure_id'];
																							$procedure_name = $requests['procedure_name'];
																							$anatomic_site = $requests['anatomic_site'];
																							$theatre = $requests['theatre_name'];
																							$procedure_date = $requests['procedure_date'];
																							$start_time = $requests['procedure_start_time'];
																							$end_time = $requests['procedure_end_time'];
																							$added_by = $requests['added_by'];
																							$confirmed_by = $requests['booking_confirmed_by'];
																							$acknowledged = $requests['acknowledged'];
																							
																							//Get requester details
																							$get_staff_by_id = $objHospital->get_staff_details($added_by,$user_id);
																							foreach($get_staff_by_id as $staff){
																								$requester_name = $staff['first_name'].' '.$staff['last_name'];
																							}
																							
																							//Get patient details
																							$get_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
																							foreach($get_patient as $patient){
																								$gender = $patient['gender'];
																								$age = $patient['age'];
																							}
																							
																							//Get theatre details
																							$get_theatre = $objHospital->get_theatre_by_id($theatre,$user_id);
																							foreach($get_theatre as $theatre){
																								$theatre_name = $theatre['theatre_name'];
																							}
																							echo'
																								<tr>
																									<td><center>'.$patient_id.'</center></td>
																									<td><center>'.$patient_name.'</center></td>
																									<td><center>'.$age.'</center></td>
																									<td><center>'.$gender.'</center></td>
																									<td><center>'.$procedure_name.'</center></td>
																									<td><center>'.date('d-M-Y',strtotime($procedure_date)).'/'.$start_time.' - '.$end_time.'</center></td>
																									<td><center>'.$requester_name.'</center></td>
																									<td><center>
																										<div class="badge badge-primary">Completed Surgery</div>
																									</center></td>
																								</tr>
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="review" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Red;">Recovery Room</h4>
																	</div>
																	<div class="table-responsive">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>Patient ID</center></th>
																					<th scope="col"><center>Name</center></th>
																					<th scope="col"><center>Age</center></th>
																					<th scope="col"><center>Gender</center></th>
																					<th scope="col"><center>Procedure</center></th>
																					<th scope="col"><center>Date & Time</center></th>
																					<th scope="col"><center>Requester</center></th>
																					<th scope="col"><center>Action</center></th>
																				</tr>
																			</thead>
																			<tbody id="analyzed_samples">
																				<?php
																					$get_requests = $objHospital->get_completed_surgery($user_id);
																					if(empty($get_requests)){
																						echo'<tr>
																								<td colspan="8" style="color:blue;"><center>There are no patients pending preparation yet<center></td>
																							</tr>';																
																					}else{
																						foreach($get_requests as $requests){
																							$surgical_request_id  = $requests['surgical_request_id'];
																							$hospital_id = $requests['hospital_id'];
																							$visit_id = $requests['visit_id'];
																							$visit_date = $requests['visit_date'];
																							$patient_id = $requests['patient_id'];
																							$patient_name = $requests['patient_name'];
																							$procedure_id = $requests['procedure_id'];
																							$procedure_name = $requests['procedure_name'];
																							$anatomic_site = $requests['anatomic_site'];
																							$theatre = $requests['theatre_name'];
																							$procedure_date = $requests['procedure_date'];
																							$start_time = $requests['procedure_start_time'];
																							$end_time = $requests['procedure_end_time'];
																							$added_by = $requests['added_by'];
																							$confirmed_by = $requests['booking_confirmed_by'];
																							$acknowledged = $requests['acknowledged'];
																							$recovery = $requests['patient_in_recovery'];
																							
																							//Get requester details
																							$get_staff_by_id = $objHospital->get_staff_details($added_by,$user_id);
																							foreach($get_staff_by_id as $staff){
																								$requester_name = $staff['first_name'].' '.$staff['last_name'];
																							}
																							
																							//Get patient details
																							$get_patient = $objHospital->get_patient_by_id($patient_id,$user_id);
																							foreach($get_patient as $patient){
																								$gender = $patient['gender'];
																								$age = $patient['age'];
																							}
																							
																							//Get theatre details
																							$get_theatre = $objHospital->get_theatre_by_id($theatre,$user_id);
																							foreach($get_theatre as $theatre){
																								$theatre_name = $theatre['theatre_name'];
																							}
																							echo'
																								<tr>
																									<td><center>'.$patient_id.'</center></td>
																									<td><center>'.$patient_name.'</center></td>
																									<td><center>'.$age.'</center></td>
																									<td><center>'.$gender.'</center></td>
																									<td><center>'.$procedure_name.'</center></td>
																									<td><center>'.date('d-M-Y',strtotime($procedure_date)).'/'.$start_time.' - '.$end_time.'</center></td>
																									<td><center>'.$requester_name.'</center></td>
																									<td><center>';
																									if($recovery !== 'Yes'){
																										echo'<button class="btn btn-success recovery_btn" data-toggle="modal" data-target="#recovery_modal" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-procedure-id="'.$procedure_id.'" data-procedure-name="'.$procedure_name.'" data-theatre="'.$theatre_name.'" data-patient-name="'.$patient_name.'" data-request-id="'.$surgical_request_id.'">Generate Report</button>';
																									}else{
																										echo'<button class="btn btn-primary recovery_report_btn" data-toggle="modal" data-target="#recovery_report" data-hospital-id="'.$hospital_id.'" data-patient-id="'.$patient_id.'" data-procedure-id="'.$procedure_id.'" data-procedure-name="'.$procedure_name.'" data-theatre="'.$theatre_name.'" data-patient-name="'.$patient_name.'" data-request-id="'.$surgical_request_id.'">View Report</button>';
																									}
																										
																									echo'</center></td>
																								</tr>
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														
														
														
												<!-- Start popup dialog box -->
												<div class="modal fade bd-example-modal-lg" id="add_theatre_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
													<div class="modal-dialog modal-lg">
														<div class="modal-content">
															<div class="modal-header">
																<h5 class="modal-title" id="modalLabel">All Theatres<span style="color:blue;" id="test_menu_name_header"></span></h5>
																<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																	<span aria-hidden="true">×</span>
																</button>
															</div>
															<div class="modal-body results_modal_body">
																<h5 style="text-align:right;"><a class="btn btn-success" data-toggle="collapse" href="#add_a_theatre" aria-expanded="false" aria-controls="patient">
																	<i class="fa fa-plus"></i>
																	<span class="menu-title"><b>Add a Theatre</b></span>
																	<i class="menu-arrow"></i>
																</a></h5>
																<div class="img-container collapse" id="add_a_theatre">
																	<div class="card add_brand_card">
																		<div class="row">
																			<form method="post" class="form-sample" id="add_theatre_form">
																			  <div class="row">
																				<div class="col-md-12">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Theatre Room Name:</label>
																					<div class="col-sm-9">
																					  <input name="theatre_name" type="text" class="form-control" placeholder="Eg. Theatre 1...etc"/>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-12">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
																					<div class="col-sm-9">
																					  <textarea name="theatre_description" type="text" rows="2" style="height:100%;" class="form-control" ></textarea>
																					</div>
																				  </div>
																				</div>
																			  </div>
																			  <div class="row">
																				<div class="col-md-12">
																					<div class="d-flex justify-content-center">
																						<input type="hidden" name="theatre_user_id" value="<?php echo $user_id?>">
																						<input type="hidden" name="theatre_department" value="<?php echo $dpt_name?>">
																						<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Theatre</span></button>
																					</div>
																				</div>
																			  </div>
																			</form>
																		<!-- partial -->
																		</div>	
																	</div>
																</div>
																<div class="table-responsive">
																	<table class="table primary-table-bg-hover">
																		<thead>
																			<tr>
																				<th scope="col"><center>Theatre ID</center></th>
																				<th scope="col"><center>Theatre Name</center></th>
																				<th scope="col"><center>Description</center></th>
																				<th scope="col"><center>Actions</center></th>
																			</tr>
																		</thead>
																		<tbody id="all_theatre_body">
																		</tbody>
																	</table>
																</div>
															</div>
															<div class="modal-footer">
																<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
															</div>
														</div>
													</div>
												</div>

												<!-- Start popup dialog box -->
												<div class="modal fade bd-example-modal-lg" id="add_procedure_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
													<div class="modal-dialog modal-lg">
														<div class="modal-content">
															<div class="modal-header">
																<h5 class="modal-title" id="modalLabel">All Surgical Procedures Offered<span style="color:blue;" id="test_menu_name_header"></span></h5>
																<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																	<span aria-hidden="true">×</span>
																</button>
															</div>
															<div class="modal-body results_modal_body">
																<h5 style="text-align:right;"><a class="btn btn-success" data-toggle="collapse" href="#add_a_procedure" aria-expanded="false" aria-controls="patient">
																	<i class="fa fa-plus"></i>
																	<span class="menu-title"><b>Add a Procedure</b></span>
																	<i class="menu-arrow"></i>
																</a></h5>
																<div class="img-container collapse" id="add_a_procedure">
																	<div class="card add_brand_card">
																		<div class="row">
																			<form method="post" class="form-sample" id="add_procedure_form">
																			  <div class="row">
																				<div class="col-md-12">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Procedure Name:</label>
																					<div class="col-sm-9">
																					  <input name="procedure_name" type="text" class="form-control" placeholder="Eg. Mastectomy, Tonsilectomy...etc"/>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-12">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Description:</label>
																					<div class="col-sm-9">
																					  <textarea name="procedure_description" type="text" rows="2" style="height:100%;" class="form-control" ></textarea>
																					</div>
																				  </div>
																				</div>
																			  </div>
																			  <div class="row">
																			    <div class="col-md-8">
																				  <div class="form-group row">
																					<label class="col-sm-3 col-form-label" style="color:black; font-size:16px;">Cost:</label>
																					<div class="col-sm-9">
																					  <input name="procedure_cost" type="text" class="form-control" placeholder="No commas, Numbers only"/>
																					</div>
																				  </div>
																				</div>
																				<div class="col-md-4">
																					<div class="d-flex justify-content-center">
																						<input type="hidden" name="procedure_user_id" value="<?php echo $user_id?>">
																						<input type="hidden" name="procedure_department" value="<?php echo $dpt_name?>">
																						<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Procedure</span></button>
																					</div>
																				</div>
																			  </div>
																			</form>
																		<!-- partial -->
																		</div>	
																	</div>
																</div>
																<div class="table-responsive">
																	<table class="table primary-table-bg-hover">
																		<thead>
																			<tr>
																				<th scope="col" style="font-size:16px;"><center>Procedure ID</center></th>
																				<th scope="col" style="font-size:16px;"><center>Procedure Name</center></th>
																				<th scope="col" style="font-size:16px;"><center>Description</center></th>
																				<th scope="col" style="font-size:16px;"><center>Cost(UGX)</center></th>
																				<th scope="col" style="font-size:16px;"><center>Actions</center></th>
																			</tr>
																		</thead>
																		<tbody id="all_procedures_body">
																		</tbody>
																	</table>
																</div>
															</div>
															<div class="modal-footer">
																<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
															</div>
														</div>
													</div>
												</div>
														
														
												<!-- Start popup dialog box -->
												<div class="modal fade bd-example-modal-lg" id="confirm_booking_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
													<div class="modal-dialog modal-lg">
														<div class="modal-content">
															<div class="modal-header">
																<h5 class="modal-title" id="modalLabel">Confirm <span style="color:blue;" id="confirm_theatre_header"></span> booking for: <span id="confirm_name_header" style="color:blue;"></h5>
																<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																	<span aria-hidden="true">×</span>
																</button>
															</div>
															<div class="modal-body">
																<div class="img-container">
																	<div class="card confirm_booking_card" style="width:100%;">
																		<!--Booking details go here-->
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
												
												<!-- Start popup dialog box -->
												<div class="modal fade bd-example-modal-lg" id="prepare_patient_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
													<div class="modal-dialog modal-lg">
														<div class="modal-content">
															<div class="modal-header">
																<h5 class="modal-title" id="modalLabel">Prepare <span id="prepare_name_header" style="color:blue;"></span>  for the <span style="color:blue;" id="prepare_procedure_header"></span> Procedure</h5>
																<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																	<span aria-hidden="true">×</span>
																</button>
															</div>
															<div class="modal-body">
																<div class="img-container">
																	<div class="card prepare_patient_card" style="width:100%;">
																		<!--Booking details go here-->
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
												
												<!-- Start popup dialog box -->
												<div class="modal fade bd-example-modal-lg" id="start_procedure_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
													<div class="modal-dialog modal-lg" style="margin-top:120px;">
														<div class="modal-content">
															<div class="modal-header">
																<h5 class="modal-title" id="modalLabel">Start <span style="color:blue;" id="start_procedure_header"></span> Procedure for: <span id="start_procedure_name_header" style="color:blue;"></span></h5>
																<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																	<span aria-hidden="true">×</span>
																</button>
															</div>
															<div class="modal-body">
																<div class="img-container">
																	<div class="card start_procedure_card" style="width:100%;">
																		<!--Booking details go here-->
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
												
												<!-- Start popup dialog box -->
												<div class="modal fade bd-example-modal-lg" id="recovery_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
													<div class="modal-dialog modal-lg" style="margin-top:120px;">
														<div class="modal-content">
															<div class="modal-header">
																<h5 class="modal-title" id="modalLabel">Complete <span style="color:blue;" id="recovery_header"></span> Procedure for: <span id="recovery_name_header" style="color:blue;"></span></h5>
																<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																	<span aria-hidden="true">×</span>
																</button>
															</div>
															<div class="modal-body">
																<div class="img-container">
																	<div class="card recovery_card" style="width:100%;">
																		<!--Booking details go here-->
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
												
												<!-- Start popup dialog box -->
												<div class="modal fade bd-example-modal-lg" id="recovery_report" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
													<div class="modal-dialog modal-lg" style="margin-top:120px;">
														<div class="modal-content">
															<div class="modal-header">
																<h5 class="modal-title" id="modalLabel"><span style="color:blue;" id="recovery_report_header"></span> Procedure Report for: <span id="recovery_report_name_header" style="color:blue;"></span></h5>
																<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																	<span aria-hidden="true">×</span>
																</button>
															</div>
															<div class="modal-body">
																<div class="img-container">
																	<div class="card recovery_report_card" style="width:100%;">
																		<!--Booking details go here-->
																	</div>
																</div>
															</div>
															<div class="modal-footer">
																<div class="col-md-12">
																  <div class="d-flex justify-content-center">
																	<button type="button" class="btn btn-lg btn-primary print_surgery_report"><span style="font-size:16px;">Print Report</span></button>
																	<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																  </div>
																</div>
															</div>
														</div>
													</div>
												</div>
											
														
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/surgical.js"></script>
    <script src="js/printarea.js"></script>
	
	<script src="../assets/summernote/summernote.min.js"></script>
	<style>
	.results_modal_body{
		height: 550px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>