<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php //echo //$category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/fullcalendar.min.css" rel="stylesheet">
	<link href="../assets/css/style.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<!--**********************************
						Content body start
					***********************************-->
					<div class="content-body">
						<div class="container-fluid">
								<div class="row">
									<div class="card" style="overflow-x:scroll; width:78rem;">
										<div class="card-body">
											<div class="profile-tab">
												<div class="custom-tab-1">
													<ul class="nav nav-tabs">
														<li class="nav-item"><a href="#all_tests" data-toggle="tab" class="nav-link active show"><i class="fa fa-list"></i>&nbsp;All Conditions</a>
														</li>
														<li class="nav-item"><a href="#add_tests" data-toggle="tab" class="nav-link"><i class="fa fa-plus"></i>&nbsp;Add Condition</a>
														</li>
													</ul>
													<div class="tab-content">
														
														<div id="all_tests" class="tab-pane fade active show">
															<div class="card" style="width:100%;">
																<div class="card-body">
																	<div class="card-header">
																		<h5 style="color:Black;">All Conditions</h4>
																	</div>
																	<div class="table-responsive" style="height:30rem; overflow-y:auto;">
																		<table class="table primary-table-bg-hover">
																			<thead>
																				<tr>
																					<th scope="col"><center>UCG ID</center></th>
																					<th scope="col"><center>Category</center></th>
																					<th scope="col"><center>Sub-Category</center></th>
																					<th scope="col"><center>Condition</center></th>
																					<th scope="col"><center>Details</center></th>
																				</tr>
																			</thead>
																			<tbody>
																				<?php
																					
																					$get_ucg_conditions = $objHospital->get_ucg_conditions();
																					if(empty($get_ucg_conditions)){
																						echo'<tr><td colspan="4" style="color:green;"><center>There are no conditions added yet</center></td></tr>';
																					}else{
																						foreach($get_ucg_conditions as $conditions){
																							$ucg_id  = $conditions['ucg_id'];
																							$condition_name = $conditions['condition_name'];
																							$causes = $conditions['causes'];
																							$clinical_features = $conditions['clinical_features'];
																							$differential_diagnosis = $conditions['differential_diagnosis'];
																							$investigations = $conditions['investigations'];
																							$management = $conditions['management'];
																							$treatment_id = $conditions['treatment_id'];
																							$ucg_category_name = $conditions['ucg_category_name'];
																							$ucg_sub_category_name = $conditions['ucg_sub_category_name'];
																							
																							echo'
																							<tr>
																								<td><center>'.$ucg_id.'</center></td>
																								<td><center>'.$ucg_category_name.'</center></td>
																								<td><center>'.$ucg_sub_category_name.'</center></td>
																								<td><center>'.$condition_name.'</center></td>
																								<td><center><button type="button" class="btn btn-success">Details</button><center>
																								</td>
																							</tr>
																							
																							';
																						}
																					}
																				?>
																			</tbody>
																		</table>
																	</div>							
																</div>
															</div>
														</div>
														<div id="add_tests" class="tab-pane fade">
															<div class="card" style="width:100%;">
																<div class="card-header">
																	<h4 class="card-title" style="color:blue;"><b>Add Condition Details</b></h4>
																</div>
																<div class="card-body">
																	<form method="post" class="form-sample" id="add_ucg_condition_form">
																	  <div class="row">
																		<div class="col-md-4">
																		  <div class="form-group row">
																			<label class="col-sm-4 col-form-label">Condition Name</label>
																			<div class="col-sm-8">
																			  <input name="condition_name" type="text" class="form-control"/>
																			</div>
																		  </div>
																		</div>
																		<div class="col-md-4">
																		  <div class="form-group row">
																			<label class="col-sm-4 col-form-label">Condition Category</label>
																			<div class="col-sm-8">
																			  <select name="condition_category" type="text" class="form-control" >
																				<?php
																				$get_categories = $objHospital->get_ucg_categories();
																				foreach($get_categories as $categories){
																					$category_name = $categories['category_name'];
																					echo'<option>'.$category_name.'</option>';
																				}
																				?>
																			  </select>
																			</div>
																		  </div>
																		</div>
																		<div class="col-md-4">
																		  <div class="form-group row">
																			<label class="col-sm-4 col-form-label">Sub-Category</label>
																			<div class="col-sm-8">
																			  <input name="condition_sub_category" type="text" class="form-control"/>
																			</div>
																		  </div>
																		</div>
																	  </div>
																	  <div class="row">
																		  <div class="col-md-12">
																			  <div class="form-group row">
																				<label class="col-sm-2 col-form-label">Description</label>
																				<div class="col-sm-10">
																				  <textarea class="form-control" rows="2" style="height:100%;" name="description" type="text"></textarea>
																				</div>
																			  </div>
																		  </div>
																	  </div>
																	  <div class="row">
																		  <div class="col-md-8">
																			  <div class="form-group row">
																				<label class="col-sm-4 col-form-label">Causes</label>
																				<div class="col-sm-8">
																				  <input class="form-control" name="condition_cause[]" type="text" />
																				</div>
																			  </div>
																		  </div>
																		  <div class="col-md-4">
																			<div class="d-flex justify-content-center">
																				<button type="button" class="btn btn-lg btn-success" id="condition_cause_btn"><span style="font-size:14px;">Add Cause</span></button>
																			</div>
																		  </div>
																	  </div>
																	  <div class="row condition_cause_row">
																			<!--Parameters go here--->
																	  </div><hr>
																	  <div class="row">
																		  <div class="col-md-8">
																			  <div class="form-group row">
																				<label class="col-sm-4 col-form-label">Clinical Features</label>
																				<div class="col-sm-8">
																				  <input class="form-control" name="condition_feature[]" type="text" />
																				</div>
																			  </div>
																		  </div>
																		  <div class="col-md-4">
																			<div class="d-flex justify-content-center">
																				<button type="button" class="btn btn-lg btn-success" id="condition_feature_btn"><span style="font-size:14px;">Add Feature</span></button>
																			</div>
																		  </div>
																	  </div>
																	  <div class="row condition_feature_row">
																			<!--Parameters go here--->
																	  </div><hr>
																	  <div class="row">
																		  <div class="col-md-8">
																			<div class="form-group row">
																				<label class="col-sm-4 col-form-label">Differential diagnosis</label>
																				<div class="col-sm-8">
																					<input type="text" name="condition_differential[]" class="form-control" />
																				</div>
																			</div>
																		  </div>
																		  <div class="col-md-4">
																			<div class="d-flex justify-content-center">
																				<button type="button" class="btn btn-lg btn-success" id="condition_differential_btn"><span style="font-size:14px;">Add Diffential</span></button>
																			</div>
																		  </div>
																	  </div>
																	  <div class="row condition_differential_row">
																			<!--Parameters go here--->
																	  </div><hr>
																	  <div class="row">
																		  <div class="col-md-8">
																			<div class="form-group row">
																				<label class="col-sm-4 col-form-label">Investigation</label>
																				<div class="col-sm-8">
																					<input type="text" name="condition_investigation[]" class="form-control" />
																				</div>
																			</div>
																		  </div>
																		  <div class="col-md-4">
																			<div class="d-flex justify-content-center">
																				<button type="button" class="btn btn-lg btn-success" id="condition_investigation_btn"><span style="font-size:14px;">Add Investigation</span></button>
																			</div>
																		  </div>
																	  </div>
																	  <div class="row condition_investigation_row">
																			<!--Parameters go here--->
																	  </div><hr>
																	  <div class="row">
																		  <div class="col-md-8">
																			<div class="form-group row">
																				<label class="col-sm-4 col-form-label">Management</label>
																				<div class="col-sm-8">
																					<input type="text" name="condition_management[]" class="form-control" />
																				</div>
																			</div>
																		  </div>
																		  <div class="col-md-4">
																			<div class="d-flex justify-content-center">
																				<button type="button" class="btn btn-lg btn-success" id="condition_management_btn"><span style="font-size:14px;">Add Management</span></button>
																			</div>
																		  </div>
																	  </div>
																	  <div class="row condition_management_row">
																			<!--Parameters go here--->
																	  </div><hr>
																	  <div class="row">
																		  <div class="col-md-8">
																			<div class="form-group row">
																				<label class="col-sm-4 col-form-label">Treatment</label>
																				<div class="col-sm-8">
																					<input type="text" name="condition_treatment[]" class="form-control" />
																				</div>
																			</div>
																		  </div>
																		  <div class="col-md-4">
																			<div class="d-flex justify-content-center">
																				<button type="button" class="btn btn-lg btn-success" id="condition_treatment_btn"><span style="font-size:14px;">Add Treatment</span></button>
																			</div>
																		  </div>
																	  </div>
																	  <div class="row condition_treatment_row">
																			<!--Parameters go here--->
																	  </div><hr>
																	  <div class="row">
																		  <div class="col-md-8">
																			<div class="form-group row">
																				<label class="col-sm-4 col-form-label">Prevention</label>
																				<div class="col-sm-8">
																					<input type="text" name="condition_prevention[]" class="form-control" />
																				</div>
																			</div>
																		  </div>
																		  <div class="col-md-4">
																			<div class="d-flex justify-content-center">
																				<button type="button" class="btn btn-lg btn-success" id="condition_prevention_btn"><span style="font-size:14px;">Add Prevention</span></button>
																			</div>
																		  </div>
																	  </div>
																	  <div class="row condition_prevention_row">
																			<!--Parameters go here--->
																	  </div><hr>
																	  <div class="row">
																		<div class="col-md-12">
																			<div class="d-flex justify-content-center">
																				<input type="hidden" name="condition_user_id" value="<?php echo $user_id?>">
																				<button type="submit" class="btn btn-lg btn-primary" id="save"><span style="font-size:16px;">Save Condition</span></button>
																			</div>
																		</div>
																	  </div>
																	</form>						
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="view_test_menu_button" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Details for: <span style="color:blue;" id="test_menu_name_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body">
																		<div class="img-container">
																			<div class="card view_test_menu_card" style="width:100%;">
																				<!---View equipment here--->
																			</div>
																		</div>
																	</div>
																	<div class="modal-footer">
																		<button type="button" data-dismiss="modal" class="btn btn-dark">Cancel</button>
																	</div>
																</div>
															</div>
														</div>
														<!-- Start popup dialog box -->
														<div class="modal fade bd-example-modal-lg" id="edit_test_menu_modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
															<div class="modal-dialog modal-lg">
																<div class="modal-content" style="width:75rem;">
																	<div class="modal-header">
																		<h5 class="modal-title" id="modalLabel">Edit Test: <span style="color:blue;" id="edit_test_menu_header"></span></h5>
																		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
																			<span aria-hidden="true">×</span>
																		</button>
																	</div>
																	<div class="modal-body results_modal_body" >
																		<div class="img-container">
																			<div class="card edit_test_menu_card" style="width:70rem;">
																				<!---View equipment here--->
																			</div>
																		</div>
																	</div>
																</div>
															</div>
														</div>

														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
							
                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
		
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->
	
	<script src="../assets/js/lib/jquery-ui.min.js"></script>
    <script src="../assets/js/lib/moment.min.js"></script>
	
	<script src="../assets/js/lib/styleSwitcher.js"></script>
	<script src="../assets/js/lib/fullcalendar.min.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
	
    <!-- scripit init-->
    <script src="js/ucg.js"></script>
	<style>
	.results_modal_body{
		height: 550px;
		overflow: hidden;
	}
	.modal-body:hover{overflow-y:auto; overflow-x:auto;}
	</style>
</body>

</html>
<?php } ?>