<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
mysqli_report(MYSQLI_REPORT_ALL & ~MYSQLI_REPORT_INDEX);

include'../model/users.php';
include'../model/hospital.php';

session_start(); 

if(!isset($_GET['user_id'])){
	echo"<script>alert('Please Login to access your account dashboard')</script>";
	echo"<script>window.open('./index.php','_self')</script>";
}else{
	$user_id = $_GET['user_id'];
	$category_id = $_GET['category_id'];

    $objUser = new Users();
    $objHospital = new Hospitals();

	//Get staff category
	$get_category = $objHospital->get_category_by_id($category_id);
	foreach($get_category as $category){
		$category_name = $category['staff_category_name'];
		$hospital_id = $category['hospital_id'];
	}


?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php echo $category_name; ?></title>
    <!-- ================= Favicon ================== -->
    <!-- Standard -->
    <link rel="shortcut icon" href="http://placehold.it/64.png/000/fff">
    <!-- Retina iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="144x144" href="http://placehold.it/144.png/000/fff">
    <!-- Retina iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="114x114" href="http://placehold.it/114.png/000/fff">
    <!-- Standard iPad Touch Icon-->
    <link rel="apple-touch-icon" sizes="72x72" href="http://placehold.it/72.png/000/fff">
    <!-- Standard iPhone Touch Icon-->
    <link rel="apple-touch-icon" sizes="57x57" href="http://placehold.it/57.png/000/fff">
    <!-- Styles -->
    <link href="../assets/css/lib/calendar2/pignose.calendar.min.css" rel="stylesheet">
    <link href="../assets/css/lib/chartist/chartist.min.css" rel="stylesheet">
    <link href="../assets/css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="../assets/css/lib/themify-icons.css" rel="stylesheet">
    <link href="../assets/css/lib/owl.carousel.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/owl.theme.default.min.css" rel="stylesheet" />
    <link href="../assets/css/lib/weather-icons.css" rel="stylesheet" />
    <link href="../assets/css/lib/menubar/sidebar.css" rel="stylesheet">
    <link href="../assets/css/lib/bootstrap.min.css" rel="stylesheet">
    <link href="../assets/css/lib/helper.css" rel="stylesheet">
	<link href="../assets/css/select2.min.css" rel="stylesheet" >
    <link href="../assets/css/style.css" rel="stylesheet">
</head>

<body>

    <?php
	include'header.php';
	include'side_bar.php';
	?>
	<div id="user_id" data-user-id="<?php echo $user_id; ?>"></div>
    <div class="content-wrap">
        <div class="main">
            <div class="container-fluid">
                <section id="main-content">
					<div class="row" style="margin-top:10px;">
						<div class="col-md-12">
							<div class="row page-titles mx-0">
								<div class="col-sm-12 p-md-0 justify-content-lg-end mt-2 mt-sm-0 d-flex">
									<button type="button" class="btn btn-primary" data-toggle="modal" data-target=".bd-example-modal-lg"><span
											class="btn-icon-right"><i class="fa fa-plus"></i></span>Add <?php echo $category_name; ?>
									</button>
								</div>
							</div>
							<div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-hidden="true">
								<div class="modal-dialog modal-lg">
									<div class="modal-content">
										<div class="modal-header">
											<h5 class="modal-title">Add Staff</h5>
											<button type="button" class="close" data-dismiss="modal"><span>&times;</span>
											</button>
										</div>
										<form method="post" id="add_staff_form">
										<div class="modal-body">
											<div class="card">
												<div class="card-body">
													<div class="basic-form">
														<div class="form-row">
															<div class="form-group col-md-6">
																<label><span style="color:black;">First Name</span><span style="color:red;">*</span></label>
																<input type="text" name="staff_first_name" class="form-control" required>
															</div>
															<div class="form-group col-md-6">
																<label><span style="color:black;">Last Name</span><span style="color:red;">*</span></label>
																<input type="text" name="staff_last_name" class="form-control" required>
															</div>
														</div>
														<div class="form-row">
															<div class="form-group col-md-6">
																<label><span style="color:black;">Gender</span><span style="color:red;">*</span></label>
																<select type="text" class="form-control" name="staff_gender" required>
																	<option value="Male">Male</option>
																	<option value="Female">Female</option>
																</select>
															</div>
															<div class="form-group col-md-6">
																<label><span style="color:black;">Phone Number</span><span style="color:red;">*</span></label>
																<input type="text" name="staff_phone_number" class="form-control" required>
															</div>
														</div>
														<div class="form-row">
															<div class="form-group col-md-6">
																<label><span style="color:black;">Email</span><span style="color:red;">*</span></label>
																<input type="text" name="staff_email" class="form-control" required>
															</div>
															<div class="form-group col-md-6">
																<label><span style="color:black;">Physical Address</span><span style="color:red;">*</span></label>
																<input type="text" name="staff_address" class="form-control" required>
															</div>
														</div>
														<div class="form-row">
															<div class="form-group col-md-6">
																<label><span style="color:black;">Password</span><span style="color:red;">*</span></label>
																<input type="text" name="staff_password" class="form-control" required>
															</div>
															<div class="form-group col-md-6">
																<label><span style="color:black;">Attach Passport Photo</span><span style="color:red;">*</span></label>
																<div class="custom-file">
																	<input type="file" name="staff_photo" id="staff_image" class="custom-file-input">
																	<label class="custom-file-label">Choose file</label>
																</div>
															</div>
														</div>
														<div class="form-row">
															<div class="form-group col-md-6">
																<label><span style="color:black;">Assign to a Department(s)</span><span style="color:red;">*</span></label>
																<select class="js-example-disabled-multi" name="staff_department[]" multiple="multiple" style="width:100%;" required>
																	<?php
																	$get_departments = $objHospital->get_departments($user_id);
																	foreach($get_departments as $department){
																		$department_name = $department['department_name'];
																		echo'<option>'.$department_name.'</option>';
																	}
																	?>
																</select>
															</div>
															<div class="form-group col-md-6">
																<label><span style="color:black;">Nature of Contract (Resident or Visiting)</span><span style="color:red;">*</span></label>
																<select class="form-control" name="nature_of_work" required>
																	<option value="Resident">Resident</option>
																	<option value="Visiting">Visiting</option>
																</select>
															</div>
														</div>
														<div class="form-row" id="assign_other_department">
															
														</div>
													</div>
												</div>
											</div>
										</div>
										<div class="modal-footer">
											<input type="hidden" name="add_staff_user_id" value="<?php echo $user_id; ?>">
											<input type="hidden" name="add_staff_category_name" value="<?php echo $category_name; ?>">
											<input type="hidden" name="add_staff_hospital_id" value="<?php echo $hospital_id; ?>">
											<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
											<button type="submit" class="btn btn-primary">Submit</button>
										</div>
										</form>
									</div>
								</div>
							</div>							
						</div>
					</div>
					<div class="col-md-12" style="overflow-y:scroll;">
						<!-- Modal for patients details -->
						<div class="modal fade edit_staff" id="staticBackdrop" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true" >
						  <div class="modal-dialog">
							<div class="modal-content" style="width: 1000px;">
							<form method="post" id="edit_staff_form">
							  <div class="modal-header">
								<h5 class="modal-title" id="staticBackdropLabel">Edit Staff Details</h5>
								<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
							  </div>
							  
							  <div class="edit_staff_body">
								<!-------Staff details to edit go here--->
							  </div>
							</form>
							</div>
						  </div>
						</div>
					</div>
                    <div class="row">
						<div class="col-md-12">
							<div class="card">
								<div class="card-header category_name" data-category-name=<?php echo $category_name;?> >
									<h4 class="card-title">All <?php echo $category_name; ?></h4>
								</div>
								<div class="card-body">
									<div class="table-responsive">
										<table class="table table-hover table-responsive-sm">
											<thead>
												<tr>
													<th>ID</th>
													<th colspan="2">Staff Name</th>
													<th>Gender</th>
													<th>Email</th>
													<th>Department</th>
													<th>Phone Number</th>
													<th>Date Added</th>
													<th>Actions</th>
												</tr>
											</thead>
											<tbody class="added_staff">
												
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
                    </div>

                    <?php
					include'footer.php';
					?>
                </section>
            </div>
        </div>
    </div>
	
	<script>
		if(window.history.replaceState){
			window.history.replaceState(null,null,window.location.href);
		}
	</script>

    <!-- jquery vendor -->
    <script src="../assets/js/lib/jquery.min.js"></script>
    <script src="../assets/js/lib/jquery.nanoscroller.min.js"></script>
    <!-- nano scroller -->
    <script src="../assets/js/lib/menubar/sidebar.js"></script>
    <script src="../assets/js/lib/preloader/pace.min.js"></script>
    <!-- sidebar -->

    <script src="../assets/js/lib/bootstrap.min.js"></script>
    <script src="../assets/js/scripts.js"></script>
    <!-- bootstrap -->

    <script src="../assets/js/lib/calendar-2/moment.latest.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.calendar.min.js"></script>
    <script src="../assets/js/lib/calendar-2/pignose.init.js"></script>


    <script src="../assets/js/lib/weather/jquery.simpleWeather.min.js"></script>
    <script src="../assets/js/lib/weather/weather-init.js"></script>
    <script src="../assets/js/lib/circle-progress/circle-progress.min.js"></script>
    <script src="../assets/js/lib/circle-progress/circle-progress-init.js"></script>
    <script src="../assets/js/lib/chartist/chartist.min.js"></script>
    <script src="../assets/js/lib/sparklinechart/jquery.sparkline.min.js"></script>
    <script src="../assets/js/lib/sparklinechart/sparkline.init.js"></script>
	
	<script src="../assets/js/lib/select2.full.min.js"></script>
    <script src="../assets/js/lib/select2-init.js"></script>
    <!-- scripit init-->
    <script src="js/human_resource.js"></script>
</body>

</html>
<?php } ?>